zenon Analyzer

zenon Analyzer

The zenon Analyzer offers near management and controlling views of all online and offline available data via system-spanning analyses. It summarizes tasks which were separated until now and it eliminates friction losses which emerge due to parallel set-ups, maintenance and the coordination of different IT systems. The zenon Analyzer:

  • condenses and accounts data from different sources in different formats
  • compares them to one another
  • display the results in graphical form as report

tutorial License information

The zenon Analyzer must be licensed. For further details see chapter Licensing

attention Attention

From version 2.0 onwards, only 64-bit operating systems are supported for the server. On the engineering computer, 32-bit operating systems are also supported for ZAMS, the manual data editor, metadata editor and migration tool.

Overview

When using the zenon Analyzer, the production process is not interrupted. The zenon Analyzer can be implemented in an existing production system without the need to reconfigure the system. At data collection and report creation the production system continues to run smoothly. The existing infrastructure is embedded in the reporting of the zenon Analyzer independent of the manufacturers.

For accessing the evaluation all you need is a browser. You do not have to install, adapt or maintain any additional software. You can embed evaluations without any additionally components or plug-ins in the intranet of a company. Default reports are already shipped with the zenon Analyzer. At any time you can create, save and distribute your own evaluations. To create reports from process level, you must install a Connector Container on the respective Runtime computers. This installation does not affect the running system.

info Information

The zenon Analyzer uses components from Microsoft Reporting Service.

You can find detailed instructions for the configuration of Microsoft Reporting Services on the Microsoft homepage:

  • German
  • English
  • French
  • Italian

Overview of the help for zenon Analyzer

In the help of the zenon Analyzer you can find information about:

  • Basics about architecture, data structure and data preparation
  • Installation of the modules of the zenon Analyzer
  • Rights management
  • Configuration and operation of the Report Launcher (site, folders and Reports)
  • ZAMS - zenon Analyzer Management Studio: Create and administer reports, administer users, administer servers
  • Manual Data Editor: Used for the editing of the tables for price and standard values in a zenon Analyzer metadata database.
  • Supplied report templates: Documentation for the report templates supplied with the zenon Analyzer.
  • Example project

info Information

For the engineering of individual reports, please refer to the respective manual. You will receive this manual after completing the corresponding training at COPA-DATA. For information and training and the manual for developers, please contact sales@copadata.com by email.

Other topics in this chapter

Upgrade information

Technical basics

Installation and updates

Licensing

Configuration file zenAnalyzer.ini

Data preparation

ZAMS - zenon Analyzer Management Studio

Metadata database editors

Prediction Model Manager

Migration Tool

Report templates

Report Launcher

Analyzer Wizards


Upgrade information

zenon Analyzer > Upgrade information

Note when switching to a version prior to version 3.20:

Other topics in this chapter

New in version 3.20

Reports and report elements

Compatibility


New in version 3.20

zenon Analyzer > Upgrade information > New in version 3.20

In version 3.20, the following new features, among others, have been implemented:

Licensing

The licensing has been updated. It is now carried out using the external COPA-DATA License Administration application.

Calculated fields

The columns of the main data sets can be configured individually. In doing so, calculated fields can be added to the fields that are already present.

Possible use of calculated fields:

  • Operations on different variables in a pivoted data set, in order to put the variables in relation to one another.
    Example: =Fields!TEMPERATURE1.Value – Fields!TEMPERATURE2.Value
  • Pivoted tables to generate grouped columns for report templates of the themes archive analysis, Extended Historian analysis and Custom formula analysis.
  • Operations on the values of variables in different time periods when comparing time periods.
  • Changing variable names.
    Example: Remove Project/Archive variable prefix
    For example =Fields!VARIABLE_NAME.Value.Split("-"c)(1).Trim() removes the text before the first minus.
  • Special display or formulation of values or date values.
  • Value conversions.
  • Combination of information, i.e. displaying the content of several columns in one column.

Update structure during deployment

Amended structures can be updated for prepared reports without having to intervene into the layout. All report elements, as well as headers and footers, are retained as in the report saved on the server. To replace only the structures, during deployment, click on the Update structure or Update structure for all symbol in the Report ribbon.

In doing so, the report is downloaded from the server. Data source, datasets and report code are replaced by the current values. The references are checked after the replacement. The RDL is uploaded to the server again afterwards. If a reference cannot be resolved, a warning is written to the output window and the respective element is removed from the report design.

Default layout

The default layout in ZAMS resets the configuration of the ZAMS user interface to the default status. Only the main user interface has been reset up to now. Other elements are also reset now.

The following are reset:

  • Dialogs, the size of which can be changed and/or can be moved
  • The window size
  • Column widths too, depending on the dialog
  • Settings for separators
  • Expanded states

Do - Undo

Actions can now be undone and restored when configuring reports.

To do this, there are the Undo and Restore buttons available in the Design ribbon and in the quick-access bar. Only steps in the report configuration can be undone or restored. Actions in dialogs are not recorded.

Both buttons contain drop-down lists with the number of steps. The steps are not named, but are grouped into powers of 10. So steps of 1 - 10, 20 - 100, 200 - 1000 etc.

Comments

Comments can be added to report templates and reports.

  • in ZAMS
  • in Report Launcher

The project configuration for this is carried out using the report name properties in ZAMS.

List of the report definitions in ZAMS

The list of the last-saved report definitions is shown on the start page. This list can be edited.
It is possible:

  • To remove individual entries from the list:
  • To delete the complete list

Path for deployment

The folder and the report name for deployment can now be pre-defined in the settings in the Deployment tab. There are three possibilities available:

  • Report Launcher root folder:
    Reports are saved in the root folder of the Report Launcher.
  • Read from first added report template:
    The folder is determined by the first selected report template.
    The report name is taken from the selection of the report template.
    These settings are applicable for each language.
  • User-defined path:
    A name given by the user is used for the folder. It is automatically created on the server if it is not present.
    The report name is entered into the report template.

Note: The report name cannot consist of more than 126 characters. Report name and report path have a maximum of 252 characters.

Predictive Analytics

zenon Analyzer now has a module for Predictive Analytics.

Prediction models can be created, edited, trained and used in reports.

Reports

You can find information on reports in the Reports and report elements section.

Report layout

For each report, size, edges, templates and styles for printing and browser can now be configured individually:

  • Settings for templates and styles have an effect on the display in print-out and in the browser.
  • The size can also be set differently for print-out and browser.
  • Side edges only have an effect on print-outs.

Report styles

The previous color scheme has been replaced with report styles.

Report styles give you the possibility to configure graphical elements individually and to assign reports. Report styles are constructed in a modular fashion and are defined centrally. They allow the central configuration of fonts, lines, frames, colors, color gradients and markers.

zenon Analyzer is supplied with the Analyzer Initial report style as standard. This is pre-defined and initially assigned to all reports. A many individual styles as desired can also be created and assigned. The assignment of report styles can generally be carried out for all reports or specifically for individual reports. Report styles can be exported and imported via XML.

When updating to version 3.20, ZAMS color schemes that have already been defined are automatically transferred to the new structure. Color schemes can also be integrated into version 3.20 by means of XML import.

Add SCADA project

With the Metadata Editor, SCADA projects can now be added to zenon Analyzer independently of zenon. These can, for example, be used for the use of third-party databases.

Language table enhanced

The language table has been enhanced:

  • It is now possible:
    • To hide and show languages
    • To add languages
    • To delete languages (with the exception of system languages)
    • To export all entries into an XML file (previously only amended entries)
  • The filters of the language table have been updated.


Reports and report elements

zenon Analyzer > Upgrade information > Reports and report elements

zenon Analyzer 3.20 now has new report templates with:

  • Theme Alarm and Event Analysis
    • Top N Alarms grouped: Gets all alarms in the time period, groups them according to the set criteria (alarm class, for example) and displays the N groupings with the most alarms or the longest sum of duration pending.
    • Top N Events grouped: Gets all events in the time period, groups them according to the set criteria (event class, for example) and displays the N groupings with the most events.
  • Extended Historian Analysis theme:
    • Historian Trend with Limits with Variable Selection: Evaluates trends with limit values and limit value violations for trends.
    • Historian Aggregated Trend with Limits with Variable Selection: Evaluates aggregated trends with limit values and limit value violations for aggregated trends.
  • Statistical Analysis theme:
    • Process Capability: Calculates the process capability index (Cp) and the critical process capability index (Cpk) from the archived average values and standard deviations.
    • Process Capability based on raw data: Calculates the process capability index (Cp) and the critical process capability index (Cpk) from the archived measured values.
    • Process Capability Trend: Calculates the process capability (Cp) and the critical process capability index (Cpk) from the archived average values and standard deviations and displays the results as a trend. The calculation of the trend display for Cp and Cpk can be either over a time interval of a random spot-check sample.
    • Process Capability Trend based on raw data: Calculates the process capability (Cp) and the critical process capability index (Cpk) from the archived measured and displays Cp- and Cpk results as a trend. The calculation of the trend display for Cp and Cpk can be either over a time interval of a random spot-check sample.
    • Control Chart: Displays a control chart, based on the archived average values and standard deviations of a measured size.
    • Control Chart based on raw data: Displays a control chart based on an archived measured size.
    • Boxplot: Evaluates archived values statistically. The variables can be addressed by means of either archives or equipment groups.
    • XY Trend Variable Based: Displays an XY trend with selection of the variables for X and Y.
    • XY Trend based on meanings: Displays an XY trend for several equipment groups. The variables for X and Y are searched for on the basis of meanings.
    • Histogram: Creates histograms for archived variables.

Pareto diagram

The Pareto diagram has been enhanced for the Alarm and event analysis theme.

This Pareto diagram provides the following information for this theme, depending on the columns available in the Stored Procedure:

  • Left Y-axis: from 0 up to the maximum of the absolute value sums
  • Right Y-axis: from 0% up to the maximum of the relative values sums
  • 10 stages on both Y-axes
  • Bars with absolute values of the groups are marked and bound to the left Y-axis
  • Line with relative value sums of the groups are marked (with markings for the individual points) and bound to the right Y-axis

The following columns must be present in the SP for this:

  • Absolute value of a group
  • Relative value of a group
  • Sum of the absolute value of this group and all previous groups
  • Sum of the relative value of this group and all previous groups

The display for Machine-based production analysis and line-based production analysis is unchanged.


Compatibility

zenon Analyzer > Upgrade information > Compatibility

In version 3.20, report templates (zams_rep files) that have been created with the versions 2.00 to 3.10 can be created. These are converted and saved as version 3.20 files.

Report styles

Report styles replace the previous color scheme. In doing so, the properties are also replaced and enhanced. When converting from version 3.10 to version 3.20, new properties have no defined value. They assume the values of the removed property.


Technical basics

zenon Analyzer > Technical basics

The zenon Analyzer:

  1. acquires data
  2. compresses data
  3. manages meta data such as equipment structure
  4. manages templates
  5. manages access rights and authorizations
  6. calculates evaluations
  7. distributes evaluations to Clients

attention Attention

Variable names must not contain two or more consecutive spaces. If several consecutive spaces are included, this can lead to a Javascript error when called up in the Report Launcher (Error 500).

General requirements

zenon Analyzer needs for:

  • the creation and management of reports:
    • An SQL Server 2016 database and
    • the SQL Server 2016 reporting services
  • the display of reports: Browser

A good knowledge of SQL and MS Report Builder 3.0 is required in order for you to create your own reports.

For details about the technical requirements see chapter Technology.

Hardware and software requirements

Hardware

Analyzer Server:

Parameter | Recommended | Minimum
CPU | Quad-Core Server CPU (maximum 24 cores/4 sockets) | Quad-core
RAM | Up to 128 GB | 12 GB
Free memory | 200 GB | 10 GB

Engineering computer:

Parameter | Recommended | Minimum
CPU | Dual Core | Pentium IV
RAM | 4 GB | 1 GB
Free memory | 200GB | 2 GB
Monitor (pixels) | 1920 x 1080 | 1024 x 768

Software

Analyzer Server:

A 64-bit operating system is required for the database server. The following are supported:

  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2016
  • Windows 8.1 64-Bit
  • Windows 8.1 Pro 64-Bit
  • Windows 8.1 Enterprise 64-Bit
  • Windows 8 64-Bit
  • Windows 8 Pro 64-Bit
  • Windows 8 Enterprise 64-Bit
  • Windows 10 Home 64-Bit
  • Windows 10 Professional 64-Bit
  • Windows 10 Enterprise 64-Bit

Note: An installed IIS service is required for the installation of the server.

Engineering computer:

The following are supported for ZAMS, the manual data editor, metadata editor and migration tool:

  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2016
  • Windows 8.1 32-Bit and 64-Bit
  • Windows 8.1 Enterprise 32-Bit and 64-Bit
  • Windows 8 32-Bit and 64-Bit
  • Windows 8 Pro 32-Bit and 64-Bit
  • Windows 8 Enterprise 32-Bit and 64-Bit
  • Windows 10 Home 32-Bit and 64-Bit
  • Windows 10 Professional 32-Bit and 64-Bit
  • Windows 10 Enterprise 32-Bit and 64-Bit

Web browser:

  • Internet Explorer 11 (normal view only)
  • Internet Explorer 10 (normal view only)
  • Chrome
  • Firefox

    Note: Zoom in the report is only possible with Chrome.

Recommended HMI/SCADA system:

  • zenon 7.60.

.NET Framework 4.6.2:

  • .NET Framework 4.6.2 has to be already run capable on the target computer in order to end the installation successfully.

Data preparation

The data preparation is done in several levels. With this data from different sources and formats can be evaluated universally and maintained easily.

Data structures

The data origin either from static project data or from dynamic user data. For details see chapter Data structure.

Data collection

The zenon Analyzer accesses data non-invasively via connectors. Source systems need not be reconfigured. The existing infrastructure is embedded in the reporting of the zenon Analyzer independent of the manufacturers. For systems other than zenon 6.x, only a connector container is installed. This installation does not interfere in the Runtime system and does not interrupt the process.

Other topics in this chapter

Technology

Architecture

Time formats

Prerequisites


Technology

zenon Analyzer > Technical basics > Technology

In this section you learn about the technically needed requirements for

  • Server
  • Client
  • Data Sources
  • Development station

and the supported standards for

  • Interfaces

Server

SQL Server 2016 Database

In the database there are the meta data and possibly also user data saved in SQL. For the query, stored procedures (Level 2) are executed. They again revert to user defined functions for data acquisition and data abstraction. If needed, they load the connector stub which requests the user data from the target system online. In addition there are the user defined functions which provide auxiliary functions for the evaluation.

SQL Server 2016 Reporting Services

The reporting services run as web application and as web server provide the Clients with all reports for displaying in the web browser. In addition, the parameters for the data source, reports, etc. are set using the Report Launcher web front end.

The path to Report Launcher is: http://[computer name]/Reports_za3.

Reporting license service (zrsLicSrv)

The reporting license service checks the CodeMeter dongle and the license available at the Server and forwards the licensing information to all involved components. It also has the list of all Client leases.

Data source

Connector container

On all computers which can server as data source, the connector container together with its different connectors must be installed and started. The TCP port of the connector container must be reachable from outside.

Development station

Analyzer Export Wizard

The Analyzer Export Wizard is integrated in the zenon Editor and is used to import the metadata to the SQL Server 2016 database. The wizard offers full support for zenon 7.xx. Older versions of the zenon Editor are not supported.

Interfaces

zenon Analyzer supports the following interfaces:

  • zenon Runtime 5.50, 6.x, 7.x
  • SQL

Other topics in this chapter

Client


Client

zenon Analyzer > Technical basics > Technology > Client

There must be a web browser on the client to display and configure reports.

info Information

zenon Analyzer was designed and tested for the following browsers:

  • Microsoft Internet Explorer from version 10
  • Chrome
  • Firefox

Note:

  • Compatibility view must be deactivated for Internet Explorer.
  • Zoom is only available for the Chrome browser.

Double click in the tree structure for equipment model dependent on browser

Different browsers react differently to a double click on a node in the tree structure:

  • Internet Explorer:
    The opposite of the currently visible stats of the node that has been clicked on is passed on to the lower objects and transferred to the nodes.
    For example: The checkbox of the node is not ticked. Double clicking ticks the checkboxes of the node and all its sub-items.
  • Chrome and Firefox:
    The current status does not change and is passed on to the lower objects.
    For example: The checkbox of the node is not ticked. Double clicking does not tick the checkboxes of the node and all its sub-items.


Architecture

zenon Analyzer > Technical basics > Architecture

The zenon Analyzer links data from different, heterogeneous sources to valid reports in real time. The reports react dynamically to data base changes.

Communication from process point of view

Communication from data point of view

Structure of zenon Analyzer

The zenon Analyzer consists of:

  • Data Sources
  • Connectors to the data sources
  • Container for connectors and data harmonization
  • Data filing
  • Report Builder with filter and calculations
  • zenon Analyzer Management Studio for creating and administering reports
  • Web Server
  • User interface at the Client for calling up and managing reports at the Client

Procedure

Reports are configured and published by administrators or users.

Reports can also be created by administrators with Microsoft Report Builder 3.0. Prerequisite is a wide knowledge in SQL. For information about MS Report Builder refer to the corresponding help of the Microsoft Report Builder. End-users call up reports via the interface of their Client.

Data required for the report is collected via connectors and harmonized before use. With this, reports are also meaningful for different sources, time zones, etc.


Time formats

zenon Analyzer > Technical basics > Time formats

Three time formats are used:

  • Local time: is used in reports
  • UTC: is used in abstracted historical and current values and in database tables
  • Unix time: is used in SQL tables

Local Time

Queries in the report and the display of results is done in local time.

UTC

Abstracted historical and current values are stated in UTC. For the display in the reports it is converted to local time.

UTC means Coordinated Universal Time. The time unit is second. UTC is the uniform basis for the international time determination and is made available to the public via time senders and other time services. Dependent on the time zone certain time periods must be added or subtracted to or from UTC. This time period can vary one hour because of the day light saving time.
Examples:

Country | Local time
Alaska | UTC -9
Australia, Queensland | UTC +10
Bulgaria | UTC +2
United Kingdom | UTC
Korea | UTC +9
Central Europe (CET) | UTC +1
Central Europe (CET) Daylight Saving Time | UTC +2
Saudi Arabia | UTC +3
USA East coast | UTC -5
United Arabic Emirates | UTC +4

Consequences to the configuration

Engineered date and time mean different date and time depending on the execution location of the Runtime.

For example: In the Editor you engineer in the PFS for the execution of a function in time zone UTC +1 the local time 14:00 o' clock. After transferring the files to a Runtime in tiem zone UTC +10, the function is carried out at 23:00 o' clock.Unix time

In the SQL databases Unix time is used, e.g..:

  • evacuated archives
  • exported archives
  • exported alarms
  • exported CEL

Procedure

  • Query in reports are dispalyed in local time.
  • The hand over from report to the table valued user defined functions is done in UTC.
  • Query to SQL are converted to Unix time.
  • Results are converted to UTC and displayed in the report as local time.

Change standard time/day light saving time

The switch from standard time to daylight saving time and vice versa can lead to anomalies with intervals at the time of switching. These arise as a result of the functions provided by the .NET Framework , DateTime.ToLocalTime and DateTime.ToUniversalTime.

Intervals

Compression

DSTstart

DSTend

Minutes
  • Interval in local time: DSTstart – 1 minute, DSTstart + 1 hour)
  • Interval in UTC: 1 minute
  • Interval in local time: DSTend -1 minute, DSTend
  • Interval in UTC: 1 hour and 1 minute

Hour

Interval (DSTstart, DSTstart+1) is not present.
  • Interval in local time: DSTend –2, DSTend –1
  • Interval in UTC: 2 hours

Key:

  • DSTstart: Time of the switch from standard time to daylight-saving time in local time.
    This means: The clocks are moved forward by 1 hour at the time of DSTstart.
  • DSTEnd: Time of the switch from standard time to daylight-saving time in local time.
    This means: The hours are put back by 1 hour at the time of DSTend.

The zrsGetCompressionIntervallsCarpetPlot UDF is used for the calculations.


Prerequisites

zenon Analyzer > Technical basics > Prerequisites

The following prerequisites are applicable for work with the zenon Analyzer:

Analyzer server hardware and software

Hardware

Analyzer Server:

Parameter | Recommended | Minimum
CPU | Quad-Core Server CPU (maximum 24 cores/4 sockets) | Quad-core
RAM | Up to 128 GB | 12 GB
Free memory | 200 GB | 10 GB

Engineering computer:

Parameter | Recommended | Minimum
CPU | Dual Core | Pentium IV
RAM | 4 GB | 1 GB
Free memory | 200GB | 2 GB
Monitor (pixels) | 1920 x 1080 | 1024 x 768

Software

Analyzer Server:

A 64-bit operating system is required for the database server. The following are supported:

  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2016
  • Windows 8.1 64-Bit
  • Windows 8.1 Pro 64-Bit
  • Windows 8.1 Enterprise 64-Bit
  • Windows 8 64-Bit
  • Windows 8 Pro 64-Bit
  • Windows 8 Enterprise 64-Bit
  • Windows 10 Home 64-Bit
  • Windows 10 Professional 64-Bit
  • Windows 10 Enterprise 64-Bit

Note: An installed IIS service is required for the installation of the server.

Engineering computer:

The following are supported for ZAMS, the manual data editor, metadata editor and migration tool:

  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2016
  • Windows 8.1 32-Bit and 64-Bit
  • Windows 8.1 Enterprise 32-Bit and 64-Bit
  • Windows 8 32-Bit and 64-Bit
  • Windows 8 Pro 32-Bit and 64-Bit
  • Windows 8 Enterprise 32-Bit and 64-Bit
  • Windows 10 Home 32-Bit and 64-Bit
  • Windows 10 Professional 32-Bit and 64-Bit
  • Windows 10 Enterprise 32-Bit and 64-Bit

Web browser:

  • Internet Explorer 11 (normal view only)
  • Internet Explorer 10 (normal view only)
  • Chrome
  • Firefox

    Note: Zoom in the report is only possible with Chrome.

Recommended HMI/SCADA system:

  • zenon 7.60.

.NET Framework 4.6.2:

  • .NET Framework 4.6.2 has to be already run capable on the target computer in order to end the installation successfully.

Connectors

The following is applicable for the SCADA Runtime connector:

  • Timeout: is independent of the report timeout.
    Default: 5 minutes (can be configured)
  • Variables: Only variables that are listed in metadata are requested
  • String variable: maximum of 4000 characters

The performance of a connector depends on the:

  • Performance of the Analyzer server
  • Performance of the Runtime server
  • Load of the Runtime servers (connector runs with low priority)
  • Network performance and network load

Projects and filters

Reports can generally be created throughout several projects.

attention Attention

Only archive data with variables from its own project can be evaluated.

This means: For example, in an integration project, if a variable from a subproject is archived in an archive, then zenon Analyzer cannot access this variable.

Schedules

  • Calendar days in months are limited to 1 - 28 (corresponds to February in non-leap years)
  • The "Month end" event is not available

Analyzer Export Wizard

The Analyzer Export Wizard works, depending on the version, with different zenon Analyzer versions and different zenon versions. For details, read the Analyzer wizard compatibility chapter.

info Information

Do not use zenon color palettes for dynamic limit values for zenon projects whose data is to be exported for zenon Analyzer. Limit values cannot be dynamically amended in zenon Analyzer. Information from color palettes can therefore not be evaluated. This can lead to illegible graphics.


Installation and updates

zenon Analyzer > Installation and updates

The installation of zenon Analyzer consists of several components:

  • Analyzer Server:
    Central SQL server.
  • zenon Analyzer Management Studio:
    Tool for the administration of zenon Analyzer and to create reports. It must be installed on the engineering computer:

You can find the hardware and software requirements in the Prerequisites chapter.

attention Attention

The computer name can no longer be changed after installing zenon Analyzer!

zenon Analyzer can no longer be used if the computer name is changed.

To change the computer name, the operating system must be reinstalled with a new computer name and zenon Analyzer.

Note:

Note the following before installation:

  • User authorization

    Windows administrator rights are required for installation of the zenon Analyzer.
    Ensure that, after installation, there is at least one user who can log onto zenon Analyzer.

    Attention: Every user who carries out an installation is automatically created as the first user for zenon Analyzer. After installation, only this user can log on to zenon Analyzer and add further users.

    For example: User 1 is the local administrator and carries out the installation. zenon Analyzer is used by User 2 however. User 1 must create User 2 in ZAMS after installation.

  • Server
    Analyzer Server and the Domain Controller must not be installed on the same computer.
  • IIS
    Before installation, the IIS service must be installed on the operating system.
  • .NET Framework 4.6.2
    .NET Framework 4.6.2 has to be already run capable on the target computer in order to end the installation successfully. Otherwise, an error notification from the zenon Analyzer setup will show up and the installation process will be canceled.
  • Remote installation
    The installation medium must be on the local computer. Network drives may not be available punctually for a reboot during installation. For remote installations and virtual installations, copy the content of the installation medium to a temporary folder on the computer and start the setup.
  • SQL Server Management Studio
    If the SQL Server Management Studio (SSMS) is to be available, it must be installed manually.
    You can find the setup on the installation medium in the following path: \AdditionalSoftware\SSMS\SSMS-Setup-ENU.exe.
  • Licensing
    The licensing is carried out using the COPA-DATA License Administration. This can be started from ZAMS directly or from the operating system.

attention Attention

Ensure that you have the appropriate licenses.

Note for wizards

Several wizards are available for zenon Analyzer. This works with different zenon Analyzer versions and zenon versions. For details, read the Analyzer wizard compatibility chapter.

Carrying out the installation

To install zenon Analyzer components:

  1. Ensure that the components required for installation are already installed on the system.
    • General: .NET Framework 4.6.2
    • Server: IIS service
  2. Connect the installation medium to the computer or copy its contents to a local folder.
    If Autorun does not automatically start the setup, use the file named start.exe.
  3. Select the desired language from the drop-down list
  4. Accept the license agreements
  5. Click on the Next button.
  6. Select the desired components
  7. Click on the Next button.

    The installation or the update will start.

  8. Follow the instructions given to you by the installation wizard.

Start window

Parameter

Description

Drop-down list "Language"

Selection of the language for the installation. The following are available:

  • German
  • English
  • French
  • Italian
  • Spanish

License agreements

License agreement with conditions of use for zenon Analyzer. For installation, the requirements must be accepted by clicking on the I accept the conditions of the license agreement checkbox.

Next

Switches to the next step of the installation. Only active if the license agreements have been accepted.

Component selection

Parameter

Description

Component selection

Selection of the components to be installed by activating the corresponding checkbox.

  • Analyzer Server:
    Central SQL server.
    Requirement: 64-bit operating system and installed IIS service.
  • Demo project and demo reports:
    Example database
    Requirement: 64-bit operating system and zenon 7.50.
  • zenon Analyzer Management Studio:
    Tool to create and administer sever connections and reports.
    Pre-requisite: 32-bit or 64-bit operating system.
  • Metadata database editors

Next

Starts the installation.

Only active if components are selected for installation.

Symbols module selection

Symbol | Meaning
 | Installation can be carried out.
 | Installation not possible.

Installation progress

The course of installation is shown in its own window with symbols:

Symbol | Meaning
 | Not yet installed
 | Is currently being installed
 | Installation OK
 | Installation failed

After successful installation of all desired components, end the installation wizard by clicking on the Exit button.

Installation on the Client

Only a current browser is needed on the client. The language that is set in the browser determines the language for the Report Launcher. The language for zenon Analyzer Management Studio is specified in the ZAMS options.

Other topics in this chapter

IIS Publishing service for Windows and Windows Server 2012


IIS Publishing service for Windows and Windows Server 2012

zenon Analyzer > Installation and updates > IIS Publishing service for Windows and Windows Server 2012

The IIS publishing service must be installed before the installation of zenon Analyzer on the system. The details of the process are different for different operating systems.

Windows 8 and 8.1

To activate the IIS publishing service:

  1. Press the Windows key + R keyboard shortcut.

    The dialog to enter a command for the command processing is opened.

  2. Enter appwiz.cpl in the input field.

    Click on OK.
    A new control panel window to configure programs and Windows features is opened.

  3. In this window, click on Turn Windows features on or off.

    The window to select features of the operating system is opened.

  4. Expand the Internet information services in this node.
  5. Activate all World Wide Web Services there.
  6. Expand the General HTTP features node.
  7. Activate Static content. Expand the Application features node.
  8. Activate ASP.NET 4.5
  9. Expand the Web administration tools node.
  10. There, activate the IIS administration console.
  11. Expand the Security node.
  12. Activate Windows authentication.
  13. Click on OK.

Note: The WebSocket protocol must also be activated.

Windows 10

To activate the IIS publishing service:

  1. Press the Windows key + R keyboard shortcut.

    The dialog to enter a command for the command processing is opened.

  2. Enter appwiz.cpl in the input field.

    Click on OK.
    A new control panel window to configure programs and Windows features is opened.

  3. In this window, click on Turn Windows features on or off.

    The window to select features of the operating system is opened.

  4. Expand the Internet information services in this node.
  5. Activate all World Wide Web Services there.
  6. Expand the General HTTP features node.
  7. Activate the static content.
  8. Expand the Application development features node.
  9. Activate ASP.NET 4.6
  10. Expand the Web administration tools node.
  11. There, activate the IIS administration console.
  12. Expand the Security node.
  13. Activate Windows authentication.
  14. Click on OK.

Note: The WebSocket protocol must also be activated.

Windows Server 2012 (R2)

Follow the instructions from Microsoft: https://technet.microsoft.com/en-us/library/hh831475.aspx

  1. Open the Assistant to add roles and features wizard.
  2. Go to the server roles.
  3. Activate the Webserver (IIS).
  4. Expand the General HTTP features node.
  5. Activate the static content.
  6. Expand the Security node.
  7. Activate Windows authentication.
  8. Expand the Application development node.
  9. Activate:
    • .NET expandability 4.5
    • ASP.NET 4.5
    • ISAPI extension
    • ISAPI filter
    • WebSocket protocol

Other topics in this chapter

IIS 10 for Windows Server 2016


IIS 10 for Windows Server 2016

zenon Analyzer > Installation and updates > IIS Publishing service for Windows and Windows Server 2012 > IIS 10 for Windows Server 2016

For the basic installation of features for Windows Server 2016, please use the corresponding Microsoft documentation. This description only only contains the settings required for zenon Analyzer.

To use zenon Analyzer with IIS 10.0 on Windows Server 2016:

  1. Open the Server Manager:

  2. Open the wizard to add roles and features.

  3. Go to Server Roles.

  4. Activate Web Server (IIS) and ensure that the following properties have been configured correctly:

  5. Expand the Common HTTP-Features node.
  6. Activate the Static Content option:
  7. Expand the Security node.
  8. Activate the Windows-Authentication option:
  9. Expand the Application Development node.
  10. Activate:
    • .NET Extensibility 4.6
    • ASP.NET 4.6
    • ISAPI Extensions
    • ISAPI Filters
    • WebSocket Protocol
  11. Finish your configuration.

attention Attention

The following settings prevent zenon Analyzer working correctly:

  • A ban on unknown file suffixes:
    File suffixes for zenon Analyzer, ZAMS and Report Launcher must be approved. (setting via IIS Management Console.)
    The following are needed: .gif; .axd; .aspx; .css.
  • Level of trust:
    Medium or fewer.
    With too few rights, the Report Launcher cannot be started.
    (setting via command line appcmd.)


Licensing

zenon Analyzer > Licensing

In order to be able to use COPA-DATA products, they must be licensed. A product runs in demo mode until it has been licensed.

The license is checked when the program is started. The product is started with the licensed modules.
If no valid license is found when the program is started, a dialog notifies you of this. It is possible to choose whether the start is canceled or demo mode is started. The product cannot be started for the demo mode if there is also no license for this. In addition, the COPA-DATA License Administration can also be opened to assign the product a valid license.

info Information

The mechanism for licensing described in this document is used for different products. Screenshots are not created for each individual product in the process. It can therefore be possible that the display of a screenshot is different from the description for your product.

Validity

The information on licensing is applicable for:

  • zenon products: from version 8.00 on
  • zenon Analyzer: from version 3.20

Products from previous versions are licensed using a different method. You can find information on this in the documentation of these products.

Other topics in this chapter

Licensing products - overview

Dongle types

Licensing in a few steps

Virtual machines

COPA-DATA License Administration

Licensing via command line - automation

LicenseTypes

Version checking and service period / service agreement

Product-specific themes

Display version and license information

Redundant license protection

Defective hard drive - replace hard drive - reinstall operating system

License invalidation with software dongles

Switch between virtual machine and Virtual Machine DataCenter

License query during operation

Computer defect with software dongle: Use 30-day demo license

Particular features with client-server operation

Serial number

License.ini file

CodeMeter requirements

CodeMeter Software


Licensing products - overview

zenon Analyzer > Licensing > Licensing products - overview

In order to be able to use zenon products, they must be licensed. The license is issued in the form of a license certificate and tamper-proof digital information.

If a licenses is issued at COPA-DATA, it is stored in the "license depot". This is a database in which the license waits to be collected. The license must be saved on your system in order you to be able to use the license as a user. A dongle is used as a save location. This dongle is also called a license container. This is transferred from the license depot to the dongle when a license is activated.

Use the COPA-DATA License Administration to activate the license. You can thus activate, deactivate, administer and assign products. Alternatively, you can also activate licenses automatically (silent ) using the command line tool.

Online activation

During online activation, licenses are activated directly without further applications or data carriers. There must be an online connection to the Internet available to do this.

For details, see the Online activation chapter.

Offline activation

With offline activation, the substitution of digital license information must be manual. In doing so, three files are transferred between the license depot and the dongle. Here too, some form of access to the Internet is necessary.

For details, see the Offline activation chapter.

Assign licenses to products

In order for a license to be able to be used, it is not sufficient for it to be saved in the dongle. It must also be assigned to the products from which they are used. There are often several licenses on a computer, including demo licenses too.For details, see the Assign licenses to products chapter.

Remote licensing

With remote licensing, all processes that support license administration are not carried out on the local computer but on another computer in the local network (LAN). This is primarily useful if the computer to be licensed does not have an Internet connection. The computer can then be used with the COPA-DATA License Administration as a proxy computer (intermediary computer).

For details see the Remote Licensing chapter.

Transfer/relocate licenses

Licenses can be transfered to other computers or dongles. Even if a virtual machine is transferred from one host system to another, the license must also be transferred so that it does not become invalid. Transfer or relocate means: The first step is that the license is returned to the license depot of the issuer. In the second stage, it is picked up and activated by the new system. For details, see the Transfer/relocate licenses.


Dongle types

zenon Analyzer > Licensing > Dongle types

For licensing, only CodeMeter dongles from Wibu Systems are used. Dongles are the save location for licenses. They are therefore also called a license container. There are two basic types of dongles available: Hardware dongles and software dongles. All licenses issued by COPA-DATA can be saved as both dongle types, and also transferred from one type to another.

Dongle types:

  • Hardware dongles:
    The license information is incorporated into special hardware - a security chip.

    Advantages:

    • The license can be easily transferred from one computer to another by reinserting the dongle.
    • Different embodiments are available.

    Disadvantages:

    • When using a virtual machine, the license must be transferred from a host system into the Virtual Machine using the network.
    • Dongles can be stolen or lost.
  • Software dongles - computer-based license protection:
    In doing so, a software dongle is created on the computer directly. The software dongle is based on the computer hardware. If the hardware changes too much, the license becomes invalid.

    Advantage:

    • The dongle cannot be lost or stolen.

    Disadvantages:

    • The license can become invalid if the hardware configuration is changed.
    • The license must be returned before it can be transferred to another computer.

Both dongle types act the same in practice. All mechanisms can be used for both types. There are only limitations for software dongles in a virtual machine.


Licensing in a few steps

zenon Analyzer > Licensing > Licensing in a few steps

In order for you to be able to operate zenon licensed, in most cases only a few steps are necessary.
There are two possibilities for getting a license sent to you:

  1. You receive a pre-programmed hardware dongle.
  2. You get a license certificate for a computer-based software dongle or a license certificate and and empty hardware dongle.

With both variants, you can very easily get a licensed product.

Pre-programmed hardware dongle

To use a pre-programmed hardware dongle:

  1. Insert the hardware dongle into the computer and wait until Windows has detected the dongle.
  2. Start the COPA-DATA License Administration via Windows -> License Manager.
  3. In the start dialog of the COPA-DATA License Administration, select the Apply license from hardware dongle option.
    The license detected is shown in the dialog.

  4. Click on the Use License on this Computer button.
  5. End the COPA-DATA License Administration.

You can now start the licensed products.
You can find more detailed information on the procedure and limitations in the Licensing manual in the Apply license from hardware dongle chapter.

License certificate and empty hardware dongle or computer-based license

To use an empty dongle or a computer-based license:

  1. Insert the hardware dongle into the computer and wait until Windows has detected the dongle.
    This step is not necessary for a computer-based software license.
  2. Start the COPA-DATA License Administration via Windows -> License Manager.
  3. In the start dialog of the COPA-DATA License Administration, select the Activate license with license certificate option.

  4. Enter the serial number into the input field for the serial number.
  5. Select between computer-based license (software dongle) and hardware dongle.
  6. Click on the Activate license button.

    The license is transferred online via the Internet into the dongle you have selected.

  7. Close the COPA-DATA License Administration.

You can now start the licensed products.

You can find detailed information on the procedure, limitations and alternative procedures in the Licensing manual in the Activate license chapter and the following chapters.


Virtual machines

zenon Analyzer > Licensing > Virtual machines

The licensing of a virtual machine is subject to special requirements and properties:

  • Hardware dongles cannot be connected directly. The license must be transferred to the virtual environment.
    The following procedures can be used for this:
    • The dongle is connected to a physical computer and activated there as a network. In the virtual environment, the network dongle is entered into the server search list and is thus available.
    • The dongle is transferred to the virtual environment via a USB to Ethernet box (dongle server). In doing so, a local USB port is emulated in the virtual environment. The CodeMeter Runtime considers the dongle to be directly connected. Such boxes are commercially available.
      Recommendation: SEH dongle server.
    • The dongle is routed to the virtual environment via the virtualization software. VM-ware and Virtual Box support such mechanisms. In doing so, a local USB port is emulated in the virtual environment. The CodeMeter Runtime considers the dongle to be directly connected.
      Note: This procedure is not recommended by Wibu Systems .
  • With software dongles, there are some limitations for use in virtual environments:
    • Licenses are not unlocked by default for virtual environments. However, you can apply for unlocking from the license issuer.
      Caution: Licenses that have already been activated cannot be converted. These must first be returned to the license issuer. Only then can the license issuer convert the license. You can then activate the license in a virtual environment.
    • Demo licenses only have a very limited running time in virtual environments.
    • The license will be invalidated when moving a virtual machine to another host system.
      You should therefore return the license to the license issuer before relocating the license. The virtual machine can only be moved after this. You can then activate the license again. When being used in a data center, a virtual machine can also automatically be assigned to different hosts. In this case, you need a Software-Dongle VM DataCenter.

Different types of software dongle

Depending on the type of operating system, different software dongle types are installed by the COPA-DATA License Administration:

  • Software-Dongle Standard: For use on physical computers.
  • Software-Dongle Virtual Machine: For use with a virtual machine.
    Can be used on a physical computer; not vice versa.
  • Software-Dongle VM DataCenter: For use with a virtual machine in a public data center such as Microsoft Azure or Amazon Web Services (AWS), as well as in private data centers
    Can also be used on a physical computer, but not vice versa.

Note: If a virtual machine is converted into a physical computer, you then have both dongles on one system. Both are equivalent and both can be used.

attention

If a physical computer is converted to a virtual machine, the Software-Dongle Standard dongle type can no longer be used. All licenses contained therein are thus no longer available. You must return the licenses beforehand. See the following chapter: Transfer/relocate license

Conversion to virtual machine

If you use software dongles and want to convert a physical computer into a virtual machine, then:

  1. Return all activated licenses.
  2. Apply to COPA-DATA for a conversion of the license to a license for a virtual machine.
    If you operate the virtual machine in a data center such as Microsoft Azure or Amazon Web Services (AWS), or in a private data center, apply for a license for VM DataCenter
    Caution: Standard licenses cannot be activated on a virtual machine. You can see whether a license is suitable for a virtual machine from the license certificate.
  3. Convert the operating system into a virtual machine.
  4. Activate the license again

Conversion of a virtual machine into a physical computer

If you use software dongles and want to convert a virtual machine into a physical computer, then:

  1. Return all activated licenses.
  2. Convert the operating system into a physical computer.
  3. Activate the license again

Relocation of virtual machines to another host system

Licenses for software dongles become invalid if the hardware changes. Therefore return all licenses that are saved in software licenses before relocation.


COPA-DATA License Administration

zenon Analyzer > Licensing > COPA-DATA License Administration

Licenses are administered in their own application, the COPA-DATA License Administration.
You start these using:

  • Windows Start menu -> COPA-DATA -> License Manager.
  • Startup Tool: Click on the Tools button, select the License Manager entry in the Available applications area and click on Start.
  • Via the Open License Management button in most About dialogs in zenon products.
  • Also in ZAMS directly for zenon Analyzer.

Functionality

You can license the following in the COPA-DATA License Administration:

  • Activate locally or remotely:
    Activate licenses for a local computer or a remote computer and assign them to certain COPA-DATA products.
  • Activate online and offline:
    You can activate licenses directly only or offline using a license request file.
  • Assign products locally or remotely:
    Determine which products are to use which licenses and in which order.
  • Carry out mass activation:
    Use a collective file to activate many licenses.
  • Loan (from version 8.10):
    You can loan licenses to other users for up to 90 days. Service technicians can, for example, take licenses for use at customers' premises. This functionality is available to you from zenon 8.10 and zenon Analyzer 3.30.
  • Return/relocate:
    You can return licenses and activate it again on another computer. This is how you transfer licenses to other computers or prevent license invalidation in the event of changes to hardware for software licenses or host systems for a virtual machine.

Note:

  • You can also activate, update and distribute licenses silently using the command line.
  • All changes in the COPA-DATA License Administration are immediately applied and executed.

Start dialog

The COPA-DATA License Administration starts with a start dialog by default. This provides simple, interactive configuration possibilities. The question mark symbol shows brief help for the respective entry.

License management dialog

There is a comprehensive application with several tabs available for individual settings.

Other topics in this chapter

Start dialog

Main application


Start dialog

zenon Analyzer > Licensing > COPA-DATA License Administration > Start dialog

The COPA-DATA License Administration starts with a start dialog. This can be deactivated using the Do not show this dialog again option. General reactivation is carried out using the Settings tab.

The two most important actions are available in the start view:

  • Activation of a license
  • Transfer of a license from a hardware dongle

Option

Description

Activate license with license certificate

Allows the online activation of a license with the serial number from the license certificate.

Apply license from hardware dongle

Allows the transfer of a license for all products of the license from a hardware dongle.

Advanced options

Opens further options for the administration of licenses.

Do not show this dialog again
  • Active: The next time the COPA-DATA License Administration is opened, the dialog is hidden and the view is opened with all tabs.

Close dialog

Option | Description
Help | Opens online help.
Close | Clicking on the button closes the dialog.

Other topics in this chapter

Activate the license in the start dialog

Apply license from hardware dongle

Enhanced view


Activate the license in the start dialog

zenon Analyzer > Licensing > COPA-DATA License Administration > Start dialog > Activate the license in the start dialog

Use this preferred option if you want to activate a license on a local dongle online.

You can choose whether the license is transferred to a software dongle or - if present - hardware dongle. You can read details on available dongles in the dongle types chapter.
During online activation, licenses are activated directly without further applications or data carriers. There must be an online connection to the Internet available to do this.

Tipp Hint

Use the Remote Licensing if you have a direct Internet connection

If you use a proxy server for your Internet connection, ensure you have the correct proxy settings.

To activate a license with a license certificate:

  1. Start the COPA-DATA License Administration.
    If the start dialog is not displayed, click on the Show start dialog button.
  2. Click on Activate license with license certificate.
  3. Enter the serial number from your license certificate into the field.
  4. Select the desired dongle.
    • Computer-based license (software dongle)
    • Hardware dongle. If you have not yet plugged your hardware dongle in yet, insert it now and click on the Refresh button.

    Note: The license cannot be activated automatically if there are several hardware or software dongles. The COPA-DATA License Administration automatically forwards you to the Activate Licenses tab.

  5. Click on Activate Licenses.

    The license is transferred to the dongle and saved in a tamper-proof form there. If you have set the Apply activated licenses immediately in the Settings tab, the license is entered for all products at the first place in the License.ini file. This INI file contains information on the sequence in which the licenses are used. You can amend the order in the License Application tab.

Activate license with license certificate dialog

Option | Description
Activate license with license certificate | Clicking opens the further input options.
Serial number | Input field for the serial number that is to be activated.
Computer-based license (software dongle) | Selection of a software dongles for a computer-based license.
Hardware dongle | Selection of a CodeMeter hardware dongle. The dongle must be inserted
Activate license | Clicking on the button activates the license online. Only available if a valid serial number has been entered and a valid dongle has been selected.

Close dialog

Option | Description
Help | Opens online help.
Close | Clicking on the button closes the dialog.


Apply license from hardware dongle

zenon Analyzer > Licensing > COPA-DATA License Administration > Start dialog > Apply license from hardware dongle

In order for a license to be able to be used, it is not sufficient for it to be saved in the dongle. It must also be assigned to the products from which they are used. There are often several licenses on a computer, including demo licenses too.

With this option, you enter a hardware dongle license for all products that are included in the license, at the first place in the License.ini file:

  1. Insert the dongle into the computer.
  2. Click on Apply license from hardware dongle in the start dialog.

    The license detected is displayed.

  3. Click on the Use License on this Computer button.

    The license is applied.

If several licenses are saved on a dongle, a corresponding message is shown in the start dialog.
In this case:

  • Insert a dongle with just one license and click on Refresh.
    Or
  • Click on License Management. The License usage tab is opened. There, with several licenses on a hardware dongle, you can also specify which product uses a license, and in which sequence.

Tipp Hint

You can set the license order at any time in the License usage tab

Apply license from hardware dongle dialog

Option | Description
Apply license from hardware dongle | Clicking opens the further input options and shows the license found. If no license is found, you can start an update by clicking on Search for dongle again again.
Use license on this computer | Clicking on the button accepts the license for the computer.
Search for dongle again | Searches for dongle and updates the information displayed.

Close dialog

Option | Description
Help | Opens online help.
Close | Clicking on the button closes the dialog.

Dialog for several licenses on a dongle

Option

Description

Apply license from hardware dongle

Clicking opens the further input options and shows the license found.

Several licenses have been detected

Several licenses were found. Select the desired procedure:

  • Connect new dongle and refresh:
    Insert a new dongle with only one license and click on Refresh.
  • Select license in License Management:
    Click on License Manager and select the desired license there.

Refresh

Reads the dongle again.

License management

Opens the License usage tab.

Use license on this computer

Clicking on the button accepts the license for the computer.

Close dialog

Option | Description
Help | Opens online help.
Close | Clicking on the button closes the dialog.


Enhanced view

zenon Analyzer > Licensing > COPA-DATA License Administration > Start dialog > Enhanced view

The enhanced view offers you additional actions for licensing.

Option

Description

Activate license with license certificate

Allows the activation of a license with the serial number from the license certificate.

Apply license from hardware dongle

Allows the transfer of a license for all products of the license from a hardware dongle.

Advanced options

Opens further options for the administration of licenses.

License overview

Opens the dialog with the License Overview tab. All activated licenses are displayed here. These can also be updated or returned here.

Update all licenses

Starts the update for all licenses.

If errors occur, they are displayed in this dialog.

Relocate/return license

Starts the online return for a license. A request for confirmation is made before it is returned.
If there are several licenses to return, there is an automatic switch in the dialog to the License Overview tab.

A license must be returned if they are to be used on a different computer or if the computer's hardware will be changed significantly. For details, see the Transfer/relocate license chapter.

Mass activation

Opens the dialog with the Mass Activation tab. Licenses from a list can be activated here.

Advanced license administration

Opens the dialog with the License Use tab.

Do not show this dialog again

Active: The next time the COPA-DATA License Administration is opened, the dialog is hidden and the view is opened with all tabs.

Close dialog

Option | Description
Help | Opens online help.
Close | Clicking on the button closes the dialog.


Main application

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application

Licensing tasks are administered using the tabs:

  • License usage: Display and assignment of licenses to products and order for use.
  • License summary: Display of all activated licenses and actions for updating and returning licenses.
  • Activate license: Options for online and offline activation of licenses.
  • Mass activation: Possibility to activate licenses from a list.
    Must be activated via the Settings tab.
    Default: Hidden
  • Settings: Configuration of the settings.

Other topics in this chapter

License usage

License overview

Activate license

Mass activation

Settings

Transfer/relocate license

Apply/update amended license

Remote licensing

Filter and sort lists


License usage

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > License usage

In order for a license to be able to be used, it is not sufficient for it to be saved in the dongle. It must also be assigned to the products from which they are used. There are often several licenses on a computer, including demo licenses too.

You assign your licenses to the individual products in this tab. Furthermore, with several licenses, you can specify the sequence in which they are used. If a connection to a license is lost, an attempt is made to use another valid license. The sequence of the licenses defines the sequence of the license search. You can find details in relation to this in the Redundant License Protection chapter.

attention Attention

The display always relates to the computer that is set in the header for Local licensing / remote licensing. It can therefore be a local view or a remote view.

With remote view, all licenses that the remote computer sees are displayed. With network licenses in particular, this can be a completely different view because the network licenses are found with CodeMeter mechanisms. See in relation to this the Set up server search lists for network dongles chapter.

Note: If the Apply activated licenses immediately option has been activated in the Advanced tab, the licenses are automatically assigned in first place for all applicable products the first time they are activated.

Tipp Hint

To assign a license to all products at the first place, click on the button with the two arrows and the horizontal line: Enter selected license for all products at the first location.

Assign licenses

To enter licenses manually for a product or to change the order:

  1. Start the COPA-DATA License Administration.
  2. If the start dialog is shown, then click on the Advanced Options button and then on Advanced License Administration.
  3. Switch to to the License Use tab.
    All products for which there is a license are shown.

  4. Select the product to which a license is to be assigned.

  5. Click on the button at the far right in the list for the desired license. The button is colored green.

    The license is assigned to the product and entered into License.ini.

  6. If several licenses are assigned to a product, they can be sorted. Click on the up or down arrow keys to set the order of the licenses. The sorting can also be carried out by dragging & dropping. The sorting is applied immediately in License.ini.

attention Attention

Licenses are sometimes administered by the system in the License.ini file. Manual changes to this file can lead to the licenses becoming unusable and thus being lost. Only carry out any necessary changes for your licenses using the COPA-DATA License Administration.

Errors in License.ini are shown by corresponding error messages.

Tab options

Option

Description

Product selection

List of available licensed products.
Clicking on a product shows the available licenses for the product in the Licenses list.

Licenses

List of licenses that are available for the selected product on the selected computer.

Clicking on the plus sign shows detailed information for the respective license.

Clicking on the Copy to Clipboard button copies all information about the selected licenses to the clipboard.

The status of a licenses is displayed and amended by means of a switch:

  • Green symbol:
    This license is in the License.ini and and was also found on the dongle. Clicking removed the license from License.ini.
  • White symbol:
    This license was found on a dongle but has not been entered into License.ini. Clicking enters the license into License.ini.
  • Red exclamation mark plus green symbol:
    This license is in License.ini but was not found on the dongle. This can have several causes, how the dongle was removed, dongle cannot be found in the network etc.

Changes are entered into License.ini immediately.

Symbols to display details

Two symbols above the list make it possible to show and hide detailed information for all licenses. The left symbol shows details; the right symbol hides details.

Arrow symbols

Arrow symbols next to the list sort the licenses.

  • Horizontal line + double arrow pointing upwards:
    The license is sorted up to the top and entered at the first place for all products in License.ini.
  • Horizontal line + arrow pointing upwards:
    The license is sorted up to the top and entered at the first place for the selected product in License.ini.
  • Arrow upwards:
    The license is moved one step up.
  • Arrow downwards:
    The license is moved one step down.

The order can also be amended with the mouse by means of dragging & dropping.

Dialog options

Option | Description
Local licensing / remote licensing | Clicking on the arrow in the header opens the options to establish a connection to a remote computer or select the local computer.
Show start dialog | Opens the start dialog for standard licensing tasks.
Help | Opens online help.
Close | Clicking on the button closes the dialog.

Other topics in this chapter

Test licenses


Test licenses

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > License usage > Test licenses

Because the first appropriate license is always used for the license query, you can use demo licenses purposefully for testing. To do this, create the desired demo license to be used as the first license to be used in the COPA-DATA License Administration in the License Manager tab. The duration of a demo license is always shown in the license manager under Details of the license. Once this duration has expired, this license starts in demo mode with a 10 minute duration.


License overview

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > License overview

You can do the following in this tab:

  • Show details of all licenses that can be accessed from your computer.
    This is both local licenses as well as licenses that have been saved on a network dongle.
    If you need the current version to order the license expansion, you can find all information here.
  • Update licenses.
  • Return licenses.

attention Attention

The display always relates to the computer that is set in the header for Local licensing / remote licensing. It can therefore be a local view or a remote view.

With remote view, all licenses that the remote computer sees are displayed. With network licenses in particular, this can be a completely different view because the network licenses are found with CodeMeter mechanisms. See in relation to this the Set up server search lists for network dongles chapter.

Option

Description

License list

Lists all available licenses. The following information is available for each license:

  • Symbol: Shows which type of dongle* it is.
  • Serial number
  • Item name (bundle description)
  • licensed products
  • Available licenses: Shows how many licenses are present and not loaned. The information does not state how many licenses are currently occupied by a product or are free. This information can only be obtained via CodeMeter WebAdmin.
  • Dongle type*
  • Dongle ID
  • Dongle name
    The name can be amended using the CodeMeter Control Center.
  • Computer name

The following additional columns are available for licenses that it concerns:

  • Loaned licenses (available from version 8.10)
  • End of validity
  • End of usage period

The list can be sorted and filtered.

Details

Click on the + to open the display of the details.

  • General information on the dongle and addresses, as well as edition
  • Modules
  • Number of variables
  • Version

Symbols:

  • + button: expands all details of all licenses
  • - button: collapses all details of all licenses

Update license

Clicking on the button establishes a connection to the license depot online, searches for an update and applies this if present.

Not available for demo licenses and licenses in the network.

Return license

Returns selected license online.

*Dongle types:

  • Local hardware dongle
  • Local software dongle
  • Network hardware dongle
  • Network software dongle
  • Demo licenses (always software dongle)

Color code:

  • Licenses are colored red if:
    • The end of validity has been exceeded
    • The usage period has been exceeded
    • The loan duration has been exceeded
  • Demo licenses are colored in orange if they have exceeded the maximum usage duration or the maximum number of starts has been exceeded for one of the products contained.

Dialog options

Option | Description
Local licensing / remote licensing | Clicking on the arrow in the header opens the options to establish a connection to a remote computer or select the local computer.
Show start dialog | Opens the start dialog for standard licensing tasks.
Help | Opens online help.
Close | Clicking on the button closes the dialog.


Activate license

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Activate license

If a licenses is issued at COPA-DATA, it is stored in the "license depot". This is a database in which the license waits to be collected. The license must be saved on your system in order you to be able to use the license as a user. A dongle is used as a save location. This dongle is also called a license container. This is transferred from the license depot to the dongle when a license is activated.
There are the following possibilities for this transfer:

  • Online activation via start dialog:
    Preferred method. In doing so, a connection from your computer to the license depot is established via the Internet and the license is transferred to the dongle.
  • Online activation via Activate License tab :
    This online method must be used if you have connected several software or hardware dongles.
    Note: You can also use this method if the computer to be licensed is not connected to the Internet directly. Remote licensing is available to you for this.
  • Online mass activation:
    Use this method if you want to activate several computers at once.
  • Activation via command line tool:
    Use this possibility if you want to activate licenses online in an automated manner via third-party applications. The command line tool allows both individual activation as well as joint activation and supports local and remote activation.
  • Offline activation:
    Manual method. This method is used if there is a direct Internet connection. In doing so, the complete handling of the transfer must be carried out with the help of a web browser.

If you receive a pre-programmed dongle, the license was already transfered to the dongle and activated. You only need to assign this license to the respective products for use. For details, read the Apply license from the hardware dongle chapter.

Other topics in this chapter

Activate licenses via License tab


Activate licenses via License tab

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Activate license > Activate licenses via License tab

Activate a license in this tab.
You can find the detailed procedure of how a license is activated from the Online activation and Offline activation chapters.

Option

Description

Local licensing

Selection of whether licensing is local or on a remote computer.

Online activation

Select online activation type. The license is activated online. You need an Internet connection for this.

Offline activation

Select offline activation type. Activation is carried out by means of file exchange.

Serial number

Enter the serial number that is to be activated.

Select target dongle

List of available dongles. Clicking on a dongle selects it as a target for the license.

The list shows:

  • Name:
    Dongle name.
  • Identification:
    Number of the dongle.
  • Number of licenses:
    Number of the licenses that have already been activated on this dongle.
  • First existing license:
    Serial number of the license that has been activated first on the dongle.

The list can be sorted. To sort, click on the head of the desired column. Another click inverts the sorting.

Note: Only locally-available dongles are displayed.

Activate license

Clicking on the button activates the license.

Only available for online activation and only if a valid serial number has been entered and a dongle has been selected.

Create license request file

Clicking on the button creates a file with which the activation of the license can be requested.

Only available for offline activation and only if a valid serial number has been entered and a dongle has been selected.

Import license update file

Clicking on the button opens the dialog to select a file for the offline activation of a license.

Only available for offline activation.

Create license confirmation file

Clicking on the button creates a file with which the activation of the license can be confirmed.

Only available for offline activation and only if a valid serial number has been entered and a dongle has been selected.

Dialog options

Option | Description
Local licensing / remote licensing | Clicking on the arrow in the header opens the options to establish a connection to a remote computer or select the local computer.
Show start dialog | Opens the start dialog for standard licensing tasks.
Help | Opens online help.
Close | Clicking on the button closes the dialog.

Other topics in this chapter

Online activation

Offline activation


Online activation

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Activate license > Activate licenses via License tab > Online activation

You can choose whether the license is transferred to a software dongle or - if present - hardware dongle. You can read details on available dongles in the dongle types chapter.
During online activation, licenses are activated directly without further applications or data carriers. There must be an online connection to the Internet available to do this.

Tipp Hint

Use the Remote Licensing if you have a direct Internet connection

If you use a proxy server for your Internet connection, ensure you have the correct proxy settings.

To activate a license online:

  1. Start the COPA-DATA License Administration.
  2. If the start dialog is shown, then click on the Advanced Options button and then on Advanced License Administration.
  3. Switch to the Activate License tab.

  4. Decide whether licensing is local or on a remote computer.
    • Local: Leave the setting as Local Licensing.
    • Remote: Establish a connection to the remote computer on which the license is to be used. For details see the Remote Licensing chapter.
  5. Activate the Online activation radio button.
  6. Enter the serial number that is to be activated into the Serial number option. You can find the serial number on the license certificate.
  7. Select the dongle on which the license is to be stored in the Select target dongle option. If you have not yet connected your hardware dongle, insert it now and click on the Refresh button on the top right corner.
  8. Click on the Activate license button.

    The license is transferred to the dongle and saved in a tamper-proof form there. If you have set the Apply activated licenses immediately in the Settings tab, the license is entered for all products at the first place in the License.ini file. This INI file contains information on the sequence in which the licenses are used. You can amend the order in the License Application tab.


Offline activation

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Activate license > Activate licenses via License tab > Offline activation

With offline activation, the license must be transferred from the COPA-DATA license depot to the dongle manually. This method is only recommended as the last option if online or remote licensing cannot be carried out. With hardware dongles, it is easier under certain circumstances to connect the hardware dongle to a computer with an Internet connection and to activate it online there.

An Internet connection is also necessary for offline licensing. The access computer can be freely defined however.

Offline activation requires a multi-step procedure:

  1. Create license request file
  2. Transfer license request file on a computer with Internet access.
    This can be carried out with the help of any desired storage medium such as USB sticks, removable media or similar.
  3. Upload license request file to the licensing web site and get the license update file from there.
  4. Transfer the license update file to the computer to be licensed.
  5. Import the license update file by double-clicking on the file and create a license confirmation file.
  6. Transfer the license confirmation file to a computer with Internet access.
  7. Upload the license confirmation file to the licensing web site.

    The process is thus concluded.

You can choose whether the license is transferred to a software dongle or - if present - hardware dongle. You can read details on available dongles in the dongle types chapter.

The process in detail

To activate a license online:

  1. Start the COPA-DATA License Administration.
  2. If the start dialog is shown, then click on the Advanced Options button and then on Advanced License Administration.
  3. Go to the Activate License tab

  4. Decide whether licensing is local or on a remote computer.
    • Local: Leave the setting as Local Licensing.
    • Remote: Establish a connection to the remote computer on which the license is to be used. For details see the Remote Licensing chapter.
  5. Activate the Offline activation radio button.
  6. Enter the serial number that is to be activated into the Serial number option. You can find the serial number on the license certificate.
  7. Select the dongle on which the license is to be stored in the Select target dongle option. If you have not yet connected your hardware dongle, insert it now and click on the Refresh button on the top right corner.
  8. Click on the Create license request file button.
    The button is only active if the serial number is valid and a target dongle has been selected.

    The dialog to save the file is opened.

  9. Save the file.
    • Default name: (the serial number)
    • Default file suffix: LicReq.

    If the dongle is removed between selecting the dongle and saving the file, or it is no longer found, the saving is canceled with an error message. The user must then provide the dongle again or select a new dongle before the file can be saved.

  10. Transfer the license request file, by means of a USB stick or another offline transport media, to a computer with Internet access.
  11. Start a web browser on it.
  12. Open the website https://copadata-license.copadata.com/.
  13. Click on the Search button and select the license request file.
  14. Click on the Upload Request File button.
    If the request can be successfully processed, the web site switches to the second page, Download Update.
  15. Click on the Download Update button. You get a license update file. Depending on the browser and browser setting, the file is saved as a download folder:
    • Default name: (the serial number)
    • Default file suffix: LicUpd.
  16. Transfer the license update file back to the initial computer by means of a USB stick or another offline means of transport.
  17. Ensure that the dongle to be licensed is connected.
  18. Double-click on the license update file.

    The COPA-DATA License Administration is opened automatically. The license is transferred to the dongle and saved in a tamper-proof form there. If you have set the Apply activated licenses immediately in the Settings tab, the license is entered for all products at the first place in the License.ini file. This INI file contains information on the sequence in which the licenses are used. You can amend the order in the License Application tab.
    With remote licensing, a connection to the remote system is also established after double-clicking on the license update file.
    Requirement: The user data collection option in the Settings tab is not deactivated.
    Alternative procedure:

    1. Open the COPA-DATA License Administration and select the Activate license tab.
    2. If necessary, establish a connection to the remote system on which the dongle to be licenses is located.
    3. Activate the Offline activation radio button.
    4. Click on the Import License Activation File button.
    5. Select the license update file and click on Open.

      The license is transferred to the dongle and saved in a tamper-proof form there. If you have set the Apply activated licenses immediately in the Settings tab, the license is entered for all products at the first place in the License.ini file. This INI file contains information on the sequence in which the licenses are used. You can amend the order in the License Application tab.

    In order for the license depot to know that the license has been successfully transferred to the dongle, a license confirmation file must be created and sent to COPA-DATA. The file is created automatically as soon as online activation has been carried out successfully. The dialog to save the file opens automatically.

  19. Save the license confirmation file:
    • Default name: (the serial number)
    • Default file suffix: LicConf.

    If you want to carry out confirmation later, you can create the license confirmation file at any desired subsequent point in time. For details, see the Create license confirmation file chapter.

  20. Transfer the license confirmation file by means of a USB stick or another offline transport media to a computer with Internet access.
  21. Start a web browser on it.
  22. Open the website https://copadata-license.copadata.com/continue.php?step=3.
  23. Click on the Search button and select the license confirmation file.
  24. Click on the Upload Confirmation File button.

The file is uploaded to the web site and the offline activation mechanism is thus concluded.

Other topics in this chapter

Create license confirmation file


Create license confirmation file

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Activate license > Activate licenses via License tab > Offline activation > Create license confirmation file

In order for the license depot to know that the license has been successfully transferred to the dongle, a license confirmation file must be created and sent to COPA-DATA.
To create a file at any desired point in time:

  1. Start the COPA-DATA License Administration.
  2. If the start dialog is shown, then click on the Advanced Options button and then on Advanced License Administration.
  3. Go to the Activate License tab

  4. Decide whether licensing is local or on a remote computer.
    • Local: Leave the setting as Local Licensing.
    • Remote: Establish a connection to the remote computer on which the license is to be used. For details see the Remote Licensing chapter.
  5. Activate the Offline activation radio button.
  6. Enter the serial number for which you want to create a license confirmation file.
  7. Select the dongle on which this license is saved.
  8. Click on the Create License Confirmation File button.

    The dialog to save the file is opened.

  9. Save the license confirmation file:
    • Default name: (the serial number)
    • Default file suffix: LicConf.
  10. Transfer the license confirmation file by means of a USB stick or another offline transport media to a computer with Internet access.
  11. Start a web browser on it.
  12. Open the website https://copadata-license.copadata.com/continue.php?step=3.
  13. Click on the Search button and select the license confirmation file.
  14. Click on the Upload Confirmation File button.

The file is uploaded to the web site and the offline activation mechanism is thus concluded.


Mass activation

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Mass activation

If you order several licenses from COPA-DATA, you also get a collective file (*.LicSN) in addition to the license certificate. You can use this file to administer the licenses centrally and to activate them from a central point. Remote licensing is available for this.

You can activate the licenses from collective file either with COPA-DATA License Administration in the Mass Activation tab or use the LicenseManagerAutomation.exe command line tool in an automated manner. Mixed use is also possible.

The collective file is a CSV file that can be edited with any desired text editor or a table calculation.

  • Column separator: Semicolon (;) or tab (\t)

Column structure:

Column

Identification

Description

1

Serial number

The unique serial number of each license.

2

Item name

Contains the article names of the license.
Is for information only and has no functional effect.

3

Target computer

Indication of the target computer:

  • If not yet licensed:
    Computer name onto which the license is to be transferred. The following can be used: IPv4 address, IPv6 address or computer name.
  • If already licensed:
    Computer name onto which the license has been transferred.

4

User name

Windows user name from which the license has been activated.
Only used for information.

5

Activated

Display of the status of the activation.

  • True: activated
  • False or empty: not activated

With True, this license is no longer taken into account when processing using the command line.

6

Error text

If an error occurred during activation, the error is logged here.

The original file is only filled with the first two columns.

To use a file for the mass activation using the COPA-DATA License Administration or the command line:

  • Enter the target computer into column 3 for each license.

    Example:

    • Original line of the collective file: C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;
    • Add this line:C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;MyPCtoLicense

Mass activation in the COPA-DATA License Administration

Note: This tab is hidden by default. To display it, activate the Show tab for additional licensing options property in the Settings tab.

To activate a license

To activate a license:

  1. Save the collective file with the *.LicSN suffix on your computer.
  2. Enter the target computer into the file.
  3. Open the COPA-DATA License Administration.
  4. If the start dialog is shown, then click on the Advanced Options button and then on Advanced License Administration.
  5. Switch to the Mass Activation tab

    If this is not shown:

    1. Switch to to the Settings tab.
    2. Activate the Show tab for additional licensing options checkbox.
  6. Select the collective file with the licenses in the Select the .LicSN file. option.
    To do this, click on the ... button. The file has the file extension *.LicSN.

    All available licenses available in the file are shown in the Select the license to be updated list.
    You can filter and sort the licenses contained in the file according to serial number, license name, target computer, user name and activation status.
    Incorrect serial numbers are highlighted by a symbol.

  7. Select the desired license.
    If a target computer has been entered, a connection to this target computer is established.
    If an already-activated license has been selected, the Activate license button is changed to Update license.
  8. In the Select target dongle option, select the dongle on the remote computer on which the license is to be transferred.
  9. Click on Activate license or Update license.

The license is activated on the selected target dongle and the text file is filled with the licensing data.

Mass Activation tab

Option

Description

Select the .LicSN file.

Selection of the file with the license numbers. The file has the file extension .LicSN.

The licenses contained in the file are shown in the Select the license to be updated option.

Select the license to be updated

Display and selection of existing licenses. The display can be filtered and sorted.

  • Filter: Enter the filter term into the filter line.
  • Sort: Click on the column title. The entries are shown in sorted order. Another click inverts the display.

Selection by clicking on a license.

Select target dongle

Selection of the dongle with which the license is to be linked.

Activate license

Update license

Activates the selected license on the selected dongle, or updates the license if it has already been activated.

Dialog options

Option | Description
Local licensing / remote licensing | Clicking on the arrow in the header opens the options to establish a connection to a remote computer or select the local computer.
Show start dialog | Opens the start dialog for standard licensing tasks.
Help | Opens online help.
Close | Clicking on the button closes the dialog.


Settings

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Settings

Settings for license management are configured in this tab.

Option

Description

User data collection

Settings to record user data:

  • Active: User data is collected.
    The following, among others, is collected: Operating system, user name, computer name, IP addresses and domains. For details, see the User data chapter.
  • Inactive: No user data is recorded.

Default: active

Attention: If this option is deactivated, lost licenses can no longer be restored or replaced.

Search the network for dongles and licenses.

Settings for the search for licenses:

  • Active: Dongles and licenses are also searched for in the network. This search can take a long time.
  • Inactive: A search is only carried out on the local network.

Default: Inactive

Setting is applied immediately. To show new dongles and licenses, the respective list must be updated.

Note: This setting only has an effect on the COPA-DATA License Administration. zenon applications always resort to the network if it cannot find the license locally.

Apply activated licenses immediately

Setting if the activated license is written to License.ini:

  • Active: The license is immediately written at the first place in License.ini and assigned to all licensed products by clicking on Activate license.
  • Inactive: The license is only written by means of assignment to the License usage tab in License.ini.

Default: active

Show tab for additional licensing options

Controls the display of the Mass Activation tab:

  • Active: Tab is displayed.
  • Inactive: Tab is hidden.

Default: Inactive

Automatically update all licenses used

Update licenses automatically.

  • Active: All licenses are automatically checked for updates at regular intervals.
  • Inactive: Licenses are not checked. The check must be carried out manually.

Default: active

Default cycle time: 7 days.
The cycle can be changed in the Settings [SETTINGS] of License.ini.

Additional information: See Apply amended licenses chapter.

Show start dialog when starting License Management

Activation of the wizard for licensing tasks:

  • Active: Before opening, the start dialog that leads you through the typical licenses processes is shown.
  • Inactive: The application is opened directly.

Default: active

Switch software dongle to "VM DataCenter" dongle type.

Changes the type of the software dongle used from Virtual Machine to VM DataCenter.

Only available if COPA-DATA License Administration is running in a virtual machine.

Switch software dongle to "Virtual Machine" dongle type

Changes the type of the software dongle used from VM DataCenter to Virtual Machine.

Only available if the COPA-DATA License Administration is running in a virtual machine.

Proxy settings

Opens or closes the area to configure a proxy computer. For details see chapter: Configure proxy

Detect proxy configuration automatically
  • Active: The proxy is automatically detected using the system settings.

Manual proxy configuration
  • Active: The proxy is configured manually.

The following must be entered for the configuration:

  • Proxy: URL of the proxy.
  • Port: Port to be used.
    Minimum: 1
    Maximum: 65535
    Default: 80
  • User: User name for proxy access.
    Is not validated.
  • Password: Password for proxy access.
    Is saved in encrypted form and not validated.

Save proxy configuration

Saves the manual proxy configuration.

Dialog options

Option | Description
Local licensing / remote licensing | Clicking on the arrow in the header opens the options to establish a connection to a remote computer or select the local computer.
Show start dialog | Opens the start dialog for standard licensing tasks.
Help | Opens online help.
Close | Clicking on the button closes the dialog.

Other topics in this chapter

User data

Configure proxy


User data

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Settings > User data

Use of user data

When licensing via the COPA-DATA License Administration by means of dialog or command line, user data is also recorded and saved. This data is to restore lost or damaged licenses. The data is saved locally at COPA-DATA's premises in Austria.

The following is collected:

  • Operating system: Type and version.
  • Net address: All network addresses available on the computer.
  • Full Qualified Host Name
  • User name and domain

This data is recorded for the computer on which licensing is executed. If the licensing is executed remotely, this data is also collected for the target computer.

Deactivation

The collection of this data can be deactivated in COPA-DATA License Administration. Licenses can continue to be obtained and administered. Support and technical support for licensing is however not possible due to missing data.

If the recording is deactivated, COPA-DATA can no longer offer the following services:

  • Automatic application of licenses to remote computers.
  • Tracing of the computer on which the license was activated and by whom.
    No support can thus be offered when searching for the license in the event of a loss of a license. Lost licenses can also not be replaced as part of customer care.

Data that has been collected up to the point of deactivation remains saved.


Configure proxy

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Settings > Configure proxy

Access to the Internet is required for online activation, license return and license updating. No direct access is thus possible in some corporate networks. The connection must be established via a proxy server. If your system administrator has stored the data for the proxy server correctly in the operating system, no further settings are required. Otherwise the proxy server must be configured manually:

  1. Open the Settings tab in the COPA-DATA License Administration.
  2. Click on Proxy Settings
  3. Activate the radio button for Manual Proxy Configuration.
  4. Enter the URL for the proxy.
  5. Enter the port number.
  6. Enter the user name.
    Attention: It is not validated.
  7. Enter the password.
    It is entered in encrypted form.
    Caution: The password is not validated.
  8. Click on Save Proxy.

With a manual configuration, the COPA-DATA License Administration also saves the proxy setting set by the system. These are used as a fallback if no connection can be established with the proxy settings configured manually. This is relevant, for example, if the COPA-DATA License Administration is used for the user in this context but a proxy is configured, but this setting is not available in the system context.

Online activation

If the configured proxy can no longer be reached by online activation, the dialog for configuration is shown. Error messages are also shown. Changes to the settings are automatically saved the next time the connection is established.


Transfer/relocate license

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Transfer/relocate license

Transferring a license is necessary, for example, if:

  • The license is to be used on another computer or in another virtual machine
  • The hardware of a computer with a software dongle changes
  • The operating system of a computer with a software dongle is replaced
  • The hard drive of a computer designated as the C drive is to be replaced with a software dongle
  • The host computer for a virtual machine switches or its hardware is changed
  • You want to combine several licenses on a hardware dongle
  • You want to convert a physical computer into a virtual machine

Whether a license can continue to be used when a computer is physically rebuilt depends on which components and how many components are changed. A change of the computer name or a replacement of a hard drive (except drive C) generally does not constitute a problem.

The transfer of licenses works the same for hardware dongles and software dongles.
To transfer a license from one computer (dongle) to another computer (dongle):

  1. Return the license from the previous dongle.
  2. Activate the license again on the new dongle.

info Information

Licenses cannot be transferred directly between a physical computer and a virtual machine. The license must be amended to the respective condition. In this case, contact your COPA-DATA sales partner. Also see the Virtual Machines chapter.

Other topics in this chapter

Return license


Return license

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Transfer/relocate license > Return license

Licenses can be returned. This is necessary, for example, even if a license is to be used on another computer. See also the Transfer/relocate license chapter.

Notes on returning licenses:

  • Only local licenses can be returned.
  • Licenses with a defined usage period and demo licenses cannot be returned.
  • Loaned licenses or licenses that have been loaned out in full or in part cannot be returned. You must first end the loan. (loan available from version 8.10.)

Licenses can be returned in two ways:

  • Return license online (preferred method)
  • Return license offline

Other topics in this chapter

Return license online

Return license offline


Return license online

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Transfer/relocate license > Return license > Return license online

To return a license online:

  1. Start the COPA-DATA License Administration
  2. In the start dialog, click on the Advanced Options button and then on the Relocate/Return License button.
    • If there is only one returnable license locally on your computer, it is returned online.
      Confirm the corresponding request to do this.
    • If there are several returnable licenses locally on your computer, you are automatically forwarded to the License Overview tab.
      Continue with the process for several licenses, step 3.

Process for several licenses:

  1. Start the COPA-DATA License Administration
  2. If the start dialog is shown, then click on the Advanced Options button and then on Advanced License Administration.
  3. Switch to the License Overview tab.
  4. Select the desired license from the list.

  5. Click on Return License.

    The license is returned online.


Return license offline

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Transfer/relocate license > Return license > Return license offline

Offline return has not yet been integrated into the COPA-DATA License Administration. However it works in the same way as offline activation. Difference: Another return link must be entered into the web browser!

Procedure:

  1. Start the COPA-DATA License Administration
  2. Switch to the Activate license tab.
    If the start dialog is shown, click on Advanced Options and then on Advanced License Administration. Then switch to the Activate License tab.

  3. Select the Offline activation option.
  4. Enter the serial number of the license that you want to return.
  5. Select the dongle on which the license is saved.
  6. Create a license request file. To do this, click on the Create license request file button.

    A file with the suffix *.LicReq is created.

  7. Attention: Use the link that is prescribed in the COPA-DATA License Administration!
    Instead, open this link in a web browser:
    https://copadata-license.copadata.com/return.php
  8. Upload the renamed license request file *.LicReq to the website.

    You get a license update file with the file ending *.LicUpd as a response.

  9. In the COPA-DATA License Administration, click on the Import license update file button and apply the file generated by the website.

    Important: In order for the license to actually be accepted as returned by the license depot, you must create the confirmation file and transfer it to the website.
    To do this:

    1. Click on the Create license confirmation file button.
      A file with the suffix *.LicConf is created.
  10. Open this link in a web browser:
    https://copadata-license.copadata.com/continue.php?step=3
  11. Upload the license confirmation file *.LicConf to the website:

The process is thus concluded.


Apply/update amended license

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Apply/update amended license

All license information is saved in the dongle. If you order an update or an upgrade, the license in the dongle must be updated.
Changes to the license can be required by:

  • Product upgrade or amended module extension
  • Expiry date or period of usage amended
  • New version or change to the service agreement
  • Quantity of licenses amended

The following is applicable for updates and upgrades:

  • These are always booked to an existing serial number.
    You receive a license certificate with the serial number concerned.
  • The change to a license is stored and must be transferred to the dongle. If several license updates are stored in the license depot, they are always transferred in one process.
  • If you have never activated the license, the update is applied the first time it is activated.
    You do not need to carry out any more steps.
  • If the license has already been activated, you must apply the update.
    There are two possibilities:
    • Update license online - the preferred method
    • Update license offline

Other topics in this chapter

Update licenses online

Update licenses offline


Update licenses online

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Apply/update amended license > Update licenses online

Licenses can be updated manually or automatically. Except for demo licenses and licenses in the network.

Automatic update

All licenses are checked for updates in a 7-day cycle by default. The cycle time can be changed in the Settings [SETTINGS] of License.ini. The automatic update can be deactivated in the COPA-DATA License Administration in the Settings tab using the Automatically update all licenses used option.

Automatic updates are carried out using the license transfer service. No automatic updates are carried out if the Windows service has not been started.

Update license manually

There are three ways you can update a license manually

  • Update all licenses using the start dialog.
  • Update a license using the License Overview tab.
  • Update all licenses using the LicenseManagerAutomation.exe command line application.

Update via the start dialog

  1. Start the COPA-DATA License Administration.
    The Show start dialog when starting License Management option must be activated. The start dialog then opens when the application is started. Otherwise click on the Show start dialog button.

    The licensing assistant is shown.

  2. Click on Advanced options.
  3. Click on Update all licenses.
  4. The process of updating is started.
    If a license cannot be updated or there is no update available, a corresponding message is given.

Update via the License Overview tab

  1. Open the License Overview tab in the COPA-DATA License Administration.
  2. Select the license that is to be updated.
    If a license cannot be updated by the user, the Update license button is not unlocked.
  3. Click on the Update license button.

    The license is updated online.
    If there is no update available, a corresponding message is shown.

Update via command line

To update licenses automatically via a third-party application, use the LicenseManagerAutomation.exe command line program.
Command: LicenseManagerAutomation.exe -a UpdateAll


Update licenses offline

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Apply/update amended license > Update licenses offline

To apply offline updates for licenses, use offline activation as with the initial activation. There is no functional difference between activation and update.

attention Attention

The update can only be applied to the same dongle on which the original license has been activated. You must therefore ensure that you select the correct dongle.


Remote licensing

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Remote licensing

With remote licensing, all processes that support license administration are not carried out on the local computer but on another computer in the local network (LAN).

There are two applications for remote licenses:

  • The computer to be licensed is not on site directly.
  • The computer to be licensed is not directly connected to the Internet. In this case, you can use a second computer as a proxy computer (intermediate computer). In order for you to nevertheless use the benefits of online activation, return and update, the steps do not need to be executed manually.

Remote licensing works both in the COPA-DATA License Administration as well as in the command line tool. The zenLicTransfer service always works as a counterpoint. This service always accesses the data available locally on the remote computer.

Attention! Remote licensing has nothing to do with the CodeMeter network licensing. The CodeMeter mechanisms are based on CodeMeter Runtime and serve to assign or unlock the license from a product.
zenon remote licensing serves to activate, deactivate and administer licenses remotely.

Because both systems must fulfill different tasks and use different transport layers, it is quite possible that a dongle is detected by one of the two system about not the other.

Remote functions offered:

  • Activate licenses (online and offline)
  • Activate licenses with mass activation
  • Assign licenses to products
  • Return licenses
  • Borrow /lend licenses (from zenon version 8.10/zenon Analyzer version 3.30)

Other topics in this chapter

Licensing local or remote

zenLicTransfer Service


Licensing local or remote

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Remote licensing > Licensing local or remote

You can activate licenses locally or remotely - on remote computers - and assign products. Licensing is local by default.

Requirements for remote activation:

  • The remote computer can be contacted in the network.
  • The zenLicTransfer license service is active and contactable on the remote computer.

Remote licensing

To switch the licensing to remote:

  1. Click, in the header of the COPA-DATA License Administration, on the arrow next to Local Licensing.

    The area for this option is opened.

  2. Deactivate the Local Licensing checkbox.

    The area is renamed to Remote Licensing.

    The area to enter a connection name is unlocked.

  3. Enter the name or the IP address of the remote computer.
  4. Click on Connect.

    The connection is created. All further actions in the COPA-DATA License Administration are executed on the remote computer.

Tipp Hint

You can also use remote licensing to activate licenses online on computers that do not have an Internet connection. In doing so, the COPA-DATA License Administration takes on the function of a proxy (intermediary computers).

Dialog settings

Option

Description

Local licensing/remote licensing [computer]

Selection of whether licensing is carried out locally or on a remote computer.

Displays which type of licensing has been selected. With remote licensing, the computer name or the IP address of the remote computer is displayed.

License and dongle data is reloaded during switching.

Local licensing

Activates and deactivates local licensing:

  • Active: Licensing is local.
  • Inactive: Licensing is carried out remotely on the computer stipulated for remote connections.

Default: Active

Remote connection name

Entry of the connection data for the remote computer: Computer name or IP address. IPv4 or IPv6 addresses can be entered.

Only available if Local licensing is inactive.

Connect

Establishes a connection to the remote computer.

Refresh

Reloads license and doingle data from the local or remote computer.


zenLicTransfer Service

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Remote licensing > zenLicTransfer Service

For the transfer of license information to a remote computer, the COPA-DATA License Administration uses the License Transfer Service service (zenLicTransfer). This is automatically started with the operating system. The service opens a TCP server port and accepts connections from the COPA-DATA License Administration. Communication is encrypted with AES and limited to a simultaneous connection.

The service communicates via the 50784 port by default. This port can be amended via the Startup Tool in the Listening ports tab. Changes to the port must be carried out locally and remotely.

This service also carries out automatic updating of licenses.


Filter and sort lists

zenon Analyzer > Licensing > COPA-DATA License Administration > Main application > Filter and sort lists

Lists can be shown filtered and sorted.

Filter lists

Options for filters.

Option

Description

Input field

Entry of the character sequence that is to be filtered for.

aA

Switches between:

  • Capitalization is not taken into account
  • Capitalization is taken into account

Default: Capitalization is not taken into account

Symbol filter

Clicking on the filter symbol opens a list to select a filter criterion.

Default: Contains

Filter criteria

The following are available as criteria for filter expressions:

Criterion | Description
Remove filter | Removes all filter criteria. All lines are displayed again.
Contains | All entries that contain this character sequence are displayed. (Default setting.)
Does not contain | All entries that do not contain this character sequence are displayed.
is empty | All empty cells are displayed.
is not empty | All entries that contain at least one character are displayed. Spaces are also considered characters.

Sort lists

To sort a list:

  1. Click in the header of the column according to which sorting is to take place.
  2. Click again to change the sorting.

    Three sorting processes are gone through in sequence:

    • Ascending: The list is sorted from 0 - 9 and from a - z.
      Display with arrow pointing upwards.
    • Descending: The list is sorted from 9 - 0 and from z - a
      Display by the arrow upwards.
    • Unsorted: The list is displayed in the original status, i.e. as it was created.


Licensing via command line - automation

zenon Analyzer > Licensing > Licensing via command line - automation

The LicenseManagerAutomation.exe command line tool allows licenses to not just be activated by means of a user interface, but also in an automated manner for large amounts. Mass activations are thus also possible in the network.

The following functions are available:

  • Activate single license
  • Mass activation using a collective file
  • Update all licenses of a computer
  • Enter license at the first position in License.ini

All functions are available both locally as well as remotely

Call

  • Call: LicenseManagerAutomation.exe
  • Path: %ProgramFiles(x86)%\Common Files\COPA-DATA\STARTUP
  • Syntax: LicenseManagerAutomation.exe [Aktion] [Seriennumer] [Dongle-Typ] [Option]
  • Prefix for arguments:
    • Argument short form: - (-a)
    • Argument long form: -- (--action)
  • Arguments:
    • Upper/lower case is ignored.
    • Sequence is as desired.
  • Values: Upper-case/lower case is taken into account, if not otherwise stated.
  • Example of long form: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard –-WriteInIni
  • Example of long form: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard –wi

Error message

When an argument is entered incorrectly, a corresponding error is issued and a LOG entry is written. In addition, help to enter the arguments is called up.

Color coding of the display:

  • Red: Error
  • Green: Success message
  • White: Help

Return values:

  • 0: Success.
    The license has been successfully activated.
  • -1: Invalid arguments.
    Incorrect arguments have been given.
  • -2: Error:
    for example: No connection to the license depot, or target computer cannot be contacted.

Arguments

Argument for short description /

Argument for long form

Values

-a

--action

Command for the application.
Is supplemented with one of these values:

  • ActivateOnline:
    Carry out online activation.
  • ActivateOnlineFile:
    Online activation for licenses from one file.
    Needs -f with the file path specified.
  • WriteIniTop:
    Enters the serial number for each product in the first place in License.ini.
  • UpdateAll:
    Carries out an update for all licenses.

Example: -a ActivateOnline

Note: Entry of the argument without a value shows help for arguments and values.

-sn

--SerialNumber

Transfer of the serial number.
Is required for the ActivateOnline and WriteIniTop actions.

-dt

--DongleType

Type of dongle:

  • Hard: Hardware dongle
  • SoftStd: Computer-based Software-Dongle Standard
  • SoftVM: Computer-based Software-Dongle VirtualMachine
  • SoftVMDataCenter: Computer-based Software-Dongle VM DataCenter
  • Soft: The dongle - standard or virtual machine - is selected dynamically. The Software-Dongle VirtualMachine is selected on a virtual machine; the Software-Dongle Standard is selected on a physical machine.
    If DATA_CENTER_LICENSE is set for the dongle, the Software-Dongle VM DataCenter dongle type is selected for a virtual machine.

Required for the ActivateOnline and ActivateOnlineFile actions.

Note: Only -dt or -di can be used.

-di

--DongleIdentification

ID of the dongle.

Each dongle has a unique ID.
E.g.: 3-4035811 for a hardware dongle or 130-636662578 for a software dongle.

Required for the ActivateOnline and ActivateOnlineFile actions.

Note: Only -dt or -di can be used.

-wi

--WriteIni

Optional argument for the ActivateOnline and ActivateOnlineFile actions.

Activated license is written to License.ini.

Note: This argument must always be stated too.

-r

--Remote

Optional argument for the ActivateOnline, ActivateOnlineFile and WriteIniTop actions.

Host name or IP address of the remote system.
If not stated: Localhost

-f

--File

Is needed for the ActivateOnlineFile action.

File path of liqSN- file. The complete path must be entered.

Examples

Examples of calls:

  • Activate license online for the first hardware dongle found:
    • LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard
  • Activate license for the dongle with the ID 3-4035811:
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -di 3-4035811
  • Activate license for the dongle with the ID 3-4035811 and write in the first position of License.ini:
    • LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleIdentification 3-4035811 –-WriteInIni
  • Write license C00WU-Z5SVK-UCGC2-00000-01633 at the first position of License.ini:
    • LicenseManagerAutomation.exe -a WriteIniTop -sn C00WU-Z5SVK-UCGC2-00000-01633
  • Update all licenses listed in License.ini:
    • LicenseManagerAutomation.exe --action UpdateAll
  • Activate license online for the first hardware dongle found on the remote system 129.0.0.1:
    • LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -r 129.0.0.1
  • Activate all licenses from a license file for the first dongle found on a remote system that is stated in the file:
    • LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Hard

You can get further examples after calling LicenseManagerAutomation.exe without further values or arguments.

Use of user data

When licensing via the COPA-DATA License Administration by means of dialog or command line, user data is also recorded and saved. This data is to restore lost or damaged licenses. The data is saved locally at COPA-DATA's premises in Austria.

The following is collected:

  • Operating system: Type and version.
  • Net address: All network addresses available on the computer.
  • Full Qualified Host Name
  • User name and domain

This data is recorded for the computer on which licensing is executed. If the licensing is executed remotely, this data is also collected for the target computer.

Deactivation

The collection of this data can be deactivated in COPA-DATA License Administration. Licenses can continue to be obtained and administered. Support and technical support for licensing is however not possible due to missing data.

If the recording is deactivated, COPA-DATA can no longer offer the following services:

  • Automatic application of licenses to remote computers.
  • Tracing of the computer on which the license was activated and by whom.
    No support can thus be offered when searching for the license in the event of a loss of a license. Lost licenses can also not be replaced as part of customer care.

Data that has been collected up to the point of deactivation remains saved.

Other topics in this chapter

Activate single license

Mass activation using a collective file

Update all licenses of a computer

Enter license at the first position in License.ini


Activate single license

zenon Analyzer > Licensing > Licensing via command line - automation > Activate single license

The ActivateOnline value activates a license online, either locally or remotely.

The following can be stated as a target dongle:

  • Fixed dongle using dongle ID
  • Hardware dongle
  • Software dongle for:
    • Real existing computer
    • Virtual Machine

attention Attention

Always state the --WriteInIni or -wi argument so that the license is also entered into the first position in the License.ini file.

This functionality has many possibilities for combination. See list with all arguments in the overview. The most important examples are stated here. You can find further examples if you call up LicenseManagerAutomation.exe without further arguments.

Call

Local call for hardware dongle:

  • Short form: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -wi
  • Long form: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --WriteInIni

Remote call for hardware dongle:

  • Short form: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Hard -r 127.0.0.1 -wi
  • Long form: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --Remote 127.0.0.1 --WriteInIni

Note: Instead of the IPv4 address, you can also state an IPv6 address or the computer name of the target computer.

Local call for software dongle:

  • Short form: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Soft-wi
  • Long form: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Soft--WriteInIni

Remote call for software dongle:

  • Short form: LicenseManagerAutomation.exe -a ActivateOnline -sn C00WU-Z5SVK-UCGC2-00000-01633 -dt Soft-r 127.0.0.1 -wi
  • Long form: LicenseManagerAutomation.exe --action ActivateOnline --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633 --DongleType Hard --Remote 127.0.0.1 --WriteInIni

Note: Instead of the IPv4 address, you can also state an IPv6 address or the computer name of the target computer.

Messages

Return values:

  • 0: Success.
    The license has been successfully activated.
  • -1: Invalid arguments.
    Incorrect arguments have been given.
  • -2: Error:
    for example: No connection to the license depot, or target computer cannot be contacted.


Mass activation using a collective file

zenon Analyzer > Licensing > Licensing via command line - automation > Mass activation using a collective file

The ActivateOnlineFile value activates all licenses that are stated in the collective file online.

The following can be stated as a target dongle:

  • fixed dongle using dongle ID
  • Hardware dongle
  • Software dongle for:
    • Real existing computer
    • Virtual Machine

If you order several licenses from COPA-DATA, you also get a collective file (*.LicSN) in addition to the license certificate. You can use this file to administer the licenses centrally and to activate them from a central point.

The collective file is a CSV file that can be edited with any desired text editor or a table calculation.

  • Column separator: Semicolon (;) or tab (\t)

Column structure:

Column

Identification

Description

1

Serial number

The unique serial number of each license.

2

Item name

Contains the article names of the license.
Is for information only and has no functional effect.

3

Target computer

Indication of the target computer:

  • If not yet licensed:
    Computer name onto which the license is to be transferred. The following can be used: IPv4 address, IPv6 address or computer name.
  • If already licensed:
    Computer name onto which the license has been transferred.

4

User name

Windows user name from which the license has been activated.
Only used for information.

5

Activated

Display of the status of the activation.

  • True: activated
  • False or empty: not activated

With True, this license is no longer taken into account when processing using the command line.

6

Error text

If an error occurred during activation, the error is logged here.

The original file is only filled with the first two columns.

To use a file for the mass activation using the COPA-DATA License Administration or the command line:

  • Enter the target computer into column 3 for each license.

    Example:

    • Original line of the collective file: C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;
    • Add this line:C005L-XQP49-Z42Q8-00000-02985;zenon SU RT 64 TAGs;MyPCtoLicense

attention Attention

Ensure that you have entered a target computer in the 3rd column in each line of the collective file.

Procedure

Process for licensing:

  • Entries from the file are read in line by line and activated consecutively online.
  • The serial number and the computer name or the IP address are read from the file.
  • The target dongle type is taken from the argument of the command line.
  • If a license has been activated successfully, the LicSN file is updated.
  • If an error occurred, the reason for the error is written in the 6 column of the file.
  • In the event of problems connecting to the licensing server, the complete process is canceled. With all other errors, an attempt is made to activate the next license.

Message after each serial number:

  • Red: Error
  • Green: Success message

attention Attention

Always state the --WriteInIni or -wi argument so that the license is also entered into the first position in the License.ini file.

Note: With this type of activation, the -r (--Remote) parameter does not need to be stated. The remote computer must be entered into the third column of the collective file.

Call

Call for hardware dongle:

  • Short form: LicenseManagerAutomation.exe -a ActivateOnlineFile -f C:\Users\Public\Desktop\SerialNumber.LicSN -dt Hard -wi
  • Long form: LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Hard --WriteInIni

Call for software dongle:

  • Short form: LicenseManagerAutomation.exe -a ActivateOnlineFile -f C:\Users\Public\Desktop\SerialNumber.LicSN -dt Soft-wi
  • Long form: LicenseManagerAutomation.exe --action ActivateOnlineFile --File C:\Users\Public\Desktop\SerialNumber.LicSN --DongleType Soft--WriteInIni

Messages

Return values:

  • 0: Success message.
    • 0: No license has been activated.
    • 1-n: n Licenses have been successfully activated.
  • -1: Invalid arguments.
    Incorrect arguments have been given.
  • -2: Error:
    for example: No connection to the license depot, or target computer cannot be contacted.


Update all licenses of a computer

zenon Analyzer > Licensing > Licensing via command line - automation > Update all licenses of a computer

The UpdateAll value updates all local licenses that are entered in the License.ini file. Network licenses and demo licenses are not taken into account.

This function cannot be executed remotely.

Call

Short form:

LicenseManagerAutomation.exe -a UpdateAll

Long form:

LicenseManagerAutomation.exe --action UpdateAll

Messages

Return values:

  • 0: Success. No license has been updated.
  • 1-n: success: n licenses updated.
  • -1: Error:
    for example: No connection to the license depot, or target computer cannot be contacted.


Enter license at the first position in License.ini

zenon Analyzer > Licensing > Licensing via command line - automation > Enter license at the first position in License.ini

The WriteIniTop argument carries the given serial number for all products that are included with the license, at the first position in the License.ini file at the first position for the respective product.

Example: The Editor, Runtime and Process Gateway products are included with the license. The licenses are entered at the first position for all three products with the command.

Call

Example for call:

  • Short form: LicenseManagerAutomation.exe -a WriteIniTop -sn C00WU-Z5SVK-UCGC2-00000-01633
  • Long form: LicenseManagerAutomation.exe --action WriteIniTop --SerialNumber C00WU-Z5SVK-UCGC2-00000-01633

Procedure

The following is applicable for licensing via the command line:

  • The serial number is validated in the first step.
  • The license is then searched for locally and in the network.
    Note: If a demo license number is entered, only a local search is carried out.

Only if the license is found is it entered into the License.ini file.

Messages

Return values:

  • 0: Success.
    License has been successfully entered.
  • -1: Invalid arguments.
    Incorrect arguments have been given.
  • -2: Error:
    for example: No connection to the license depot, or target computer cannot be contacted.


LicenseTypes

zenon Analyzer > Licensing > LicenseTypes

There are licenses for different uses and pre-configured bundles available for COPA-DATA products. Each product is also supplied with a demo license. You can find details on products, editions and bundles in the COPA-DATA price list valid for your version.

Licenses can be used with a:

  • Hardware dongle: Freely transferable license on a hardware USB dongle.
  • Software dongle Standard: Computer-based license on a software dongle.
    This is a file in the computer.
  • Software dongle Virtual Machine: Computer-based license for use in virtual machines.
    This is a file in a virtual machine.

Licenses can be:

  • Available locally or in the network.
  • Given a fixed date of expiry.
  • Configured for a certain period of usage.
  • Configured for a certain time quota.
  • Returned and thus transferred to a different system.

Attention: Licenses with a specific period of usage cannot be returned.

Other topics in this chapter

Bundles and number of licenses/network licenses

End of validity and usage period

Time quota

Demo mode and demo licenses

Education & Training


Bundles and number of licenses/network licenses

zenon Analyzer > Licensing > LicenseTypes > Bundles and number of licenses/network licenses

COPA-DATA licensing takes bundles, license quantities and network licenses into account.

Bundle

A bundle refers to a license that is summarized in several products. For example, an editor and a runtime are included in the development environment bundle. In the price list, a bundle is listed as an item with a specific item number.

Each product is administered individually by the licensing. The license version (modules, number of TAGs etc.) is the same for all products in a bundle. This information is saved for the bundle and not for the product.
Example: If the bundle has over 2000 TAGs, 2000 TAGs can be used both in the Editor as well as in Runtime.

The products of a bundle do not need to be used on the same computer. They can also be divided. For example, if the editor runs on Computer A, runtime runs on Computer B.

Number of licenses / network licenses

A number of licenses is also stated for each license.
Default: 1

With a number of licenses greater than 1, the products can be used more than once accordingly.

The number of licenses is a setting for the bundle. If the bundle has 3 licenses, then 3 Editors and 3 Runtimes can be started. Because only one editor and/or one runtime can run, the CodeMeter runtime must be set up as a network server with a number of licenses greater than 1 .

HTML Web Engine

With the HTML web engine, the number of instances is licensed, such as 5 instances for example. If such a license is in a bundle with a number of licenses greater than 1, then the instances multiply accordingly.
Example: 3 licenses, each with 5 instances results in 15 HTML web engine instances that can be started.


End of validity and usage period

zenon Analyzer > Licensing > LicenseTypes > End of validity and usage period

End of validity

For licenses, a fixed end of validity (=date of expiry) can be saved as a date + time.

The end of validity is programmed into the dongle and can only be validated by means of a license update. The end of validity is a property of the bundle and thus influences all of the products in the bundle.

Time period for use

A usage time period can be saved for licenses.

The usage time period defines how long the licenses can be used from the first time it is started, for example 30 days from the first time it is started. The usage period is a property of the bundle and thus influences all of the products in the bundle. The first product that is started starts the duration of the time period. This date is saved in the dongle and can only be validated by means of a license update.

Exception: The usage time period for demo licenses is saved for each product. Each product thus has its own usage time period.


Time quota

zenon Analyzer > Licensing > LicenseTypes > Time quota

If a time quota has been issued for a license, the duration is calculated in minutes. The remaining time is saved in the dongle in a forgery-proof manner.

For this, the following applies:

  • Each minute started is deducted from the time quota.
  • The usage time also continues after a dongle is removed and is updated later.
  • Reconnect: If, during an automatic switch between licenses, a valid license without time quota is used as a substitute license, the counting of the time is paused until a dongle with a time quota is active again.


Demo mode and demo licenses

zenon Analyzer > Licensing > LicenseTypes > Demo mode and demo licenses

Each installation contains:

  • Demo licenses: Allows you to test a product for a certain time period.
  • Demo mode: Allows you to start a product and to use it for up to 10 minutes. It is closed again afterwards.

Each installation contains at least one demo license. This has a pre-defined duration or number of permitted starts. If these are used up, the product can continue to be used in demo mode, but it is ended after running for 10 minutes however. You can find out the usage period that is available in the COPA-DATA License Administration in the License usage tab in the details of the license.

COPA-DATA products are:

  • zenon Editor with zenon Logic Workbench as module
  • zenon Runtime
  • zenon Web Server and Web Client
  • HTML Web Engine
  • Process Gateway and OPC DA Server
  • zenon Logic Workbench and Runtime

Demo licenses have their own software dongles. These cannot be used for other licenses. The last existing demo license cannot be deleted using the COPA-DATA License Administration.

The remaining duration and the number of the starts that are still possible for demo licenses and demo mode are shown in the start screen and in the version and license information.

Missing demo license

If no demo license is available on your computer, then:

  1. Open the COPA-DATA License Administration.
  2. Open the License usage tab.
  3. Select the desired demo license.
  4. Select the desired product.
  5. Click on the button at the far right of the list.
    The button turns green in color and the license is now being used.

Note: If there is also no demo license available in COPA-DATA License Administration, contact your COPA-DATA sales partner.

Tipp Hint

You can use demo licenses to test products and editions. To do this, place the demo license at the first location of the license list in the COPA-DATA License Administration. This license is used the next time the product is started.


Education & Training

zenon Analyzer > Licensing > LicenseTypes > Education & Training

Licenses for education & training mode are issued especially for training purposes.

They allow a maximum of 90 minutes duration; the program is then ended automatically. There is 90 minutes of running time available again after a restart.


Version checking and service period / service agreement

zenon Analyzer > Licensing > Version checking and service period / service agreement

From version 8.00, the product version is saved in the license. The product is only started if the product version of the license and the product version of the product match each other. Otherwise a corresponding error message is shown.

If there is a valid service agreement (SLA/SUS/CDDN), the a service period is saved in the license. All versions that have been unlocked during this service period are covered by the license.

The check is carried out for all products in this sequence:

  1. Service period present and valid for the product.
    • Yes: Product starts.
    • No: Next step for checking.
  2. Product version in license correspond to the product version.
    • Yes: Product starts.
    • No: The license is invalid. Product does not start.

Example:

The license has a service period of 1/1/2018 - 31/12/2020. All versions that have been unlocked by COPA-DATA within this time period run with this license. All other versions (earlier or later) cannot be started.


Product-specific themes

zenon Analyzer > Licensing > Product-specific themes

This chapter contains details about COPA-DATA products:

Other topics in this chapter

Variables: Selecting the appropriate license size

Client License

Licensing drivers

zenon Analyzer licensing


Variables: Selecting the appropriate license size

zenon Analyzer > Licensing > Product-specific themes > Variables: Selecting the appropriate license size

Licenses for zenon Editor and Runtime are always issued for a certain number of TAGs (variables). A TAG corresponds to an external variable, regardless of data type. Internal variables are not counted as a TAG. TAGs are only used for licensing. For determining the license size, the total sum of TAGs from the following drivers are used: All PLCs and bus drivers.
The following are not counted: Internal process variables (internal driver for internal use without time stamp) as well as process variables from the system driver, math driver and simulator driver.

For determining the license size, consider the total number of TAGs (= variables) of the following drivers:

  • PLC drivers and bus drivers.
  • Internal driver with complete support for all time stamps (internal and external) and complete status display.
    You can find further information in relation to this in the driver documentation for the internal driver in the Licensing and display in Runtime chapter.

Variables of the following drivers do not count:

  • Internal drivers without support for the internal time stamp and limited display of the status bits.
    You can find further information in relation to this in the driver documentation for the internal driver in the Licensing and display in Runtime chapter.
  • System driver
  • Mathematics driver
  • Simulation driver
  • Alternative Data Point driver

You can license TAGs for the Editor and the Runtime in the following gradation:

  • 64 TAGs
  • 128 TAGs
  • 256 TAGs
  • 512 TAGs
  • 1,024 TAGs
  • 2,048 TAGs
  • 4,096 TAGs
  • 8,192 TAGs
  • 16,384 TAGs
  • 65536 TAGs
  • unlimited

Display in zenon

In the status line of the detail view of the variables the following information can be found:

How many variables:

  • are present in the project
  • are shown in filtered form
  • are selected
  • are used in the project
  • are licensed


Client License

zenon Analyzer > Licensing > Product-specific themes > Client License

You can use client licenses if:

  • The start project is a standalone project or a client project
  • The start project uses a maximum of 64 TAGs when a license is required, if it is not a client project
  • All sub-project client projects are


Licensing drivers

zenon Analyzer > Licensing > Product-specific themes > Licensing drivers

Drivers must be licensed for use in Runtime. Different models are available for this: The license models can be mixed. In this case, the licensing is supplemented. If no driver has been licensed, only the licensed drivers can be used in Runtime. All drivers can always be used in the Editor.

Note: Drivers do not need a license for use in the Runtime simulation (Process Recorder module).

License models:

The following license models are available for drivers:

License model

Description

Example

Individual licensing

Certain drivers have dedicated licenses. Only these drivers that require a license are available in Runtime.

The IEC850 driver is licensed.
Only the IEC850 driver can be used in Runtime, as well as all license-free drivers, such as internal drivers.

Individual group licensing

Drivers are licensed by means of price groups.
The following are available:

  • Price group A
  • Price group B
  • Price group C
  • Price group R

Each group contains certain drivers. You can see the drivers that are contained from the price list valid for your product version.

The licensed number of drivers from each group can be used. Several groups can be licensed at the same time.

3 drivers from the A group and 2 drivers from the R group are licensed.
5 drivers from these two groups can be used in Runtime. This is also applicable in addition to drivers that have been licensed individually.

Group licensing ABC

A certain number of drivers in the groups A, B or C can be licensed. In doing so, drivers in group R are not included

3 drivers from the groups ABC are licensed. 3 drivers can thus be used in Runtime, regardless of which group (except R). This is also applicable in addition to drivers that have been licensed individually.

Volume licensing

A certain number of any desired drivers are licensed. Any desired driver can be used in Runtime, as long as the overall number is not exceeded. Excepted from this are the drivers for SICAM 230.

5 drivers are licensed in general.
5 desired drivers can be used in Runtime. This is also applicable in addition to drivers that have been licensed individually or through a group.

Free drivers

Some drivers are license free. These can be used at any time. They are also not deducted from the licensed quantity with volume licenses.

No drivers have been licensed. The internal driver can be used in Runtime however.

Customer-specific driver

If the customer develops their own driver on the basis of the driver kit, it does not need to be licensed.

SICAM 230 driver. (Price group K)

Do not fall under the zenon driver license models and must be licensed individually. These drivers are not licensed via volume licensing.

Example Example

5 drivers in general are licensed, 3 drivers of the R group and the IEC850 driver. First the IEC850 driver is checked, then the R price group, then volume licensing.
Result: 9 drivers can be used in Runtime:

  • IEC850 driver.
    Even if it is part of the R group.
  • 3 drivers from the R group.
    In addition to the IEC850 driver
  • 5 further drivers.
    In addition to the 3 drivers of the R group and for the IEC850 driver

Checking in Runtime

In Runtime, all projects including subprojects are checked for licensing of the drivers used. If a driver is not licensed, an error message is issued and an entry is written to the LOG file. The Runtime is closed. A driver is not licensed if none of the models available has a valid license

Procedure for checking:

  1. First a check is carried out to see if it is a license-free driver.
    It is accepted if that is the case. It is no longer taken into account for individual licensing, group licensing or volume licensing.
  2. The individual licensing is checked if it is not a license-free driver.
    The driver is accepted if it is included here. It is no longer taken into account for group licensing or volume licensing.
  3. If the driver is not included in the individual licensing, the group licensing is checked.
    The driver is accepted if it is included here. It is no longer taken into account for volume licensing.
  4. If the driver is not included in group licensing, the volume licensing is checked.
    If there is still a license available for a driver, it is accepted.
  5. It is not evaluated as licensed if the driver is not contained in any model.

Note: SICAM 230 drivers must always be licensed individually. They are checked separately and no longer covered by the other zenon license models.

You can however check which drivers are licensed:

  • In the COPA-DATA License Administration
  • In the Editor in the License information.
  • In Runtime using the Show license information function

Behavior with sublicensing

If it is established in Runtime that non-licensed drivers are being used, a corresponding error message is output. The message states that at least 1 driver has not been licensed. Runtime is ended afterwards.

This is how you amend the licensing:

  1. Open the COPA-DATA License Administration.
  2. Check in the License Use tab:
    • Which license is currently being used for Runtime.
    • How many and which drivers have been licensed.
  3. Check which drivers are used in the project configuration.
  4. License the missing drivers.
  5. Restart Runtime.
  6. The driver licenses are checked and Runtime starts with successful checking.


zenon Analyzer licensing

zenon Analyzer > Licensing > Product-specific themes > zenon Analyzer licensing

The components of zenon Analyzer must have a valid license. The servers and clients must be licensed for the same version.

The license data is entered via the COPA-DATA License Administration. This dialog is also used for other COPA-DATA products.

Note: Ensure that you have sufficient licensing to provide all users with a fixed license and possibly provide additional users with licenses.

Limitations

There are the following restrictions without a valid license:

  • No external access via the default access site is possible.
  • There is no connector functionality
  • Report templates and reports cannot be used.
  • ZAMS, Data Editors and the Prediction Model Manager can be started without a license, but do not allow connection to the Analyzer Server.
    Without connection it is only possible:
    • To configure the application
    • Opening the version information
    • Opening the help
    • Opening the COPA-DATA License Administration (ZAMS only)
      Note: If a license is lost during ongoing operation, all reports that are open in ZAMS are closed. You are able to save them before they are closed.

Licensing in workgroups

For licensing for computers that are not in domains, but in Windows workgroups, note the procedure in the Licensing in workgroups chapter.

Other topics in this chapter

Licensing in workgroups


Licensing in workgroups

zenon Analyzer > Licensing > Product-specific themes > zenon Analyzer licensing > Licensing in workgroups

Licensing for zenon Analyzer in Windows workgroups is different from the licensing for domains.

Requirements

For licensing within workgroups, the zenon Analyzer License Service must work in Workgroup mode.
To do this, the following requirements must be fulfilled:

  • The computer that acts as the Analyzer Server must be a member of the workgroup.
  • All users of the workgroup must also be present on the Analyzer Server.
  • The license service on the Analyzer Server must run in the user context of a user of the workgroup. Other computers in the workgroup are thus recognized as members of the group.

Changing license service user context

This is how you change the user context for the license service:

  1. Open the administration of the local services.
  2. Go to the zrsLicSrv service.
  3. Stop the service.
  4. Click on Properties in the context menu of the service.

    The dialog with the properties of the service is opened.

  5. Open the Log in tab.
  6. Activate the This account radio button.
  7. Enter the user name, password and password confirmation for the desired user.
  8. Close the dialog by clicking on OK.
  9. Start the service.


Display version and license information

zenon Analyzer > Licensing > Display version and license information

You can see the version and license that you are currently using and which modules are included in this in the license information for the respective product.

Other topics in this chapter

zenon Editor:

zenon Runtime

zenon Logic Workbench

zenon Logic Runtime

zenon Web Server

HTML Web Engine

Process Gateway

OPC DA Server

zenon Analyzer


zenon Editor:

zenon Analyzer > Licensing > Display version and license information > zenon Editor:

To display license information in the Editor:

  1. Open the menu Help.
  2. Click on About... .

    The license information dialog is opened.

License information dialog

Option

Description

Version

Editor version number.

Edition

Edition used.

Serial number

License serial number.

Expiration time (optional)

Shows, with a time-limited license, information about the expiry date.

Detail information

Information on licensed:

  • Version
  • Variables
  • Modules and their their expansion

Open License Administration

Opens the COPA-DATA License Administration. Licenses can be activated, returned and managed with this tool. The serial number is needed for this.

Close

Closes the dialog.


zenon Runtime

zenon Analyzer > Licensing > Display version and license information > zenon Runtime

To display license information in Runtime:

  1. Configure the function Show license information.
  2. Execute this in Runtime.

    The license information dialog is opened.

License information dialog

Option

Description

Version

Version number of Runtime.

Edition

Edition used.

Serial number

License serial number.

Expiration time (optional)

Shows, with a time-limited license information using the expiry date.

Detail information

Information on licensed:

  • Version
  • Variables
  • Modules and their their expansion

Close

Closes the dialog.


zenon Logic Workbench

zenon Analyzer > Licensing > Display version and license information > zenon Logic Workbench

To display license information in zenon Logic Workbench:

  1. Open the menu Help.
  2. Click on About... .

    The license information dialog is opened.

License information dialog

Parameters/buttons | Description
Version | Version number of the integrated workbench.
Edition | Edition used.
Serial number | License serial number.
Detail information | Shows details on the license.
Open license administration | Opens the COPA-DATA License Administration. Licenses can be activated, returned and managed with this tool. The serial number is needed for this.
Close | Closes the dialog.


zenon Logic Runtime

zenon Analyzer > Licensing > Display version and license information > zenon Logic Runtime

To view the license information:

  1. With Runtime running, double-click on the symbol for zenon Logic in the system tray.

    The dialog with the status information is opened.

  2. In the top left corner, click on the zenon Logic logo.
  3. In the drop-down list, select About zenon Logic Runtime....

    The dialog with the license information is opened.

License information dialog

Option | Description
License information | Shows information about the license currently being used.
OK | Closes the dialog.
Open License Administration | Opens the COPA-DATA License Administration. Licenses can be activated, returned and managed with this tool. The serial number is needed for this.


zenon Web Server

zenon Analyzer > Licensing > Display version and license information > zenon Web Server

To view license information:

  1. Open the Control Panel or the Start Menu.
  2. Click on zenon Web Server.

    The dialog for configuration and licensing is opened.

zenon Web Server dialog

Option

Description

Active Clients

List of the currently-connected zenon web clients.

State:

Displays version and status of the Web Server:

Possible versions:

  • zenon Web Server
  • zenon Web Server Pro
  • zenon Web Server Pro Light

Possible status messages:

  • running:
    Web Server is running with valid license
  • stopped:
    Web Server stopped:
  • Demo mode:
    Web Server is running in demo mode without license
  • not installed:
    Web Server not registered as service or installation error

Max. number of clients:

Maximum number of clients that are permitted to connect to the Web Server. The number is defined by the license.
Two clients are licensed for 30 minutes in demo mode.

Default: 0

Number of active clients:

Displays the number of clients currently connected.

HTTP tunnelling

Active: HTTP tunneling is activated.

Not available in the Web Server Pro Light version.
Note: Can only be changed if the Web Server has the status stopped. Cannot be switched during operation.

Default: Inactive

Start

Starts the Web Server

Stop

Stops the Web Server

Refresh

Refreshes the display.

Diagnosis Viewer

Opens the Diagnosis Viewer to evaluate error messages.

License Manager

Opens the COPA-DATA License Administration. Licenses can be activated, returned and managed with this tool. The serial number is needed for this.

License ínformation

Shows information about the license currently being used.

  • If used: demo license / education & training license
  • Licensed product versions
  • Serial number
  • Expiry time / duration of use

License errors

Shows information about errors for the licenses found.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


HTML Web Engine

zenon Analyzer > Licensing > Display version and license information > HTML Web Engine

To display license information in the HTML web engine:

  1. Open the menu Help.
  2. Click on About... .

    The license information dialog is opened.

License information dialog

Option

Description

Version

Editor version number.

Edition

Edition used.

Serial number

License serial number.

Detail information

Information on licensed:

  • Version
  • Variables
  • Modules and their their expansion

Open license manager

Opens the COPA-DATA License Administration. Licenses can be activated, returned and managed with this tool. The serial number is needed for this.

Close

Closes the dialog.


Process Gateway

zenon Analyzer > Licensing > Display version and license information > Process Gateway

To view license information in the Process Gateway:

  1. Open the Process Gateway.
  2. Click the About button .

    The About dialog is opened.

Dialog About

Option | Description
License information | Information on licensed modules including serial number.
OK | Closes the dialog.
Open license manager | Opens the COPA-DATA License Administration. Licenses can be activated, returned and managed with this tool. The serial number is needed for this.

If the Process Gateway is opened without an existing module configuration, a model must be selected first. After selecting a module, the corresponding start dialog for the Process Gateway is opened. In doing so, the Settings button is inactive until the Process Gateway is licensed.


OPC DA Server

zenon Analyzer > Licensing > Display version and license information > OPC DA Server

To display license information in the Process Gateway:

  1. Open the OPC DA server.
  2. Click About.

    The About dialog is opened.

Dialog About

Option | Description
License information | Information on licensed modules including serial number.
OK | Closes the dialog.
Open license manager | Opens the COPA-DATA License Administration. Licenses can be activated, returned and managed with this tool. The serial number is needed for this.


zenon Analyzer

zenon Analyzer > Licensing > Display version and license information > zenon Analyzer

To display the license used by the Analyzer server:

  1. Select, in the Analyzer server ribbon, the Show license command

    The dialog with the license information is opened.

Option

Description

Licensing details

Shows the details of the actual license. Above all:

  • Serial number
  • licensed versions
  • Licensed clients
  • Validity and expiration data

Included themes

Display of the report themes, included in this license.

OK

Closes the window.

For details on licensing, see also the Licensing chapter.


Redundant license protection

zenon Analyzer > Licensing > Redundant license protection

In some equipment, constant availability is essential. It must be ensured that the license protection can always be achieved. For such applications, a license search list can be created in the COPA-DATA License Administration.

This search list is taken into account both when starting as well as during ongoing operation. All products always attempt to assign the next license in the list. Demo licenses are not taken into account at the time. If a license expires during ongoing operation, the next license is automatically used as a substitute license, if it complies with the rules.

Rules for the reconnect

  • The sequence of the query corresponds to the sequence in License.ini. This is established via the COPA-DATA License Administration in the License Use tab.
  • A maximum of 10 licenses are queried.
  • In runtime, demo licenses are not taken into account as substitute licenses. They are skipped.
  • A substitute license must be valid for the product version used and must be at least the same license version as the original license. It can also have a higher license version, for example more TAGs, more modules, etc. However, it is always only the versions available in the original license that are provided.
  • The edition must be the same in both licenses.
  • Examples:
    • Example 1: The license used the first time Runtime is started is an operator license. The substitute license is a supervisor license. The substitute license cannot be used because the edition is not the same.
    • Example 2: The license used when Runtime is started for the first time has 2000 TAGs, the Historian, Extended Trend modules and two drivers licensed. The substitute license has 4000 TAGs, in addition the Message Control module and three drivers are licensed. The substitute license is used. The increased TAG number, the new modules and drivers cannot be used however.

Behavior on restarting

On restarting, the license search list in License.ini is also taken into account.
The difference to the reconnect:

  • No comparison with the first license is made
  • The complete version of the license is taken into account
  • Demo licenses are taken into account.
    Attention: This may result in unwanted behavior.
    If you have, for example, entered a demo license as a second license, the behavior is different when restarting and reconnecting:
    • With a reconnect, the demo license is skipped and the third license is used.
    • The demo license is started when restarting.


Defective hard drive - replace hard drive - reinstall operating system

zenon Analyzer > Licensing > Defective hard drive - replace hard drive - reinstall operating system

This chapter describes the procedure if a software dongle is used and the hard drive is replaced or the operating system is reinstalled.
Note: With hardware dongles, the license must be transferred again when the operating system is reinstalled. For details, see the Apply license from the hardware dongle chapter.

Software dongle: Planned hard drive replacement - reinstall operating system

If you want to replace the hard drive with the operating system (generally the C drive) or reinstall the operating system:

  1. Return the license punctually.
  2. Replace the hard drive and/or reinstall the operating system.
  3. Activate the licenses again.

You can find details in chapter Transfer/relocate license.

Software dongle: Unplanned hard drive replacement

If the hard drive designated as the C drive is defective, the license can no longer be returned to the license depot. The license is thus lost. This is also applicable if the operating system has been reinstalled without the license having been returned beforehand. In general, the same serial number can be used again for reactivation.

attention Attention

No components other than the hard drive can be replaced. A replacement license must be issued if other components are changed.

To restore a license when a hard drive is replaced:

  1. Set up the computer again and reinstall zenon.
  2. Start the COPA-DATA License Administration.
  3. Switch to the Activate license tab in the advanced view.
  4. Select the option Offline activation.
  5. Enter the serial number that was used for the last activation.
  6. Click on the Create license request file button.
  7. Open the web browser.
  8. Do not under any circumstances open the web address that is shown in the dialog!
    Instead, you must open this web address:
    https://copadata-license.copadata.com/restore.php

    Attention: There is an error message if the host computer is not recognized as identical to the original activation computer. A substitute license must be requested in this case.

  9. Upload the license request file <SN>.LicRec .
  10. Download the update file <SN>.LicUpd.
  11. Transfer the update file to the COPA-DATA License Administration.
  12. Upload the <SN>.LicConf confirmation file.

Your license is ready to use again.


License invalidation with software dongles

zenon Analyzer > Licensing > License invalidation with software dongles

Licenses for software dongles are computer-based. They can only be used on the originally-licensed computers. They are invalid if they are used on other computers.

Whether a license can continue to be used when a computer is physically rebuilt depends on which components and how many components are changed. A change of the computer name or a replacement of a hard drive (except drive C) generally does not constitute a problem.

info Information

Licenses can be returned and reactivated. It is thus possible to transfer a license to another computer or to another virtual machine without invalidating the license.

Types of software dongles

Software dongles are available in the following types. They are different in the way that they are used and in triggers for license invalidation.

Dongle type

Functionality

License invalidation

Software-Dongle Standard:
(computer-based license)
  • License is only valid on the computer on which is was activated.
  • License can only be used on a physical computer, but not in a virtual machine.

The license is invalidated as a result of the following events:

  • The hardware of the computer is changed.
  • The operating system is reinstalled. For details in relation to this, read the Defective hard drive - replace hard drive - reinstall operating system chapter.

Software-Dongle VirtualMachine:

(computer-based license for virtual machine)
  • License is only valid on the host computer on which the virtual machine was activated.
  • License can be used in a virtual machine and on a physical computer.

The license is invalidated as a result of the following events:

  • The virtual machine is transferred to another host computer.
  • The hardware of the host computer is changed.

Software-Dongle VM DataCenter:

(license for virtual machine in data center)
  • License can be used in a virtual machine in a public data center such as Microsoft Azure or Amazon Web Services (AWS), as well as in private data centers.
  • The virtual machine can be moved to different host systems within the data center.

The license is invalidated as a result of the following events:

  • The virtual machine is copied.

License invalidation

If a license becomes invalid, a corresponding message is shown in the COPA-DATA License Administration. Depending on the cause of the license invalidation, the license can either be restored or must be replaced with a new license.

Attention: Always note the serial numbers in question if a license is invalidated! If the serial numbers can no longer be established, the Dongle-ID must be given. You must therefore always note the Dongle-ID shown in the error message. Only then can the license issuer find out which dongles have been activated on the dongle. No other information can be read from invalidated software dongles.

Restoring and substitute licenses

If a software dongle becomes invalid, the licenses contained on it can be restored or re-requested under certain conditions.

  • Restoring of the original status.
    The software dongle becomes valid again as a result. The license can then be transferred with the regular procedure.
  • Restoring is no longer possible. Requesting a replacement license.

Restore license

A license can be restored if the physical status of the host can be reset back to the initial status.

  1. Restore the computer's original hardware status. For example, by transferring the virtual machine back to the original host system.
    The time of the zenon installation is decisive for this. The software dongle is bound to the hardware during installation.
  2. The license is valid again.
  3. Return the license.
  4. Transfer the virtual machine or change the computer's hardware.
  5. Activate the license again.

Request substitute license:

A substitute license can be issued in the following cases:

  • A license has been invalidated and cannot be restored.
  • A license had been irretrievably lost due to a defective hard drive. Also see chapter: Defective hard drive - replace hard drive - reinstall operating system

The previous dongle is locked when the substitute license is issued. It can no longer be used. All licenses that were saved on the dongle thus become invalid. The lost serial numbers are required for the creation of substitute licenses. If these cannot be established, they can be found out via the Dongle-ID.

  1. Delete the invalidated license
  2. Contact your sales partner.
  3. Request a new license.
  4. Activate the new license.

attention Attention

Virtual machine in data center:

In a public data center such as Microsoft Azure or Amazon Web Services (AWS), as well as in private data centers, automated switching of the host system can trigger license invalidation on a virtual machine. In this case, request a license that is suitable for data centers from the license issuer.


Switch between virtual machine and Virtual Machine DataCenter

zenon Analyzer > Licensing > Switch between virtual machine and Virtual Machine DataCenter

A virtual machine can either be operated with the Software-Dongle VirtualMachine dongle type or with the Software-Dongle VM DataCenter dongle type. The Software-Dongle VirtualMachine dongle type is generally used. If the virtual machine is operated in a public data center such as Microsoft Azure or Amazon Web Services (AWS), or in a private data center , it is expressly recommended that the Software-Dongle VM DataCenter dongle type is used. Otherwise the software dongle would be invalidated each time the host system is switched. The switch cannot generally be influenced by the user. Unlocking of this dongle type must be applied for from the license issuer.

The switch is manual by switching in the COPA-DATA License Administration or automatic by applying a corresponding license.

Manual switch of virtual machine to Virtual Machine DataCenter

Manual switch via COPA-DATA License Administration:

  1. Start the COPA-DATA License Administration in the virtual machine.
  2. Return licenses if there are any on the dongle.
  3. Open the Settings tab.
  4. Click on the Switch software dongle to "VM DataCenter" dongle type.

    Note: This button is only displayed for licensing in a virtual machine.

  5. Confirm this when requested to do so.

    The existing Software-Dongle VirtualMachine is deleted and a Software-Dongle VM DataCenter is created.
    The button changes it function to Switch software dongle to "Virtual Machine" dongle type.

  6. Activate the required licenses on the new dongle.

To change a dongle to Software-Dongle VirtualMachine, carry out the steps again and click on Switch software dongle to "Virtual Machine" dongle type.

Automatic switching of the dongle when applying a license

The Software-Dongle VirtualMachine and Software-Dongle VM DataCenter dongles can also be switched automatically.

This happens if:

  • The target dongle is empty
    and
  • a corresponding license is activated on it

An error message is shown if there are already licenses present.

Note:

  • If a license that is unlocked for Software-Dongle VM DataCenter is activated on a Software-Dongle VirtualMachine, the license loses its property of being able to be deployed in a data center regardless of hardware.
  • If the dongle type is automatically switched during the licensing procedure but the licensing process fails, the dongle type is not reset.

Example

A license for Software-Dongle VM DataCenter is activated online on a Software-Dongle VirtualMachine dongle. The dongle does not yet contain a license. It is automatically switched to a Software-Dongle VM DataCenter.


License query during operation

zenon Analyzer > Licensing > License query during operation

The license for the product being used is regularly checked during ongoing operation. If there is no license, an attempt is made to establish the connection again. If that does not succeed, the computer and the license are checked for further suitable licenses.

Rules for the reconnect

  • The sequence of the query corresponds to the sequence in License.ini. This is established via the COPA-DATA License Administration in the License Use tab.
  • A maximum of 10 licenses are queried.
  • In runtime, demo licenses are not taken into account as substitute licenses. They are skipped.
  • A substitute license must be valid for the product version used and must be at least the same license version as the original license. It can also have a higher license version, for example more TAGs, more modules, etc. However, it is always only the versions available in the original license that are provided.
  • The edition must be the same in both licenses.
  • Examples:
    • Example 1: The license used the first time Runtime is started is an operator license. The substitute license is a supervisor license. The substitute license cannot be used because the edition is not the same.
    • Example 2: The license used when Runtime is started for the first time has 2000 TAGs, the Historian, Extended Trend modules and two drivers licensed. The substitute license has 4000 TAGs, in addition the Message Control module and three drivers are licensed. The substitute license is used. The increased TAG number, the new modules and drivers cannot be used however.

License loss without substitude license

If no valid license is found when running, the products act as follows:

  • zenon Runtime: Runtime continues.
    Entries are written to the CEL. The presence of license protection can be monitored locally and in the network using the system driver variable [System information] License protection active.
  • zenon Web Server: The zenon web server continues to run.
    Corresponding information is shown in the zenon web server dialog.
  • zenon Editor: Then the Editor is closed.
  • HTML Web Engine: (continues to be executed)
  • zenon Logic, Process Gateway and OPC DA Server: All products continue to be executed.
    The loss of a license is shown in the About... dialog.
  • zenon Analyzer ZAMS: Is closed.
  • zenon Analyzer Report Launcher: New reports cannot be opened. Opened reports cannot be updated.

The following applies to products: If no license is available, the product cannot be restarted. The products run up to the next restart at most. Demo mode can continue to be used.

Possible reasons for loss of license

If your product reports a loss of license, there can be a number of reasons for this.
The most frequent causes of a loss of license are:

  • The network connection to the license server is no longer available.
  • The hardware dongle was removed.
  • The license has expired.
  • The time quota for the product is exhausted.


Computer defect with software dongle: Use 30-day demo license

zenon Analyzer > Licensing > Computer defect with software dongle: Use 30-day demo license

If a hardware problem occurs with a computer, such as a defective hard drive for example, software licenses are usually affected by this. Either the license is invalidated or it is no longer present.

In this case, you can use a demo license until the license is replaced. All Runtime demo licenses have a 30-day duration from when they are first started. Except: Virtual machine demo licenses.

If you have never used a demo license before, you have 30 days available from the first time the product was started. The usage period is started individually for each product (Editor/Runtime/Web Server etc...).


Particular features with client-server operation

zenon Analyzer > Licensing > Particular features with client-server operation

When licensing of modules in the client-server operation, the following particular features are applicable:

Module

Description

Historian

The following cases are distinguished:

  • Server and client licensed:
    Archives can be opened and edited at the client.
  • Server licensed and client not licensed:
    Archives can be opened but not edited at the client.
  • Historian not licensed and started as standalone:
    The archive revision screen can be opened but the individual archives cannot be edited however.

Automatic Line Coloring

The client gets the license from the server and does not need its own license. If the server does not have a license of its own, the client cannot use the module.

Batch Control

The client gets the license from the server and does not need its own license. If the server does not have a license of its own, the client cannot use the module.

Load Management

The client gets the license from the server and does not need its own license. If the server does not have a license of its own, the client cannot use the module.

Message Control

The client gets the license from the server and does not need its own license. If the server does not have a license of its own, the client cannot use the module.

Everywhere Server by zenon

Everywhere Server gets the license of the Runtime. The Everywhere Server can not be used, If the Runtime does not have a corresponding license. This can lead to Runtime running but the Everywhere Server not being able to be started due to missing licenses.


Serial number

zenon Analyzer > Licensing > Serial number

Each COPA-DATA product must be licensed by means of a serial number.
The serial number is created according to certain rules. It consists of 5 groups each with 5 characters and contains a checksum. The last 10 places contain a continuous number and make the serial numbers easily distinguishable from one another.

Example: C00GF-2SQ5T-QWERT-00000-00035

The serial number can only contain certain alphanumeric characters:

  • Permitted characters:
    • Only Arabic figures: 0-9
    • Only letters from the Latin alphabet.
    • A-N
    • P-Z
  • Non-permitted characters:
    • Letter O, so that there is no confusion with the character 0.
    • Special characters


License.ini file

zenon Analyzer > Licensing > License.ini file

The information on licensing is stored in the License.ini file. However, actions for licensing are always executed via the COPA-DATA License Administration.

Path to License.ini: %programdata%\COPA-DATA\System
Hint: You can also call up the path with the %CD_System% environment variable.

attention Attention

Never edit the License.ini file manually!
Changes to this file can lead to correctly-licensed products no longer being able to be used. Always carry out actions in relation to licensing through the COPA-DATA License Administration.


CodeMeter requirements

zenon Analyzer > Licensing > CodeMeter requirements

Hardware and software from CodeMeter is used for licensing.
To do this, the following requirements must be met:

General:

  • The CodeMeter Runtime version must be 6.60 or higher and running on the computer.

Hardware dongle:

  • The hardware dongle must be series 3 or higher. The serial number of this dongle starts with 3. For example: 3-1234567.
    Dongles from series 1 and 2 are not supported.
  • CodeMeter There are various forms of dongles, such as internal and external USB sticks, as well as SD, PCMCIA and CFast cards. All forms have the same security chip inside and can be used.
  • The CodeMeter hardware dongle must be available at a USB port on the local computer or as a server on a network computer.
  • For virtual machines (VMs), Wibu Systems recommend not accessing the dongle by means of USB port in the VM. Instead, operate the dongle as a Wibu server in the host system and access it using the network.

Network:

  • With license queries of network dongles, the CodeMeter service must be activated as a network server.
    Recommendation: Enter the server on the client system into the server search list.

Note: When starting COPA-DATA License Administration, the CodeMeter runtime is always checked for the correct version. In the event of an error, a corresponding message is displayed and the licensing is canceled. In this case, install the current CodeMeter Runtime.


CodeMeter Software

zenon Analyzer > Licensing > CodeMeter Software

The dongles used by COPA-DATA dongles for licensing are based on CodeMeter hardware and software. Licenses are administered using the COPA-DATA License Administration. The CodeMeter Webadmin provides additional functions for administrations. These are not generally needed in regular operation.

You can find detailed help on the use of CodeMeter in the help integrated into CodeMeter.
You call this up using:

  • Control center: In the Help menu, click on the Help entry.
  • WebAdmin: Click on the question mark in the second line of the menu.
    The CodeMeter help is opened context-sensitively.

Note: Descriptions of the CodeMeter WebAdmin relate to the respective version 6.60. This manual covers the most important applications for zenon users.

Requirements

In order for the licensing via CodeMeter to work, the following requirements must be met:

General:

  • The CodeMeter Runtime version must be 6.60 or higher and running on the computer.

Hardware dongle:

  • The hardware dongle must be series 3 or higher. The serial number of this dongle starts with 3. For example: 3-1234567.
    Dongles from series 1 and 2 are not supported.
  • CodeMeter There are various forms of dongles, such as internal and external USB sticks, as well as SD, PCMCIA and CFast cards. All forms have the same security chip inside and can be used.
  • The CodeMeter hardware dongle must be available at a USB port on the local computer or as a server on a network computer.
  • For virtual machines (VMs), Wibu Systems recommend not accessing the dongle by means of USB port in the VM. Instead, operate the dongle as a Wibu server in the host system and access it using the network.

Network:

  • With license queries of network dongles, the CodeMeter service must be activated as a network server.
    Recommendation: Enter the server on the client system into the server search list.

attention Attention

If the CodeMeter dongle is removed during ongoing operation, zenon closes and is opened in demo mode until a valid license is detected again.

Other topics in this chapter

Control Center

WebAdmin

Update certified time

Network dongles

Configure CodeMeter dongle as an HID or drive

Troubleshooting


Control Center

zenon Analyzer > Licensing > CodeMeter Software > Control Center

You start the CodeMeter Control Center using: Windows -> CodeMeter -> CodeMeter Control Center.
The CodeMeter Control Center is opened with 2 tabs:

  • License: Contains information about the dongles found and allows actions with dongles and licenses.
  • Events: Displays the number of sticks connected, the license entries, the firm items found and all access to the CodeMeter Runtime server. To log the entries on a permanent basis, activate the Logging entry in the File menu.

Other topics in this chapter

License tab


License tab

zenon Analyzer > Licensing > CodeMeter Software > Control Center > License tab

Dongles and licenses are displayed and configured in this tab.

Option

Description

License

Lists all active CodeMeter dongles.

Name:

Individual name of the selected dongle. With hardware dongles, the name can be changed using the button with the pen (to the right of it).

Serial Number:

Serial number of the selected dongle.

Version:

Firmware version of the selected dongle.

Recommendation: Always use the most recent firmware.
To update the firmware: Click on the arrow button. The online update via a Wibu server is started.

Capacity:

Display of free memory in percentage and bytes on the dongle.

Symbols:

Three symbols allow actions with the dongle:

  • Pen: Rename the name of the dongle.
  • Lamp: Let the selected stick flash.
  • Arrow: Update the firmware of the selected stick.

Status

Display and possible change of the status for a dongle.

Hardware dongle:
Selection of the status of the selected CodeMeter dongle using radio buttons.

  • Deactivated:
    The dongle connected is deactivated and cannot be used by any application.
  • Activates when connected:
    The stick is activated as long as it is connected. It is automatically deactivated after removal from the PC.
  • Activated:
    The stick is fully activated and remains activated after it is removed.
    Recommended status: Ensures that unauthorized persons do not have access to licenses and personal data (such as CmPasswordManager) if the stick is lost.

Changes must be confirmed using the dongle password.

Software dongle:

  • Display of the license status.

License updating

Starts the assistant to add, amend and delete licenses.

Note: Is not available for COPA-DATA products. Licenses are administered using the COPA-DATA License Administration.

Eject

Allows the stick to be ejected.
Only available for hardware dongles.

Change password

Allows the password to be changed.
Only available for hardware dongles.

Delete license

Deletes selected license.
Only available for software dongles.
Caution: This option must not be executed under any circumstances, because restoring of licenses that are saved on the dongle is not possible.
The following is applicable for demo mode with software dongles: These can no longer be applied after deletion.

CodeMeter has been started/stopped

Information on whether the CodeMeter service is running. Can be changed in the Action menu.
Attention: The service cannot be stopped or restarted using the Control Center, because the zenon license transfer service depends on the CodeMeter service. Closing the service is only possible using the services.msc application of the operating system.

WebAdmin

Starts the web browser with the administration user interface for dongles. Port 22350 must be open for this. For details, see the WebAdmin chapter.


WebAdmin

zenon Analyzer > Licensing > CodeMeter Software > WebAdmin

The CodeMeter WebAdmin is for the configuration and administration of dongles in the network.

To start the CodeMeter WebAdmin:

  1. Open the CodeMeter Control Center.
  2. Click on the WebAdmin button.

    The CodeMeter WebAdmin is opened in the web browser.

Alternatively, use the following link: http://localhost:22350/index.html

Detailed information on the individual settings can be found in the CodeMeter WebAdmin help pages. You can get to this using the question mark (?) symbol in WebAdmin. The most important options and instructions are also in this document.

attention Attention

CodeMeter WebAdmin uses port 22350 by default.
Note:

  • If a firewall other than that integrated into the Windows operating system is used, this port must be enabled.
  • If the port is changed, the WebAdmin surface cannot be started, because the port is part of the address
    for example: B: http://localhost:22350/configuration/extra.html
    If you have changed the port and no longer know which port it is, you can look it up in the registry. To do this, open Regedit.exe and go to the following node: HKEY_LOCAL_MACHINE\SOFTWARE\WIBU-SYSTEMS\CodeMeter\Server\CurrentVersion. You can find the current port number in the NetworkPort entry. Enter the port used there into the browser address line instead of 22350.
    Then amend the port in WebAdmin via Settings-> Advanced-> Extras .


Update certified time

zenon Analyzer > Licensing > CodeMeter Software > Update certified time

You can update the certified time saved in the dongle via the CodeMeter time server. You need access to the Internet for this.

To update the time:

  1. Start the CodeMeter WebAdmin.
  2. Check your network settings:
    1. Are the proxy settings correct in CodeMeter Webadmin?
    2. Is your access data up-to-date?
  3. Navigate to the Container menu.
  4. Select the desired dongle.
  5. Click on CMContainer info

  6. Select the Time Certificate (CM Container) entry.
  7. Click on the symbol to update:
  8. You are notified that this will update all sticks.
  9. Click on OK.

    You receive information on the update carried out.
    Hint: In the event of an error message, you primarily check your access data for the proxy server.


Network dongles

zenon Analyzer > Licensing > CodeMeter Software > Network dongles

Each license can be used in the network. In order for CodeMeter dongles to be able to be reached in the network, the CodeMeter Runtime service must be started as a network server.

To do this:

  1. Open CodeMeter Webadmin: http://localhost:22350/configuration/server_access.html.
    You can also start WebAdmin via the CodeMeter Control Center.

  2. Go to the Settings -> Basic -> Server Access page and set the activate network server option.
  3. Click on the Accept button.

    The CodeMeter Runtime service is restarted.

All locally-connected hardware and software dongles are thus available via the network. Demo licenses on demo dongles are an exception. These can always only be used locally.

Other topics in this chapter

Set up server search list for network dongles

Check whether a dongle is found in the network


Set up server search list for network dongles

zenon Analyzer > Licensing > CodeMeter Software > Network dongles > Set up server search list for network dongles

Dongles in the network are found using mechanisms in CodeMeter Runtime.. This is independent from zenon and can only be influenced by CodeMeter. If a dongle is not found by CodeMeter it is also not found by zenon products.

info Information

The CodeMeter mechanism is not to be mistaken with the mechanism of the COPA-DATA License Administration.

This establishes a direct connection via the zenon license transfer. This connection is fundamentally different to the CodeMeter connection.

The CodeMeter mechanism always looks for dongles locally first. If the license being searched for is not found, a search in the network is carried out. In doing so, a broadcast is used as standard.
Broadcasts have the following disadvantages:

  • All computers in the network are always searched for.
    As a result, it is possible, especially with large networks or many dongles in the network, that there are long response times.
  • Dongles that do not have the license being searched for are queried.
    As a result, the network and CodeMeter Runtime are subjected to unnecessary load.
  • Broadcasts only work in the local subset.
    If the dongle is in another subnet, the dongle is not found.

Recommendation: Enter the dongles into the server search list. You thus avoid the described limitations.

To enter a CodeMeter server into the server search list:

  1. Start the CodeMeter WebAdmin: http://localhost:22350/configuration/server_search_list.html.
    You can also start WebAdmin via the CodeMeter Control Center.
  2. Go to Settings -> Basic -> Server search list.

  3. Add the server by clicking on the plus sign.
  4. With several servers: Position the server with the arrow symbols in the desired sequence of the query.
  5. Apply the settings by clicking on the Apply button.


Check whether a dongle is found in the network

zenon Analyzer > Licensing > CodeMeter Software > Network dongles > Check whether a dongle is found in the network

The finding of dongles in the network is carried out using CodeMeter Runtime mechanism. The check is therefore best carried out using the CodeMeter mechanisms:

  1. Start the CodeMeter WebAdmin: http://localhost:22350/index.html.
    You can also start WebAdmin via the CodeMeter Control Center.
  2. At the lower edge, you can see the Current server: localhost (127.0.0.1) entry.
    Click on the button

    A dialog with all CodeMeter network servers found is opened.

  3. Select the desired server to control where the dongle being searched for is found.
    Attention: They are connected to the CodeMeter server remotely. All displayed information comes from the remote computer.

If the server being searched for is not on the list, then check it:

  • Is the CodeMeter Runtime activated as a network server?
  • Is the server entered into the server search list?
    Was the TCP/IP port of CodeMeter runtime changed?
    The standard port is 22350 and should not be changed. If you have changed the port and no longer know which port it is, you can look it up in the registry. To do this, open Regedit.exe and go to the following node: HKEY_LOCAL_MACHINE\SOFTWARE\WIBU-SYSTEMS\CodeMeter\Server\CurrentVersion. You can find the current port number in the NetworkPort entry.It is best to reset the port number to the default of 22350 .
    The port must be the same on all CodeMeter computers.
  • Is the CodeMeter runtime blocked by a firewall?
    Check the firewall settings both on the server and on the client.


Configure CodeMeter dongle as an HID or drive

zenon Analyzer > Licensing > CodeMeter Software > Configure CodeMeter dongle as an HID or drive

The dongle is integrated into the system as an HID (Human Interface Device) device by default. This configuration is recommended. The dongle can also be configured as a local mass-storage device or removable media.

Requirements:

  • CodeMeter Container with the identification "2-xxxxxxx" or 3-xxxxxxx".
  • At least CodeMeter firmware 2.02.
  • CodeMeter Runtime 6.60 or higher. Should the version of CodeMeter that you have installed be older, you can download the current CodeMeter Runtime from Wibu Systems (www.wibu.com).

Configurations

CodeMeter Sticks can be configured as:

Device

Description

Limitations

HID
(Human Interface Device)

Dongle is signed into the HID on the system.
The dongle is thus not shown in the list of available drives and is not allocated a drive letter.

Default for sticks without memory.

Special USB host drivers are not required.

Only available for CodeMeter dongles without memory.

Local mass-storage device (Mass Storage Device - MSD)

The dongle is displayed and managed as a fixed local drive with its own drive letter.

Can lead to:

  • The operating system reporting too little memory for the dongle
  • the icon for the Windows Recycle Bin no longer being displayed
  • the dongle not being found in a virtual machine

Removable media

The dongle is displayed and managed as removable media with its own drive letter.

The dongle must have flash memory.

With configuration as removable media:

  • The booting of the computer can be prevented for with computers that can boot from a USB drive
  • The dongle appears as a drive in the task bar and can be removed (ejected) at any time

Process of reconfiguring dongle

Status dongle

Target

Procedure

HID

Local mass-storage device
  • Configuration as mass-storage device.
  • Configuration as local harddisk

HID

Removable media
  • Configuration as mass-storage device.
    Is automatically configured as removable media.

Local mass-storage device

Removable media
  • Configuration as removable media

Removable media

Local mass-storage device
  • Configuration as local harddisk

Local mass-storage device

HID
  • Configuration as HID

Removable media

HID
  • Configuration as HID

Syntax and commands for dongle configuration

There are commands and parameters for the configuration of dongles in the CodeMeter Command Prompt.

Syntax: cmu32 /s <serial> --[command parameter]

  • cmu32: Call.
  • /s (/s): Entry of the serial number of the dongle that is to be applicable for the action.
  • --[Command parameters]: Entry of command and possibly parameters.

Commands

Command | Meaning
cmu32 /s <serial> --show-config-disk | Show configuration for stick with certain serial number.
cmu32 /s <serial> --set-config-disk | Configure stick with certain serial number.
cmu32 /h | Shows the help for further commands and parameters.

Parameter:

Parameter | Meaning
HidCommunication | Configuration as HID. Only possible if no flash memory is present.
MsdCommunication | Configuration as mass-storage device. Dongles with this configuration can be configured as a local mass-storage device or removable media.
RemovableDisk | Configuration as removable media Requires MsdCommunication. Not directly possible from HID status.
LocalDisk | Configuration as local harddisk Requires MsdCommunication. Not directly possible from HID status.

Examples:

  • Show configuration: cmu32 /s3-1234567 --show-config-disk
  • Configure stick as HID: cmu32 /s3-1234567 --set-config-disk HidCommunication

Other topics in this chapter

Configure dongle as an local mass-storage device

Configuring the dongle as HID

Configuring the dongle as removable media


Configure dongle as an local mass-storage device

zenon Analyzer > Licensing > CodeMeter Software > Configure CodeMeter dongle as an HID or drive > Configure dongle as an local mass-storage device

To address the dongle in the USB communication as a fixed local mass-storage device (Mass Storage Device):

  1. Check the status of the dongle via CodeMeter Command Prompt, CodeMeter WebAdmin or the file browser of the operating system.

    No drive (HID) is assigned or removable media is displayed.

  2. Call up the CodeMeter Command Prompt cmu: Start -> Program Files -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    If the dongle is currently configured as HID, then:

    • Enter the following at the command prompt that has been started: cmu32 /s <serial> --set-config-disk MsdCommunication
      The dongle is configured as mass storage.
    • Remove the dongle and insert it again.
    • Enter the following at the command prompt: cmu32 /s <serial> --set-config-disk LocalDisk
      The dongle is configured as fixed local mass storage.

    If the dongle is currently configured as removable media, then:

    • Enter the following at the command prompt: cmu32 /s <serial> --set-config-disk LocalDisk
      The dongle is configured as fixed local mass storage.

    Note: For <serial>, enter the serial number of the stick.

  3. Remove the dongle from the computer.
  4. Reconnect the dongle to the computer.

    In the CodeMeter Command Prompt and in the CodeMeter WebAdmin, the dongle is now displayed as mass storage, in the file browser of the operating system with the drive letter.


Configuring the dongle as HID

zenon Analyzer > Licensing > CodeMeter Software > Configure CodeMeter dongle as an HID or drive > Configuring the dongle as HID

To address the dongle in the USB communication (Human Interface Device):

  1. Check the status of the dongle via CodeMeter Command Prompt, CodeMeter WebAdmin or the file browser of the operating system.
  2. Local mass storage or removable media is assigned, each with a drive letter.

  3. Call up the CodeMeter Command Prompt cmu: Start -> Program Files -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Enter the following at the command prompt that has been started: cmu32 /s <serial> --set-config-disk HidCommunication
    The dongle is configured as HID.
    Note: For <serial>, enter the serial number of the stick.

  4. Remove the dongle from the computer.
  5. Reconnect the dongle to the computer.
  6. In the CodeMeter Command Prompt and in the CodeMeter Control Center, the dongle is now displayed as an HID without drive letter. It is no longer displayed in the file browser of the operating system.


Configuring the dongle as removable media

zenon Analyzer > Licensing > CodeMeter Software > Configure CodeMeter dongle as an HID or drive > Configuring the dongle as removable media

To address the dongle in the USB communication as removable media:

  1. Check the status of the dongle via CodeMeter Command Prompt, CodeMeter WebAdmin or the file browser of the operating system.

    No drive (HID) is assigned or local mass storage with a fixed drive letter.

  2. Call up the CodeMeter command line interface cmu: Start -> Program Files -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    If the dongle is currently configured as HID, then:

    • Enter the following at the command prompt that has been started: cmu32 /s <serial> --set-config-disk MsdCommunication
      The dongle is configured as mass storage in removable media form.

    If the dongle is currently configured as local mass storage, then:

    • Enter the following at the command prompt: cmu32 /s <serial> --set-config-disk MsdCommunication
      The dongle is configured as removable media.

    Note: For <serial>, enter the serial number of the stick.

  3. Remove the dongle from the computer.
  4. Reconnect the dongle to the computer.

    In the CodeMeter Command Prompt and in the CodeMeter Control Center, the dongle is now displayed as removable media, in the file browser of the operating system with the drive letter.


Troubleshooting

zenon Analyzer > Licensing > CodeMeter Software > Troubleshooting

Error

Solution

zenon only runs in demo mode.

Check using CodeMeter and/or COPA-DATA License Administration:

  • Is the dongle connected and contactable via CodeMeter mechanisms?
  • Is the license entered at the first position for the respective product?
  • Has the license expired?
  • Is the software dongle broken?
  • Is the license assigned to another product on another computer? (http://localhost:22350/license_monitoring/sessions.html)

Dongle is not found.
  • Check the network settings.
  • If the stick is in another domain, add it to the server search list.
  • Increase the UDP response time.
  • If it is a virtual machine, then configure the stick as removable media.
    Attention: Configuration as removable media can - depending on the computer configuration - also lead to a computer no longer booting.
  • Configure the stick as HID.

Error 410
(with SD cards)

The connection to the SD card is unstable. Use an external card reader.

Certified time cannot be updated.

Please check:

  • Proxy settings, especially access data and Password
  • List of time server under Settings -> time server
    for example: cmtime.codemeter.com, cmtime.codemeter.de, cmtime.codemeter.fr, cmtime.codemeter.us

Error message when updating the license when applying a WibuCmRaU file:

Error at updating the CmSticks x-xxxxxxx:
This update can no longer be installed. The content of the CmStick has a newer version, error229.

The update for this license has already been written to the dongle. The dongle is up-to-date.

Windows operating system shows the message:

Low Memory

The dongle is identified as local memory. In some cases, this can lead to the operating system giving the message "Insufficient memory".

This message can be ignored.

Alternatively, the dongle can also be configured as HID. It thus no longer appears in the Windows drive list.

Windows operating system no longer shows symbol for the Recycle Bin.

This may happen if the dongle is identified as a fixed local network.

Alternatively, the dongle can also be configured as HID. It thus no longer appears in the Windows drive list.


Configuration file zenAnalyzer.ini

zenon Analyzer > Configuration file zenAnalyzer.ini

Settings for zenon Analyzer are amended in the zenAnalyzer.ini configuration file. This documentation contains information for system administrators who want to edit the INI files directly.

You can find the INI file in the following path: %cd_system%.
It is only present if the Analyzer Server is installed. If there is only Report Launcher or ZAMS on the system, there is also no zenAnalyzer.ini.

info Information

Settings should primarily be made using the user interface of zenon Analyzer. Changes to the INI files are reserved for experienced users.

zenAnalyzer.ini contains the following sections:

Section: | Description
[NETZ] | Settings for connection security.
[USER_LEVELS_3] | Information on users and user authorisations.
[DEDICATED_USERS_3] | Configuration of dedicated users.
[CONNECTION_ZA2] | Information for connections to version ZA2 databases.
[CONNECTION_ZAX] | Information for connections to version ZA3 databases and higher.
[DEBUG] | Activation of debugging.

The sequence of the sections and the entries in the sections can vary.

Format in which the INI files are saved

Due to the system, only ANSI and Unicode are supported for reading the INI files.

attention Attention

UTF-8 format is not supported!

You should therefore always save your INI files as a text file in ANSI or Unicode format.

Other topics in this chapter

Connection security and timeout [NETZ]

User [USER_LEVELS_3]

Dedicated users [DEDICATED_USERS_3]

Connection to ZA2 [CONNECTION_ZA2]

Connection to ZA3 and higher [CONNECTION_ZAX]

Troubleshooting [DEBUG]


Connection security and timeout [NETZ]

zenon Analyzer > Configuration file zenAnalyzer.ini > Connection security and timeout [NETZ]

Settings for the connection security and timeout

Connection security

Settings for connection security must only be set using ZAMS. To do this, use the Configure connection security dialog.

attention Attention

Manual changes to these entries in zenAnalyzer.ini can lead to no connection to the Analyzer Server, license server or report server being possible any more.

Timeout

Entry | Description
RUNTIME_CONNECTOR_TIMEOUT_MSEC= | Connection timeout of the connector clients in milliseconds. Is read by the Connector Stub before each connector function call. Changes are immediately applied by saving zenAnalyzer.ini. Default: 300000 (5 minutes)


User [USER_LEVELS_3]

zenon Analyzer > Configuration file zenAnalyzer.ini > User [USER_LEVELS_3]

Settings for user authorizations.

These settings must only be set via ZAMS. To do this, use the Analyzer applications access rights dialog.

attention Attention

Manual changes to these entries in zenAnalyzer.ini may lead to the connection to Analyzer Server no longer being possible.

These entries are written by the license server if it receives a corresponding command. The entries are read when the license server starts. Manual changes to the INI file are only taken into account if the license server service zrsLicSrv is restarted.


Dedicated users [DEDICATED_USERS_3]

zenon Analyzer > Configuration file zenAnalyzer.ini > Dedicated users [DEDICATED_USERS_3]

Settings for dedicated users with a fixed license.
You change these settings in ZAMS using the Users with fixed license dialog.

These entries are written by the license server if it receives a corresponding command. The entries are read when the license server starts. Manual changes to the INI file are only taken into account if the license server service zrsLicSrv is restarted.


Connection to ZA2 [CONNECTION_ZA2]

zenon Analyzer > Configuration file zenAnalyzer.ini > Connection to ZA2 [CONNECTION_ZA2]

Entries for the Connector Stubs connection to a Connector Container. These entries cannot be created with a tool. They must therefore be changed manually in the INI file if necessary.

The entries are read if the first Connector function after the SQL Server start that needs a connection with a Connector Conatainer is executed. If these entries are amended, it must be ensured that the Connector Stub uses the new entries. To do this, the SQL-Server instance that is used for Analyzer 2.xx must be restarted.

Entry

Description

[CONNECTION_ZA2]

Configuration of the database connection of the Connector Stub components that establish the connection to the Connector Container.

These settings only relate to the connection to an Analyzer Server instance ZA2. Connections to other instances are configured by means of the settings in Connection to ZA3 and higher [CONNECTION_ZAX].

USER=

User name for the connection.

Default: ReportingUser

PW=

Password for the connection.
The password can be entered as open or encrypted.

Note: Entry of an encrypted password is not possible via the INI file.

Default: Copa-Data

SQLINSTANCE=

Denotes the SQL server instance to which the connection is to be made.

Default: Localhost\ZA2


Connection to ZA3 and higher [CONNECTION_ZAX]

zenon Analyzer > Configuration file zenAnalyzer.ini > Connection to ZA3 and higher [CONNECTION_ZAX]

Entries for the Connector Stubs connection to a Connector Container. These entries cannot be created with a tool. They must therefore be changed manually in the INI file if necessary.

The entries are read if the first Connector function after the SQL Server start that needs a connection with a Connector Conatainer is executed. If these entries are amended, it must be ensured that the Connector Stub uses the new entries. To do this, the SQL-Server instance that is used for Analyzer 3.xx (or higher) must be restarted.

Entry

Description

[CONNECTION_ZAX]

Configuration of the database connection of the Connector Stub components that establish the connection to the Connector Container.

These settings only concern the connection to an Analyzer Server instance ZA3 or higher. Connections to instances of version 2.xx are configured using the settings in Connection to ZA2 [ CONNECTION_ZA2 ].

USER=

User name for the connection.

Default: ReportingUser

PW=

Password for the connection.
The password can be entered as open or encrypted.

Note: Entry of an encrypted password is not possible via the INI file.

Default: Copa-Data

SQLINSTANCE=

Denotes the SQL server instance to which the connection is to be made.

Default: Localhost\ZA3


Troubleshooting [DEBUG]

zenon Analyzer > Configuration file zenAnalyzer.ini > Troubleshooting [DEBUG]

Settings for debugging.

These settings can only be changed manually in the INI file.

Parameter

Description

[DEBUG]

Settings for the writing of enhanced LOG entries.

EXTENDEDLOG=

Switches the writing of enhanced log entries off or on:

  • 0: off
  • 1: on

At the time at whch the first log entry is to be written, write protection is still activated. To ensure that the first entry is also written, the license server service zrsLicSrv must be restarted.

Default: 0


Data preparation

zenon Analyzer > Data preparation

The data preparation is done in several levels. With this data from different sources and formats can be evaluated universally and maintained easily.

  • Level 1: Data abstraction
    On the lowest level the data abstraction or data unification is done. It makes sure that the source data are always available in the same format and in the same type for the actual evaluation algorithm.
  • Level 2: Compression and calculation
    A level above the actual compression and calculation is done to create the data which should then be displayed in the report. This level is already independent of the data origin and therefore universal.
  • Level 3: Report
    The output data of the second level are then displayed graphically in the report as third level. The display in the report in turn is independent of the algorithms necessary for the calculation on the second level. This means that no calculation and no compression is carried out in the report, which exceed the mere display (e.g. formating of local times or similar).

Other topics in this chapter

Level 1: Data abstraction

Level 2: Compression and calculation

Level 3: Report


Level 1: Data abstraction

zenon Analyzer > Data preparation > Level 1: Data abstraction

At data abstraction there are two different categories of data:

  1. Engineering data

    They normally remain the same during the Runtime and are called meta data there.
    The metadata is abstracted or harmonized by the import wizard during import into the database. Regardless of their origin they are available in the format in which they are defined in chapter data structure.

  2. Runtime data
    The actual Runtime data are those data which are generally used as the base for all evaluations. They are called user data there.

    Runtime data is tapped via connectors. COPA-DATA provides a Runtime connector and SQL connector with zenon Analyzer. Individual additions can be integrated into the connectors by agreement with COPA-DATA.

Connector container

The connector container is an application (EXE) which runs at the source system and which loads and executes the connector plug-ins (DLLs). The connector container is a normal user process (no service) which is normally started together with the application which should deliver the data. The connector container opens a TCP port and waits for query requests from the connector stub whereon it loads the requested connector plug-in and invokes the fitting access function for the request. The return data is then sent to the connector stub. Several queries from different TCP connections can be executed in parallel if the source system supports this.

In normal operation the connector container is displayed as icon in the task tray and does not have an own main window. Additional status information can be displayed via a status dialog.

You can read more in the manual for report developers in the Connectors chapter.

Dialog

Option | Description
Number of connected Clients | Displays the number of clients connected.
Minimize | Minimizes the dialog into the info area of the task bar.
Exit | Closes the connector container.

Restart

If the connector container has been closed, it can be restarted by:

  • Restarting the computer.
  • Manual start.
    • From Windows 8: Task-Manager -> Tab -> Autostart -> Connector-Container -> Open file path-> Double-click on zrsConnector.exe.
    • Other operating systems: Open file path-> Double-click on zrsConnector.exe.
      32-bit path: %Program Files (x86)%\Common Files\COPA-DATA\Connectors


Level 2: Compression and calculation

zenon Analyzer > Data preparation > Level 2: Compression and calculation

All sorts of compression and calculation of the user data prepared in level 1 is carried out in the Stored Procedures. If necessary, filter criteria are handed over to them via parameters.

The stored procedures are independent of the format of the user data and of the visual display of the result. They contain only the calculation algorithms and the filter methods with regards to the meta data.

So far as it is technical feasible, they are also independent of specific presumptions concerning the meta data; i.e. independent of specific variable names. If this is not possible, the allocation to these fixed meta data parts is implemented as an obvious block at the beginning of the stored procedures in order to separate project-specific and universal evaluation part.


Level 3: Report

zenon Analyzer > Data preparation > Level 3: Report

The result data generated in level 2 are formatted graphically in an SQL Server 2016 Reporting Services report. There is no calculation in the report itself. Also a direct access to database tables is never done but only to the stored procedures from level 2. With this the reports are:

  • completely independent of the database structure
  • universal and
  • interchangeable


ZAMS - zenon Analyzer Management Studio

zenon Analyzer > ZAMS - zenon Analyzer Management Studio

In zenon Analyzer Management Studio (ZAMS), you provide the reports that are called up, configured and displayed by users in Report Launcher.
You also start the external tools here:

  • Manual Data
  • EditorMetadata Editor
  • Migration Tool
  • Prediction Model Manager

ZAMS is the main application for:

  • Configuration of the zenon Analyzer
  • Creation of reports from the report templates supplied with COPA-DATA
  • Creation, editing and deleting report subscriptions and the attendant schedules on the Analyzer server
  • The creation and deletion of linked servers in the SQL server instance of the Analyzer server
  • Editing of metadata databases
  • The migration of databases, reports and subscriptions

info Information

ZAMS is started in the language of the operating system. If this language is not implemented in ZAMS or the corresponding language file is missing, ZAMS is started in English. You can read details on the languages in the Language settings chapter.

Communication

ZAMS communicates with the Analyzer database using the Microsoft SQL Server 2016 Management Objects. It connects itself:

  • To the SQL Server 2016 Reporting Service Web Service endpoint ReportService 2016 of the Analyzer server
  • to the selected database on the Analyzer server
  • To zrsLicSrv on the Analyzer server

Software requirements

The following software is required for the use of ZAMS:

  • Microsoft .NET Framework 4.6.2
    This must already be present on the computer before the installation of ZAMS.

Error handling

Error messages, warnings and messages are saved in the output window, in accordance with the options that have been set.

Other topics in this chapter

Starting ZAMS

Example of configuration

Checklist for license problems

User interface

Analyzer Server and Reports

Managing SQL Server

Manage RDL templates

Report styles

Clear cache

Selection of folder in the network

Language table

Archive emulation

Calculated archives

User administration and access rights


Starting ZAMS

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Starting ZAMS

The zenon Analyzer Management Studio (ZAMS) is installed together with zenon Analyzer.

During installation, the user who carries out the setup is entered as a user with dedicated license with authorization level 3.

To start ZAMS:

  1. In the Windows Start menu, select the COPA-DATA -> ZAMS entry
    or
    double click on a ZAMS report file ( .zams_rep)

    Starting ZAMS

  2. The connection dialog is opened, depending on the setting in the Options.
    If it is not shown, it can be started by clicking on Connect to Analyzer server:

  3. Select the desired connection by clicking on Connection profile or create a new connection
  4. Click on OK:
    • The connection test is carried out.
    • The database structure is checked and the license is validated.
    • the connection will be established.

    Note: A progress bar for each is shown if necessary.

    ZAMS is ready for the configuration of reports.

Note: If the connection fails due to a missing license, you can start COPA-DATA License Administration and activate or assign a license. Presettings for connection profiles, deployment of reports and messages in the output window can be set in the options in the File menu.

Acceptance of the configuration from a previous version

When a new version of ZAMS is started, provided there are not yet any configuration files available, the configuration of the prior versions is used. To do this, its configuration files must still be present on the computer. The transfer happens separately for each user.


Example of configuration

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Example of configuration

A company wants to use zenon Analyzer. The following computers are available in the company network:

  • The Analyzer server, called SRV
  • An engineering station, called ENG

Both are in the TEST domain. There are the following users in the domain:

  • TEST\Admin: Network administrator.
    Only this user can install programs on computers. This user should have access to the Analyzer as an administrator, however not permanently have a license.
  • TEST\ZamsAdmin: This user is the future Analyzer administrator.
    They should be able to use all Analyzer applications and be able to complete all administrative tasks on the Analyzer with ZAMS. A license should be reserved for this user.
  • TEST\ReportViewer1, TEST\ReportViewer2 and TEST\ReportViewer3: These three users should evaluate reports in the Analyzer and be able to execute them, however a license should not be assigned to any of these users permanently.

Configuration

  1. TEST\Admin executes the Analyzer server setup on the computer called SRV. Once the setup has been completed, this user is entered as a user with dedicated license with authorization level 3 on the license server. They have administration rights in both the SQL server instance and Report Launcher. No other user has access rights to the Analyzer.
  2. The user TEST\Admin ensures that the dongle is connected to the computer SRV and activates the dongle license with the COPA-DATA License Administration.
  3. TEST\Admin executes the ZAMS setup on the computer called ENG.
  4. TEST\Admin starts the ZAMS on the computer called ENG. The connection to the server SRV\ZA3 and on this server to the database ZA_DATA is established. When establishing a connection, ZAMS detects that the user TEST\Admin has the authorization level 3 and that a license for them could be established.
  5. The user TEST\Admin
    1. Starts the administration of the access rights to the Analyzer applications in ZAMS
    2. Adds the user TEST\ZamsAdmin
    3. Assigns the highest possible access right to this
    4. Confirms the dialog with OK.
  6. The user TEST\Admin
    1. Starts the administration of the Report Launcher access rights in ZAMS
    2. Adds the user TEST\ZamsAdmin as an administrator for the configuration of system access rights
    3. Adds the same user for the object access rights of the root folder
    4. Sets its access rights there to content manager
    5. Confirms the dialog with OK.
  7. The user TEST\Admin closes ZAMS and logs off from the ENG computer.
  8. The user TEST\ZamsAdmin logs on to the ENG computer and starts ZAMS. The connection to the server SRV\ZA3 and on this server to the database ZA_DATA is established. When establishing a connection, ZAMS detects that the user TEST\ZamsAdmin has the authorization level 3 and that a license for them could be established.
  9. The user TEST\ZamsAdmin
    1. Starts the administration of users with a dedicated license in ZAMS
    2. Adds itself
    3. Removes the user TEST\Admin from the list
    4. Closes the dialog.
  10. The user TEST\ZamsAdmin
    1. Starts the administration of the access rights in ZAMS for the Report Launcher
    2. Adds the three users TEST\ReportViewer1, TEST\ReportViewer2 and TEST\ReportViewer3 as a user for the configuration of the system access rights
    3. Adds the same three users for the object access rights of the root folder
    4. Leaves its access rights there on the browser
    5. Confirms the dialog with OK.

The configuration was carried out successfully.


Checklist for license problems

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Checklist for license problems

If ZAMS cannot establish a connection or the connection is broken due to problems with the license, check the following:

  • Can the dongle be accessed from the Analyzer Server?
  • Is the license activated and assigned to the zenon Analyzer?
  • Is the TCP port 50779 open on the Analyzer Server?
  • Can the license client communicate with the license server?
    Note: Firewalls or network failures, for example, may prevent this.
  • Does the user have the required authorization levels?
  • Is a license available for the user?
    Note: Users with a dedicated license are assigned licenses even if they are not connected.
  • Is the report template or the report included in the scope of the license?


User interface

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface

The user interface of the ZAMS consists of:

  • Menus, ribbons and tool bars:
    These contain elements that allow access to actions and commands.
    The following are available:
    • Menu File
    • Ribbons
    • Toolbar quick access
  • Main window:
    Can contain several pages. Each page has a tab. Navigate by clicking on the respective tab.
    The pages can be closed by clicking on the X tab.
    • Start page: Page that is opened when starting.
    • Report pages: Pages to display and configure reports. Each report is shown and configured on its own page.
      Each report page contains:

      - Symbol in tab of whether the report could be correctly validated.

      - Area to administer the data sources and filter settings.

      - Design area for the graphic configuration of reports.

  • Properties window:
    Configuration of the report settings. This window can be hidden.
  • Output window:
    Shows errors, warnings, messages and status messages.
    The window can be hidden.
  • Status line:
    Shows notices in relation to connections, reports and actions.
  • Dividing lines:
    Make it possible to amend the size ratio between individual areas.

When ending ZAMS, the positions and sizes of the windows and the open/closed status. as well as the positions of the dividing line are saved.

Note: The Default Layout action in the Display ribbon can be used to reset the display of the user interface to the default status.

Availability

Whether an entry and the corresponding symbol are active or not depends on these factors:

  • Has a connection been established and does it have a valid license?
  • If reports have been opened and is the currently-active report write protected?
  • Is there currently an action running in a background thread (such as Prepare, Open in Report Builder)?
  • Configuration of the connection security or the e-mail server: ZAMS must run in the same computer as Analyzer Server.

For this, the following applies: A factor is only considered if all superordinate factors see the entry as active.

If an action that can change the connection or license status is to be executed, all reports are closed beforehand. The user is notified of this and can cancel closing. The action is not executed if it is not possible to close all reports.

Progress bar

Operations in ZAMS are visualized by means of progress bars:

  • Step display: Processes in several steps are shown by a corresponding display with information about the individual steps.
  • Progress bar: If operations in ZAMS last for longer than 2 seconds and no progress bar is available, a general progress bar is shown in the form of a loading progress bar.

Other topics in this chapter

Menus and ribbons

Settings

Main window

Properties window

Output window

Status line

Keyboard shortcuts


Menus and ribbons

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Menus and ribbons

Navigation in ZAMS is organized using menus and ribbons.
The following menus and ribbons are available:

Menu:

  • File

Ribbons:

  • Analyzer Server
  • SQL Server
  • Options
  • Report
  • Design (only available if a report window is in focus.)
  • View

Structure of ribbons

Ribbons consist of:

  • Tab:
    Allows selection of the ribbon and contains labeling. If there is too little space for the display of the complete Ribbon available, a standard button is shown. Clicking on this opens a menu with the actions and possibly further standard buttons.
  • Ribbon group:
    Subdivides the Ribbon into groups. These contain one or more actions and/or standard buttons.
  • Standard buttons:
    Shows the presence of submenus.
  • Actions:
    Allow the configuration and open dialogs.
    Actions are always marked with a short subtitle. A longer description is available via a tooltip.

Ribbons can be hidden or displayed again using the Minimize ribbon / restore ribbon in the Quick access toolbar. Hiding is possible by double-clicking on the tab of a Ribbon.

Example of SQL Server ribbon

  • Tab: SQL Server
  • Ribbon group:
    • Database
    • Database backup
    • Administration
    • Data processing
  • Default button in the Database backup ribbon group:
    • Restore
      Contains the actions Restore, Restore as new database and Restore reporting services database.
  • Actions in the Database ribbon group:
    • New
    • Convert

Other topics in this chapter

File

Fast access

Analyzer Server

SQL Server

Options

Report

Design

View


File

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Menus and ribbons > File

The File menu contains a list of general actions and a list of reports that were edited last.

Actions

Action

Description

New Report

Opens a new window to create a report and sets the focus on the Report.

Open report definition

Opens a new report window to select an existing report or to create a new report.

Save report definition

Saves the report of the window that is in focus.

Save report definition as

Saves the report of the window that is in focus under a different name.

Save all report definitions

Saves all opened report definitions.

Close report

Closes the active report that is currently active.

Shortcut: Ctrl+F4
Note: Only one report window can be closed with the keyboard shortcut. The start window can be closed by clicking on the X button.

Close all reports

Closes all opened reports.

Shortcut: Ctrl+Shift +F4

Settings

Opens the dialog with the settings for:

  • Connection profiles
  • Deployment
  • Output messages
  • Language settings
  • Database backups

Analyzer Server Version Information

Opens window with information on:

  • Version of the operating system
  • Version of zenon Analyzer

Info about

Opens window with information on the ZAMS version.

Help

Opens online help.
Shortcut: F1

Exit

Exits ZAMS.

List of reports

This list shows th reports that were last edited, sorted according to last use with the most recent report in the top position.
The number of reports in the list is established in the Settings in the Connection profiles tab in the Maximum number of reports in history.


Fast access

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Menus and ribbons > Fast access

The ribbon contains 5 pre-defined actions and a configuration menu. These actions cannot be amended individually.
The tool bar for quick access can be displayed either above or below the ribbons.

Standard assignment

Action

Description

Connect to Analyzer server

Opens the dialog with the connection profiles.

Save report definition

Saves the report that is in focus.

Save all report definitions

Saves all opened report definitions.

Deploy report

Allows the deployment of the active report.

Only available if there are no validation errors. Validation errors are shown in a tooltip.

Deploy all reports

Allows the deployment of all opened reports.

Only available if there are no validation errors. Validation errors are shown in a tooltip.

Undo

Makes it possible to undo an action in the configuration. Clicking on the symbol undoes the last action. Clicking on the arrow opens the drop-down list with the number of steps.

Actions in dialog windows cannot be undone.

Restore

Makes it possible to restore actions that have been undone. Clicking on the symbol restores the last action that has been undone. Clicking on the arrow opens the drop-down list with the number of steps.

The button is not available if:

  • at least 1 step has been undone
  • no action has been carried out in the report configuration since the undo

Configuration menu:
Edit symbol bar for quick access

Allows the amendment of the display of the toolbar and the ribbon:

  • Customize Quick access toolbar:
    Not currently available.
  • Show below the ribbon:
    Shows the tool bar for quick access under the ribbon.
  • Minimize ribbon/restore ribbon:
    Hides or shows ribbons. Hiding is possible by double-clicking on the tab of a Ribbon.


Analyzer Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Menus and ribbons > Analyzer Server

The ribbon contains actions for the Analyzer Server.

Actions

Analyzer Server

Connection to the Analyzer server.

Action | Description
Connect | Opens dialog with connection profiles.

Settings

Settings on the Analyzer server

Action | Description
Connection security | Opens the dialog for configuration of the connection security. Note: This function is only available if ZAMS is running on the Analyzer server and is connected to an Analyzer database with a valid license on the same computer and there is no other task running in the background.
Email server | Opens the dialog to configure an email server. Note: This function is only available if ZAMS is running on the Analyzer server and is connected to an Analyzer database with a valid license on the same computer and there is no other task running in the background.
Wake up call | Opens the dialog for configuring a wake up call. This initializes the reporting services and prevents the cache being emptied. This periodic call up can shorten the waiting time when calling up Report Launcher and when connecting ZAMS and the Migration Tool.

User Administration

Configuration of the user and their rights.

Action | Description
Analyzer Tools | Opens dialog to administer the access rights to the Analyzer tools.
Report Launcher | Opens dialog to administer the access rights to the objects in the Report Launcher.
License reservation | Opens dialog to administer the users with a dedicated license.

License

Display and configuration of the licenses.

Action

Description

Show license

Opens dialog with information about the current license:

  • Serial number
  • License status
  • Licensed report themes

License product

Opens the wizard/dialog of the COPA-DATA License Administration.


SQL Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Menus and ribbons > SQL Server

The ribbon contains actions for SQL Server.

Actions

Database

Create and convert databases.

Action | Description
New | Opens dialog to create a new Analyzer database.
Convert | Starts the conversion of databases, the version number of which is lower than the current version number.

Database backup

Backup and restore databases.

Action

Description

Create

Opens the dialog for creating a project backup.

Automated

Opens the dialog to administer the automatically-created database backups.

Restore

Contains actions to:

  • Restore:
    Opens the dialog for renaming a profile.
  • Restore as new database:
    Opens the dialog for restoring a database backup as a new database.
  • Restore Reporting Services database:
    Opens the dialog for restoring the reporting services database.

Manage files

Opens the dialog to administer the backup files of the database.

Administration

Administration tasks.

Action | Description
Linked Servers | Opens dialog to manage the linked servers.
Metadata indices | Opens the dialog to manage the metadata indices.

Data processing

Configuration of connectors and archives.

Action | Description
SCADA SQL connector | Opens the dialog to create an SQL connector.
3rd party database connector | Starts the configuration of the connector for third-party databases.
Calculated archives | Starts the dialog to configure calculated archives.
Emulated archives | Opens the dialog for configuring the archive emulation.
Update SQL Server extensions | Renews the SQL server extensions. The result is displayed in the output window.


Options

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Menus and ribbons > Options

The ribbon contains actions for the options.

Actions

Tools

Editors and tools.

Action | Description
Metadata Editor | Allows you to amend visual names and descriptions, to enter equipment information and to create efficiency class models.
Manual Data Editor | Allows the editing of tables for price and standard values in a zenon Analyzer metadata database, as well as the administration of degree day figures.
Migration Tool | Allows the migration of the Analyzer Server.

Automation

Automation by means of schedules and subscriptions.

Action | Description
Schedules | Opens dialog to manage schedules for the distribution of reports.
Subscriptions | Opens dialog to manage report subscriptions.

Adjustment

Amendment of colors, language and templates.

Action | Description
Report styles | Opens the dialog to create and edit and administer report styles.
RDL templates | Opens the dialog to administer RDL templates.
Language table | Opens the dialog to configure the language table.

Cache

Operations for the cache.

Action | Description
Delete | Updates the ZAMS cache.


Report

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Menus and ribbons > Report

The ribbon contains actions for the creation, editing and administration of reports.

Actions

Report

Commands in the Report ribbon group:

Action | Description
Deploy | Allows the deployment of the active report. Only available if there are no validation errors. Validation errors are shown in a tooltip.
Deploy all | Allows the deployment of all opened reports. Only available if there are no validation errors. Validation errors are shown in a tooltip.
Update structure | Provides the active report and retains the current layout in the process. All report elements, as well as headers and footers are retained. Only available if there are no validation errors. Validation errors are shown in a tooltip.
Update structure for all | Provides all opened reports and retains the current layout in the process. All report elements, as well as headers and footers are retained. Only available if there are no validation errors. Validation errors are shown in a tooltip.

CD_REPORTLAUNCHER>

Report Launcher - starts and opens reports.

Action | Description
Start | Opens the Report Launcher. When starting the Report Launcher or opening reports in the Report Launcher, Internet Explorer is addressed by ZAMS directly as ActiveX.
Open report | Opens the report currently displayed in ZAMS in the Report Launcher.
Open all reports | Opens all reports currently open in ZAMS in the Report Launcher.

Report Builder

Start Microsoft Report Builder and open reports. The Report Builder must already be present on the system for this.
Note: The Report Builder is also installed for ZAMS. In the Report Launcher, the Report Builder can be downloaded from the Microsoft website using a button in the main directory.

Action | Description
Start | Opens the Microsoft Report Builder.
Open report | Opens the active report in Microsoft Report Builder. Note: The Report Builder was only started if the report can be found on the server.
Open all | Opens all opened reports in Microsoft Report Builder. Note: The Report Builder is only started for reports that can be found on the server. Attention: For each report to be opened, a separate Report Builder instance is opened for each language variant. If more than 10 instances are to be opened, a warning is shown and a dialog is shown, in which the opening process can be canceled.


Design

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Menus and ribbons > Design

The ribbon contains actions for the design of reports.

Areas are available for:

  • Undoing/restoring actions
  • Adding report elements
  • Layout
  • The parameter area
  • The parameter area cell

Note: Is only shown if reports are displayed. The actions that are offered depend on the selected report template, the configuration status of the report and the position of the insertion point in the design area.

Actions

Undo/redo

Actions to insert report elements:

Action

Description

Undo

Makes it possible to undo an action in the configuration. Clicking on the symbol undoes the last action. Clicking on the arrow opens the drop-down list with the number of steps.

Actions in dialog windows cannot be undone.

Redo

Makes it possible to restore actions that have been undone. Clicking on the symbol restores the last action that has been undone. Clicking on the arrow opens the drop-down list with the number of steps.

The button is not available if:

  • at least 1 step has been undone
  • no action has been carried out in the report configuration since the undo

Report items

Actions to insert report elements:

Action | Description
Table | Adds a table to the design area. When inserting, a dialog for selection and configuration is opened. The table types that are available depend on the report template.
Diagram | Selection of a diagram. A dialog for configuration is opened during insertion. The diagram types that are available depend on the report template.

Layout

Only available if a report has been selected, there is a report template and no validation errors have occurred.
Contains actions for the configuration of the layout:

Action

Description

Generate layout

Adds a standard layout to the design area.

Clicking on the symbol creates all elements for the complete report. Corresponds to the Complete report detail selection.

Clicking on the arrow key opens a drop-down list to select the desired action:

  • Parameter area and report name
  • Report body
  • Entire report

Parameter Area

Actions for the parameter area.
Are shown when an empty parameter area is clicked in.

Action

Description

Add new column

Adds a new column if there is sufficient space.

Add new row

Adds a new row if there is sufficient space.

Delete last column

Deletes the column furthest right.
Requirements:

  • None of the cells in this column can be linked to a cell in the neighboring column.
  • No cell in this column can be configured.

Delete last row

Deletes the lowest row.
Requirement: No cell in this row can be configured.

Parameter area cell

Actions for cells in the parameter area.
Are shown when clicking on an element in the parameter area.

Action | Description
Merge with left | Connects the selected cell to the cell to the left of it. The report parameters of the seconds cell are overwritten.
Merge with right | Connects the selected cell to the cell to the right of it. The report parameters of the seconds cell are overwritten.
Split | Splits a connected cell to their original cells. The cell on the far left contains the configured report parameters. The newly-created cells remain empty.


View

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Menus and ribbons > View

The ribbon contains actions for the display of ZAMS.

Actions

View

Layout and start page.

Action

Description

Default layout

Resets the configuration of the ZAMS user interface to the default status.

The following are reset:

  • Dialogs, the size of which can be changed and/or can be moved
  • The window size
  • Column widths too, depending on the dialog
  • Settings for separators
  • Expanded states

Start Page

Opens the start page.


Settings

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Settings

You can get to the settings for ZAMS via the entry Settings in the File menu. They are available regardless of whether there is a connection to the Analyzer server and regardless of whether there is a valid license. The settings are deactivated if one of the following actions is executed: Open, Deploy, Deploy all, Open in Microsoft Report Builder or Open all in Microsoft Report Builder.

The following are configured in the settings:

  • Connection profiles
  • Deployment of reports
  • Messages in the output window
  • Language settings
  • Database backups

Other topics in this chapter

Connection profiles

Deployment

Output messages

Language settings

Database backups


Connection profiles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Settings > Connection profiles

In this tab, you define the starting behavior of the ZAMS.

Option

Description

Connection profiles

Settings for connection profiles.

Maximum number of connection profiles

Number of connection profiles that are saved. If the set number is exceeded by the creation of a new connection profile, then the profile that has not been used the longest is deleted.

Entry in the field or configuration using the arrow keys.

  • Minimum: 1
  • Maximum: 255

Manage connection profiles

Opens the dialog to manage the connection profiles.

Maximum number of report definitions in history:

Number of report definitions that are displayed in the File menu in the list of Most recently edited report definitions list.

  • Minimum: 0 (no report is displayed)
  • Maximum: 255
    If the permitted maximum is exceeded by a report that is being added, the oldest entry is deleted.

Default: 3

This value applies for all connection profiles. The new maximum is written to the configuration by clicking on OK. All connection profiles are immediately checked for adherence to the maximum. The oldest entries are deleted if necessary.

Entries can be removed from the list using the x button. The removal of an entry is automatically offered if a report definition is selected from the list to be opened and this is no longer available in the save path. The list can also be deleted in full.

Action on application start

Defines the action carried out when the ZAMS is started.

Do not show connection dialog

Active: Only the main window is shown.

Show connection dialog with default settings

Active: The dialog for establishing the connection is opened with the values for a new connection profile.

Show connection dialog with the most recently used profile

Active: The dialog for establishing the connection is opened with the values for the most recently used connection profile.

SQL Server statement timeout

Entry of the SQL server statement timeout.

This timeout enters into force if an individual SQL Statement runs for longer than is defined here, for example when backing up or when restoring a large database. With new connections, the currently-set value is used for the Timeout. If this is amended in the options, the existing connections are amended to the new value.

The Timeout can be set to a value between 1 minute and 7 days.

Input elements:

  • Number element:
    Entry of the quantity in the field directly or by means of the arrow keys.
    Possible values for :
    - days: 1 - 7
    - hours: 1 - 168
    - minutes: 1 - 10080
  • Drop-down list for granularity:
    Possible values:
    - minutes
    - hours
    - days
    This selection influences the value range of the number element.

Default:4 hours

Delete list for current connection profile

Clicking on the button deletes the list of the last-used report definitions for the current connection on the start page. A request to confirm this action is made before it is deleted.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Other topics in this chapter

Manage connection profiles


Manage connection profiles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Settings > Connection profiles > Manage connection profiles

Connection profiles are administered in their own dialog. It can be deleted and edited. The structure and the configuration are identical for:

  • ZAMS
  • Metadata Editor
  • Manual Data Editor
  • Prediction Model Manager

However only the profiles of the respective tools can be administered.
Connection profiles for the Migration Tool are administered in their own dialog.

attention Attention

Changes in this dialog are only executed if the superordinate dialog from which the administration of the profile was opened has also been confirmed, by clicking on OK.

Option

Description

List of connection profiles

The table displays all editable connection profiles.

Note: Metadata Editor and Manual Data Editor cannot edit the ZAMS connection profiles.

The following columns are shown:

  • Connection profile: Profile name
  • Server computername: Computer name of the SQL Servers
  • Database: linked database
  • Secured connection: Display by means of checkbox of whether communication is in secure form

Multiple selection is possible.

Select all

Highlights all entries

Deselect all

Deselects the highlighting of entries.

Edit

Opens the dialog for configuring a wake up call.

Delete

Deletes the highlighted connection profiles without requesting confirmation. Only available if at least one profile has been selected.

Close

Closes the dialog. The saving or rejection of changes is undertaken by the superordinate option dialog (see also the three option dialogs above).

Other topics in this chapter

Edit


Edit

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Settings > Connection profiles > Manage connection profiles > Edit

Activation or deactivation of the connection security for existing profiles.

Option

Description

Connection security

Settings for the connection security. The entries must correspond to the configuration on the server.

Secured connection

Activation or deactivation of the encrypted communication.

  • Active: Communication is encrypted. For each connection, depending on the degree of encryption, passwords must be entered for the license service.
  • Inactive: Communication is not encrypted.

License Server connection password

Entry of the password for the connection to the license server.
Input is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

Only active if the Secured communication and Save passwords options have been activated.

License Server modification password

Entry of the change password on the license server.
Entry is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

Only active if the Secured communication and Save passwords options have been activated.

Save passwords

Stipulation of whether the connection parameters are saved in the connection profile.
Saving is carried out as a hardware-dependent and user-dependent hash of the password.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Deployment

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Settings > Deployment

In this tab you define:

  • which actions happen automatically when a report is prepared or saved.
  • Save path for report definitions
  • access rights of objects
  • Path for deployment

Automation

Here, you define the behavior during deployment for:

  • Saving the report definitions
  • Overwriting reports on the Analyzer server
  • Opening reports in the Microsoft Report Builder.

There are three procedures available for all these actions:

  • Yes: carries out action automatically
  • No: does not carry out action
  • Prompt: Opens the dialog with a query of the user decision.
    Note: Closing the dialog for the query is interpreted as a no and the preparation is continued.

The save path for the report definition files can be pre-selected.

access rights of objects

You can use two options to define whether access rights are inherited or are only applicable for the logged-in user.

Folder and report name for deployment

The folder and report name for deployment can be issued in the deployment folder and report name section in different ways:

  • Report Launcher root folder:
    Reports are saved in the root folder of the Report Launcher.
  • Read from first added report template:
    The following is applicable for this option:
    • The folder is determined by the first selected report template.
    • The report name is taken from the selection of the report template.
    • These settings are applicable per language.

    Example: For a new report, the Archive trend report is selected from the Archive analysis theme. Archive analysis is automatically selected as a folder on the Analyzer server. It is created if it is not present. All other reports are also stored in this folder automatically. The report name is automatically called Archive trend.

  • User-defined path:
    A name given by the user is used for the folder. It is automatically created on the server if it is not present.
    The report name is entered into the report template.

Note: The report name cannot consist of more than 126 characters. Report name and report path have a maximum of 252 characters.

Deployment dialog

Option

Description

Save report definitions before deployment

Decision on whether reports are saved on the hard drive before being deployed.

Default: Prompt

Overwrite reports on Analyzer server

Decision on whether reports on the Analyzer server are to be overwritten.
Only has an effect if the Save report definition before preparing option has been set to Yes or Query has been set.

Default: Prompt

Open reports in Microsoft Report Builder after deployment

Decision on whether reports can be opened in Microsoft Report Builder after they have been deployed.

Default: No

Storage path for report definition files

Folder in which reports are saved. Click on the ... button to open the browser to select a folder. Report files have the file name suffix.zams_rep. The path is saved for each user.

Default: %Public%\Documents\Analyzer_Reports

Inherit parent access rights on new items
  • Active: Newly-created objects have the same access rights as the object that is superordinate to them.

Set access rights only for the currently connected user on new items
  • Active: Only the user connected at the time of creation of the new objects has access to these new objects. To do this, they are assigned the role of Content Manager.

Deployment Directory and Report Name

Selection of how the path and report name are determined using radio buttons:

  • Report Launcher root folder
  • Read from first added report template
  • User-defined path

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Output messages

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Settings > Output messages

In this tab, you define the display of messages in the output window.

Option

Description

Show errors in output window
  • Active: Errors are displayed in the output window.

Show warnings in output window
  • Active: Warnings are displayed in the output window.

Show messages in output window
  • Active: Messages are displayed in the output window.

Clear the output window whenever a deploy is started
  • Active: The output window is cleared as soon as a function to deploy a report is executed.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Language settings

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Settings > Language settings

The language of the ZAMS user interface and the language for reports can be pre-defined in ZAMS, regardless of the language of the operating system.

ZAMS language when ZAMS is started

The language of the operating system is detected and set when ZAMS is started. If another language has been defined for the ZAMS user interface in the options, this is used. If it is not possible to switch to a pre-defined language, the language of the operating system remains active.

The switching of the ZAMS user interface language affects all areas of ZAMS, including report templates and data files.

Configuring the language

To configure the language settings:

  1. Open the menu File
  2. Select the command Options.
  3. Open tab Language settings
  4. Select the desired language for ZAMS and/or the reports.

Dialog language switching

Option

Description

Language for the zenon Analyzer Management Studio

Selection of the language for the ZAMS user interface from a drop-down list. The languages available are displayed in the writing convention of the respective language.

The language is immediately switched after the change is set and OK is clicked on.

Language settings for reports

Configuration of the languages for the preparation of reports.

Deployment in the language of the zenon Analyzer Management Studio

Active: Reports are always created in the language that was selected in the Language for the zenon Analyzer Management Studio option.

Inactive: Reports are prepared in languages for which the checkboxes have been activated in the Deploy reports in the following languages.

Default: active

Deploy reports in the following languages

The languages of reports can be defined individually. To select a language, the checkbox in front of the language must be activated.

Position of language code

Setting for the procedures of how reports are stored according to the assigned language and displayed in the All report deployment paths of the report configuration.
The following options are available:

  • First folder in the report path on the Analyzer Server
  • Last folder in the report path on the Analyzer Server
  • Prefix in the report name on the Analyzer Server
  • Suffix in the report name on the Analyzer Server

(for further information, see the following options.)
  • First folder in the report path on the Analyzer Server

Active: An independent folder system is created for each language. To do this, in the path for the report, a folder with the respective language designation is created, and below this there are the folders for the themes. The reports are stored in the folders assigned to them.

For example: /DE/Alarm analysis/Alarm list

/EN/Alarm analysis/Alarm list
  • Last folder in the report path on the Analyzer Server

Active: All languages have a common folder structure for the theme. To do this, a folder with the respective language designation is created for the report below the folder of the theme. The reports are stored in the folders assigned to them.

For example: /Alarm analysis/DE/Alarm list

/Alarm analysis/EN/Alarm list
  • Prefix in the report name on the Analyzer Server

Active: Language designators are placed before the report names. To do this, reports are stored in the respective folder for the theme. Each report contains a prefix with the language designation and an underscore..

For example: /Alarm analysis/DE_Alarm list

/Alarm analysis/EN_Alarm list
  • Suffix in the report name on the Analyzer Server

Active: Language designators are added to the report names. To do this, reports are stored for the respective theme in the folder. Each report contains a suffix with an underscore and the language designation.

For example: /Alarm analysis/Alarm list_DE

/Alarm analysis/Alarm list_DE

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Database backups

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Settings > Database backups

The path for the database backup and the number of the backup files to be created is configured in this tab.

Option

Description

Backup file folders

Lists all configured database backup paths:

  • Name of the SQL server instance:
    Instance that is to be backed up.
  • Database backup path:
    Folder in which the backup is to be created

Precisely one row can be highlighted in the table. The highlighted row can be edited or deleted.

Note: At this point it should be added that the database backup always only works for the currently-connected SQL server instance. Editing in the dialog only works without an existing connection.

Edit

Opens the dialog for editing the backup path.

Delete

Deletes the selected entry.

Backup files

Configuration of the options for the backup files.

Compress database backup files

Setting of whether backup files are compressed.

  • Active: Backup files are compressed.

Setting has an effect on all:

  • from the changing of the option of manually-created backups
  • Newly-created or amended automated backups
  • New implicit database backups during database conversion

Existing database backup jobs are not changed. These must be explicitly amended using the appropriate menu item.

Database backup jobs are recognized and compressed or uncompressed and displayed accordingly. This detection and display depends on the status of this option.

Limit the number of backup files for each database

  • Active: The number of backup files created is limited. The limit is defined in the Number of backup files per database option.
    As soon as the maximum has been reached, the oldest backup file is deleted each time a new backup file is created.
  • Inactive: Unlimited backup files are created.
    Attention: Note the amount of memory available. If the limit of the storage medium is exceeded, no more backup files are created.

Maximum number of backup files per database

Setting for the maximum number of backup files to be created.

  • Minimum: 1
  • Maximum: 100
  • Default: 1

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Storage path for database backup files:

The first time a backup request is made and a path has not yet been established, you are requested to define a save path. This path is then used for all backups and restorations. This path is administered in the options in the Database backups tab of the Settings.

Note: It is recommended that a path on the Analyzer computer is used for backup.

Option

Description

Network share path for storing database backup files of [database]

A valid UNC path must be entered.

Clicking on the ... button opens the dialog to select a network share.

A check is made if:

  • The syntax of the path is valid if:
    Only valid paths unlock the OK button.
  • The path exists:
    When clicking on OK, the path is only accepted if it can also be accessed.
  • The path is different to that already used:
    If a path is defined that is different to a path that has already been used, a corresponding message is given. The path can be created. The pre-existing database backup job can then be activated, deactivated and deleted, but can no longer be edited.

The configured path is saved individually for each user.

Attention: The access rights to network shares must be set correctly. For details, see the Set access rights to network share correctly.

OK

Accepts the path and closes the dialog.

Cancel

Discards changes and closes the dialog.

Set access rights to network share correctly

In order for all database backup action to run correctly, the access rights to the network share must correspond to the database backup folder. For this, the following applies:

  • The folder must be on the Analyzer Server, because defined users must access it locally on the Analyzer Server.
  • Because the folder must be accessible by both the Analyzer Server and the ZAMS computer with the same path, it must be authorized in the network. The folder is then accessible with the same path via a UNC path everywhere in the network.
  • The following users must have full access to the network share:
    • NT SERVICE\MSSQL$ZA3: For the creation and restoration of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • NT SERVICE\SQLAgent$ZA3: For automatic creation of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • Every ZAMS user: To create and restore backups, administer backup files and administer automated backup jobs.

Backup file name

The file name of a database backup file follows this scheme: [database name]_yyyy_MM_dd_HH_mm_ss.bak

e.g.: ZA_DATA_2013_02_12_14_11_35.bak = backup of ZA_DATA on 12.2.2013 at 14:11:35


Main window

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Main window

The main window contains the start page and all report pages. A separate page is opened for each report:

Navigation between the pages is carried out by clicking on the respective tab. To close a page, click on the X in the tab.
Tip: You can also use keyboard shortcuts:

  • Ctrl + F4: Closes the active report.
  • Ctrl+Shift +F4: Closes all reports.

Other topics in this chapter

Start Page

Report page


Start Page

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Main window > Start Page

The start page is automatically opened when ZAMS is started. It contains different elements depending on the connection status.
If the start page has been deleted, it can be opened again using the Start page action in the View ribbon.

No connection

The following is available if there is no connection to an Analyzer server:

  • Actions: Quick access to often-used actions.
    • Connect to Analyzer Server: Opens the dialog to establish a connection.
    • License product: Opens the COPA-DATA License Administration. This can be used to activate and assign licenses.

Connection established

The following is available if there is a connection to an Analyzer server:

  • Actions: Quick access to often-used actions.
    • Connect to Analyzer Server: Opens the dialog to establish a connection.
    • New report: Creates a new report and opens the dialog to select a report template.
    • Open report: Opens dialog to select a saved report.
  • Recent report definitions: List of the report definitions last saved.
    Individual report definitions can be deleted from the list by clicking on the x button. The complete list can be deleted in the connection profile settings.


Report page

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Main window > Report page

In the report page, report template for a report are selected, configured and arranged in the report. The report settings are configured in the Properties window.

Note:

  • If several reports are opened, each report is shown in its own page with a tab. The name is displayed in the indicator of the tab.
  • Each report can use several report templates as a basis.
  • If the mouse pointer is moved to above the indicator of the tab, the complete path to the save location is shown.
  • Reports that contain unsaved changes are highlighted with an asterisk next to the name.
  • Reports that are write-protected are displayed with a corresponding notice in brackets in the register title.

Overview of report page

  1. Report name
  2. Time filter
  3. Report settings (configuration elements)
  4. Main dataset
  5. Add dataset
  6. Design area: Report name
  7. Design area: Parameter
  8. Design area: Report elements (diagrams, tables)
  9. Properties for filter and settings
  10. Tab with:
    • Report title
    • Symbol for validation:
      - exclamation mark: Validation error in the report template
      - green tick: Successful validation

Element

Description

Report name (1)

Display of the report name. This is configured using the properties. The display of the name in the Report Launcher is controlled using the corresponding control element in the design area (6).

Time filter (2)

Configuration of the time filter. These are always shown in the upper area of the report settings:

  • Filter symbol with plus sign: Adds new filters.
    Symbol next to filter adds variant for configured filter.
    Symbol below the filter adds a new basic filter.
  • Filter symbol with plus sign: Removes the attendant filter.

Up to 5 time filters can be configured in total.

Report settings (3)

Display of the configuration elements required for the respective report for data origin or data preparation.

They relate directly to the data of the report or offer a detailed configuration for other report settings.

Report templates / main data sets (4)

Each column to the right of the filter contains a main data set. A report template has at least one main data set, but can also have several more.

Symbol with red X deletes the report template from the table.

Groupings

If more than one report template has been selected, the respective report settings can be linked or separated using buttons.

Lines in the cells of the main data set show the assignment of report settings to main data sets:

  • full: is assigned to this main data set.
  • hatched: is not assigned to this main data set. It can be assigned however.
  • No line: No assignment to this data set is possible.

The linking is carried out by means of symbols or Drag&Drop.

Drag & drop:

If the mouse is moved over a line, the mouse pointer shows whether the report settings can be linked.

  • Mouse pointer as a hand: Setting can be linked to another one (source).
  • Mouse pointer with rectangle: The target can be linked to the source.
  • Mouse pointer with dotted circle: No linking possible.

Symbols:

  • Merge symbol [image]: Clicking on the symbol links main data sets.
    The configuration for all linked report settings is thus applicable.
  • Break up symbol [image]: Separates linked main data sets.
    The settings are set specially for report settings.

Note: The symbols for linking and separation are only visible if the attendant action can also be executed.

Add report template (5)

Clicking on the button opens the dialog to select a report template. A maximum of 5 report templates can be used. If 5 report templates are loaded in the report, the button is deactivated.

Design area (6, 7, 8)

Here, tables and graphics can be inserted and places using the Design tab.

Attention: This configuration is not a replacement for MS Report Builder; it only offers a limited preview and does not necessarily correspond to the subsequent view in Report Launcher.

Properties (9)

Separate window in which the properties of the configuration elements are edited.

Tab

The tab for the report template contains:

  • The file name for the report template *.zams.rep
  • A symbol for the validation of the configuration

Validation display:

  • Exclamation mark: Validation error in the report template
  • Green check mark: Successful validation

General notes

Data labeling

Data fonts for pie charts are always outside the pie segments.

Report settings

You can find details on the report settings in the Elements in the report chapter and in the report creation documentation.

Other topics in this chapter

Graphical configuration in the design area

Configuration process


Graphical configuration in the design area

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Main window > Report page > Graphical configuration in the design area

The design area allows the compilation of a report with the graphical elements that are to be subsequently used when creating the report in Report Launcher.

Attention: This configuration is not a replacement for MS Report Builder; it only offers a limited preview and does not necessarily correspond to the subsequent view in Report Launcher.

Item

Description

Toolbar

Contains properties for the configuration of:

  • Grid size
  • Height
  • Width
  • Show report name
  • Show parameter area

Report name

Display of the report name.
Can be hidden.

Report parameters

Display of the report parameters.
Can be hidden.

Graphical elements

Display of the report using tables and/or graphics.
Configuration using the symbols of the Design ribbon.

Hint: Use the Generate layout action to create a standard layout in the design area.

Elements in the report area

The elements in the report area are placed and configured by means of Drag&Drop or by means of properties. Above all:

  • Report name
  • Parameter display
  • Report items:
    • Tables
    • Diagrams

    After selection of a report element in the ribbon, the element can be positioned in the design area. As soon as the mouse is in an area in which the element can be placed, the corresponding element is symbolized instead of the mouse pointer. The element is added at the corresponding mouse position after clicking in the design area.

Sizes and position

Report elements have, if they are highlighted, handles on the edge, with which the sizes and position can be changed by means of Drag&Drop. Moving is only possible within the report limits. The position and size can also be changed in the properties window. The minimum size depends on the respective type of report element.

The main data set and time filter can be set for all report elements.

The following is applicable for the input of sizes and positions:

  • All sizes and positions are stated and calculated in millimeters.
  • Entries are corrected to the maximum permitted value.
    For example: If a width of 1 is entered, the value is set to the minimum possible width possible due to the content of the report.
  • Report elements must not overlap, but can border one another directly.
    During configuration, overlaps are shown visually with red coloring.
  • If report elements are positioned too close to the border when being added, they are moved automatically.
  • If report elements are too large for the configured report width, they are amended automatically.

Toolbar

The appearance of the report area can be configured using different actions in the toolbar:

Tool

Description

Grid size

Creation of the grid size. All elements present in the report are directed towards this window.

  • Minimum: 1 mm
  • Maximum: 10 mm

Default: 1 mm

The grid is shown in the background of the report. Report elements can only be positioned in this grid.

Exceptions: Report parameters and elements within the elements (such as parameter output range and table columns).

If the grid size is changed, all report elements that have already been configured are emended to the new grid size. The report width may also be enlarged in the process.

Width

Setting the report width of the area in millimeters.

  • Minimum: 45 mm and dependent on content
  • Maximum: 10000 mm

Default: 200 mm

The width can only be amended using the value of this property. If elements are dragged from the edge, this has no effect on the width.

The width is automatically amended if:

  • The grid size is increased
  • Report elements too large for the configured width, for example if table columns are added and the table has already reached the pre-configured edge

Height

Setting the report height of the area in millimeters.

  • Minimum: 3 x grid size
  • Maximum: 10000 mm

Default: 200 mm

The height can only be amended using the value of this property. If elements are dragged from the edge, this has no effect on the height.

The height is automatically amended if:

  • The grid size is increased
  • Table rows are added and the table has already reached the pre-configured border

Show report name

Setting of whether the report name is shown in the header of the report.

Default: active

Show parameter area

Setting of whether the report parameters are displayed in the header area of the report.

Default: active


Configuration process

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Main window > Report page > Configuration process

To configure to a report:

  1. Create a new report or open an existing one
  2. Select the desired report template.
    You can also combine several report templates into one report. To do this, click on the green plus sign in the header.
  3. With several report templates, decide which report settings are to be linked by grouping.
  4. Configure the properties of the report settings in the properties window.
  5. If necessary, select the required actions in the Design ribbon, for example:
    • Insert table
    • Insert diagram
    • Generate layout
    • Actions for the report parameters

Note: You can zoom the display of the design area with the slider in the status line.

You can find details on the configuration of reports in the Create report and Examples for report configuration sections.


Properties window

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Properties window

The properties of the report settings are configured in the properties window.

You can find details on the report settings in the Elements in the report chapter and in the report creation documentation.

minimize properties window

The properties window can also be minimized. To minimize or show the window again, click on the arrow in the left corner next to the buttons or on a free area in the bar.


Output window

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Output window

The output window lists error messages, warnings, information and status messages in a table. These notices can be filtered and deleted. The types of messages that are displayed are defined in Options.

Display in the output window

Property

Description

Buttons

Control display of messages and the hiding or display of the window. The setting of the buttons is saved when ZAMS is closed.

Delete all

Clears the whole table.

Error

Displays the number of errors that can be displayed in the table. Clicking on the button switches the display in the table on or off.

Warnings

Displays the number of warnings that can be displayed in the table. Clicking on the button switches the display in the table on or off.

Messages

Displays the number of messages that can be displayed in the table. Clicking on the button switches the display in the table on or off.

Status messages

Displays the number of status messages that are displayed in the table. These cannot be hidden.

Table

Contains error messages, warnings, information and status messages.

  • Messages can be sorted with the column titles. Clicking on the respective column head sorts the table according to this column. A second click inverts the sorting. The standard sorting increases in accordance with column 1 (Numbering).
  • Double clicking on a message in the table displays the report and the context in which the message was created in the report area of the main window. To do this, the report must already be open.
  • Messages are deleted when ZAMS is closed.

Numbering

Contains consecutive numbering. The numbers are assigned chronologically upon receipt.

Symbol

Symbol that displays the type of message. The symbols correspond to the symbols on the buttons.

Sorting sequence ascending:

  • Error
  • Warning
  • Information
  • Status information

Ascendant sorting is carried out in reverse order.

Timestamp

Displays the time stamp of the time at which the message was created.

Message ID

Unique ID of the message.

Description

Explanation of the message.

Source

Name of the report concerned at the time the message was created. If the message was not created in the context of a report, this column remains empty.

Minimize output window

The output window can also be minimized. To minimize or show the window again, click on the arrow in the left corner next to the buttons or on a free area in the bar. No messages are displayed when the window is minimized. The buttons with the display of the messages that are available continue to be displayed.


Status line

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Status line

The status display of ZAMS informs you of the connection and objects.
It consists of several sections:

  • Symbol that shows the status of the connection;
    Possible statuses are:
    • No connection established
    • Connection established
    • Secured connection established
  • Connection message: Display of the server and the database
  • Message that describes the current task
  • Progress display that is shown if necessary and displays the progress during longer working stages such as:
    • Open report
    • Saving all reports
    • Deploying all reports
    • Opening all reports in Report Builder


Keyboard shortcuts

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User interface > Keyboard shortcuts

The following keyboard shortcuts are available in ZAMS when configuring reports:

Help

Key combination | Meaning
F1: | Opens online help.

Licensing

Key combination | Meaning
Ctrl+L: | Shows the license information.
Ctrl+Shift+L | Opens the dialog to license the product.

Reports

Key combination | Meaning
Ctrl+N: | Creates a new report and opens the dialog to select a report template.
Ctrl+-O: | Opens the dialog to select an existing report.

Deployment

Key combination | Meaning
Ctrl+D: | Starts the process to prepare the current report.
Ctrl+Alt+D: | Starts the process to prepare all open reports.

Report definitions

Key combination | Meaning
Ctrl+S: | Saves the current report in a report definition file.
Ctrl+Shift+S: | Opens a dialog to save a report definition file under a different name.
Ctrl+Alt+S: | Saves all opened report definition files.

Report window

Key combination | Meaning
Ctrl+F4: | Closes the current report window.
Ctrl+Shift+F4: | Closes all open report windows.

Server connection

Key combination | Meaning
Ctrl+Shift+C: | Opens the dialog to establish a connection to the server.
Ctrl+I: | Shows information on the current server connection.


Analyzer Server and Reports

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports

In ZAMS, you can:

  • Manage Analyzer server
  • Configure connection security
  • Create and administer reports
  • Deploy reports
  • Manage RDL templates
  • Automate report handling
  • Display and enter licenses
  • Automating processes
  • Refresh caches

Missing UDF

With some actions, the database is checked to see that it is up to date. If missing UDFs are established, you receive an error message accordingly:

Available actions:

  • Yes: The missing UDFs are created automatically. You can continue with the desired configuration.
  • No: The action is canceled.

Circular dependencies with archives

When configuring, it must be ensured that no circular dependencies of variables are created. This could lead to the SQL server instance crashing. When configuring emulated archives, archives of 3rd party databases or calculated archives, a corresponding check is automatically carried out in ZAMS. Configurations that lead to circular dependencies are prevented.

Other topics in this chapter

Information about the Analyzer Server

Configure connection

Connection security

Show license

Enter License...

Configure Reporting Services wake up call

Configure email server...

Automation


Information about the Analyzer Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Information about the Analyzer Server

You can do the following via the Analyzer Server ribbon:

  • Connect ZAMS to the Analyzer server
  • Configure an activation call for the Analyzer Server
  • Request the license status of the Analyzer server
  • Assign new license
  • Configure the connection security

Server information

To receive information on the version of the Analyzer server:

  1. select Analyzer Server Version Information entry in the File menu

    The information window is activated

  2. You receive information on:
    • The operating system of the computer with the Analyzer server
    • The version of Analyzer server that is running


Configure connection

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Configure connection

To create a new connection profile, select:

  • When starting ZAMS, Create new profile as a profile
    or
  • when ZAMS is running, the Connect entry in the Analyzer server ribbon.

The dialog for the configuration is opened:

Option

Description

Connection profile

Selection of the connection profile from the drop-down list.
The profile consists of a path for server\database.

  • Create new profile: creates a new profile.

Connection security

Settings for the connection security. The entries must correspond to the configuration on the server.

Secured connection

Activation or deactivation of the encrypted communication.

  • Active: Communication is encrypted. For each connection, depending on the degree of encryption, passwords must be entered for the license service.
  • Inactive: Communication is not encrypted.

Note: Secured communication cannot be configured for existing connection profiles. A new profile must be created.

License Server connection password

Entry of the password for the connection to the license server.
Input is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

License Server modification password

Entry of the change password on the license server.
Entry is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

Save passwords

Stipulation of whether the connection parameters are saved in the connection profile.
Saving is carried out as a hardware-dependent and user-dependent hash of the password.

Refresh server list

A click starts a search for existing servers to which ZAMS can connect.

To do this, a list of all SQL server instance available in the network is checked to see if the attendant computers of the ReportService2010 Web Service endpoint and the license server can be reached.

Note: If a large amount of SQL servers are present in the system, the check can take a long period of time. The procedure is visualized by means of a progress display.

Specify database server

A click opens the dialog to enter a specific server.

This is the recommended procedure if the name of the computer and the SQL server instance of the Analyzer server are known.

Server computername

Selection of the computer name of the server to which ZAMS should connect, from a drop-down list.

If the desired server is not displayed, it can be added using the Update server list button or searched for via Enter database server.

Note: localhost is not a valid entry, because localhost is unknown in the domain. localhost is always replaced by the computer name.

Database

Selection of the database that ZAMS is to use from drop-down list.

OK

Accepts all inputs, validates them, creates them as a connection profile, closes the dialog and creates the connection.

Cancel

Rejects all inputs and closes the dialog without creating a connection.

Create new profile

When creating a new profile, the profile that was used last is used as a template. The server is transferred, the database list is filled again, whereby the database selection is also transferred. To create a new profile:

  1. Select in the Connection profile property, the Create new profile option.
  2. Enter, if required, the data for the connection security.
  3. Select the server and database.
  4. Confirm the information by clicking on the OK button.

Refresh server list

To update the list of servers displayed, click on the Refresh server list button on the dialog for the connection profile. The search for servers to which ZAMS can connect is started. In doing so, the progress display shows you the following:

  • The computer in the network that is currently being examined
  • The progress of the search (with a green bar)

The progress display is closed once the search has been completed. The servers found are shown in the Server computer name drop-down list.

Note: If a large amount of SQL servers are present in the system, the check can take a long period of time.

Select server manually

To define the computer name of the server manually, Enter database server button in the dialog for the connection profile. The dialog to connect to a specific server is opened.

Option

Description

Server computername

Entry of the computer name of the server to which ZAMS is to connect. A certificate must be installed for secure connections. This demands the server name as an FQDN (Fully Qualified Domain Name).

  • Example of insecure: myserver
  • Example of secure: myserver.mydomain.com

Note: localhost is not a valid entry, because localhost is unknown in the domain. localhost is always replaced by the computer name.

Progress bar

Shows the progress of the connection attempt.

If the attempt is not successful, a window with an error message is displayed and an error report is displayed in the ZAMS output window.

OK

Applies changes, validates them and closes the dialog.

Cancel

Discards changes and closes dialog.


Connection security

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Connection security

Communication in zenon Analyzer can be encrypted. With the exception of encryption, the communication is to the Connector Container.
Configuration is via ZAMS and is used to establish a connection and for communication. ZAMS saves the configuration and the connection profiles if a different tool is started from ZAMS. Manual Data Editor and Meta Data Editor check, when loading their own connection profiles, to see whether there is already a connection profile with the same name as their own connection profile for ZAMS. In this case, the connection profile with the most recent time stamp is loaded for use.

Encryption services

Service

Server

Client

SQL server

Decides on encryption.

No configuration necessary.

Report Server

Decides on encryption.

The server needs a certificate.

Clients for Report Launcher web server must use the URL for connection (HTTP or HTTPS).

License service

Decides on encryption.

Clients need the connection password.
A change password is required for authentication in the event that changes are made using ZAMS or the migration tool.

These passwords can be saved with connection profiles. Clients without a user interface read their configuration from the entries for the license service.

Note: Saved passwords can only be reused for unchanged PC hardware and the same Windows user.

You can also create the certificates required for encryption yourself.

info Information

For report developers, there is a tool that can be used to reset the configuration. For details, see the zenon Analyzer for developers manual; Tool: Analyzer Security Configuration section.

Protocols and encryption

Overview of services and their encryption:

Service/connection

Protocol

Encryption

Authentication

License service

TCP

AES 256

Hashes: SHA 256

Password.

  • Server: Passwords are encrypted depending on the hardware when saving.
  • Applications: Passwords can be saved as an option and are encrypted depending on the hardware and the user.

SQL Server Instance

TCP

SSl

Windows user (recommended) or separate password for SQL server.

Reporting services service

HTTP

SSl

Windows users.

SQL server instance connection to connector container

TCP

none

Recommendation: In the firewall before the Runtime server, only allow communication via port 50778 (connector container) to clients that need it.

Operation without encryption

If zenon Analyzer is operated without encryption activated, the following is recommended:

  • No Internet connection for computers with databases.
  • No Internet connection for license server.
  • Remote access via VPN only.

Other topics in this chapter

Certificates

Configure connection security

Extended settings

Switching from secure to non-secure


Certificates

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Connection security > Certificates

A certificate is required for securing the report server.
Appropriate certificates can be created with the Everywhere Certificate Creator.

Requirements

Requirements for report server certificates:

  • The complete domain name of the Analyzer server must be entered as a Subject. This is displayed in the URL.
    Otherwise the browser will report problems with the certificate security.
    Note: Some browsers also report an invalid certificate if the certificate used does not come from a location that is known to the browser.
  • The call-up URL of the Report Launcher and the name of the Analyzer servers for various tools, such as ZAMS for example, must correspond to the name given in the certificate. Otherwise the HTTPS connection cannot be established.

You can find further details for the requirements for in the Microsoft TechNet: https://technet.microsoft.com/en-us/library/ms189067(v=sql.105).aspx

Access by SQL Server

The SQL Server instance must be able to access the certificate's Private Key.
There are two possibilities for this:

  • Non-secure: Give the SQL Server instance (service user) local administrator rights. This procedure is expressly not recommended for reasons of system security.
  • Recommended: Give the service user of the SQL Server instance access rights.
    To do this:
    • Open the computer certificate administration.
    • Right-click on the certificate
    • Select Manage private keys.
    • Give the service user of the SQL Server instance access rights.

      The name of the service user depends on the SQL instance.
      Example: NT Service\MSSQL$ZA3
      Note: The full name must be entered. The often-given short description of the user cannot be used.


Configure connection security

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Connection security > Configure connection security

The connection security is configured in the Configuration of the connection security dialog.

To open the dialog, select the Connection security entry in the Analyzer Server ribbon. The entry can only be selected if Analyzer Server and ZAMS are on the same computer.

Configure connection security

To configure the connection security:

  1. Select the desired type.
  2. Select the certificate with secure communication.
  3. Issue and confirm the connection password and the change password for the license server.
  4. Decide whether the license server also does not allow non-secure communication.
  5. If necessary, configure the standard behavior for the entry of an incorrect password by clicking on the Advanced button.
  6. Decide whether the passwords are saved in the connection profile or reentered for each new connection.

Dialog for configuration of the connection security

Option

Description

Connection security type

Selection of the type of secure connection from a drop-down list.

  • Unsecured communication:
    All communication for all services is not secure. (not recommended)
  • Unsecured communication. Secured communication with License Server allowed:
    SQL Server instance and report server only communicate in unsecured form. The license server allows secure and non-secure communication.
  • Secured connection:
    All services use secure communication. With the license service, it is also possible to decide whether non-secure communication is permitted.
    (recommended)

Report Server Certificate

Selection of the certificate for the securing of the HTTP connections and the web service connections for the report server. All locally-created certificates are available.

Only available if all services are secure for Security type of the connection. An entry must be selected if this drop-down list is active.

SQL Server Certificate

Selection of the certificate for the securing of the connections for the SQL Server instance.

All locally-created certificates are available. Alternatively, certificates can be created by SQL Server.

Only available if all services are secure for Security type of the connection. An entry must be selected if this drop-down list is active.

License Server connection password

Entry of the password for the connection to the license server.
Input is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

Note the requirements in the Rules for passwords section.

Only available if the license service can communicate in secure form.

Confirm password

Repetition of the password for the connection to the license server.

License Server modification password

Entry of the change password on the license server.
Entry is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established. Is used by ZAMS and the migration tool.

Note the requirements in the Rules for passwords section.

Only available if the license service can communicate in secure form.

Confirm password

Repetition of the password for changes to the license server.

License Server allows an unsecured communication

Stipulation of whether the license service, in addition to secure communication, also allows non-secure communication.

  • Active: License server also allows non-secure communication.
  • Inactive: License server only allows secure communication.

Possible settings and activity are determined by the security type:

  • Unsecured communication:
    Checkbox not available.
  • Unsecured communication. Secured communication with License Server allowed:
    Checkbox active and not available.
  • Secured connection:
    Checkbox active and can be deactivated.

Extended

When clicking on "Extended", the ZAMS dialog for advanced Analyzer Server connection security settings is started. If this is confirmed with OK, the changes from this dialog are applied.

Store passwords in connection profile

Stipulation of whether the connection parameters are saved in the connection profile.
Saving is carried out as a hardware-dependent and user-dependent hash of the password.

Not available if all services are to be secured. In addition, your activity is determined by the configuration present before the dialog is called up:

If the initial configuration is Secure communication, the checkbox is inactive until all passwords for the license server have been re-entered.

As long as no password has been re-entered, the checkbox is then active if there are saved passwords in the connection profile that is currently being used.

Example runtime behavior:

  • The dialog is started with a configuration for secure communication and a connection profile with saved passwords:
    Checkbox is inactive and not available.
  • One of the input fields for the license service passwords will be changed:
    Checkbox is inactive and not available.
  • The remaining input fields for license service passwords are amended:
    Checkbox is available in the moment in which the last unchanged password is amended.

Close dialog

Option | Description
OK | Click on OK to start the validation of the dialog. If validation errors occur, these are shown by means of a notification dialog and the dialog remains open. If no validation errors occur, the dialog is closed and the changes are applied.
Cancel | Discards all changes and closes the dialog.

Rules for passwords

The following is applicable when issuing passwords:

  • The input field must not be empty.
  • Minimum length 8 characters
  • Maximum length 20 characters
  • The password must not contain any empty characters or word wraps.
  • The password must contain at least one of the following categories from at least 3 of the following categories:
    • Capital letters: A-Z
    • lower case letters: a - z
    • Digits: 0-9
    • Special characters: all other valid characters.
      The following are not permitted: spaces, carriage return or vertical spacing.)
  • The password entered must correspond to the confirmation password entered.

Note: The passwords for login and changes to the license server can be identical. However it is recommended that different passwords are used.


Extended settings

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Connection security > Extended settings

In this dialog, you configure the settings for errors when entering a password and the behavior of the server:

  • Number of permitted incorrect entries
  • Time period in which the incorrect entries must be entered in order to be counted together
  • Blocking time for the client in the event of multiple incorrect entries
  • Permitted time difference for authentication

Advanced settings dialog

Option

Description

Number of incorrect password attempts

Number of incorrect attempts after which a client is blocked:

  • Minimum: 1
  • Maximum: 1000

Default: 3

Failure forget time

Number of seconds after which a failed attempt is forgotten:

  • Minimum: 1
  • Maximum: 86400 (1 day)

Default: 60 (1 minute)

Client lock time

Number of seconds that a client remains blocked after a block:

  • Minimum: 1
  • Maximum: 86400 (1 day)

Default: 3600 (1 hour)

Allowed authentication time difference

Permitted deviation of the client's time stamp from the current time stamp of the server during authentication in seconds:

  • Minimum: 1
  • Maximum: 86400 (1 day)

Default: 10

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Switching from secure to non-secure

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Connection security > Switching from secure to non-secure

The switching from a secure connection to a non-secure connection depends on the setup in the computer:

  • Switching of an installation between secured and non-secured
  • Switching of 2 installations between secure and non-secure (for example 3.00 & 4.00)
  • Parallel operation of a secure and non-secure installation (for example 3.00 & 2.20)

Note: All installations are always on the same computer.

One installation

Switching of an installation between secured and non-secured:

  • Initial situation: There is only one zenon Analyzer installation on the computer. This allows secure connections.
  • Procedure: The configuration can be changed as desired using ZAMS, because no further installations on the computer are affected.

2 installations

Switching of 2 installations between secure and non-secure:

  • Initial situation: There are two zenon Analyzer installations (A and B) on the computer that allow secure communication.
  • Procedure: In order to guarantee complete connectivity, the right steps need to be carried out in the right sequence.

Switching from secure to non-secure

Starting point: A and B communicate in plain text.

Configuration:

  1. A is configured as a secure connection.
    The license service allows plain text communications.
    Result: A communicates in secure form, B communicates in plain text.
  2. B is configured as a secure connection. This is initially shown as partially secure in the dialog.
    The license service does not permit plain text connections.
    Result: A and B communicate in secure form.

Switching from secure to non-secure

Starting point: A and B communicate in secure form.

Configuration:

  1. A is configured as a partially secure connection.
    SQL Server and report server communicate in plain text.
    License service communicates in encrypted form and allows plain text.
    Result: A communicates in plain text, B communicates in secure form.
  2. B is configured as a non-secure connection.
    Result: A and B communicate in plain text.

Parallel operation

Parallel operation of a secure and non-secure installation.

  • Initial situation: There are two zenon Analyzer installations on the computer.
    A can operate with plain text and in secure form, B can only operate with plain text.
  • Procedure: In order to guarantee complete connectivity, the correct configuration must be selected when switching from non-secure to secure.
    No problems can occur when switching from secure to non-secure.

Switching from secure to non-secure

Starting point: A and B communicate in plain text.

Configuration:

  • A is configured as a secure connection.
    The license service allows plain text communications.
    Result: A communicates in secure form, B communicates in plain text.


Show license

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Show license

To display the license used by the Analyzer server:

  1. Select, in the Analyzer server ribbon, the Show license command

    The dialog with the license information is opened.

Option

Description

Licensing details

Shows the details of the actual license. Above all:

  • Serial number
  • licensed versions
  • Licensed clients
  • Validity and expiration data

Included themes

Display of the report themes, included in this license.

OK

Closes the window.

For details on licensing, see also the Licensing chapter.


Enter License...

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Enter License...

To enter new license data:

  1. Select the License Product button in the Analyzer Server ribbon.
    If there is no license, there is also a corresponding action available on the start page.

    The COPA-DATA License Administration is opened.

  2. Activate your license and/or assign the license to the zenon Analyzer.


Configure Reporting Services wake up call

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Configure Reporting Services wake up call

The caches of the Reporting Services are regularly emptied by the server if they are not accessed. Applications that access these must then wait until it is built up again. This also applies if the content has not changed. The Reporting Services activation call regularly initializes the reporting services and prevents the cache being emptied. This periodic call up can shorten the waiting time when calling up Report Launcher and when connecting ZAMS and the migration tool.

To configure to a wake up call:

  1. In the Analyzer Server ribbon, click on the Activation request menu item.
  2. The dialog for configuration is opened.
  3. Select the desired interval from the drop-down list.
  4. Close the dialog by clicking on OK.

Reporting Services wake up call dialog

Option

Description

Enable the Reporting Services wake up call
  • Active: An activation call is configured and is executed. The interval of the call is established with the Interval of execution of the activation call.

Interval for performing the wake up call

Selection of the interval for the activation call from the drop-down list. The following are available:

  • 1 hour
  • 2 hours
  • 3 hours
  • 4 hours
  • 6 hours
  • 12 hours
  • 24 hours

Default: 1 hour

Note: Only values that can be divided into the number 24 without a remainder are available. This ensures that the call can always be periodic.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Configure email server...

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Configure email server...

In order to be able to send reports by email, the SMTP server must be configured. This is carried out in ZAMS using the Email server entry in the Analyzer Server ribbon - Settings.

attention Attention

This function is only available if ZAMS is running on the Analyzer server and is connected to an Analyzer database with a valid license on the same computer and there is no other task running in the background.

You configure the email yourself with Administer report subscriptions in the Delivery method tab.

Configuration

To configure email delivery:

  1. Click on the Email server entry in the Analyzer Server ribbon.
  2. The dialog for configuration is opened. Entries that already exist are read and displayed. The existing configuration is saved in a separate file.
    If an error is detected when reading, a message is written to the output window and the dialog is ended.
  3. Configure the required properties in the dialog.
    For further details see chapter configuration dialog
  4. Confirm the changes by clicking on OK.
    The changes are written to the current configuration. If an error occurs, the previously-saved configuration is used.

Note: A progress bar is shown for actions that last longer.

Recommendation: Reconnect to the Analyzer Server once you have finished configuration.

Configuration dialog

Option

Description

SMTP server

Entering the SMTP server information

IP address, UNC name or fully-qualified domain name.

Ping

Clicking on the button executes a ping to the server entered.

Only available if a server has been entered. The result of the ping is output in a message box.

Port

Entry of the TCP port for SMTP at the given server.

Possible values: 0 to 65535.

Invalid inputs are shown in a tooltip and not accepted.

Account name

Entry of the account name.

If no account name has been configured for the SMTP server, the field can remain empty.

Use the Sender address property to stipulate an email account for the sending of reports.

Timeout (seconds)

States how many seconds are waited for a valid socket connection with the SMTP service. The process is canceled after that.

Possible values: Whole number greater than 0.

Default: 30 seconds.

Attention: The value is ignored if SMTP server in the network is selected as a sending method.

Invalid inputs are shown in a tooltip and not accepted.

SMTP service pickup folder

Entry of a local save path from which the SMTP service calls up outgoing emails.

It must be a fully-qualified local folder path (for example D:\rs-emails).

Browse...

Opens the dialog for selecting a folder.

Validate

Clicking on the button checks whether the path entered exists.

Only available if a path has been entered.

The result of the validation is output in a message box.

SSL usage

Determination of whether SSL can be used. Select from drop-down list:

  • SSL usage not specified
  • Do not use SSL
  • Use SSL

Sending method

Selection of the sending method for emails from drop-down list:

  • Sending method not specified
  • Local SMTP service pickup folder
  • SMTP server in the network

Authentication for the SMTP server in the network

Selection of authentication method. Select from drop-down list:

  • Authentication not specified
  • No authentication
  • NTLM authentication

Sender address

Entry of a sender address for emails. Necessary if you use an SMTP remote server.

Format: abc@host.xyz

The address should be a valid email account with the authorization to send emails.

In the event of incorrect entries, the background color is switched to red and a tooltip is displayed.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Automation

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Automation

You can configure and start the following actions in the Options ribbon in the Automation ribbon group:

  • Preparation of reports using schedules
  • Report subscriptions

Other topics in this chapter

Manage schedules

Administer report subscriptions


Manage schedules

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Automation > Manage schedules

In order for the provision of reports to be automated using schedules, there must be a connection to an Analyzer server with a valid license.

To create and administer schedules for the deployment of reports:

  1. Select the Schedules entry in the Options ribbon group.

    The dialog for administering the schedule is opened.

    Preconfigured schedules are displayed.

  2. Create a new schedule or edit an existing one.

Option

Description

Available schedules

Display and filtering of the already-configured schedules.

Filter field

Entry of a filter for the List of schedules.

Only schedules that correspond to the filter criteria are shown in the list.

Wildcards:

  • ?: Wildcard for precisely 1 character
  • *: Wildcard for 0 or more characters

If there is no wildcard in the filter expression, a * is automatically added to the end when filtering.
For example:

  • „" (empty field) becomes *
  • test becomes test*
  • t?st remains t?st

List of schedules

List of all preconfigured and available schedules.

Schedule properties

Displays the preconfigured properties of the schedule highlighted in the list.

  • Schedule name
  • Details about the schedule
  • Start time of the schedule
  • End time of the schedule
  • Status of the schedule
  • Time of the last execution of the schedule
  • Time of the next execution of the schedule

Attention: The texts can be displayed in different languages. They come partly from ZAMS and partly from the web service. These can be configured in different languages.

New

Opens the dialog to create a new schedule.

Edit

Opens the dialog to edit a schedule.

Delete

Deletes the selected schedule from the list and from the Analyzer server.

If a schedule to be deleted is used for one or more subscriptions, then a warning is given for each subscription. The user must decide if all relevant subscriptions should be deleted with the schedule.

  • Yes: First the respective subscriptions are deleted, then the schedule.
  • No: Neither subscriptions nor the schedule are deleted.

Refresh

Refreshes List of schedules.

Close

Closes the dialog.

Creating and editing schedules

To create a new schedule:

  1. Click on the New button.

    The dialog is opened with the default values for all input possibilities.

To amend an existing schedule:

  1. Highlight the desired schedule in the list.
  2. Click on Edit.

    The dialog is opened with the values for the selected schedule.

To delete a schedule:

  1. Highlight the desired schedule in the list.
  2. Click on Delete.

    The schedule is deleted.

Dialog to create and edit a schedule

Option

Description

General

General settings for the schedule:

  • Name
  • Recurrence configuration

Name

Name of the schedule.

Recurrence configuration

Recurrence configuration for the time plan. There are the following patterns:

  • Once
  • Minutes and hours
  • Days
  • Days in weeks
  • Days in months
  • Days in weeks of months

The patterns are configured in the Recurrence configuration section.

Start and expiration

Start and end times for the plan.

Start time

Start date.

Start time

Start time.

Schedule expires

Active: Time plan has a defined date of expiration.

Can only be activated if the pattern is not Once.

Date of expiration

Date of expiration.

Recurrence configuration

Configuration of the recurrences For details, see the "Configure recurrences" section.

OK

Applies the selected configuration and closes the dialog.

Cancel

Closes the dialog without executing any actions

Errors during the action prevent the dialog being confirmed with OK and are displayed via messages in the output window.

Configuring recurrences

attention Attention

If an already-configured schedule is called up for editing again, it can happen that the configuration does not correspond to the pattern entered previously. The execution times of the schedule remain the same, only the display of the configuration is affected.

Background: The web service examines the configuration of a schedule and converts it to a simpler pattern, regardless of its configuration.

For example: In weekdays, each day was activated and the week interval is set to 1. The web service makes the simpler pattern Days days out of this, with an interval of 1.

Once

Is only executed once. The settings for Recurrence configuration are thus not available.

Minutes and hours

Defines the interval between two executions of the schedule in hours and minutes.

Option | Description
Hours | Hours are stated.
Minutes | Minutes are stated.

Note: If both properties are set to 0, this leads to an error.

Days

Defines the distance between two executions of the schedule in days.

Option | Description
Days | number of days between two executions.

Note: If 0 is set, this leads to an error.

Days in weeks

Defines the distance between two executions in weekdays and weeks of execution.

Option | Description
Interval in weeks | Interval between the executions in weeks.
Days in weeks | Weekdays on which the schedule is to be executed.

Example: A schedule for "every second Wednesday" would have Wednesday highlighted as the execution day and a weekly interval of 2.

Note: If no days are highlighted or 0 is set for weeks, this leads to an error.

Days in months

Defines the interval between two executions of the schedule over days and weeks of execution.

Option | Description
Days per month | Activation of the active days via the checkboxes. Note: The possible execution dates are orientated to the shortest month, February. They are therefore limited to 28.
Months | Activation of the active months.

Note: If no entry is activated in one of the properties, this leads to an error.

Days in weeks of months

Defines the interval between two executions of the schedule in active weekdays according to week of execution and month of execution.

Option | Description
Days in weeks | Selection of the active weekdays.
Month | Selection of months in which the selected days are active..
Week in month | Selection of the week of the active month in which the schedule is executed.

Note: If no entry is activated in one of the properties, this leads to an error.

Limitations

  • Calendar days in months are limited to 1 - 28 (corresponds to February in non-leap years)
  • The "Month end" event is not available


Administer report subscriptions

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Automation > Administer report subscriptions

Requirements: In order for reports to be subscribed to, there must be a connection to an Analyzer server with a valid license.

To subscribe to reports:

  1. Select the Subscriptions entry in the Options Ribbon in the Automation Ribbon group.

    The dialog for administering the subscriptions is opened

Option

Description

List of report subscriptions

List of the already-configured subscriptions with detailed information:

  • Description: Description of the subscription.
  • Report: The report used in the subscription.
  • Owner: Owner of the subscription.
  • Subscription status: Status of the subscription.
  • Last Run: Time of the last execution of the subscription.

New

Opens the dialog to create a new subscription with the default values for all input possibilities.

The table with the subscriptions is updated once the opened dialog has been confirmed.

Edit

Opens the dialog to edit the selected subscription with the values configured for the selected subscription.
The table with the subscriptions is updated once the opened dialog has been closed.

Delete

Deletes the highlighted subscription without asking for confirmation.
The table with the subscriptions is updated after the action has been carried out.

Refresh

Refreshes the List of report subscriptions.

Close

Closes the dialog.

attention Attention

There can be mixes of different languages in all dialogs of this function.

Background: The texts are created by ZAMS, by the web service and also by Microsoft Extension DLLs (for the dispatch methods of the subscriptions). Theses sources support different languages depending on installation and configuration.

Creating and editing subscriptions

To create a new subscription:

  1. Click on the New button.

    The dialog is opened with the default values for all input possibilities.

To amend an existing subscription:

  1. Highlight the desired subscription in the list.
  2. Click on Edit.

    The dialog is opened with the values for the selected schedule.

To delete a subscription:

  1. Highlight the desired subscription in the list.
  2. Click on Delete.

    The subscription is deleted.

Dialog for creating or editing a subscription

Option | Description
General settings | Configuration of the general settings for the subscription.
Report parameters | Configuration of the parameters for the selected report.
Delivery method | Configuration of the delivery method for the report.
Previous | Switches to previous tab. Not active in this tab.
Next | Switches to the next tab.
OK | Accepts the configuration, creates the subscription and closes the dialog. Only available if no invalid data is present. Input fields with invalid content are stored in red.
Cancel | Discards changes and closes the dialog.

Note: Errors during configuration prevent the dialog being confirmed with OK and are displayed in the output window.

Other topics in this chapter

General settings

Report parameters

Delivery method


General settings

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Automation > Administer report subscriptions > General settings

You select the report, delivery method and schedule in this report. You configure report parameters and delivery method in the following tabs.

Option

Description

General settings

General settings for the subscription:

Report

Selection of a report for the subscription from a drop-down list.
This selection determines which properties are offered in the Report parameters group.

Delivery method

Selection of a method with which the report is sent from a drop-down list:

  • Save report as shared file:
    The report is saved to a network drive in an approved folder.
    This option is always available. Other options depend on the configuration of the reporting services.
  • Send report via e-mail:
    The report is sent by email.
    Only available if the reporting services are configured accordingly.

This selection determines which properties are offered in the delivery method group.

Schedule

Selection of a schedule for the subscription.

Note: The schedule for the subscription can be created directly on the Analyzer server and saved with this. This is not supported by ZAMS.

Manage schedules

Opens the dialog to create ad edit schedules.

If this is executed, the table with the schedules is updated in the list of schedules.

Previous

Switches to previous tab.
Not active in this tab.

Next

Switches to the next tab.

OK

Accepts the configuration, creates the subscription and closes the dialog.

If the information provided is not valid, the dialog remains open without saving and the erroneous configurations are shown.

Cancel

Discards changes and closes the dialog.


Report parameters

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Automation > Administer report subscriptions > Report parameters

The report parameters are configured in this tab. The control elements are displayed in groups, the groupings are automatically displayed from top to bottom in one or more languages.

Option

Description

Display of controls

Depending on the report selected in the General settings tab, the respective controls are offered for configuration. The labels above the controls for the parameters always come from the report.

Recommendation: In the Time span control, activate the Use standard value checkbox to use the configured values for the report.

Previous

Switches to previous tab.

Next

Switches to the next tab.

OK

Accepts the configuration, creates the subscription and closes the dialog.

If the information provided is not valid, the dialog remains open without saving and the erroneous configurations are shown.

Cancel

Discards changes and closes the dialog.

info Information

Note for parameters with multiple selection:

  • If the checkbox for use of the standard values of the parameters is deselected
  • and then all values activated in the selectable list of parameters are deselected,
  • Then the standard values are set for these parameters again.

Technical background: The report server sets all parameters that have standard values and are transferred without values back to standard values.


Delivery method

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Analyzer Server and Reports > Automation > Administer report subscriptions > Delivery method

You define the delivery method for the report in this tab. Save report as an approved file is always available as a standard method. Other methods depend on the configuration of the reporting services. In this documentation, the Send report by email method is also presented in addition to the standard method. The method is selected in the General settings tab.

Entries in this tab are validated each time a parameter value is validated.

attention Attention

The language of the parameters for the delivery method corresponds to the language of SQL Server. The language can therefore differ from the configured language. There may also be entries in different languages.

Save report as shared file

Option

Description

File name

Name of the file in which the report is saved.

Must not be empty and must contain a valid name.
The following characters are not permitted: /\?|<>:*"

Path

UNC path of the authorized folder in which the file is saved. Must not be empty and must contain a valid UNC file path. Clicking on the Browse button opens the dialog to select an approved folder on the network drive.

Attention: For technical reasons, it may be necessary to enter a user name and password in the UNC browser dialog. This entry relates to access for approved drives and is not the same as parameter fields for user name and password.

Render format

Selection of the data format from drop-down list for saving the report.

Write mode

Selection of what is to happen for a pre-existing file from a drop-down list:

  • None: The file is created, but rejected again. Nothing is written.
  • Automatic incrementation: Additional information is written.
  • Overwrite: The file is overwritten.

Filename extension

Configuration of whether an extension is added to the report file:

  • Yes: The file is supplemented with a file extension appropriate to the render format property.
  • No: The file is saved without a filename extension

User name

User name for access to the authorized folder.

Must be entered in order for the validation to be successful. Only the presence of the input is checked.

Password

Password for access to the authorized folder. This is not displayed in plain text and is not supplied by the web service when the subscription is called up again.

Must be entered in order for the validation to be successful. Only the presence of the input is checked.

Use file share account

Allows access to central data storage. All subscriptions can be administered centrally with a user.

The access data (save location, user name and password) are configured in the Reporting Services Configuration Manager.

With the delivery method, only whether this save location is used needs to be established:

  • Yes: The central save location is used.
  • No: Each subscription is administered separately with its own access data.

Navigation

Previous | Switches to previous tab.
Next | Switches to the next tab. Not active in this tab.

Close dialog

OK | Accepts the configuration, creates the subscription and closes the dialog. If the information provided is not valid, the dialog remains open without saving and the erroneous configurations are shown.
Cancel | Discards changes and closes the dialog.

Send report via e-mail:

In order for reports to be able to be sent by email, the SQL Server must be configured accordingly. Configuration is carried out in ZAMS using the Email server entry in the Analyzer Server ribbon.

Configuration of the dispatch method

Option

Description

To

Address of the recipient.

Must not be empty and must contain a valid list of email addresses. Requirements for addresses:

  • The following characters are permitted: a-z, A-Z, 0-9, !#$%&'*+-/=?^_`{|}~.
  • Syntax: [local part]@[domain part]
  • Several addresses are separated by a semi colon (;)
  • Exactly one @ character in the whole address
  • Two periods (..) must not appear consecutively
  • Rules for local part and domain:
    - must not start with period (.)
    - must not end with period (.)
    - must contain at least 1 valid character
    - must not contain any invalid character

Cc

Address of recipients of copies.

Can be empty. The content must contain a list of valid email addresses.

Bcc

Address of hidden recipients of copies.

Can be empty. The content must contain a list of valid email addresses.

Respond to

Address to whom a response is to be sent.

Can be empty. The content must contain a list of valid email addresses.

Include report

Selection of whether the report is sent.

  • Yes: Report is attached to the email as a file.
  • No: Only one email is sent, stating that that a report is available. The report itself is not sent.
    Hint: However a link to the report can be added using the Include link option.

Render format

Selection of the data format from drop-down list for saving the report.

Priority

Selection of the priority of the email from the drop-down list:

  • Higher
  • Normal
  • low

Subject

Subject of the email The following text blocks can be replaced automatically:

  • @ReportName: Name of the report
  • @ExecutionTime: Date and time of report creation.

Comment

Additional text for the email.

Include link

Selection of whether a link to a report is included in the message.

Yes: A hyperlink to the report is included in the email.

No: No hyperlink is included.

Previous

Switches to previous tab.

Next

Switches to the next tab.

Not active in this tab.

OK

Accepts the configuration, creates the subscription and closes the dialog.

Only available if no invalid data is present. Input fields with invalid content are stored in red.

Cancel

Discards changes and closes the dialog.


Managing SQL Server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server

You can get to the tools to manage the SQL connections and the databases by means of the SQL server ribbon:

Database

Create and convert databases.

Action | Description
New | Opens dialog to create a new Analyzer database.
Convert | Starts the conversion of databases, the version number of which is lower than the current version number.

Database backup

Backup and restore databases.

Action

Description

Create

Opens the dialog for creating a project backup.

Automated

Opens the dialog to administer the automatically-created database backups.

Restore

Contains actions to:

  • Restore:
    Opens the dialog for renaming a profile.
  • Restore as new database:
    Opens the dialog for restoring a database backup as a new database.
  • Restore Reporting Services database:
    Opens the dialog for restoring the reporting services database.

Manage files

Opens the dialog to administer the backup files of the database.

Administration

Administration tasks.

Action | Description
Linked Servers | Opens dialog to manage the linked servers.
Metadata indices | Opens the dialog to manage the metadata indices.

Data processing

Configuration of connectors and archives.

Action | Description
SCADA SQL connector | Opens the dialog to create an SQL connector.
3rd party database connector | Starts the configuration of the connector for third-party databases.
Calculated archives | Starts the dialog to configure calculated archives.
Emulated archives | Opens the dialog for configuring the archive emulation.
Update SQL Server extensions | Renews the SQL server extensions. The result is displayed in the output window.

Timeout connector functions

Before each call of a connector function, the set timeout is read from zenAnalyzer.ini. This can be amended there if required. Changes are applied immediately. No restarts of processes, services or computers are necessary.

Other topics in this chapter

Update SQL Server extensions

Create SCADA SQL connector

Create 3rd party database connector

New Analyzer database

Convert databases

Manual database backups

Restore database backup file as new database

Restore Reporting Services database backup

Administrate automated database backups

Manage database backup files

Manage linked server

Manage metadata indices

Configure archive emulation


Update SQL Server extensions

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Update SQL Server extensions

This function is available if there is a connection to an Analyzer server with a valid license.

By selecting the Update SQL server extensions action:

  • You update the Assembly zrsUserFunctions database
    or
  • create it if it does not already exist, and update the attendant SQL UDFs in the database

Procedure:

  1. On the currently-connected SQL server instance, all Analyzer databases in the current structure version are found.
  2. For each database found, the database assemblies (zrsUserFunctions, Prediction.ModelStorage, Prediction.PredictionEngine) and the resultant exported functions are updated.
  3. A status message in the output window informs you of the amount of the databases found for which the update was successful.

Existing SCADA SQL connectors are retained and are not discarded.


Create SCADA SQL connector

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create SCADA SQL connector

To create an SQL connector:

  1. In the SQL server ribbon, in the Data processing area, select the SCADA SQL connector entry.
  2. The dialog to create an SQL connector with both tabs Databases and Projects is opened

info Information

The following must be the case in order to create an SQL connector:

  • There must be a connection to an Analyzer Server with a valid license
  • There must be at least one project present with the currently-connected database

Databases

Selection of databases and linked server where the search for tables is to be made.

attention Attention

The following can be neither displayed nor configured:

  • Archives that have been imported using the third-party database connector
  • emulated archives
  • calculated archives

Option

Description

Currently-connected SQL server instance

Properties of the SQL server instance to which ZAMS is currently connected.

Currently-connected database [NAME]
  • Active: A search for tables is to be made in the currently-connected database.

The name of the database that is currently connected is displayed at the end of the option.

Other databases on the currently connected SQL server instance

Selection of databases on the SQL server instance that is currently connected where a search for tables is to be carried out.

The selection is made by activating the checkboxes:

  • Select all: Activates or deactivates checkboxes for all available databases.
  • Checkbox before database: Selects or deselects the respective database.

Linked Servers

Linked Server on the SQL server instance to which ZAMS is currently connected.

SQL

Only contains linked SQL servers.

Provider: SQLNCLI

The selection is made by activating the checkboxes:

  • Select all: Activates or deactivates checkboxes for all available databases.
  • Checkbox before database: Selects or deselects the respective database.

Azure

Only contains linked SQL Azure servers.

Provider: SQLNCLI11

The selection is made by activating the checkboxes:

  • Select all: Activates or deactivates checkboxes for all available databases.
  • Checkbox before database: Selects or deselects the respective database.

Oracle

Only contains linked Oracle servers.

Provider: OraOLEDB.Oracle

The selection is made by activating the checkboxes:

  • Select all: Activates or deactivates checkboxes for all available databases.
  • Checkbox before database: Selects or deselects the respective database.

ODBC

Only contains linked ODBC servers.

Provider: MSDASQL

The selection is made by activating the checkboxes:

  • Select all: Activates or deactivates checkboxes for all available databases.
  • Checkbox before database: Selects or deselects the respective database.

OK

Closes the dialog, saves the configuration of both tabs and opens the dialog to configure the SQL connector.

The parameters are set up via three tabs:

  • AML, CEL and Context List
  • Archive tables
  • Shift tables

For details, see the corresponding sections.

Cancel

Cancels the process of creating the SQL Connectors and closes the dialog.

Note: All data sources are activated by default.

info Information

ZAMS can search for importable tables in:

  • Databases on the currently-connected SQL Server instance.
  • Databases on linked SQL Server instances.
  • Via ODBC-linked databases. These are subject to limitations.
    Note: The configuration of the ODBC driver for SQL Server is described in the Configuration of the provider chapter.
  • Databases on left Oracle Server
  • Databases in MS Azure

The metadata for virtual archives is stored in new metadata tables. Attention: With linked SQL Servers, read access to the "master" database is required in order to list the databases on the linked SQL Server. With all databases on SQL Server instances, read access to the system views is required in order to be able to recognize the columns and their data types.

Projects

In this tab, you define the data of which project that is to be searched for according to tables. The source databases for the available project have been stipulated in the Databases tab.

Option

Description

Project selection

Selection of a project.

If a project has been selected, the project configuration group is filled and can be configured. Configuration can be carried out for each available project.
By clicking on OK, all configurations for all projects are applied.

Project configuration

Configuration of the selected project.

Search for data for this project
  • Active: A search for tables is made in this project. Further options are shown.
  • Inactive: A search for tables is not made in this project.

Alarm Message List
  • Active: A search for AML tables is made (table name ends with _ALARM).

Chronological Event List
  • Active: A search for CEL tables is made (table name ends with _CEL).

Shift data
  • Active: A search for shift data tables is made.
    The shift tables to be searched for are taken from the EQUIPMENTSHIFT metadata table.

Context lists
  • Active: Context lists for alarm causes are searched for.

Search for data tables for these archives

Selection of the data tables for archives.
Tables of the following types are offered:

  • Archive data:
    [project name]_[short archive description]
  • Variables in the archive:
    [project name]_VARIABLES
  • Lotsdata:
    [project name]_[archive short description]_LOT
    According to this table, a search is only made if the archive in the metadata is defined as a lot archive (LOTARCHIV column in the ARCHIVE metadata table).

The selection is made by activating the checkboxes:

  • Select all: Activates or deactivates checkboxes for all available data tables.
  • Checkbox before database: Selects or deselects the respective data table.

OK

Closes the dialog, saves the configuration of both tabs for all configured projects and opens the dialog to configure the SQL connector.

The parameters are set up via three tabs:

  • AM, CEL and Contextlist
  • Archive tables
  • Shift tables

For details, see the corresponding sections.

Cancel

Cancels the process of creating the SQL connectors and closes the dialog.

Other topics in this chapter

Configuration of the SQL Connector

Configuration of the archive tables

Configuration of the shift tables


Configuration of the SQL Connector

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create SCADA SQL connector > Configuration of the SQL Connector

Click on the OK button in the dialog for creating an SQL connector to open the dialog to configure the SQL connector. A standard configuration is created for each project before the dialog is opened.

The dialog consists of three tabs:

  • AM, CEL and context list
  • Archive tables
  • Shift tables

The settings are saved after configuration. The last settings saved are displayed the next time the dialog is called up.

Dialog AML, CEL and Context List

Option

Description

Project selection

Selection of the project from the drop-down list makes requirements for the properties to be configured. The selection applies for all three tabs.

AML table selection

Configuration of the AML table to be used.

Selection of the desired AML table from the drop-down list. This contains all AML tables found and an entry for Do not create.

The description of the selected table is displayed below the drop-down list. This also informs you if the tables have information in relation to alarm causes (context list).

Note: With connections to an MS Azure server, the AZURE - is placed in front of the configuration as a prefix.

CEL table selection

Configuration of the CEL table to be used.

Selection of the desired CEL table from the drop-down list. This contains all CEL tables found and an entry for Do not create.

If no tables are found, the drop-down list displays a corresponding entry and is deactivated.

Note: With connections to an MS Azure server, the AZURE - is placed in front of the configuration as a prefix.

Context List table selection

Configuration of the AML table to be used.

Selection of the desired context list table from the drop-down list. This contains all context list tables found and an entry for Do not create.

The description of the selected table is displayed below the drop-down list.

Note: With connections to an MS Azure server, the AZURE - is placed in front of the configuration as a prefix.

Restore default configuration

Resets all tables for the selected project to the standard configuration.

OK

Saves settings of all three tabs, closes the dialog and creates the SQL connector.

Cancel

Cancels the process of creating the SQL connectors and closes the dialog.

Archive table dialog

Option

Description

Project selection

Selection of the project from the drop-down list makes requirements for the properties to be configured. The selection applies for all three tabs.

List of tables

Displays all archives that are switched to active when configuring the table search and the respective tables found. The following are displayed:

  • Archive name
  • Archive data table
  • Archive variable table
  • Lot table

If no archive data table is found for an archive or this is not to be integrated into the SQL connector, the columns for the variable table and lot table remain empty.

Configure tables

Opens the dialog to Configure the archive tables for the selected project. The table is updated after this dialog is closed.

Restore default configuration

Resets the archive tables for all archives of the project currently being displayed back to the standard configuration.

OK

Saves settings of all three tabs, closes the dialog and creates the SQL connector.

Cancel

Cancels the process of creating the SQL connectors and closes the dialog.

Shift tables dialog

Option

Description

Project selection

Selection of the project from the drop-down list makes requirements for the properties to be configured. The selection applies for all three tabs.

List of shifts

Displays the shift tables for all equipment groups selected in the configuration. The following are displayed:

  • Equipment group names
  • Shift table

If no shift tables were found for an equipment group or these were configured in such a way that they are not incorporated into the SQL connector, this is displayed in the table accordingly.

Configure tables

Opens the dialog to Configure the shift tables for the selected project. The table is updated after this dialog is closed.

Restore default configuration

Resets the shift tables for all equipment models of the project currently being displayed back to the standard configuration.

OK

Saves settings of all three tabs, closes the dialog and creates the SQL connector.

Cancel

Cancels the process of creating the SQL connectors and closes the dialog.


Configuration of the archive tables

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create SCADA SQL connector > Configuration of the archive tables

Option

Description

Project selection

Selection of the project from the drop-down list. The project selected in Configuration of the SQL connector is already selected.

Overview

Displays the configuration of all archives in the project. The following are displayed:

  • Archive name
  • Archive data table
  • Archive variable table
  • Lot table

If no archive data tables are present for an archive, the columns for the archive variable table and the lot table for this archive remain empty.

Configuration

Configuration of the tables.

  • List on the left-hand side:
    Selection of an archive to be configured.
  • Tab on the right-hand side:
    Three tabs to configure the archive data table, the archive variable table and the lot table for the archive selected in the list.

Configuration of the tabs:

Each tab consists of a drop-down list and a text field.

If there are no tables, this is noted in the drop-down list and it is inactive.

If tables are present, the drop-down list contains all available tables and an entry to exclude the SQL connector (do not build).

If a table is selected in the drop-down list, the text field displays the description of the table.

If the selection in the drop-down list is changed, this has the following effect, depending on the tab:

  • Archive data table:
    If the entry for closing the SQL connector is selected, then this is also changed in the drop-down list for the variable table and the lot table.
    If a table is selected, then tables are set in the same database for the variable table and the lot table, if these are present.
    After this, the overview table and the warning list is updated.
  • Archive variable table:
    The overview table and the warning list are updated.
  • Lot table:
    The overview table and the warning list are updated.

Note: With connections to an MS Azure server, the AZURE - is placed in front of the configuration as a prefix.

Warnings

List of warnings in relation to the configuration Possible reasons:

  • A data table is set and no variable table is set.
  • The variable table is in a database as the data table.
  • A data table is set and it is a lot archive, a lot table is set and the lot table is in a different database to the data table.
  • A variable table is set, although no data table is set.
  • A lot table is set, although no data table is set.

OK

Checks to see if the maintenance list is empty.

  • Empty: The dialog is closed and the changes are saved.
  • Not empty: User Query, to find out if the configuration is to be saved despite the warnings:
    Nein: The dialog remains open and the changes to the configuration are not saved yet.
    Yes: The dialog is closed and the changes to the configuration are saved.

Cancel

Closes the dialog and discards the changes to the configuration.


Configuration of the shift tables

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create SCADA SQL connector > Configuration of the shift tables

Option

Description

Project selection

Selection of the project from the drop-down list. The project selected in Configuration of the SQL connector is already selected.

Overview

Displays the configuration of all equipment models and all equipment groups for which a shift table is defined in the metadata for this project. The following are displayed:

  • Equipment model name
  • Shift table
  • Configuration of inheritance:
    Contains, with equipment models and equipment groups with active inheritance of the shift table, the name of the superordinate element.
    The construction of the inheritance hierarchy is explained in the warning bx under this table.

If no tables are found for an equipment model or this is excluded by the SQL connector, this is noted in the corresponding line in the 'Shift table' column.

Configuration

Consists of:

  • List with equipment models:
    Complete connection hierarchy of the equipment models for the project set
  • Checkbox for configuration applied from parent equipment model.
  • Drop-down list
  • Text field

List of equipment models

Selection of an equipment model by clicking on the desired model.

Configuration from parent equipment model inherited.
  • Active: Configuration is taken on by superordinate element.

Can only be activated if it is not a root element in the inheritance hierarchy of the equipment model for the selected project.

Drop-down list for shift table

Configuration of the shift table for the selected equipment model.

  • If there are no shift tables for the equipment model, this is displayed in the drop-down list and the list is set to inactive.
  • If the shift table is inherited by a superordinate entry, then the inherited shift table is entered into the drop-down list and the list is set to inactive.
  • In all other cases, the shift table can be configured and the drop-down list shows all shift tables available for the selected equipment model and an entry to exclude the equipment model from the SQL connector.
    If a change is made in the drop-down list, this is forwarded to all equipment models that inherit from the selected equipment model.

Note: With connections to an MS Azure server, the AZURE - is placed in front of the configuration as a prefix.

Text field

Contains the description of the shift table selected in the drop-down list.

OK

Saves all changes to the configuration and closes the dialog.

Cancel

Discards all changes to the configuration and closes the dialog.

When the dialog is opened, the inheritance hierarchy of the equipment model for each project is created and a decision is made on which inheritances are active.

attention Attention

This hierarchy does not need to correspond to the hierarchy in the equipment model in the zenon Editor, because the shift tables entered in the metadata are also taken into account here. The following decision-making guidelines were used in the process:

  • An equipment model can only inherit the shift table configuration from another equipment model Y if the equipment model X in the zenon is a direct child of equipment model Y and the collection of the available shift tables is identical for each equipment model.
  • If an element cannot inherit from any other, it it becomes a root element for the Equipment model list.
  • A possible inheritance is then active if an element and its superordinate element are configured for use of the same shift table.


Create 3rd party database connector

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector

Third-party database connectors can also be configured in ZAMS. To do this, tables from third-party database are formed as virtual archives in ZAMS. These virtual archives are incorporated into reports as archives, along the same lines as SCADA archives and emulated archives.

ZAMS amends the metadata and user-defined functions (UDFs) in the database accordingly when configuring the metadata. Only the metadata necessary for the creation of the UDF is saved in the database. No usage data at all is stored in the Analyzer database. The usage data is read directly from the source table each time there is a read request for a virtual archive.

info Information

ZAMS can search for importable tables in:

  • Databases on the currently-connected SQL Server instance.
  • Databases on linked SQL Server instances.
  • Via ODBC-linked databases. These are subject to limitations.
    Note: The configuration of the ODBC driver for SQL Server is described in the Configuration of the provider chapter.
  • Databases on left Oracle Server
  • Databases in MS Azure

The metadata for virtual archives is stored in new metadata tables. Attention: With linked SQL Servers, read access to the "master" database is required in order to list the databases on the linked SQL Server. With all databases on SQL Server instances, read access to the system views is required in order to be able to recognize the columns and their data types.

In order to be able to create a 3rd party database connector, there must be a connection to an Analyzer server with a valid license.

info Information

For virtual archives with the 3rd party database Connector, the data source must be Archive. Variables from these archives are not available for the data sources AML or CEL.

Create connector

To create a 3rd party database connector:

  1. In the SQL server ribbon in the Data processing area, select the 3rd party database connector entry.
  2. Confirm the selection by clicking OK The dialog for the selection of available databases is opened.
  3. Select the desired databases.
  4. The dialog for configuration of the archives for the 3rd party database connector is opened.
  5. Configure the archives with the wizard or manually.
  6. The archives are displayed in the archives for the 3rd party database connector and can be edited.
  7. Confirm the dialog by clicking on OK.

    The archives are created and can be used in reports.

info Information

Inputs in text fields are evaluated during configuration. Dialogs can be confirmed with OK if there are no validation errors.

In general, the following applies:

  • The following are not permitted for display name, names, references identifications and meanings: Comma (,) and simple apostrophe (').
  • The following is not permitted for descriptions, units and status text: Comma (,)

Errors are explained in pop-up messages.

Limitations for data from ODBC sources

The following limitations apply to data that is incorporated via ODBC:

  • The data type of the variables is always defined by the data type of the value column. This concerns the value column of the table for Variable identification column and value column and the value column of the variables for One value column for each variable. These cannot be selected in the dialog.
  • An error is reported if the following conditions are applicable:
    • Data for an archive whose source table is connected via ODBC is queried.
    • The table is a variable identification column and value column table.
    • The variables in the archive have different data types.
  • The value range is limited for numeric values:
    • All values that are greater than 1010 are processed as 1010.
    • All values that are in the range of -(10-10) to 10-10 are processed as 0.
    • All values that are less than -(1010) are processed as -(1010).

"OraOLEDB.Oracle" for linked Oracle server

3rd party data archives for Oracle linked servers are queries using the OPENQUERY mechanism.
For details, see the Configuration of the provider chapter.

Other topics in this chapter

Selection of available databases

New archive with wizard

Create or edit archive manually

Edit Variable


Selection of available databases

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Selection of available databases

In the dialog for the Selection of available databases, the databases that are to be searched for importable tables are selected. These can then be configured in the Archives for the 3rd party database connector dialog.

Selection of available databases

Option

Description

Databases on currently connected SQL Server instance

Display of databases on the currently-connected SQL server instance. Multiple selection is possible. Selected databases are added to the Included databases list by clicking on the Add button.

Add

Adds all databases selected in the list to the Included databases list. Only databases that are not already in the Included databases list or in the Databases that have to be included are added.

Add all

Adds all databases present in the list to the Included databases list. Only databases that are not already in the Included databases list or in the Databases that have to be included are added.

Databases on linked servers

Selection of a linked server from a drop-down list and display of its databases in the list. Multiple selection is possible.

Selected databases are added to the Included databases list by clicking on the Add button

If the linked server is an ODBC server, no database can be selected. A database identification text is inserted into the list instead. This constitutes the database for this linked server.

If there are problems with the connection to the linked ODBC servers:

  • Check whether the linked server has the correct system DSN and whether the correct login data has been entered. Also check the content of the system DSN.
  • Check whether the ODBC driver for SQL servers (name: MSDASQL) has the correct settings. For the settings, see the Configuration of the provider chapter.

Add

Adds all databases selected in the list to the Included databases list. Only databases that are not already in the Included databases list or in the Databases that have to be included are added.

Add all

Adds all databases present in the list to the Included databases list. Only databases that are not already in the Included databases list or in the Databases that have to be included are added.

Included databases

Display of all databases added. These are searched for importable tables by clicking on OK. Multiple selection is possible.

Databases can be removed from the list by clicking on the Remove button.

Databases that come from linked servers are shown in the syntax [Linked Server Name] [database name].

Remove

Removes all selected databases from the list.

Remove all

Removes all existing databases from the list.

Databases that have to be included

Display of all databases that must be searched for importable tables because an existing virtual archive refers to them. The list is only displayed and cannot be edited.

Databases that come from linked servers are shown in the syntax [Linked Server Name] [database name].

OK

Accepts all settings, closes the dialog, searches all selected databases for importable tables and opens the Archives for the 3rd party database connector dialog.

An error message is shown if the Included databases and Databases that have to be included lists are empty.

Cancel

Discards all configurations and closes the dialog.

Archives for the 3rd party database connector dialog

Configuration of the archives for the imported databases. Create new archives with the wizard or manually and edit existing archives.

The following symbols are used in the dialog:

  • : Wizard
  • : New
  • : Edit
  • : Delete

Option

Description

List of archives

Display of the configured archives with the following detailed information:

  • Archive name
  • Project name
  • Cycle time
  • Source database
  • Table in source database
  • Number of variables

The archives are displayed in the order of their creation:

Buttons to edit the list and the archives

The following symbols are available for editing:

Bar:

  • Wizard: Opens the wizard for creating an archive. Once an archive has been created, the dialog to edit an archive is automatically opened. Amend the created archive here
  • New: Opens the dialog for creating an archive.

Archives:

  • Edit: Opens the dialog to edit an archive. This corresponds to the dialog to create an archive. However no new variables can be created.
  • Delete: Deletes the archive without requesting confirmation.

OK

Applies all settings and closes the dialog.

Cancel

Discards all settings and closes the dialog.


New archive with wizard

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > New archive with wizard

Archives, data sources and rules are established with the archive and the variables are then created automatically. These can then be amended individually.

To create a new archive with the wizard:

  1. Click on the symbol for the wizard in the Archives for the 3rd party database connector dialog.
  2. Configure the tabs:
    • Data source
    • Archive metadata
    • Variable creation rules
  3. Check the configuration in the Summary and Execution tab.
  4. Click on Create variables.
  5. The configured variables are created.
  6. The dialog to create/edit an archive is opened.
  7. Amend the automatically-created configuration as required.
  8. Close the dialog.
  9. The archive is displayed in the list and can be opened using the Edit symbol for further amendments at any time.

Other topics in this chapter

Archive metadata

Data Source

Variable creation rules

Summary and Execution


Archive metadata

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > New archive with wizard > Archive metadata

Configuration of the archive metadata:

Option | Description
Project | Project that is assigned to the archive. Select from drop-down list.
Identification | Archive reference. This must be unique for all archives within the project. The field must not be empty during validation.
Visual name | Visual name for the archive. This must be unique for all archives within the project. The field must not be empty during validation.

Navigation

Button

Description

Previous

Switches to the previous tab.
Inactive in the first tab.

Next

Switches to the next tab.
Inactive in the last tab.

Create variables

Starts variable creation.

Only active in the last tab and only if no validation error has been established. If validation errors are found, these are displayed and the button remains inactive.

Once the variable has been created, the button changes to OK. The creation of the archive can thus be started.

Cancel

Discards all inputs and closes the dialog.


Data Source

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > New archive with wizard > Data Source

Configuration of the data source:

Option

Description

Server

Selection of the database server from a drop-down list. The currently-connected server instance is identified by the suffixed note (currently connected).

If the selection is changed during the configuration of the tab, the settings of this tab that depend on this are reset.

The field must not be empty during validation.

Database

Selection of the database on the selected server from a drop-down list. All databases of the selected server are available.

Only available if a Server has been selected.

If the selection is changed during the configuration of the tab, the settings of this tab that depend on this are reset.

The field must not be empty during validation.

Table

Selection of the source table from a drop-down list. All tables present in the selected database are available.

Only available if a Database was selected.

If the selection is changed during the configuration of the tab, the settings of this tab that depend on this are reset.

The field must not be empty during validation.

Table type

Selection of the table type from a drop-down list. Available are:

  • Variable identification column and value column: flat list
  • One value column for each variable: pivoted

Only available if a table was selected.

If the selection is changed during the configuration of the tab, the settings of this tab that depend on this are reset.

The field must not be empty during validation.

Time stamp type

Selection of the time stamp from the drop-down list. Available are:

  • UTC timestamp object
  • Timestamp object in server local time
  • Unixtime
  • Unixtime and milliseconds in two columns
  • Unixtime and milliseconds in one column

Only available if a table was selected.

If the selection is changed during the configuration of the tab, the settings of this tab that depend on this are reset.

The field must not be empty during validation.

Timestamp column

Selection of the time stamp column from a drop-down list. All columns of the selected table whose data type is permitted for the current time stamp setting are available.

Only available if a table was selected.

The field must not be empty during validation.

Millisecond column

Selection of the millisecond column from a drop-down list. All columns of the selected table whose data type is permitted for a millisecond column are available.

Only available if a table has been selected and Unix time with milliseconds has been selected as a time stamp type.

The field must not be empty during validation if it is active.

Variable identification column

Selection of Variable identification column from drop-down list. All columns of the selected table whose data type is permitted for a variable identification column are available.

Only available if a table has been selected and Variable identification column and value column has been selected as a table type.

The field must not be empty during validation if it is active.

Value column

Selection of value column from drop-down list. All columns of the selected table whose data type is permitted for a value column are available.

Only available if a table has been selected and Variable identification column and value column has been selected as a table type.

The field must not be empty during validation if it is active.

Navigation

Button

Description

Previous

Switches to the previous tab.
Inactive in the first tab.

Next

Switches to the next tab.
Inactive in the last tab.

Create variables

Starts variable creation.

Only active in the last tab and only if no validation error has been established. If validation errors are found, these are displayed and the button remains inactive.

Once the variable has been created, the button changes to OK. The creation of the archive can thus be started.

Cancel

Discards all inputs and closes the dialog.


Variable creation rules

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > New archive with wizard > Variable creation rules

Configuration of the rules for the creation of variables:

Option

Description

Identification creation rules

Configuration of how the variable reference is created. This must be unique within the project and comply with the rules for names. Select from drop-down list:

  • Variable identification text
  • Variable identification text with prefix
  • Variable identification text with suffix
  • Variable identification text with prefix and suffix

The field must not be empty during validation.

Identification prefix

Entry of a prefix for the variable reference.

Only available if one of the reference creation variants with a prefix was selected.

The field must not be empty during validation if it is active.

Identification suffix

Entry of a suffix for the variable reference.

Only available if one of the reference creation variants with a suffix was selected.

The field must not be empty during validation if it is active.

Rules for the creation of visual names

Configuration of how the visual name of the variables is generated. This must be unique within the project and comply with the rules for names.

Select from drop-down list:

  • Variable identification text
  • Variable identification text with prefix
  • Variable identification text with suffix
  • Variable identification text with prefix and suffix

The field must not be empty during validation.

Visual name prefix

Entry of a prefix for the visual names.

Only available if one of the visual name creation variants with a suffix was selected.

The field must not be empty during validation if it is active.

Visual name suffix

Entry of a prefix for the visual names.

Only available if a creation variant for the visual name with suffix has been selected.

The field must not be empty during validation if it is active.

Data type setting rule

Configuration of the rule to set the data type. Select from drop-down list:

  • Always set data type to numeric
  • Always set data type to text
  • Recognize data type based on column data type

The field must not be empty during validation if it is active.

Recommendation: In the event of doubt, select Recognize data type based on column data type for this option. You thus ensure that there is no conversion error when creating or executing the UDF.

Navigation

Button

Description

Previous

Switches to the previous tab.
Inactive in the first tab.

Next

Switches to the next tab.
Inactive in the last tab.

Create variables

Starts variable creation.

Only active in the last tab and only if no validation error has been established. If validation errors are found, these are displayed and the button remains inactive.

Once the variable has been created, the button changes to OK. The creation of the archive can thus be started.

Cancel

Discards all inputs and closes the dialog.


Summary and Execution

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > New archive with wizard > Summary and Execution

Display of the configuration and creation of an archive. When switching to this tab, the inputs in the other tabs are validated.

If the configuration is free of errors, then:

  • The Create variables button is active
  • Variables can be generated and an archive can be created

If errors are found, then:

  • The Create variables button is inactive
  • Configuration errors are displayed in the window

Configuration error found

Option | Description
Display of the configuration | Shows the result of the validation. Errors that have been found are listed.
Previous | Switches to the previous tab.
Next | Inactive.
Create variables | Inactive as long as there are configuration errors.
Cancel | Discards all inputs and closes the dialog.

Create variables and archive

If configuration has been carried out without errors, then the variables and then the archive can be created.

Create variables

Option | Description
Display of the configuration | Shows the result of the validation.
Previous | Switches to the previous tab.
Next | Inactive.
Create variables | Starts variable creation. Only active if no validation errors have been established. Once the variable has been created, the button changes to OK.
Cancel | Discards all inputs and closes the dialog.

Create archive

The archive can be created once the variables have been created.

Option | Description
Display of variable creation | Lists all created variables.
Previous | Switches to the previous tab.
Next | Inactive.
OK | Creates the configured archive and closes the dialog.
Cancel | Discards all inputs and closes the dialog.


Create or edit archive manually

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Create or edit archive manually

With this dialog, metadata, data sources and variables are configured manually

This dialog is offered when:

  • Creating a new archive
  • Editing an existing archive
  • Amending an archive that has been created with the wizard

To create or edit an archive manually:

  1. In the Archives for the 3rd party database connector, click on the symbol for New archive.
  2. Configure the tabs:
    • Metadata
    • Data Source
    • Variables
  3. Close the dialog.
  4. The archive is displayed in the list and can be opened using the Edit symbol for further amendments at any time.

Other topics in this chapter

Metadata

Data Source

Variables

Rules for issuing names


Metadata

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Create or edit archive manually > Metadata

Configuration of the metadata:

Option | Description
Project | Project that is assigned to the archive. Select from drop-down list. Only available if a new archive is created. If the selection is changed, all variables that have already been created in the archive are deleted.
Identification | Archive reference. This must be unique for all archives within the project. Only available if a new archive is created. The field must not be empty during validation.
Visual name | Visual name for the archive. This must be unique for all archives within the project. The field must not be empty during validation.
Description | Descriptive text for the archive.
Cycle time | Configuration of the cycle time of the archive.
Assigned equipment group | Display of all available equipment models as a tree with checkboxes. Selection by activating the checkboxes in front of the desired equipment groups.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Closes the dialog and creates the archive. If validation errors are established, the process is canceled and a message with the errors that have been established is shown.
Cancel | Discards all inputs and closes the dialog.


Data Source

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Create or edit archive manually > Data Source

Configuration of the data source:

Option

Description

Server

Selection of the database server from a drop-down list. The currently-connected server instance is identified by the suffixed note (currently connected).

If the selection is changed during the configuration of the tab, the settings of this tab that depend on this are reset. And all created variables are deleted.

The field must not be empty during validation.

Database

Selection of the database on the selected server from a drop-down list. All databases of the selected server are available.

Only available if a Server has been selected.

If the selection is changed during the configuration of the tab, the settings of this tab that depend on this are reset. And all created variables are deleted.

The field must not be empty during validation.

Table

Selection of the source table from a drop-down list. All tables present in the selected database are available.

Only available if a Database was selected.

If the selection is changed during the configuration of the tab, the settings of this tab that depend on this are reset. And all created variables are deleted.

The field must not be empty during validation.

Table type

Selection of the table type from a drop-down list. Available are:

  • Variable identification column and value column: flat list
  • One value column for each variable: pivoted

Only available if a table was selected.

If the selection is changed during the configuration of the tab, the settings of this tab that depend on this are reset. And all created variables are deleted.

The field must not be empty during validation.

Time stamp type

Selection of the time stamp from the drop-down list. Available are:

  • UTC timestamp object
  • Timestamp object in server local time
  • Unixtime
  • Unixtime and milliseconds in two columns
  • Unixtime and milliseconds in one column

Only available if a table was selected.

If the selection is changed during the configuration of the tab, the settings of this tab that depend on this are reset.

The field must not be empty during validation.

Timestamp column

Selection of the time stamp column from a drop-down list. All columns of the selected table whose data type is permitted for the current time stamp setting are available.

Only available if a table was selected.

The field must not be empty during validation.

Millisecond column

Selection of the millisecond column from a drop-down list. All columns of the selected table whose data type is permitted for a millisecond column are available.

Only available if a table has been selected and Unix time with milliseconds has been selected as a time stamp type.

The field must not be empty during validation if it is active.

Variable identification column

Selection of Variable identification column from drop-down list. All columns of the selected table whose data type is permitted for a variable identification column are available.

Only available if a table has been selected and Variable identification column and value column has been selected as a table type.

The field must not be empty during validation if it is active.

Value column

Selection of value column from drop-down list. All columns of the selected table whose data type is permitted for a value column are available.

Only available if a table has been selected and Variable identification column and value column has been selected as a table type.

The field must not be empty during validation if it is active.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Closes the dialog and creates the archive. If validation errors are established, the process is canceled and a message with the errors that have been established is shown.
Cancel | Discards all inputs and closes the dialog.


Variables

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Create or edit archive manually > Variables

Configuration of the variables.

The following symbols are used in the dialog:

  • : New
  • : Edit
  • : Delete

Option

Description

List of variables

Display of the configured variables with the following detailed information:

  • Variable name
  • Variable identification text
  • Data Type
  • Measuring unit

The variables are displayed in the order in which they were created:

Buttons to edit the list and the variables

The following symbols are available for editing:

Bar:

  • New: Opens the dialog to create a variable.
    Only active if variables could have been created due to the configuration.
    To do this:
    - A project must have been selected
    - The data source definition must be complete
    - With the pivoted table type, at least one variable identification text must be available

Variables:

  • Edit: Opens the dialog to edit a variable. This corresponds to the dialog to create a variable. However no new variables can be created.
  • Delete: Deletes the variable from the list without confirmation.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Closes the dialog and creates the archive. If validation errors are established, the process is canceled and a message with the errors that have been established is shown.
Cancel | Discards all inputs and closes the dialog.

Create variables

To create a new variable:

  1. Click on the New button (star).
  2. The dialog to create/edit variables is opened.
  3. Configure the tabs for:
    • Metadata
    • Assigned equipment groups
    • Assigned meanings
    • Status texts
  4. Close the dialog by clicking on OK.
  5. The variable is displayed in the list and can be edited or deleted at any time by means of the buttons.


Rules for issuing names

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Create or edit archive manually > Rules for issuing names

The following are not permitted for the variable name and visual name:

  • Comma
  • Vertical spacing
  • Paragraph spacing
  • Tabulators
  • Space

These properties are checked on transfer and amended to the rules.
That means:

  1. Commas, vertical spacing, paragraph spacing and tabulators are removed.
  2. Spaces at the start and end are removed.
  3. Several consecutive spaces in the text are combined into one space.
  4. Spaces in the text are replaced with underscores.


Edit Variable

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Edit Variable

Also integrate “naming rules"

Other topics in this chapter

Metadata

Assigned equipment groups

Assigned meanings

Status texts


Metadata

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Edit Variable > Metadata

The metadata of the variables are configured in this tab. Depending on the setting for table type in the configuration of the data source in the archive configuration, this tab is available in two versions:

Flat list table type: Variable identification text is entered into the field

Pivoted table type: Variable identification text is selected from the drop-down list

"Flat list" table type

Option

Description

Variable name

Name of the variable. This must be unique within the project and comply with the rules for names.

The field must not be empty during validation.

Visual name

Visual name of the variables stated. This must be unique within the project and comply with the rules for names.

The field must not be empty during validation.

Description

Descriptive text for the variables

Data Type

Data type of the variable. Select from drop-down list:

  • Numerical value
  • Text

Note: If the column data type does not allow conversion to a numerical value, then Text is preselected here and the drop-down list is deactivated.

The field must not be empty during validation.

Measuring unit

Input of the measuring unit of the variables.

Variable identification text

Entry of the variable identification text. The possibility depends on the table type in the configuration of the data source in the archive configuration:

  • Flat list: Input field to enter the identification text of the variables.
  • Pivoted: Drop-down list for the selection of the identification text. All column names of the table are available.
    Exceptions: Column names that have already been used for the time stamp column, millisecond column or another variable in the archive.

The field must not be empty during validation.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Closes the dialog and creates the variable. If validation errors are established, the process is canceled and a message with the errors that have been established is shown.
Cancel | Discards all inputs and closes the dialog.

"Pivoted" table type:

Configuration as for the flat list table type.


Assigned equipment groups

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Edit Variable > Assigned equipment groups

Configuration of the equipment groups:

Option | Description
Assigned equipment group | Display of all available equipment models as a tree with checkboxes. Selection by activating the checkboxes in front of the desired equipment groups.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Closes the dialog and creates the variable. If validation errors are established, the process is canceled and a message with the errors that have been established is shown.
Cancel | Discards all inputs and closes the dialog.


Assigned meanings

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Edit Variable > Assigned meanings

Configuration of the meanings:

Option | Description
Assigned meaning | Entry of the meaning into the field
Add | A click adds the entry in the Assigned meaning field to the List of assigned meanings.
List of assigned meanings | Displays all currently-configured meanings. Multiple selection is possible.
Remove | Clicking removes all selected meanings from the List of assigned meanings.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Closes the dialog and creates the variable. If validation errors are established, the process is canceled and a message with the errors that have been established is shown.
Cancel | Discards all inputs and closes the dialog.


Status texts

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Create 3rd party database connector > Edit Variable > Status texts

Configuration of the status text:

Option | Description
Numeric entry | Entry of the value for the status.
Text field | Entry of status text.
Add | Clicking adds the entry to the List of status texts.
List of status texts | Displays all currently-configured status texts. Display format: [Value]: [Text] Multiple selection is possible.
Remove | Clicking removes all selected status texts.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Closes the dialog and creates the variable. If validation errors are established, the process is canceled and a message with the errors that have been established is shown.
Cancel | Discards all inputs and closes the dialog.


New Analyzer database

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > New Analyzer database

In order for a new Analyzer database to be created, there must be a connection to an Analyzer server with a valid license.

To create a new Analyzer database:

  1. Click, in the SQL Server ribbon, on the New entry.

    The dialog to create a new database is opened.

  2. Configure the settings.

Option

Description

Database name

Name of the database to be created.

If this field remains empty or the name of a database that already exists on the SQL server is entered, an error message is given.

Connect to the new database after creation
  • Active: Once the database has been created successfully, the current connection is closed and a connection to the database that has just been created is established.
  • Inactive: Once the database has been created successfully, the connection to the current database remains intact

Connection security

Settings for the connection security. The entries must correspond to the configuration on the server.

Secure connection

Activation or deactivation of the encrypted communication.

  • Active: Communication is encrypted. For each connection, depending on the degree of encryption, passwords must be entered for the license service.
  • Inactive: Communication is not encrypted.

Note: Secured communication cannot be configured for existing connection profiles. A new profile must be created.

License Server connection password

Entry of the password for the connection to the license server.
Input is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

License Server modification password

Entry of the change password on the license server.
Entry is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

Save password

Stipulation of whether the connection parameters are saved in the connection profile.
Saving is carried out as a hardware-dependent and user-dependent hash of the password.

OK

Accepts all inputs, creates the database, establishes connections if necessary and closes the dialog.

Cancel

Rejects all inputs and closes the dialog without creating a database.


Convert databases

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Convert databases

Databases that were created with zenon Analyzer from version 2.0 can be converted to the respective later version being used. If a database with a lower version number than that of the ZAMS being executed is opened, this is converted into the newer version. Databases with a version less than zenon Analyzer 2.0 are not converted by ZAMS. The database structure and the license are checked during the conversion.

From version 2.10, ZAMS recognizes the version of the metadata structure definition of a database and can check its structure. All databases created with versions from 2.10 feature versioning of the database structure.

The checking of the version of the database is started if:

  • A connection to a database is established
  • Manual conversion of the databases is started

Convert database manually

To convert databases:

  1. Open the SQL Server ribbon.
  2. Select the Convert entry.
  3. ZAMS checks the version and structure of all existing databases.
    The search and its results are documented in the output window.
  4. If convertible databases are found, these are offered for conversion:
    1. The dialog to configure the database conversion with two tabs is opened.
    2. Select the databases that are to be converted and the backup path.

      Note: Note the information in the comments. There may be other actions necessary after conversion, such as creating a new SCADA SQL connector.

    3. Start the conversion by clicking OK
  5. If no databases that can be converted are found, the search is ended and corresponding messages are displayed in the output window.

Dialog for configuration of the database conversion

This dialog allows the selection of the databases to be converted and configuration of the save path.

Databases

Selection of the databases to be converted.

Option

Description

List of databases

Lists all existing databases. If a line has a gray background, the database named therein cannot be converted. Details are in the Comments column.

The following are displayed:

  • Checkbox: Selection of database.
    Active: Database for conversion selected.
    Only databases that can be technically converted are selected.
    Default for convertible databases: active
  • Database name: Name of the database.
  • Version: Database version.
  • Comment: Reason why a database cannot be converted or from which to which version a database can be converted. Note the references to actions that must be carried out after conversion.

Open the LOG file folder after the conversion has finished.

Active: After conversion, the folder with the LOG files for conversion is opened.

OK

Accepts settings in all tabs and starts conversion.

Cancel

Discards settings in all tabs and cancels the conversion.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Backup path

Configuration of the path for backup files and selection of whether these are to be deleted after successful conversion.

Option

Description

Store the database backups in the same path as the database files

Active: The database backup files are stored locally in the same folder as the database files in the Analyzer server.

Because this can be a different computer to the ZAMS computer, access to its file system cannot be guaranteed. The backup files stored there thus cannot automatically be deleted by ZAMS after successful conversion.

Store the database backups in a network share

Active: The database backup files are

stored in a network share.

Input of the folder in the text field or selection from a dialog after clicking on the Browse button.

Attention: It must be ensured that the user in which context the SQL server instance is running has access to this network share with the following rights:

  • read
  • write:
  • overwrite

Browse

Opens the dialog for selecting a network share.

Delete database backups once they have been converted

Active: The database backup files are deleted after successful conversion of the database.

Requirements: The backup files are in a network share.

The option is executed for each database. If, for example, databases are converted and a conversion is unsuccessful, then:

  • Four backup files are deleted
  • If the backup file for the unsuccessful conversion is retained

Open the LOG file folder after the conversion has finished.

Active: After conversion, the folder with the LOG files for conversion is opened.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Conversion notes

Note most of all when converting databases:

  • If a database that is a version less than 2 is converted, then the following applies for the conversion to:
    • Version 2 or higher: The SCADA SQL connector has to be created again in order to have emulated archives available in reports.
    • Version 3: The SCADA SQL connector has to be created again in order to have archives available for import from third-party databases.
  • If a database that is a version less than 3 is converted, then the following applies for the conversion to:
    • Version 3 or higher: The SCADA SQL connector has to be created again in order to have archives available for import from third-party databases.
  • If a database that is a version less than 5 is converted, then the following applies for the conversion to:
    • Version 5 or higher: Alarm and event SQL connectors are reset to factory default. These must be reconstructed after conversion.


Manual database backups

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manual database backups

Databases can be saved manually. Backup files can be restored and administered. Whether a database can be saved or restored depends on its type.

Automated backups are described in the Automated data backups chapter.

Other topics in this chapter

Database types

Create database backups

Restore database backups


Database types

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manual database backups > Database types

A distinction is made between the following types of databases:

Type

Description

Saving

Restore

System databases

Name is

  • master
  • model
  • msdb
  • tempdb

-

-

Report server databases

Name starts with

  • ReportServer$

+

- *

Analyzer metadata databases
  • No system database
  • No report server database.
  • Analyzer metadata definition version can be established.

+

+

Other databases

None of the conditions for other types were met.

+

+

* Background: To restore Report server databases, the Report Server service must be stopped and restarted after the restore, for which administrator rights on the Analyzer server are needed.


Create database backups

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manual database backups > Create database backups

Backups of databases can be created provided their type allows this. You can find details on the restorable types in the Database types. chapter

Backup databases

To back up databases:

  1. Open the SQL Server ribbon.
  2. Select the Create entry in the Database backup ribbon group.

    The dialog for selecting a database is opened.

  3. Activate the checkboxes in front of all databases to be backed up.
  4. Click on OK.

Option

Description

List of databases

Displays all databases available

  • Checkbox: The checkbox must be activated to back up a database.
  • Database name: Displays database name.
  • Date and time of the latest backup: Shows date and time of the backup currently available.

The path and number of backups are defined in the Options menu, in the Database backups tab of the Settings.

Select all

Selects all displayed databases for backup.

Deselect all

Deselects database selection.

OK

Accepts selection, closes dialog and creates backups.

Cancel

Discards changes and closes dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Storage path for database backup files:

The first time a backup request is made and a path has not yet been established, you are requested to define a save path. This path is then used for all backups and restorations. This path is administered in the options in the Database backups tab of the Settings.

Note: It is recommended that a path on the Analyzer computer is used for backup.

Option

Description

Network share path for storing database backup files of [database]

A valid UNC path must be entered.

Clicking on the ... button opens the dialog to select a network share.

A check is made if:

  • The syntax of the path is valid if:
    Only valid paths unlock the OK button.
  • The path exists:
    When clicking on OK, the path is only accepted if it can also be accessed.
  • The path is different to that already used:
    If a path is defined that is different to a path that has already been used, a corresponding message is given. The path can be created. The pre-existing database backup job can then be activated, deactivated and deleted, but can no longer be edited.

The configured path is saved individually for each user.

Attention: The access rights to network shares must be set correctly. For details, see the Set access rights to network share correctly.

OK

Accepts the path and closes the dialog.

Cancel

Discards changes and closes the dialog.

Set access rights to network share correctly

In order for all database backup action to run correctly, the access rights to the network share must correspond to the database backup folder. For this, the following applies:

  • The folder must be on the Analyzer Server, because defined users must access it locally on the Analyzer Server.
  • Because the folder must be accessible by both the Analyzer Server and the ZAMS computer with the same path, it must be authorized in the network. The folder is then accessible with the same path via a UNC path everywhere in the network.
  • The following users must have full access to the network share:
    • NT SERVICE\MSSQL$ZA3: For the creation and restoration of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • NT SERVICE\SQLAgent$ZA3: For automatic creation of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • Every ZAMS user: To create and restore backups, administer backup files and administer automated backup jobs.

Backup file name

The file name of a database backup file follows this scheme: [database name]_yyyy_MM_dd_HH_mm_ss.bak

e.g.: ZA_DATA_2013_02_12_14_11_35.bak = backup of ZA_DATA on 12.2.2013 at 14:11:35


Restore database backups

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manual database backups > Restore database backups

Databases that have been backed up can be restored. You can find details on the restorable types in the Database types. chapter

Restore database backups

To restore database backups:

  1. Open the SQL Server ribbon.
  2. Select the Restore entry in the Database backup ribbon group.

    The dialog for selecting a database is opened.

  3. Activate the checkboxes in front of all databases to be restored.
  4. Select, in the Time stamp of most recent backup column, the desired version from the drop-down list.
  5. Click on OK.

Option

Description

List of databases

Displays all databases available

  • Checkbox: The checkbox must be activated to restore a database.
  • Database name: Shows the database name.
  • Latest backup file timestamp: Shows drop-down list with data and time of all backups available.

Select all

Selects all displayed databases for backup.

Deselect all

Deselects database selection.

OK

Accepts selection, closes dialog and restores selected saved database backups. In doing so, please note:

  • If the currently-active metadata database is to be restored by a backup, the connection must be reestablished after the restore. The user must confirm this before starting the restore.
  • For each metadata database, after successful restoration, the version of the metadata structure in the database is established and a structure test is carried out. If an obsolete structure is established in at lest one database, the user has the possibility to start the database conversion directly. This option is inactive if the connection must be reestablished after the restore.

Cancel

Discards changes and closes dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Storage path for database backup files:

The first time a backup request is made and a path has not yet been established, you are requested to define a save path. This path is then used for all backups and restorations. This path is administered in the options in the Database backups tab of the Settings.

Note: It is recommended that a path on the Analyzer computer is used for backup.

Option

Description

Network share path for storing database backup files of [database]

A valid UNC path must be entered.

Clicking on the ... button opens the dialog to select a network share.

A check is made if:

  • The syntax of the path is valid if:
    Only valid paths unlock the OK button.
  • The path exists:
    When clicking on OK, the path is only accepted if it can also be accessed.
  • The path is different to that already used:
    If a path is defined that is different to a path that has already been used, a corresponding message is given. The path can be created. The pre-existing database backup job can then be activated, deactivated and deleted, but can no longer be edited.

The configured path is saved individually for each user.

Attention: The access rights to network shares must be set correctly. For details, see the Set access rights to network share correctly.

OK

Accepts the path and closes the dialog.

Cancel

Discards changes and closes the dialog.

Set access rights to network share correctly

In order for all database backup action to run correctly, the access rights to the network share must correspond to the database backup folder. For this, the following applies:

  • The folder must be on the Analyzer Server, because defined users must access it locally on the Analyzer Server.
  • Because the folder must be accessible by both the Analyzer Server and the ZAMS computer with the same path, it must be authorized in the network. The folder is then accessible with the same path via a UNC path everywhere in the network.
  • The following users must have full access to the network share:
    • NT SERVICE\MSSQL$ZA3: For the creation and restoration of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • NT SERVICE\SQLAgent$ZA3: For automatic creation of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • Every ZAMS user: To create and restore backups, administer backup files and administer automated backup jobs.

Backup file name

The file name of a database backup file follows this scheme: [database name]_yyyy_MM_dd_HH_mm_ss.bak

e.g.: ZA_DATA_2013_02_12_14_11_35.bak = backup of ZA_DATA on 12.2.2013 at 14:11:35


Restore database backup file as new database

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Restore database backup file as new database

A database backup file can be restored as a new database. In doing so, the backup file can also come from a database that is not yet on the SQL server instance.

The database backup file must meet the following requirements:

  • The name of the database backup file must correspond to the following syntax: [database name]_[yyyy]_[MM]_[dd]_[HH]_[mm]_[ss].bak.
  • There is only one database backup in the database backup file.
  • The database saved in the backup file has the exact name that appears in the filename of the backup file.
  • The database backup file can be checked for corruption/manipulation by means of a checksum.

All backup files created with ZAMS meet these requirements.

The target database name can be identical to the source database name, provided there is not yet a database with this name. An existing database can thus be transferred from one Analyzer server to the other by:

  • Saving it on the original server
  • Copying the backup file
  • Restoring to the target server with new names that correspond to the old names

Restore database backup as new database

To restore a backup as a new database:

  1. Open the SQL Server ribbon.
  2. Select the Restore -> Restore as new database entry in the Database backup ribbon group.

    The dialog for selecting a backup file is opened

  3. Select the desired database
  4. Enter a name for the new database
  5. Close the dialog by clicking on OK.

Note: If there are conflicts when synchronizing the user access rights, the user is informed by means of a dialog and can decide whether the database should nevertheless be created.

Restoring a database backup file as a new database

Option

Description

Source database

Selection of the source database from a drop-down list.

The source database is the database that is contained in the backup file. All database files found are listed.

Backup file timestamp

Selection of the time stamp that is to be restored. All backup files of the selected database available are listed according to the time stamp of their backup.

Name of the new database

Entry of the name for the new database.

The name must meet the following criteria:

  • Must not remain empty.
  • Must not be used by a database that is already present on the target server.
    This check is not case sensitive. For example: The name DATA cannot be used if there is already a database called data.

The OK button can only be used if the validation of the name is successful.

Connect to the new database after completing the restore operation

Active: A connection to the new database is also established when restoring.

Activated and cannot be operated if the Create the SQL connector in the new database after connecting option is active.

Create the SQL connector in the new database after connecting
  • Active: When restoring, SQL connector creation is started after the connection to the new database has been established.

Can only be activated if the Connect to the new database after completing the restore operation option is active.

Configure the 3rd party database connector after connecting
  • Active: When restoring after establishing a connection to the new database, the configuration of the import from third-party databases is started.

Note: If Create the SQL connector in the new database after connecting and Configure the 3rd party database connector after connecting have been activated, the configuration is carried out in this sequence:

  • SQL-Connector
  • Import of third-party databases

Can only be activated if the Connect to the new database after completing the restore operation option is active.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Restore Reporting Services database backup

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Restore Reporting Services database backup

Backups of the reporting services database can be restored in ZAMS if the Analyzer server is on the same server as ZAMS.

To restore a backup:

  1. Select, in the SQL Server ribbon, the Restore Reporting Services database backup command.
    This is only available if ZAMS is connected to an Analyzer server that is on the same computer as ZAMS. The comparison is carried out via the NetBIOS names of the local computers supplied by the .NET framework and the NetBIOS names of the SQL Server computer supplied by the SQL Server connection object.
  2. The dialog for selecting a backup is opened
  3. Select the desired backup.
  4. Confirm the restore by clicking OK.

Restore backup file dialog

Option | Description
Drop-down list | Selection of the file to be restored. Identification is via the time stamp of the backup.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Administrate automated database backups

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Administrate automated database backups

Database backups can be made automatically. These backups can be administered in their own dialog.

Note: Automated backups should be configured so that they run when the Analyzer server has nothing to do. In doing so, report subscriptions must be taken into account. If, for example, subscriptions are processed every Sunday at 02:00:00, this is not a suitable tome to make a database backup.

To set up or edit an automated backup:

  1. Open the SQL-Server ribbon.
  2. Select the Automated entry in the Database backup ribbon group.

    The dialog for administering the automated backups is opened.

Option

Description

Symbol

Displays whether the backup job is active or inactive.

List of backup jobs

Table of all recognized backup jobs. The following are displayed:

  • Name: Distinct name of the backup job. Capitalization/use of small letters is not checked.
  • Description: Individual description of the job.
  • Status information: Note regarding whether the backup job is active, when it was carried out for the last time and what the result of th last execution was.
  • Schedule: Description of the assigned schedule
  • Storage path: Path for database backups.
  • Included databases: List of the databases to be backed up and a note stating whether there is a limit to the number of files for the backup files and if so, how many.

Only one job can be selected at a time.

Refresh

Updates the content of the list.

New

Creates a new backup job.

To do this, a dialog is opened with the configuration for:

  • General settings
  • Databases
  • Job schedules

Edit

Opens the selected backup job for editing with the dialog for:

  • General settings
  • Databases
  • Job schedules

Delete

Deletes the selected backup after requesting confirmation.

Enable Job

Activates the selected backup job.

Disable job

Activates the selected backup job.

Close

Closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Creating and editing backup jobs

Backup jobs are configured in a dialog with three tabs. The dialog is opened by clicking on the New or Edit button.

Option

Description

General settings

Configuration of the general settings for a database backup.

Databases

Selection of the databases to be backed up.

Job schedules

Schedules for the backup with details of:

  • General settings
  • Recurrence
  • In day recurrence
  • Duration

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Storage path for database backup files:

The first time a backup request is made and a path has not yet been established, you are requested to define a save path. This path is then used for all backups and restorations. This path is administered in the options in the Database backups tab of the Settings.

Note: It is recommended that a path on the Analyzer computer is used for backup.

Option

Description

Network share path for storing database backup files of [database]

A valid UNC path must be entered.

Clicking on the ... button opens the dialog to select a network share.

A check is made if:

  • The syntax of the path is valid if:
    Only valid paths unlock the OK button.
  • The path exists:
    When clicking on OK, the path is only accepted if it can also be accessed.
  • The path is different to that already used:
    If a path is defined that is different to a path that has already been used, a corresponding message is given. The path can be created. The pre-existing database backup job can then be activated, deactivated and deleted, but can no longer be edited.

The configured path is saved individually for each user.

Attention: The access rights to network shares must be set correctly. For details, see the Set access rights to network share correctly.

OK

Accepts the path and closes the dialog.

Cancel

Discards changes and closes the dialog.

Set access rights to network share correctly

In order for all database backup action to run correctly, the access rights to the network share must correspond to the database backup folder. For this, the following applies:

  • The folder must be on the Analyzer Server, because defined users must access it locally on the Analyzer Server.
  • Because the folder must be accessible by both the Analyzer Server and the ZAMS computer with the same path, it must be authorized in the network. The folder is then accessible with the same path via a UNC path everywhere in the network.
  • The following users must have full access to the network share:
    • NT SERVICE\MSSQL$ZA3: For the creation and restoration of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • NT SERVICE\SQLAgent$ZA3: For automatic creation of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • Every ZAMS user: To create and restore backups, administer backup files and administer automated backup jobs.

Backup file name

The file name of a database backup file follows this scheme: [database name]_yyyy_MM_dd_HH_mm_ss.bak

e.g.: ZA_DATA_2013_02_12_14_11_35.bak = backup of ZA_DATA on 12.2.2013 at 14:11:35

Other topics in this chapter

Definition of database backup job

General settings

Databases

Job schedules

Example of automated database backup


Definition of database backup job

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Administrate automated database backups > Definition of database backup job

Because many jobs are executed automatically on the SQL server, the identification of a job as a database backup is defined restrictively. This prevents database backup jobs influencing other jobs, such as subscriptions.

An SQL server agent job is only recognized as a database backup job if all conditions have been met:

  1. The job is a from the database maintenance category.
  2. The job only contains steps that correspond to one of the following conditions:
  • The name starts with Backup and the type is Transact SQL.
    Sub-conditions for these steps:
    • Fields for database names and file path are present in the command text and are filled with editable variables.
    • There is no other step for the database, neither Backup nor Reduce Files.
    • The command text corresponds to the SQL script template DbAutoBackup_RunBackup set up with the database name and file path.
  • The name starts with Reduce Files and the type is CMD Execute.
    Sub-conditions for these steps:
    • Fields for file path and database GUID are present in the command text and are filled with editable variables.
    • Combination of file path and database GUID leads to a BAT file.
    • The command text corresponds to the SQL script template DbAutoBackup_CallBat set up with the file path and database GUID.
    • In the BAT file, the fields for database name, file path and maximum number of files are present and filled with editable values.
    • There is not yet any other Reduce Files step for this database.
    • The script text in the BAT file corresponds to the SQL script template DbAutoBackup_BatReduceFiles set up with file path, database GUID, database name and maximum number of files.
  • Furthermore, all steps including the sub-points of the Reduce Files steps must use the same file path.


General settings

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Administrate automated database backups > General settings

General settings for automated backups are configured in this tab.

Option | Description
Database backup job name | Entry of a unique name for the database backup.
Database backup job description | Entry of a description for the database backup job.
Database backup job is activated | Active: The job is carried out according to its configuration and your schedule.
Backup file folders | Folder in which backup files are saved. Display only. The path and number of backups are defined in the Options menu, in the Database backups tab of the Settings.
Maximum number of database backup files | Maximum number of backup files that are saved. Display only. The path and number of backups are defined in the Options menu, in the Database backups tab of the Settings.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Databases

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Administrate automated database backups > Databases

The databases to be backed up are selected in this tab.

Option

Description

Available databases

List of databases that can be selected for the backup job. Already-selected databases are no longer shown in this list.

Buttons for assignment

Buttons to drag databases between lists:

  • >: Moves highlighted databases to the Included databases list.
  • >>: Moves all databases to the Included databases list.
  • <: Moves highlighted databases to the Available databases list.
  • <<: Moves all databases to the Available databases list.

Included databases

List of databases that are backed up with this job.

Button

Description

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

The button is deactivated if one of the required input fields is empty or not configured correctly.

Cancel

Discards all changes in all tabs and closes the dialog.


Job schedules

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Administrate automated database backups > Job schedules

The rules for the schedules for the backup jobs are configured in this tab.

Option | Description
Existing job schedules | Lists all schedules created for this job.
Description of the selected schedule | Shows details of the schedule selected in the Existing job schedules list.
New | Opens dialog to create a new schedule.
Edit | Opens dialog to edit the selected schedule.
Delete | Deletes the selected schedule.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Create new schedule or edit schedule

Clicking on the 'New or edit' button opens the dialog to configure a schedule:

Tabs | Description
General settings | General settings for the schedule.
Recurrence | Configuration of the recurrence for days. The controls available depend on the selection of the recurrence configuration in the General settings tab.
In day recurrence | Configuration of the recurrence within a day. The controls available depend on the selection of the recurrence pattern in the General settings tab.
Duration | Configuration of the time range in which the schedule is active
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.

Note: In ZAMS, only recurring schedules can be configured, because schedule types such as Execute once, Always when the CPU is idle or Always when SQL server agent services are started are not suitable for the execution of regular automated database backups.

Other topics in this chapter

General Settings

Recurrence

In day recurrence

Duration


General Settings

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Administrate automated database backups > Job schedules > General Settings

The sample for the recurrence of the backup job is saved in this tab.

Option

Description

Schedule name

Entry of the name for the schedule.

Recurrence configuration

Selection of the recurrence configuration from drop-down list:

  • Daily: The job is carried out at certain daily intervals.
  • Weekly: The job is carried out on certain weekdays at certain weekly intervals.
  • Monthly, day of month: The job is carried out on a certain day at certain monthly intervals.
  • Monthly, day of week of month: The job is carried out once a month with a certain monthly interval active, on a weekday in a certain week, for example every third month and then on Monday in the third week of this month.

Note: Details are configured in the respective Recurrence tab.

In day recurrence pattern

Selection of a recurring scheme for the day. This scheme determines how often and when the schedule triggers an event on active days. Select from drop-down list:

  • Once: The schedule triggers an event at a precise point in time on active days, for example at 02:00:00. Details are configured in the In day recurrence tab.
  • Recurring: On active days, the schedule triggers an event periodically with a certain interval, for example every 10 minutes from 02:00:00 to 05:00:00. Details are configured in the In day recurrence tab.

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Recurrence

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Administrate automated database backups > Job schedules > Recurrence

The recurrence configuration is configured in this tab. The options available depend on the configuration in the General settings tab. The following are available:

  • Daily: The task is carried out at certain daily intervals.
  • Weekly: The task is carried out on certain weekdays at certain weekly intervals.
  • Monthly, day of month: The task is carried out on a certain day at certain monthly intervals.
  • Monthly, day of week of month: The task is active once a month with a certain monthly interval, on a weekday in a certain week.

"Daily" configuration

Option

Description

Days

Configuration of the number of days that pass for a day with an active schedule. Manual entry or configuration using the arrow keys.

  • Minimum: 1
  • Maximum: 99

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

"Weekly" configuration

Option

Description

Weeks

Configuration of the number of weeks of the selected weekdays that are active in the Days in the week option. Manual entry or configuration using the arrow keys:

  • Minimum: 1
  • Maximum: 99

Days in week

Selection of the weekdays on which the job is carried out. Selection by activating the checkbox.

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Configuration of "Monthly, day of month"

Option

Description

Day in month

Selection of the active days in the month. Manual entry or selection using the arrow keys:

  • Minimum: 1
  • Maximum: 31

Months

Selection of the monthly interval between active days. Manual entry or selection using the arrow keys:

  • Minimum: 1
  • Maximum: 99

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Configuration of "Monthly, day of week in the month"

Option

Description

Day in week

Selection of the weekday on which the schedule is active, from a drop-down list:

  • monday
  • tuesday
  • Wednesday
  • thursday
  • friday
  • saturday
  • sunday
  • Daily
  • Weekday
  • Weekend day

Week in month

Selection of a week in the month in which the previously-selected day is active, from a drop-down list:

  • First week
  • Second week
  • Third week
  • Fourth week
  • Last week

Months

Selection of the monthly interval between active days. Manual entry or selection using the arrow keys:

  • Minimum: 1
  • Maximum: 99

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


In day recurrence

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Administrate automated database backups > Job schedules > In day recurrence

The recurrence for the day is configured in this tab. This scheme determines how often and when the schedule triggers an event on active days. The options available depend on the configuration in the General settings tab. The following are available:

  • Once: The schedule triggers an event at a precise point in time on active days.
  • Recurring: The schedule triggers an event periodically in a certain time range with a certain interval on active days.

"Once" configuration

Option | Description
Schedule occurs at | Selection of the point in time when the schedule triggers an event on active days, in hours, minutes and seconds. Manual entry or selection using the arrow keys.
Display of the configuration | Displays the current configuration of the schedule.
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.

"Recurring" configuration

Option

Description

Schedule recurrence quantity

Number of recurrences Manual entry or configuration using the cursor controls:

  • Minimum: 1
  • Maximum: 99

Schedule recurrence granularity

Schedule recurrence period granularity. Select from drop-down list:

  • Second(s)
  • Minute(s)
  • Hour(s)

Recurrence starts at

Defines the start time of the activity period of the schedule on active days. Manual entry or configuration using the cursor controls.

Recurrence ends at

Defines the end time of the activity period of the schedule on active days. Manual entry or configuration using the cursor controls.

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Duration

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Administrate automated database backups > Job schedules > Duration

The period of validity of the schedule is configured in this tab.

Option

Description

Schedule starts on

Configuration of the start of the validity for this schedule. Manual input or selection from a drop-down calendar.

Only days from this date can be active days.
For example: Start date April 1, 2014. The first backup job can be started on April 1 at 00:00:00.

Schedule ends on

Active: An expiration date is stipulated for this schedule. Manual input or selection from a drop-down calendar.

Only days that are before this date can become active days. For example: End date May 1, 2014. The first backup job can be started on April 30 at 23:59:59.

The end date must be later than the start date.

Display of the configuration

Displays the current configuration of the schedule.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Example of automated database backup

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Administrate automated database backups > Example of automated database backup

For an example of automated database backup, it is assumed that:

  • An Analyzer server is put into operation on 1/1/2013.
    • The databases on the server are to be saved every Sunday at 20:00:00.
    • In doing so, there are no conflicts with subscriptions, because these are only started on Monday at 02:00:00.
    • The last 10 backup files should be retained for each database.
  • On March 11, 2013, it is established that the server suffered hardware damage to the hard drive on 10 March, 2013, before the backups were made.
    • Once the drive has been replaced, the last backups before the hardware damage should be restored.
    • The backups made by the faulty hard drives are to be deleted.

The example consists of 3 stages:

  1. Configuring automated backup
  2. Deleting unusable backup files
  3. Restoring correct backups

Configuring automatic backup

  1. The administration of automated database backups is started in ZAMS.
  2. In this, the procedure to create a new automated database backup job is started.
  3. All databases are included in the new job.
  4. The schedule of the job is set so that the job is always carried out on Sunday at 02:00:00:
    • Weekly, with a weekly interval
    • Only Sunday active day
    • Execute once a day, at 02:00:00
  5. The new database backup job is carried out.

Deleting unusable files

  1. The administration of database backup files is started in ZAMS.
  2. The file list is sorted according to time stamps.
  3. As a result, the backups created on March 10, 2013 are grouped together.
  4. The backup files of March 10, 2013 are deleted.

Restoring backups

  1. The procedure to restore database backups is started in ZAMS.
  2. All databases are highlighted.
  3. Because the most recent backup file is automatically selected, (from March 3, 2013, because the files from March 10, 2013 have been deleted), the restore can now be instigated by clicking on OK.


Manage database backup files

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manage database backup files

Automated and manually-created backups can be administered in their own dialog.

To administer database backups:

  1. Open the SQL-Server ribbon.
  2. Select the Manage files entry in the Database backup ribbon group.

    The dialog for administering the backup files is opened.

Option

Description

Table of backup files

Displays all backup files created with the following information:

  • Name of the backup file: Filename in complete UNC format
  • Database name: Name of the database to which the file belongs
  • Date and time of the backup: Time stamp of the database backup that is in the file
  • Backup file state: Status text of whether the checksum of the backup is valid. Invalid means a corrupted backup file.

One file can be selected.

Separator

Separates both tables and can be moved with the mouse in order to enlarge the display area of a table.

Table of properties

Shows details on the file that was selected in the upper table. The table contains names and values of the properties.

You can read details of these properties at:

http://msdn.microsoft.com/en-us/library/ms178536.aspx.

Refresh

Refreshes the display.

Delete

Deletes the selected file and updates the view.

Open folder

Opens the folder with the backup files in Windows Explorer.

Close

Closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Storage path for database backup files:

The first time a backup request is made and a path has not yet been established, you are requested to define a save path. This path is then used for all backups and restorations. This path is administered in the options in the Database backups tab of the Settings.

Note: It is recommended that a path on the Analyzer computer is used for backup.

Option

Description

Network share path for storing database backup files of [database]

A valid UNC path must be entered.

Clicking on the ... button opens the dialog to select a network share.

A check is made if:

  • The syntax of the path is valid if:
    Only valid paths unlock the OK button.
  • The path exists:
    When clicking on OK, the path is only accepted if it can also be accessed.
  • The path is different to that already used:
    If a path is defined that is different to a path that has already been used, a corresponding message is given. The path can be created. The pre-existing database backup job can then be activated, deactivated and deleted, but can no longer be edited.

The configured path is saved individually for each user.

Attention: The access rights to network shares must be set correctly. For details, see the Set access rights to network share correctly.

OK

Accepts the path and closes the dialog.

Cancel

Discards changes and closes the dialog.

Set access rights to network share correctly

In order for all database backup action to run correctly, the access rights to the network share must correspond to the database backup folder. For this, the following applies:

  • The folder must be on the Analyzer Server, because defined users must access it locally on the Analyzer Server.
  • Because the folder must be accessible by both the Analyzer Server and the ZAMS computer with the same path, it must be authorized in the network. The folder is then accessible with the same path via a UNC path everywhere in the network.
  • The following users must have full access to the network share:
    • NT SERVICE\MSSQL$ZA3: For the creation and restoration of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • NT SERVICE\SQLAgent$ZA3: For automatic creation of backups.
      Defined Locally on the Analyzer server. Virtual user, derived from the SYSTEM, in whose context the SQL server instance is running.
    • Every ZAMS user: To create and restore backups, administer backup files and administer automated backup jobs.

Backup file name

The file name of a database backup file follows this scheme: [database name]_yyyy_MM_dd_HH_mm_ss.bak

e.g.: ZA_DATA_2013_02_12_14_11_35.bak = backup of ZA_DATA on 12.2.2013 at 14:11:35


Manage linked server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manage linked server

This function is available if there is a connection to an Analyzer server with a valid license.

When this function is started, a list of the linked servers is obtained from the SQL Server instance. This list comes from the database to which ZAMS is connected.

Option | Description
List of linked servers | Contains all linked servers. The expression in brackets contains the provider for the connection. All linked servers are always shown, even if they are a type that is not supported.
New Microsoft SQL server | Gets all SQL Server instances available in the network and opens the dialog to configure a linked SQL server.
New Microsoft SQL Azure server | Opens the dialog to configure a linked Microsoft SQL Azure server. Note: Each database on an SQL Azure instance must be added as its own linked server for technical reasons. You can also find general information on MS Azure in the MS Azure manual.
New Oracle server | Opens the dialog to configure a linked Oracle server. Note: This button is only active if (OraOLEDB.Oracle) is found on the SQL server instance of the Oracle OLEDB provider.
New ODBC server | Opens the dialog to configure a linked ODBC server.
Delete | Deletes the server highlighted in the list.
Close | Closes the dialog

Further providers of linked servers are available with SQL Server 2016. Providers from third-party manufacturers are also available; the Oracle OLE DB provider is an example of this. If a provider that is different to the ones pre-configured here is to be used, the linked server can be set up manually using SQL Server Management Studio.

Other topics in this chapter

Configuration of the provider

Linked SQL server

Linked Microsoft Azure server

Linked Oracle server

Linked ODBC server.


Configuration of the provider

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manage linked server > Configuration of the provider

A provider is a driver for SQL Server, which allows it access to other database systems. Similar to the drivers in an HMI/SCADA system such as zenon, the driver must be configured in order for communication to work. The linked servers of the following drivers can be addressed by the SQL connector:

  • SQLNCLI for Linked SQL server
  • SQLNCLI11 SQL SQL Azure
  • OraOLEDB.Oracle for Linked Oracle server
  • MSDASQL for Linked ODBC server

You can find the providers in the SQL Server Management Studio in the Object Explorer; the path is:
[linked instance] -> Server Objects -> Linked Servers -> Providers

Settings that are made in the properties of the provider are only applicable for the instance under which the provider is entered in the Object Explorer.

"SQLNCLI" for linked SQL server

This provider can be left with the default settings.

Addressing the tables: [linked server name].[database name].[scheme name].[table name]

"SQLNCLI11" for Linked SQL Azure Server

This provider can be left with the default settings.

Addressing the tables: AZURE -[linked server name]..[scheme name].[table name]

Note: The AZURE - prefix is to distinguish identically-created Linked Oracle databases.

"OraOLEDB.Oracle" for linked Oracle server

3rd party data archives for Oracle linked servers are queried using the OPENQUERY mechanism

Requirements

Installed and correctly-configured Oracle client with OLE DB provider. The Oracle Database Client Software must be installed.
In addition to the provider, there must also be an entry for the database server in the configuration of the Oracle client. The configuration of this depends on the version of the Oracle client used. You can find information on this in the documentation of the Oracle client used.

Configuration

For configuration:

  1. Start the SSMS and connect it to ZA3.
  2. Go to Server Objects --> Linked Servers --> Providers.
  3. Open the OraOLEDB.Oracle properties.
  4. Activate the following options:
    • Dynamic Parameter
    • Nested queries
    • Allow inprocess
    • Not transacted updates
    • Supports 'Like' operator
  5. Deactivate all other options.

Addressing the tables: [linked server name]..[scheme name].[table name]

Note: If an error occurs when analyzing a table, this is shown as a message in the output window. The table is skipped.

"MSDASQL" for linked ODBC server

The checkboxes in the properties of this provider must be as in the screenshot below:

Addressing the tables: [linked server name]...[table name]

If one of these settings is changed, all linked servers that use this provider must be recreated in order for the changes to be accepted.

Note: The data source (DSN or ODBC connection string) must be configured so that only one database is used on the target database system. You can read how a database client for ODBC can be configured as a system DSN in the documentation of the database client used.


Linked SQL server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manage linked server > Linked SQL server

Configuration of a linked SQL server.

Option | Description
Server | Entry for SQL server instance. Either a selection from a drop-down list or details of its own instance. The entry is the name for the linked server at the same time, as described by the provider.
User name | User name.
Password | Password. Is not displayed in plain text.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Linked Microsoft Azure server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manage linked server > Linked Microsoft Azure server

Configuration of a linked Microsoft Azure server

  1. In the dialog to administer the linked server, click on the New Microsoft Azure Server button.

    The dialog for configuring a server is opened.

  2. Assign a name for the server.
  3. Enter an instance name.
    Note: You can find this on Microsoft Azure.
  4. Enter the name of the database.
  5. Enter the user name for access.
  6. Enter the password for access.
  7. Click on OK.

    The linked server is created and the dialog for creation is closed.
    The new linked server is then given a connection test.
    If the test is not successful, there is a query asking whether the new settings are to be retained:

    • Yes: Settings are retained and are displayed in the list.
    • No: Settings are discarded and the server is removed from the list.

info Information

Each database on an SQL Azure instance must be added as its own linked server for technical reasons.

Dialog Configuration

Option | Description
Linked server name | Name of the linked server.
Microsoft SQL Azure instance name | Name of the SQL Azure instance. Can be read from Microsoft Azure. Syntax: [any desired character sequence].[database].windows.net
Database on Microsoft SQL Azure instance | Entry of the database name. Can be read from Microsoft Azure.
User name | Entry of the user name.
Password | Password. Is not displayed in plain text.
OK | Applies settings and closes the dialog. A connection test is carried out afterwards. If the connection cannot be established, the option to reject the configuration is offered.
Cancel | Discards all changes and closes the dialog.


Linked Oracle server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manage linked server > Linked Oracle server

Configuration of a linked Oracle server

Option | Description
Linked server name | Name of the new Linked Oracle server. The name must not have been issued to an existing linked server already.
Product name | Any desired product name.
Data source | Connection name for the Oracle OLEDB Provider. You can find details on installation and setting up the parameters of the Oracle providers in the Oracle documentation.
Username | User name
Password | Password. Is not displayed in plain text.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Linked ODBC server.

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manage linked server > Linked ODBC server.

Configuration of a linked ODBC server.

Option | Description
Name of connection server | Name of the new linked ODBC server. The name must not have been issued to an existing linked server already.
Product name | Any desired product name.
Data source (DSN) | Name of the DSN entry to be used. If nothing is entered here, the provider string must be specified in the Provider string field.
Provider-String | The provider string to be used is given here. If nothing is entered here, the DSN entry must be specified in the Data source (DSN) field.
User name | User name.
Password | Password. Is not displayed in plain text.
OK | Applies settings and closes the dialog. One the two fields, Data source (DSN) or Provider string can be empty.
Cancel | Discards all changes and closes the dialog.


Manage metadata indices

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manage metadata indices

In order for metadata indices to be administered, there must be a connection to an Analyzer server with a valid license.

To administer the metadata indices:

  1. Select the Metadata indices command in the SQL server ribbon.

    The dialog with the display of the fragmentation of the metadata indices is opened.

The size of the window can be adjusted by dragging with the mouse. The position and size are saved depending on the user and the ZAMS version.

Option

Description

Table

Table name.

Index

Index name.

Records

Number of entires in the index.

Pages

Number of pages on which the index is saved.

Internal fragmentation

Value displays how much (in percent of pages on which the index is saved) is unused. A high degree of internal fragmentation increases the memory that the index occupies. This can reduce the index performance, because more pages have to be read. Critical values are accented in color:

  • Yellow: Value greater than 5%
  • red: Value greater than 30%

Indices without entries always have internal fragmentation of 100%. Indices that occupy 1 or 0 pages are excluded from highlighting.

External fragmentation

The value states how many of the pages of the index are not saved consecutively.

A page cannot be saved consecutively if its logical position between other index pages in the index is not equal to its physical position between other index pages on the memory medium.

A high degree of external fragmentation reduces the index performance, because it is often necessary to jump between save locations on the memory medium when reading the index.

Critical values are accented in color:

  • Yellow: Value greater than 5%
  • red: Value greater than 30%

Indices that occupy 1 or 0 pages always have an external fragmentation of 0%.

The table is in descending order according to this column as standard.

Index statistics

Opens the dialog for displaying the index statistics.

Index administration

Opens the dialog for index maintenance.

Close

Closes the dialog.

Index statistics

Option | Description
Index | Selection of the index from the drop-down list. The following tables are filled with data depending on this selection.
Statistic header | Header with metadata.
Density vector | Density vector to measure the correlations between columns.
Histogram | Histogram for distribution of the values.
Close | Closes the dialog.

You can find more information on interpretation of the values at, for example:

  • MSDN: http://msdn.microsoft.com/en-us/library/ms174384(v=sql.90).aspx
  • SQL ServerCentral: http://www.sqlservercentral.com/articles/Stairway+Series/72446/ (registration required)

Index administration

Option

Description

Index name

Name of the index.

Maintenance action

Possible maintenance actions. When switching, the appropriate maintenance action is pre-selected for each index. The dialog can usually be confirmed without changes by clicking on OK.

Select from drop-down list:

  • No maintenance:
    Do not carry out any action.
    Always available.
  • Recompute index statistics:
    Updates the statistics.
    Only available if the index occupies more than 0 pages.
    The action hardly needs to be carried out, because the SQL server has good automated mechanisms for carrying this out.
  • Reorganize index:
    Reorganize index (includes Recompute index statistics.)
    Only available if the index occupies more than 0 pages.
  • Rebuild index:
    Rebuilds the index. (includes Recompute index statistics.)
    Only available if the index occupies more than 0 pages.

OK

Executes the selected action and ends the dialog.

Cancel

Exits the dialog without carrying out any actions

If an action is not successful, a message window with the indices where maintenance was unsuccessful is displayed.

Other topics in this chapter

Best practice for maintenance action


Best practice for maintenance action

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Manage metadata indices > Best practice for maintenance action

The decision on what appropriate administrative action to take is orientated towards the Best Practices for index administration. It follows this scheme:

  1. If the index occupies more than one page and the external fragmentation is >= 5 %: Reconstruct index;

    otherwise continue

  2. If the index occupies more than one page and the internal fragmentation is >= 30 %: Reconstruct index;

    otherwise continue

  3. If the index occupies more than one page and the internal fragmentation is >= 5 %: Reorganize index;

    otherwise continue

  4. No administration

You can find further information on indexing in the Indexing of database tables - Best Practice chapter.


Configure archive emulation

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Managing SQL Server > Configure archive emulation

In ZAMS, you can emulate archives that exist from figures from entries in the AML, CEL and archives in zenon.

To configure the archive emulation:

  1. Select the Emulated archives entry in the SQL Server ribbon.
  2. Click on the New button to create a new emulated archive,
    or Edit to change an existing emulated archive

You can find details on archive emulation and the configuration of emulated archives in the archive emulation section.


Manage RDL templates

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Manage RDL templates

RDL templates are used when preparing reports. They always contain the report header with all elements contained in this, such as text, graphics, etc.

RDL templates can be restored and administered in ZAMS using the Options ribbon.

The following is possible:

  • Restoring of an RDL template from an RDL file to the computer.
  • Restoring of an RDL template from a report on the server.
  • Importing of RDL templates from other ZAMS versions.
  • Selection of the RDL template to be used for the provision.
  • Deletion of RDL templates.

Other topics in this chapter

Read from RDL file

Read from report on server

Import from other application versions


Read from RDL file

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Manage RDL templates > Read from RDL file

RDL templates can be read from RDL files on the computer. To do this:

  1. Click in the RDL templates dialog on the Read from RDL file button.
  2. The file browser is opened.
  3. Navigate to the desired RDL file.
    The file must contain a header.
  4. The dialog to name the new template is opened.
  5. Please use an unique name.
  6. Click on OK.
  7. The new template is entered in the list


Read from report on server

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Manage RDL templates > Read from report on server

RDL templates can be read from reports on the Analyzer Server. To do this:

  1. Click, in the Administer RDL templates dialog, on the Read from report in the server button.
  2. The dialog for selecting a report is opened
    All reports that are found are shown in a tree structure according to their save path.

  3. Navigate to the desired report.
    The report must contain a header.
  4. The dialog to name the new template is opened.
  5. Please use an unique name.
  6. Click on OK.
  7. The new template is entered in the list


Import from other application versions

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Manage RDL templates > Import from other application versions

RDL templates can be read from RDL files on the computer. The files to be imported must be in the RDL templates subfolder of the ZAMS version. For example: %ProgramData%\COPA-DATA\zenon AnalyzerAnalyzer\ZAMS_[Version]\RDL_Templates.

To do this:

  1. Click, in the RDL templates dialog, on the Import from other application versions button.
  2. The dialog with the list of all RDL files of a different version with a header are opened.

  3. Select the desired templates.
  4. Select the desired version if required.
  5. If there are naming conflicts: Decide whether the template to be imported is to be renamed or the existing template is to be overwritten.
  6. Give it a new, unique name if required.
  7. Click on OK.

    The new templates are entered into the list

Import RDL templates dialog

Option

Description

Status symbol

Displays whether a template with this name already exists.

Checkbox

Selection of a template for import by ticking the checkbox.

RDL template name

Name of the selected RDL template.
Display only.

Import from version

Selection of the version of the selected RDL template from the drop-down list.

Only active if there are templates from different ZAMS versions with the same name.

Collision resolve type

Selection of actions for templates whose name is already in use:

  • Rename imported template: The schematic is renamed on import. The current name in the Import name field is supplemented with a figure in brackets. The name can be individually amended in this field.
  • Overwrite existing template: The existing RDL file is replaced by the RDL file that is to be imported.

Default: Rename imported template

Only active if there is a naming conflict during import.

Import name

Entry of a unique name for the template to be imported:

  • The name must not be empty.
  • The name must not be used by another template.

Only active if there is a naming conflict on import and the conflict is triggered by renaming.

Select all

Clicking this selects all displayed templates.

Deselect all

Clicking this deselects the current selection.

OK

Applies settings and closes the dialog.

If a pre-existing template is to be overwritten, confirmation is requested.

Cancel

Discards all changes and closes the dialog.


Report styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles

Report styles give you the possibility to configure graphical elements individually and to assign reports. Report styles are constructed in a modular fashion and are defined centrally. They allow the central configuration of fonts, lines, frames, colors, color gradients and markers.

zenon Analyzer is supplied with the Analyzer Initial report style as standard. This is pre-defined and initially assigned to all reports. A many individual styles as desired can also be created and assigned. Assignment of individual reports can be:

  • In general for all newly-created reports
  • Targeted, for individual, existing reports

Report styles can be exported and imported via XML.

attention Attention

When drawing markings in diagrams, the frame style of the markings is ignored by the SQL Server Reporting Services.

Report styles

There are two types of report styles available:

  • COPA-DATA Standard
  • individually-created report style

COPA-DATA Standard

The Analyzer Initial report style is supplied as standard.
This:

  • Is defined as fixed and cannot be changed.
  • Cannot be exported.
  • Cannot be overwritten by imported files.
  • Cannot be deleted
  • Is initially assigned to all reports
  • Is automatically assigned if an individually-created report style is no longer available

Individual report styles

ZAMS users can do the following with individual report styles:

  • Create and edit
  • export
  • import
  • delete
  • Assign all newly-created or individual reports

Other topics in this chapter

Administering and assigning report styles

Creating and editing report styles

Import report styles

Export report styles

Style groups and styles

Properties for report styles


Administering and assigning report styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Administering and assigning report styles

You can do the following with report styles:

  • create
  • edit
  • Assign
  • delete
  • export and import
  • Copy

Assign report styles

Report styles can generally be assigned to all newly-created reports or individual reports.

Initial report style

To assign a report style to all new report templates:

  1. Open the Options ribbon
  2. Click on the Report styles entry.

    The dialog for administering the report styles is opened.

  3. Select the desired style from the list by clicking in the radio button.
  4. Confirm your selection by clicking on the OK button

This report style is assigned automatically:

  • All newly-created report templates
  • All report templates that do not have a style

Assign report style individually

To assign a report style to a certain report template:

Open the report template in ZAMS. Display the properties for the report settings.
To do this, for example, click on a free area in a free area of the design area.

  1. Go to the Report style property.
  2. Select the desired report style from the drop-down list.
  3. Save the report template.

Note: If the linked report style is deleted, the report template is automatically assigned to the Analyzer Initial style.

Delete report style

To delete a report style:

  1. Select the report style in the Manage report styles dialog.
  2. Click on the symbol to be deleted (X).

    A symbol with a green tick is shown, as confirmation of deletion.

  3. Click on the deletion confirmation.

    The report style is deleted.
    If it is still linked to report templates, the Analyzer Initial style is linked in these report templates.

Copy report style

Report styles cannot be copied directly. You can however create a copy by exporting and importing a style.

To copy a report style:

  1. Export the template to an XML file.
  2. import the XML file.
  3. A conflict is displayed during import
  4. For problem handling in the event of a conflict, select: Rename imported style.
  5. Give it a new name.
  6. Click on OK.

    The imported template is created with the previous settings under new names.

Other topics in this chapter

Dialog - Manage report styles


Dialog - Manage report styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Administering and assigning report styles > Dialog - Manage report styles

With this dialog, you manage report styles and generally assign them reports.

Option

Description

List of report styles

List of available report styles. The Analyzer Initial style is always present. It can neither be changed, exported or deleted.

All other styles can be edited. There are two symbols available for this:

  • Edit (wrench symbol):
    Opens the dialog to edit the report style.
  • Delete (X symbol):
    Deletes the selected report style from the list. Deletion must be confirmed with a further click on the symbol with the green tick.
    If the deleted report style is used by a report, it is automatically assigned to the Analyzer Initial report style.

Plus sign

Opens the dialog to create a new report style.

XML import

Opens the dialog to import a report style into an XML file.

XML export

Opens the dialog to export a report style into an XML file.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Creating and editing report styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Creating and editing report styles

Report styles can be created and edited individually. Properties, styles and style groups are edited during configuration.
The following is applicable for styles and properties:

  • A property can be used in several styles.
  • A style can be used in properties as a value.

Dialog for configuration of report styles

The dialog for the configuration of report styles is subdivided into several sections:

Position

Element

Description

Top left

Report style name

Entry of the name for the report style.

The Name

  • must be unique
  • Must not contain any leading or closing spaces.

Outside left

List of the style groups

Lists all available style groups. Each style group contains at least one style.

Arrows point to style groups that are dependent on one another:

  • Red arrow: The selected style group uses elements of this style group.
  • Blue arrow: Elements of the selected style group are used in this style group.

Center

List of the styles for the selected style group

Lists all styles of a style group. These are configured using properties.

Outside right

Properties for the selected style

The properties specify a style.

Properties can contain styles.
For example, a color is defined using the corresponding style in the colors style group.

Properties that use use styles refer to the respective style with a green arrow. Clicking on the arrow switches to the corresponding style.

Bottom center

Display of the properties that use the selected style

Shows all properties that use the selected style.

Clicking on an element switches to the corresponding property.

Bottom right

OK

Clicking on the button accepts the configuration and closes the dialog.

Bottom right

Cancel

Ends configuration, discards changes.

Note: On new creation, the report style is also created and entered into the list on canceling. Its configuration corresponds to the Analyzer Initial style.

Dependencies and linkings

Styles are defined by properties. Properties can use styles. The interrelationships are shown by arrows and links.

For example Analyzer Initial:

  • The font style style group contains the font for value fields style.
  • This style consists of the properties Name, Font family, Font size, Color and Font weight.
  • The Color Black property is defined in the Colors style group in the Black style.
  • The font for value fields style is used in the following properties: Font for value fields, graphics axis font, key font, font data description, axis font and data cell font.

Create report style

To create a new report style:

  1. In the Options ribbon, click on report styles.

    The dialog for administering report styles is opened.

  2. Click on the symbol to add a new report style (green plus sign).

    The dialog for configuration is opened.

  3. Please use an unique name.
  4. Configure the desired style.
    Note: When first called up, the new report style has the settings of the Analyzer Initial report style.
  5. End configuration by clicking on OK.
  6. Close the dialog for administering report styles by clicking on OK.

Edit report style

To edit a report style:

  1. Open the dialog Manage report styles.
  2. Select the desired style in the Report styles list.
  3. Click on the symbol to edit (wrench):

    The dialog to configure a report style is opened.

Rename report style

To rename a report style:

  1. Open the dialog Manage report styles.
  2. Select the desired style in the Report styles list.
  3. Click on the symbol to edit.

    The dialog for defining a report style is opened.

  4. Change the name in the Name for report style option.
  5. Confirm the change by clicking on the OK button.
  6. Close the dialog for administering report styles by clicking on OK.


Import report styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Import report styles

Report styles can be imported from an XML file.
To import a report style:

  1. Activate the Options ribbon.
  2. Click on Report styles.

    The dialog to manage the report styles is opened.

  3. click on the symbol for XML import.

    The dialog to select an XML file is opened.
    This dialog is always displayed in the language of the operating system.

  4. Select the save location and the desired XML file.
  5. Click on OK.
  6. The dialog for the import is opened.

    All importable report styles included in the XML file are offered for import.
    If a name that has already been issued is to be imported, a validation error is shown and the dialog cannot be confirmed.
    If there are conflicts with existing report styles, these are shown.
    In the event of conflicts, you decide whether the report style to be imported:

    • Overwrites an existing one
    • Is created under a new name
    • Is not imported
  7. Click on OK.

    The selected report styles are imported.

Import report style dialog

When importing an XML file with report styles, all the report styles contained therein are displayed in a dialog.

Option

Description

List of report styles

Lists all existing individually-created report styles. These can be selected by clicking on the checkbox for import.

Symbol

Shows whether a report style with this name already exists.

Report style name

Name of the report style to be imported. Clicking in the checkbox highlights the report style for import.

Collision resolve type

If there is already a report style with the same name, two options to resolve the conflict are offered.
Select from drop-down list:

  • Rename imported style:
    Imports the style under a new name. The new name must be entered in the Import name column.
  • Overwrite existing style: Imports the style and overwrites the existing one in the process.

Default: Rename imported style

Import name

Name for the report style to be imported. Only available if there are no conflicts. Clicking in the field allows the editing of the proposed default name.

Default: [existing name] [serial number]

OK

Accepts selection, closes this dialog and imports the selected report style.

Cancel

Cancels the import and closes the dialog.


Export report styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Export report styles

Report styles can be exported to an XML file.
To export a report style:

  1. Activate the Options ribbon.
  2. Click on Report styles.

    The dialog to manage the report styles is opened.

  3. Click on the symbol for the XML export.

    The dialog for selecting a report style is opened

  4. Select the desired report style by clicking on the checkbox.
  5. Click on OK.

    The dialog to select a save location is opened.
    This dialog is always shown in the language of the operating system.

  6. Select the save location and enter a file name.
  7. Click on OK.

    The selected report styles are saved as an XML file.

Dialog to select the report style

All individually-configured styles are offered for the export of the report styles. The style Analyzer Initial cannot be exported.

Option | Description
List of report styles | Lists all existing individually-created report styles. These can be selected by clicking on the checkbox for export.
OK | Accepts selection, closes the dialog and opens the dialog to select a save location for the export file. Only available if at least one report style has been selected.
Cancel | Cancels the export and closes dialog.


Style groups and styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles

Report styles are organized in style groups and styles. Each style group contains at least one style. Styles can be edited and newly added. The list entries are sorted in such a way that the basic modules are at the top. The colors are therefore at the first place and the style properties that use all other styles are at the lowest place.

The following are available as style groups:

  • Colors
  • Font styles
  • Line styles
  • Border styles
  • Background gradients
  • Color lists
  • Marker styles
  • Style for line with marker
  • Style list for line with marker
  • Style properties

Add style

To add a new style to a style group:

  1. Click on the symbol to add (green cross).

    A new style with the default values is created.

  2. Configure the property of the new style.
  3. Close the dialog by clicking on OK.

Delete style

To delete a style:

  1. Select the style.
  2. Click on the symbol to be removed (red cross).

    The style is removed from the list without a request for confirmation.

Note: Styles can only be deleted if they are not used at another place.

Other topics in this chapter

Colors

Font styles

Line styles

Border styles

Background gradients

Color lists

Marker styles

Style for line with marker

Style list for line with marker

Style properties


Colors

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Colors

This style group defines the value for colors. The colors stipulated here are used by all further elements. In doing so, they are identified using the Name property.

There are pre-defined colors available. These can be amended and enhanced as desired.

Pre-defined colors:

  • Black
  • Border gray
  • White smoke
  • White
  • Gainsboro
  • Dim gray
  • Maroon
  • Series color 1
  • Series color 2
  • Series color 3
  • Series color 4
  • Series color 5
  • Series color 6
  • Series color 7
  • Series color 8
  • Series color 9
  • Series color 10
  • Light gray
  • Dark grey
  • Silver
  • Red
  • Olive
  • Yellow
  • Green

Amend and add colors

To amend a color:

  1. click on the desired color.
  2. Configure the Name property:
    Enter the chosen name.
  3. Configure the Color property.
    Clicking on the arrow next to the color display opens the dialog to select color.

To add a color:

  1. Click on the symbol to add (green cross).

    a new color with the default values new color and black is created.

  2. Configure the property name:
    Enter the chosen name.
  3. Configure the color property.
    Clicking on the arrow next to the color display opens the dialog to select color.


Font styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Font styles

This style group defines fonts. Fonts can be selected from the fonts available on the system or freely entered. Free entry allows the use of a font that is present on the Analyzer Server but not available in ZAMS. During configuration, there is no check to see whether the selected font is also available on the Analyzer Server when executing the report.

Style

Properties and default values

Title font

Properties:

  • Name: Title font
  • Font family: Arial
  • Font size: 16 pt
  • Color: Black
  • Font weight: Bold

Value font

Properties:

  • Name: Value font
  • Font family: Arial
  • Font size: 8 pt
  • Color: Black
  • Font weight: Normal

Parameter title font

Properties:

  • Name: Parameter title font
  • Font family: Arial
  • Font size: 7 pt
  • Color: Black
  • Font weight: Normal

Parameter value font

Properties:

  • Name: Parameter value font
  • Font family: Arial
  • Font size: 12 pt
  • Color: Black
  • Font weight: Bold

Footer font

Properties:

  • Name: Footer font
  • Font family: Arial
  • Font size: 6 pt
  • Color: Black
  • Font weight: Bold

Table header font

Properties:

  • Name: Table header font
  • Font family: Arial
  • Font size: 9 pt
  • Color: Black
  • Font weight: Bold

Table grouping font

Properties:

  • Name: Table grouping font
  • Font family: Arial
  • Font size: 8 pt
  • Color: Black
  • Font weight: Bold

Custom report item title font

Properties:

  • Name: Custom report item title font
  • Font family: Arial
  • Font size: (no default value)
  • Color: Black
  • Font weight: Normal

Efficiency class font

Properties:

  • Name: Efficiency class font
  • Font family: Arial
  • Font size: 10 pt
  • Color: Silver
  • Font weight: Bold


Line styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Line styles

This style group defines styles for the display of lines:

Style

Properties and default values

Footer line

Properties:

  • Name: Footer line
  • Line style: Solid
  • Line width: 2.0 pt
  • Color: Border gray

Grid chart line

Properties:

  • Name: Grid chart line
  • Line style: Solid
  • Line width: 1.5 pt
  • Color: Gainsboro

Chart axis line

Properties:

  • Name: Chart axis line
  • Line style: Solid
  • Line width: 1.5 pt
  • Color: Dim gray

Chart axis scale break line

Properties:

  • Name: Chart axis scale break line
  • Line style: Solid
  • Line width: 1.0 pt
  • Color: Maroon

Radar chart line

Properties:

  • Name: Radar chart line
  • Line style: Solid
  • Line width: 1.0 pt
  • Color: Dim gray

Error line

Properties:

  • Name: Error line
  • Line style: Solid
  • Line width: 1.0 pt
  • Color: Red

Warning line

Properties:

  • Name: Warning line
  • Line style: Solid
  • Line width: 1.0 pt
  • Color: Yellow

Average line

Properties:

  • Name: Average line
  • Line style: Solid
  • Line width: 1.0 pt
  • Color: Green

Trend line 1

Properties:

  • Name: Trend line 1
  • Line style: Solid
  • Line width: 1.0 pt
  • Color: Series color 1

Trend line 2

Properties:

  • Name: Trend line 2
  • Line style: Solid
  • Line width: 1.0 pt
  • Color: Series color 3

Trend line 3

Properties:

  • Name: Trend line 3
  • Line style: Solid
  • Line width: 1.0 pt
  • Color: Series color 4

Trend line 4

Properties:

  • Name: Trend line 4
  • Line style: Solid
  • Line width: 1.0 pt
  • Color: Series color 7

Trend line 5

Properties:

  • Name: Trend line 5
  • Line style: Solid
  • Line width: 1.0 pt
  • Color: Series color 10


Border styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Border styles

This style group defines styles for the display of frames:

Style

Properties and default values

Parameter box border

Properties:

  • Name: Parameter box border
  • Border style: Solid
  • Border width: 2.0 pt
  • Color: Border gray

Data label border

Properties:

  • Name: Data label border
  • Border style: Solid
  • Border width: 3.0 pt
  • Color: Light gray

Marker border

Properties:

  • Name: Marker border
  • Border style: Solid
  • Border width: 1.0 pt
  • Color: Series color 5

Box plot marker border

Properties:

  • Name: Box plot marker border
  • Border style: Solid
  • Border width: 1.0 pt
  • Color: Red

Table header border

Properties:

  • Name: Table header border
  • Border style: Solid
  • Border width: 2.0 pt
  • Color: Dark grey

Table cell border

Properties:

  • Name: Table cell border
  • Border style: Solid
  • Border width: 1.0 pt
  • Color: Dark grey

Trend marker border 1

Properties:

  • Name: Trend marker border 1
  • Border style: Solid
  • Border width: 1.0 pt
  • Color: Series color 1

Trend marker border 2

Properties:

  • Name: Trend marker border 2
  • Border style: Solid
  • Border width: 1.0 pt
  • Color: Series color 3

Trend marker border 3

Properties:

  • Name: Trend marker border 3
  • Border style: Solid
  • Border width: 1.0 pt
  • Color: Series color 4

Trend marker border 4

Properties:

  • Name: Trend marker border 4
  • Border style: Solid
  • Border width: 1.0 pt
  • Color: Series color 7

Trend marker border 5

Properties:

  • Name: Trend marker border 5
  • Border style: Solid
  • Border width: 1.0 pt
  • Color: Series color 10


Background gradients

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Background gradients

This style group defines styles for color gradients in the background.

Style

Properties and default values

Chart background

Properties:

  • Name: Chart background
  • Color: Gainsboro
  • Color: White
  • Gradient type: None

Pie chart background

Properties:

  • Name: Pie chart background
  • Color: Gainsboro
  • Color: White
  • Gradient type: Center


Color lists

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Color lists

This style group defines styles for color lists:

Style

Properties and default values

Chart colors

Properties:

  • Name: Chart colors
  • Values:
    Uses:
    Series color 1
    Series color 2
    Series color 3
    Series color 4
    Series color 5
    Series color 6
    Series color 7
    Series color 8
    Series color 9
    Series color 10
    Available:
    All other colors

Radar chart colors

Properties:

  • Name: Chart colors
  • Values:
    Uses:
    Series color 1
    Series color 3
    Series color 4
    Series color 7
    Series color 10
    Available:
    All other colors

Configuration

The lists consist of two areas:

  • Lists at the top: Contains all selected entries. These are used for display in <REPORTLAUNCHER>. This list must contain at least one entry.
  • Bottom of list: Contains the entries that are available but have not yet been selected.

Move and arrange entries

  • The entries can be moved between the two lists by dragging&dropping or using the arrow symbols.
  • The sequence in a list can be amended using drag&drop.


Marker styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Marker styles

This style group defines styles for the display of markers:

Style

Properties and default values

Chart marker

Properties:

  • Name: Chart marker
  • Marker style: Square
  • Color: Series color 5
  • Marker size: 3.75 pt
  • Border style: Marker border

Box plot marker

Properties:

  • Name: Box plot marker
  • Marker style: Cross
  • Color: Red
  • Marker size: 3.75 pt
  • Border style: Box plot marker border

Trend marker 1

Properties:

  • Name: Trend marker 1
  • Marker style: Square
  • Color: Series color 1
  • Marker size: 3.75 pt
  • Border style: Trend marker border 1

Trend marker 2

Properties:

  • Name: Trend marker 2
  • Marker style: Diamond
  • Color: Series color 3
  • Marker size: 3.75 pt
  • Border style: Trend marker border 2

Trend marker 3

Properties:

  • Name: Trend marker 3
  • Marker style: Cross
  • Color: Series color 4
  • Marker size: 3.75 pt
  • Border style: Trend marker border 3

Trend marker 4

Properties:

  • Name: Trend marker 4
  • Marker style: Stern5
  • Color: Series color 7
  • Marker size: 3.75 pt
  • Border style: Trend marker border 4

Trend marker 5

Properties:

  • Name:Trend marker 5
  • Marker style: Stern10
  • Color: Series color 10
  • Marker size: 3.75 pt
  • Border style: Trend marker border 5


Style for line with marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Style for line with marker

This style group defines styles for the display of lines with markers:

Style

Properties and default value

Trend line with marker 1

Properties:

  • Name: Trend line with marker 1
  • Line style: Trend line 1
  • Marker style: Trend marker 1

Trend line with marker 2

Properties:

  • Name: Trend line with marker 2
  • Line style: Trend line 2
  • Marker style: Trend marker 2

Trend line with marker 3

Properties:

  • Name: Trend line with marker 3
  • Line style: Trend line 3
  • Marker style: Trend marker 3

Trend line with marker 4

Properties:

  • Name: Trend line with marker 4
  • Line style: Trend line 4
  • Marker style: Trend marker 4

Trend line with marker 5

Properties:

  • Name: Trend line with marker 5
  • Line style: Trend line 5
  • Marker style: Trend marker 5


Style list for line with marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Style list for line with marker

This style group defines the style for the display of style lists for lines with markers:

Style

Properties and default values

Trend lines with marker

Properties:

  • Name: Trend lines with marker
  • Lines:
    Used:
    Trend line with marker 1
    Trend line with marker 2
    Trend line with marker 3
    Trend line with marker 4
    Trend line with marker 5
    Available:
    (empty)

Configuration

The lists consist of two areas:

  • Lists at the top: Contains all selected entries. These are used for display in <REPORTLAUNCHER>. This list must contain at least one entry.
  • Bottom of list: Contains the entries that are available but have not yet been selected.

Move and arrange entries

  • The entries can be moved between the two lists by dragging&dropping or using the arrow symbols.
  • The sequence in a list can be amended using drag&drop.


Style properties

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Style properties

This style group defines independent styles for:

  • Text fields
  • Parameter output area
  • Footer
  • Diagram
    • Custom report items (CRI)
  • Tables

General

Style

Properties and default values

Text boxes

Properties:

  • Report name font: Title font
  • Label font: Title font
  • Value font: Value font

Parameter output area

Properties:

  • Parameter box: Parameter box borders
  • Parameter background color: White smoke
  • Parameter label font: Parameter title font
  • Parameter value font: Parameter value font

Footer

Properties:

  • Footer font: Footer font
  • Footer line: Footer line

Diagram

Style

Properties and default values

Drawing area

Properties:

  • Grid lines: Warning line
  • Chart area background color: White
  • Chart area background interlace color: Gainsboro

Background

Properties:

  • Chart item background: Chart background
  • Pie chart item background: Pie chart background

Axes

Properties:

  • Chart axis font: Value font
  • Chart axis line: Chart axis line
  • Scale break line: Chart axis scale break line
  • Scale break spacing: 2.0 %

Content

Properties:

  • Chart series colors: Chart colors
  • Area chart line color: Series color 5
  • Area chart area color: Series color 5
  • Area chart area transparency: 29 %
  • Radar chart series colors: Radar chart colors
  • Radar chart series transparency: 45 %
  • Radar chart series border: Radar chart line

Labels

Properties:

  • Chart legend font: Value font
  • Data label box: Data label border
  • Data label background color:
  • Data label font: Value font
  • Chart marker Chart marker

Custom report items

Properties for the configuration of the custom report items:

  • Box plot
  • Efficiency classes
  • Gantt Chart
  • Histogram
  • Carpet Plot
  • Sankey Diagram
  • Trend with Limits

For details, see the Configure user-defined report elements chapter.

Tables

Style

Properties and default values

Tables

Properties:

  • Background colors for even rows: White
  • Background color for odd rows: White smoke
  • Header cell font: Table header font
  • Body cell font: Value font
  • Grouping header font: Table grouping font
  • Header cell border: Table header border
  • Body cell border: Table cell border

Other topics in this chapter

Configure custom report items (CRI)


Configure custom report items (CRI)

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Style groups and styles > Style properties > Configure custom report items (CRI)

Custom report items are configured in the Style properties group in the Diagrams/User-defined report elements area.

User-defined report elements:

  • Box plot
  • Efficiency classes
  • Gantt Chart
  • Histogram
  • Carpet Plot
  • Sankey Diagram
  • Trend with Limits

To configure user-defined report elements, select the appropriate properties in the dialog for report styles and give them the desired values.

Dialog Configuration

Style

Properties and default values

Custom report items

General properties for custom report items:

  • Title font: Custom report item title font
  • Axis font: Value font
  • Axis color: Black
  • Chart area background color: White
  • Chart item background color: White smoke
  • Gantt chart no event color: Series color 5
  • Gantt chart event default color: Series color 1
  • Efficiency class font: Efficiency class font

Box plot

Properties for box plot:

  • Box plot marker: Box plot marker
  • Box plot color list: Chart colors
  • Box plot box fill transparency: 50 %
  • Box plot median color: Olive

Trend with Limits

Properties for trend with limits:

  • Error line for trend with limits: Error line
  • Warning line for trend with limits: Warning line
  • Average line for trend with limits: Average line
  • Transparency for trend with limits: 70 %
  • Lines for trend with limits: Trend lines with marker

Histogram

Properties for histogram:

  • Histogram color list: Chart colors
  • Transparency histogram: 50 %
  • Bell curve line style: Solid
  • Bell curve line width: 1.0 pt
  • Statistical indicator line style: Dashed
  • Statistical indicator line width: 1.0 pt

Special custom report items

There is detailed information on configuration available for some custom report items. These are primarily intended for report developers:

  • Box plot
  • Histogram
  • Trend with Limits

Box plot

This custom report item displays box plots.

Elements:

  • Title (optional)
    If the title is too long for the defined space, an error message is shown.
  • Drawing area (left)
  • Key (right)

Drawing area:

  • 1 box per variable:
    • 1 color per variable. The color list is restarted from the beginning when the end is reached.
    • Display from left to right.
    • Variables are sorted alphabetically in ascending order.
  • Lower end of the box: lower quartile
  • Upper end of the box: upper quartile
  • Horizontal line within the box: Median
  • Horizontal lines above and below the box (with the box connected by a vertical line): lower and upper whisker
  • Markings above the upper whisker or below the lower whisker: Outlier
    Definition of outlier:
    • Higher than upper quartile + 1.5 * quartile distance
    • Lower than lower quartile – 1.5* quartile distance)

    Markers are colored separately for outliers.
    An error is reported if there are too many variables in the diagram. 1 box needs at least 3 outlier marker widths.

Key:

  • Can require a maximum of 50% of the overall width of the element.
  • 1 line per variable.
    Coloring and sorting as per boxes.
  • A text is shortened if it is too long.
    Mode: A part from the middle of the text is replaced by ....
    Background: The variable name is always at the end of the full name (Project#Archive – Variable).
  • If there are more variables present than can be displayed in the box, ... is written in the key instead of the last drawable variables.

Properties in the Data category:

Name | Description
DataSetName | Name of the data set.
HigherQuartile | Field access for the upper quartile.
HigherWhisker | Field access for the upper whisker.
IsOutlier | Field access for the outlier flag.
LowerQuartile | Field access for the lower quartile.
LowerWhisker | Field access for the lower whisker.
Median | Field access for the median.
Timestamp | Field access for the time stamp.
Unit | Field access for the unit.
Value | Field access for the value.
VariableName | Field access for the variable names.

Trend with limits

This custom report element allows the drawing of 1-N trend lines with limit values (target value, warning limits, error limits).

Properties in the Data category:

Name | Description | Default
DataSetName | Name of the data set from which the data comes. | Empty
VariableName | Access to the column for the variable names | Empty
OrderIndex | Access to the column for the sorting number of a value | Empty
StartTimeStamp | Access to the column for the start time stamp of a value | Empty
EndTimeStamp | Access to the column for the end time stamp of a value | Empty
Value | Access to the column for a value | Empty
Unit | Access to the column for the unit of a value | Empty

Properties in the Limits category:

Name | Description | Default
HigherErrorLimit | Upper error limit | 0
HigherWarningLimit | Upper warning limit | 0
TargetValue | Target value | 0
LowerWarningLimit | Lower warning limit | 0
LowerErrorLimit | Lower error limit | 0

In the event of validation errors, nothing is drawn and an error message is shown.

Validations:

  • If not otherwise described, no property can remain empty.
  • If only 1 variable is present, the variable name can remain empty.
  • If 2 or more variables are present, each variable must have a unique name.
  • The following is applicable for the selected element of the horizontal axis: Each value must have a value in this column that is unique within the variables.
  • If only the error messages are displayed, the upper error limit must be greater than the lower error limit.
  • The following is applicable if all limits are displayed: Lower error limit < Upper warning limit < Target value < Upper warning limit < Upper error limit.

Notes on drawing:

  • The key is only drawn if at least one variable is present and its name is not empty.
  • Labels are shown with the unit if all variables have the same unit and it is not empty.
  • If labeling for limits would overlap, these are moved until the overlap has been removed. In doing so, the labeling does not leave the area of the axis however.
  • On the axes, assignment lines are drawn between the labeling and the position they represent on the axis.
  • Time stamp is shown on the horizontal axis on two lines. If the sorting number is selected, this is shown on one line.

Histogram

This custom report item displays histograms.

Graphic display (CRI):

  • Everything that belongs to a variable has the same color.
  • Frequency distribution is carried out in classes (columns).
  • The bell curve is activated by default and is shown with a solid line. Can be deactivated.
  • Minimum, average, maximum, sigma, 2 x sigma, 3 x sigma: All can be optionally deactivated.
    • Default: Only 1-sigma is activated and is shown with dotted lines.
  • Colors and alpha value for column filling can be configured in the report lists.
  • The CRI only shows values on the axes.

Elements:

  • Title (optional)
    If the title is too long for the defined space, an error message is shown.
  • Drawing area (left)
  • Key (right)

Drawing area:

  • One histogram per variable:
    • 1 color per variable. The color list is restarted from the beginning when the end is reached.
    • Display from left to right.
    • Variables are sorted alphabetically in ascending order.
    • The number of classes is derived from the number of values:
      Minimum: 7 classes
      Maximum: 20 classes
      In between: vn for 50 < n < 400 (n is the number of classified values)
  • Gaussian bell curve: Calculated from the values of the respective variable. Shown by default.
    Line style and line width can be configured. Default each a solid line with a width of 1 point.
  • Lines for minimum, maximum, and 1, 2, 3 standard deviations (sigma) are calculated from the values of the respective variable.
    The lines for 1 sigma are shown by default.
    Line style and line width can be configured. Default each with dotted line and a width of 1 point.
  • Drawing area:
    The drawing area is amended to the space required by the histograms. For the vertical dimension, the height of the bell curve is also taken into account. The highest point of the bell curve is thus always visible. In addition, a border of 5% to the left, right and above the data displayed is still taken into account. The elements thus do not make contact with the border of the drawing area directly.
    The indicator lines are not taken into account. For example, the sigma lines can be outside the drawing area and thus invisible.
  • Histogram:
    If different variables with very different value ranges are used, which lead to the histograms being drawn in a very cramped manner; there may be only limited visibility of the data.

Key:

  • Can require a maximum of 50% of the overall width of the element.
  • 1 line per variable.
    Coloring and sorting as per histograms.
  • A text is shortened if it is too long.
    Mode: A part from the middle of the text is replaced by ....
    Background: The variable name is always at the end of the full name (Project#Archive – Variable).
  • If there are more variables present than can be displayed in the box, ... is written in the key instead of the last drawable variables.

Vertical axis:

  • Instead of a unit, the histogram has its own configurable text for the vertical axis.

Properties in the Data category:

Name | Description
Average | Field access for average of a variable.
ClassLower | Field access for lower class limit.
ClassHigher | Field access for upper class limit.
Count | Field access for number of values in a class.
DataSetName | Name of the data set. Is always present.
Maximum | Field access for maximum of a variable.
Minimum | Field access for minimum of a variable.
StandardDeviation | Field access for the standard deviation of a variable.
Unit | Field access for the unit.
Variable | Field access for the variable names.


Properties for report styles

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles

Styles are defined by properties. Precisely one value can be selected for each property. The value of a property can also be another style. In this case, a green arrow refers to this style as a link.

Input of value

Values are entered, depending on the property, by:

  • Selection from a drop-down list
  • Selection from a color palette
  • Selection from a list.
  • Direct entry in a field
  • Configuration with a spincontrol

Other topics in this chapter

Name

Colors

Lines

Marker

Fonts


Name

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Name

You configure the name of a style with the Name property.

Property | Description
Name | Name of the style. Free entry in the text field. Limitation: Leading or closing spaces are not possible.


Colors

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors

Properties for the configuration of colors.

Other topics in this chapter

Axis color

Box plot median color

Box plot box fill transparency

Area chart area transparency

Radar chart series transparency

Transparency for trend with limit

Color

Chart series color

Box plot color list

Histogram color list

Gradient type

Area chart area color

Gantt chart event default color

Gantt chart no event color

Chart area background color (custom report items)

Chart item background color (custom report items)

Chart area background color (Drawing area)

Chart item background (Drawing area)

Pie chart item background

Data label background color

Even rows background color

Parameter background color

Odd rows background color

Transparency histogram

Area chart line color

Radar chart series border

Chart area background interlace color

Radar chart series colors

Values


Axis color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Axis color

With the Axis color property, you configure custom report items in the Style properties group.

Property | Description
Axis color | Selection of the color of the axes from a drop-down list. The list contains all entries of the style group Colors. Default: Black


Box plot median color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Box plot median color

With the box plot median color property, you configure a box plot in the Style properties group.

Property | Description
Box plot median color | Selection of the color for the medial display in the box plot from a drop-down list. The list contains all entries of the style group Colors. Default: Olive


Box plot box fill transparency

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Box plot box fill transparency

With the box plot box fill transparency property, you configure a box plot in the Style properties group.

Property

Description

Box plot box fill transparency

Entry of the transparency in percent by means of direct entry or using the arrow keys of the control element.

  • 100: Full transparency, transparent
  • 0: No transparency, non-transparent

Default: 50 %


Area chart area transparency

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Area chart area transparency

With the area chart area transparency property, you configure the content in the Style properties group.

Property

Description

Area chart area transparency

Entry of the transparency in percent by means of direct entry or using the arrow keys of the control element.

  • 100: Full transparency, transparent
  • 0: No transparency, non-transparent

Default: 71 %


Radar chart series transparency

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Radar chart series transparency

With the radar chart series transparency property, you configure the content in the Style properties group.

Property

Description

Radar chart series transparency

Entry of the transparency in percent by means of direct entry or using the arrow keys of the control element.

  • 100: Full transparency, transparent
  • 0: No transparency, non-transparent

Default: 45 %


Transparency for trend with limit

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Transparency for trend with limit

With the transparency for trend with limit property, you configure a box plot in the Style properties group.

Property

Description

Transparency for trend with limit

Entry of the transparency in percent by means of direct entry or using the arrow keys of the control element.

  • 100: Full transparency, transparent
  • 0: No transparency, non-transparent

Default: 70 %


Color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Color

With the Color property, you configured colors that are used in the report and by other styles.

Property

Description

Color

Configuration is carried out, regardless of style:

  • Selection of the color from a palette.
    Clicking on the arrow next to the color opens the dialog to select a color.
  • Selection of the color according to name. This is administered in the Colors colors report style group.


Chart series color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Chart series color

With the chart series color property, you configure the content in the Style properties group.

Property | Description
Chart series color | Selection of the color list for the chart series from a drop-down list. The list contains all entries of the style group Color lists. Default: Chart colors


Box plot color list

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Box plot color list

With the box plot color list property, you configure a box plot in the Style properties group.

Property | Description
Box plot color list | Selection of the color lists for box plot from a drop-down list. The list contains all entries of the style group Color lists. Default: Chart colors


Histogram color list

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Histogram color list

With the histogram color list property, you configure a histogram in the Style properties group.

Property | Description
Histogram color list | Selection of the color lists for histograms from a drop-down list. The list contains all entries of the style group Color lists. Default: Chart colors


Gradient type

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Gradient type

With the Gradient type property, you configure the gradient of colors in the Color gradients group.

Property

Description

Gradient type

Selection of a color gradient type from drop-down list. The background is colored with the selected color gradient type, starting from the basic color through to the gradient end color. The following values are available:

  • None
  • Left right
  • Top bottom
  • Center
  • Diagonal left
  • Vertical center

Note: The diagonal right and horizontal centered types are not available. If you want to use these types, you can select this in the Microsoft Report Builder in the properties of the graphics object. If these types are set using dynamic expressions, such as a .NET code call, then they are shown as Top Bottom.


Area chart area color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Area chart area color

With the area chart area color property, you configure the content in the Style properties group.

Property | Description
Area chart area color | Selection for the area of an area chart from a drop-down list. The list contains all entries of the style group Colors. Default: Series color 5


Gantt chart event default color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Gantt chart event default color

With the Gantt chart event default color property, you configure custom report items in the Style properties group.

Property | Description
Gantt chart event default color | Selection of the default color for events in the Gantt chart. The list contains all entries of the style group Colors. Default: Series color 1


Gantt chart no event color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Gantt chart no event color

With the Gantt chart no event color property, you configure custom report items in the Style properties group.

Property | Description
Gantt chart no event color | Selection of the default color for events in the Gantt chart. The list contains all entries of the style group Colors. Default: Series color 5


Chart area background color (custom report items)

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Chart area background color (custom report items)

With the chart area background color property, you configure custom report items in the Style properties group.

Property | Description
Chart area background color | Selection of the chart area background color from a drop-down list. The list contains all entries of the style group Colors. Default: White


Chart item background color (custom report items)

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Chart item background color (custom report items)

With the chart item background color property, you configure custom report items in the Style properties group.

Property | Description
Chart item background color | Selection of the color for the background of a chart item from a drop-down list. The list contains all entries of the style group Colors. Default: White smoke


Chart area background color (Drawing area)

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Chart area background color (Drawing area)

With the chart area background color property, you configure the drawing area in the Style properties group.

Property | Description
Chart area background color | Selection of the color for the background from a drop-down list. The background of the chart area is the area that is in the actual chart. The area is limited by axes. The background of the chart area is colored alternately with the background color and the secondary color. Pie charts always have a transparent background in this area. The list contains all entries of the style group Colors. Default: White


Chart item background (Drawing area)

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Chart item background (Drawing area)

With the chart item background property, you configure the background in the Style properties group.

Property | Description
Chart item background | Selection of the color gradient for the background of a chart item from a drop-down list. The object background is the area that comprises the chart in the report including keys and axes The list contains all entries of the style group Color gradients. Default: Chart background


Pie chart item background

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Pie chart item background

With the pie chart area background property, you configure the background in the Style properties group.

Property | Description
Chart area background color | Selection of the color for the background of pie charts. The background is the area that is in the actual chart. The area is limited by axes. Pie charts always have a transparent background in this area. Other diagrams have a gradient of two colors. The list contains all entries of the style group Background gradients. Default: Pie chart background


Data label background color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Data label background color

With the data label background color property, you configure the labels in the Style properties group.

Property | Description
Data label background color | Selection of the color for the background of the data description from a drop-down list. The list contains all entries of the style group Colors. Default: Light gray


Even rows background color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Even rows background color

With the even rows background color property, you configure the tables in the Style properties group.

Property | Description
Even rows background color | Selection of the background color for even rows from a drop-down list. The list contains all entries of the style group Colors. Default: White


Parameter background color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Parameter background color

With the parameter background color property, you configure the parameter output area in the Style properties group.

Property | Description
Parameter background color | Selection of the color for the background color for the parameter field from a drop-down list. The list contains all entries of the style group Border styles. Default: White smoke


Odd rows background color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Odd rows background color

With the odd rows background color property, you configure the tables in the Style properties group.

Property | Description
Odd rows background color | Selection of the background color for odd rows from a drop-down list. The list contains all entries of the style group Colors. Default: White smoke


Transparency histogram

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Transparency histogram

With the histogram transparency property, you configure a histogram in the Style properties group.

Property

Description

Transparency histogram

Entry of the transparency for the histogram in percent.

  • 100: Full transparency, transparent
  • 0: No transparency

Default: 50 %


Area chart line color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Area chart line color

With the area chart line color property, you configure the content in the Style properties group.

Property | Description
Area chart line color | Selection of the color for the lines in an area chart from a drop-down list. The list contains all entries of the style group Colors. Default: Series color 5


Radar chart series border

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Radar chart series border

With the radar chart series border property, you configure the content in the Style properties group.

Property | Description
Radar chart series border | Selection of the line style for the border of radar chart series from a drop-down list. The list contains all entries of the style group Line styles. Default: Radar chart line


Chart area background interlace color

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Chart area background interlace color

With the chart area background interlace color property, you configure the drawing area in the Style properties group.

Property | Description
Chart area background interlace color | Selection of the secondary color for the background from a drop-down list. The background of the chart area is the area that is in the actual chart. The area is limited by axes. The background of the chart area is colored alternately with the background color and the secondary color. Pie charts always have a transparent background in this area. The list contains all entries of the style group Colors. Default: White


Radar chart series colors

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Radar chart series colors

With the radar chart series color property, you configure the content in the Style properties group.

Property | Description
Radar chart series colors | Selection of the color list for the series colors of a radar chart from a drop-down list. The list contains all entries of the style group Color lists. Default: Radar chart colors


Values

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Colors > Values

You use the Values property to configure the Color lists elements. It contains the colors that are available for configuration.

Configuration

The lists consist of two areas:

  • Lists at the top: Contains all selected entries. These are used for display in <REPORTLAUNCHER>. This list must contain at least one entry.
  • Bottom of list: Contains the entries that are available but have not yet been selected.

Move and arrange entries

  • The entries can be moved between the two lists by dragging&dropping or using the arrow symbols.
  • The sequence in a list can be amended using drag&drop.


Lines

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines

Properties for the configuration of lines.

Other topics in this chapter

Scale break spacing

Body cell border

Average line for trend with limit

Data label box

Error line for trend with limits

Footer line

Bell curve line width

Bell curve line style

Chart axis line

Lines

Lines for trend with limit

Line style

Line width

Grid lines

Parameter box

Border style

Border width

Chart axis scale break line

Statistical indicator line width

Statistical indicator line style

Header cell border

Warning line for trend with limits


Scale break spacing

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Scale break spacing

With the scale break spacing property, you configure axes in the Style properties group.

Property

Description

Scale break spacing

Setting of the distance between the two lines that mark a break. Entry of the distance in percent.
Input is possible in levels with a precision of 0.5.

  • Minimum: 1,0
  • Maximum: 10,0

Default: 2 %

Note: Display of the values of the scale spacing in the PDF with SQL Server 2016

For the PDF rendering engine of the SQL server 2016 reporting services, problems with the validation of values entered have been reported for certain values for the scale break spacing. If values different to the standard scheme are to be entered, the following procedure is recommended:

  1. Always change only one value at a time.
  2. Then confirm the dialog with OK.
  3. Prepare a report with a chart as a test.
  4. Execute the report and export as a PDF file.
  5. If the chart is not displayed in the PDF file with the report, the currently-changed value is not correctly recognized. Correct the value and test it again.


Body cell border

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Body cell border

With the body cell border property, you configure tables in the Style properties group.

Property | Description
Body cell border | Selection of the edge of data cells from a drop-down list. The list contains all entries of the style group Border styles. Default: Table cell border


Average line for trend with limit

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Average line for trend with limit

With the average line for trend with limit property, you configure a trend with limits used in the Style properties group.

Property | Description
Average line for trend with limit | Selection of line type from drop-down list. The list contains all entries of the style group Line styles. Default: Average line


Data label box

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Data label box

With the data label box, you configure labels in the Style properties group.

Property | Description
Data label box | Selection of the border for the data label box from a drop-down list. The list contains all entries of the style group Border styles. Default: Data label border


Error line for trend with limits

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Error line for trend with limits

With the error line for trend with limit property, you configure a trend with limits in the Style properties group.

Property | Description
Error line for trend with limits | Selection of line type from drop-down list. The list contains all entries of the style group Line styles. Default: Error line


Footer line

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Footer line

With the footer line property, you configure footers in the Style properties group.

Property | Description
Footer line | Selection of line type from drop-down list. The list contains all entries of the style group Line styles. Default: Footer line


Bell curve line width

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Bell curve line width

With the bell curve line width property, you configure a histogram in the Style properties group.

Property

Description

Bell curve line width

Entry of the width in pt in the field.

  • Minimum: 1
  • Maximum: 100

Default: 1 pt


Bell curve line style

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Bell curve line style

With the bell curve line style property, you configure a histogram in the Style properties group.

Property | Description
Bell curve line style | Selection of the line style from the drop-down list. The list contains all entries of the style group Line styles. Default: Solid


Chart axis line

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Chart axis line

With the chart axis line property, you configure axes in the Style properties group.

Property | Description
Chart axis line | Selection of the color of the axes from a drop-down list. The list contains all entries of the style group Line styles. Default: Chart axis line


Lines

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Lines

With the lines property, you configure lines in the Style list for line with marker group.

Property | Description
Lines | Selection of the lines available from a list and positioning in the in list used by means of drag&drop. The list contains all entries of the style group Marker styles. Default: All used

Configuration

The lists consist of two areas:

  • Lists at the top: Contains all selected entries. These are used for display in <REPORTLAUNCHER>. This list must contain at least one entry.
  • Bottom of list: Contains the entries that are available but have not yet been selected.

Move and arrange entries

  • The entries can be moved between the two lists by dragging&dropping or using the arrow symbols.
  • The sequence in a list can be amended using drag&drop.


Lines for trend with limit

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Lines for trend with limit

With the line for trend with limit property, you configure a trend with limits in the Style properties group.

Property | Description
Lines for trend with limit | Selection of line type from drop-down list. The list contains all entries of the style group Line styles. Default: Trend lines with marker


Line style

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Line style

With the line style property, you configure different lines in the Line styles group.

Property

Description

Line style

Selection of the line style from the drop-down list.
The following styles are available:

  • None
  • Solid
  • Dashed
  • Dotted
  • Dash dot
  • Dash dot dot

Default: Solid


Line width

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Line width

With the line width property, you configure the thickness of the lines in the Line styles group.

Property

Description

Line width

Setting of the line width in pt.
Input in the field or by means of arrow keys in 0.5 steps.

  • Minimum: 1
  • Maximum: 100

Default: 1,5


Grid lines

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Grid lines

With the grid lines property, you configure the drawing area in the Style properties group.

Property | Description
Grid lines | Selection of the style for grid lines from a drop-down list. The list contains all entries of the style group Line styles. Default: Grid chart line


Parameter box

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Parameter box

With the parameter box property, you configure the display of the parameter output area in the Style properties group.

Property | Description
Parameter box | Selection of the border for the parameter box from a drop-down list. The list contains all entries of the style group Border styles. Default: Parameter box border


Border style

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Border style

With the border style property, you configure the different display of for borders in the Border styles group.

Property

Description

Border style

Selection of the border style from the drop-down list.
The following values are available:

  • None
  • Solid
  • Double
  • Dashed
  • Dotted

Default: Solid


Border width

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Border width

With the border width property, you configure the definition of the thickness of the border lines in the Border styles group.

Property

Description

Border width

Setting of the line width in pt.
Input in the field or by means of arrow keys in 0.5 steps.

  • Minimum: 1
  • Maximum: 100

Default: 1,0


Chart axis scale break line

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Chart axis scale break line

With the chart axis scale break line property, you configure axes in the Style properties group.

Property | Description
Chart axis scale break line | Selection of the style for the line of the scale break line from a drop-down list. The list contains all entries of the style group Line styles. Default: Chart axis scale break line


Statistical indicator line width

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Statistical indicator line width

With the statistical indicator line width property, you configure a histogram in the Style properties group.

Property

Description

Statistical indicator line width

Entry of the width in pt in the field.

  • Minimum: 1
  • Maximum: 100

Default: 1 pt


Statistical indicator line style

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Statistical indicator line style

With the statistical indicator line style property, you configure a histogram in the Style properties group.

Property | Description
Statistical indicator line style | Selection of the line style from the drop-down list. The list contains all entries of the style group Line styles. Default: Dashed


Header cell border

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Header cell border

With the header cell border property, you configure tables in the Style properties group.

Property | Description
Header cell border | Selection of the border of headers from a drop-down list. The list contains all entries of the style group Border styles. Default: Table header border


Warning line for trend with limits

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Lines > Warning line for trend with limits

With the warning line for trend with limit property, you configure a trend with limits in the Style properties group.

Property | Description
Warning line for trend with limits | Selection of line type from drop-down list. The list contains all entries of the style group Line styles. Default: Warning line


Marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Marker

Properties for the configuration of markers.

attention Attention

When drawing markings in diagrams, the frame style of the markings is ignored by the SQL Server Reporting Services.

Other topics in this chapter

Box plot marker

Chart marker

Marker style

Marker size

Marker style


Box plot marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Marker > Box plot marker

With the box plot marker property, you configure a box plot in the Style properties group.

Property | Description
Box plot marker | Selection of the marker for box plot from a drop-down list. The list contains all entries of the style group Marker styles. Default: Box plot marker


Chart marker

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Marker > Chart marker

With the chart marker property, you configure labels in the Style properties group.

Property | Description
Chart marker | Selection of the marker for diagrams from a drop-down list. The list contains all entries of the style group Marker styles. Default: Chart marker


Marker style

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Marker > Marker style

With the marker style property, you configure trend lines in the Style for line with marker group.

Property | Description
Marker style | Selection of the marker for trend lines from a drop-down list. The list contains all entries of the style group Marker styles.


Marker size

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Marker > Marker size

With the marker size property, you configure the markers in the Marker styles group.

Property

Description

Marker size

Configuration of the size of the marker.

Direct entry using arrow keys in 0.25 pt steps:

  • Minimum: 1
  • Maximum: 100

Default: 3,75 pt


Marker style

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Marker > Marker style

With the marker style property, you configure trend lines in the Marker styles group.

Property

Description

Marker style

Selection of the style for the display of markers from a drop-down list:

  • Square
  • Circle
  • Diamond
  • Triangle
  • Cross
  • Star 4
  • Star 5
  • Star 6
  • Star 10


Fonts

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts

Properties for the configuration of fonts.

Other topics in this chapter

Axis font

Body cell font

Efficiency class font

Footer font

Chart axis font

Chart legend font

Data label font

Label font

Parameter label font

Parameter value font

Report name font

Value font

Font family

Grouping header font

Font size

Font weight

Title font

Header cell font


Axis font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Axis font

With the axis font property, you configure custom report items in the Style properties group.

Property | Description
Axis font | Selection of the font for the axes from a drop-down list. The list contains all entries of the style group Font styles. Default: Value font


Body cell font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Body cell font

With the data cell font property, you configure tables in the Style properties group.

Property | Description
Body cell font | Selection of the font for data cells from a drop-down list. The list contains all entries of the style group Font styles. Default: Value font


Efficiency class font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Efficiency class font

With the efficiency class font property, you configure custom report items in the Style properties group.

Property | Description
Efficiency class fonts | Selection of the font for the efficiency classes from a drop-down list. The list contains all entries of the style group Font styles. Default: Efficiency class font


Footer font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Footer font

With the footer font property, you configure the footers in the Style properties group.

Property | Description
Footer font | Selection of the font for the footer from a drop-down list. The list contains all entries of the style group Font styles. Default: Footer font


Chart axis font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Chart axis font

With the chart axis font property, you configure axes in the Style properties group.

Property | Description
Chart axis font | Selection of the font for the axes from a drop-down list. The list contains all entries of the style group Font styles. Default: Value font


Chart legend font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Chart legend font

With the chart legend font property, you configure labels in the Style properties group.

Property | Description
Chart legend font | Selection of the font for the chart key from a drop-down list. The list contains all entries of the style group Font styles. Default: Value font


Data label font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Data label font

With the data label font, you configure labels in the Style properties group.

Property | Description
Data label font | Selection of the font for the data label from a drop-down list. The list contains all entries of the style group Font styles. Default: Value font


Label font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Label font

With the label font property, you configure text fields in the Style properties group.

Property | Description
Label font | Selection of the font for labels from a drop-down list. The list contains all entries of the style group Font styles. Default: Title font


Parameter label font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Parameter label font

With the parameter label font property, you configure the parameter output area in the Style properties group.

Property | Description
Parameter label font | Selection of the font for parameter labels from drop-down list. The list contains all entries of the style group Font styles. Default: Parameter title font


Parameter value font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Parameter value font

With the parameter value font property, you configure the parameter output area in the Style properties group.

Property | Description
Parameter value font | Selection of the font for parameter value font drop-down list. The list contains all entries of the style group Font styles. Default: Parameter value font


Report name font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Report name font

With the report name font property, you configure text fields in the Style properties group.

Property | Description
Report name font | Selection of the font for the display of the report name from a drop-down list: The list contains all entries of the style group Font styles. Default: Title font


Value font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Value font

With the value field font property, you configure text fields in the Style properties group.

Property | Description
Value font | Selection of the font for value fields from drop-down list. The list contains all entries of the style group Font styles. Default: Value font


Font family

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Font family

With the font family property, you configure the available fonts in the Font styles group.

Property

Description

Font family

Selection of font family from drop-down list or free entry of a font type:

  • Drop-down list:
    Contains a selection of the font types available on the system.
  • Direct input:
    Allows the naming of a font type that is present on the Analyzer Server but not available in ZAMS.

Achtung: There is no validation of whether the configured font type is also available on the Analyzer Server.


Grouping header font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Grouping header font

With the grouping header font property, you configure the tables in the Style properties group.

Property | Description
Grouping header font | Selection of the font for headers of a grouping from a drop-down list. The list contains all entries of the style group Font styles. Default: Table grouping font


Font size

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Font size

With the font size property, you configure the size of the fonts in the Font styles group.

Property

Description

Font size

The font size in points is set using the arrow keys or by entering it in the number field.

  • Minimum: 1
  • Maximum: 100


Font weight

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Font weight

With the font weight property, you configure the boldness of the font in the Font styles group.

Property

Description

Font weight

Selection of font thickness from drop-down list.
The following are available:

  • Thin
  • Extra light
  • Light
  • Normal
  • Average
  • Semi bold
  • Bold
  • Extra bold
  • Heavy


Title font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Title font

With the title font property, you configure custom report items in the Style properties group.

Property | Description
Title font | Selection of the font for the title from a drop-down list. The list contains all entries of the style group Font styles. Default: Custom report item title font


Header cell font

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Report styles > Properties for report styles > Fonts > Header cell font

With the header cell font property, you configure tables in the Style properties group.

Property | Description
Header cell font | Selection of the font for header cells from a drop-down list. The list contains all entries of the style group Font styles. Default: Table header font


Clear cache

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Clear cache

If metadata has been changed or the data from the report templates has been updated, the cache must be deleted.

The cache is deleted as standard:

  • If ZAMS is connected to a different database, the data of which is required, and the data is called up
  • ZAMS is restarted

In addition, the deletion of the cache can be triggered manually by: Ribbon Options -> Cache -> Delete.
This action emulates objects of a ZAMS restart for the cache manager.

Note: This action is available regardless of the connection to the Analyzer server and regardless of whether there is a valid license.
This action is not available if one of the actions Open, Prepare, Prepare all, Open in Report Builder or Open all in Report Builder are executed.

info Information

This action Delete cache only relates to ZAMS and is not identical to the cache updating function in the Report Launcher.


Selection of folder in the network

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Selection of folder in the network

The dialog to select a network approval is displayed if a folder in the network is selected as a save location for files from ZAMS. The display of the dialog and its content is controlled by the operating system.

Option | Description
Network display | Displays the network. Clicking on the folder starts a search for computers in the network and shows these. Because it takes some time to list all computers available in the Windows network, the Network node can only be opened after some seconds.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Option | Description
Network display | Displays computers present in the network. Clicking on the computer shows approved folders. Clicking on the folder highlights this for acceptance as the save location.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Language table

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Language table

The language table provides texts for reports in different languages on the basis of key words. This allows system texts to be translated to several languages and your own key words can be added and translated. The texts from the language table are added to the RDL when a report is presented.

Users can do the following by means of the language table:

  • Change system texts
    (with the exception of names and descriptions of themes and templates)
  • Add or delete your own languages
  • Hide languages
  • Add or delete your own key words
  • Reset the language table to the standard of the system texts
  • Export all or amended entries into an XML file and import from this
  • Sorting and filtering entries

You start the language table by means of:

  • The Language table entry in the Options ribbon
    or
  • The corresponding symbol in the select language table key word dialog for the selection of texts or key words of the properties

Languages

The language tables provides system texts in eight languages:

  • Chinese
  • German
  • English
  • French
  • Italian
  • Russian
  • Spanish
  • Czech
  • Further languages can be added as defined by the user.

Language table dialog

Option

Description

Tool Bar

Contains:

  • Drop-down list to pre-filter which key words are displayed.
  • Symbols for the adding, deleting, editing, exporting and importing of languages and entries.

Entries in drop-down list:

  • Changed:
    Only shows the system texts amended by the user.
  • User-defined:
    Only shows the key words created by the user.
  • User-defined and changed:
    Only shows key words created by the user and/or amended system texts.
  • All:
    Shows all keywords.

Table

Display of the key words and the corresponding texts in the system languages and user-defined languages:

  • There is a line for each key word.
  • There is a respective column for each language.
  • Languages that are selected for deployment are highlighted in color. These cannot be deleted or hidden.
  • The first column contains the key word.
    Key words for system texts cannot be changed. Language entries can be changed.
  • The columns of the language table can be sorted and filtered.

The symbol in the first column shows the type of entry:

  • Cog wheel: system text
  • Pencil: individual text

Lines are automatically selected for editing if:

  • A new key word has been created
  • A key word has been amended
  • An empty line is discovered

OK

Validates the input, applies all valid changes and closes the dialog.

If errors were found during validation, a notice is shown and the dialog remains open.

In order for an entry to be valid:

  • All cells of a line must contain an entry
  • Each key word can only be used once

Cancel

Discards all changes and closes the dialog.

Navigate in the language table

You have several possibilities for navigation in the language table:

  • Tab key: Jumps one cell to the right. When the end of the line is reached, a switch to the first cell of the next line is made.
    A switch to the left and upwards is made with the Caps Lock + Tab keys. It works in view mode and edit mode.
  • Enter key: Jumps one cell downwards. Only works in edit mode.
  • Arrow keys: You navigate through the table with the arrow keys when you are in view mode. The direction of the arrow key denotes the direction of navigation. Each press of the arrow key moves by one cell in the selected direction.
    Further keyboard shortcuts in view mode:
    • Home: Jumps to the first cell of the line.
    • Ctrl+End key: Jumps to the last cell of the line.
    • Ctrl+Home key: Jumps to the first cell of the table.
    • Ctrl+End key: Jumps to the last cell of the table.
    • Page Up: Jumps one screen page upwards.
    • Page Down: Jumps one screen page downwards.

Other topics in this chapter

Tool Bar

Filtering and sorting

Add or remove languages

Edit key words and entries

Apply entries

XML export and XML import

Selection of key word from language table


Tool Bar

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Language table > Tool Bar

Symbol

Description

Reset to System Text

Resets the text for this key word back to the standard text for the selected language without requesting confirmation.

Only available if a cell with a language for a system text has been selected.

Reset all system texts for this line

Resets the text for this key word back to the standard text for all languages after requesting confirmation.

Only available if a cell in a line with a language with a system key word has been selected.

Reset all system texts for this language

Resets the text for all key words back to the standard text for the selected language after requesting confirmation.

Only available if a cell with a language for a system text has been selected.

Delete row

Deletes the selected line after requesting confirmation.

Only available if a cell with its own entry has been selected.

New Row

Opens the dialog to define a key word. If this is closed with OK, a new line with the defined key word is added to the table and the focus is put on this entry.

Change key word

Opens the dialog to define a key word. If this is closed with OK, the focus is put on this entry.

Only available if a cell with its own entry has been selected.

Add language

Clicking on the arrow opens the menu to:

  • Show a hidden language
  • Add a new language

Delete language

Clicking on the arrow opens the menu to:

  • Hide the selected language
  • Delete the selected language

Fill single text from other language

Applies a text from another language for the selected cell. Clicking on the arrow key opens a list with available languages.

Fill all empty texts from other language

Fills all empty cells of the selected language with text from another language. Clicking on the arrow key opens a list with available languages.

Fill all texts from other language

Fills all cells of the selected language with text from another language. Clicking on the arrow key opens a list with available languages.

XML export

Opens the dialog to export entries into an XML file.

XML import

Opens the dialog to import entries from an XML file.


Filtering and sorting

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Language table > Filtering and sorting

The entries can be shown as sorted and filtered.

Sort

To sort the table:

  1. Click in the header of the column according to which sorting is to take place.
  2. Click again to change the sorting.

    Three sorting processes are gone through in sequence:

    • Ascending: The list is sorted from 0 - 9 and from a - z.
      Display with arrow pointing upwards.
    • Descending: The list is sorted from 9 - 0 and from z - a
      Display by the arrow upwards.
    • Unsorted: The list is displayed in the original status, i.e. as it was created.

Filter

The entries to be displayed can be filtered using:

  • Selection of key words drop-down list
  • Filter in the table

Pre-filtering using the drop-down list

To pre-filter the entries to be displayed, select the desired view using the Selection of key words drop-down list:

  • Changed:
    Only shows the system texts amended by the user.
  • User-defined:
    Only shows the key words created by the user.
  • User-defined and changed:
    Only shows key words created by the user and/or amended system texts.
  • All:
    Shows all keywords.

Note: If Amended is selected and a new user-defined key word is added, the filter is automatically set to User-defined and amended.

Filtering in the table

You can use the filter in the table to search for specific entries or exclude them.
The filters of the individual columns can be combined with one another.

To filter:

  1. Click in the header in the filter field of the desired column.
  2. Enter the filter term.
    Filtering is carried out with the Contains filter criteria by default.
  3. To change the filter criteria, click on the filter symbol next to the filter field.
    The list of filter criteria is opened.
  4. Select the desired filter criteria.

    The filter is applied as soon as you leave the filter field or press the Enter key.

To remove a filter:

  1. Click on the the filter symbol of the desired column.
    The list of filter criteria is opened.
  2. Click on the Remove filter button.
    The filter for this column is thus removed. Filters in other columns continue to be applied.

    Alternative: Delete the entry in the filter field and leave the input field or press the Enter key.

Filter dialog

Option

Description

Input field

Entry of the character sequence that is to be filtered for.

aA

Switches between:

  • Capitalization is not taken into account
  • Capitalization is taken into account

Default: Capitalization is not taken into account

Symbol filter

Clicking on the filter symbol opens a list to select a filter criterion.

Default: Contains

Filter criteria

The following are available as criteria for filter expressions:

Criterion | Description
Remove filter | Removes all filter criteria. All lines are displayed again.
Is the same as | All entries with precisely the character sequence entered are displayed.
Is not the same as | All entries that do not precisely correspond to the character sequence entered are displayed.
Starts with | All entries that start with the character sequence are displayed.
Ends with | All entries that end with the character sequence are displayed.
Contains | All entries that contain this character sequence are displayed. (Default setting.)
Does not contain | All entries that do not contain this character sequence are displayed.
is empty | All empty entries are displayed. Note: Language tables must not contain empty cells for existing key words.
is not empty | All entries that contain at least one character are displayed. Spaces are also considered characters.


Add or remove languages

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Language table > Add or remove languages

Further languages can be added to the existing language systems or deleted from them; languages can also be hidden and shown. System languages can be hidden, but not deleted.

Add language

To add a user-defined language:

  1. Click on the arrow next to the symbol for Add new language.

    The drop-down list is opened.

  2. Click on the symbol for Add new language.

    The dialog to select a new language is opened.

  3. Select the desired language.
  4. If necessary, select the language from which the text is to be transferred.
  5. Click on OK.

    The language is added in the column to the right of the key words.

Delete language

To delete a user-defined language:

  1. Select the column with the language to be deleted.
  2. Click on the arrow next to the symbol for Delete language.

    The drop-down list is opened.

  3. Click on the symbol for Delete language:

    The language is deleted after confirmation is requested.

Note: The following cannot be deleted:

  • System languages
  • Languages that have been selected for deployment

Hide language

To hide a language:

  1. Click in the column with the language that is to be hidden.
  2. Click on the arrow next to the symbol for Delete language.

    The drop-down list is opened.

  3. Click on the symbol for Hide language.

    The language is hidden.

Note: Hidden languages are not available for deployment. A language that has been selected for deployment cannot be hidden.

Hide language

To show a language that has been hidden again:

  1. Click on the arrow next to the symbol for Add new language.

    The drop-down list is opened. All hidden languages are displayed.

  2. Click on the desired language.

    The language is shown on the right next to the Key Word column.

Other topics in this chapter

Add new language dialog


Add new language dialog

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Language table > Add or remove languages > Add new language dialog

New languages are added using a dialog.

Dialog

Option | Description
Language | Selection of desired language from drop-down list.
Copy from language | Selection of an existing language from drop-down list. Applies all entries from the selected language in the newly-created language.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Edit key words and entries

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Language table > Edit key words and entries

Entries in the language table can be edited, newly created or deleted.

New key word

New individual key words can be created.
To create a new key word:

  1. In the tool bar, click on the symbol for a new entry (the star).

    The dialog to define a key word is opened.

  2. Enter the desired key word.

    Note: The key word must only appear in the language table once and must only contain valid characters.
    All alphanumeric characters are valid.

  3. Confirm the entry by clicking on OK.
    • The key word is entered in a new, empty line.
    • All existing columns are filled with the key word.
    • The focus is set to this line.
  4. Replace the key word in the relevant languages with the respective translation.

    Note: The language table can only be ended with OK if all cells contain an entry. This also applies to XML export and XML import.

Edit entries

All language entries and all individual key words can be edited.

Amend language entry

To amend a language entry:

  1. Click on the desired entry.

    The cell for editing is opened

  2. Amend the entry.
  3. To apply the change:
    Press the Tab key, press the Enter key or click in another cell.

    The change is applied

Change key word

Individual key words can be amended. Key words for system texts cannot be amended.
To edit an individual key word:

  1. Select the line with the desired key word.
  2. In the tool bar, click on the symbol for Change key word (sticker).

    The dialog for defining a keyword is opened. The current key word is entered in the input field.

  3. Enter the new key word.

    Note: The key word must only appear in the language table once and must only contain valid characters.
    All alphanumeric characters are valid.

  4. Confirm the entry by clicking on OK.

    The key word is amended and the focus is put on this line.

Delete entry

Individual entries can be deleted.
To delete a language entry:

  1. highlight the desired line.
  2. Click on the symbol to be deleted (X).
  3. Confirm this when requested to do so.

    The key word is deleted together with all attendant translations.

Reset to system texts

Amended language entries can be reset to the standard system texts. Resetting can be carried out for:

  • A key word of a language (one cell)
  • A key word (one line)
  • A language (one column)

To reset a language entry for a key word:

  1. Highlight the desired cell by clicking on it.
  2. Click on the Reset system text symbol (1st symbol on the left).

    The entry is reset without requesting confirmation.

To reset all language entries for a key word:

  1. Highlight the desired cell by clicking in a cell of this key word.
  2. Click on the symbol for Reset all system texts for this line (2nd symbol on the left).
  3. Confirm this when requested to do so.

    All language entries for the key word are reset to the default value.

To reset all key words for a language:

  1. Highlight the desired language by clicking in a cell of this language.
  2. Click on the symbol to Reset all system texts for this language (3rd symbol on the left).
  3. Confirm this when requested to do so.

    All entries in this language are reset to the default value.

Other topics in this chapter

Input dialog for the key word


Input dialog for the key word

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Language table > Edit key words and entries > Input dialog for the key word

This dialog is opened in order to create new key words or to amend existing words.
Note: Key words for system text cannot be changed.

Option

Description

Input field

Entry of the key word.

The default value depends on the context:

  • Creation of a new key word: empty
  • Changing an existing key word: current key word

The input field is validated after each change. Each validation error leads to the OK button being deactivated. Validation criteria:

  • The input field must not be empty.
  • Only alphanumeric characters can be entered.
  • The text is not used by any other language table entry

Validation errors are shown as a tool tip for the input field.

OK

Applies settings and closes the dialog.
Only available if the entry has been positively validated.

Cancel

Discards all changes and closes the dialog.


Apply entries

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Language table > Apply entries

Entries for languages can be applied by other languages.
Possibilities for text transfer:

  • Fill single text from other language
  • Fill all empty texts from other language
  • Fill all texts from other language

Fill single text from other language

To transfer an individual text from one language to another:

  1. Select the field in the target language.
  2. Click in the arrow next to the symbol for Apply individual text from another language.

    the list of the available languages is displayed.

  3. Select the desired language.

    The entry in the target language is replaced with the entry in the selected language.

Fill all empty texts from other language

To fill all empty fields with texts in another language:

  1. Select the target language.
  2. Click on the arrow next to the symbol for Fill all empty texts with another language.

    the list of the available languages is displayed.

  3. Select the desired language.

    All empty fields in the target language are replaced by the entries of the selected languages after a request for confirmation.

Fill all texts from other language

To fill all fields with texts in another language:

  1. Select the target language.
  2. Click on the arrow next to the symbol for Apply texts from another language.

    the list of the available languages is displayed.

  3. Select the desired language.

    All fields in the target language are replaced by the entries of the selected languages after a request for confirmation.


XML export and XML import

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Language table > XML export and XML import

Entries in the language table can be exported as an XML file or imported from an XML file.

Export language tables

The language table can be exported to an XML file.
During export, a distinction can be made between:

  • all entries
  • Amended entries only
    Changes are always understood as a difference to fixed, defined system text. It thus does not relate to entries that have already been exported.

To export entries:

  1. Click on the arrow next to the XML export symbol in the tool bar.

    The drop-down list is opened.

  2. Select the type of export:
    • Export only changes as XML
    • Export all as XML

    The dialog for the configuration of the export is opened.
    If there are no texts for export, an error message is shown.

  3. Select the desired entries for the export.
    Selection is made by activating/deactivating the check box in front of the entry. All entries are preselected by default.
    You can activate all checkboxes of a line or column, or the complete table, by activating or deactivating the tool bar.
  4. Click on OK.
    The dialog to issue a file name is opened.
  5. Select a save location and a file name.
  6. Click on OK.
    The entries are exported after successful validation.
    Note: For successful validation, each cell must have content and each key word must be unique.

XML export dialog

Option

Description

Tool Bar

Symbols for the configuration of element selection.

From left to right:

  • Select all texts
  • Deselect all texts
  • Select all texts for this line
  • Clear the selection of the texts for this line
  • Select all texts for the highlighted language
  • Clear selection of the texts for the selected language

List of entries

Shows a list of entries that can be exported. The entries that are actually to be exported are selected by means of the check boxes in front of the entries.

  • Line 1: Language definition. Cannot be edited. All other lines show key words and language entries.
    There is one line per amended entry in the language table. If the text assigned to the key word has not been changed, the respective cell remains empty.
  • Column 1: Key word and symbol for system entries (cog wheel) and individual entries (pen).
    A separate column is shown for each language that has had changes made.

Checkbox:

  • Checked: is exported
  • empty: is not exported

Selection can also be by means of the symbols in the tool bar.

This table cannot be sorted or filtered.

OK

Applies configuration, closes the configuration dialog, opens the dialog to select a file name and exports the entries.

Only available if at least one checkbox has been activated.

Cancel

Discards all configurations and closes the dialog.

Importing language table

Individual key words and entries for language tables can be imported from an XML file.

To import entries:

  1. Click on the XML import symbol in the tool bar.

    The dialog to select an XML file is opened.

  2. Select the desired file.
    The dialog for the configuration of an import is opened.
  3. Select the entries for the import.
    Selection is made by activating/deactivating the check box in front of the entry. All entries are preselected by default.
    You can activate all checkboxes of a line or column, or the complete table, by activating or deactivating the tool bar.
    If there are conflicts for entries that are already present, these are displayed by a warning symbol. Imported entries overwrite pre-existing entries in the event of conflicts.
  4. Click on OK.
    The entries are imported after successful validation of the file.
    Note: For successful validation, each cell must have content and each key word must be unique. Languages hidden before import remain hidden. Only the newly-imported language is additionally added.

XML import dialog

Option

Description

Tool Bar

Symbols for the configuration of element selection.

From left to right:

  • Select all texts
  • Deselect all texts
  • Select all texts for this line
  • Clear the selection of the texts for this line
  • Select all texts for the highlighted language
  • Clear selection of the texts for the selected language

List of entries

Shows list of entries that can be imported. The entries that are actually to be imported are selected by means of the check boxes in front of the entries.

  • Line 1: Language definition. Cannot be edited. All other lines show key words and language entries.
    There is one line per importable entry in the language table.
  • Column 1: Key word and symbol for system entries (cog wheel) and individual entries (pen).
    A separate column is shown for each language for which there are importable entries.
  • If there is already an entry in the table, it is shown by a warning symbol (yellow triangle with exclamation mark). Imported entries overwrite pre-existing entries.

Checkbox:

  • active: is exported
  • inactive: is not exported

Selection can also be by means of the symbols in the tool bar.

This table cannot be sorted or filtered.

OK

Applies configuration, closes the configuration dialog and imports the entries.

Only available if at least one checkbox has been activated.

Cancel

Discards all configurations and closes the dialog.


Selection of key word from language table

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Language table > Selection of key word from language table

Key words for different properties can be stipulated in the properties for the report elements. They are selected using the Select language table keyword dialog.
The entries to be displayed can be filtered using:

  • Selection of key words drop-down list
  • Filter in the table

Select keyword

To select a keyword:

  1. Open the dialog by means of the corresponding button of the property.
    Select the desired view using the selection of key words drop-down list:
    • Suggested
    • Changed
    • User-defined
    • User-defined or changed
    • All

  2. Select the desired key word.
    Only one keyword can be selected.
  3. Select a suffix if required. It is thus possible to better distinguish the same keywords in the properties.
    The suffix can be a number between 1 and 10 and is added to the keyword.
  4. Close the dialog by clicking on OK.

Select Language Table Keyword dialog

Option

Description

Keyword selection

Selection of the key words to be displayed. Select from drop-down list:

  • Recommended:
    Key words recommended by the system.
  • Changed:
    Only shows the system texts amended by the user.
  • User-defined:
    Only shows the key words created by the user.
  • User-defined and changed:
    Only shows key words created by the user and/or amended system texts.
  • All:
    Shows all keywords.

Edit language table symbol

Clicking on the symbol opens the language table for editing.

Table of key words

Offers appropriate key words for selection corresponding to the configuration in the Selection of keywords property. The key words and the translations are shown.

The table can be sorted and filtered.

Append suffix to text

Allows the entry of a suffix to distinguish text that is the same in the properties.

  • Active: A suffix is added to the text of the keyword.
    Input in the field directly or selection by means of the arrow keys.
    Possible selection: Numbers from 1 to 10.

Note: If a keyword must be unique and no suffix has been selected, a suffix is automatically created and added in the event of identical keywords.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Archive emulation

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation

In ZAMS, you can emulate archives that are derived from figures from entries in the AML, CEL and archives in zenon. An emulated archive consists of metadata for archives and variables. These are calculated periodically according to the configuration.

Sources for basic archive and reset events:

  • Emulated zenon archives
  • Other emulated archives
  • Emulated archives from the 3rd party database Connector

For emulated archives that do not come from zenon, the data source must be called Archive. Variables from these archives are not available for the data sources AML or CEL.

Data from the emulated archives can be read directly from the Analyzer database regardless of the selected connector. For reports, the origin of the data - zenon archive or emulated archive - is transparent. Emulated archives are configured in ZAMS.

info Information

Inputs in text fields are evaluated during configuration. Dialogs can be confirmed with OK if there are no validation errors.

In general, the following applies:

  • The following are not permitted for display name, names, references identifications and meanings: Comma (,) and simple apostrophe (').
  • The following is not permitted for descriptions, units and status text: Comma (,)

Errors are explained in pop-up messages.

Configure archive emulation

To configure the archive emulation:

  1. Select the Emulated archives entry in the SQL Server ribbon.

    The current configuration of the emulated archive is loaded.

    The dialog to administer the emulated archive is displayed.

  2. Clicking on the OK button accepts all changes made.

info Information

For the configuration of an emulated archive, the metadata must contain at least:

  • A project
  • A variable

For the configuration of an emulated archive variable, the data source Archive is only available if there is at least one archive present in the metadata.

Configuration dialog

The configuration dialog shows all existing emulated archives when it is started.

Option

Description

List of archives

Displays all configured archives. The list contains:

  • Archive name: Name of the archive
  • Project name: Name of the project that is assigned to the archive
  • Cycle time: configured cycle time of the archive
  • Number of variables: Number of variables in the archive
  • Execution of emulation tasks: Information on the last execution of the SQL Server agent jobs that are assigned to the archive
  • Buttons to create, edit and delete emulated archives

New

Opens the dialog for creating a new archive.

Edit

Opens the dialog for editing the selected archive.

X

Deletes the archive after a request for confirmation.

Attention: All data is deleted from the archive with the archive configuration.

Note: The archive can only be deleted if it is not used by another virtual archive (calculated archive, emulated archive, 3rd party database connector archive).

OK

Applies settings and closes the dialog.

ZAMS writes the changes to the database and to the SQL Server agent. If errors occur when writing the configuration, these are displayed in the output window of ZAMS.

Cancel

Discards all changes and closes the dialog.

Use of time stamps

Archive emulation only uses a time stamp if a variable has changed a value. It must be ensured that all value changes are available.

The following applies for the AML: There is also a time stamp available for Alarm cleared. This is not used, but replaced by the time stamp for Alarm received of the next alarm.

Background: A constant flow of data from the base variables is used for emulation. There must be no point in time when the variable does not have a value. With alarms, the time for Alarm cleared is less than the time for Alarm received of the next alarm. If an entry for a value change of the base variables is missing, the old value is still set for emulation, because this value change does not appear in the basis data for emulation. As a result of this, it is possible that a calculation error (negative values) may occur.

Deleting emulated archives

The following is applicable for the deletion of emulated archives:

  • Emulated archives and variables in emulated archives can only be deleted if no other emulated archives depend on them. In this check, all variables in the archive are take into account - including base variables for the value calculation and resetting.
  • If an existing emulated variable (in the database) is used as a basic variable or resetting variable for a new emulated variable, it can no longer be deleted. This also applies after the deletion of the new emulated variable - if there is no longer dependency - as long as the configuration of the emulated archive has not been ended.
    This also applies for the existing emulated archive from which the emulated variable came.
  • If an existing emulated variable or an existing emulated archive is deleted, these variables or this archive is no longer available when selecting the data source for new emulated variables, even if the change was not yet written to the database.
  • 3rd party database Connector archives and variables in these archives can only be deleted if no emulated archives depend on them.

Other topics in this chapter

Editing modes

Creating an emulated archive

Edit emulated archive

Notes for report developers:


Editing modes

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Editing modes

The New and Edit buttons open the respective configuration dialog,depending on the status of the archive:

  • Create new archive: A completely new archive is created. All settings for archive variables can be modified.
  • Edit newly-created archive: A newly-created archive that has not yet been written to the database is edited. Or an archive that has already been saved and has been made editable again.
    • Archive: All settings can be edited, with the exception of Assigned project and Reference.
    • Variables: All settings can be edited.
  • Edit existing Archive: An archive that was created and saved in a previous configuration is edited. This was already written to the database and thus has entries in the metadata tables.
    • Standard:

      Archive: Only the Data calculation can be changed.

      Variables: Only displayed as read-only.

    • Make editable: The editing of an archive can be enabled, with the exception of assigned project and Reference. Existing data is deleted in the process.


Creating an emulated archive

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Creating an emulated archive

To create a new emulated archive:

  1. Select the Emulated archives entry in the SQL Server ribbon.

    The dialog for configuring emulated archives is opened.

  2. Click on the New symbol to create a new archive.

    The dialog for configuring an emulated archive is opened.

Option | Description
Metadata | Configuration of the metadata.
Variables | Configuration of the variables.
Data calculation | Configuration of the data calculation.
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. Only available if all necessary configuration has been carried out.
Cancel | Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

Other topics in this chapter

Metadata

Variables

Data calculation


Metadata

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Creating an emulated archive > Metadata

The metadata is configured in this tab.

Option

Description

Project name

Selection from the drop-down list with all existing project names.

The first project entered is selected by default for new projects.

Attention: If this selection is changed and there are already variables in the variable list, it is emptied!

Identification

Input of the identification for the archive.

  • Maximum length: 128 characters
  • Must not be empty.
  • Must not be used by another archive that is assigned to the same project. Capitalization is not taken into account.

Visual name

Entry of the visual name of the archive.

  • Maximum length: 128 characters
  • Must not be empty.
  • Must not be used by another archive that is assigned to the same project. Capitalization is not taken into account.

Detailed information

Entry of the description of the archive.

  • Maximum length: 256 characters

Archive starts at

Stipulation of data and time for the start of the archive.

  • Date: Entry of the date or selection from a calendar.
  • Time: Entry of the time or setting by means of arrow keys.

Entry in UTC.

Earliest time point: 1.1.2013 00:00:00

Cycle time

Stipulation of the cycle time for the archive. Entry of the interval or setting by means of arrow keys.

The value must be greater than 0

Default: 1 minute

Assigned equipment groups

Assignment of equipment group to the archive. Selection by activating the checkbox in front of the respective equipment group.

Clicking on the + sign expands the group.

Default: No Allocation.

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

Note: Mandatory fields and fields that are empty that have a negative validation are displayed with a red background.

Differences when editing new archives

If already-created, but not-yet saved archives are edited, the dialog exhibits the following differences:

  • All fields: The values that have already been set are displayed instead of the default values.
  • Project name: The drop-down list to select a project is deactivated.
  • Identification: The entry for the reference is deactivated.
  • Assigned equipment groups: If the equipment model or one of its elements has a active assignment, then the complete branch of the group is displayed.

Differences when editing saved archives

If already-saved archives are edited, the dialog exhibits the following differences as standard:

  • All fields: The values that have already been set are displayed instead of the default values.
  • All input possibilities are deactivated.

The editing of archives that have already been saved can be activated again.


Variables

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Creating an emulated archive > Variables

Emulated variables are created and edited in this tab.

When validating the dialog to create a new emulated archive, at least one emulated variable must be present. Emulated variables that have the same base variable must also have the same data origin. This also includes variables that supply additional reset event for absolute counters. Variables can also be duplicated.

Option

Description

Variable list

Displays all configured variables. The list contains:

  • Visual name: Name with which the variable is displayed
  • Base variable visualname: Name of the variables for the value calculation
  • Emulated variable type:
  • Data source: Origin of base variables

This list is empty by default when a new archive is created.

Symbol: New

Opens the dialog for Creating new variables.

Symbol: Duplicate

Creates, on the basis of the selected variables, a new variable and opens the dialog to configure the variables. This dialog is filled with the values of the base variables. The name and visual name of the variables must be unique. These are always made clear with numbers in brackets in the duplicated variables.

Symbol: Edit

Opens the dialog for editing the selected variable.

Symbol: Delete

Deletes the selected variable.

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

Differences when editing saved archives

If already-saved archives are edited, the dialog exhibits the following differences:

  • No new variables can be created.
  • No variables can be deleted.
  • No variables can be edited.
  • The Display symbol allows the configuration of variables to be displayed.

Other topics in this chapter

Emulation configuration

Metadata

Assigned equipment groups

Assigned meanings

Base variable rules

Additional reset events


Emulation configuration

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Creating an emulated archive > Variables > Emulation configuration

The emulated variables are created in this tab.

Option

Description

Emulated variable type

Selection of the type of emulated variable from a drop-down list. Depending on the type selected, either all or only selected tabs are displayed and options may be deactivated.

Emulation types:

  • Absolute time counter
    All tabs are displayed.
    Default on initial configuration.
  • Relative time counter
    Settings from Additional reset events are not relevant and are not shown.
  • Absolute event counter
    All tabs are displayed.
  • Relative event counter
    Settings from Additional reset events are not relevant and are not shown.
  • Sum
    Settings from Base variable rules and Addittional reset events are not relevant and are not shown.
  • Time-corrected average
    Settings from Base variable rules and Additional reset events are not relevant and are not shown.
  • Minimum
    Settings from Base variable rules and Additional reset events are not relevant and are not shown.
  • Maximum
    Settings from Base variable rules and Additional reset events are not relevant and are not shown.
  • Difference counter
    Settings from Base variable rules and Additional reset events are not relevant and are not shown.

For further information on the emulation types, see the Details of emulation types section.

Initial value

Entry of the initial value of the variable at the time the archive is started.

Only available if the type of the emulated variables is an absolute counter (absolute time counter, absolute event counter).

  • Minimum: 0
  • Maximum: 1000000

Time counter resolution (seconds)

Resolution of the time counter in seconds.

Only available if the type of the emulated variables is a time counter (absolute time counter, relative time counter).

  • Minimum: 1
  • Maximum: 86400 (1 day)

Examples:

  • 60: Minute counter
  • 3600: Hour counter
  • 86400: Day counter

Data Source

Selection of a data source for the base variable from drop-down list:

  • Alarm Message List
  • Chronological Event List
  • Archive

Source archive

Selection of a source archive from a drop-down list. The list contains all archives of the project that was selected in the metadata dialog. This also includes emulated archives that were already saved in the metadata.

Only available if archive was selected as a data source.

Base variable

Selection of a base variable from a drop-down list, the value of which is derived from the values of the emulated variables.

Depending on the data source, available for:

  • Data source alarm message list or chronological event list: All available variables of the project that was selected in the metadata dialog. This also includes emulated variables that were already saved in the metadata.
  • Data source Archive: All variables that are assigned in the metadata to the archive with an aggregation of Raw value (0). This also includes emulated archives that were already saved in the metadata.

Base variable initial value

Entry of the initial value of the base variables at the time the archive is started.

  • Minimum: 0
  • Maximum: 1000000

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

Details of emulation types

In the Emulation configuration tab, there are eight emulation types available for selection in the Emulated variable type drop-down list.

The following applies to all emulation types: If there is no value at the start of the archive capsule (value change was carried out exactly with the start time of the archive capsule), then as a maximum at the start time of the emulated archive, an attempt is made to find a valid value before the start of the archive capsule for the base variable. If a corresponding value is found, this is used at the start time of the archive capsule. Otherwise the configured initial value is used.

Possible values for emulation types:

  • Absolute time counter

    In each archive capsule of the emulated archive, the set time filter setting is used to count how long the base variable was in one of the states set out in the Base variable rules. The counter can be set to 0 by means of the defined resetting rules (Base variable rules and Additional reset events tabs). At the end of the archive capsule, the value of the counter is written to the emulated variable in the emulated archive.

    Start value of the current archive capsule: End value of the last archive capsule.

    All tabs are displayed.

  • Relative time counter

    In each archive capsule of the emulated archive, the set time filter setting is used to count how long the base variable was in one of the states set out in the Base variable rules. A relative counter cannot be reset to 0. At the end of the archive capsule, the value of the counter is written to the emulated variable in the emulated archive.

    Start value of the current archive capsule: always 0.

    Settings from Additional reset events are not relevant and are not shown.

  • Absolute event counter

    In each archive capsule of the emulated archive, how often the base variable has changed to one of the states set out by the Base variable rules is counted. The counter can be set to 0 by means of the defined resetting rules (Base variable rules and Additional reset events tabs). At the end of the archive capsule, the value of the counter is written to the emulated variable in the emulated archive.

    Start value of the current archive capsule: End value of the last archive capsule.

    All tabs are displayed.

  • Relative event counter

    In each archive capsule of the emulated archive, how often the base variable has changed to one of the states set out by the Base variable rules is counted. A relative counter cannot be reset to 0. At the end of the archive capsule, the value of the counter is written to the emulated variable in the emulated archive.

    Start value of the current archive capsule: always 0.

    Settings from Additional reset events are not relevant and are not shown.

  • Sum

    All values of the base variables are added up in each archive capsule. The sum is written to the emulated variable in the emulated archive at the end of the archive capsule.

    Settings from Base variable rules and Additional reset events are not relevant and are not shown.

  • Time corrected average

    In each archive capsule, the time-corrected average value of all values of the base variables is calculated in the archive capsule. The time-corrected average value is written to the emulated variable in the emulated archive at the end of the archive capsule.

    Settings from Base variable rules and Additional reset events are not relevant and are not shown.

  • Minimum

    In each archive capsule, the minimum of all values of the base variables is calculated in the archive capsule. The minimum is written to the emulated variable in the emulated archive at the end of the archive capsule.

    Settings from Base variable rules and Additional reset events are not relevant and are not shown.

  • Maximum

    In each archive capsule, the maximum of all values of the base variables is calculated in the archive capsule. The maximum is written to the emulated variable in the emulated archive at the end of the archive capsule.

    Settings from Base variable rules and Additional reset events are not relevant and are not shown.

  • Difference counter

    Converts an absolute time counter in zenon or recorded in the archive emulation into a relative time counter.

    Settings from base variable rules and additional reset events are not relevant and are not displayed.
    You can find details on the calculation for developers in the Difference counter procedure chapter and in the zenon Analyzer for developers manual.

info Information

Milliseconds are not used for cyclical archives in zenon. They are calculated but not reset to >0. Exception: Alternate values.

This must be taken into account when the data is obtained. Because the minimum read time of a cyclical archive is 1 second, a maximum of 1 value per second can come.


Metadata

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Creating an emulated archive > Variables > Metadata

The metadata is configured in this tab.

Option

Description

Variable name

Entry of the variable name.

  • Maximum length: 128 characters.
  • Must not be empty.
  • Must not contain a comma
  • Must not be used by another variable that is assigned to the same project. Capitalization is not taken into account.

Visual name

Entry of the visual name of the variables.

  • Maximum length: 128 characters
  • Must not be empty.
  • Must not contain a comma
  • Must not be used by another variable that is assigned to the same project. Capitalization is not taken into account.

Description

Description of the variables.

Maximum length: 256 characters

Measuring unit

Unit of measurement the variables.

Maximum length: 50 characters

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

Note: Mandatory fields and fields that are empty that have a negative validation are displayed with a red background.


Assigned equipment groups

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Creating an emulated archive > Variables > Assigned equipment groups

The equipment groups are configured in this tab.

Option

Description

Tree with equipment groups

Selection of the desired equipment group from the tree structure. They are selected by activating the checkboxes in front of the desired groups.

  • Display on new creation: closed tree
  • Display when editing: all activated groups are displayed and their trees are expanded

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.


Assigned meanings

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Creating an emulated archive > Variables > Assigned meanings

The meanings are configured in this tab.

Option | Description
Input field | Entry of a meaning Maximum length: 50 characters
Add | Clicking on the button adds a meaning from the input field to the list of meanings.
List of meanings | Contains all assigned meanings. Multiple selection is possible with the Ctrl key + left mouse click or the Shift key + left mouse click.
Remove | Removes all highlighted entries from the list of meanings.
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. Only available if all necessary configuration has been carried out.
Cancel | Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.


Base variable rules

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Creating an emulated archive > Variables > Base variable rules

The rules for the basic variables are configured in this tab.

Only available for the following types of emulated variables:

  • Absolute time counter
  • Relative time counter
  • Absolute event counter
  • Relative event counter

Option

Description

List of rules

Display of the configured rules.

The list is empty for newly-created variables. The following are displayed for pre-existing variables:

  • Comparison type
  • Comparison value
  • Triggers counter reset

In addition to configured rules, an empty rule is always offered if the dialog was opened in an editable mode and the rules (reset) allow it.

In an empty rule, all control elements, with the exception of the comparison type, are deactivated.

Comparison type

Selection of the comparison type from the drop-down list. The following are available:

  • Equal (=)
  • Less (<)
  • Less or equal (<=)
  • Greater (>)
  • Greater or equal (>=)
  • Not equal (!=)
  • Range: Compares two values to one another and shows further input fields for Comparison type and Comparison value.

Comparison value

Entry of the comparison value.

Reset counter
  • Active: The counter is reset if the rule is met.

Only available if the type of the emulated variables is an absolute counter (absolute time counter, absolute event counter).

Symbol: Delete

Clicking on the button deletes the rule.

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

Areas

The 'areas' comparison type defines a range between two values. The following rules are available:

  • [number] < X < [number]
  • [number] < X <= [number]
  • [number] <= X < [number]
  • [number] <= X <= [number]

Note on validation:

When validating the entries before creating the variables, the legal regulations must not be exceeded.

Examples of overlapping:

  • 2 or more rules are set to Equal (=) and have the same value.
  • 1 or more rules are set to Equal (=) and have a value that is Greater than (>)/Less or equal to (<=) the comparison value of an existing Greater than (>)/Less than or equal to(<=) rule.
  • 2 rules both use a greater comparison (regardless of whether Greater than (>) or Greater than or equal to (>=)).
  • 2 rules both use a smaller comparison (regardless of whether Less than (<) or Less than or equal to (<=)).
  • The value ranges of a Greater than or equal to (>=) and a Less than or equal to (<=) rule overlap. At least one figure is present in both ranges.


Additional reset events

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Creating an emulated archive > Variables > Additional reset events

In this tab, events for absolute counters are configured, which lead to defined results, in addition to the events defined in the Base variable rules, to reset the base variables.

Only available for the following types of emulated variables:

  • Absolute time counter
  • Absolute event counter

Option

Description

Use additional reset events for the counter of base variables

  • Active: Events to reset the absolute counter are, in addition to configuration in the Base variable rules tab, set by another base variable. This resets the base variable selected in the Emulation configuration tab for the counter.

Data Source

Selection of a data source list for the variables from which the reset event comes, from a drop-down list:

  • Alarm Message List
  • Chronological Event List
  • Archive

Source archive

Selection of source archive for the variables from which the reset events come, from a drop-down list: The list contains all archives of the project that was selected in the metadata dialog. This also includes emulated archives that were already saved in the metadata.

Only available if archive was selected as a data source.

Base variable

Selection of base variables from which the additional reset events come, from a drop-down list.

Depending on the data source, available for:

  • Data source alarm message list or chronological event list: All available variables of the project that was selected in the metadata dialog. This also includes emulated variables that were already saved in the metadata.
  • Data source Archive: All variables that are assigned in the metadata to the archive with an aggregation of Raw value (0). This also includes emulated archives that were already saved in the metadata.

List of rules

Display of the configured rules.

The list is empty for newly-created variables. The following are displayed for pre-existing variables:

  • Comparison type
  • Comparison value

In addition to configured rules, an empty rule is always offered if the dialog was opened in an editable mode and the rules (reset) allow it.

In an empty rule, all control elements, with the exception of the comparison type, are deactivated.

Comparison type

Selection of the comparison type from the drop-down list. The following are available:

  • Equal (=)
  • Less (<)
  • Less or equal (<=)
  • Greater (>)
  • Greater or equal (>=)
  • Not equal (!=)
  • Range: Compares two values to one another and shows further input fields for Comparison type and Comparison value.

Comparison value

Entry of the comparison value.

Symbol: Delete

Clicking on the button deletes the rule.

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

attention Attention

The list of rules for valid reset events must contain at least one rule during validation if the option Use additional reset events for the counter of base variables has been activated.

Areas

The 'areas' comparison type defines a range between two values. The following rules are available:

  • [number] < X < [number]
  • [number] < X <= [number]
  • [number] <= X < [number]
  • [number] <= X <= [number]

Note on validation:

When validating the entries before creating the variables, the legal regulations must not be exceeded.

Examples of overlapping:

  • 2 or more rules are set to Equal (=) and have the same value.
  • 1 or more rules are set to Equal (=) and have a value that is Greater than (>)/Less or equal to (<=) the comparison value of an existing Greater than (>)/Less than or equal to(<=) rule.
  • 2 rules both use a greater comparison (regardless of whether Greater than (>) or Greater than or equal to (>=)).
  • 2 rules both use a smaller comparison (regardless of whether Less than (<) or Less than or equal to (<=)).
  • The value ranges of a Greater than or equal to (>=) and a Less than or equal to (<=) rule overlap. At least one figure is present in both ranges.


Data calculation

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Creating an emulated archive > Data calculation

The data calculation is configured in this tab. The options can be configured without limitations in all three editing modes.

Option

Description

Values are calculated

Active: Values for the emulated archive are calculated in the SQL server agent.

Maximum connector-
Data block time period (hours)

Stipulates the maximum time period in hours for which connectors can be obtained in a query. Entry in the field or configuration using the arrow keys.

  • Minimum: 1
  • Maximum 10000
  • Default: 1

If a larger time range is needed in total, several connector calls are carried out after one another.

Example:

  • Connector data from three days is to be obtained.
  • The query is to be made in three parts.
  • Entry in the field: 24

Background information: If very large amounts of data are obtained in a query, the working memory may be to small for the Runtime server. For archive data, for example, this leads to an "Out-Of-Memory" error. The corresponding message window then blocks the Runtime server until the message is confirmed on the server itself. This situation can be avoided with the appropriate configuration.

Minimum delta time (hours)

Stipulates how old, in hours, an archive capsule of the emulated archive must be before values for it are calculated. Entry in the field or configuration using the arrow keys.

Minimum: 0

Maximum: 10000

Default: 0

Example:

  • Entry: 10
  • Current time: 2013-06-06; 4:00 PM
  • Goal: From 00:00:00 on June 6, 2013, one archive capsule per hour is to be written.
  • Only values for the archive capsules from 00:00:00 to 05:00:00 on 2013/06/06 are calculated and written.
  • Reason: The archive capsules from 06:00:00 to 16:00:00 on 2013/06/06 are not older than 10 hours.

Background: If data can only be forwarded up to a certain time, for example up to the last SQL export, this can be configured here.

Connector

Selection from drop-down list that is to be used to obtain the data for the base variables.

Calculation schedule

Configuration of the time plan for the calculation of values.

Schedule starts on

Stipulation of the time from which the schedule is to run. Entry in the field or configuration using the arrow keys.

Once per day every N days

Active: The calculation is carried out every N days at a certain time.

  • N days: Configuration with the Number of days option
  • Time: Configuration with Execute at option

Number of days

Stipulation of the interval between two calculations in days. Entry in the field or configuration using the arrow keys.

Minimum: 1

Maximum: 100

Execute at

Stipulation of the time at which the calculation is carried out on day N. Entry in the field or configuration using the arrow keys.

Per N hours every day

Active: The calculation is carried out daily every N hours at a certain interval.

  • Distance: Configuration with the Number of hours option
  • Start time: Configuration with Start at option

Number of hours

Stipulation of the interval between two calculations in hours. Entry in the field or configuration using the arrow keys.

  • Minimum: 1
  • Maximum: 23

Starting at

Stipulation of the time at which the first daily calculation is carried out. Entry in the field or configuration using the arrow keys.

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

Examples

Once a week

The calculation should be carried out every Sunday at 00:05:00 from now.

Configuration:

  1. Activate the Once a day every N days option
  2. Number of days: 7
  3. Execute at: 00:00:05
  4. Schedule starts at: desired Sunday in the past

12 times a day

The calculation should be carried out from 1/1/2014 every 2 hours and 15 minutes after the hour.

Configuration:

  1. Activate the Every N hours daily option
  2. Per N hours every day: 2
  3. Starting at 12:15:00 AM
  4. Schedule starts on: 1/1/2014


Edit emulated archive

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Edit emulated archive

To edit an emulated archive:

  1. If the dialog has not yet been opened, select the Emulated archives entry in the SQL server ribbon.

    The dialog for configuring emulated archives is opened.

  2. Highlight the desired archive.
  3. Click on the Edit button to change the configuration.

    The dialog for configuring an emulated archive is opened.

    Note: The settings that can be changed depend on the status of the archive.

Editing a new archive

A new archive has already been created and contains data, but was not yet written to the SQL server agent. This means: This dialog has not yet been closed since the first configuration.

  • Archive: All settings can be edited, with the exception of Project and Identification.
  • Variables: All settings can be edited.

Editing a saved archive

A saved archive is already created, contains data and was already written to the SQL server agent. This means: This dialog was closed after the initial configuration by clicking on OK and is now opened again.

  • Archive: In the basic setting, only the Data calculation can be changed.
    The Make editable button can be used to edit the archive again, with the exception of the project allocation and name. This button is only available if the emulated archive has already been saved and has not been unlocked for editing again.
    For details, see the Allow editing section.

  • Variables: Only displayed as read-only.

Make editable

To edit an emulated archive that has already been saved again:

  1. Click on the button Make editable
  2. Confirm this when requested to do so.
  3. The data in the EMULATED_DATA table is deleted.
  4. Edit the archive and save it again.


Notes for report developers:

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Archive emulation > Notes for report developers:

An emulated archive consists of metadata for archives and variables. They are calculated periodically according to the configuration via an SQL server agent job.

The following metadata, SPs and UDFs are used for emulated archives:

Metadata

  • Emulated_Archive
  • Emulated_Variable
  • Emulated_Variable_Configuration
  • Emulated_Data
  • Stored Procedures

Stored Procedures

  • CalculateEmulatedArchiveValues

User Defined Function Blocks

  • GetTotalSeconds


Calculated archives

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Calculated archives

Calculated archives provide other reports with formulas with calculated values as an archive. In doing so, the data is not saved, but is alway recalculated again.

Clicking on the New (star) button opens the dialog to configure a new calculated archive.

Key:

  • : New
  • : Edit
  • : Delete

info Information

Inputs in text fields are evaluated during configuration. Dialogs can be confirmed with OK if there are no validation errors.

In general, the following applies:

  • The following are not permitted for display name, names, references identifications and meanings: Comma (,) and simple apostrophe (').
  • The following is not permitted for descriptions, units and status text: Comma (,)

Errors are explained in pop-up messages.

Other topics in this chapter

Creating and editing a calculated archive


Creating and editing a calculated archive

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Calculated archives > Creating and editing a calculated archive

To start calculating archives:

  1. Open the SQL Server menu.
  2. Select the Calculated archives entry in the Data processing section.

    The dialog to create and configure calculated archives is opened:

    Key:

    • New:
  3. Click on the symbol New:

    The dialog for configuration is opened.

  4. Configure the metadata and variables.

    The new entry is added to the list.

Key:

  • : New
  • : Edit
  • : Delete

Option

Description

List of calculated archives

Lists all configured calculated archives. The list shows:

  • Archive name: Visual name of the archive.
  • Project name: Visual name of the project that is assigned to the archive
  • Cycle time: Cycle time of the archive.
  • Number of variables: Number of variables in the archive.

Symbol new

Clicking opens the dialog to configure a new calculated archive with the metadata tab.

Edit symbol

Clicking opens the dialog to configure the calculated archive in order to make changes to the configuration.

Delete symbol

Clicking deletes the calculated archive and all variables calculated therein without requesting confirmation.

Note: The archive can only be deleted if it is not used by another virtual archive (calculated archive, emulated archive, 3rd party database connector archive).

OK

If clicked on, the dialog is closed and the changes are saved.

Cancel

If clicked on, the dialog is closed and the changes are discarded.

Other topics in this chapter

Metadata

Variables


Metadata

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Calculated archives > Creating and editing a calculated archive > Metadata

The archive metadata, the metadata and calculation tables of all variables contained in the archive are edited in this dialog.

If the dialog to edit an existing calculated archive is called up, the input elements in the dialog are initialized with the data of the archive.

Option

Description

Project

Selection of the project that is assigned to the archive from a drop-down list. All variables in the calculated archive are automatically assigned to this project.

If this entry is changed, all variables configured for this are deleted.

Note: The drop-down list is deactivated if at least one variable of this archive is used by another virtual archive.

Identification

Input of the identification for the archive.

The field must not be empty during validation.

Visual name

Entry of the visual name for the archive.

The field must not be empty during validation.

Description

Optional description for the archive.

Connector

Connector to get the variable field data for the calculation of values. Select from drop-down list.

Cycle time

Input of the cycle time for the archive.

  • dd: Days
  • HH: Hours
  • mm: Minutes
  • ss: Seconds

Entry in the field or configuration using the arrow symbols.

Assigned equipment groups

Equipment groups to which the archive is assigned. Selection by activating the checkbox in front of the respective group.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Validation

  • The following entries must be occupied with the archive:
    • Project selection
    • Archive reference
    • Archive visual name
    • Connector
  • Furthermore, the following archive entries must not have any conflicts with other archives in the global project:
    • Archive reference
    • Archive visual name
  • With variables, the following rules must be adhered to for all variables:
    • The variable name and visual name must be filled and must not lead to conflicts with other variables of the same project
    • Each variable must have an active field for the value calculation.


Variables

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > Calculated archives > Creating and editing a calculated archive > Variables

Configuration of calculated variables.

If the dialog to edit an existing calculated archive is called up, the input elements in the dialog are initialized with the data of the archive.

Key:

New:

Duplicate:

Delete:

Variables

Display and creation of the calculated variables.

Option

Description

Symbol new

Clicking on the symbol adds a new calculated variable to the list.

The variable name and variable visual name are generated automatically. Overlaps are avoided in the process.

The automatically-created entries can be amended in the metadata group.

Duplicate symbol

Clicking on the symbol duplicates all selected variables. The calculation formulas are also duplicated in the process.

Variable name and variable visual name are generated automatically based on the source variable. Overlaps are avoided in the process.

The automatically-created entries can be amended in the metadata group.

Delete symbol

All selected variables are deleted without requesting confirmation by clicking on the symbol.

Before deletion, a check is carried out to see whether one of the selected variables are used in a different archive. Deletion is refused if this is the case.

List of variables

The list contains all created variables with information on:

  • Variable name
  • Variable visual name
  • Description
  • Measuring unit
  • Number of assigned meanings
  • Number of assigned equipment groups
  • Number of status names

Multiple selection of variables is possible in the list.
The following applies with multiple selection:

  • Errors of the other input groups are always filled with the values of the first-selected variables.
  • Changes in an input field in one of the other input groups have an effect on all selected variables.

Metadata

Configuration of the metadata for the variables.

Option

Description

Variable name

Name of the variable.

  • Must not be empty.
  • Must be unique in the project.

Only available if precisely 1 variable has been selected.

Visual name

Visual name of the variables.

  • Must not be empty.
  • Must be unique in the project.

Only available if precisely 1 variable has been selected.

Description

Description of the variables.

Measuring unit

Unit of measurement the variables.

Assigned equipment groups

Configuration of the workgroups that are assigned to the variables.

Option | Description
Assigned equipment groups | Selection of the equipment groups that are assigned to the variables. Selection by activating the checkbox in front of the group.

Calculation formula

Configuration of the formula for the variable.

Option

Description

Formula field

Shows formula of the calculated variables.

If no formula is displayed despite the configuration of the calculation, this can be caused by the following:

  • No calculation field is assigned.
    This leads to a validation error.
  • The calculation field is not a formula field, but a cost field for example.

Configure formula

Opens the dialog to configure custom formulas without aggregation. Only available if precisely one variable in the list has been selected.

The dialog is started in the mode for calculated archives.
Attention: When configuring the formula, the Field for calculated variables option in the different tabs can only be selected once. This field must be a formula field.

Assigned meanings

Configuration and assignment of the meanings.

Option | Description
Meaning field | Entry of a new meaning.
Add | Assigns the meaning from the meaning field to the variables.
List of meanings | Displays all configured meanings. Multiple selection is possible.
Remove | Clicking on the button removes all meanings selected in the list.

Status names

Configuration and assignment of the status names.

Option | Description
numerical element | Entry of the value of the status. Must be unique.
Input field | Entry of the status text for this value. Must be unique.
Add | Adds the entered value with the given status text into the list field. Neither the value nor the text can already exist.
List of status names | Shows all existing entries. Multiple selection is possible. Format: [Value]: [Text]
Remove | Clicking on the button removes all status names selected in the list.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


User administration and access rights

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights

The user administration for zenon Analyzer is organized in ZAMS. It consists of the administration of the:

  • Access rights to Analyzer applications
  • Access rights in Report Launcher
  • Users with dedicated license

Set rights for users and objects in ZAMS and the Report Launcher are each set and applied after being confirmed in the dialog by clicking on OK.

Users can be administered throughout domains and in user groups. For Users with dedicated license and the administration of access rights for Analyzer Tools, each user must be individually administered in the selection dialog. Administration according to groups is possible via the configuration of the filter for user groups. To do this, the user group is entered as a filter condition and then the user is selected.

For the administration of access rights in the Report Launcher, user groups can be selected directly in the selection dialog.

Checking the user licenses

ZAMS and Report Launcher check regularly to see whether a ZAMS license on the license server can be confirmed for the connected user on the connected Analyzer server.

If problems occur with the licensing or the connection, please note the checklist in the event of license problems.

Other topics in this chapter

Configuration of user search

Selection of users and user groups

Users with dedicated license

Basic principles of user access rights

Access rights to Analyzer applications

Access rights for Report Launcher


Configuration of user search

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Configuration of user search

When calling up dialogs to assign a user profile, a user search is opened if no users have yet been stored in ZAMS. Here, you define how and in which locations users are to be searched for the population of the user list.

  • Direct entry without validation:
    Entry of a user name for a domain without validation. This allows the addition of users from a domain by ZAMS users who do not have access to these domains. The Analyzer can thus, for example, be configured by an integrator locally and later be integrated into the customer's domain.
    To add a user directly:
    1. Install the Analyzer with a local user.
    2. Connect the computer to the domain.
    3. Open ZAMS with the existing user.
    4. In the Analyzer Server ribbon, click on Analyzer applications.

      The search for users and groups dialog is opened. If it is not displayed, then first delete the cache.

    5. Activate the Direct entry of user names (without checking) radio button.
    6. Click on OK.

      The dialog for configuring access rights is opened.

    7. Click on Add.

      The Direct entry of users and groups dialog is opened.

    8. Enter the complete user name according to the syntax: Domain\User name.
    9. Click on OK.

      The entry is applied and the dialog is closed.
      The ZAMS user now has access to the domains.

  • Direct query:
    Targeted query of the domains and the caches only once users have been added. For this, the following applies:
    • Groups are only available in the filters if they are present in the cache. They must therefore have already been called up - regardless of whether they have been added.
    • Users and groups that have been found are cached.
    • Users defined locally on the Analyzer server cannot be added.
    • Groups defined locally on the Analyzer server cannot be added or filtered.
  • Cache users and groups
    When first querying users, all users and groups of the defined domains are searched for locally and cached. With domains with many users and groups, this can take a long time.

Dialog for searching for users and groups

Option

Description

Direct input of user names (without validation)

Entry of a user name for a domain without validation. The domain and user name are added via the Configuration of access rights.

If a group is entered instead of a user, the group is entered as user. This leads to unusable configurations when configuring access rights for Analyzer applications and when assigning fixed licenses. However, groups can also be added for the Report Launcher.

Attention: There is no validation of the entries. Incorrect entries lead to the Analyzer Server not being able to be properly logged into the domain.

Direct search for users and groups (in domains only)
  • Active: Users and groups are only searched for as required.

Confirmation before searching groups and users
  • Active: If no user is found when an object is searched for, a request for confirmation is made for a further search.

Background: If no user is found in the domain, a search for a group is carried out. If a group is found, all users contained if the group are searched for. This can take a long time.

Only available if Direct search for users and groups has been activated.

Load users and groups from these locations:
  • Active: Users and groups are searched for and updated immediately. This can take a long time with large domains.

Users defined locally on the Analyzer Server "[computer name]"

  • Active: A search for defined users and user groups is carried out locally on the Analyzer server.

Only available if Load users and groups from these locations: has been activated.

In the domain "[domain name]"

  • Active: A search for domain users and user groups is carried out in the domain of the currently-connected user.

Detection takes place in three steps:

  • Firstly, an attempt is made to return the names of the domains in which the user is defined.
  • If this is unsuccessful, an attempt is made to return the names of the domains in which the computer is integrated.
  • If this is unsuccessful, the computer name is returned.

Only available if Load users and groups from these locations: has been activated.

In the domains

Entry of a domain in which a search for users and user groups is to be carried out. Accept by clicking on the Add button.

Only available if Load users and groups from these locations: has been activated.

Add

Adds the domains stated in the In the domains input field to the list of domains.

The entry is only accepted if it:

  • Is not yet in the list
  • Is not identical to the domain of the user who is currently connected
  • Is not identical to the Analyzer Server computer name

Capitalization of letters is not taken into account during the check.

List of domains

Contains the domains that have been individually added. Multiple selection is possible.

Delete

Deletes all highlighted domains from the list of domains.

OK

Accepts and validates the configuration, closes the dialog and starts the search.

Cancel

Discards the configuration and closes the dialog.

Note: The selected setting is saved in the ZAMS configuration and selected as a presetting the next time the dialog is displayed. The selected setting applies for the complete ZAMS session.

Delete the cache of the user search

To change the type of search, either ZAMS must be restarted or the cache must be deleted.

To delete the cache of the user search:

  1. Open the Options ribbon.
  2. Select the Delete entry in the Cache ribbon group.

    Cached users and groups are removed from the cache.

    The next time a dialog to call up user administration is called up, the dialog to configure the user search is called up again


Selection of users and user groups

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Selection of users and user groups

Users and user groups are added differently depending on the configuration of the search:

  • Direct input: Direct entry of user names if the logged-in ZAMS user has no access to the domain. The computer must be connected to the domain.
  • Direct query: The Search for users and user groups dialog is opened. If a user is found, they are added. If a group is found, all members of this group are added.
  • Users and groups cached: The Select users and user groups dialog is opened. Cached users and groups are offered for selection.

When configuring the access rights for the Report Launcher, user groups and users can be selected from groups. For all other dialogs for user rights, users can be selected from groups, but not user groups.

Procedure

The following applies when obtaining user data:

  • If two users have the same visual name, the reading of the user data source that is currently being read is canceled.
  • If two user groups have the same visual name, the reading of the user data source that is currently being read is canceled.
  • If a group has the same visual name as a user, the user group concerned is ignored. However the reading is continued.

Other topics in this chapter

Direct input of users and groups dialog

Search for users and user groups dialog

Select user dialog

Dialog for selecting users and user groups


Direct input of users and groups dialog

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Selection of users and user groups > Direct input of users and groups dialog

If, in the dialog to select users, the Direct entry of user names (without checking) option is selected, this dialog is called up when adding a new user:

Option

Description

Full name of the entry to search for

Entry of the complete name of the user to be entered. This consists of:

  • Domain
  • Backslash
  • User name

Example: MAIN\J.Doe

Attention: Incorrect entries lead to the Analyzer Server not being able to be connected to the domain and the user not being able to be logged on.

Find

Not available, because there is no validation.

Search result

Not available, because there is no validation.

OK

Accepts the entered user with no further validation.

Cancel

Closes the dialog without accepting any users.


Search for users and user groups dialog

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Selection of users and user groups > Search for users and user groups dialog

If, when configuring the user rights with a direct query, a search for a user or a user group is carried out, the search dialog is opened:

Option

Description

Full name of the entry to search for

Entry of the complete name of the object to be searched for. This consists of:

  • Domain
  • Backslash
  • User name

Example: MAIN\J.Doe

Find

Clicking on this starts the search for the search term entered.

Only active if:

  • The input field is not empty
  • The content has been changed since the last user

If the user is not found in the domain, there is a query to see if all user names of the domain are to be searched for.

Search result

Displays the search result.

OK

Accepts the user who has been found or all who have been found to the dialog.

Only available if the input field for the complete name has not been changed since the last successful search.

Cancel

Closes the dialog without accepting any users.


Select user dialog

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Selection of users and user groups > Select user dialog

If new user users are added in a configuration dialog for user rights, the following dialog is called up.
Exception: When configuring the access rights for the Report Launcher, the Select users and user groups dialog is called up.)

Option

Description

Username filter condition

Input of filter conditions for user names.

The list of the users displayed is updated each time a change is made in the input field. Only users who meet the filter criteria in the text with one of their name properties are displayed. Filtering is carried out:

  • partially: it is sufficient if the character sequence appears in the name
  • Without taking capitalization into account

Already-selected users are not hidden.

User group filter condition

Input of filter conditions for user groups.

The list of the users displayed is updated each time a change is made in the input field. Only users that belong to one of the user groups that meet the condition are shown. Filtering is carried out:

  • partially: it is sufficient if the character sequence appears in the name
  • Without taking capitalization into account

Already-selected users are not hidden.

Checkboxes

Active: User is selected for adding.

User List

Display of the users available for selection. This list is compiled according to the settings in the configuration of user search.

It contains:

  • Username: Display of the user name.
  • Member of groups: Display of the user groups that a user belongs to.
  • Description: Displays information on the user name and its origin.

Select all

Clicking on the button selects all displayed users according to the filter conditions.

Deselect all

Clicking on the button deselects the selection.

OK

Accepts selection, closes the dialog and adds selected users.

Cancel

Discards all changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Dialog for selecting users and user groups

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Selection of users and user groups > Dialog for selecting users and user groups

If new users or user groups are added in the configuration dialog for the access rights for the Report Launcher, a selection dialog is called up. It is possible to add using two tabs:

  • Users
  • Groups

Users

Selection of users who are to be added.

Option

Description

Username filter condition

Input of filter conditions for user names.

The list of the users displayed is updated each time a change is made in the input field. Only users who meet the filter criteria in the text with one of their name properties are displayed. Filtering is carried out:

  • partially: it is sufficient if the character sequence appears in the name
  • Without taking capitalization into account

Already-selected users are not hidden.

User group filter condition

Input of filter conditions for user groups.

The list of the users displayed is updated each time a change is made in the input field. Only users that belong to one of the user groups that meet the condition are shown. Filtering is carried out:

  • partially: it is sufficient if the character sequence appears in the name
  • Without taking capitalization into account

Already-selected users are not hidden.

Checkboxes

Active: User is selected for adding.

User List

Display of the users available for selection. This list is compiled according to the settings in the configuration of user search.

It contains:

  • Username: Display of the user name.
  • Member of groups: Display of the user groups that a user belongs to.
  • Description: Displays information on the user name and its origin.

Select all

Clicking on the button selects all displayed users according to the filter conditions.

Deselect all

Clicking on the button deselects the selection.

OK

Accepts selection, closes the dialog and adds selected users.

Cancel

Discards all changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Groups

Selection of user groups that are to be added.

Option

Description

Filter condition

Input of filter conditions for user groups.

The list of the user groups displayed is updated each time a change is made in the input field. Only the respective user groups that meet the condition are still shown. Filtering is carried out:

  • partially: it is sufficient if the character sequence appears in the name
  • Without taking capitalization into account

Already-selected user groups are not hidden.

Checkboxes

Active: User group is selected for adding.

List of user groups

Display of the user groups available for selection. This list is compiled according to the settings in the configuration of user search.

It contains:

  • Group name: Display of the user groups that a user belongs to.
  • Description: Displays information on the user name and its origin.

Select all

Clicking on the button selects all displayed user groups according to the filter conditions.

Deselect all

Clicking on the button deselects the selection.

OK

Accepts selection, closes the dialog and adds selected user groups.

Cancel

Discards all changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Users with dedicated license

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Users with dedicated license

Users can have dedicated licenses in ZAMS. A license is always kept free for these. A user with a dedicated license thus also has a client license on the license server if they are not connected. The maximum number of users who can be created with a fixed license is the amount of client licenses present. When entering a new zenon Analyzer license, it is only accepted if you have enough client licenses for all users with a dedicated license.

Manage dedicated licenses to users

To assign or remove a user's dedicated license:

  1. Open the Analyzer Server ribbon.
  2. Select the License reservation entry in the User administration ribbon group.

    The dialog to administer the users with a fixed license is opened.

Option

Description

Username filter conditions

Input of filter conditions for user names.

The list of the users displayed is updated each time a change is made in the input field. Only users who meet the filter criteria in the text with one of their name properties are displayed. Filtering is carried out:

  • partially: it is sufficient if the character sequence appears in the name
  • Without taking capitalization into account

Already-selected users are not hidden.

User group filter conditions

Input of filter conditions for user groups.

The list of the users displayed is updated each time a change is made in the input field. Only users that belong to one of the user groups that meet the condition are shown. Filtering is carried out:

  • partially: it is sufficient if the character sequence appears in the name
  • Without taking capitalization into account

Already-selected users are not hidden.

User List

Displays all configured users with a dedicated license. Belonging to a user group is also shown.

Multiple selection is possible:

  • Ctrl key + mouse click: selects an additional user with each click
  • Ctrl key + mouse click: selects all users who are between two clicks, from
  • Clicking on the Select all button selects all users in the list

Select all

Selects all users who are displayed in the List of users.

Deselect all

Deselects the users who are displayed in the List of users.

Add

Opens, depending on the configuration of the user search, a dialog to select users:

  • Direct input:
    The Direct entry of users and groups dialog is opened here. This allows the direct entry of user names and user groups if the logged-in ZAMS user has no access to the domain. The computer must be connected to the domain.
  • Direct query:
    The Search for users and user groups dialog is opened. If a user is found, they are added. If a group is found, all members of this group are added.
  • Users and groups cached:
    The Select users and user groups dialog is opened. Cached users and groups are offered for selection.

Users can only be added if there are sufficient licenses available. In the dialog to add users, all users who already have a corresponding license are filtered out. The dialog is only opened if at least one further user can be added. Note the corresponding message in the output window.

Remove

Deletes selected users from the list without requesting confirmation.

The successful removal of a user is documented in the output window, as is unsuccessful removal.

Close

Closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Basic principles of user access rights

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Basic principles of user access rights

There are four user authorization levels internally. Each level includes access to the permitted applications of the lower levels, however it defines its own data access rights. In the dialogs, the applications that are linked to the authorization levels are named instead of the authorization levels. As a result of the fact that access rights on the Report Launcher are handled separately from the access rights to the Analyzer tools - and thus to the database - it is also possible that, for example, a user can enter prices and norm values, but does not have access to the objects on the Analyzer server.

The four authorization levels:

  • 0: Users can only have a license for the Report Launcher.
    This authorization level is automatically issued to each user.

    Users with this authorization level have no database access.

  • 1: User can, in addition to the authorization level 0 applications, also use the Editor tool for price and norm values.

    These users each receive a login at user level in the SQL server instance. In each Analyzer metadata database on the SQL server instance, these users are each a user with read rights for all tables and write rights for the tables PRICE and NORM.

  • 2: Users can also use, in addition to authorization level 1 applications, the Metadata Editor and the Analyzer Export Wizard.

    The Wizard does not have a license for the user running it, but it must however have the corresponding database access rights that are usually granted with this authorization level. These users each receive a login at user level in the SQL server instance. In each Analyzer metadata database on the SQL server instance, these users are each a user with read rights for all tables and write rights for all tables.

  • 3: Users can also use ZAMS in addition to authorization level 2 applications.

    These users each receive a login at administration level in the SQL server instance. With the administrator login, these users are automatically given administrator access rights to all databases in the SQL server instance by the SQL server, including to non-Analyzer metadata databases. These users are therefore administrators on the SQL server instance, because they must create new databases, create, change and delete stored procedures and user-defined functions, administer indices, back up and restore databases, enter internal code into databases and administer user rights.


Access rights to Analyzer applications

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Access rights to Analyzer applications

The Analyzer applications include:

  • Manual Data Editor
  • Metadata Editor
  • ZAMS

The access rights to these applications are managed for all users in a dialog. In doing so, the appropriate access rights to all Analyzer metadata databases on the currently-active SQL server instance are regulated.

info Information

Access right, in the context of Analyzer applications, means that a user can connect to the Analyzer server with the application.

This means: A user can be a user with authorization level 3 on Analyzer Server A and at the same time be a user with authorization level 1 on Analyzer server B.

Other topics in this chapter

Configuration of the access rights

Warning details for different user access rights


Configuration of the access rights

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Access rights to Analyzer applications > Configuration of the access rights

To configure the access rights to the Analyzer applications:

  1. Open the Analyzer Server ribbon.
  2. Select the Analyzer applications entry in the User administration ribbon group.

    The dialog for configuring access rights is opened.

Option

Description

Username filter condition

Input of filter conditions for user names.

The list of the users displayed is updated each time a change is made in the input field. Only users who meet the filter criteria in the text with one of their name properties are displayed. Filtering is carried out:

  • partially: it is sufficient if the character sequence appears in the name
  • Without taking capitalization into account

Already-selected users are not hidden.

Filter condition

Input of filter conditions for user groups.

The list of the users displayed is updated each time a change is made in the input field. Only users that belong to one of the user groups that meet the condition are shown. Filtering is carried out:

  • partially: it is sufficient if the character sequence appears in the name
  • Without taking capitalization into account

Already-selected users are not hidden.

User List

Display of all configured users.

The following is displayed for each user:

  • The user groups they belong to.
  • Authorizations for Analyzer applications. For details, see also the Basics of user access rights section. Authorizations can be changed by selecting the option fields in the Applications that can be used by the currently-highlighted users area.

Users with authorization levels 0 (Report Launcher) are not displayed, because the license server grants this to all level 0 users anyway.

Note: The user currently connected is shown with a gray background. Their rights cannot be changed. This prevents all users of the SQL server being locked out due to incorrect configuration.

Select all

Clicking on the button selects all displayed users according to the filter conditions.

Deselect all

Clicking on the button deselects the selection.

Add

Opens, depending on the configuration of the user search, a dialog to select users:

  • Direct input:
    The Direct entry of users and groups dialog is opened here. This allows the direct entry of user names and user groups if the logged-in ZAMS user has no access to the domain. The computer must be connected to the domain.
  • Direct query:
    The Search for users and user groups dialog is opened. If a user is found, they are added. If a group is found, all members of this group are added.
  • Users and groups cached:
    The Select users and user groups dialog is opened. Cached users and groups are offered for selection.

Users who have already been added are filtered out in the dialog. The dialog is only opened if at least one user can be added.

Remove

Deletes the selected users from the list without requesting confirmation.

The removal of a user is the same as setting the user to authorization level 0 (Report Launcher) because the license server grants level 0 to all users and the database access rights of the user can be deleted in both cases.

Tools that can be started by the selected user(s)

Selection of the authorization levels for the users selected in the list. The levels are arranged in a hierarchy. Level 1 elements are also included in level 2. Level 0 (Report Launcher) is given to all users. Rights for the Report Launcher are administered using the Report Launcher access rights.

Authorization levels:

  • Manual Data Editor: Level 1.
    Users can use the editor tool for price and norm values.
  • Metadata Editor: Level 2.
    Users can also use the Metadata Editor and the Analyzer Export Wizard.
  • zenon Analyzer Management Studio. Level 3. Users can also use ZAMS.

If several users are highlighted in the table, the authorization levels of the last-selected user are displayed. If no user is selected or the user who is currently connected is selected, the authorization level cannot be set.

For details on the access levels, see also the Basics of user access rights section.

Attention: If several users are highlighted, the amended configuration is set for all highlighted users in the event of a configuration change, regardless of whether it currently has different configurations.

Warnings

Only visible if errors are present. Consists of: Warning symbol, text with warning notice and button to display the details.

Condition for display of warnings:

  • The currently-connected user was selected for a configuration change.
    A warning notice is displayed. The button is not visible.
  • Two or more of the selected users have different configurations. The warning notice is displayed. Clicking on the Details button opens a window with details on the warning.

Attention: The display of a warning means that changes to the configuration and the confirmation of these also makes changes for objects with an original configuration that is different to the configuration displayed here. The original configuration for these objects is then lost.

OK

Applies configuration and closes the dialog.

Cancel

Discards all changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Warning details for different user access rights

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Access rights to Analyzer applications > Warning details for different user access rights

If users with different settings are selected for joint configuration, a warning notice is shown in the dialog to configure the access rights. The details are shown in a separate window. No inputs can be made in this dialog:

Option

Description

User List

Display of all configured users.

The first column shows the type of warning:

  • Gray circle: Basis for comparison. The configuration is selected on the basis of the last selected user.
  • Yellow triangle: Differs from the comparison basis.
  • Green check mark: Corresponds to comparison basis.

The other columns contain the user names and the display of the respective authorization levels.

Close

Closes the window.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Access rights for Report Launcher

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Access rights for Report Launcher

With the access rights for the Report Launcher user, a distinction is made between two types of rights:

  1. User profile

    These define whether a user can access objects on the Report Launcher and the underlying SQL server reporting services and whether they can change the configuration of the Report Launcher and the underlying SQL server reporting services. A distinction is made between users (object access only) and administrators (object access and configuration changes).

  2. Access rights to objects

    These define which user can access which objects and with which rights.

    Attention: The object access rights are only then applicable if the accessing user has system access rights as a user or administrator.

To configure the access rights:

  1. Open the Analyzer Server ribbon.
  2. Select the Report Launcher entry in the User administration ribbon group.
  3. The dialog to configure the access rights is opened.
    This dialog has two tabs to be configured
    • Assign user profile
    • Define access rights

Other topics in this chapter

Assign user profile

Assign access rights

Warning details for different authorization levels


Assign user profile

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Access rights for Report Launcher > Assign user profile

Option

Description

List of Report Launcher users

Contains the currently-defined users of the SQL server reporting services on the Analyzer server.

Users can be added or removed using the Add and Remove button. The >> and << buttons are used to drag users to the list Report Launcher administrators or to add them from there.

Multiple selection is possible.

The rights of the currently logged-on user cannot be changed.

Add

Adding a user as an Report Launcher user.

Opens, depending on the configuration of the user search, a dialog to select users:

  • Direct query:
    The Search for users and user groups dialog is opened. If a user is found, they are added. If a group is found, the group is added.
  • Users and groups cached:
    The Select users and user groups dialog is opened. Cached users and groups are offered for selection.

Users who are already entered as Report Launcher administrators cannot be added using this dialog. These can be dragged using the << button.

Users who have already been added are filtered out in the dialog. The dialog is only opened if at least one user can be added.

Remove

Deletes the selected users from the list without requesting confirmation.

List of Report Launcher administrators

Contains the currently-defined administrators of the SQL server reporting services on the Analyzer server.

Users can be added or removed using the Add and Remove button. The >> and << buttons are used to drag users to the list Report Launcher administrators or to add them from there.

Multiple selection is possible.

Add

Adding a user as an Report Launcher user.

Opens, depending on the configuration of the user search, a dialog to select users:

  • Direct query:
    The Search for users and user groups dialog is opened. If a user is found, they are added. If a group is found, the group is added.
  • Users and groups cached:
    The Select users and user groups dialog is opened. Cached users and groups are offered for selection.

Users who are already entered as Report Launcher user cannot be added using this dialog. These can be dragged using the >> button.

Users who have already been added are filtered out in the dialog. The dialog is only opened if at least one user can be added.

Remove

Deletes the selected users from the list without requesting confirmation.

Button >>

Moves all highlighted users to the group of administrators.

Button <<

Moves all highlighted users to the group of users.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.


Assign access rights

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Access rights for Report Launcher > Assign access rights

Option

Description

Object list

Display of all objects in the Report Launcher in an expandable tree structure. Each object is assigned an icon in the tree structure, which reflects its data type. The following data types are displayed:

  • Folder
  • Data Source
  • Report or linked report
  • Different type

There is also a symbol for each object, which shows that the object inherits its configuration.

Editing:

If an object is marked, it is unlocked for editing in the right part of the dialog.

Several projects can also be edited at the same time. To do this, they are selected by activating the check box in front of them. If several objects are selected for editing, the configuration of the object with the first path in alphabetical order (the furthest up in the tree) is displayed.

If objects with different configurations are selected together, a warning is shown.

Expand all

Clicking on this expands all nodes.

Collapse all

Clicking on this collapses all nodes. Only the root folder is displayed.

Select all

Activates the checkboxes of all visible elements.

Deselect all

Deactivates the checkboxes of all elements.

Separator

Left area (tree with objects) and right area (configuration) are divided by a separator. To change the ratio between the two, drag the separator with the mouse into the desired direction.

Define user access configuration for this item

Active: The rights of the user are defined for the selected objects with the following configuration elements.

The properties for the Home object, the uppermost object, must always be defined.

Inherit user access configuration from parent item

Active: The selected elements inherit their properties from the superordinate object.

If the configuration is inherited, the user rights can be displayed, but not changed.

Attention: If an Inherit access rights from superordinate object object is set, the configuration set before this is lost. The loss of the configuration can be prevented by closing the dialog. However all the changes that have been made before that are also lost.

Configured users and their access rights

List of all users assigned to the selected objects and their access rights. Each user is displayed in their own line. Several users can be selected at the same time.

The following are displayed:

  • User names
  • Roles assigned to the user; several roles are displayed separately by means of a comma

Scroll

The roles of the users are stipulated using the checkboxes below the list. Each user can have several roles at the same time.

If several users are highlighted in the table, the configuration of the last-selected user is displayed. Each change then has an effect on all highlighted users.

If a user does not have a role for an object, they are considered deleted when setting the configuration for this object. There are the following roles:

  • Browser
  • Content manager
  • My reports
  • Publisher
  • Report Builder

Only available if Define access rights for this object has been activated.

Add

Opens the dialog for adding users.

Only available if Define access rights for this object has been activated.Only users or user groups that have been configured in the Assign user profile tab can be selected. Users who have already been added are filtered out in the dialog. The dialog is only opened if at least one user can be added.

Remove

Deletes all selected users from the list.

Only available if Define access rights for this object has been activated.

Browser

Active: The role is assigned to selected users.

The user can see the folder and reports and subscribe to reports.

Content manager

Active: The role is assigned to selected users.

The user can manage content on the report server. This includes folder, reports and sources.

My reports

Active: The role is assigned to selected users.

The user can:

  • Publish reports and linked reports
  • Manage folders, reports and sources in a user's My reports folder

Publisher

Active: The role is assigned to selected users.

The user can publish reports and linked reports on the report server.

Report Builder

Active: The role is assigned to selected users.

The user can see report definitions and start the Report Builder.

Warnings

Only visible if errors are present. Consists of: Warning symbol, text with warning notice and button to display the details.

Condition for display of warnings:

  • Two or more objects are highlighted in the tree structure, the configurations of which are different The warning notice is displayed. Clicking on the Details button opens a window with details on the warning.
  • All objects highlighted in the tree structure have the same configuration, but two or more highlighted users have different configurations. The warning notice is displayed. Clicking on the Details button opens a window with details on the warning.

Attention: The display of a warning means that changes to the configuration and the confirmation of these also makes changes for objects with an original configuration that is different to the configuration displayed here. The original configuration for these objects is then lost.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

attention Attention

In this tab, the rights of the user currently connected are not protected from changes. Erroneous configuration when assigning roles can thus lead to no users having sufficient administration rights on the report server.


Warning details for different authorization levels

zenon Analyzer > ZAMS - zenon Analyzer Management Studio > User administration and access rights > Access rights for Report Launcher > Warning details for different authorization levels

If configurations are selected that are in conflict and could lead to the loss of previously-established configurations, a warning is shown in the configuration dialog. Warnings are shown if:

  • Two or more objects were highlighted in the tree structure, the configurations of which are different
  • Two or more highlighted users have different configurations

There are different access rights to objects on the report server

If several objects that have different settings are selected for configuration at the same time, a warning is displayed in the configuration dialog:

Clicking on the Details button opens a window with details on the warning. No inputs can be made in this dialog:

Option

Description

List of objects

Display of all selected objects.

The first column shows the type of warning:

  • Gray circle: Basis for comparison. The configuration of the object with the first path in alphabetical order (the furthest up in the tree) is selected as a basis.
  • Green check mark: Corresponds to comparison basis.
  • Yellow triangle: Differs from the comparison basis.

The second column shows the object path.

One line each can be selected in this list. The configuration details for the selected object are displayed in the lower area.

Separator

Upper area (objects) and lower area (user) are divided by a separator. To change the ratio between the two, drag the separator with the mouse into the desired direction.

Inherit user access configuration from parent item

The symbol shows whether the assignment of the configuration mode:

  • Is a basis for comparison (hash symbol) : Basis for comparison. The configuration of the object with the first path in alphabetical order (the furthest up in the tree) is selected as a basis.
  • Corresponds to comparison basis (blue circle)
  • Differs from comparison basis (yellow triangle)

The checkbox shows the configuration mode:

  • active: Object inherits configuration from superordinate object
  • Inactive: Object is configured individually

List of users and their roles

Each row of this table constitutes a user and has one of the three following background colors:

  • White: The user is defined in both the comparison basis and the object currently being looked at.
  • Grey: The user is defined in the object currently being looked at, however they do not appear in the comparison basis.
  • Red: The user is defined in the comparison basis, however does not appear in the object being looked at.

The table consists of the following columns:

  • Symbol for the type of row. The symbols correspond to those in the List of objects area.
  • User names
  • Columns with the possible roles.
    Activated checkbox: The user has this role.

Close

Closes the window.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Roles for users

If users with different settings are selected for joint configuration, a warning notice is shown in the dialog to configure the access rights:

Clicking on the Details button opens a window with details on the warning. No inputs can be made in this dialog:

Option

Description

User List

Display of all configured users.

The first column shows the type of warning:

  • Hash: Basis for comparison. The configuration is selected on the basis of the last selected user.
  • Blue circle: Corresponds to comparison basis.
  • Yellow triangle: Differs from the comparison basis.

The other columns contain the user names and the display of the respective roles.
Activated checkbox: The user has this role.

Close

Closes the window.

The size and position of the dialog can be changed. These settings are saved as user-dependent.


Metadata database editors

zenon Analyzer > Metadata database editors

There are editors available to edit metadata in zenon Analyzer:

  • Manual Data Editor: Used for the editing of the tables for price and standard values in a zenon Analyzer metadata database.
  • Metadata Editor: Allows the editing of die labels and descriptions of various objects.

The applications can be can be started from ZAMS, from the Start menu and from Windows Explorer as independent programs.

Other topics in this chapter

Metadata Editor

Manual Data Editor


Metadata Editor

zenon Analyzer > Metadata database editors > Metadata Editor

The Metadata Editor makes it possible to:

  • Enter equipment information
  • Amend visual names and descriptions for equipment, event classes, event groups, users, projects, variables and archives
  • To create and edit efficiency class models

The Metadata Editor is typically used between the export of metadata with the Analyzer Export Wizard and the start of report creation with ZAMS.
The Metadata Editor is a separate application. This can be started for editing directly from ZAMS, from the start menu item or directly via the file.

info Information

If visual names of objects are changed, it may be necessary to re-deploy or re-configure reports from ZAMS. It is generally sufficient to open the editing dialog once and to close it again.

Requirements

To be able to use the Metadata Editor with a database, the following requirements must be met:

  • The database must be a version 2.0 or higher Analyzer database with a valid structure.
  • The user must have the rights to edit the metadata.
    These rights can be configured in ZAMS.

ZAMS

To open the Metadata Editor in ZAMS:

  1. Navigate to the Options ribbon in ZAMS.
  2. Select the Metadata Editor entry

    The Metadata Editor is started. The dialog toi establish a connection is opened at the same time.

Start as stand-alone application:

  • In the Windows Start menu, select the COPA-DATA -> Metadata Editor. entry.
    The Metadata Editor is started.

info Information

Inputs in text fields are evaluated during configuration. Dialogs can be confirmed with OK if there are no validation errors.

In general, the following applies:

  • The following are not permitted for display name, names, references identifications and meanings: Comma (,) and simple apostrophe (').
  • The following is not permitted for descriptions, units and status text: Comma (,)

Errors are explained in pop-up messages.

Keyboard shortcuts

The following key combinations are available for use in the Editor:

Key combination | Description
F1 | Opens help
Ctrl+Shift+C | Opens the dialog for creating a database backup.
Ctrl+S | Saves changes.
Alt+F4 | Closes the zenon Editor
Ctrl+Z | Undo input
Ctrl+Y | Repeat input.

Other topics in this chapter

Connect

Main window

Actions

Menu, toolbar and status line

Options


Connect

zenon Analyzer > Metadata database editors > Metadata Editor > Connect

The Metadata Data Editor administers its own connection profile. The ZAMS connection profiles are also read on startup. If there are profiles in the Metadata Editor and in ZAMS with the same name, this dominates the connection profile of the Manual Data Editor.

To link the Manual Data Editor to a database:

  1. Start the Metadata Editor as a Stand alone Tool from the start menu or using the EXE file from the options in ZAMS.
    If the Metadata Editor has already been opened, select the Establish connection command in the File menu.

    The dialog to connect to a server is opened.

  2. Select the desired connection by clicking on Connection profile or create a new connection in a similar manner to that of ZAMS.

    Note: In this connection dialog, no change password is required for secure communication.

  3. Click on OK.
    1. The connection is created.
    2. The user authorization is queried by the license server
    3. The database is checked to see that it is correct.
      Note: No connection is established if there are incorrect structures or versions. Conversion is only possible with ZAMS.
    4. Data is loaded
    5. The license is obtained.
      Errors when obtaining the license are shown in a pop-up.
    6. The loaded data is displayed in the Manual Data Editor.

Note: Unsaved changes are lost without warning when the connection is established.


Main window

zenon Analyzer > Metadata database editors > Metadata Editor > Main window

Range

Description

Menu bar

Menus to edit and save the objects.

Tool Bar

Symbols to edit and save the objects.

Object type window

Selection of the object type to be edited. The following are available:

  • Equipment modeling :
    Clicking this shows the configured equipment models in the object selection window.
  • Event classes:
    Clicking this shows event classes in a filtered list with a project reference in the Object selection window.
  • Event groups:
    Clicking this shows event groups in a filtered list without reference to a project in the object selection window.
  • User:
    Clicking this shows users in a filtered list without reference to a project in the object selection window.
  • Projects:
    Clicking this shows projects in a filtered list without reference to a project in the object selection window.
  • Variables:
    Clicking this shows variables in a filtered list without reference to a project in the object selection window.
  • Archives:
    Clicking this shows archives in a filtered list without reference to a project in the object selection window.
  • Efficiency class models:
    Clicking shows configured efficiency class models in the Window object selection. These are created and edited in the editing area.
  • Reference curves:
    Selection of reference curves.

Object selection window

Selection of the objects according to the type of list by marking of checkboxes and marking the respective line.

Editing area

Entry and acceptance of changes.

Status bar

Display of status information on connection and actions.


Actions

zenon Analyzer > Metadata database editors > Metadata Editor > Actions

Visual names and descriptions can be amended in the Metadata Editor and equipment information can be entered. Changes can be made to the following object types:

  • Equipment Modeling
  • Event classes
  • Event groups
  • Users
  • Projects
  • Variables
  • Archives
  • Efficiency class models
  • Reference curves

Save changes

Changes are transferred to the database by means of the command or the Save changes symbol and saved there. The transfer of changes is checked and confirmed once this has been carried out (Commit). If a change to a variable is not successful, the transaction is reversed (Rollback).

attention Attention

If an error occurs when completing one of the transactions (Rollback or Commit), the database can become corrupted and thus unusable.

Undo - Restore

Actions in the Manual Data Editor can be undone or restored.

Undo

To undo actions:

  1. Select the Undo command in the toolbar.
  2. Clicking directly on the symbol undoes the last action.
  3. Clicking on the button opens a window with the available actions:

  4. Highlight the desired actions.

    Several interrelated actions from the top (last to be have been carried out) to the bottom.

  5. The status line shows how many actions are being undone.
  6. Clicking on the selected action undoes it.

Restore

To restore actions:

  1. Select the Restore command in the toolbar.
  2. Clicking on the symbol directly restores the last action that has been undone.
  3. Clicking on the button opens a window with the available actions that were undone:

  4. Highlight the desired actions.

    Several interrelated actions from the top (last to be have been undone) to the bottom can be selected.

  5. The status line shows how many actions have been restored.
  6. Clicking on the selected action restores it.

Other topics in this chapter

Equipment Modeling

Event classes

Event groups

Users

Projects

Variables

Archives

Efficiency class models

Reference curves


Equipment Modeling

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Equipment Modeling

Metadata and equipment information can be changed for equipment models. Two tabs are available for the configuration:

  • Metadata
  • Equipment information

Equipment modeling toolbar and context menu

Nodes can be expanded or collapsed and checkboxes can be activated or deactivated using the toolbar and a context menu. The functionality of toolbars and the context menu has a different effect:

  • Symbols: Have an effect on all entries in the complete tree. Only the visible elements are taken into account during selection/deselection.
  • Commands in the context menu: Has an effect on the selected nodes and all its subnodes, regardless of their visibility.

Tool Bar

The symbols´ meaning from left to right:

Symbol | Description
Expand all nodes | Clicking expands all nodes of an equipment model.
Collapse all nodes | Clicking collapses all nodes of an equipment model. Only root folders are displayed.
Select all visible nodes | Clicking activates all checkboxes of all displayed equipment models and equipment groups. Collapsed branches are not activated.
Deselect all entries | Clicking deactivates all checkboxes of all equipment models and equipment groups.

Context Menu

Right clicking on an equipment model or an equipment group opens a context menu:

Command | Description
Expand node and all child nodes | Expands this node and all subordinate elements.
Collapse node and all child nodes | Clicking closes this node and all subordinate elements.
Select node and all visible child nodes | Activates the checkboxes for the selected entry and all subordinate entries.
Deselect entry and all subordinate entries | Deactivates the checkboxes for the selected entry and all subordinate entries.

Other topics in this chapter

Metadata

Equipment information


Metadata

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Equipment Modeling > Metadata

To edit the metadata:

  1. In the Object type window, select the Equipment modeling area.
  2. In the Object selection window, select the desired object from the tree of the equipment groups.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Option

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the equipment groups to be changed.

The objects:

  • Are selected using checkboxes
  • Cannot be filtered
  • Are displayed in accordance with the following schematic:
    Visualname: "Description Text"
  • Receive an asterisk (*) as a suffix if a text has been changed

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of an equipment group.

Only available if precisely 1 element has been selected. The following rules apply to the visual names:

  • must not be empty
  • Must be unique for equipment groups with the same superordinate equipment group

Description

Entry to change the description of equipment groups.

Note: If several objects with different descriptions are selected for change, the original description of the first element in the list is displayed in red. Changes have an effect on all highlighted objects.

Reference curve

Selection of a reference curve from drop-down list.

The selection only has an effect on all selected equipment groups. The No reference group entry can also be selected. All linkings to reference curves are thus released.

If different reference curves have been configured for the selected equipment groups, the drop-down list is shown with a red border.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Equipment information

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Equipment Modeling > Equipment information

To amend equipment information:

  1. In the Object type window, select the Equipment modeling area.
  2. In the Object selection window, select the desired object from the tree of the equipment groups.

    Note: You can also change equipment information for several objects at the same time.

  3. If equipment information is already present, these are displayed in the editing area.
  4. If you want to create equipment information from scratch, click on the New button.
  5. Enter the desired information in the editing area.

    In doing so, please note:

    • The identification must not be empty.
    • Each entry within an equipment group must have a unique identification.
  6. Add further lines if required.
  7. Delete lines that are not needed by clicking on the X button.
  8. Click on the button Apply.
  9. Click on the Save changes symbol to write the changes to the database.

Option

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the equipment groups to be changed.

The objects:

  • Are selected using checkboxes
  • Cannot be filtered
  • Are displayed in accordance with the following schematic:
    Visualname: "Description Text"
  • Receive an asterisk (*) as a suffix if a text has been changed

Editing area

Each line in the editing area corresponds to an entry in the EQUIPMENTINFO table, which is assigned to the currently-selected equipment group. Several equipment groups can also be selected.

If several equipment groups with different entries are selected, then a warning is shown at the lower border of the editing area. The entries of the equipment group are then displayed with the lowest ID that has fewer than 0 entries.

Symbol: New

Clicking on the button adds a new line.

A line consists of the following elements:

  • Identification (mandatory)
  • Text value (optional)
  • Numeric value (optional)
  • Measuring unit (optional)

Identification

Input of the identification for the entry. In doing so, the following rules apply:

  • Identification must not be empty.
  • Each entry within an equipment group must have a unique identification.

Text value

Input of a text value for the entry.

Can be activated/deactivated by means of a checkbox.

Numerical value

Input of a numeric value for the entry. In doing so, the following rules apply:

  • If this option value is activated, there must be a valid floating point number.

Can be activated/deactivated by means of a checkbox.

Measuring unit

Input of a measuring unit for the entry.

Can be activated/deactivated by means of a checkbox.

X

Clicking on the symbol deletes the line from the list.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken. A violation of the rules is displayed by the background color of the input field changing and a tooltip being displayed.


Event classes

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Event classes

To make changes for event classes:

  1. In the Object type window, select the Event classes area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Option

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the event classes to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)

Each line is an entry.

Filter

Entry of filter criteria for the list of the event classes.

It is possible to filter according to:

  • Identification
  • Visual name
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of an event class.

Only available if precisely 1 element has been selected. The following rules apply to the visual names:

  • must not be empty
  • Must be unique to the whole database

Description

Entry to change the description of event classes.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Event groups

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Event groups

To make changes for event groups:

  1. In the Object type window, select the Event groups area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Option

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the event groups to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)

Each line is an entry.

Filter

Entry of filter criteria for the list of the event classes.

It is possible to filter according to:

  • Identification
  • Visual name
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of an event group.

Only available if precisely 1 element has been selected. The following rules apply to the visual names:

  • must not be empty
  • Must be unique to the whole database

Description

Entry to change the description of event groups.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Users

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Users

To make changes for users:

  1. In the Object type window, select the User area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Option

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the users to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)

Each line is an entry.

Filter

Entry of filter criteria for the list of users.

It is possible to filter according to:

  • Identification
  • Visual name
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of a user.

Only available if precisely 1 element has been selected. The following rules apply to the visual names:

  • must not be empty
  • Must be unique to the whole database

Description

Entry to change the description of users.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Projects

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Projects

You can administer existing zenon projects in this tab, as well as add and administer new projects.

Insert project

To use zenon Analyzer with third-party databases, you may need a separate project. You can create and administer this in the Metadata Editor.

Attention: Self-created projects can no longer be deleted from the database.

To add a project:

  1. In the object selection window, click on the button to add (a green plus sign).

    A new line is added to the list of projects.

    The identification is prescribed by the Metadata Editor and cannot be changed.

  2. Amend the display name and/or description.
  3. Click on the button Apply.

    The project is entered into the database.

Administering projects

The display name and description of all projects can be changed.

To administer projects:

  1. In the Object type window, select the Projects area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name or the description.
  4. Click on the button Apply.

    All changes are highlighted in red.

  5. Click on the Save changes symbol to write the changes to the database.

Projects dialog

Option

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the projects to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)

Each line is an entry.

Filter

Entry of filter criteria for the list of projects.

It is possible to filter according to:

  • Identification
  • Visual name
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Add
(plus sign)

Creates a new project in the list of projects. The identification is prescribed and fixed. The new project can no longer be deleted after saving.

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of a project.

Only available if precisely 1 element has been selected. The following rules apply to the visual names:

  • must not be empty
  • Must be unique to the whole database

Description

Entry to change the description of projects.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Variables

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Variables

To make changes for variables:

  1. In the Object type window, select the Variables area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Option

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the variables to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)
  • Each line is an entry.

Filter

Entry of filter criteria for the list of variables.

It is possible to filter according to:

  • Project
  • Identification
  • Visual name
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of a variable.

Only available if precisely 1 element has been selected. The following rules apply to the visual names:

  • must not be empty
  • Must be unique within a project

Description

Entry to change the description of variables.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Archives

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Archives

To make changes for archives:

  1. Select, in the Object type Window, the Archive area.
  2. If necessary, filter the list in the Window Object Selection.

    Highlight the desired entry.

    Note: You can also change the description for several objects at the same time.

  3. In the editing area, enter the desired changes for the visual name or the description.
  4. Click on the button Apply.
  5. Click on the Save changes symbol to write the changes to the database.

Option

Description

Object type window

Selection of the object type, for which objects are to be changed.

Object selection window

Selection of the archives to be changed.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)
  • Each line is an entry.

Filter

Entry of filter criteria for the list of the event classes.

It is possible to filter according to:

  • Project
  • Identification
  • Visual name
  • Description

Wildcards can be used:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

Editing area

Entry and acceptance of changes.

Visual name

Entry to change the visual name of an archive.

Only available if precisely 1 element has been selected. The following rules apply to the visual names:

  • must not be empty
  • Must be unique within a project

Description

Entry to change the description of archives.

Note: If several objects with different descriptions are selected for change, the original description of the last element selected is displayed in red. Changes have an effect on all highlighted objects.

Apply

Clicking on the button accepts the changes. These are only written by clicking on the command or the Save changes symbol in the database.

Only available if a change has been made and no rules have been broken.


Efficiency class models

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Efficiency class models

Efficiency class models are administered in the Object selection window. In the Editing area, the attendant metadata is edited and efficiency classes are created and edited.

Option

Description

Object type window

Selection of the object type, for which objects are to be changed. For efficiency class models, click on the symbol in the tree.

Object selection window

Selection of the efficiency class models to be edited.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)

Each line is an entry.

Editing area

Entry and acceptance of changes.

Administer efficiency class models

Efficiency class models are displayed in the Object selection window. They can be filtered, as well as newly created, duplicated and deleted.

Key:

  • : new
  • : duplicate
  • : delete

Filter

Option

Description

Filter

It is possible to filter according to:

  • Visual name: Filtering according to visual name. Use of wild cards is possible.
  • Measuring unit: Filtering according to measuring unit. Use of wild cards is possible.
  • Normalization: Filtering for time normalization. Select from drop-down list.

Filtering with wild cards:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

List of efficiency class models

List of efficiency class models

Lists all existing efficiency class models. The following is displayed for each model:

  • Visual name:
    Name that is displayed with the model.
  • Measuring unit:
    Selected measuring unit
  • Normalization:
    Selected time normalization
  • Number of efficiency classes:
    Amount of efficiency classes contained in the model.

Several models can be selected at the same time. For selected models, the following is possible in the editing area:

  • Metadata can be configured
  • Efficiency classes can be created and edited

Symbol: New

Active if there is a connection to the database.

Clicking creates a new line for the configuration of a new efficiency class model, resets any existing filter and selects the new model for editing.

Symbol: Duplicate

Active if there is a connection to the database and at least one model has been selected.

Creates a duplicate of all selected models and opens the dialog to configure the duplicated models. Once the dialog has been confirmed with OK, the duplication is carried out, any existing filter is reset and the duplicated models are selected for editing.

Symbol: Delete

Active if there is a connection to the database and at least one model has been selected.

Deletes the selected modles without requesting confirmation.

Other topics in this chapter

Metadata

Efficiency classes

Duplicate Efficiency Class Models


Metadata

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Efficiency class models > Metadata

Metadata for the efficiency class models is configured in the editing area window in the Metadata tab.

The inputs are always applicable for all selected efficiency class models.
Fields that have different configurations for different models are marked in red.

Option | Description
Visual name | The visual name must not be empty and must be unique throughout the database. A change is only possible if precisely one efficiency class model has been selected.
Measuring unit | Configuration of the unit of the selected efficiency class models. If several models with different units are selected, this is highlighted by the amended red font color.
Normalization | Configuration of the time normalization of the selected efficiency class models. If several models with different time normalization are selected, this is highlighted by a red border.
Apply | Only active if a change has been made and the visual names are valid or the input field has been deactivated for the visual name. Clicking on the button saves the changes for the selected efficiency class models. Attention: Unsaved changes in the Efficiency classes tab are lost in the process.


Efficiency classes

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Efficiency class models > Efficiency classes

Efficiency classes for the efficiency class models are configured in the editing area window in the Efficiency classes tab.

The inputs are always applicable for all selected efficiency class models.
If different models have different configurations, this is shown by a message next to the Apply button.

Key:

  • : new
  • : delete

Configuration:

Option

Description

Symbol: New

Clicking on the button adds a new efficiency class with an upper and lower limit.

Visual name

Entry of the visual name of the efficiency class. This must be unique within a model.

Lower limit

Configuration of the lower limit.

There is exactly one class without a lower limit for each model.

Highest value

Configuration of the upper limit.

There is precisely one class without an upper limit for each model.

Efficiency class color

Configuration and preview of the color of the efficiency class.

  • Preview field: Shows the currently configured color.
  • Color button: Click to open the color palette for selecting a color. If this dialog is closed by clicking on OK, the selected color is accepted.

Symbol: Delete

Only present for efficiency classes with an upper limit and lower limit. Clicking on the button deletes the efficiency class for the attendant parts without requesting confirmation.

Apply

Only active if a change has been made and the visual names of all efficiency classes per model are unique and not empty.

Clicking on the button validates the entries. If no validation errors are discovered, the configured efficiency classes for the selected efficiency class models are saved.

Attention: Unsaved changes in the Metadata tab are lost in the process.

Note: The warning next to the button is only visible if efficiency classes with different efficiency configurations have been selected.

Validation

When clicking on the button, the following validations are carried out before saving:

  • All efficiency classes are checked for valid areas: Upper limit > Lower limit, if there are both.
  • A check for limit clashes is made.
    Clash: 2 classes have the same upper limit or the same lower limit.
  • Check to see whether all efficiency classes connect to each other cleanly:
    • Starting with class without lower limit.
    • Ordered in ascending sequence up to class without upper limit.
    • There must be no overlaps or gaps.

If validation errors are discovered, these are shown as an error message in a Popup.


Duplicate Efficiency Class Models

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Efficiency class models > Duplicate Efficiency Class Models

Clicking on the Duplicate symbol in the Object selection window of the efficiency class models opens a dialog with the efficiency class models to be duplicated. These can be configured here. Further models for duplication can also be added.

For duplication, the selected original models are shown in the left area of the dialog. The attendant duplicates can be configured in the right area.

Key:

  • : delete

Configuration:

Option

Description

Original model

Display of the visual name of the original model for the duplicate.
There is already a cell entered for all models selected in the Efficiency class models dialog.

Further models can be added for duplication.

To do this, select a model from the drop-down list in the empty entry of the last lines.
All other input fields are activated and visible as a result of this. If there is then no line for a new duplicate, a new line for a new duplicate is added.

Measuring unit

Display of the measuring unit of the original model.

Normalisation

Display of the time normalization of the original model.

New model

Entry of the visual name of the duplicate.
For this, the following applies:

  • The name must be unique throughout the database.
  • The initial value is the visual name of the original model with a counter appended.

Measuring unit

Input of the measuring unit of the dublicate.
In doing so, the following applies:

  • The initial value is the measuring unit of the original model.

Normalisation

Configuration of the time normalization of the duplicate.
For this, the following applies:

  • The original value is the normalization of the original model.
  • If this setting is changed, the class adjustment factor is reinitialized.

Class adjustment factor

Configuration of the adjustment factor for the class boundaries in the duplicate model using a counter element.

When duplicating, the classes in the duplicate model are generated as follows:

  • The classes from the initial model are duplicated.
  • Their limits are then multiplied by the factor set here.

When initializing, the factor is calculated as follows:
[Minutes of the normalization interval in the initial model]/[Minutes of the normalization interval in the duplicate]
In doing so, the following is applicable:

  • An hour has 60 minutes
  • A day has 24 hours = 1440 minutes
  • A week has 7 days = 7 * 1440 minutes
  • A month has 30 days = 30 * 1440 minutes
  • A quarter has 90 days = 90 * 1440 minutes
  • A year has 365 days = 365 * 1440 minutes

Symbol: Delete

Clicking on the button deletes the attendant duplicate configuration without requesting confirmation.

OK

Accepts configuration, closes dialog and shows duplicates in the Efficiency class models dialog.

Cancel

Cancels duplication and closes the dialog.


Reference curves

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Reference curves

Reverence curves are administered in the Object selection window. In the Editing area, the attendant metadata is edited and reverence curves are created and edited.

Option

Description

Object type window

Selection of the object type, for which objects are to be changed. For reverence curves, click on the symbol in the tree.

Object selection window

Selection of the reverence curve models to be edited.

The objects:

  • Can be filtered
  • Are selected by clicking on the line
    (multiple selection is possible)
  • Are highlighted in red if they have been changed
    (the highlighting is also retained if the change is undone.)

Each line is an entry.

Editing area

Entry and acceptance of changes.

Edit reverence curves

Reverence curves are displayed in the Object selection window. They can be filtered, as well as newly created and deleted.

Key:

  • : new
  • : delete

Filter

Option

Description

Filter

It is possible to filter according to:

  • Visual name:
    Filtering according to visual name.
  • Description:
    Filtering according to description.
  • X-axis indicator name:
    Filtering according to indicator name of the X-axis.
  • X-axis measuring unit:
    According to the measuring unit of the X-axis.
  • Y-axis indicator name:
    Filtering according to the indicator name of the Y-axis.
  • Y-axis measuring unit:
    Filtering according to the measuring unit of the Y-axis.

The use of wild cards is possible for the filter.
Filtering with wild cards:

  • *: any desired number of any desired characters
  • ?: precisely 1 desired character.

If a filter text does not contain a wild card, a * is automatically added.

Apply

Applies filter to list.

Delete

Resets filter

List of reference curve models

List of reference curve models

Lists all existing reference curve models. The following is displayed for each model:

  • Visual name:
    Name that is displayed with the reference curve model.
  • Description:
    Description.
  • X-axis indicator name:
    Indicator name of the X-axis.
  • X-axis measuring unit:
    Selected measuring unit of the X-axis.
  • Y-axis indicator name:
    Indicator name of the Y-axis.
  • Y-axis measuring unit:
    Selected measuring unit of the Y-axis.

Several reference curve models can be selected at the same time. For selected models, the following is possible in the editing area:

  • Metadata can be configured
  • Values of the reference curves can be created and edited

Symbol: New

Active if there is a connection to the database.

Clicking creates a new line for the configuration of a new reference class model, resets any existing filter and selects the new reference curve model for editing.

Symbol: Delete

Active if there is a connection to the database and at least one model has been selected.

Deletes the selected reference curve models without requesting confirmation.

Other topics in this chapter

Metadata

Reference curve values


Metadata

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Reference curves > Metadata

Metadata for the reference curves is configured in the editing area window in the Metadata tab.

The inputs are always applicable for all selected reference class models.
Fields that have different configurations for different models are marked in red.

Option | Description
Visual name | The visual name must not be empty and must be unique throughout the database. A change is only possible if precisely one reverence curve model has been selected.
Description | Description of the reference curve.
X-axis indicator name | Indicator name of the X-axis for the selected reference curve models.
X-axis measuring unit | Unit of the X-axis for the selected reference curve models.
Y-axis indicator name | Indicator name for the Y-axis.
Y-axis measuring unit | Unit of the Y-axis for the selected reference curve models.
Apply | Only active if a change has been made and the visual names are valid or the input field has been deactivated for the visual name. Clicking on the button saves the changes for the selected reference class models. Attention: Unsaved changes in the Values of the reference curve tab are lost in the process.

info Information

If several reference curve models are selected for configuration and their values are different, this is shown in red font in the respective property. When applying the changes, all selected equipment groups are overwritten with the new value.


Reference curve values

zenon Analyzer > Metadata database editors > Metadata Editor > Actions > Reference curves > Reference curve values

Inputs of the support points of the reference curve are configured in this tab.

The inputs are always applicable for all selected reference class models.
If models with different values are selected, there is a notice next to the Apply button.

Option

Description

Curve input table

Table for curve input with columns for:

  • Horizontal value (X-axis)
  • Vertical value (Y-axis)

Edit table:

  • Add line: Enter a value into the lowest line in the cell, the value for horizontal value. A new line is created underneath.
  • Delete: Click on the cell in the line that is furthest to the left. The line is highlighted. Press the DEL key.

The following is applicable for the the configuration of the table:

  • Values for horizontal value must be unique in the table and ascending.
  • No empty cells can be present, with the exception of the lowest line.
  • Entered values must be able to be converted to floating point numbers with double precision.

Preview

Clicking on the button shows the configured values as a preview screen.

Preview area

The table content is validated by clicking on the Preview button and a preview is displayed on the diagram.

Apply

Only active if a change has been made.

Clicking on the button validates the entries. If no validation errors are discovered, the configured reference curves for the selected reference class models are saved.

Attention: Unsaved changes in the Metadata tab are lost in the process.

Note: The warning next to the button is only visible if reference curve models with different reference curve configurations have been selected.


Menu, toolbar and status line

zenon Analyzer > Metadata database editors > Metadata Editor > Menu, toolbar and status line

The menu and toolbar offer a range of commands to administer the Metadata Editor.

Note: The menu is only available if the Metadata Editor is started from ZAMS as an EXE file, but not the control in zenon Runtime.

Menu

File

Commands for general operations.

Entry | Description
Connect | Opens the dialog to create a connection. Note: If the dialog to create a connection is confirmed by clicking on OK, then a new attempt to establish a connection is made. Unsaved changes are then discarded without confirmation being requested.
Apply changes | Saves all changes made in the database.
Discard Changes | Discards all changes made since the last save after requesting confirmation.
Settings | Opens the dialog to configure the settings.
Exit | Closes the Manual Data Editor.

Edit

Commands for repeating and undoing actions.

Entry | Description
Undo | Undoes the last action.
Redo | Restores the last undone action

Help

Link to help and version information.

Entry | Description
Info about | Opens a window with information on the current version.
Help | Opens online help.

Tool Bar

Symbol | Description
Connect | Opens the dialog to create a connection. Note: If the dialog to create a connection is confirmed by clicking on OK, then a new attempt to establish a connection is made. Unsaved changes are then discarded without confirmation being requested.
Save changes | Saves all changes made.
Discard Changes | Discards all changes made since the last save after requesting confirmation.
Undo | Clicking on the symbol undoes the last action. Clicking on the arrow of the drop-down list opens a window to select actions that are to be undone. Only the last chronological action or other subsequent actions can be undone as a block.
Restore | Clicking on the symbol restores the last undone action. Clicking on the arrow of the drop-down list opens a window to select actions that have been undone that are to be restored. Only the last chronological action or other subsequent actions can be restored as a block.

Status line

Informs you of the connection and objects.
Separator: |

Item

Description

Symbol

Shows the connection status.

The following are possible as a status:

  • No connection established
  • Connection established but the Analyzer server license is not valid
  • Connection established and the Analyzer server license is valid
  • Secured connection established, the license is valid
  • Secured connection established, the license is invalid

Connection information

Information on the active connection. Display of the server and the database.

Information [Objects], total

Information on the number, selection and status of the selected objects.

Separator: /

Note: If changes are undone, then the counter for the number of changed objects is not decremented but keeps its value.

Action

Information on current action


Options

zenon Analyzer > Metadata database editors > Metadata Editor > Options

In this dialog, you configure:

  • The number of permitted connection profiles
  • Administration of the connection profiles
  • The language of the user interface of the Editor

To configure the settings:

  1. Open the menu File
  2. Select the command Settings.

    The dialog for configuring settings is opened

Settings dialog

Option

Description

Maximum number of connection profiles

Defines how many connection profiles can be created as a maximum for the Editor:

  • Minimum: 1
  • Maximum: 255
  • Default: 10

Configuration by manual entry or by clicking on arrows.

Note: Because the ZAMS connection profile can also be displayed in the dialog for establishing a connection, more than the permitted amount of connection profiles can be displayed in the drop-down list to select a profile.

Manage connection profiles

Opens the dialog to manage the connection profiles.

Language

Selection of the desired language for the user interface of the Editor from a drop-down list.

SQL Server statement timeout

Entry of the SQL server statement timeout.

This timeout enters into force if an individual SQL Statement runs for longer than is defined here, for example when backing up or when restoring a large database. With new connections, the currently-set value is used for the Timeout. If this is amended in the options, the existing connections are amended to the new value.

The Timeout can be set to a value between 1 minute and 7 days.

Input elements:

  • Number element:
    Entry of the quantity in the field directly or by means of the arrow keys.
    Possible values for :
    - days: 1 - 7
    - hours: 1 - 168
    - minutes: 1 - 10080
  • Drop-down list for granularity:
    Possible values:
    - minutes
    - hours
    - days
    This selection influences the value range of the number element.

Default:5 minutes

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Manual Data Editor

zenon Analyzer > Metadata database editors > Manual Data Editor

The Manual Data Editor makes it possible, in a zenon Analyzer metadata database, to edit the tables for prices, standards and degree days and to link these to variables. The Manual Data Editor is a separate application. This can be started for editing directly from ZAMS, from the start menu item or directly via the file.

ZAMS

To open the Manual Data Editor in ZAMS:

  1. Navigate to the Options ribbon in ZAMS.
  2. Select the Manual Data Editor entry.

    The Manual Data Editor is started. At the same time, the dialog to establish a connection is opened.

Start as stand-alone application:

  • In the Windows Start menu, select the COPA-DATA -> Manual Data Editor. entry.
    The Manual Data Editor is started.

Keyboard shortcuts

The following key combinations are available for use in the Editor:

Key combination | Description
F1 | Opens help
Ctrl+Shift+C | Opens the dialog for creating a database backup.
Ctrl+S | Saves changes.
Alt+F4 | Closes the zenon Editor
Ctrl+Z | Undo input
Ctrl+Y | Repeat input.

Other topics in this chapter

Connect

Main window

Configuration

Actions

Settings


Connect

zenon Analyzer > Metadata database editors > Manual Data Editor > Connect

The Manual Data Editor administers its connection profiles. The ZAMS connection profiles are also read on startup. If there are profiles in the Manual Data Editor and in ZAMS profiles with the same names, the connection profile of Manual Data Editor dominates.

To connect the Manual Data Editor to a database:

  1. Start the Manual Data Editor as a Stand alone Tool from the start menu or using the EXE file from the options in ZAMS.
    If the Manual Data Editor has already been opened, select the Establish connection command in the File menu.

    The dialog to connect to a server is opened.

  2. Select the desired connection by clicking on Connection profile or create a new connection in a similar manner to that of ZAMS.

    Note: In this connection dialog, no change password is required for secure communication.

  3. Click on OK.
    1. The connection is created.
    2. The user authorization is queried by the license server
    3. The database is checked to see that it is correct.
      Note: No connection is established if there are incorrect structures or versions. Conversion is only possible with ZAMS.
    4. Data is loaded
    5. The license is obtained.
      Errors when obtaining the license are shown in a pop-up.
    6. The loaded data is displayed in the Manual Data Editor.

Note: Unsaved changes are lost without warning when the connection is established.


Main window

zenon Analyzer > Metadata database editors > Manual Data Editor > Main window

The main window shows the definitions present in the currently-connected database or variables for the respective tab that is open.
The following are available:

  • Price (definitions)
  • Standard (definitions)
  • Degree day (definitions)
  • Variable (variables)

All entries can be sorted and filtered. The Price tab is displayed on starting. All existing data is shown as unfiltered.

Range

Description

Menu line

Menu items for:

  • File: Creating, amending and administering entries for the connection, settings and closing the Manual Data Editor.
  • Edit: Entries for Undoing entries for entries and repeating entries.
  • Help: Versions and link to online help.

Tool Bar

Allows the following actions:

  • Establish connection: Opens the dialog for creating a connection.
  • Accept changes: Saves changes made.
  • Discard Changes: Rejects changes made.
  • Undo: Undoes the last action.
  • Redo: Repeats the last action.

List of definitions/variables

Display and configuration of the configured trends, standards, degree day definitions or variables, depending on the current tab.

Horizontal separator

Allows the size ratios to be moved between List and entries with the mouse.

Entries

Display and configuration of entries, depending on the selected tab and variables.

Decimal points are displayed up to maximum of 3 places.

Diagram

Visualization of the data configured in the entries.
The diagram is automatically updated each time the values are changed.

Vertical separator

Allows the size ratios to be moved between list of entries and diagram.

Status line

Notice of linking and the current action.

  • Symbol: Shows the connection status.
  • Text: Provides connection status including linked server and linked database.
  • Text: Display of the number of objects for total number, filtered and selected.
  • Text: Current process.

Other topics in this chapter

Menu, toolbars and status line


Menu, toolbars and status line

zenon Analyzer > Metadata database editors > Manual Data Editor > Main window > Menu, toolbars and status line

The menu and toolbar offer a range of commands to administer the Manual Data Editor and the filter rules.

Menu

File

Commands for general operations.

Entry | Description
Establish connection | Opens the dialog to create a connection. Note: If the dialog to create a connection is confirmed by clicking on OK, then a new attempt to establish a connection is made. Unsaved changes are then discarded without confirmation being requested.
Apply changes | Saves all changes made to variables in the database.
Discard Changes | Discards all changes made to variables since the last save after requesting confirmation.
Settings | Opens the dialog to configure the settings.
Exit | Closes the Manual Data Editor.

Edit

Commands for repeating and undoing actions.

Entry | Description
Undo | Undoes the last action.
Redo | Restores the last undone action

Help

Link to help and version information.

Entry | Description
Info about | Opens a window with information on the current version.
Help | Opens online help.

Toolbar Editor

Symbol | Description
Establish connection | Opens the dialog to create a connection. Note: If the dialog to create a connection is confirmed by clicking on OK, then a new attempt to establish a connection is made. Unsaved changes are then discarded without confirmation being requested.
Apply changes | Saves all changes made to the price history and norm history.
Discard Changes | Discards all changes made to the price history and norm history since the last save after requesting confirmation.
Undo | Clicking on the symbol undoes the last action. Clicking on the arrow of the drop-down list opens a window to select actions that are to be undone. Only the last chronological action or other subsequent actions can be undone as a block.
Redo | Clicking on the symbol restores the last undone action. Clicking on the arrow of the drop-down list opens a window to select actions that have been undone that are to be restored. Only the last chronological action or other subsequent actions can be restored as a block.

Toolbar list

Symbol | Description
New | Opens dialog of the respective object to create a new entry.
Edit | Opens the dialog to edit the selected object.
Delete | Deletes selected objects after a confirmation message.
Import | Opens dialog to select a file for import.
Show linked variables | Opens a dialog dialog to display the linked variables. With multiple selection, the variables for last-selected object are displayed.

Note: The symbols that are displayed depend on the selected tab.

Status line

Informs you of the connection and objects.
Separator: |

Element

Description

Symbol

Shows the connection status.

The following are possible as a status:

  • No connection established
  • Connection established but the Analyzer server license is not valid
  • Connection established and the Analyzer server license is valid
  • Secured connection established, the license is valid
  • Secured connection established, the license is invalid

Connection information

Information on the active connection. Display of the server and the database.

Information [Objects], total

Information on the number, filtering and election of the objects (prices, standards, variables).

Separator: /

Action

Information on current action


Configuration

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration

In the Manual Data Editor, prices, standard values (standards) and/or degree days are defined and linked to variables.

The parameters are defined in the tabs:

  • Price
  • Standard
  • Degree day

The definitions are linked to variables in the Variable tab.

During configuration, work stages that have not yet been saved are undone and also restored using the corresponding symbols and menu entries. Saving is carried out using the symbol or the Check in menu entry.

With tables, the column width can be amended by:

  • Double-clicking on the column separator
  • Drag the mouse to the column separator

Other topics in this chapter

Price

Standard

Degree day

Variable


Price

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Price

Prices are configured in this tab.

The tab is divided in three areas:

  • Price trend: Display and configuration of the price trends (top).
  • Price entries: Display and configuration of the price entries (bottom left).
  • Diagram: Display of the trend of the defined price entries (bottom right).

List of price trends

The list contains the configured prices. Configuration is carried out by means of the symbols above the list.

Key:

  • : New
  • : Edit
  • : Delete
  • : Show linked variables

Option

Description

Symbols

Symbol for the configuration of the price trends.

  • Price curves are created and edited with New and edit.
  • Delete removes the selected price curves after requesting confirmation.
  • With Show linked variables, all variables linked to the price curve can be displayed.

Visual name

Unique name of the price trend.

Description

Description of the price trend.

Valid from

Date of validity of the most recent price value.

Value

Value of the most recent price value.

Currency

Currency of the most recent price value.

Create and edit price trend

To create a new price trend:

  1. Click on the New symbol.

    The dialog to configure a price curve is opened.

  2. Please use an unique name.
  3. Enter a description (optional).
  4. Close the dialog by clicking on OK.
  5. Configure the desired price entries.

To edit a price curve, click on the Edit symbol. Change the desired options in the dialog.

List of price entries

In the list of price entries, add the prices to the list of price curves. Their curve is shown in the diagram next to the list.

Key:

  • : New
  • : Edit
  • : Delete

Option

Description

Symbols

Symbols for the configuration of the prices.

  • Prices are created and edited with New and Edit.
  • Delete removes the selected price after requesting confirmation.

Visual name

Unique name of the price.

Description

Description of the price.

Valid from

Date of validity of the price value.

Value

Value of the price value.

Currency

Currency of the price.

Create and edit price entry

To create a new price entry:

  1. Highlight the price curve for which the entry is to be created.
  2. Click on the New symbol in the list of price entries.

    The dialog to configure a price entry is opened.

  3. Configure the time stamp if necessary.
    This cannot be edited later.
  4. Enter the price.
  5. Enter the currency.
  6. Close the dialog by clicking on OK.

Note: New values are only applied when saved to the price curve.

To edit a price entry, click on the Edit symbol. Change the desired options in the dialog.

Other topics in this chapter

Price curve dialog

Price entry dialog


Price curve dialog

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Price > Price curve dialog

Clicking on the New or Edit symbol in the list of the price curves opens the dialog to add a new price curve:

Option | Description
Visual name | Unique name of the price trend.
Description | Optional description of the price trend.
OK | Only active if all inputs are valid. Clicking closes the dialog and adds the new price trend.
Cancel | Closes the dialog without generating a new price trend.


Price entry dialog

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Price > Price entry dialog

Clicking on the New or Edit symbol in the list of the price entries opens the dialog to add a new price entry:

Option

Description

Timestamp

Entry of the time point from when the new price entry is valid. This time can also be in the past.

Input is in:

  • Date field: Direct input without selection from a calendar. Clicking on the button opens the calendar.
  • Time field: Direct entry or configuration using the arrow keys.

A time point is only valid if it does not trigger a time stamp clash.

Note: Only available when creating from scratch. Cannot be edited later.

Price

Entry of the price. Input errors are not approved and displayed by means of a tooltip. The decimal separator corresponds to the settings of the language.

Currency

Entry of the currency for this price. Input errors are not approved and displayed by means of a tooltip.

OK

Only active if all inputs are valid. Clicking closes the dialog and adds the new price entry.

Cancel

Closes the dialog without generating a new price entry.


Standard

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Standard

Standards (norms) are configured in this tab.

The tab is divided in three areas:

  • Standards: Display and configuration of standards (top).
  • Default values: Display and configuration of standard values (bottom left).
  • Diagram: Display of the trend of the defined standard values (bottom right).

List of standards

The list contains the configured standards. Configuration is carried out by means of the symbols above the list.

Key:

  • : New
  • : Edit
  • : Delete
  • : Show linked variables

Option

Description

Symbols

Symbols for the configuration of the standards.

  • Standards are created and edited with New and Edit.
  • Delete removes the selected standards after requesting confirmation.
  • With Show linked variables, all variables linked to a standard can be displayed.

Visual name

Unique name of the standard.

Description

Description of the standard.

Valid from

Date of validity of the most recent standard value.

Value

Value of the most recent standard value.

Create and edit standard

To create a new standard:

  1. Click on the New symbol.

    The dialog to configure a standard is opened.

  2. Please use an unique name.
  3. Enter a description (optional).
  4. Close the dialog by clicking on OK.
  5. Configure the desired standard values.

To edit a standard, click on the Edit symbol. Change the desired options in the dialog.

List of standard values

In the list of standard values, add the standard values to the standards. Their curve is shown in the diagram next to the list.

Key:

  • : New
  • : Edit
  • : Delete

Option

Description

Symbols

Symbols for the configuration of the standard values.

  • Standard values are created and edited with New and Edit.
  • Delete removes the selected standard value after requesting confirmation.

Visual name

Unique name of the standard value.

Description

Description of the standard value.

Valid from

Date of validity of the standard value.

Value

Value of the standard value.

Create and edit standard value

To create a new standard value:

  1. Highlight the standard for which the entry is to be created.
  2. Click, in the list of standard values, on the New symbol.

    The dialog to configure a standard value is opened.

  3. Configure the time stamp if necessary.
    This cannot be edited later.
  4. Enter the value.
  5. Close the dialog by clicking on OK.

Note: New values are only applied when saved to the standard.

To edit a standard value, click on the Edit symbol. Change the desired options in the dialog.

Other topics in this chapter

Standards dialog

Standard value dialog


Standards dialog

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Standard > Standards dialog

Clicking on the New or Edit symbol in the list of standards opens the dialog to add a new standard:

Option | Description
Visual name | Unique name of the standard.
Description | Optional description of the standard.
OK | Only active if all inputs are valid. Clicking closes the dialog and adds the new standard.
Cancel | Closes the dialog without generating a new standard.


Standard value dialog

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Standard > Standard value dialog

Clicking on the New or Edit symbol in the list of standard values opens the dialog to add a new standard value:

Option

Description

Timestamp

Entry of the time point from when the new standard value is valid. This time can also be in the past.

Input is in:

  • Date field: Direct input without selection from a calendar. Clicking on the button opens the calendar.
  • Time field: Direct entry or configuration using the arrow keys.

A time point is only valid if it does not trigger a time stamp clash.

Note: Only available when creating from scratch. Cannot be edited later.

Standard value

Entry of the standard value. Input errors are not approved and displayed by means of a tooltip. The decimal separator corresponds to the settings of the language.

OK

Only active if all inputs are valid. Clicking closes the dialog and adds the new standard value to the list.

Cancel

Closes the dialog without generating a new standard value.


Degree day

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Degree day

Degree days are configured in this tab.

info Information

The number of degree days is a location-dependent parameter that reflects local climatic conditions. A distinction is made between:

  • GTZnorm for the long-term average
  • GTZspez for the current measurement

GTZspez is used for example for the climate adjustment of measured consumption values.

The degree day number Gt or GTZ is calculated as soon as the outside temperature is under the heating limit temperature.

The GTZ is the sum of the differences of a stipulated room interior temperature and the respective average daily value of the outside temperature over all days of a time period when the outside temperature is below the heating limit temperature of the building.

Data for Germany - Austria - Switzerland - Lichtenstein:

  • Germany:
    In accordance with VDI Guideline 2067/DIN 4108 T6, the interior temperature is assumed to be 20° C and the heating limit as 15° C (GTZ20/15).
    Temperature values can be obtained from Deutscher Wetterdienst.
    These values can be imported into the Manual Data Editor.
  • Austria:
    20° C is assumed as the interior temperature, the heating limit is 12° C (HGT20/12).
    Temperature values can be obtained from ZAMG.
  • Switzerland and Lichtenstein:
    20° C is assumed as the interior temperature, the heating limit is 12° C (HGT20/12).
    Temperature values can be obtained from MeteoSchweiz.

The Degree Day tab is divided into three areas:

  • Degree day definitions: Display and configuration of the degree day definitions (top).
  • Degree day values: Display and configuration of the degree day values (bottom left).
  • Diagram: Display of the trend of the defined degree day values (bottom right).

List of degree day definitions

The list contains the configured standard values. Configuration is carried out by means of the symbols above the list.

Key:

  • : New
  • : Edit
  • : Delete
  • : Import
  • : Show linked variables

Option

Description

Symbols

Symbols for the configuration of the degree day definitions.

  • Degree day definitions are created and edited with New and Edit.
  • Delete removes the selected degree day definition after requesting confirmation.
  • Import allows the import of degree day definitions from Deutschen Wetterdienst in XLS,XLSX and XLSM format. Actual
  • With Show linked variables, all variables linked to the degree day definition can be displayed.

Visual name

Unique name of the degree day definition.

Description

Description of the degree day definition.

Temperature scale

Temperature scale of the most-recent degree day value used.

Inside temperature

Inside temperature value.

Heating temperature

If the outside temperature is below this, the day is considered a heating day and the daily degree day is calculated.

Create and edit degree day definitions

To create a new degree day definition:

  1. Click on the New symbol.

    The dialog to configure a degree day definition is opened.

  2. Please use an unique name.
  3. Enter a description (optional).
  4. Close the dialog by clicking on OK.
  5. Configure the desired degree day values.

To edit a degree day definition, click on the Edit symbol. Change the desired options in the dialog.

List of degree day values

In the list of standard values, add the degree day values to the degree day definitions. They are displayed in the diagram next to the list.

Key:

  • : New
  • : Edit
  • : Delete

Option

Description

Symbols

Symbols for the configuration of the degree day values.

  • Degree day values are created and edited with New and Edit.
  • Delete removes the selected degree day value after requesting confirmation.

Visual name

Unique name of the degree day value.

Description

Description of the degree day value.

Timestamp

Date of validity of the degree day value.

Degree day

A number that denotes how much the heating was active on this day.

Heating day

Display of whether this day is a heating day.

Outside air temperature

Temperature of the outside air on this degree day.

Average degree day

Long-term average, for example 10 years, of the daily degree day for this day in the year.

Average heating day number

Denotes how often this day was a heating day in the long-term average.

Daily average air temperature

Average value of the air temperature on this day.

Create and edit degree day value

To create a new degree day value:

  1. Highlight the degree day definition for which the entry is to be created.
  2. Click, in the list of degree day values, on the New symbol.

    The dialog to configure a degree day value is opened.

  3. Configure the time stamp if necessary.
    This cannot be edited later.
  4. Enter the value for daily degree day.
  5. Configure other values (optional):
    • Current outside air temperature
    • Average degree day
    • Average heating day count
    • Daily average air temperature
    • Heating day
  6. Close the dialog by clicking on OK.

Note: New values are only applied when saved to the degree day definitions.

To edit a standard value, click on the Edit symbol. Change the desired options in the dialog.

Other topics in this chapter

Degree day definition dialog

Degree day value dialog

Import degree day values


Degree day definition dialog

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Degree day > Degree day definition dialog

Clicking on the New or Edit symbol in the list of degree day definitions opens the dialog to add a new degree day definition:

Option | Description
Visual name | Unique name of the degree day definition.
Description | Optional description of the degree day definition.
Temperature scale | Indication of the scale used.
Inside temperature | Value of the inside temperature that is used for the calculation of the degree day number. The temperature is shown precisely to 3 decimal places. The third place is rounded according to the other places.
Heating temperature | Indication of the temperature from which heating takes place. The temperature is shown precisely to 3 decimal places. The third place is rounded according to the other places.
OK | Only active if all inputs are valid. Clicking closes the dialog and adds the new degree day definition.
Cancel | Closes the dialog without generating a new degree day definition.


Degree day value dialog

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Degree day > Degree day value dialog

Clicking on the New or Edit symbol in the list of standard values opens the dialog to add a new degree day value:

Option

Description

Timestamp

Entry of the time point from when the new degree day value is valid. This time can also be in the past.

Input is in:

  • Date field: Direct input without selection from a calendar. Clicking on the button opens the calendar.

A time point is only valid if it does not trigger a time stamp clash.

Note: Only available when creating from scratch. Cannot be edited later.

Daily degree day

Value calculated in accordance with the degree day.

Current outside air temperature

Indication of the current outside air temperature.

Average degree day

Average degree day value of the last 10 years.

Can remain empty.

Average heating day count

Indication of how often this day was a heating day in the last 10 years.

Daily average air temperature

Average air temperature of this day.

Heating day
  • Active: This day is evaluated as a heating day.

OK

Only active if all inputs are valid.
Clicking closes the dialog and adds the new degree day value to the list.

Cancel

Closes the dialog without generating a new degree day value.

Degree day formula

The degree day figure is the sum of the differences of the stipulated room interior temperature and the respective average daily value of the outside temperature over all days of a time period when the outside temperature is below the heating limit temperature of the building.


Import degree day values

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Degree day > Import degree day values

Degree day values can also be imported.

Clicking on the Import symbol in the toolbar of the degree day tag starts the import process.

The following can currently be imported:

  • Degree day figures from Deutsche Wetterdienst in the XLS,XLSX and XLSM format.

To import data:

  1. Click on the Import button.

    The operating system dialog for selecting a file is opened

  2. Select the desired GTZ file.
  3. Click on Open.

    The data is imported.

The import can be undone using the Undo command.


Variable

zenon Analyzer > Metadata database editors > Manual Data Editor > Configuration > Variable

In this tab, you link price trends, standards and degree day definitions to variables.

The following can be linked to each variable:

  • A price curve
  • A degree day definition
  • Several standards
    Note: With several standards, one can be chosen as a default.

The tab is divided in three areas:

  • Variable list: Display of the selectable variables and their current configuration (top).
  • Selection of prices / degree days: Selection of a price curve and/or a degree day definition to link to a variable (bottom left).
  • Selection of standards: Selection of one or more standards to link to a variable and to establish a Default Standards (bottom left).

To link a variable:

  1. Select the desired variable
  2. Select the elements to be linked.
    1. Price
    2. Degree day
    3. Standards
      Define a standard as a Default if required.

Variable List

The variables to be edited are listed in the variable list. These can be filtered.

Several variables can be selected at the same time. In doing so, the usual Windows keyboard shortcuts can be used. When selecting several variables, in the configuration areas for price, degree day and standards, all fields that have a different configuration are highlighted in red.

If the table is repopulated by a change to the filter criteria, then an attempt is made to restore the previous selection of variables.

The list contains the following columns:

  • Project name: Name of the project from which the variable comes.
  • Variable name : Name of the variable.
  • Measuring unit: Unit of measurement for variable values.
  • Meaning: Several meanings of a variable are separated by line switchings.
  • Identification: Name of the variables in zenon Editor and Runtime.
  • Description: Description of the variables.
  • Data type: Data type of the variable.

    Attention: Technically, prices, standards and degree days for binary and string variables can also be entered. However this normally does not make sense, because there are generally neither costs nor target consumptions for these variables.

  • Price trend assigned: Display of whether a price trend has been linked.
  • Standard assigned: Display of whether standards have been linked.
  • Degree day definition assigned: Display of whether a degree day definition has been linked.

Selection of price and degree day definition

In this area, you select the price trend and/or degree day definition for the highlighted variables:

Option | Description
Price trend selection | Selection of a price curve from a drop-down list. To remove an entry that has already been selected, select the empty entry in the drop-down list.
Degree day definition selection | Selection of a degree day definition from drop-down list. To remove an entry that has already been selected, select the empty entry in the drop-down list.

If several variables with existing different price curves or degree day definitions have been selected, the respective field is shown as empty with a red border.

Standard selection

There are two lists available for the selection and assignment of standards:

Option

Description

Selection of the standard

Lists to link standards to variables.

List of selection of standards

Contains all standards that have not yet been selected.

Symbols for linking

Symbols to assign standards:

Buttons to drag standards between lists:

  • >:
    Moves highlighted standard to the List of linked standards.
  • >>:
    Moves all standards to the List of linked standards.
  • <:
    Moves highlighted standard to the List of selection of standards.
  • <<:
    Moves all standards to the List of selection of standards.

List of linked standards

Contains all standards that are already linked to the selected variables.

Default Standard

Selection of a standard as a Default.
Clicking in the checkbox selects the attendant standard as a Default.

It is always only one standard that can be selected as a Default.

If several variables with existing different standards have been selected, the selection fields are shown with a red border; standards that are only available for some variables are highlighted in red font.


Actions

zenon Analyzer > Metadata database editors > Manual Data Editor > Actions

In the Manual Data Editor, data for prices, standards and degree days can be entered manually and variables can be assigned, as well as displayed in a historic diagram. The variables can be displayed as filtered.

Actions

Available actions:

  • Data entry for:
    • Price and trend diagram
    • Standards and trend diagram
    • Degree days and trend diagram
  • Linking of variables to prices, standards and degree days
  • Actions in the Editor:
    • Sorting and filtering
    • Apply changes
    • Undo - Restore
    • Show linked variables

Other topics in this chapter

Filtering and sorting

Apply changes

Undo - Restore

Show linked variables


Filtering and sorting

zenon Analyzer > Metadata database editors > Manual Data Editor > Actions > Filtering and sorting

Tables in the Manual Data Editor can be displayed as sorted and filtered.

Sort

To sort a table, click in the header of the column according to which the table is to be sorted. A second click inverts the sorting, for example from A - Z to Z - A.

Filter

To filter a table:

  1. Click in the desired column in the field for filtering.
    Note: For filtering of a column with binary values (such as heating day), click on the Arrow symbol.
  2. Enter the filter criterion.

    The table is amended to the criterion during entry.
    If the criterion is not correct and cannot be applied, the input field is highlighted in red.

  3. Enter further filter criteria in further columns if required.

Filter rules

The following is applicable for filter settings:

  • All active filters are always linked with a logical AND.
  • The * and % characters can be used as wildcards for the text search.
    Both characters stand for a desired number of characters in the text. They can be used at the start of the word, in the word and at the end of the word. With all entries in the filter, a * is automatically assumed at the end.
    Example: Pr* finds Preis and Price but not Par.
    Note: If a filter is active when a new entry is created and the new entry does not correspond to the filter rules, it is not shown.
  • The following is applicable for numbers:
    • =: Values that correspond to the argument are found.
      This is standard behavior. = does not need to be placed in front.
      Example: 5 finds all lines that contain the number 5 exactly.
    • <: Values that are less than or equal to the argument are found.
      Example: <5 finds all lines that contain values that are either less than 5 oder equal to 5.
    • >: Values that are greater than or equal to the argument are found.
      Example: >5 finds all lines that are either equal to 5 or greater than 5.
  • The following is applicable for dates: Values that correspond to the argument are found.

Incorrect entries are displayed with a red background color. Only the correct filter criteria are applied.


Apply changes

zenon Analyzer > Metadata database editors > Manual Data Editor > Actions > Apply changes

Changes are transferred to the database by means of the command or the Apply changes symbol and saved there. The transfer of changes is checked and confirmed once this has been carried out (Commit). If a change to a variable is not successful, the transaction is reversed (Rollback).

attention Attention

If an error occurs when completing one of the transactions (Rollback or Commit), the database can become corrupted and thus unusable.


Undo - Restore

zenon Analyzer > Metadata database editors > Manual Data Editor > Actions > Undo - Restore

Actions in the Manual Data Editor can be undone or restored.
This action is possible for all configurations that have been set up since the last check in.

Undo

To undo actions:

  1. Select the Undo command in the toolbar.
  2. Clicking directly on the symbol undoes the last action.
  3. Clicking on the button opens a window with the available actions:

  4. Highlight the desired actions.

    Several interrelated actions from the top (last to be have been carried out) to the bottom.

  5. The status line shows how many actions are being undone.
  6. Clicking on the selected action undoes it.

Redo

To restore actions:

  1. Select the Restore command in the toolbar.
  2. Clicking on the symbol directly restores the last action that has been undone.
  3. Clicking on the button opens a window with the available actions that were undone:

  4. Highlight the desired actions.

    Several interrelated actions from the top (last to be have been undone) to the bottom can be selected.

  5. The status line shows how many actions have been restored.
  6. Clicking on the selected action restores it.

info Information

When executing the Check in and Undo check out commands, the lists for Undo and Restore are emptied. The Undo and restore functions are thus only available for actions that are executed after applying or rejecting.


Show linked variables

zenon Analyzer > Metadata database editors > Manual Data Editor > Actions > Show linked variables

Variables that are linked to price curves, standards or degree day figures can be displayed in a dialog.
To show linked variables:

  1. Mark the desired element.
  2. Click on the Linked Variables symbol.

    The dialog is opened.

Linked variables dialog

The list shows all variables linked to the selected element. The list can be filtered and sorted.

The following are displayed:

  • Project name: Name of the project from which the variable comes.
  • Visual name: Name of the variable.
  • Default Standard: Display of whether the variable is the Default standard.
    (only available for standards)


Settings

zenon Analyzer > Metadata database editors > Manual Data Editor > Settings

You configure the following in the settings:

  • Number of connections to be saved.
  • Connection profiles
  • User interface language,
  • Lookback time for trend curves
  • Default currency
  • SQL Server timeout

To configure the settings:

  1. Open the menu File
  2. Select the command Settings.

    The dialog for configuring settings is opened

Settings dialog

Option

Description

Maximum number of connection profiles

Defines how many connection profiles can be created as a maximum for the Editor:

  • Minimum: 1
  • Maximum: 255
  • Default: 10

Configuration by manual entry or by clicking on arrows.

Note: Because the ZAMS connection profile can also be displayed in the dialog for establishing a connection, more than the permitted amount of connection profiles can be displayed in the drop-down list to select a profile.

Manage connection profiles

Opens the dialog to manage the connection profiles.

Language

Selection of the desired language for the user interface of the Editor from a drop-down list.

Trend lookback time

Stipulates how far back in time the trend display of prices, standards and degree days goes. Entry is made by means of an input field and a drop-down list that define the time period.

Entry of the numeric value:

  • Minimum: 1
  • Maximum: 100
  • Default: 1

Configuration by manual entry or by clicking on arrows.

Selection of the unit from the drop-down list:

  • Hours
  • Days
  • Months
  • Years

Default: 1 year

If non-permitted values are entered manually, the default value of 1 year is configured when the dialog is closed.

Default currency

Input of a character sequence for the standard currency.

SQL Server statement timeout

Entry of the SQL server statement timeout.

This timeout enters into force if an individual SQL Statement runs for longer than is defined here, for example when backing up or when restoring a large database. With new connections, the currently-set value is used for the Timeout. If this is amended in the options, the existing connections are amended to the new value.

The Timeout can be set to a value between 1 minute and 7 days.

Input elements:

  • Number element:
    Entry of the quantity in the field directly or by means of the arrow keys.
    Possible values for :
    - days: 1 - 7
    - hours: 1 - 168
    - minutes: 1 - 10080
  • Drop-down list for granularity:
    Possible values:
    - minutes
    - hours
    - days
    This selection influences the value range of the number element.

Default:5 minutes

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Prediction Model Manager

zenon Analyzer > Prediction Model Manager

Prediction models provide information on future values to be expected and on the interactive effects of variables. The Prediction Model Manager is for the setting and administration of prediction models. The results of the prediction models are used in Predictive Analytics reports.

The Prediction Model Manager is a separate application. This can be started for editing directly from ZAMS, from the start menu item or directly via the file. The Prediction Model Manager is not included in the standard zenon Analyzer license. It needs its own license.

ZAMS

To open the Prediction Model Manager in ZAMS:

  1. Navigate to the Options ribbon in ZAMS.
  2. Select the entry Prediction Model Manager.
    Note: The entry is only shown if Predictive Analytics has been licensed.

    The Prediction Model Manager is started. At the same time, the dialog to establish a connection is opened.

Start menu

Start from the start menu as a stand-alone application:

  • In the Windows Start menu, select the COPA-DATA -> Prediction Model Manager entry.
    The Prediction Model Manager is started.

Command line:

If the Prediction Model Manager is started as an EXE file using the command line, a connection profile can be transferred.

  • Parameter: Server name\Database name

Keyboard shortcuts

The following key combinations are available for use in the Editor:

Key combination | Description
F1 | Opens help
Ctrl+Shift+C | Opens the dialog for creating a database backup.
Ctrl+S | Saves changes.
Alt+F4 | Closes the zenon Editor
Ctrl+Z | Undo input
Ctrl+Y | Repeat input.

Other topics in this chapter

Connect

Main window

Visualization window

Configuration

Prediction models

Edit prediction models

Train prediction models

Cache for real data

Properties


Connect

zenon Analyzer > Prediction Model Manager > Connect

The Prediction Model Manager administers its connection profiles. The ZAMS connection profiles are also read on startup. If there are profiles in the Prediction Model Manager and in ZAMS profiles with the same names, the connection profile of the Prediction Model Manager dominates.

To connect the Prediction Model Manager to a database:

  1. Start the Prediction Model Manager as a Stand alone Tool from the start menu or using the EXE file from the Options ribbon in ZAMS.
    If the Prediction Model Manager has already been opened, select the Connection entry in the File menu.

    The dialog to connect to a server is opened.

  2. Select the desired connection by clicking on Connection profile or create a new connection in a similar manner to that of ZAMS.

  3. Click on OK.
    • The connection is created.
    • The user authorization is queried by the license server
    • The database is checked to see that it is correct.
      Note: No connection is established if there are incorrect structures or versions. Conversion is only possible with ZAMS.
    • Data is loaded
    • The license is obtained.
      Errors when obtaining the license are shown in a pop-up.
    • The loaded data is displayed in the Prediction Model Manager.


Main window

zenon Analyzer > Prediction Model Manager > Main window

The Prediction Model Manager is divided into:

  • Menu
  • Tool Bar
  • List of available prediction models
  • Properties window with the properties for the models
  • Visualization window with visualizations and key figures of the models selected in the list
  • Status bar

info Information

All changes in Prediction Model Manager are only saved if the saving is triggered by the corresponding entry in the menu or the tool bar. Prediction models with unsaved changes are marked in the list with a corresponding symbol.

Range

Description

Menu bar

Menus to edit and save the objects.

Tool Bar

Symbols to edit and save the objects.

Grouping line

Allows the grouping of the prediction model according to certain criteria.

List of prediction models

List of all prediction models created.

Multiple selection for models is possible.

  • Ctrl key + mouse click: Selection of the models that have been clicked on.
  • Shift key + mouse click: All models between the originally-marked and the newly-marked are selected.
  • Shortcut Ctrl+A: All models are selected.

Properties

Displays the properties of the selected models.

Visualization window

Visualizations and key figures of the models selected in the list

Status line

Display of status information on connection and actions.

Columns of the list

The list of the prediction models contains columns with information about the models. The list can be sorted, filtered and grouped according to these columns.

Column

Description

Warnings

Errors during processing are signaled with an exclamation mark. Details of the error are shown in a tool tip.

Model status

A symbol shows the status of the prediction model:

  • Question mark:
    The model must be retrained and contains unsaved changes. The complete line of the model is colored.
  • Arrows:
    This model contains unsaved changes.
  • No symbol:
    No changes present and no training necessary.

All symbols offer a tool tip with detailed information.

Model type

Type of prediction model:

  • time based
  • value based

Prediction model

Name of the prediction model.

Target variable

Target variable of the model.

Target cycle time

Cycle time of the target variables.

Aggregation

Aggregation of the target variables.

Last trained

Time of the last training of the model.

Default model

Display and configuration of whether the model is the default model for the target variable of the model.

  • Active: Model is selected as default model for the target variable.
  • Inactive: Model is not selected as default model for the target variable.

To change the setting, click in the prediction model and activate or deactivate the checkbox.

Note: Only one single combination of target variable, target cycle time and aggregation can be defined as the default model. If the checkbox, when ticked for a prediction model, has already been set for another prediction model of the same type, it is deactivated for this. Time-based and value-based prediction models are considered as separate in the process.

Source variable

Display depends on the type of prediction model:

  • Value-based: Display of the source variables.
  • time based: Empty.

Other topics in this chapter

Menus, toolbar and status line

Settings

Group filter and sort lists


Menus, toolbar and status line

zenon Analyzer > Prediction Model Manager > Main window > Menus, toolbar and status line

The menu and toolbar offer a range of commands to administer the Prediction Model Manager. The status bar informs you of connections.
The menu items and symbols that are available depend on the status of the database connection.

Other topics in this chapter

Menus

Tool Bar

Status line


Menus

zenon Analyzer > Prediction Model Manager > Main window > Menus, toolbar and status line > Menus

The menu line contains entries for the following groups:

  • File
  • Prediction model
  • Edit
  • Help

File

Commands for general operations.

Entry | Description
Connect | Opens the dialog to create a connection. Note: If the dialog to create a connection is confirmed by clicking on OK, then a new attempt to establish a connection is made. If there is already a connection and there are unsaved changes, corresponding notices are displayed.
Apply changes | Saves all changes made to all prediction models in the database. Only available if changes have been made, all models are trained and there are no validation errors.
Discard changes | Discards all changes made since the last save after requesting confirmation.
Settings | Opens the dialog for the configuration of the settings for connection profile, language and timeout of the SQL instruction.
Exit | Closes the Prediction Model Manager. If there are still unsaved changes, you are asked if you want to save the changes.

Prediction model

Commands for the creation and administration of prediction models.

Entry | Description
Add time based models | Opens the wizard to create a time-based model.
Add value based models | Opens the wizard to create a value-based model.
Delete selected models | Deletes all selected models from the list.
Load data for selected models | Loads the real data in relation to the connector for all selected models.
Load data for all models | Loads the real data in relation to the connector for all models.
Train selected models | Starts the training for the selected models.
Train all models | Starts the training for all models.

Edit

Commands for repeating and undoing actions.

Entry | Description
Undo | Undoes the last action. One step always relates to a user interaction such as editing a property, the deletion or insertion of models, or the training of models.
Redo | Restores the last undone action. Only available if something has been undone beforehand.
Clear cache | Removes the loaded data from the cache.

Help

Help and version information.

Entry | Description
Info about | Opens a window with information on the current version.
Help | Opens online help.


Tool Bar

zenon Analyzer > Prediction Model Manager > Main window > Menus, toolbar and status line > Tool Bar

Symbol | Description
Connect | Opens the dialog to create a connection. Note: If the dialog to create a connection is confirmed by clicking on OK, then a new attempt to establish a connection is made. Unsaved changes are then discarded without confirmation being requested.
Save changes | Saves all changes made.
Discard changes | Discards all changes made since the last save after requesting confirmation.
Add time based prediction models | Opens the wizard to create a time-based model.
Add value based prediction models | Opens the wizard to create a value-based model.
Delete | Deletes all selected models from the list.
Load data for selected models | Loads the real data about the connector for all selected models.
Load data for all models | Loads the real data about the connector for all models.
Train selected models | Starts the training for the selected models.
Train all models | Starts the training for all models.
Undo | Clicking on the symbol undoes the last action. Clicking on the arrow of the drop-down list opens a window to select actions that are to be undone. Only the last chronological action or other subsequent actions can be undone as a block.
Redo | Clicking on the symbol restores the last undone action. Clicking on the arrow of the drop-down list opens a window to select actions that have been undone that are to be restored. Only the last chronological action or other subsequent actions can be restored as a block.
Clear cache | Removes the loaded data from the cache.


Status line

zenon Analyzer > Prediction Model Manager > Main window > Menus, toolbar and status line > Status line

There is a status line at the lower edge of the main window.

Element

Description

Symbol

Shows the connection status.

The following are possible as a status:

  • No connection established
  • Connection established but the Analyzer server license is not valid
  • Connection established and the Analyzer server license is valid
  • Secured connection established, the license is valid
  • Secured connection established, the license is invalid

Information about the status is shown using a tool tip.

Connection information

Information on the active connection. Display of the server and the database.


Settings

zenon Analyzer > Prediction Model Manager > Main window > Settings

In this dialog, you configure:

  • The number of permitted connection profiles
  • Administration of the connection profiles
  • The language of the user interface of the Editor
  • SQL Server statements timeout

To configure the settings:

  1. Open the menu File
  2. Select the command Settings.

    The dialog for configuring settings is opened

Settings dialog

Option

Description

Maximum number of connection profiles

Defines how many connection profiles can be created as a maximum for the Editor:

  • Minimum: 1
  • Maximum: 255
  • Default: 10

Configuration by manual entry or by clicking on arrows.

Note: Because the ZAMS connection profile can also be displayed in the dialog for establishing a connection, more than the permitted amount of connection profiles can be displayed in the drop-down list to select a profile.

Manage connection profiles

Opens the dialog to manage the connection profiles.

Language

Selection of the desired language for the user interface of the Editor from a drop-down list.

SQL Server statement timeout

Entry of the SQL server statement timeout.

This timeout enters into force if an individual SQL Statement runs for longer than is defined here, for example when backing up or when restoring a large database. With new connections, the currently-set value is used for the Timeout. If this is amended in the options, the existing connections are amended to the new value.

The Timeout can be set to a value between 1 minute and 7 days.

Input elements:

  • Number element:
    Entry of the quantity in the field directly or by means of the arrow keys.
    Possible values for :
    - days: 1 - 7
    - hours: 1 - 168
    - minutes: 1 - 10080
  • Drop-down list for granularity:
    Possible values:
    - minutes
    - hours
    - days
    This selection influences the value range of the number element.

Default:5 minutes

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Group filter and sort lists

zenon Analyzer > Prediction Model Manager > Main window > Group filter and sort lists

Lists can be sorted, filtered and grouped in the Prediction Model Manager.

Other topics in this chapter

Sort list

Filter list

Group list


Sort list

zenon Analyzer > Prediction Model Manager > Main window > Group filter and sort lists > Sort list

To sort a list:

  1. Click in the header of the column according to which sorting is to take place.
  2. Click again to change the sorting.

    Three sorting processes are gone through in sequence:

    • Ascending: The list is sorted from 0 - 9 and from a - z.
      Display with arrow pointing upwards.
    • Descending: The list is sorted from 9 - 0 and from z - a
      Display by the arrow upwards.
    • Unsorted: The list is displayed in the original status, i.e. as it was created.


Filter list

zenon Analyzer > Prediction Model Manager > Main window > Group filter and sort lists > Filter list

To filter a list:

  1. Click on the filter symbol in the filter line.

    The filter dialog is opened.

  2. Configure the filter.
    The results of the selection are shown directly in the list.
  3. Click on the Filter button.

    The filter is applied to the list.

To remove the filter again:

  1. Open the filter dialog.
  2. Click on the Remove filter button.

Filter dialog

Option

Description

Input field

Entry of the character sequence that is to be filtered for.

aA

Switches between:

  • Capitalization is not taken into account
  • Capitalization is taken into account

Default: Capitalization is not taken into account

Symbol filter

Clicking on the filter symbol opens a list to select a filter criterion.

Default: Contains

Filter criteria

The following are available as criteria for filter expressions:

Criterion | Description
Remove filter | Removes all filter criteria. All lines are displayed again.
Is the same as | All entries with precisely the character sequence entered are displayed.
Is not the same as | All entries that do not precisely correspond to the character sequence entered are displayed.
Starts with | All entries that start with the character sequence are displayed.
Ends with | All entries that end with the character sequence are displayed.
Contains | All entries that contain this character sequence are displayed. (Default setting.)
Does not contain | All entries that do not contain this character sequence are displayed.
is empty | All empty entries are displayed. Note: Language tables must not contain empty cells for existing key words.
is not empty | All entries that contain at least one character are displayed. Spaces are also considered characters.


Group list

zenon Analyzer > Prediction Model Manager > Main window > Group filter and sort lists > Group list

To group a list:

  1. Click on the header of the column according to which the list is to be grouped.
  2. Drag the header of the column to the grouping line, with the mouse.

    The list is shown accordingly grouped:

  3. Add further grouping columns if required.

To remove the grouping:

  1. Move the mouse over the grouping element in the grouping column.
  2. Click on the X next to the column names.

    The grouping is removed.


Visualization window

zenon Analyzer > Prediction Model Manager > Visualization window

The prediction models are visualized using several diagrams.

These diagrams are also used in the wizards to create the prediction models.

The following are available:

  • Trend diagram (not for value-based prediction models)
  • Scatter plot (not for time-based prediction models)
  • Last training result
  • Training history (not for wizards)

All diagrams support multiple selection of models. In this case, the data of all selected models is shown at the same time. Individual prediction models and indicators can be selected in the diagram.

Other topics in this chapter

Trend chart

Scatter Plot

Last Training result

Training history


Trend chart

zenon Analyzer > Prediction Model Manager > Visualization window > Trend chart

The trend diagram contrasts the prediction model with the real data. It is only available for time-based prediction models.

Section:

Description

Left block

Selection of the data to be displayed.
Selection is made by means of checkboxes:

  • Real data: Display of the real data.
  • Predicted data: ANzeige der Prognosedaten.
  • Separators for periodicities: Separators for periodicity.

These settings can be used together for all selected models or individually for each selected prediction model.

Right block

Display of the selected data as a trend diagram.

The section shown is stipulated using:

  • Vertical:
    Entry of the lower and upper values for display in numerical input fields. Values can also be amended using arrow keys.
    The upper value must be greater than the lower value.
  • Horizontal:
    Selection of the time points for the start and end of the area displayed using calendar element.

All values can be reset to the respective initial value. There are three buttons available for this:

  • Reset axis limits (vertical):
    Resets the values for the Y-axis.
  • Reset axis limits (horizontal):
    Resets the values for the X-axis.
  • Reset all axis limits:
    Resets the values both axes.

Note: For variable with cycle time 0 (event-triggered variables), there is no data available for which time period data points are to be created. It is therefore shown set at 500 points.


Scatter Plot

zenon Analyzer > Prediction Model Manager > Visualization window > Scatter Plot

The scatter plot contrasts the prediction model with the real data. It is only available for value-based prediction models.

Section:

Description

Left block

Selection of the data to be displayed.
Selection is made by means of checkboxes:

  • Real data: Display of the real data.
  • Predicted data: ANzeige der Prognosedaten.

These settings can be used together for all selected models or individually for each selected prediction model.

Right block

Display of the selected data as a scatter plot.

The section shown is stipulated using:

  • Vertical:
    Entry of the lower and upper values for display in numerical input fields. Values can also be amended using arrow keys.
    The upper value must be greater than the lower value.
  • Horizontal:
    Selection of the time points for the start and end of the area displayed using calendar element.

All values can be rest to the respective initial value. These buttons are available for this:

  • Reset axis limits (vertical):
    Resets the values for the Y-axis.
  • Reset axis limits (horizontal):
    Resets the values for the X-axis.
  • Reset all axis limits:
    Resets the values both axes.


Last Training result

zenon Analyzer > Prediction Model Manager > Visualization window > Last Training result

The display of the last training result makes it possible to consider the precision of a model and to compare several models to one another.

Section:

Description

Left block

Selection of the models to be displayed.

Right block

Display of the key figures of the model training:

  • Correlation coefficient:
    Indicates how well the model corresponds to the validation data
  • Absolute Errors:
    Shows the validation of the absolute errors of the model in the training area.
  • Relative Errors:
    Shows the size of the relative deviation of the model data points in comparison to the validation data.

If several models are shown, the display is in accordance with the sequence in the left block.

The section shown is stipulated using:

  • Correlation coefficient (vertical):
    Entry of the lower and upper values for display in numerical input fields. Values can also be amended using arrow keys.
    The upper value must be greater than the lower value.
  • Error: Entry of the upper value for display in numerical input windows. Values can also be amended using arrow keys. The upper value must be greater than the lower value.
  • All values can be reset to the respective initial value. To do this, there is this button available for each:
  • Reset axis limits: resets the values for the Y axis.

You can read details on the key figures in the Key figures chapter.

Key figures

Correlation coefficient

The correlation coefficient indicates how well the model corresponds to the validation data.

Possible values:

  • Minimum: 0.
    No match.
  • Maximum: 1.
    Perfect match.

The closer the value is to 1, the more the model corresponds to the data.
The color of the bar changes with the value of the correlation coefficients of 0 to 1 from red through orange and yellow to green.

Note: In theory, all values are also possible under 0 to -1 (completely inverse model). In practice, a value above 0 is always achieved by adjustment of the model to the data.

Absolute error

The data predicted by the model is compared absolutely to the validation data.
The absolute error shows the distribution of the absolute error of the model in the training area and thus how strongly the model differs from the training data.

  • The bar in the diagram displays the distribution of the error with four colors along the same lines as a histogram:
  • Upper edge: Maximum deviation of the model over all data points of the training data.
  • Dashed line: Value of average absolute error.
  • Color areas: 4 quarters, displayed with 4 colors.
  • Grey bar at the lower edge: Area from 0 up to minimum error.
    The model always has at least one error with this value.

Note: Absolute error for models of variables with different units, sizes, etc. to compare, does not provide any meaningful results because the values have no relation to one another.

Example:

  • Two quartiles (red, orange), with the largest deviation, scatter over a large area.
  • Two quartiles (yellow, green), with the smaller deviation, scatter over a smaller area.
  • In figures:
    • The model differs, considered over all data points of the validation data, by a maximum of 44 NI.
    • 25% of the data points have a deviation between 44 and 27 NI.
    • 25% have a deviation between 27 and 13 NI.
    • 25% have a deviation between 13 and 9 NI.
    • 25% have a deviation less than 9 NI.
    • The lowest error is 3.
      This means: This model always had an error of 3 NI.
    • On average, a data point deviates from the validation data by 17 NI in this model

Relative error

The data predicted by the model is compared relatively to the validation data.
The relative error compares the data predicted by the model to the validation data. It indicates how much the deviation of the data points of the model differ relatively from the validation data, i.e. per data point in relation to a validation value.

Display is similar to the absolute error.

Example:

  • The model calculates the value 15.
  • Validation data has the value 10 at this point.
  • The absolute deviation is thus 5.
  • The relative deviation is thus 5/10 = 50 %.

This also shows that the relative error is to be used with caution. A variable with the same absolute deviation of 5, but with the value 100 at this point, would result in a relative deviation of just 5 % .
Variables that (even if only for a short time) move close to the value 0 are particularly problematic. A single value vary close to 0 can lead to the maximum relative deviation talking on exotic values, for example: A value of 0.01 with an absolute deviation of 5 results in a relative deviation of 50.000 %.


Training history

zenon Analyzer > Prediction Model Manager > Visualization window > Training history

The diagram for the training history shows the course of the previous training. The amounts of data, duration of training and quality indicators of the model are shown over time. This makes it possible to establish how the model changes over time.

Section:

Description

Left block

Selection of the diagram content and the prediction models.

The diagram content to be displayed is selected in the upper area. This is applicable for all prediction models displayed.
The selection of the prediction models that are displayed is shown in the lower area.

Right block

The section shown is stipulated using:

  • Vertical:
    Entry of the lower and upper values for display in numerical input fields. Values can also be amended using arrow keys.
    The upper value must be greater than the lower value.
  • Horizontal:
    Selection of the time points for the start and end of the area displayed using calendar element.

All values can be rest to the respective initial value. There are three buttons available for this:

  • Reset axis limits (vertical):
    Resets the values for the Y-axis.
  • Reset axis limits (horizontal):
    Resets the values for the X-axis.
  • Reset all axis limits:
    Resets the values both axes.

Multiple selection:


Configuration

zenon Analyzer > Prediction Model Manager > Configuration

The configuration of prediction models is carried out using the corresponding wizards and the properties of the prediction model.

Progress bar

A progress bar is displayed if processes last longer.

For example, when getting the real data, training a model or preparing data for a diagram. The progress bar can be canceled. The complete process is thus canceled. The cancellation can only be carried out for certain tasks, such as getting data from the Runtime connector, once this task has been ended.

Unique addressing of variable data

Data from the same variable but with a different cycle time or aggregation is not the same data and is considered different.
Unique addressing of variable data is ensured in the Prediction Model Manager by a combination of:

  • Variable name
  • Cycle time
  • Aggregation

Archives can be used for addressing, but do not serve as a differentiation criterion.


Prediction models

zenon Analyzer > Prediction Model Manager > Prediction models

Prediction models are created with the help of wizards and edited with the properties in the Prediction Model Manager.

Prediction models are based on two different types:

  • Time based prediction models: Have a time dimension and a target variable.
  • Value based prediction models: Have, instead of the time dimension, an explicit source variable and a target variable.

Changes to prediction models only become effective once they have been saved. To do this, no validation errors can be present and the models must be trained. Status and required actions are displayed using symbols.

Create prediction model

The creation of prediction models is only possible using the respective wizard. This is started using the tool bar or the prediction model menu.

To create a prediction model:

  1. Start the appropriate wizard for a time-based or value-based prediction model.
  2. Configure the prediction model according to the process.
  3. Save the new prediction model.

Edit prediction model

Prediction models can be edited in the Prediction Model Manager.

To edit a prediction model:

  1. Select the model in the list.
    Several models can be selected and edited at the same time. Each change then has an effect on all models.
  2. Edit the model using the properties.
  3. Retrain the model.
  4. Save the changes.

Other topics in this chapter

Create time-based prediction model

Create value-based prediction model


Create time-based prediction model

zenon Analyzer > Prediction Model Manager > Prediction models > Create time-based prediction model

To create a time-based prediction model:

  1. Start the wizard for time-based prediction models.
    To do this, select the corresponding entry in the prediction model menu or in the tool bar.
    The wizard is started.

  2. The first step is to select the desired variables.
  3. Click on Next.
  4. Configure the data call.
  5. Click on Next.

    The data for the prediction model is loaded.

  6. Configure the model.
  7. Click on Next.
  8. Select, if necessary, the models that are to be created.
  9. Click on Close.

    The prediction models are created and shown in the Prediction Model Manager.

Navigation

Navigation through the wizard is with buttons in the lower right area:

  • Previous: Returns to the previous step. This step back can be made at any point in the wizard.
    When going back, configured data is sometimes retained, if possible.
  • Next: Goes to next step.
    If there is a validation error, navigation is prevented until the error has been rectified.
    Not present on the last page of the wizard.
  • Exit: Creates the prediction model and closes the wizard.
    Only present on the last page of the wizard.

The progress of the configuration is shown by the vertical progress display on the left edge.
To cancel the wizard, close it by clicking on the X button on the top right. In this case, all entries are discarded and the prediction model is not created.

Other topics in this chapter

Variable selection

Data fetching configuration

Model configuration

Model selection


Variable selection

zenon Analyzer > Prediction Model Manager > Prediction models > Create time-based prediction model > Variable selection

In this step, you select the variables for which the prediction model is to be created.

To select variables:

  1. Highlight the desired variables in the list of available variables.
    Multiple selection is possible with Ctrl key + mouse click or Enter key + mouse click.
  2. Click on the down arrow between the two lists.

    The selected variables are added to the list of selected variables.
    Individual variables can also be added with a double click.

    There is a line each for a unique combination of variable, cycle time and aggregation displayed. If this combination is present in several archives, they are shown separated by a comma in the Archives column.

    To remove variables from the list again:

    • Double-click on the variable.
    • Or: Highlight the variable and click on the up arrow.
  3. Click on the Next button.

    The wizard checks the input and switches to the next step.

Option | Description
Variable selection | Display of the active step in the wizard.
Available variables | List of available variables.
Arrow keys | Move selected variables from one list to the other. Variables can also be moved by double clicking.
Selected variables | List of selected variables.

Navigation

Option | Description
Previous | Not available in the first step.
Next | Switches further to the configuration of data call step.


Data fetching configuration

zenon Analyzer > Prediction Model Manager > Prediction models > Create time-based prediction model > Data fetching configuration

In the second step, you configure the settings for the fetching of data that are needed for the training of the models.

To configure the data call:

  1. Highlight the desired variables in the list of available variables..
  2. Select the desired properties in the properties window and amend their values.

    You can configure several variables together. Properties with different settings are highlighted in red. All changes to properties are applied to all variables together

  3. Click on the Next button.

    The wizard checks the input and switches to the next step.

Option

Description

Data fetching configuration

Display of the active step in the wizard.

Variable window

Display of the variables selected in the first step.

Properties window

Properties for the configuration of the data call:

  • Training data time range: Selection of the time period for the training. For details, see the General properties.
  • Connector: Selection of the connector from the drop-down list.
  • Archives: Selection of the archive from a drop-down list. For details, see the properties of the target variable.

Navigation

Option | Description
Previous | Switches back to the variable selection step.
Next | Validates input and gets the data for the variables for the set time period from the set data sources. The current step remains open in the event of validation errors. You do not proceed further. When validation is successful, you go on to the model configuration step.

Error handling

If an error occurs during validation, the wizard does not move to the next step. An error message is shown above the list. The incorrect variables are marked and given an error notice. It is possible to move on once the error has been rectified.

Hint: A frequently-occurring error when getting data is that there are several data points for exactly the same time stamp. A corresponding error message for the first of the time stamps concerned is shown; all time stamps are shown with duplicated values in the LOG file.


Model configuration

zenon Analyzer > Prediction Model Manager > Prediction models > Create time-based prediction model > Model configuration

In the third step, you create and configure prediction models for the selected variables.

To create and configure prediction models:

  1. Highlight the desired variables in the list of available variables.

    There is already a prediction model for each variable.

  2. Add further prediction models if required.
    To do this, click on the green + symbol.
    Prediction models can be added for all variables or for individual variables. If several variables are to be configured together, they must have the same prediction model.
    To remove a prediction model again, highlight the prediction model and click on the red X.
    There must always be a prediction model.
  3. Select the desired properties in the properties window and amend their values.

    You can configure several variables and prediction models together. Properties with different settings are highlighted in red. All changes to properties are applied to all variables and prediction models together

    The trend diagram for the selected models is shown in the visualization window.

  4. Click on the Next button.

    The wizard checks the input and switches to the next step.

Option

Description

Configuration of model configuration

Display of the active step in the wizard.

Variables window

Display of the variables selected in the first step.

Properties window

Prediction models and properties for the configuration of the data call.

If several variables are selected together, all models of these variables are shown. Models with the same name are only displayed as an entry. However, in the properties window, the properties of all models summarized therein are shown and edited:

  • Prediction model: Display of the prediction models. A prediction model is automatically created for each variable.
    Prediction models are added and deleted using the + and X symbols. These buttons are always applicable for all selected variables. If the selected variables have different prediction models, an error message is shown above the list and the list remains empty.
  • Model name: Name of the prediction model.
    Default name: Prediction model. With several models, the name is supplemented with a serial number.
    The name must be unique for each model for each variable.
    Can only be amended per variable or model, but not together, because this would lead to a validation error.
    For details, see the General properties.
  • Periodicities: Configuration of the periodicity. Addition and deletion is carried out using the + and X symbols.
    For details, see the General properties.
  • Training data: Configuration of the relationship of training data to validation data.
    For details, see the General properties.
  • Data cleansing: Configuration of data cleansing.
    For details, see the target variable properties.

Visualization window

Display of the trend diagram for the selected prediction models. Only real data is displayed. Prediction data is not yet present.

Navigation

Option | Description
Previous | Switches back to the configuration of data call step.
Next | Trains the prediction models. The current step remains open in the event of validation errors. It is not switched further. When validation is successful, there is a switch forward to the model selection step.


Model selection

zenon Analyzer > Prediction Model Manager > Prediction models > Create time-based prediction model > Model selection

In the fourth step, you select the prediction models to be created.

To select prediction models:

  1. Select the desired prediction models by clicking in the checkbox:
    All models are selected by default.

    In the visualization windows, you can compare display and training results of all models.

  2. Click on the Close button.

    The deselected prediction models are discarded.
    Selected prediction models are created and shown in the Prediction Model Manager.
    The wizard is closed.

Option | Description
Configuration of model configuration | Display of the active step in the wizard.
Prediction model window | Display of the configured prediction models. Selection and deselection using a checkbox in front of the model names. Deselected models are discarded when closing the wizard; the selected models are transferred to the main overview.
Visualization window | Display of the trend diagram and the training results for the selected prediction models.

Navigation

Option | Description
Previous | Switches back to the model configuration step.
Next | Applies the selected prediction model and closes the wizard.


Create value-based prediction model

zenon Analyzer > Prediction Model Manager > Prediction models > Create value-based prediction model

To create a value-based prediction model:

  1. Start the wizard for value-based prediction models.
    To do this, select the corresponding entry in the Prediction Model entry or in the tool bar.
    The wizard is started.

  2. The first step is to select the desired variables.
  3. Click on Next.
  4. Configure the data call.
  5. Click on Next.

    The data for the prediction model is loaded.

  6. Configure the model.
  7. Click on Next.
  8. Select, if necessary, the models that are to be created.
  9. Click on Close.

    The prediction models are created and shown in the Prediction Model Manager.

Navigation

Navigation through the wizard is with buttons in the lower right area:

  • Previous: Returns to the previous step. This step back can be made at any point in the wizard.
    When going back, configured data is sometimes retained, if possible.
  • Next: Goes to next step.
    If there is a validation error, navigation is prevented until the error has been rectified.
    Not present on the last page of the wizard.
  • Exit: Creates the prediction model and closes the wizard.
    Only present on the last page of the wizard.

The progress of the configuration is shown by the vertical progress display on the left edge.
To cancel the wizard, close it by clicking on the X button on the top right. In this case, all entries are discarded and the prediction model is not created.

Other topics in this chapter

Variable selection

Data fetching configuration

Model configuration

Model selection


Variable selection

zenon Analyzer > Prediction Model Manager > Prediction models > Create value-based prediction model > Variable selection

In this step, you select the variables for which the prediction model is to be created.

To select variables:

  1. Highlight the desired variables in the list of available variables.
    Multiple selection is possible with Ctrl key + mouse click or Enter key + mouse click.
  2. Click on the down arrow between the two lists.

    The selected variables are added to the list of selected variables.
    Individual variables can also be added with a double click.

    There is a line each for a unique combination of variable, cycle time and aggregation displayed. If this combination is present in several archives, they are shown separated by a comma in the Archives column.

    To remove variables from the list again:

    • Double-click on the variable.
    • Or: Highlight the variable and click on the up arrow.
  3. Select a source variable for each target variable.
    To do this:
    1. Click on the field with the red background in the Source Variable column in the Selected Variables window.
    2. Select the desired source variable from the drop-down list.
  4. Click on the Next button.

    The wizard checks the input and switches to the next step.

Option | Description
Variable selection | Display of the active step in the wizard.
Available variables | List of available variables.
Arrow keys | Move selected variables from one list to the other. Variables can also be moved by double clicking.
Selected variables | List of selected variables. Add a source variable for each variable in the list. Note: only variables that have the same cycle time and aggregation as the target variable can be selected.

Navigation

Option | Description
Previous | Not available in the first step.
Next | Switches further to the configuration of data call step.


Data fetching configuration

zenon Analyzer > Prediction Model Manager > Prediction models > Create value-based prediction model > Data fetching configuration

In the second step, you configure the settings for the fetching of data that are needed for the training of the models.

To configure the data call:

  1. Highlight the desired variables in the list of available variables..
  2. Select the desired properties in the properties window and amend their values.

    You can configure several variables together. Properties with different settings are highlighted in red. All changes to properties are applied to all variables together

  3. Click on the Next button.

    The wizard checks the input and switches to the next step.

Option

Description

Data fetching configuration

Display of the active step in the wizard.

Variables window

Display of the variables selected in the first step.

Properties window

Properties for the configuration of the data call:

  • Training data time range: Selection of the time period for the training. For details, see the General properties.
  • Connector: Selection of the connector from the drop-down list.
    Configuration for both target variable and source variable.
  • Archives: Selection of the archive from a drop-down list. Configuration for both target variable and source variable. For details, see the properties for target variable and source variable.

Navigation

Option | Description
Previous | Switches back to the variable selection step.
Next | Validates input and gets the data for the variables for the set time period from the set data sources. The current step remains open in the event of validation errors. It is not switched further. When validation is successful, there is a switch forward to the model configuration step.

Error handling

If an error occurs during validation, the wizard switches to the next step. An error message is shown above the list. The incorrect variables are marked and given an error notice. It is possible to switch further once the error has been rectified.

Hint: A frequently-occurring error when getting data is that there are several data points for exactly the same time stamp. A corresponding error message for the first of the time stamps concerned is shown; all time stamps are shown with duplicated values in the LOG file.


Model configuration

zenon Analyzer > Prediction Model Manager > Prediction models > Create value-based prediction model > Model configuration

In the third step, you create and configure prediction models for the selected variables.

To create and configure prediction models:

  1. Highlight the desired variables in the list of available variables.

    There is already a prediction model for each variable.

  2. Add further prediction models if required.
    To do this, click on the green + symbol.
    Prediction models can be added for all variables or for individual variables. If several variables are to be configured together, they must have the same prediction model.
    To remove a prediction model again, highlight the prediction model and click on the red X.
    There must always be a prediction model.
  3. Select the desired properties in the properties window and amend their values.

    You can configure several variables and prediction models together. Properties with different settings are highlighted in red. All changes to properties are applied to all variables and prediction models together

    The trend diagram for the selected models is shown in the visualization window.

  4. Click on the Next button.

    The wizard checks the input and switches to the next step.

Option

Description

Configuration of model configuration

Display of the active step in the wizard.

Variable window

Display of the variables selected in the first step.

Properties window

Prediction models and properties for the configuration of the data call.

If several variables are selected together, all models of these variables are shown. Models with the same name are only displayed as an entry. However, in the properties window, the properties of all models summarized therein are shown and edited:

  • Prediction model: Display of the prediction models. A prediction model is automatically created for each variable.
    Prediction models are added and deleted using the + and X symbols. These buttons are always applicable for all selected variables. If the selected variables have different prediction models, an error message is shown above the list and the list remains empty.
  • Model name: Name of the prediction model.
    Default name: Prediction model. With several models, the name is supplemented with a serial number.
    The name must be unique for each model for each variable.
    Can only be amended per variable or model, but not together, because this would lead to a validation error.
    For details, see the General properties.
  • Training data: Configuration of the relationship of training data to validation data.
    For details, see the General properties.
  • Data cleansing: Configuration of data cleansing for target variable and source variable.
    For details, see the target variable and source variable properties.

Visualization window

Display of the scatter plot for the selected prediction model. Real data is displayed. Predictive data will be generated later.

Navigation

Option | Description
Previous | Switches back to the configuration of data call step.
Next | Trains the prediction models. The current step remains open in the event of validation errors. You do not proceed further. When validation is successful, there is a switch forward to the model selection step.


Model selection

zenon Analyzer > Prediction Model Manager > Prediction models > Create value-based prediction model > Model selection

In the fourth step, you select the prediction models to be created.

To select prediction models:

  1. Select the desired prediction models by clicking in the checkbox:
    All models are selected by default.

    In the visualization windows, you can compare display and training results of all models.

  2. Click on the Close button.

    The deselected prediction models are discarded.
    Selected prediction models are created and shown in the Prediction Model Manager.
    The wizard is closed.

Option | Description
Configuration of model configuration | Display of the active step in the wizard.
Prediction model window | Display of the configured prediction models. Selection and deselection using a checkbox in front of the model names. Deselected models are discarded when closing the wizard; the selected models are transferred to the main overview.
Visualization window | Display of the scatter plot and the training results for the selected prediction models.

Navigation

Option | Description
Previous | Switches back to the model configuration step.
Next | Applies the selected prediction model and closes the wizard.


Edit prediction models

zenon Analyzer > Prediction Model Manager > Edit prediction models

Every prediction model can be edited in the Prediction Model Manager at any time.

To edit a prediction model:

  1. Select the desired prediction model in the list.
  2. Edit the properties of the prediction model.
  3. Retrain the prediction model.
  4. Save the prediction model.

Several prediction models can also be edited together. In doing so, properties with different values are shown in red font.


Train prediction models

zenon Analyzer > Prediction Model Manager > Train prediction models

Prediction models must be trained. The training is configured in the Prediction Model Manager. Training can also be carried out automatically.

Configure training

To configure training:

  1. Select the model to be configured.
    Multiple selection is possible.
  2. Configure the time period for the training.
    1. Stipulate the start time.
    2. Stipulate the end time.
  3. Configure the relationship of the training data to validation data.
  4. If you want to automatically execute the training in regular intervals again, configure automatic training:
    1. In the automatic training area, click on checkbox for activated.
    2. Select the week interval
    3. Select the weekdays on which the training is to be carried out.
    4. Configure the time at which the training is to be carried out.
      Relative time given relates to this time.
    5. Configure the first day of the training.
  5. Carry out the initial training.
  6. Save the configuration.

User interface

User interface area

Description

List of prediction models

Displays all prediction models. Multiple selection is possible.

Symbols to the left of the name show the respective status and type.

Symbol column 1: Error

  • Exclamation mark:
    Validation window. Details about the error are displayed in the tooltip. It is only possible to save changes once no more errors are shown.

Symbol column 2: Status

  • Arrows:
    Prediction model contains unsaved changes
  • Question mark:
    Prediction model was changed and must be retrained.

Symbol column 3: Type

  • Clock:
    Time-based prediction model
  • Hash:
    Value-based prediction model

The further columns inform you of:

  • Target variable
  • Target cycle time
  • Aggregation
  • Time of last training
  • Activation as a default model
  • Source variable

Properties

Properties for the configuration of the models and the training.

With multiple selection:

  • The properties of the model selected first are displayed
  • Properties with different values are highlighted in red
  • Validation errors for the model selected last are shown
  • Changes have an effect on all selected models

Display range

Visualization of the models and the training results using four tabs:

  • Trend chart
  • Scatter Plot
  • Last training result
  • Training history


Cache for real data

zenon Analyzer > Prediction Model Manager > Cache for real data

To speed up training and prediction, the data loaded via the Runtime connector or SQL connector is kept in the background in a cache.

Data is loaded into the cache when:

  • Training of models in the main view.
  • Loading data in the main view.
  • Loading data for the creation of models in the wizards (transition to step 3).

If necessary, the data in the cache can be removed from the tool bar manually using the Edit menu or the tool bar.


Properties

zenon Analyzer > Prediction Model Manager > Properties

The properties of the prediction models are used identically in the configuration interface and in the wizards.

The properties of several selected models can be edited at the same time. If the properties of the selected models have contradictory values, the respective properties are shown in red font. If only the value of one property is different, the complete property is marked in red. In this case, the respective value of the first selected model is displayed. If a value of a property is amended, this value is applied to all selected models.

In the event of validation errors in the properties, the invalid values are not applied in the model. Only if the property has been configured validly are the values also present in the model, available for training and able to be saved.

Other topics in this chapter

General

Target variable

Source variable

Automatic Training


General

zenon Analyzer > Prediction Model Manager > Properties > General

Configuration of the name and the training data for the prediction model.

General properties:

Model name

Property

Description

Model name

Entry of the name of the prediction model.

The name is for:

  • Naming in the Prediction Model Manager
  • To find the prediction model in the report in which it is used for the prediction of data

Note: Models for different variables that are to be used together in reports should have the same name so that the model in the report can be used for all variables. For the display of 3 variables, each with a prediction, for example.

Alternatively: The models are named differently but each activated as a default model. The models can thus be selected in the report using the default option.

Training data time range

Defines the time period for which the data is considered for training for the variable upon which the variable is based.
If, as a result of the combination of absolute start time and end time, an empty (or negative) time period results, an error is issued during training.

Property

Description

Start time

Entry of the start time for the time period for which the training is to be executed. This can be entered as absolute or relative. Selection by clicking in the radio button:

  • Absolute start time: Must not be in the future. Must be before the end time.
  • Look back time: From the perspective of the end time.

Absolute start time

Selection of the start time for the training period.
Entry is in the field directly or by means of selection from the calendar module.

Lookback time

Stipulation of the start time relative to the time of the end of training.
Configuration using the following elements:

  • Entry of number
  • Entry of unit from a drop-down list

There are several intervals available.

  • Minimum: 1 minute
  • Maximum: 1000 years

For example: 30 Minutes before the end time.

End time

Entry of the end time for the time period for which the training is to be executed. Entry is relative.

Configuration by means of the following elements

  • Entry of number
  • Entry of unit from a drop-down list
  • Selection of retroactive reference time point from drop-down list

There are several intervals available.

  • 0 minutes to 1000 years
  • Related to a time point between now and end of last full year

For example: 10 Minute retroactive from now.

Example:

  • Start time: 1 day before the end time
  • End time: 0 minutes retroactive from end of last full day
  • Start of training: 2018-06-30; 12:00
  • Result: The training is carried out for the time period 2018-06-29; 00:00 - 23:59

Periodicities

This property stipulates, for time-based prediction models, the time intervals at which the training data is renewed by recurrences. Appropriate selection of the periodicities is decisive for the meaningful functioning of time-based models that contain recurrences. Periodicities are always calculated from the start of the year (>= 1 day) and start of the day (< 1 day) in local time.

This property is only available for time-based prediction models.

Property

Description

Start time

Defines the start time of the model. This must not be exceeded in the report.

Entry is in the field directly or by means of selection from the calendar module.

Recurrence

Type of recurrence.
Select from drop-down list:

  • No recurrence: The model also contains a non-cyclical part. That is a long-term trend that does not recur.
  • Hourly recurrence: Recurrence every hour.
  • Daily recurrence: Recurrence every day. (Default)
  • Weekly recurrence: Recurrence every week.
  • Monthly recurrence: Recurrence every month.
  • Yearly recurrence: Recurrence once a year.
  • User defined: Individual configuration using input elements for days, hours and minutes.
    Minimum: 0 days - 0 h - 1 min
    Maximum: 1,000 days - 23 h - 59 min

The use of several periodicities makes it possible to illustrate several periodicities, each contained in the data.

Periodicity

  • add: Click on the +- symbol.
  • Delete: Click on the X symbol.

The sequence in which the periodicities are defined does not play a role. The periodicities must be unique.
Number of periodicities:

  • Maximum: unlimited
  • Minimum: one

Example:

Production facility with annual cycles and daily cycles, as well as a trend throughout years. Configuration:

  • No recurrence
  • Yearly recurrence
  • Daily recurrence

Training data

The property stipulates how the data available in the training period is divided between training and validation of the model.

Property

Description

First %

Configuration of the distribution of the data into training and validation in percent. The value entered here defines the proportion of training data. The values missing 100% are used for the validation.

  • Minimum: 5%
  • Maximum 95%


Target variable

zenon Analyzer > Prediction Model Manager > Properties > Target variable

Configuration of connector, archive and data cleansing for the target variables.

Connector

Selection of the connector for getting the data.

Property

Description

Connector

Selection of the connector from the drop-down list.

  • SCADA Runtime connector
  • SCADA SQL connector
    With the SCADA Runtime connector: Ensure that Runtime is running on the target system.

Archive

Property

Description

Archive

Selection of the archive for the target variable from a drop-down list.

All archives in which the target variable is present in the cycle time and aggregation is established for the variable are available for selection.

The combination of variable, cycle time and aggregation was stipulated in the wizard. This can no longer be used.

Note: If several prediction models have been selected for editing, this property can only be changed if the same archive is assigned to all models.

Data cleansing

Configuration of which values are not used for training and validation. Implausible and disruptive data can thus be filtered out.

Property | Description
Data cleansing | Settings for data cleansing. All properties that are to be used must be activated by means of a checkbox.
Value minimum | Absolute minimum value that can be used. Entry in the numeric field or configuration using the arrow keys. With variables with a unit, the corresponding unit is displayed. Must be less than the maximum value if that has been configured.
Value maximum | Absolute maximum value that can be used. Entry in the numeric field or configuration using the arrow keys. With variables with a unit, the corresponding unit is displayed. Must be greater than the minimum value if that has been configured.
Moving average | Data cleansing with a moving average can be configured using absolute values and relative deviation. The absolute and relative deviation for the moving average is applicable for both upwards and downwards. In contrast, the minimum value and maximum value only relate to the upper and lower values.
Maximum relative deviation | Relative deviation for the moving average. Input of the percentage figure in the numeric field or configuration via arrow keys.
Maximum absolute deviation | Absolute deviation for the moving average. Input of the percentage figure in the numeric field or configuration via arrow keys.
Window size | Can only be configured if one of the values is active for moving average. Stipulates the size of the window for the moving average. Entry in the numeric field or configuration using the arrow keys. Minimum: 2


Source variable

zenon Analyzer > Prediction Model Manager > Properties > Source variable

Configuration of connector, archive and data cleansing for the source variables.

Connector

Selection of the connector for getting the data.

Property

Description

Connector

Selection of the connector from the drop-down list.

  • SCADA Runtime connector
  • SCADA SQL connector
    With the SCADA Runtime connector: Ensure that Runtime is running on the target system.

Archive

Property

Description

Archive

Selection of the archive for the target variable from a drop-down list.

All archives in which the target variable is present in the cycle time and aggregation is established for the variable are available for selection.

The combination of variable, cycle time and aggregation was stipulated in the wizard. This can no longer be used.

Note: If several prediction models have been selected for editing, this property can only be changed if the same archive is assigned to all models.

Data cleansing

Configuration of which values are not used for training and validation. Implausible and disruptive data can thus be filtered out.

Property | Description
Data cleansing | Settings for data cleansing. All properties that are to be used must be activated by means of a checkbox.
Value minimum | Absolute minimum value that can be used. Entry in the numeric field or configuration using the arrow keys. With variables with a unit, the corresponding unit is displayed. Must be less than the maximum value if that has been configured.
Value maximum | Absolute maximum value that can be used. Entry in the numeric field or configuration using the arrow keys. With variables with a unit, the corresponding unit is displayed. Must be greater than the minimum value if that has been configured.
Moving average | Data cleansing with a moving average can be configured using absolute values and relative deviation. The absolute and relative deviation for the moving average is applicable for both upwards and downwards. In contrast, the minimum value and maximum value only relate to the upper and lower values.
Maximum relative deviation | Relative deviation for the moving average. Input of the percentage figure in the numeric field or configuration via arrow keys.
Maximum absolute deviation | Absolute deviation for the moving average. Input of the percentage figure in the numeric field or configuration via arrow keys.
Window size | Can only be configured if one of the values is active for moving average. Stipulates the size of the window for the moving average. Entry in the numeric field or configuration using the arrow keys. Minimum: 2


Automatic Training

zenon Analyzer > Prediction Model Manager > Properties > Automatic Training

Configuration of automatic training.

Automatic training properties

Automatic Training

Property

Description

Activated

Active: Automatic training is executed in accordance with the configuration. The start time and end time is stipulated in the properties of the General group.

Weekly interval

Configuration of the weekly interval in which training is carried out. Entry of a number or selection by means of the arrow keys.

  • Minimum: 1
  • Maximum: 100

Default: 1

Example: 3 - the training is carried out every 3rd week. There is thus a break for 2 weeks after each training.

Weekdays

Selection of the weekdays on which the training is to be carried out. Select by clicking in the checkbox in front of the day.

At least 1 day must be selected.

Run training at

Configuration of the time at which the training is carried out.
Relative time given relates to this time.

First day of training

Configuration of the first training day.
From this day on, the training will be carried out at the selected interval in the selected weekdays. The week in which the day falls is applicable as training week 1.


Migration Tool

zenon Analyzer > Migration Tool

The Migration Tool allows the migration of Analyzer servers. Migration is possible from servers of version 2.00 or higher.
The following can be migrated:

  • Servers at the same level
  • Servers from one level to a higher level

The following is migrated:

  • Metadata databases (including SP, UDF, SQL connector, 3rd party database connector, archive emulation)
  • Reporting Services (database, users, RDL files)
  • Users including their authorizations for SQL Server, Analyzer applications, Reporting Services
  • SQL Agent Jobs
  • SQL Agent jobs for the retraining of prediction models
  • Database backup jobs
  • Linked Server
  • Configuration for email (local only)
  • Schedules and subscriptions (delivery method of email only if the email client is configured)
  • Customer-specific RDL template

info Information

Report definition files present on the Analyzer Server (*.zams_rep) are not applied during a migration. If these are also required on the target Analyzer, they must be transferred manually.

Start Migration Tool

The tool can be started from ZAMS or as a stand-alone application.

Start via ZAMS:

  1. Navigate to the Options ribbon in ZAMS.
  2. Click on the Migration Tool entry.

    The Migration Tool is started.

Start as stand-alone application:

  • In the Windows Start menu, select the COPA-DATA -> Migration Toolentry.
    The Migration Tool is started.

User interface

Option

Description

Menus

For the Migration Tool, the two menu items File and Help are available:

File:
Contains the sub-items:

  • Options: Opens the Options dialog.
  • Exit: Exits the application.

Help:

Contains the subpoints:

  • Info about: Displays information on the version and copyright.
  • Help: Opens online help.

Step display

Display of the step to be configured.

Configuration view

Can also be subdivided into tree view and detail view for a step.

Display of the status and configuration of the objects of the respective step.

Navigation

Navigate in the migration steps using the Back and Next buttons.

Visualization window

Display of errors, warnings and notifications.

This dialog saves the following settings in the configuration file and recreates these on the next start:

  • Window position
  • Window size
  • Size of the output window
  • Display options for groups of errors, warnings and messages in the output window.

Other topics in this chapter

Options

Navigation

Output window

Configuration


Options

zenon Analyzer > Migration Tool > Options

The dialog to configure the options can be reached via the File menu.

The options include:

  • Maximum number of connection profiles
  • Administration of the connection profiles
  • Selection of the user interface language

Configuration dialog settings

Option

Description

Maximum number of connection profiles

Number of connection profiles that are saved. If the set maximum number is exceeded when creating a new connection profile, then the profile that has not been used the longest is deleted.

Entry in the field or configuration using the arrow keys.

  • Minimum: 1
  • Maximum: 255

Manage connection profiles

Clicking on the button opens the dialog for administering the connection profiles.

Language

Selection of the user interface language from the drop-down list. The language is immediately switched after the change is set and OK is clicked on.

SQL Server statement timeout

Entry of the SQL server statement timeout.

This timeout enters into force if an individual SQL Statement runs for longer than is defined here, for example when backing up or when restoring a large database. With new connections, the currently-set value is used for the Timeout. If this is amended in the options, the existing connections are amended to the new value.

The Timeout can be set to a value between 1 minute and 7 days.

Input elements:

  • Number element:
    Entry of the quantity in the field directly or by means of the arrow keys.
    Possible values for :
    - days: 1 - 7
    - hours: 1 - 168
    - minutes: 1 - 10080
  • Drop-down list for granularity:
    Possible values:
    - minutes
    - hours
    - days
    This selection influences the value range of the number element.

Default:4 hours

Compress database backup files

Setting of whether backup files are compressed.

  • Active: Backup files are compressed.

Setting has an effect on all:

  • Database backups created during database migration
  • Database backup jobs on the target server, regardless of the setting on the source server

Database backup jobs are recognized and compressed or uncompressed and displayed accordingly. This detection and display depends on the status of this option.

OK

Applies settings and closes the dialog.
Changes are applied and the dialog is closed.

Attention: All change in the Administer connection profiles subdialog only become effective if this dialog is closed with OK. No changes are made if this is closed.

Cancel

Discards all changes and closes the dialog.

Other topics in this chapter

Manage connection profiles


Manage connection profiles

zenon Analyzer > Migration Tool > Options > Manage connection profiles

Up to 255 connection profiles can be created for migration. These are administered in this dialog. You can change the login data for the source server and destination server, and delete profiles from the connection list.

Option

Description

List of connection profiles

Lists all configured connections. The following is displayed for each connection:

  • Connection profile: Name of the connection profile including server name and Analyzer server version
  • Source server computername: Computer name of the source server
  • Destination server computername: Computer name of the destination server
  • Connection details: Show:
    connection status for the source server
    connection security for the destination server

Clicking on the entry selects the connection for editing. Multi-selection is possible via keys Ctrl + click or keys Shift + click.

Select all

Clicking on the button selects all entries for editing.

Deselect all

Clicking on the button deselects the selection.

Edit

Opens the dialog for configuring a wake up call.

Delete

Clicking on the button deletes the selected connection profile from the list.

Close

Changes are applied and the dialog is closed.

Attention: All changes only become effective if the basic Options dialog is closed by clicking on OK. No changes are made if this is closed.

Note: To reverse changes, close this dialog by clicking on Close and leave the Options dialog by clicking on Cancel.

Other topics in this chapter

Edit


Edit

zenon Analyzer > Migration Tool > Options > Manage connection profiles > Edit

Activation or deactivation of the connection security for existing profiles. The options for connection security are only available if all used connection profiles have the same availability of connection security.

Option

Description

Source server connection security

Settings for the connection security for the source server. The entries must correspond to the configuration on the server.

Only available if the zenon Analyzer is version >= 3 on the source server.

Secured connection:

Activation or deactivation of the encrypted communication.

  • Active: Communication is encrypted. For each connection, depending on the degree of encryption, passwords must be entered for the license service.
  • Inactive: Communication is not encrypted.

Connection password

Entry of the password for the connection to the license server.
Input is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

Only active if the Secured communication and Save passwords options have been activated.

Save password

Stipulation of whether the connection parameters are saved in the connection profile.
Saving is carried out as a hardware-dependent and user-dependent hash of the password.

Destination server connection security

Settings for the connection security for the target server. The entries must correspond to the configuration on the server.

Only available if the zenon Analyzer is version >= 3 on the target server.

Secured connection:

Activation or deactivation of the encrypted communication.

  • Active: Communication is encrypted. For each connection, depending on the degree of encryption, passwords must be entered for the license service.
  • Inactive: Communication is not encrypted.

Connection password

Entry of the password for the connection to the license server.
Input is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

Only active if the Secured communication and Save passwords options have been activated.

License Server modification password

Entry of the change password on the license server.
Entry is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

Only active if the Secured communication and Save passwords options have been activated.

Save passwords

Stipulation of whether the connection parameters are saved in the connection profile.
Saving is carried out as a hardware-dependent and user-dependent hash of the password.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Navigation

zenon Analyzer > Migration Tool > Navigation

The configuration dialog will run through in individual steps. These are displayed in a list on the left edge of the tool.

The display of the individual steps shows their current status:

Circle symbol | Label | Status
Full | gray | configured
Full | orange | Is currently being configured
empty | gray | not yet configured

The direct number of individual steps is not possible. The configuration dialog is navigated through using buttons. It is always possible to switch between two adjacent steps. When switching between two steps, all inputs of the active step are validated. The switch is only possible if the configuratiuon for migration is valid in this step.

The button to go forward to the next steps changes its function depending on the step.

Navigation between steps

General

Button

Description

Back

Clicking on the button goes one step back in the configuration.

Only available if:

  • It is not the first or last step that is active
  • The currently-active step activates the button

Next

Clicking on the button goes one step forward in the configuration.
Only available up to the migration overview and if the currently-active step activates the button.

Migration overview step

Button | Description
Back | Clicking on the button goes one step back in the configuration.
Start migration | Clicking on the button starts the migration. Only available if the check of the configuration activates the button. Attention: This can no longer be canceled once the migration is started.

Migration running step

Button | Description
Back | not available.
New migration | Clicking on the button switches to the first step in order to configure a new migration.


Output window

zenon Analyzer > Migration Tool > Output window

The output window lists error messages, warnings, information and status messages in a table. These notices can be filtered and deleted.

Display in the output window

Option

Description

Buttons

Control display of the messages and navigation. Setting of the buttons is saved when ZAMS is closed.

Delete all
(red X)

Clears the whole table.

Error
(white x in a red circle)

Displays the number of errors that can be displayed in the table. Clicking on the button switches the display in the table on or off.

Warnings
(yellow triangle)

Displays the number of warnings that can be displayed in the table. Clicking on the button switches the display in the table on or off.

Messages
(blue circle)

Displays the number of messages that can be displayed in the table. Clicking on the button switches the display in the table on or off.

Table

Contains error messages, warnings and information.

  • Messages can be sorted with the column titles and according to columns.
    Clicking on the respective column head sorts the table according to this column. A second click inverts the sorting.
    The standard sorting increases in accordance with column 1 (Numbering).
  • Double clicking on a message in the table displays the report and the context in which the message was created in the report area of the main window. To do this, the report must already be open.
  • Messages are deleted when ZAMS is closed.

Numbering

Contains consecutive numbering. The numbers are assigned chronologically upon receipt.

Symbol

Symbol that displays the type of message. The symbols correspond to the symbols of the buttons.

Sorting sequence ascending:

  • Error
  • Warning
  • Information

Descendant sorting is carried out in reverse order.

Timestamp

Displays the time stamp at which the message was created.

Message ID

Unique ID of the message source.

Description

Explanation of the message.


Configuration

zenon Analyzer > Migration Tool > Configuration

Configuration of migration takes place in individual steps:

  • Connect to Servers
  • General settings
  • Linked Servers
  • Databases
  • Schedules
  • Reports and Subscriptions
  • Summary
  • Migrating

The process is gone through with the Back and Next buttons. Individual steps cannot be called up directly. Switching forwards and backwards is only possible if the current step has been validated positively.

Other topics in this chapter

Connect to Servers

General Settings

Linked Servers

Databases

Schedules

Reports and Subscriptions

Summary

Migrating


Connect to Servers

zenon Analyzer > Migration Tool > Configuration > Connect to Servers

In this step, you configure the connection to the source server and to the target sever for the migration.

To establish a connection:

  1. Configure computer, Analyzer version and login data for the source server.
  2. Configure computer, Analyzer version and login data for the target server.
  3. Establish the connection by clicking on the Connect button.

info Information

If an error occurs when activating the connection security, you receive further information in relation to this in the output window under error number 86.

Connect dialog to server

Connection profile

Option | Description
Connection profile | Selection of an existing connection profile for connection or the creation of a new profile. When selecting a new profile, the entries of the previous profile are retained and can be edited. Only available if there is no connection. The connection profiles are managed in the options.

Source server

Option

Description

Source server

Configuration of a new connection. The options are only available if a new connection profile is created and there is no connection.

Note: The options Password and User name are only available if the Use Windows authentication option has been deactivated.

Connection security

Settings for the connection security. The entries must correspond to the configuration on the server.

Only available if the selected server version allows secure connections.

Secured connection

Activation or deactivation of the encrypted communication.

  • Active: Communication is encrypted. For each connection, depending on the degree of encryption, passwords must be entered for the license service.
  • Inactive: Communication is not encrypted.

Note: Secured communication cannot be configured for existing connection profiles. A new profile must be created.

License Server connection password

Entry of the password for the connection to the license server.
Input is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

Save passwords

Stipulation of whether the connection parameters are saved in the connection profile.
Saving is carried out as a hardware-dependent and user-dependent hash of the password.

Refresh server list

Clicking on the button starts the search for source servers that can be accessed with the login data.

The drop-down list to select a server is filled with the results.

Only available if the Use shared credentials option has been deactivated.

Specify database server

Clicking on the button opens the dialog for manual entry of a source server.

Server version

Selection of the main Analyzer version of the source server from a drop-down list.
The list is filled with the results of the search or manual entry. With a secure connection, only versions that support a secure connection are offered.

Server computername

Selection of the computer name from a drop-down list.
The list is filled with the results of the search or manual entry.

Destination server

Option

Description

Destination server

Configuration of a new connection. The options are only available if a new connection profile is created and there is no connection.

Note: The options Password and User name are only available if the Use Windows authentication option has been deactivated.

Connection security

Settings for the connection security. The entries must correspond to the configuration on the server.

Only available if the selected server version allows secure connections.

Secured connection

Activation or deactivation of the encrypted communication.

  • Active: Communication is encrypted. For each connection, depending on the degree of encryption, passwords must be entered for the license service.
  • Inactive: Communication is not encrypted.

Note: Secured communication cannot be configured for existing connection profiles. A new profile must be created.

License Server connection password

Entry of the password for the connection to the license server.
Input is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

License Server modification password

Entry of the change password on the license server.
Entry is always hidden. The actual length is disguised. If the input field is active, it must be filled in order for a connection to be established.

Save passwords

Stipulation of whether the connection parameters are saved in the connection profile.
Saving is carried out as a hardware-dependent and user-dependent hash of the password.

Refresh server list

Clicking on the button starts the search for target servers that can be accessed with the login data.

The drop-down list to select a server is filled with the results.

Only available if the Use shared credentials option has been deactivated.

Specify database server

Clicking on the button opens the dialog for manual entry of a target server.

Server version

Selection of the main Analyzer version of the target server from a drop-down list.
The list is filled with the results of the search or manual entry. With a secure connection, only versions that support a secure connection are offered.

Server computername

Selection of the computer name from a drop-down list.
The list is filled with the results of the search or manual entry.

Connection

Option | Description
Connect | Clicking on the button starts the establishment of the connection with the configured connection data The result is shown under the button as text information.
Disconnect | Clicking on the button disconnects the existing connection. The result is shown under the button as text information.
Text information | Shows the current connection status of the migration tool. In addition, the background color of the information is set according to the connection status.

Navigation and output windows

Property

Description

Navigation

Navigation in the configuration steps by means of the Back and Next buttons.

  • Back: One step back.
    Only available if not the first or last step.
  • Next: One step further.
    Only available if the validation for the current configuration has been completed successfully.
    This button is replaced:
    In the Overview of migration step by Start migration.
    In the Migration is taking place by New migration.

Output window

Display of errors, warnings and notifications.

Other topics in this chapter

Specify database server


Specify database server

zenon Analyzer > Migration Tool > Configuration > Connect to Servers > Specify database server

Source and target server for the migration can be configured manually. Clicking on the Specify Database Server button in the Connect to server step opens the dialog to enter the Analyzer version and name of the server.

Option

Description

Server version

Select the main version of the Analyzer server from a drop-down list.

Server computername

Entry of the name of the computer on which the Analyzer server runs.

A certificate must be installed for secure connections. This demands the server name as an FQDN (Fully Qualified Domain Name).

  • Example of insecure: myserver
  • Example of secure: myserver.mydomain.com

Note: localhost is not a valid entry, because localhost is unknown in the domain. localhost is always replaced by the computer name.

Progress bar

Shows the validation progress and any errors that are found.

OK

Starts process when entering a server. If this is successful, the dialog is closed and the changes are saved.

Cancel

Discards all changes and closes the dialog.


General Settings

zenon Analyzer > Migration Tool > Configuration > General Settings

In this step, you configure the general settings for the migration:

  • Access rights for tools:
    • Manual Data Editor
    • Metadata Editor
    • ZAMS

    Note: The source server and target server must be higher than version 2.00, because these access rights are not available for version 2.00.

  • Access rights on the Analyzer Server:
    Basic access rights to web services and Report Launcher. Assignment of the roles for users and administrators.
  • SMTP settings on the Analyzer Server:
    Migration of the SMTP settings for report dispatch by email.

    Note: These settings can only be migrated if the following components are running on the same server:

    • Source server
    • Destination server
    • Migration Tool
  • Reporting Services Wake up call

info Information

Members of the local administrators in the <PREDEFINED>\Administrators group cannot be migrated.

Background: This group is created by the operating system. It may get different names, depending on the operating system, language and other factors. It cannot therefore be clearly identified from the migration process.

In the Diagnosis Viewer, you get the error message E00060 in any case: Setting the access rights in the SQL Server Reporting Services on [Computer] for [version] has failed.

Configuration

Selection

Option

Description

Step display

Display of the step to be configured.

Selection tree

Display and selection of the components to be configured.

Detail view

Display of the status and configuration of the selected object.

Information is shown with a yellow background if the object cannot be migrated.

If the object can be migrated, the checkbox for activation of the migration and the objects to be migrated are shown.

Configuration:

  • Checkbox
    active: Object is to be migrated.
    Inactive: Object is not migrated.
  • Detail window: Display of the configuration to be migrated on the source server or notes on the current configuration on the target server.

For details, see the following sections.

  • Analyzer application access rights
  • Report Launcher user roles
  • Email server configuration
  • Reporting Services Wake up call

Navigation and output windows

Property

Description

Navigation

Navigation in the configuration steps by means of the Back and Next buttons.

  • Back: One step back.
    Only available if not the first or last step.
  • Next: One step further.
    Only available if the validation for the current configuration has been completed successfully.
    This button is replaced:
    In the Overview of migration step by Start migration.
    In the Migration is taking place by New migration.

Output window

Display of errors, warnings and notifications.

Analyzer application access rights

Settings for the migration of the access rights for Analyzer applications.

To migrate the access rights for Analyzer applications:

  1. Select the Access rights for the Analyzer applications entry in the selection tree.
  2. Activate the Migrate Analyzer Tools access rights configuration checkbox.
  3. Check the objects to be migrated in the detail window.

Report Launcher user roles

Settings for the migration of the Report Launcher user roles.

To migrate the user roles:

  1. In the selection tree, select the Report Launcher user roles entry.
  2. Tick the Migrate Report Launcher user roles checkbox.

    Note: If the migration of the user roles is deactivated, the access rights to individual objects on the Analyzer server (folders, reports etc.) cannot be migrated. A corresponding warning is displayed.

  3. Check the objects to be migrated in the detail window.

Email server configuration

Settings for the migration of the email server configuration.

To migrate the email server configuration:

  1. Select the Email server configuration entry in the selection tree.
  2. Activate the Migrate email server configuration checkbox.
  3. In the detail window, check the SMTP configuration on the source server and the status of the email report sending expansion on the target server.

If the migration of the SMTP configuration has been deactivated by the user, the availability of the email report sending expansion is shown in the target server.

  • Email subscriptions can be migrated if the expansion is available.
  • If the expansion is not available, the migration of email subscriptions is not possible. A corresponding warning is displayed.

Reporting Services wake up call

Settings for the migration of the Reporting Services activation call.

To migrate a Reporting Services activation call configured on the source server:

  1. Select Reporting Services activation call in the selection tree.
  2. Tick the Migrate the Reporting Services activation call checkbox.
    Note: This is only available if the call exists on the source server and there is no communication error.
  3. Note the status report. This provides information on the migrateability and parameters of the activation call.


Linked Servers

zenon Analyzer > Migration Tool > Configuration > Linked Servers

in this step, you configure the settings for the migration of the Linked Servers.

The Linked Server information with the attendant provider information is read from the source server. In order for a Linked Server to be able to be migrated, the following conditions must be met:

  • The attendant provider already exists on the target server.
    This means: There is a provider on the target server with the same name and identical configuration.
  • A valid password is stored for each required user.
  • The passwords have been validated successfully.

Configuration

Selection in the selection tree

Option

Description

Step display

[Linked server name]

Display and selection of the Linked-Server to be configured.

Clicking on a server offers the option to configure the selected Linked Servers in the detail view.

Status colors:

  • Yellow:
    Linked Server is not selected for migration.
  • Red:
    Linked Server is selected for migration and cannot be migrated.

Validate passwords

Start of validation and display of the validation status of the passwords.

Status colors:

  • Red: At least one password has not yet been validated.

Server configuration

Option

Description

Title

Name of the Linked Servers that is configured.

If there is configurable content, information is shown accordingly.

Migrate this Linked Server

Checkbox to select whether the server is migrated:

  • Active: This Linked Server is to be migrated.
  • Inactive: This Linked Server is not migrated.
    Note: If Linked Servers are excluded from migration, this can lead to problems in the migration process.

Status colors:

  • Yellow: Not selected for migration.
  • Red: Server is selected and cannot be migrated with the current configuration.

Text information on the status may be shown below the password field.

Passwords

Entry of the password for the user who is needed to create the linked server on the target server.

Note: If the computer is in a different domain, the path must be given as a Fully Qualified Domain Name.

Status colors:

  • Red: no password entered

Text information

Display of notices in the event of configuration problems.

Migration view deselected:

Validate passwords

You start validation of the passwords entered in the Check passwords detail area. Linked Server can only be migrated if all configured connections have the correct password.

To set and check the passwords:

  1. Issue the required passwords for each Linked Server to be migrated.

    Servers that are selected for migration but do not have a valid password are displayed as saved in red.

  2. Click on the Check passwords for linked servers button.

    The passwords are checked.

    The result is shown in the list with the checking status.

Attention: If a password that has already been validated is amended, the validation must be carried out again.

Option

Description

Linked server password validation states

Display of the validation result for all configured Linked Servers:

  • Green check mark: Validation successful
  • Magnifying glass: Validation not carried out
  • Red circle: Validation failed

Validate Linked Server passwords

Clicking on the button starts the validation process.

The results are displayed on the list with the checking status.

Navigation and output windows

Property

Description

Navigation

Navigation in the configuration steps by means of the Back and Next buttons.

  • Back: One step back.
    Only available if not the first or last step.
  • Next: One step further.
    Only available if the validation for the current configuration has been completed successfully.
    This button is replaced:
    In the Overview of migration step by Start migration.
    In the Migration is taking place by New migration.

Output window

Display of errors, warnings and notifications.


Databases

zenon Analyzer > Migration Tool > Configuration > Databases

In this step, you configure the settings for the migration of the databases:

  • Paths for databases backup files
  • Migratable databases
  • Database backup jobs
  • Jobs for the retraining of prediction models

Configuration

To configure the databases for the migration:

  1. Select the Database entry in the selection tree.
  2. Select the desired object in the detail view.
    The status of a task is displayed in the detail window using messages and signal colors.
    • Paths for database backup files:
      Clicking on the object shows the input elements for necessary paths in the detail view. The worst validation results of a path are shown as a status color.
    • Databases to be migrated:
      Clicking on the object shows the input elements for database migration in the detail view. Each sub-element represents a database available for migration. The color of the sub-element shows the status of the database:
      Red: Necessary paths missing.
      Yellow: Cannot be migrated due to dependencies or is not selected for migration.
    • Database backup jobs on the source server:
      Clicking on the object shows the input objects for database backup jobs in the detail view. Each sub-element represents all database backup jobs available for migration on the source server. The status color is the status color of the worst sub-element. The color of the sub-element shows the status of the database backup job:
      Red: Necessary paths missing.
      Yellow: Cannot be migrated due to dependencies or is not selected for migration.
  3. Configure the selected objects in the detail window.

info Information

The demo database supplied by COPA-DATA cannot be migrated. Databases, database backup jobs, reports and subscriptions that are based on the demo database also cannot be migrated.

Databases that cannot be migrated are displayed in the tree with yellow highlighting.

Procedure

The process for the migration of the databases is as follows:

  • The databases of the source server are saved in a defined folder.
  • The databases are moved from the backup folder to a backup folder for the target server.

    This step is not necessary if the two backup folders are identical.

  • The databases are restored again on the target server.
  • Database backup jobs are set up again on the target server.

Paths for databases backup files

Paths for databases backup files

Option

Description

Paths for databases backup files

Settings for the database paths for migration.

Source server databases backup path for the migration process

Entry of the database backup path for the migration process on the source server.

When carrying out the migration, the databases in this path are saved by the source server.

Click the ... button and the dialog opens to select a path. The path can also be entered directly into the field as a UNC network path.
Syntax: \\Computer name\folder\subfolder

Note: This field is a mandatory field for migration.

Destination server databases backup path for the migration process

Entry of the database backup path for the migration process on the target server.

When carrying out the migration, the database backup files are moved to this path from the path on the source server and then restored by the target server from this path. The files are deleted afterwards.

Click the ... button and a dialog opens to select a path. The path can also be entered directly into the field as a UNC network path.
Syntax: \\Computer name\folder\subfolder

Note: This field is a mandatory field for migration.

Migrate automated database backup jobs

Stipulation of whether database backup jobs are to be migrated.

  • Active: Database backup jobs will be migrated A valid path must be issued in the Network enabling on the target server to save database backups.
  • Inactive: Database backup jobs will not be migrated.
    Status color: yellow

Destination server network share for database backups

Entry of the path to an enabled folder on the target server in which database backup jobs can be saved.

Click the ... button and a dialog opens to select a path. The path can also be entered directly into the field as a UNC network path.
Syntax: \\Computer name\folder\subfolder

Only available if the Migrate automated database backup jobs option has been activated.

Validation of the database backup paths

Click on the button to start validation of the configured paths. If the result is positive, the button to move forward in the process is enabled.

Status display

The status of the ability to migrate is displayed below the button for validation via symbols and messages:

  • Green check mark: Validation successful
  • Magnifying glass: Validation not carried out
  • Red circle: Validation failed

A written message informs you of the reason for the respective status.

Selection of databases

Database selection

Option

Description

Title

Name and type of database.

For example: Reporting (Analyzer database)

Migrate this database

Configuration of whether this database is to be migrated. Only available if the database can be migrated. A database can be migrated if the necessary paths for the migration process have been validated successfully and all dependencies are migrated.

  • Active: Database is to be migrated.
  • Inactive: Database is not migrated.
    Status color: yellow

Required Linked Servers

Shows all Linked Servers that depend on this database.
A database can only be migrated if all Linked Servers on which it depends are migrated.

Required databases

Shows all databases on which this database is dependent. A database can only be migrated if all databases on which it depends are migrated.

Display only available for Analyzer databases.

Status

Status display. Only available if a database is not migrated.

Text shows reason for non-migration and informs you, in the case of Analyzer databases, if these are not migrated.

Status colors:

  • Red: Paths missing.
  • Yellow: All other notices.

Navigation and output windows

Property

Description

Navigation

Navigation in the configuration steps by means of the Back and Next buttons.

  • Back: One step back.
    Only available if not the first or last step.
  • Next: One step further.
    Only available if the validation for the current configuration has been completed successfully.
    This button is replaced:
    In the Overview of migration step by Start migration.
    In the Migration is taking place by New migration.

Output window

Display of errors, warnings and notifications.

Database view is not migrated:

Paths for databases backup files

Option

Description

Title

Database backup job name

Migrate this database backup job

Configuration of whether this database backup job is to be migrated. Only available if the backup job can be migrated. A database backup can be migrated if the path for database backup jobs on the target server has been successfully validated and all dependencies have been migrated.

  • Active: Database backup job is to be migrated.
  • Inactive: Database backup job is not migrated.
    Status color: yellow

Text

Database backup job description

Required databases

List of all databases on which this database backup job depends. A database backup job can only be migrated if all databases on which it depends are migrated.

Status

Status display. Only available if a database backup job is not migrated.

Text shows reason for non-migration.

Status colors:

  • Red: Paths missing.
  • Yellow: All other notices.

Attention: If a database included in a database backup job no longer exists, this job can no longer be migrated.

Navigation and output windows

Property

Description

Navigation

Navigation in the configuration steps by means of the Back and Next buttons.

  • Back: One step back.
    Only available if not the first or last step.
  • Next: One step further.
    Only available if the validation for the current configuration has been completed successfully.
    This button is replaced:
    In the Overview of migration step by Start migration.
    In the Migration is taking place by New migration.

Output window

Display of errors, warnings and notifications.

View of invalid configuration:


Schedules

zenon Analyzer > Migration Tool > Configuration > Schedules

In this step, you configure the settings for the migration of the schedules.

Selection in the selection tree

Option

Description

Step display

Display of the step to be configured.

Selection tree

Display and selection of the schedules to be configured.

Clicking on the schedule offers options for the configuration of the selected schedule in the detail view.

Status colors:

  • Yellow:
    Schedule is not selected for migration.

Configuration in detail view

Option

Description

Title

Name of the schedule that is configured.

If there is configurable content, information is shown accordingly.

Migrate report server schedule

Checkbox to select whether the schedule is migrated:

  • Active: This schedule is to be migrated.
  • Inactive: This schedule is not migrated.

Status colors:

  • Yellow: Not selected for migration.

Text information

Display of:

  • Description of the schedule.
  • Notes on the migration of subscriptions if the schedule is not migrated.

Migration view deselected:


Reports and Subscriptions

zenon Analyzer > Migration Tool > Configuration > Reports and Subscriptions

In this step, you configure the settings for the migration of reports and subscriptions. Reports and subscriptions that are not migrated or cannot be migrated are highlighted in yellow. Note the dependency when migrating subscriptions for reports and passwords.

Standard configuration

To migrate all elements in the Root:

  1. Tick the Migrate this object checkbox.

    Note: At least one object must be able to be migrated

  2. Select the configuration for Migrate policy of the root item from the source server.
  3. Enter the required passwords in the Enter passwords node.

Option

Description

Step display

Display of the step to be configured.

Selection tree

Lists all reports available in Report Launcher.

In addition, the subscriptions configured for each report are displayed.

The Enter password node allows the input of all passwords required for the provision of passwords. Only present if there are subscriptions.

Title

Shows name [root].

Migrate this item

Configuration of whether object is migrated.

  • Active: All objects in the root folder that can be migrated are highlighted for migration.
  • Inactive: No objects are migrated.

Status colors:

  • Yellow: Object has not been selected for migration or cannot be migrated due to dependencies.

Migrate policy of the root item from the source server.

Configuration for acceptance of authorizations.

  • Active: Authorization of the root element on the source server is transferred to target server.
  • Inactive: Authorization of the root element on the target server is not changed.

Navigation and output windows

Property

Description

Navigation

Navigation in the configuration steps by means of the Back and Next buttons.

  • Back: One step back.
    Only available if not the first or last step.
  • Next: One step further.
    Only available if the validation for the current configuration has been completed successfully.
    This button is replaced:
    In the Overview of migration step by Start migration.
    In the Migration is taking place by New migration.

Output window

Display of errors, warnings and notifications.

Migrate reports and subscriptions

To migrate reports and subscriptions:

  1. For each desired object, activate the Migrate this object checkbox.
  2. Select the configuration for Migrate policy of the root item from the source server for folders.

    Note: At least one object must be able to be migrated

  3. Enter the required passwords in the Enter passwords node.

Option

Description

Step display

Display of the step to be configured.

Selection tree

Lists all reports available in Report Launcher.

In addition, the subscriptions configured for each report are displayed.

The Enter password node allows the input of all passwords required for the provision of passwords. Only present if there are subscriptions.

Title

Displays the name of the object to be migrated.

Migrate this item

Configuration of whether the selected object is migrated. Report themes, reports and subscriptions can be migrated.

  • Active: Object is migrated.
  • Inactive: Object is not migrated.

Status colors:

  • Yellow: Object has not been selected for migration or cannot be migrated due to dependencies.

Migrate policy of the root item from the source server.

Configuration for acceptance of authorizations.

  • Active: Authorization of the root element on the source server is transferred to target server.
  • Inactive: Authorization is taken on by superordinate element.

Dependencies of this item

Display of the dependencies for selected report or selected subscription.

Passwords

Entry of the passwords required for the migration of subscriptions.

Option

Description

Enter Passwords

Options for entry and validation of the passwords.

Migrate subscriptions with an empty password as inactive subscriptions

Process for a workaround, such as with subscriptions that do not have a password.

  • Active: Subscriptions with an empty password field are not migrated but are switched to inactive on the target server.
  • Inactive: For each subscription, the required password must be entered correctly and validated.

Enter Passwords

Entry of the passwords that are needed for subscriptions. For each password, a symbol with the validation result is displayed.

Display of validation result:

  • Green check mark: Validation successful
  • Magnifying glass: Validation not carried out
  • Red circle: Validation failed

Validate passwords for subscriptions

Clicking on the button starts the validation process.

The results are shown in the list of passwords.

Attention: If the user of a subscription is also the user who started the migration tool, access, including reading and writing, is also possible with an incorrect password.

Background: When creating the access structure, the operating system checks whether the current user context of the process already has access for the given user on the given path if the same user name is contained in the context and in the query. If this is the case, the user context of the process is used and not the user name and the password from the query.


Summary

zenon Analyzer > Migration Tool > Configuration > Summary

All migration steps are displayed as a summary in the Overview step. You can check all configured steps here. Only objects activated for migration are displayed. Entries in the root directory are always displayed, even if they do not contain any objects to be migrated.

Change configuration

In order to change the configuration, use the Back button to go back to the desired step and amend the configuration. Then go back to the overview with the Next button.

Start migration

Click on the Start Migration button to start migration.
Attention: This process cannot be canceled!

Overview display

Structure

  • Source and target server:
    Subnodes: Configured server.
  • General Settings:
    Subnodes: A node each for general settings to be migrated.
  • Linked Server
    Subnodes: a node each per Linked Server
  • Databases and database backup jobs:
    Subnodes: One database each per node and per database backup job.
  • Schedules:
    Subnodes: A subnode each per schedule.
  • Report Server objects:
    Subnodes: Report Server folder structure, starting with the root element.
    The subscriptions are not shown individually, but the number of subscriptions to be migrated per report is shown if this is greater than 0.


Migrating

zenon Analyzer > Migration Tool > Configuration > Migrating

The migration is carried out in this step.

attention Attention

The migration tool cannot be operated whilst the migration is carried out:

  • The Options dialog is blocked. Language switching is not possible.
  • All buttons are deactivated.
  • The user interface cannot be closed.

Attention: Do not end the process using the Task Manager either. In this case, the target server will remain in an undefined status.

Carry out migration

To start the migration:

  1. In the Overview step, click on the Start migration button.

    The migration is started. The process is visualized by means of a progress display.

    The result is displayed once the migration has been completed.

    Details can be found in the output window.

    If the process has been canceled by the tool, only the Back button is available.

    If the process has been completed successfully, only the New Migration button is available.

  2. Close the dialog with File -> Close or configure a new migration procedure by clicking on the New Migration button.

    If you start the migration again, the connection is separated and the first stage in the migration tool is called up.

Progress bar

The progress display consists of two progress bars:

  • The upper progress bar shows the overall progress of the migration.
  • The lower progress bar shows the progress of the respective partial step.
    The migration consists of 6 partial steps:
    • Connection test
    • Migration of the general settings
    • Migration of the linked servers
    • Migration of the databases and database backup jobs with the following substeps for databases:
      - Create backup on the source server
      - Move backup file from the source server to the target server
      - Restore backup on the target server
    • Migration of the schedules
    • Migration of the reports and subscriptions


Report templates

zenon Analyzer > Report templates

Reports are prepared and configured in ZAMS on the basis of report templates for use and display in Report Launcher.

For all report actions such as opening, saving etc., it is a requirement that there is a connection to an Analyzer server with a valid license and that the desired report template has been licensed.

info Information

Validation: When loading, a check is made to see whether all referenced report template are available and included in the scope of the license.

Reports can evaluate certain information from zenon.

info Information

Do not use zenon color palettes for dynamic limit values for zenon projects whose data is to be exported for zenon Analyzer. Limit values cannot be dynamically amended in zenon Analyzer. Information from color palettes can therefore not be evaluated. This can lead to illegible graphics.

Other topics in this chapter

Create report

Save and close report definition

Open saved report definition

Configuring the report

Deploy report

Opening reports in Microsoft Report Builder

Graphics configuration

Report settings

Validation

Examples for report configuration

Supplied report templates

Event-driven report creation


Create report

zenon Analyzer > Report templates > Create report

To create a report:

  1. Select New report in the File menu or on the start page.

    The dialog for selecting a report template is opened.
    This dialog is also opened if you click on the Add report template button in the report.

  2. Select the desired theme in the dialog to create new report templates.
  3. Select the desired report template.

  4. Click on the OK button.

    The report template is opened. Filter, report settings and graphical elements are offered for configuration.

    Note: The configuration area for the report without report template is opened by clicking on Cancel.

    New report templates are shown with a standard name and asterisk (*). Report definitions that have already been saved are shown with an asterisk after the name.

  5. Save the report as a report definition with the desired name.
  6. Add further report templates if required. To do this, click on the green plus sign in the header.
    For reports that are based on several report templates, linkable filters are shown as dashed lines. Connected components are shown with a solid line.
    A maximum of 5 report templates can be used in a report.
  7. Configure the report.
    You can also find notes on configuration using tooltips for report settings and configuration symbols.

    You can also find details on configuration and the report settings in the Create report and Elements in the report area chapters.

Remove report template

To remove a report template again:

  1. Go to the header of the corresponding column.
  2. Click on the symbol with the red X.

    The report template is removed. If elements in the report settings or cells in the parameter output area also need to be deleted, there is a request for confirmation.

Other topics in this chapter

Add report template dialog


Add report template dialog

zenon Analyzer > Report templates > Create report > Add report template dialog

This dialog allows the preview and selection of report templates.

Option | Description
Themes and Report Templates | Area to select the report template.
List of themes | Lists all themes for report templates. Clicking on a theme lists all attendant report templates in the list of report templates.
List of report templates | List of all report templates that belong to the selected theme. The list can be subdivided into subgroups. Subgroups are opened by clicking on a group. All groups can be expanded or collapsed using the symbols at the top of the list. When selecting a report template, a preview of the report is shown in the Report spot-check area. Clicking on OK or double-clicking on a report template opens the selected report template for editing.
Description | Shows a description of the selected theme, the selected group or the selected report template.
Report spot check | Shows an example preview of the selected report template, as it can be shown as a report.
OK | Accepts selection, closes the dialog and opens selected report template for configuration. Double-clicking on a report template also opens the selected report template for configuration.
Cancel | Discards selection, closes dialog and opens the configuration area for the report without report template.

Hint: This dialog is always opened with the settings last selected by the user.


Save and close report definition

zenon Analyzer > Report templates > Save and close report definition

Reports can be saved by the user as report definitions. If a report definition that has been amended is closed manually or automatically, or ZAMS is closed, the user is requested to save the report definition.

To save a report as a report definition:

  1. Select the Save report definition entry in the File menu or in the quick access tool bar.
    • If the report has not been saved before, the dialog to select a save location is opened.
    • If the report has already been saved under this name, the existing file is overwritten.
  2. Please define a name!
  3. Click on OK.

Note: The status message for successful saving in the output window only indicates that the process has been completed without problems, not that the changes have been saved. If changes are not saved, a warning is given and the asterisk next to the report name in the tab remains. A message is given if changes are saved.

info Information

The following elements are always overwritten without a request for confirmation when a report is saved:

  • *.zams_rep files on the harddisk
  • SQL elements in the database

Save under new name

To save amended reports under a new name, select the Save report definition as command. Files of other report definitions opened in ZAMS cannot be overwritten.

Save all open reports

To save all open reports, select the Save all report definitions. If there is already a report with the same name, this is either not saved, overwritten or overwritten after requesting confirmation, depending on the configuration of the Options. Files are only resaved if changes have actually been made.

Actions when saving all reports:

  • A check is made to see if each report has a valid save path:
    If, in the event that there is not a valid path, the selection of a valid path is canceled, the saving is also canceled
  • Possible conflicts are detected:
    Conflicts lead to saving being canceled
  • All necessary confirmations to overwrite existing data or entries in an individual dialog have been obtained:
    Saving is carried out if confirmation has been given, otherwise the process is aborted.

Overwrite report when saving

If an existing report is to be overwritten, a dialog to confirm this is opened with the default configuration of the Settings.

Option

Description

List of reports

Displays all reports that are overwritten when saved.

  • A tick in the check box allows the report to be overwritten.
  • An empty check box prevents overwriting.

Select all

Selects all reports displayed to be overwritten.

Deselect all

Prevents all displayed reports being overwritten.

OK

Accepts settings, executes defined actions (overwrite/do not overwrite) and closes dialog.

Cancel

Discards settings and closes the dialog.

Close report definition

To close a report definition:

  1. In the File menu, select the Close report definition command, click on the X in the tab or use the following keyboard shortcut: Ctrl+F4:
  2. If the report definition has been changed and not yet saved, the dialog to save reports is opened.
    • If this dialog is exited, the report definition is not closed.
    • If the dialog is confirmed with OK, the report definition is closed in accordance with the requirements and removed from the report area

Note: Only report windows can be closed with the keyboard shortcuts. The start window can be closed by clicking on the X button.

Close all report definitions

To close all report definitions:

  1. In the File menu, select the Close all report definitions command or use the following keyboard shortcut: Ctrl+Shift+F4:
  2. Unchanged report definitions are closed.
  3. For report definitions that have been changed and have not been saved yet, the dialog to save is opened.
    • If this dialog is exited, the report definitions are not closed.
    • If the dialog is confirmed with OK, the reports are closed in accordance with the requirements and removed from the report area


Open saved report definition

zenon Analyzer > Report templates > Open saved report definition

Report definitions are saved as a *.zams_rep file. This file can be opened and edited in ZAMS.

To open a *.zams_rep file:

  1. In the File menu, click on Open report definition.
    Or select Open report definition on the start page.

    The file browser is opened

  2. Select the desired file and open it by clicking on OK.

Note: You can also open the *.zams_rep file by double-clicking in the file browser.

A progress display is shown when several reports are opened. If a report that has already been opened is to be opened again, this report is is not opened again. Instead, the corresponding tab is moved to the foreground and a corresponding message is shown in the output window. When checking the report, upper-case/lower-case letters are not taken into account.

The following is applicable when opening:

  • Lower versions than the current one can be opened.
    A warning is shown in the process.
  • Higher versions cannot be opened.

It is always only the main versions (3) and subversions (3.00) that are checked. Service packages and builds are ignored.

List of the last report definitions opened.

Depending on the settings, the last-opened report definitions are offered on the start page and in the File menu. The report definitions are listed in ascending order according to the date of editing. The report definitions that are currently open are also displayed in the list. An attempt to select a report that is already open is canceled with an error message. The corresponding report is then activated in the main window. If a report definition that is no longer in the save path is selected, you are offered the opportunity to delete the report template from the list.

The entries in the list are updated if:

  • A connection to an Analyzer database is established
  • A report definition is opened from the hard drive
  • An amended report definition is saved to the hard drive
  • The number of report definitions to be displayed is amended

The number of report definitions offered is stipulated in the Settings:

  • Minimum: 0 (no report is displayed)
  • Maximum: 255
    If the permitted maximum is exceeded by a report that is being added, the oldest entry is deleted.

Default: 3

Edit or delete list

The list of the last-amended report definitions cannot be edited:

Remove individual report definitions from the list:

  1. Open the start page.
  2. In the list, click on the x button next to the desired entry.

    The entry is removed.

The deletion of an entry is automatically offered if a report definition is selected from the list to be opened and this is no longer available in the save path.

Delete list:

  1. Open the Settings.
  2. In the Connection profiles tab, click on the Delete list for current connection profile button.

    The complete list is deleted after confirmation is requested.

Open write-protected report definition

Report files that are write-protected can be opened. For this report definition, in addition to the name, the notice (write protected) and a corresponding message are displayed in the output window. Changes to the report settings can only be saved in a new report file. The symbol and the Save command are not available.


Configuring the report

zenon Analyzer > Report templates > Configuring the report

For the report configuration, it is recommended that you start with the higher-level configuration, and then go to the details.
Recommended procedure:

  1. Select the desired report template.
  2. With several report templates: Select the report settings to be linked and link them.
  3. Configure the report settings.
    Recommendation: Configure the report settings in the sequence in which they are offered in the report.
  4. Configure the graphic appearance.

Hint: You can undo or restore configuration steps using the corresponding buttons.

Combine several report templates

Several main data sets can be inserted into a report. Either through a report that already contains some or by selecting several report templates for a report. In this case, in the area of the report settings, all settings of this main data set are also displayed. Commonalities of the attendant settings are shown as grouped.

Example:

Column | Contents
Column 1 | Report settings
Column 2 | Main data set 1
Column 3 | Main data set 2
Column 4: | Possibility to add a further data set.

The assignment of the respective report settings to a main data set is shown through lines:

  • Solid line: The report setting in this line is assigned to the main data set in the respective column.
  • Dashed line: The report setting in this line is assigned to a different main data set. It can also be assigned using this. Grouping or substitution is possible.
  • No line: The report setting in this line is assigned to a different main data set. It also cannot be assigned to this data set. Grouping or substitution is not possible.

    In the example, the upper variable filter is assigned to the main data set 1 and the lower variable filter to main data set 2.

Groupable report settings can be summarized. Their configuration is then applicable to all data sets for which they have been compiled. This allows the linking of several report templates.

To link report settings:

  • Click on the symbol to link between column 1 and column 2.
    Or:
  • Drag a solid line to a dashed line with the mouse.

Rules for grouping

The following is applicable for grouping:

  • Grouping can be made and removed at any time.
  • When grouping, all settings needed by the setting to be grouped are also grouped.
    • Variables also group projects. Projects do not group variables.
    • The settings of the group that are linked to another replace its settings.
  • Groupings can be removed again using the symbol to remove the grouping.
    • When removing a grouping, all settings that need the setting that is to be removed are also removed.
      Remove variables, does not remove projects. Remove projects, removes variables.

When removing a grouping, the first report setting contains the group of configured settings. All others are given the default settings.

Examples

Simple grouping

Archive compression and the connector are grouped in the following screenshot. Its settings thus apply to both main data sets.

Dependent groupings

Only the variable filter was grouped in the following screenshot (at the very top). All other groupings are carried out automatically.

Other topics in this chapter

Undo - Restore


Undo - Restore

zenon Analyzer > Report templates > Configuring the report > Undo - Restore

When editing report templates, actions can be undone or restored. To do this, the Undo and Restore buttons are available in the Design ribbon and in the quick access bar. Steps in the report configuration can be undone or restored. Actions in dialogs are not recorded.

Both buttons contain drop-down lists with the number of steps. The steps are not named, but are grouped into powers of 10. So steps of 1 - 10, 20 - 100, 200 - 1000 etc.

Note: When using Undo - Restore, the current selection in the report configuration loses its focus.

Undo action

Undo last action

To undo the last action, click on the symbol for Undo.

Undo several actions

To undo several actions:

  1. Click on the arrow next to the symbol for Undo.

    The drop-down list is opened. The number of possible steps are shown in powers of ten.

  2. Click on the desired number.

    The corresponding number of steps is undone.
    The drop-down list remains open for further steps.

  3. Repeat this step if necessary.
  4. Close the drop-down list by clicking on the arrow.

Steps that have been undone are immediately available in the drop-down list for Restore.
If a new action is set in the report configuration, the drop-down list for Restore is set to zero.

Example
You want to undo 36 actions:

  1. Open the drop-down list.
  2. Click on (30).
  3. Click on (6).
  4. Close the drop-down list.

Restore

The Restore button is only available if:

  • At least 1 step has been undone beforehand
  • No action has been carried out in the report configuration since the undo

Restore last undo step

To undo the last action that has been undone, click on the symbol for Restore.

Restore several actions

To restore several actions that have been undone:

  1. Click on the arrow next to or under the symbol for Restore.

    The drop-down list is opened. The number of possible steps are shown in powers of ten.

  2. click on the desired number.

    The corresponding number of steps is restored.
    The drop-down list remains open for further steps.

  3. Repeat this step if necessary.
  4. Close the drop-down list by clicking on the arrow.

Example
You want to restore 236 actions:

  1. Open the drop-down list.
  2. Click on (200).
  3. Click on (30).
  4. Click on (6).
  5. Close the drop-down list.


Deploy report

zenon Analyzer > Report templates > Deploy report

In order for a report to be deployed, there must be a connection to an Analyzer server with a valid license.
Note:

  • When checking the paths, capitalization of letters is not taken into account.
  • When deploying reports, actions that can affect deployment are deactivated in ZAMS.

To deploy a report for the Report Launcher:

  1. In the Report ribbon in the Report group, click on Deploy.
  2. Save the report definition if required.
  3. In the dialog to overwrite elements, select which elements are to be overwritten.
  4. The report is created.

    Messages in relation to the success and problems are shown in the output window.

Note: If necessary, check the settings for the languages in which reports are prepared and the settings for the saving of reports and report definitions during deployment.

Preparing multilingual reports

To prepare multilingual reports:

  1. Configure the necessary languages in the settings.
  2. Prepare the report or the reports.

Progress bar in the status line

When deploying all reports, the progress bar in the status line is displayed. In doing so, each of the following steps initializes the progress bar and fills it completely during the course of progress:

  • Step 1: Validation of the reports.
  • Step 2: Saving of reports (this is skipped if no reports are to be saved).
  • Step 3: Creation of SPs and UDFs.
  • Step 4: Creation of the RDL files on the server.

Using reports and carrying out actions in ZAMS

Recommendation: Do not execute any reports whilst actions are being carried out with ZAMS that relate to these reports. Most of all if ZAMS:

  • is deploying reports
  • is updating the connector functions in the database
  • is creating the SQL connector


Opening reports in Microsoft Report Builder

zenon Analyzer > Report templates > Opening reports in Microsoft Report Builder

Reports can be opened and edited in Microsoft Report Builder. In order for the Report Builder to be started and reports edited with it, there must be a connection to an Analyzer server with a valid license. The Microsoft Report Builder must already be present on the system for this.Note:

Start Report Builder

To start the Report Builder:

  1. In the Report ribbon, select the Start command in the Report Builder area.
    • The Report Builder is started.

Open report in Report Builder

To open the report active in the report window in Report Builder:

  1. In the Report ribbon, select the Open report command in the Report Builder area.
    • The Report Builder is started.
    • The report is opened in the Report Builder.

Note: If the Report Builder is not able to open the report from the path given, this does not cause an error message in ZAMS. The error is reported in the Report Builder.

Open all reports in Report Builder

To open all loaded reports in the Report Builder:

  1. In the Report ribbon, select the Open all command in the Report Builder area.
    • The Report Builder is started.
    • The reports are opened in the Report Builder.
    • The progress display in the status bar informs you of the progress of the opening.

Note: If the Report Builder is not able to open a report from the path given, this does not cause an error message in ZAMS. The error is reported in the Report Builder.


Graphics configuration

zenon Analyzer > Report templates > Graphics configuration

Elements are positioned and configured in the design area of the report page. The view of the configuration portrays a schematic view of the display in the Report Launcher, but the details do not correspond.

Item

Description

Toolbar

Contains symbols for general settings:

  • Grid size:
    Selection of the grid size from a drop-down list.
  • Width:
    Entry of the width of the report.
  • Height.
    Entry of the height of the report.
  • Show report name:
    Switches the display of the report name.
  • Show parameter area:
    Switches the display of the parameter area.

Header

Display of the report title. The title is configured using the properties of the title.

Parameter Area

Configuration of the report parameters.

Report items

Area for tables and graphics.

For further details, read the Graphics configuration in the design area section.

Configuration

The following is recommended for configuration:

  1. First configure the report settings.
  2. Select the desired properties in the tool bar of the design area:
    1. Set the desired grid size.
      This is only applied to report elements. It has no influence on report parameters.
    2. Select the report width and/or report height.
    3. Select whether the report name and/or parameter area is to be displayed.
  3. Configure the position of the report name.
  4. Configure the desired number of columns, lines and cell width for the report parameters.
    Click in the area to do this. It is then shown with a gray background.
  5. Configure the report parameters.
  6. Configure the tables and graphics in the area of the report elements.

Note: A report can only be provided if there is at least one parameter (title, parameter area or graphics elements) present and configured.

Report items

The report elements are positioned below the parameter output area.

The height of the reports can also be changed using a draggable bar at the bottom edge. This automatically grows if elements at the bottom edge are moved. Upwards, the height can only be reduced as long as the lower edge does not touch a report element. The default distance for report elements corresponds to one grid unit.

The following elements are available:

  • Tables
  • Diagrams

Other topics in this chapter

Report name

Report output settings

Parameter display

Tables

Diagrams


Report name

zenon Analyzer > Report templates > Graphics configuration > Report name

Settings for the report name.
The positioning in the report is configured. The report name is only displayed. The name is configured in the properties of the report settings.

Configuration

To configure the display of the name:

  1. Click on the name in the header of the report template.

    The properties for the report name are shown in the properties window.

  2. Configure the positioning.

Report name properties

General

General properties.

Property

Description

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Layout

Settings for the placing of the element in the report.

Property

Description

Left

Distance from the left edge in millimeters.

  • Minimum: 1 mm
  • Maximum: Width less 1 mm

Standard: 1 mm

Top

Distance from the top edge in millimeters.

  • Minimum: 1 mm

Standard: 1 mm

Right

Distance from the right edge in millimeters.

  • Minimum: 1 mm
  • Maximum: Width less 1 mm

Standard: 1 mm

Bottom

Distance to the next element in millimeters.

  • Minimum: 0 mm

Standard: 0 mm


Report output settings

zenon Analyzer > Report templates > Graphics configuration > Report output settings

For each report, size, edges, templates and styles for printing and browser can be configured individually:

  • Settings for RDL templates and report styles have an effect on the display in print-out and in the browser.
  • The size can also be set differently for print-out and browser.
  • Side edges only have an effect on print-outs.

To amend the display:

  1. Click on a free part of the design area.

    The properties for the report are shown.

  2. Configure these properties.

Report settings

General

Properties for RDL and report style. These can be assigned to a report directly. If an assigned element is deleted, the configured values are replaced with the default settings.

Property | Description
RDL template | Selection of the template for the RDL from a drop-down list. Default: Active template, or, if not available, DefaultTemplate
Report style | Selection of the style for this report from a drop-down list. This contains all styles defined for the report styles. Default: Active style, or, if not available, Analyzer Initial

Layout

Properties for the page layout.

Property

Description

Grid size

Creation of the grid size. All elements present in the report are directed towards this window.

  • Minimum: 1 mm
  • Maximum: 10 mm

Default: 1 mm

The grid is shown in the background of the report. Report elements can only be positioned in this grid.

Exceptions: Report parameters and elements within the elements (such as parameter output range and table columns).

If the grid size is changed, all report elements that have already been configured are emended to the new grid size. The report width may also be enlarged in the process.

Width

Setting the report width of the area in millimeters.

  • Minimum: 45 mm and dependent on content
  • Maximum: 10000 mm

Default: 200 mm

The width can only be amended using the value of this property. If elements are dragged from the edge, this has no effect on the width.

The width is automatically amended if:

  • The grid size is increased

Report elements too large for the configured width, for example if table columns are added and the table has already reached the pre-configured edge

Height

Setting the report height of the area in millimeters.

  • Minimum: 3 x grid size
  • Maximum: 10000 mm

Default: 200 mm

The height can only be amended using the value of this property. If elements are dragged from the edge, this has no effect on the height.

The height is automatically amended if:

  • The grid size is increased

Table rows are added and the table has already reached the pre-configured border

Show report name

Setting of whether the report name is shown in the header of the report.

Default: active

Show parameter area

Setting of whether the report parameters are displayed in the header area of the report.

Default: active

Page size

Properties for the page settings for the print format.

Property

Description

Format

Configuration of the page format. Select from drop-down list:

  • Custom
  • DIN A1
  • DIN A2
  • DIN A3
  • DIN A4
  • DIN A5
  • Extra
  • Tabloid (Ledger)
  • Legal
  • Letter (US Standard)
  • Executive

Default: DIN A4

Changes have an effect on:

  • Page width and page height
  • Page format, page width and page height for Interactive size if the Use page size property has been activated

Orientation

Orientation of the page. Select from drop-down list:

  • Portrait
  • Landscape

Default: Portrait

Cannot be edited if, for Format, user-defined has been selected.

Changes have an effect on:

  • Page width and page height
  • Orientation, page width and page height for Interactive size if the Use page size property has been activated

Width

Setting of the page width in millimeters.

  • Minimum: 0.1mm
  • Maximum: 10000 mm

Default: 210 mm (from A4 portrait)

Can only be edited if, for Format, user-defined has been selected.

Height

Setting of the page height in millimeters.

  • Minimum: 0.1mm
  • Maximum: 10000 mm

Default: 297 mm (from A4 portrait)

Can only be edited if, for Format, user-defined has been selected.

Page margins

Properties for the page borders for the print format.

Property | Description
Top | Distance to the upper margin in mm. Default: 20 mm
Left | Distance to the left margin in mm. Default: 20 mm
Bottom | Distance to the lower margin in mm. Default: 20 mm
Right | Distance to the right margin in mm. Default: 20 mm

Interactive size

Properties of the page settings for the display of reports in the browser.

Property

Description

Use page size

Selection of whether the page size of the print format is to be used for display in the browser.

  • Active: Print format is used for browser display.
  • Inactive: Browser display is configured individually

Default: active

Format

Configuration of the page format. Select from drop-down list:

  • Custom
  • DIN A1
  • DIN A2
  • DIN A3
  • DIN A4
  • DIN A5
  • Extra
  • Tabloid (Ledger)
  • Legal
  • Letter (US Standard)
  • Executive

Default: DIN A4

Can only be edited if the Use page size property has not been activated.

Orientation

Orientation of the page. Select from drop-down list:

  • Portrait
  • Landscape

Default: Portrait

Changes have an effect on page width and page height.

Can only be edited if the Use page size property has not been activated and user-defined has been selected for Format.

Width

Setting of the page width in millimeters.

  • Minimum: 0.1mm
  • Maximum: 10000 mm

Default: 210 mm (from A4 portrait)

Can only be edited if the Use page size property has not been activated and user-defined has been selected for Format.

Height

Setting of the page height in millimeters.

  • Minimum: 0.1mm
  • Maximum: 10000 mm

Default: 297 mm (from A4 portrait)

Can only be edited if the Use page size property has not been activated and user-defined has been selected for Format.


Parameter display

zenon Analyzer > Report templates > Graphics configuration > Parameter display

Configuration of the display of the parameter elements that are offered when a report is executed in Report Launcher.
You can configure the following:

  • Number of elements by selecting the columns and rows.
  • Distances to the edges and the other elements.
  • The cell width.
  • Content that is shown in Report Launcher.

Note: Combined cells that range over 2 or more columns must be configured in full. Otherwise the report cannot be validated as valid.

Configuration

To configure the parameter display:

  1. If necessary, activate the Show parameter area property in the tool bar.
  2. Click on an empty point next to the pre-existing parameter element.

    The properties of the parameter area are shown in the properties window.

  3. If necessary, configure the distances to the positioning.
  4. Select the number of columns and rows.
    A parameter element is created for each cell. The names of the elements are generated automatically and cannot be configured.
  5. Select the cell width.
  6. Click on a parameter element.

    The properties for the parameters are shown in the properties window.

  7. Select the desired element in the drop-down list for Filter.
  8. Configure the filter using the Cell item property. The configuration possibilities depend on the selected filter.

Other topics in this chapter

General properties parameter area

Configure parameters


General properties parameter area

zenon Analyzer > Report templates > Graphics configuration > Parameter display > General properties parameter area

The number and arrangement of the parameters is stipulated using the properties of the parameter area.

Configuration

General

General settings.

Property

Description

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Number of columns

Entry of the number of columns.

  • Minimum: 1 or number of already-configured columns.
  • Maximum: 30 or limit due to available space.

Default: 1

Number of rows

Entry of the number of rows.

  • Minimum: 1 or number of already-configured rows.
  • Maximum: 30 or limit due to available space.

Default: 1

Row width

Setting of the row width in millimeters.

  • Minimum: 35 mm
  • Maximum: depends on available space

Default: 35 mm

Layout

Settings for the placing of the element in the report.

Property

Description

Top

Distance to the upper element or the upper edge in millimeters.

  • Minimum: 1 mm

Standard: 1 mm

Left

Distance from the left edge in millimeters.

  • Minimum: 1 mm
  • Maximum: Width less 1 mm

Standard: 1 mm

Right

Distance from the right edge in millimeters.

  • Minimum: 1 mm
  • Maximum: Width less 1 mm

Standard: 1 mm

Bottom

Distance to the next element in millimeters.

  • Minimum: 0 mm

Standard: 0 mm


Configure parameters

zenon Analyzer > Report templates > Graphics configuration > Parameter display > Configure parameters

The elements configured in the parameter range can each be assigned by one of several filters:

  • Report parameter/Report setting
  • Time filter
  • Information main dataset

This is offered in the Report Launcher for the configuration of a report.

Configuration

To assign a filter to an element:

  1. Click on the element in the parameter area.
  2. Select content from the drop-down list in the properties for Filter.

    • None: No filter is configured.
    • Report parameter: A report parameter is selected for configuration. The possible selection depends on the report to be configured.
    • Time filter: A time filter is selected for configuration.
    • Information main dataset: A column of a main data set is selected.
  3. Define the value for Cell item in the filter.

    All parameter settings that you can write to the parameter output area in the report template are available.

Marking of the filter in the graphical configuration

The filters are shown with color markings in the parameter area:

  • Orange: Time filter
  • Blue: Report parameter or report setting
  • Violet: Column of a Information main dataset
  • Grey: no filter configured

Other topics in this chapter

Report Parameter

Time filter

Information main dataset


Report Parameter

zenon Analyzer > Report templates > Graphics configuration > Parameter display > Configure parameters > Report Parameter

To allocate a report parameter to an element:

  1. Select Filter for ReportParameter.

  2. For the Cell item property, select the desired report parameter from the drop-down list.
    The parameters that are selected depend on the report template.


Time filter

zenon Analyzer > Report templates > Graphics configuration > Parameter display > Configure parameters > Time filter

To assign a value to a time filter:

  1. Select Filter for Time filter.

  2. For the Cell item property, select from the drop-down lists from:
    1. A time filter
    2. An aspect of the selected time filter:

      From
      To
      Time Period
      Label
      Labeled time period

    The time filters and aspects that can be selected depend on which filters have been created and configured.


Information main dataset

zenon Analyzer > Report templates > Graphics configuration > Parameter display > Configure parameters > Information main dataset

To assign a new of an Information main dataset to an element:

  1. Select Information main dataset for Filter.

  2. Select for the Cell item property:
    1. The main data set
    2. The desired column of the main dataset


Tables

zenon Analyzer > Report templates > Graphics configuration > Tables

Depending on the data set used, different table types can be used in a report. In general, a distinction is made between:

  • Standard tables:
    These are primarily flat tables, grouped tables and pivoted tables.
    For these, the selected columns or groupings are shown in the header with names.

    With flat tables, a further empty line is shown as a placeholder. With grouped and pivoted tables, there is also a further line with … shown as a placeholder for each grouping or aggregation line.
  • Indicator tables:
    Have fixed columns and a configured amount of rows (from a prescribed amount). Because indicator tables contain different types of values, there are no aggregation rows. Columns and rows can be re-sorted.

    With indicators, all rows are shown with names.

info Information

If, for a main data set, the Merge time ranges is activated, split columns and offset columns can be used in the table configuration instead of the columns from which they came. This includes aggregation.

You can find further information in the Harmonize time periods chapter.

Available tables

The following are available depending on the data set:

  • Detailed table
  • Efficiency class model table
  • Flat table
  • Grouped table
  • Table with all times
  • Indicator table
  • Current value classification table
  • Pivoted table
  • Aggregated table
  • Aggregation Table
  • Table with losses
  • Distribution Table

Insert table

If a table can be inserted, the corresponding symbol is present in the Design ribbon.

To add a table:

  1. Click on the symbol for the desired table in the Design tab.
  2. Click in the design area.

    The dialog for table configuration is opened.
    Note: If you want to cancel insertion, press the Escape key or click on the symbol for table again.

  3. Configure:
    1. Dataset:
      The data set must be the first element configured. If there is only one possible dataset, this is preselected.
    2. Table:
      The table must be selected in the second step. If only one suitable table is available, this is preselected.
    3. Further properties such as columns or rows, for example.
      The elements that can be configured and those that have to be configured depend on the selected data set and table type.

    Note: The selection and/or subsequent addition of columns can lead to the table width and report width being automatically extended. In this case, a corresponding warning message is shown in the dialog.

    • The currently selected configuration will enlarge the width of the table:
      This warning message is shown if the selected configuration affects the table width.
    • The currently selected configuration will enlarge the width of the report to display the complete table:
      This warning message is shown if the selected configuration affects the report width.
  4. Click on OK.

    The table is inserted at the mouse position.

  5. Click in the header or footer of the table and drag the table to the desired position with the mouse.
  6. Click on one of the sizing handles and drag the table to the desired width and height.

    In doing so, please note:

    • If the grid is set to a value greater than 1, it is amended in steps of the grid size.

    Alternatively, you can also stipulate the width and height using the table properties.

  7. Configure the table properties.

Hint: To call up the configuration dialog dialog again, double-click on the table. Alternatively, in the Table configuration property, click on the ... button or click twice on the property's entry.

Note: Tables must not overlap other elements.

Positioning

The size of the table can be amended with the mouse, by means of the table properties and placed by means of Drag&Drop.
For this, the following applies:

  • The height of the table directly influences the row width.
    Note: Activation or deactivation of the Show label property changes the table height. The complete table height results from the table plus Label.
  • The width of the columns can be amened by dragging the column edges of the header.
    Minimum width: 6 mm
    • If the width of a table is amended, the other columns are amended proportionally.
    • If a column is widened, if the table has already reached the right edge, all columns right of the widened column are reduced accordingly.

Note: Tables must not overlap other elements.

Configuration

Colors

Tables support the display of a color field. With custom formula analysis reports, the column headers of the column-grouped tables are also colored in the corresponding color.

Sorting

Tables can generally be sorted. The exceptions are tables in efficiency class reports and column-grouped tables.

When pre-sorting a table, a distinction is made between:

  • Pre-defined sorting through special sorting expression:
    For example, tables are pre-sorted in efficiency class reports according to the efficiency classes.
  • Pre-defined sorting by a defined sorting column in the main data set:
    With this sorting, there is first sorting according to time stamp, then according to the sorting column within the respective time stamp. This sorting also determines the arrangement of rows or column groups with the row and column grouping.

If no sorting is pre-defined, the default sorting is according to the time stamp.

Sorting of row-grouped columns

The following is applicable for sorting according to row-grouped columns:

  • A row group is sorted separately from the sorting of value columns and other row groups.
  • The sorting of the column of a row group only has an effect within this row group.
    The re-sorting of a different column does not change this sorting.

For example: The alarm group is sorted in ascending order. However, within this grouping, the alarm causes are sorted in descending order.

Column groupings

Column groupings in tables are pre-defined and fixed and cannot be changed. Changes to the column arrangement have no effect in column-grouped tables, because the time stamp is always issued as a row group.

Text alignment

The alignment of the column content depends on the type:

  • Text columns: left-justified
  • Numerical columns: right-justified

Aggregation

The aggregation can be selected for some tables. Configuration is carried out in the respective columns. The following aggregation types are generally offered:

Aggregation type

Aggregation

From
  • Minimum

To
  • Maximum

Timestamp
  • Time range

Numeric values
  • Sum
  • Minimum
  • Maximum
  • Average
  • First Last

Special aggregation for columns of a dataset
  • None
  • Aggregation

To configure the aggregation, the Show global aggregation row option must be activated in the dialog for the driver configuration or there must be an aggregation row for at least one row grouping. The global aggregation row can then only be activated if at least one active column has an aggregation function.

Row groups

Row groups make it possible to combine the same values. If these are prescribed by the table, the option cannot be edited. Columns that are used in target groups are no longer included in the dialog to select the columns, because these columns are always displayed. The aggregation rows for target groups are always displayed at the lower end of the grouped cells in expanded form.

For tables whereby the user can edit the row groups, at least one row group must be selected.

It is possible to configure, for each grouping level, whether an aggregation row is to be used. For row groupings, columns can be selected from a number of pre-defined columns and used in any desired order.

Row groups can be edited at any time and at any level. A different column can be selected or reset to no grouping. When deselecting a grouping, all row groupings thereunder are also discarded.

Additional columns

Additional columns are available in some report templates. An additional column is only available as an additional column for a different column and not inseparably linked to this. With line groups, the additional column is shown in the same group as the connected column.

Other topics in this chapter

Flat table

Grouped table

Indicator table

Pivoted table

Aggregation Table

Distribution Table


Flat table

zenon Analyzer > Report templates > Graphics configuration > Tables > Flat table

Flat tables show tables without any grouping.

To create a flat table:

  1. Select the Dataset in the configuration dialog.
    The dataset must support flat tables.
  2. In the Table drop-down list, select the flat table entry.
    Further options are displayed. The options that can be configured depend on the selected data set. Not all displayed options can be configured for each data set.
  3. Select whether global aggregation rows are to be displayed.
    For display: Select the desired aggregation in the Aggregation column.
  4. Select the columns to be displayed.
    At least one column must be selected.
  5. Select settings for Use additional column.
    (is not supported by all data sets)

Flat table configuration dialog

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option | Description
Dataset | Selection of the data set from a drop-down list.
Table | Selection of the table template from a drop-down list. The selection offered depends on the selected data set.
Show global aggregation row | Shows a global aggregation row in the report. The aggregation is assigned using the Aggregation column. Only available for certain table types.
Show column | Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display. Default: All columns are displayed. The sequence can be configured using the cursor keys. Note: At least one column must be selected.
Column name | Display of the column name.
Aggregation | Selection of aggregation for aggregation row. Only available if the Show global aggregation row property has been activated.
Use additional column | Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured. It is then shown in the same group as the actual column for the row grouping in the report. Not available for all data sets.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Table properties

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.

Display in Report Launcher

Other topics in this chapter

Table with losses

Table with all times

Efficiency class model table

Current value classification table


Table with losses

zenon Analyzer > Report templates > Graphics configuration > Tables > Flat table > Table with losses

A table of loss times shows pre-filtered loss times.

To create a table of loss times:

  1. Select the Dataset in the configuration dialog.
    The data set must support tables for loss times.
  2. In the Table drop-down list, select the Table with losses entry.
    Further options are displayed.
  3. Select the columns to be displayed.
    Initially, the pre-defined columns are active.
    At least one column must be selected.

Dialog for configuration of tables with losses

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option | Description
Dataset | Selection of the data set from a drop-down list.
Table | Selection of the table template from a drop-down list. The selection offered depends on the selected data set.
Show global aggregation row | Shows a global aggregation row in the report. Not available for this type of table.
Show column | Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display. Default: All columns are displayed. The sequence can be configured using the cursor keys. Note: At least one column must be selected.
Column name | Display of the column name.
Aggregation | Selection of aggregation for aggregation row. Not available for this type of table.
Use additional column | Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured. It is then shown in the same group as the actual column for the row grouping in the report. Not available for all data sets. Note: Not available for this type of table.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Properties table

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.


Table with all times

zenon Analyzer > Report templates > Graphics configuration > Tables > Flat table > Table with all times

A table with all times shows all pre-filtered times.

To create a table with all times:

  1. Select the Dataset in the configuration dialog.
    The data set must support tables for loss times.
  2. In the Table drop-down list, select the Table with all times entry.
    The other options are shown.
  3. Select the columns to be displayed.
    Initially, the pre-defined columns are active.
    At least one column must be selected.

Dialog for configuration of tables with all times

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option | Description
Dataset | Selection of the data set from a drop-down list.
Table | Selection of the table template from a drop-down list. The selection offered depends on the selected data set.
Show global aggregation row | Shows a global aggregation row in the report. Not available for this type of table.
Show column | Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display. Default: All columns are displayed. The sequence can be configured using the cursor keys. Note: At least one column must be selected.
Column name | Display of the column name.
Aggregation | Selection of aggregation for aggregation row. Not available for this type of table.
Use additional column | Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured. It is then shown in the same group as the actual column for the row grouping in the report. Not available for all data sets. Note: Not available for this type of table.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Properties table

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.


Efficiency class model table

zenon Analyzer > Report templates > Graphics configuration > Tables > Flat table > Efficiency class model table

An efficiency class model shows limits and values for efficiency classes. The tables cannot be sorted. Sorting is always according to efficiency classes.

To create an efficiency class model table:

  1. Select the Dataset in the configuration dialog.
    The data set must support efficiency class model tables.
  2. In the Table drop-down list, select the Efficiency class model table entry.
    Further options are displayed.
  3. Select the columns to be displayed.
    Initially, the pre-defined columns are active.
    At least one column must be selected.

Flat table configuration dialog

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option | Description
Dataset | Selection of the data set from a drop-down list.
Table | Selection of the table template from a drop-down list. The selection offered depends on the selected data set.
Show global aggregation row | Shows a global aggregation row in the report. Not available for this type of table.
Show column | Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display. Default: All columns are displayed. The sequence can be configured using the cursor keys. Note: At least one column must be selected.
Column name | Display of the column name.
Aggregation | Selection of aggregation for aggregation row. Not available for this type of table.
Use additional column | Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured. It is then shown in the same group as the actual column for the row grouping in the report. Not available for all data sets. Note: Not available for this type of table.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Table properties

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.


Current value classification table

zenon Analyzer > Report templates > Graphics configuration > Tables > Flat table > Current value classification table

A classification table shows limits for a value.

To create a classification table:

  1. Select the Dataset in the configuration dialog.
    The data set must support efficiency class model tables.
  2. In the Table drop-down list, select the Classification table entry.
    Further options are displayed.
  3. Select the columns to be displayed.
    Initially, the pre-defined columns are active.
    At least one column must be selected.

Flat table configuration dialog

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option | Description
Dataset | Selection of the data set from a drop-down list.
Table | Selection of the table template from a drop-down list. The selection offered depends on the selected data set.
Show global aggregation row | Shows a global aggregation row in the report. Not available for this type of table.
Show column | Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display. Default: All columns are displayed. The sequence can be configured using the cursor keys. Note: At least one column must be selected.
Column name | Display of the column name.
Aggregation | Selection of aggregation for aggregation row. Not available for this type of table.
Use additional column | Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured. It is then shown in the same group as the actual column for the row grouping in the report. Not available for all data sets. Note: Not available for this type of table.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Table properties

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.


Grouped table

zenon Analyzer > Report templates > Graphics configuration > Tables > Grouped table

Grouped tables show data grouped according to one or more rows. Row groups make it possible to combine the same values. In many data sets, the row groups are already defined and fixed by the table. They are displayed, but can no longer be changed. Other report templates, such alarm aggregation, allow individual configuration.

Columns that are used in the row groups are always displayed. They are therefore no longer offered in the Show column selection.

Create a grouped table

To create a grouped table:

  1. Select the Dataset in the configuration dialog.
    The dataset must support grouped tables.
  2. In the Table drop-down list, select the Grouped table entry.
    Further options are displayed. The options that can be configured depend on the selected data set. Not all displayed options can be configured for each data set.
  3. If necessary, select the columns for the row grouping.
    The groups are already stipulated in many report templates.
    The following is applicable for selection:
    • An element must be be selected.
    • Only pivotable columns can be selected.
  4. Select whether an aggregation row is to be displayed.
    Not available for all data sets.
    On display: Select the desired aggregation in the Aggregation column.
  5. Select whether the global aggregation row is to be displayed.
  6. Select the columns to be displayed.
    The following at least must be selected:
    • A column for the value range.
  7. Select settings for Use additional column.
    (only available for some data sets)

Grouped table configuration dialog

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option

Description

Dataset

Selection of the data set from a drop-down list.

Table

Selection of the table template from a drop-down list. The selection offered depends on the selected data set.

Row grouping

Configuration of the row group. Is fixed and defined for many data sets.

  • Selection of the column or columns for grouping the table, from a drop-down list. With several columns, these are applied and displayed hierarchically. Each column can only be used once for grouping. The order in the hierarchy can be selected as you wish. The display of an aggregation row can be configured for each grouping column.
  • No row grouping: The previously-selected grouping is removed. All groupings below this hierarchy are also removed.

An element must be be selected.
Cannot be configured for all data sets.

Show aggregation row

Displays an aggregation row in the report.
The aggregation is assigned using the Aggregation column.

Only available for certain data sets.

Show global aggregation row

Shows a global aggregation row in the report.
The aggregation is assigned using the Aggregation column.

Only available for certain table types.

Show column

Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display.
Default: All columns are displayed.
The order of the display can be configured using the cursor keys.
Rows that have been selected for the grouping are no longer available. These are always displayed.

Note: At least one column column for the value range must be selected.

Column name

Display of the column name.

Aggregation

Selection of aggregation for aggregation row.

Only available if the Show aggregation row and/or Show global aggregation row property has been activated.

Use additional column

Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured.
It is then shown in the same group as the actual column for the row grouping in the report.

Not available for all data sets.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Table properties

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.

Display in Report Launcher

Other topics in this chapter

Detailed table

Aggregated table


Detailed table

zenon Analyzer > Report templates > Graphics configuration > Tables > Grouped table > Detailed table

Detailed tables show data grouped according to several rows.

To create a detailed table:

  1. Select the Dataset in the configuration dialog.
    The data set must support detailed tables.
  2. In the Table drop-down list, select the Detailed table entry.
    Further options are displayed.

    The row groups are fixed and pre-defined.

  3. For each row, select whether an aggregation row is to be displayed.
    On display: Select the desired aggregation in the Aggregation column.
  4. Select whether global aggregation rows are to be displayed.
    For display: Select the desired aggregation in the Aggregation column.
  5. Select the columns to be displayed.
    The following at least must be selected:
    • A column for the value range.

Grouped table configuration dialog

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option | Description
Dataset | Selection of the data set from a drop-down list.
Table | Selection of the table template from a drop-down list. The selection offered depends on the selected data set.
Row grouping | Rows according to which grouping is carried out.
Show aggregation row | Displays an aggregation row in the report. The aggregation is assigned using the Aggregation column. Only available for certain data sets.
Show global aggregation row | Shows a global aggregation row in the report. The aggregation is assigned using the Aggregation column. Only available for certain table types.
Show column | Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display. Default: All columns are displayed. The order of the display can be configured using the cursor keys. Rows that have been selected for the grouping are no longer available. These are always displayed. Note: At least one column column for the value range must be selected.
Column name | Display of the column name.
Aggregation | Selection of aggregation for aggregation row. Only available if the Show aggregation row and/or Show global aggregation row property has been activated.
Use additional column | Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured. It is then shown in the same group as the actual column for the row grouping in the report. Not available for all data sets.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Table properties

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.


Aggregated table

zenon Analyzer > Report templates > Graphics configuration > Tables > Grouped table > Aggregated table

Aggregated tables show data grouped according to several rows.

To create an aggregated table:

  1. Select the Dataset in the configuration dialog.
    The data set must support aggregated tables.
  2. In the Table drop-down list, select the Aggregated table entry.
    Further options are displayed.

    The row groups are fixed and pre-defined.

  3. For each row, select whether an aggregation row is to be displayed.
    On display: Select the desired aggregation in the Aggregation column.
  4. Select whether global aggregation rows are to be displayed.
    For display: Select the desired aggregation in the Aggregation column.
  5. Select the columns to be displayed.
    The following at least must be selected:
    • A column for the value range.

Grouped table configuration dialog

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option | Description
Dataset | Selection of the data set from a drop-down list.
Table | Selection of the table template from a drop-down list. The selection offered depends on the selected data set.
Row grouping | Rows according to which grouping is carried out.
Show aggregation row | Displays an aggregation row in the report. The aggregation is assigned using the Aggregation column. Only available for certain data sets.
Show global aggregation row | Shows a global aggregation row in the report. The aggregation is assigned using the Aggregation column. Only available for certain table types.
Show column | Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display. Default: All columns are displayed. The order of the display can be configured using the cursor keys. Rows that have been selected for the grouping are no longer available. These are always displayed. Note: At least one column column for the value range must be selected.
Column name | Display of the column name.
Aggregation | Selection of aggregation for aggregation row. Only available if the Show aggregation row and/or Show global aggregation row property has been activated.
Use additional column | Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured. It is then shown in the same group as the actual column for the row grouping in the report. Not available for all data sets.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Table properties

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.


Indicator table

zenon Analyzer > Report templates > Graphics configuration > Tables > Indicator table

Optional indicators can be displayed with indicator tables.

To create an indicator table:

  1. Select the Dataset in the configuration dialog.
    The data set must support indicator tables.
  2. Select the Indicator table entry from the Table drop-down list.
  3. Select the columns to be displayed and their order.
    To select a column, activate the corresponding checkbox.
    To sort columns, use the arrow buttons next to the checkbox.
  4. Select the rows to be displayed and their order.
    To select a row, activate the corresponding checkbox.
    To sort rows, use the arrow buttons next to the checkbox.
  5. Click on OK.

For indicator tables, each selected line is shown in schematic form in the design area. Headers and line widths are automatically calculated over the total height.

Dialog for configuration of indicator tables

In this dialog, you configure the data origin for the table, as well as the columns and rows to be displayed.

Option

Description

Dataset

Selection of the data set from a drop-down list.

Table

Selection of the table template from a drop-down list. The selection offered depends on the selected data set.

Show column

Selection of the column to be displayed by activating the checkbox. Mandatory columns cannot be deselected.

Column name

Shows the name of the column.

Show row

Selection of the row to be displayed by activating the checkbox.

Row name

Shows the name of the row.

Arrow keys

Allow sorting of the entries:

  • Arrow upwards: Sorts the entry one step up.
  • Arrow downwards: Sorts the entry one step down.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Table properties

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.


Pivoted table

zenon Analyzer > Report templates > Graphics configuration > Tables > Pivoted table

Pivoted tables show data grouped according to a column.

To create a pivoted table:

  1. Select the Dataset in the configuration dialog.
    The dataset must support grouped tables.
  2. In the Table drop-down list, select the Pivoted table entry.
    Further options are displayed. The options that can be configured depend on the selected data set. Not all displayed options can be configured for each data set.
  3. Select whether global aggregation rows are to be displayed.
    For display: Select the desired aggregation in the Aggregation column.
  4. Select the columns to be displayed.
    The following at least must be selected:
    • A column with numerical value.
    • A Timestamp column or both From and To columns as a time definition.
  5. Select settings for Use additional column.
    (only available for some data sets)

info Information

If the main data set was pivoted, only the flat table is available. The table configuration is then identical to the configuration for flat table.

Pivoted table configuration dialog

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option

Description

Dataset

Selection of the data set from a drop-down list.

Table

Selection of the table template from a drop-down list. The selection offered depends on the selected data set.

Column grouping

Column according to which the table is grouped.

Show global aggregation row

Shows a global aggregation row in the report.
The aggregation is assigned using the Aggregation column.

Only available for certain table types.

Show column

Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display.
Default: All columns are displayed.
The sequence can be configured using the cursor keys.

Note: At least one column with a numeric value must be selected and, as a time definition, a Timestamp column or the two columns From and To.

Column name

Display of the column name.

Aggregation

Selection of aggregation for aggregation row.

Only available if the Show global aggregation row property has been activated.

Use additional column

Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured.
It is then shown in the same group as the actual column for the row grouping in the report.

Not available for all data sets.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Table properties

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.

Display in Report Launcher


Aggregation Table

zenon Analyzer > Report templates > Graphics configuration > Tables > Aggregation Table

Aggregation tables display aggregated data

To create an aggregation table:

  1. Select the Dataset in the configuration dialog.
    The data set must support aggregation tables.
  2. In the Table drop-down list, select the Aggregation table entry.
    Further options are displayed.

    The row groups are fixed and pre-defined.

  3. Select the columns to be displayed.

Select the columns to be displayed. Dialog for configuration an aggregation table

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option | Description
Dataset | Selection of the data set from a drop-down list.
Table | Selection of the table template from a drop-down list. The selection offered depends on the selected data set.
Show global aggregation row | Shows a global aggregation row in the report. The aggregation is assigned using the Aggregation column. Only available for certain table types.
Show column | Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display. Default: Minimum, Average, Maximum The order of the display can be configured using the cursor keys. Rows that have been selected for the grouping are no longer available. These are always displayed. Note: At least one column must be selected.
Column name | Display of the column name.
Aggregation | Selection of aggregation for aggregation row. Only available if the Show aggregation row and/or Show global aggregation row property has been activated.
Use additional column | Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured. It is then shown in the same group as the actual column for the row grouping in the report. Not available for all data sets.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Table properties

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.


Distribution Table

zenon Analyzer > Report templates > Graphics configuration > Tables > Distribution Table

Aggregation tables show the distribution of data.

To create a distribution table:

  1. Select the Dataset in the configuration dialog.
    The data set must support distribution tables.
  2. In the Table drop-down list, select the Distribution table entry.
    Further options are displayed.

    The row groups are fixed and pre-defined.

  3. Select the columns to be displayed.

Dialog for configuration an aggregation table

In this dialog, you configure the data origin for the table and the columns to be displayed.

Option | Description
Dataset | Selection of the data set from a drop-down list.
Table | Selection of the table template from a drop-down list. The selection offered depends on the selected data set.
Show global aggregation row | Shows a global aggregation row in the report. The aggregation is assigned using the Aggregation column. Only available for certain table types.
Show column | Selection of whether the respective column is shown in the table. Clicking in the checkbox activates or deactivates the display. Default: Value, Count The order of the display can be configured using the cursor keys. Rows that have been selected for the grouping are no longer available. These are always displayed. Note: At least one column must be selected.
Column name | Display of the column name.
Aggregation | Selection of aggregation for aggregation row. Only available if the Show aggregation row and/or Show global aggregation row property has been activated.
Use additional column | Allows the display of columns as additional columns. Can widen the display of the table and the report. This column is connected to and cannot be separated from the main column for which it has been configured. It is then shown in the same group as the actual column for the row grouping in the report. Not available for all data sets.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Table properties

If the table is selected in the design area, the table properties are shown and offered for configuration.

General

General settings.

Property

Description

Table configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for table configuration.
The configuration can also be opened by double-clicking on the table.

Report item name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Properties column

Settings for the table columns.

Property

Description

Column width

Width of the column:

  • Minimum: 6 mm
  • Maximum: Is defined by the size of the table and the column contained therein.

Note: The column header is configured in the properties of the main data set, because these columns can be used by different report elements.


Diagrams

zenon Analyzer > Report templates > Graphics configuration > Diagrams

Depending on the report template, different diagram types can be inserted.

Diagram types:

  • Bar chart
  • Box Plot
  • Load Duration Curve
  • Compare to Standard Chart
  • Efficiency Class Diagram
  • Gantt Chart
  • Grouped comparison chart
  • Histogram
  • Pie chart
  • Line chart
  • Gauge
  • Pareto chart
  • Polar chart
  • Carpet Plot
  • Sankey Diagram
  • Scatter Plot
  • Column chart
  • Trend chart
  • Trend with Limits
  • Aggregation chart
  • Aggregation chart indicators
  • Loss times chart
  • Distribution chart
  • Waterfall chart
  • XY chart

info Information

If the Merge time ranges property is activated for a main data set, this has an effect on the column selection in the diagram configuration. You can find detailed information on this in the Merge time ranges chapter.

Insert diagram

To insert a diagram:

  1. Click on the desired diagram type in the Design ribbon.
  2. In the design area, click on the point at which the diagram is to be inserted.

    The dialog for configuring the diagram is opened.
    Note: If you want to cancel insertion, click on the symbol for tables again.

  3. Configure the diagram and close the dialog by clicking on OK.

    The diagram is inserted into the design area.

  4. Amend the size and positioning as required.

Hint: To call up the configuration dialog dialog again, double-click on the diagram. Alternatively, click in the Chart configuration property, on the ... button or click twice on the property's entry.

Note: Diagrams must not overlap other elements.

Other topics in this chapter

Load Duration Curve

Boxplot

Efficiency Class Diagram

Gantt Chart

Grouped comparison chart

Histogram

Gauge

Pareto chart

Polar chart

Carpet Plot

Sankey Diagram

Scatter Plot

Trend chart

Trend with Limits

Aggregation chart

Aggregation chart indicators

Compare to Standard:

Loss times chart

Distribution chart

Waterfall chart

XY chart

Diagrams with several series columns


Load Duration Curve

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Load Duration Curve

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a diagram to display a load duration curve are offered. An entry is pre-selected if possible.

Diagram type

Selection of the diagram type from a drop-down list:

  • Area chart
  • Line chart

Must not be empty.

X-Axis field

Number of intervals.

Y-Axis field

Consumption.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Use time filter limits
  • Active: The time filters are used as limiters for the X axis.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Boxplot

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Boxplot

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide box plot are offered. An entry is pre-selected if possible.

Report item

Selection of the diagram type from a drop-down list:

  • Boxplot

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

CRI configuration

Notes on user-defined report configuration:

Elements:

  • Title (optional)
    If the title is too long for the defined space, an error message is shown.
  • Drawing area (left)
  • Key (right)

Drawing area:

  • 1 box per variable:
    • 1 color per variable. The color list is restarted from the beginning when the end is reached.
    • Display from left to right.
    • Variables are sorted alphabetically in ascending order.
  • Lower end of the box: lower quartile
  • Upper end of the box: upper quartile
  • Horizontal line within the box: Median
  • Horizontal lines above and below the box (with the box connected by a vertical line): lower and upper whisker
  • Markings above the upper whisker or below the lower whisker: Outlier
    Definition of outlier:
    • Higher than upper quartile + 1.5 * quartile distance
    • Lower than lower quartile – 1.5* quartile distance)

    Markers are colored separately for outliers.
    An error is reported if there are too many variables in the diagram. 1 box needs at least 3 outlier marker widths.

Key:

  • Can require a maximum of 50% of the overall width of the element.
  • 1 line per variable.
    Coloring and sorting as per boxes.
  • A text is shortened if it is too long.
    Mode: A part from the middle of the text is replaced by ....
    Background: The variable name is always at the end of the full name (Project#Archive – Variable).
  • If there are more variables present than can be displayed in the box, ... is written in the key instead of the last drawable variables.

Properties in the Data category:

Name | Description
DataSetName | Name of the data set.
HigherQuartile | Field access for the upper quartile.
HigherWhisker | Field access for the upper whisker.
IsOutlier | Field access for the outlier flag.
LowerQuartile | Field access for the lower quartile.
LowerWhisker | Field access for the lower whisker.
Median | Field access for the median.
Timestamp | Field access for the time stamp.
Unit | Field access for the unit.
Value | Field access for the value.
VariableName | Field access for the variable names.


Efficiency Class Diagram

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Efficiency Class Diagram

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide an efficiency class element are offered. An entry is pre-selected if possible.

Report item

Selection of the diagram type from a drop-down list:

  • Efficiency class diagram

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Other topics in this chapter

Efficiency class diagram settings.


Efficiency class diagram settings.

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Efficiency Class Diagram > Efficiency class diagram settings.

Settings for the efficiency class diagram.

Property

Description

Labels

Selection of how efficiency classes are to be displayed in the diagram, from a drop-down list:

  • Class name and limitations (default)
  • Class name only
  • Limitations only

Show classification line

Stipulation of whether an assignment line is drawn between the model and assignment arrow.

  • Active: Assignment line is drawn

Default: inactive

Placement of the assignment indicator

Selection of how the assignment arrow is arranged from a drop-down list:

  • Sliding inside efficiency class (Default)
  • Centered to assigned efficiency class

Show separator line

Stipulation of whether a separator line is drawn between the model and assignment arrow.

  • Active: Separator line is drawn.

Default: inactive

Show model name

Stipulation of whether the name of the efficiency class model is shown.

  • Active: Model name is shown.

Default: active

This property is part of the logical group of the CRI components. At least one of these properties must be activated.

Show current value

Stipulation of whether the current value is shown.

  • Active: Current value is shown.

Default: active

This property is part of the logical group of the CRI components. At least one of these properties must be activated.

Show model

Stipulation of whether the efficiency class model is shown.

  • Active: Efficiency class model is shown.

Default: active

This property is part of the logical group of the CRI components. At least one of these properties must be activated.

Show classification arrow

Configuration of whether the classification arrow is drawn.

  • Active: Classification arrow is drawn.

Default: active

This property is part of the logical group of the CRI components. At least one of these properties must be activated.


Gantt Chart

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Gantt Chart

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a Gantt chart are offered. An entry is pre-selected if possible.

Report item

Selection of the diagram type from a drop-down list:

  • Gantt Chart

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Grouped comparison chart

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Grouped comparison chart

This diagram compares indicators with equipment groups. Either the indicators are compared grouped according to equipment group or the equipment groups are compared grouped according to indicators.

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a Grouped comparison chart are offered. An entry is pre-selected if possible.

Report item

Selection of the diagram type from a drop-down list:

  • Grouped comparison chart

Must not be empty.

Comparison type

Selection of the comparison type from the drop-down list:

  • Compare equipment groups (grouped by indicator)
  • Compare indicators (grouped by equipment group)

Must not be empty.

Content type

Selection of the content type from a drop-down list:

  • Absolute values
  • Relative values

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Show chart series data labels
  • Active: Each column is displayed with a label.

Default: Inactive

Use scale breaks
  • Active: If a gap is detected in the value range of the diagram, an interruption is shown on the value axis.

Default: active

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Histogram

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Histogram

A histogram is the graphic display of a frequency distribution, for example the distribution of measured values of spot-check samples.

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Axes:

  • X-Axis: Class (number of values within a value class)
  • Y-axis: Number.
    The Die Y-axis always displays the number of measured values per class.
    Recommendation: Because an axis should always exhibit a unit, you set the frequency here. The setting is made using the language table.

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a histogram are offered. An entry is pre-selected if possible.

Report item

Selection of the diagram type from a drop-down list:

  • Histogram

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Histogram

Settings for the display of the histogram.

Property

Description

Show minimum line
  • Active: Line for minimum is shown.

Default: Inactive

Show maximum line
  • Active: Line for maximum is shown.

Default: Inactive

Show average line
  • Active: Line for average is shown.

Default: Inactive

Show sigma lines

Draws a line each for:

  • (average value + standard deviation)
  • (average value – standard deviation)

Default: active

Show lines for two sigma lines

Draws a line each for:

  • (average value + 2 * standard deviation)
  • (average value – 2 * standard deviation)

Default: Inactive

Show three sigma lines

Draws a line each for:

  • (average value + 3 * standard deviation)
  • (average value – 3 * standard deviation)

Default: Inactive

Show bell curve
  • Active: Bell curve is shown.

Default: active

Value axis text

Text for the value axis. Clicking on the ... button opens the language table for the configuration of the text.

Default: Frequency (StatisticalFrequency)

Note: All lines are drawn vertically. With the exception of the bell curve.

CRI configuration

Notes on user-defined report configuration:

This custom report item displays histograms.

Graphic display (CRI):

  • Everything that belongs to a variable has the same color.
  • Frequency distribution is carried out in classes (columns).
  • The bell curve is activated by default and is shown with a solid line. Can be deactivated.
  • Minimum, average, maximum, sigma, 2 x sigma, 3 x sigma: All can be optionally deactivated.
    • Default: Only 1-sigma is activated and is shown with dotted lines.
  • Colors and alpha value for column filling can be configured in the report lists.
  • The CRI only shows values on the axes.

Elements:

  • Title (optional)
    If the title is too long for the defined space, an error message is shown.
  • Drawing area (left)
  • Key (right)

Drawing area:

  • One histogram per variable:
    • 1 color per variable. The color list is restarted from the beginning when the end is reached.
    • Display from left to right.
    • Variables are sorted alphabetically in ascending order.
    • The number of classes is derived from the number of values:
      Minimum: 7 classes
      Maximum: 20 classes
      In between: vn for 50 < n < 400 (n is the number of classified values)
  • Gaussian bell curve: Calculated from the values of the respective variable. Shown by default.
    Line style and line width can be configured. Default each a solid line with a width of 1 point.
  • Lines for minimum, maximum, and 1, 2, 3 standard deviations (sigma) are calculated from the values of the respective variable.
    The lines for 1 sigma are shown by default.
    Line style and line width can be configured. Default each with dotted line and a width of 1 point.
  • Drawing area:
    The drawing area is amended to the space required by the histograms. For the vertical dimension, the height of the bell curve is also taken into account. The highest point of the bell curve is thus always visible. In addition, a border of 5% to the left, right and above the data displayed is still taken into account. The elements thus do not make contact with the border of the drawing area directly.
    The indicator lines are not taken into account. For example, the sigma lines can be outside the drawing area and thus invisible.
  • Histogram:
    If different variables with very different value ranges are used, which lead to the histograms being drawn in a very cramped manner; there may be only limited visibility of the data.

Key:

  • Can require a maximum of 50% of the overall width of the element.
  • 1 line per variable.
    Coloring and sorting as per histograms.
  • A text is shortened if it is too long.
    Mode: A part from the middle of the text is replaced by ....
    Background: The variable name is always at the end of the full name (Project#Archive – Variable).
  • If there are more variables present than can be displayed in the box, ... is written in the key instead of the last drawable variables.

Vertical axis:

  • Instead of a unit, the histogram has its own configurable text for the vertical axis.

Properties in the Data category:

Name | Description
Average | Field access for average of a variable.
ClassLower | Field access for lower class limit.
ClassHigher | Field access for upper class limit.
Count | Field access for number of values in a class.
DataSetName | Name of the data set. Is always present.
Maximum | Field access for maximum of a variable.
Minimum | Field access for minimum of a variable.
StandardDeviation | Field access for the standard deviation of a variable.
Unit | Field access for the unit.
Variable | Field access for the variable names.


Gauge

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Gauge

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.
Only data sets that provide a measurement instrument chart are offered. An entry is pre-selected if possible.

Displayed value

Selection of value that is to be displayed from a drop-down list. The values that are available depend on the report template.

All parameter settings that you can write to the parameter output area in the report template are available.

Low range

Setting for lower limit value.

The values that are available depend on the report template.

Must be less than High range.

High range

Setting for upper limit value.

  • The values that are available depend on the report template.

Must be greater than Low range.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Gauge configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Show value for textbox

Decides whether the current value is displayed for the diagram in a header.

  • active: Value is displayed

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Use time filter limits
  • Active: The time filters are used as limiters for the X axis.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Pareto chart

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Pareto chart

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

The Pareto diagram is available in different versions for:

  • Alarm and Event Analysis
  • Production Analysis Line-Based / Machine-Based

Diagram configuration dialog

Pareto diagram for alarm and event analysis

This Pareto diagram provides the following information, depending on the columns available in the Stored Procedure:

  • Left Y-axis: from 0 up to the maximum of the absolute value sums
  • Right Y-axis: from 0% up to the maximum of the relative values sums
  • 10 stages on both Y-axes
  • Bars with absolute values of the groups are marked and bound to the left Y-axis
  • Line with relative value sums of the groups are marked (with markings for the individual points) and bound to the right Y-axis

The following columns must be present in the SP for this:

  • Absolute value of a group
  • Relative value of a group
  • Sum of the absolute value of this group and all previous groups
  • Sum of the relative value of this group and all previous groups

Configuration dialog

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a Pareto chart are offered. An entry is pre-selected if possible.

Diagram type

Selection of the diagram type from a drop-down list:

  • Column chart

Must not be empty.

Grouping

Selection of the grouping from a drop-down list.

Y-Axis field

Selection of the aspect to be displayed from a drop-down list:

  • Number of alarms
  • Alarm time gross
  • Alarm time net

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Configuration of Production Analysis Line-Based / Machine-Based

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a Pareto chart are offered. An entry is pre-selected if possible.

Diagram type

Selection of the diagram type from a drop-down list:

  • Column chart

Must not be empty.

X-Axis field

Variable name. Is defined.

Y-Axis field

Time factor, relative or absolute.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Properties for all Pareto diagrams

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Polar chart

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Polar chart

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide polar chart are offered. An entry is pre-selected if possible.

Diagram type

Selection of the diagram type from a drop-down list. The diagram provides the following display types:

  • Polar chart
  • Radar chart

Must not be empty.

Y-Axis field

Selection of the aggregtion type from a drop-down list:

  • Sum
  • Average
  • Minimum
  • Maximum

Default: Sum

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Carpet Plot

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Carpet Plot

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a carpet plot are offered. An entry is pre-selected if possible.

Report item

Selection of the diagram type from a drop-down list:

  • Carpet Plot

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Carpet plot colors

Clicking on the ... button opens the dialog to edit the color gradient in the carpet plot.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Other topics in this chapter

Carpet plot color dialog


Carpet plot color dialog

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Carpet Plot > Carpet plot color dialog

Configuration of the colors for the carpet plot.

Only colors at the border of the HSV color circle are available for selection. S and V are fixed at 1 and H is gone through. The color gradient between minimum and maximum color is defined by the shortest connection route at the border of the HSV color circle.

HSV for carpet plot colors

  • H: Color value as hue on the color circle.
    • 0°: Red
    • 120°: Green
    • 240°: Blue
  • S: Saturation at an interval of zero to one: Fixed value 1
  • V: Lightness value from zero to one, also called darkness level. Fixed value 1

Carpet plot color dialog

The minimum and maximum value of the color can be set. The color gradient ensues as a result of this.

Option | Description
Carpet Plot Colors | Color selection for start and end color of the color gradient in the carpet plot.
Minimum color | Color of the minimum value. Configuration using the slider.
Maximum color | Color of the maximum value. Configuration using the slider.
Color gradient preview | Preview of the configured color.


Sankey Diagram

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Sankey Diagram

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a Sankey diagram are offered. An entry is pre-selected if possible.

Report item

Selection of the element from a drop-down list:

  • Sankey Diagram

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Scatter Plot

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Scatter Plot

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Loss times chart dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a scatter plot are offered. An entry is pre-selected if possible.

Diagram type

Selection of the diagram type from a drop-down list:

  • Scatter Plot

Must not be empty.

X-Axis field

Horizontal indicator value. Displays the meaning of the first variable.

Must not be empty.

Y-Axis field

Horizontal or vertical indicator value. Displays the meaning of the second variable.

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Use time filter limits
  • Active: The time filters are used as limiters for the X axis.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Trend chart

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Trend chart

Trend diagrams offer, depending on the report and its configuration, X-axis and Y-axis for configuration. The Y-axis can always be configured and can also contain several values. For comparison reports with unified time ranges, the columns Offset Timespan, Offset Seconds and Offset Label are also offered for the X-axis. These are each present depending on the stamp output column of the dataset.

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a trend diagram are offered. An entry is pre-selected if possible.

Diagram type

Selection of the diagram type from a drop-down list:

  • Bar chart
  • Line chart

Must not be empty.

X-Axis field

Selection of the value range for the X and Y axis from the drop-down list. Is offered depending on the report configuration.

Y-Axis field

Selection of the field from a drop-down list that is to be displayed in the diagram as a value range.
For reports with several series columns, several Y values can be selected with checkboxes.

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Use time filter limits
  • Active: The time filters are used as limiters for the X axis.

Show chart series data labels
  • Active: Each column is displayed with a label.

Default: Inactive

Available for:

  • Column chart

Use scale breaks
  • Active: If a gap is detected in the value range of the diagram, an interruption is shown on the value axis.

Default: active

Available for:

  • Column chart
  • Line chart

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Trend with Limits

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Trend with Limits

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a trend with limits are offered. An entry is pre-selected if possible.

Report item

Selection of the element from a drop-down list:

  • Control chart for average
  • Control chart for standard deviation

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.

Trend with limits

Property

Description

Value for horizontal axis

Value for horizontal axis. The values that are available depend on the report template. Select from drop-down list:

  • Sorting number
  • From (timestamp)
  • To (timestamp)

Default: To (timestamp)

Limit lines

Stipulation of which border lines are to be displayed. The values that are available depend on the report template. Select from drop-down list:

  • Show all lines
  • Show lines for the limits only

Default: Show all lines

Show limit labels

Selection of whether labels are shown for limit values:

  • Active: Labels are shown.
  • Inactive: No labels are displayed.

Default: active

Fill violation areas

Selection of whether the areas between limit value line and the line for the current value are colored:

  • Active: Areas for limit value breach are colored.
  • Inactive: Areas are not colored.

Default: Inactive

Values for report templates

Values are always provided depending on context for the Limit lines and Value for horizontal axis properties:

Property

Report template

Available values

Limit lines
  • Control Chart
  • Control Chart based on raw data
  • Show all limit lines
  • Only show error limit lines

Limit lines
  • Historian Trend with Limits with Variable Selection
  • Historian Aggregated Trend with Limits with Variable Selection
  • Show all limit lines
  • Only show upper error line
  • Only show lower error line

Value for horizontal axis
  • Control Chart
  • Control Chart based on raw data
  • Sorting number
  • From (timestamp)
  • To (timestamp)

Value for horizontal axis
  • Historian Aggregated Trend with Limits with Variable Selection
  • From (timestamp)
  • To (timestamp)

Value for horizontal axis
  • Historian Trend with Limits with Variable Selection
  • Timestamp

CRI configuration

Notes on user-defined report configuration:

Properties in the Data category:

Name | Description | Default
DataSetName | Name of the data set from which the data comes. | Empty
VariableName | Access to the column for the variable names | Empty
OrderIndex | Access to the column for the sorting number of a value | Empty
StartTimeStamp | Access to the column for the start time stamp of a value | Empty
EndTimeStamp | Access to the column for the end time stamp of a value | Empty
Value | Access to the column for a value | Empty
Unit | Access to the column for the unit of a value | Empty

Properties in the Limits category:

Name | Description | Default
HigherErrorLimit | Upper error limit | 0
HigherWarningLimit | Upper warning limit | 0
TargetValue | Target value | 0
LowerWarningLimit | Lower warning limit | 0
LowerErrorLimit | Lower error limit | 0

In the event of validation errors, nothing is drawn and an error message is shown.

Validations:

  • If not otherwise described, no property can remain empty.
  • If only 1 variable is present, the variable name can remain empty.
  • If 2 or more variables are present, each variable must have a unique name.
  • The following is applicable for the selected element of the horizontal axis: Each value must have a value in this column that is unique within the variables.
  • If only the error messages are displayed, the upper error limit must be greater than the lower error limit.
  • The following is applicable if all limits are displayed: Lower error limit < Upper warning limit < Target value < Upper warning limit < Upper error limit.

Notes on drawing:

  • The key is only drawn if at least one variable is present and its name is not empty.
  • Labels are shown with the unit if all variables have the same unit and it is not empty.
  • If labeling for limits would overlap, these are moved until the overlap has been removed. In doing so, the labeling does not leave the area of the axis however.
  • On the axes, assignment lines are drawn between the labeling and the position they represent on the axis.
  • Time stamp is shown on the horizontal axis on two lines. If the sorting number is selected, this is shown on one line.


Aggregation chart

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Aggregation chart

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide an aggregation diagram are offered. An entry is pre-selected if possible.

Diagram type

Selection of the diagram type from a drop-down list:

  • Bar chart
  • Pie chart

Must not be empty.

Aggregation type

Selection of the aggregation type from the drop-down list:

  • Sum
  • Minimum
  • Maximum
  • Average

Must not be empty.

Y-Axis field

Selection of the field from a drop-down list that is to be displayed in the diagram as a value range.
For reports with several series columns, several Y values can be selected with checkboxes.

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Show chart series data labels
  • Active: Each column is displayed with a label.

Default: Inactive

Available for:

  • Column chart

Use scale breaks
  • Active: If a gap is detected in the value range of the diagram, an interruption is shown on the value axis.

Default: active

Available for:

  • Column chart

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Aggregation chart indicators

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Aggregation chart indicators

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide indicators for aggregation diagrams are offered. An entry is pre-selected if possible.

Diagram type

Selection of the diagram type from a drop-down list:

  • Bar chart

Must not be empty.

Only the bar chart can be used.

Aggregation type

Selection of the aggregation type from the drop-down list:

  • Sum
  • Minimum
  • Maximum
  • Average

Must not be empty.

Y-Axis field

Selection of the field that is to be displayed in the diagram as a value range. Up to four can be selected by activating the checkboxes:

  • Availability
  • Output
  • Quality
  • OEE

At least one checkbox must be activated.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Compare to Standard:

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Compare to Standard:

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram
  • The diagram has:
  • Bar trend diagram with a series for relative consumption
  • Additional series: Line trend for standard

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a diagram for comparison to the standard are offered. An entry is pre-selected if possible.

Report item

Selection of the diagram type from a drop-down list:

  • Compare to Standard Chart

Must not be empty.

X-Axis field

Selection of the time stamp field X axis from the drop-down list:

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

Use scale breaks
  • Active: If a gap is detected in the value range of the diagram, an interruption is shown on the value axis.

Default: active

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Loss times chart

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Loss times chart

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Loss times chart dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a loss times diagram are offered. An entry is pre-selected if possible.

Report item

Selection of the diagram type from a drop-down list:

  • Relative loss times chart
  • Absolute loss times chart

Must not be empty.

X-Axis field

Selection of the column for the time axis from a drop-down list.

Must not be empty.

Y-Axis field

Selection of the column for the value axis.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Use time filter limits
  • Active: The time filters are used as limiters for the X axis.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Distribution chart

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Distribution chart

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a distribution chart are offered. An entry is pre-selected if possible.

Diagram type

Selection of the diagram type from a drop-down list:

  • Column chart

Must not be empty.

Y-Axis field

Selection of the field from a drop-down list that is to be displayed in the diagram as a value range.
For reports with several series columns, several Y values can be selected with checkboxes.

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Waterfall chart

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Waterfall chart

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide a waterfall chart are offered. An entry is pre-selected if possible.

Diagram type

Selection of the diagram type from a drop-down list:

  • Column chart
  • Bar chart

Must not be empty.

X-Axis field

Variable name. Is defined.

Diagram type

Display type. Select from drop-down list:

  • Compact
  • Detailed

Default: Compact

Y-Axis field

Time factor, relative or absolute.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


XY chart

zenon Analyzer > Report templates > Graphics configuration > Diagrams > XY chart

The XY diagram shows:

  • X-Axis: Values
  • Y-axis: Values

With several series, each series is represented by a line. The line shows the chronological course of both value indicators.

The diagram is inserted from the Report/design/report elements ribbon into the design area.
Configuration is carried out by means of:

  • the diagram configuration dialog when inserting the diagram
    and
  • the properties of the diagram

Diagram configuration dialog

In this dialog, you configure the data origin for the diagram and the display.
You configure the positioning and the parameter settings using the properties of the diagram.

Option

Description

Dataset

Selection of the desired data set from a drop-down list.

Must not be empty.

Only data sets that provide an XY-diagram are offered. An entry is pre-selected if possible.

Report item

Selection of the element from a drop-down list:

  • XY chart

Must not be empty.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Diagram properties

Properties of the diagram.

General

General settings.

Property

Description

Chart configuration

Clicking on the ... button or double-clicking on the entry opens the dialog for diagram configuration.
The configuration can also be opened by double-clicking on the diagram.

Report item name

Name of the element in the design area. Can be changed in the field.

Time filter

Selection of a time filter from the drop-down list.
All configured time filters are offered.

Show label

Decides whether the Label is displayed for the diagram in a header.

  • active: Label is displayed

Label

Label for the header.

Click the ... button and the dialog opens to select a key word.

Default: Label - as a placeholder. Individual selection from the language table.

Decimal places

Selection of the decimal places to be displayed. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 10

Default: 3
If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.

No data keyword

If no data is available in Report Launcher, the keyword selected here is shown in the header.
Clicking on the ... button opens the dialog to select a keyword.

Use scale breaks
  • Active: If a gap is detected in the value range of the diagram, an interruption is shown on the value axis.

Default: active

Layout

Settings for the placing of the element in the report.

Property | Description
Top | Distance to the upper edge of the element area in millimeters. Minimum: 1 grid unit
Left | Distance to the left report edge in millimeters. Minimum: 1 grid unit
Width | Width in millimeters.
Height | Height in millimeters.


Diagrams with several series columns

zenon Analyzer > Report templates > Graphics configuration > Diagrams > Diagrams with several series columns

Aggregation diagrams and trend diagrams for pivoted datasets or for datasets with several Serienspalten (such as machine-based production analysis) allows the selection of the Serienspalten for the Y axis using a checkbox. At least one column must be selected.

Pivoted data set diagram configuration

Productivity analysis indicator configuration diagram


Report settings

zenon Analyzer > Report templates > Report settings

Properties and dialogs to set the parameters for and to configure reports.

Report settings

The configuration elements are offered sorted, so that they can be configured from top to bottom. The elements that are needed by others are in the upper area. Elements that only concern the main data set are arranged at the bottom.

Example:

If a configuration element is selected, its dependencies are shown with colored arrows:

  • Orange arrow: This element is used by the selected element.
  • Blue arrow: This element needs the selected element.

For each arrow, a tool tip with information on the dependencies can be shown.

Hidden elements

If a report setting is not needed for the current report, it is automatically marked as deactivated. Deactivated elements are displayed with a gray background color:

  • Light gray: Element is deactivated
  • Dark gray: Element is deactivated and selected

The properties of a deactivated report setting are marked with the note Inactive:

If a report setting is deactivated, this has the following effects:

  • With the default layout creation, parameters or other settings of this setting are not added to the parameter output area.
  • Parameters or other settings of this setting cannot be added to the parameter output range manually.
  • When preparing the report, neither the dataset nor the parameter are added to the report for this setting.

Report settings

The following report settings are available:

  • Alarm and event groups
  • Alarm and event group prefilter
  • Alarm grouping
  • Alarm and event classes
  • Alarm and event class prefilter
  • Alarm and event comments
  • Alarm cause
  • Alarm look back time
  • Equipment models and Equipment groups
    • Equipment Models
    • Output equipment models
    • Obligatory equipment group
    • Optional equipment group
    • Equipment group hydroelectric power plant without multiple selection
    • Equipment group hydroelectric power plant with multiple selection
    • Gantt equipment group
    • OEE equipment group
    • Equipment group names
  • Archives (from projects)
  • Archive compression
  • Meanings for XY diagram
  • Custom formulas
  • Operating time counters
  • Operating time per operation mode
  • Operating time per component
  • Operating Time per Power Range
  • Lot archive
  • Connector
  • Alarm cause data
  • Default value for N
  • Detail labels
  • Direct values
  • Average deviation and standard deviation
  • Input elements
    • Color selection
  • Efficiency class formula
  • Efficiency class model
  • Efficiency class name
  • Event grouping
  • Event type
  • Event counters
    • All events
    • Set point change events
    • Turbine speed on load shedding events
    • Nozzle mode change events
    • Active power on load shedding events
  • Number of colors
  • Filter line data and machine data
  • Frequency meanings
  • Gantt configuration
  • Control chart limits
  • Grouping and overlapping cleanup
  • Main dataset
    • Pivoted main data set
  • Sorting configuration
  • Wind rose configuration
  • X/Y-Axis configuration
  • Circuit breaker labels
  • Line indicator meanings
  • Line loss times meanings
  • Machine indicator meanings
  • Machine start counters
  • Measuring unit efficiency class model
  • Value maximum
  • Value minimum
  • Higher limit
  • OEE Meanings
  • Production counter configuration
  • Project
  • Project selection
  • Process Capability
  • Process Capability Interval
  • Report name and report path
  • Lookback time
  • Sankey diagram selection
  • Switching cycles switchyard and Switching cycles circuit breakers
  • Shift break correction
  • Keywords
    • No data keywords
    • Operation mode events keywords
    • Operating hours keywords
    • Operating hours per mode keywords
    • Nozzle mode events keywords
    • On and off events keywords
    • Component change and inspection keywords
    • Load shedding turbine speed keywords
    • Load shedding active power keywords
    • Machine starts keywords
    • Relative counter keywords
    • Loss keywords
    • Wind direction keywords
    • Active and reactive power keywords
  • Target actual meanings
  • Efficiency classes sorting
  • Standard
  • Scatter plot meanings
  • Tolerance
  • Turbine speed seconds
  • Top N calculation
  • Lower limit
  • Variable based on archive or equipment group
  • Variables (from equipment groups)
  • Variables (from archives)
  • Variable for X (from archive)
  • Variable for Y (from archive)
  • Variable filter
  • Variables with measuring unit filter (from archives)
  • Aggregation function
  • Aggregation interval
  • Loss times meaning
  • Waterfall
  • Lot discovery iterations
  • Time frame from
  • Time frame to
  • Time filter

Other topics in this chapter

Main data set

Pivoted main data set

Report name - Report path - Comments

Time filter

Alarm and event groups

Alarm and event group prefilter

Alarm grouping

Alarm and event classes

Alarm and event class prefilter

Alarm and event comments

Alarm cause

Alarm look back time

Equipment models and Equipment groups

Archives (from projects)

Archive compression

Meanings for XY diagram

Custom formulas

Operating time counters

Operating time per operation mode

Operating time per component

Operating Time per Power Range

Lot archive

Connector

Alarm cause data

Default value for N

Detail labels

Direct values

Average and standard deviation

Input elements

Efficiency class formula

Efficiency class model

Efficiency class name

Event grouping

Event type

Event counters

Number of colors

Filter line data and machine data

Frequency meanings

Gantt configuration

Control chart limits

Grouping and overlapping cleanup

Sorting configuration

Wind rose configuration

X/Y-Axis configuration

Circuit breaker labels

Line indicator meanings

Line loss times meanings

Machine indicator meanings

Machine start counters

Measuring unit efficiency class model

Value maximum

Value minimum

Higher limit

OEE Meanings

Predictive Analytics

Production counter configuration

Project

Project selection

Process Capability

Process Capability Interval

Lookback time

Sankey diagram selection

Switching cycles switchyard and Switching cycles circuit breakers

Shift break correction

Keywords

Efficiency classes sorting

Target actual meanings

Standard

Scatter plot meanings

Tolerance

Turbine speed seconds

Top N calculation

Lower limit

Variable based on archive or equipment group

Variables (from equipment groups)

Variables (from archives)

Variable for X (from archive)

Variable for Y (from archive)

Variable filter

Variables with measuring unit filter (from archives)

Consumption interval

Aggregation function

Aggregation interval

Loss times meaning

Waterfall

Sankey diagram display of values

Lot discovery iterations

Active and Reactive Power Counters

Active power seconds

Time frame from

Time frame to


Main data set

zenon Analyzer > Report templates > Report settings > Main data set

A data set defines a report's access to the data to be evaluated.
A distinction is made between:

  • Input parameters: These are usually set using the filter settings of the report (for example: reporting period, variables used, etc.).
  • Return tags: This is the data to be prepared, that is used for display in the report.

Main data sets are subdivided into:

  • Main data set: Carries out the actual data preparation.
    • Can contain auxiliary data sets: Assist in the provision of the necessary data.
  • Information main dataset (IMDS):
    • Are inserted without linking to the time filter.
    • Has precisely one data set node in the RDL.
    • Time filter names are not added during naming.

Several data sets can be used in a report.

Main data set properties

General

General properties.

Property

Description

Dataset name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Note: Corresponds to the name of the data set in the RDL report definition. This is supplemented with the name of the time filter on provision. This name must be unique in terms of the names of parameters, settings and report items.

Configure columns

Display and configuration of the columns of the data set.

Clicking on the ... button opens the dialog to configure the columns.

Merge time ranges
  • Active: Time periods in this data set are amalgamated.

Only available if the data set allows time range amalgamation and at least 2 time filters are present.

Pivot dataset
  • Active: The data set is pivoted.

Configure pivot columns

Display and configuration of the pivot column of the data set.
Only available if Pivot dataset has been activated.

Clicking on the ... button opens the dialog to configure the columns.

Other topics in this chapter

Configure dataset columns

Calculated fields


Configure dataset columns

zenon Analyzer > Report templates > Report settings > Main data set > Configure dataset columns

The columns of a main data set can be used by different report elements. The column names are therefore not configured with the report element directly, (such as a table or diagram), but in the main data set.

To configure column names:

  1. In the properties of the main data set, click on the ... button of the Configure columns property.

    The dialog to configure the column names is opened.

  2. Issue the required free text for the desired column names.

    Note on pivoting: Because the columns are created dynamically during pivoting, no keywords can be assigned in advance. Pivoting columns therefore always have free text. However, this can always be given a keyword.

  3. Close the dialog by clicking on OK.

Dialog to configure dataset columns

Option

Description

Symbol +

Clicking on the symbol opens the dialog to add calculated fields.

Column

Display Field name.

Column name (keyword)

Display of the keyword for the column.

Column name for free text

Selection of a keyword by clicking on the ... button or entering a free text for the column name.

  • If no free text is entered, then the keyword is used. With IMDS, plain text or the column name is used as a key word.
  • If free text is entered, this is used.
  • Maximum length: 199 characters

Note: Some columns are only displayed. Their free text cannot be changed.

Close dialog

Option | Description
Validate | Checks configuration and enters the result in the footer. Shortcut: Ctrl-Enter. In doing so, the field to be validated must be in focus.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Validation

Correct configuration of the dialog can be checked by clicking on the Validation button. The result of the validation is shown in the footer. A symbol and a message inform you of the result.
In the event of errors, a Reporting Services error message is shown.

Note: Only the syntax of the expressions for calculated fields is checked. There is no check to see whether invalid operations are carried out.


Calculated fields

zenon Analyzer > Report templates > Report settings > Main data set > Calculated fields

The columns of the main data sets can be configured individually. In doing so, calculated fields can be added to the fields that are already present.

Possible use of calculated fields:

  • Operations on different variables in a pivoted data set, in order to put the variables in relation to one another.
    Example: =Fields!TEMPERATURE1.Value – Fields!TEMPERATURE2.Value
  • Pivoted tables to generate grouped columns for report templates of the themes archive analysis, Extended Historian analysis and Custom formula analysis.
  • Operations on the values of variables in different time periods when comparing time periods.
  • Changing variable names.
    Example: Remove Project/Archive variable prefix
    For example =Fields!VARIABLE_NAME.Value.Split("-"c)(1).Trim() removes the text before the first minus.
  • Special display or formulation of values or date values.
  • Value conversions.
  • Combination of information, i.e. displaying the content of several columns in one column.

If the deployment of report templates is prevented by invalid calculated fields, corresponding error messages are shown in the output window.

Update structure during deployment

Amended structures can be updated for prepared reports without having to intervene into the layout. All report elements, as well as headers and footers, are retained as in the report saved on the server. To replace only the structures, during deployment, click on the Update structure or Update structure for all symbol in the Report ribbon.

In doing so, the report is downloaded from the server. Data source, datasets and report code are replaced by the current values. The references are checked after the replacement. The RDL is uploaded to the server again afterwards. If a reference cannot be resolved, a warning is written to the output window and the respective element is removed from the report design.

Attention: With access to third-party datasets, only simple field access can be used in the function that is used. Complex expressions can lead to:

  • A report setting being removed from the report even though this is not necessary
  • A report setting remaining in the report even though it must be removed

Other topics in this chapter

Adding and editing calculated fields

Use of calculated fields


Adding and editing calculated fields

zenon Analyzer > Report templates > Report settings > Main data set > Calculated fields > Adding and editing calculated fields

Calculated fields can be individually added, edited and deleted.

To add a field:

  • Click on the green plus sign.

    The dialog to create the field is opened

To edit a field:

  • Click on the blue tool key next to the field.

    The dialog to configure the field is opened.

To delete a field:

  • Click on the red X next to the field.

    The calculated field is removed without a further request for confirmation. If, as a result of deletion, another referenced field becomes invalid, the corresponding field is highlighted with a validation error. The dialog cannot then be confirmed with OK. If a calculated field that is still being used in a report element is deleted, a notice is given when the dialog is closed. If it is confirmed, the calculated field and and affected report elements are removed.

The symbols to add and edit calculated fields are only available if there are no validation errors in the report settings.

Dialog to configure columns

Option

Description

Symbol +

Clicking on the symbol opens the dialog to add calculated fields.

Column

Display Field name.
Symbol in front of the name denotes, for each calculated field, whether it is used:

  • Symbol empty: Calculated field is not used.
  • Symbol filled: Calculated field is used.

Column name (keyword)

Display of the keyword for the column.

Column name for free text

Selection of a keyword by clicking on the ... button or entering a free text for the column name.

  • If no free text is entered, then the keyword is used. With IMDS, plain text or the column name is used as a key word.
  • If free text is entered, this is used.
  • Maximum length: 199 characters

Note: Some columns are only displayed. Their free text cannot be changed.

Wrench symbol

Clicking on the symbol opens the dialog to edit the calculated fields.
The dialog can also be opened by double-clicking on the Field name entry.

X symbol

Clicking on the symbol deletes the calculated field.

The calculated field is removed without a further request for confirmation. If, as a result of deletion, another referenced field becomes invalid, the corresponding field is highlighted with a validation error. The dialog cannot then be confirmed with OK. If a calculated field that is still being used in a report element is deleted, a notice is given when the dialog is closed. If it is confirmed, the calculated field and and affected report elements are removed.

Close dialog

Option | Description
Validate | Checks configuration and enters the result in the footer. Shortcut: Ctrl-Enter. In doing so, the field to be validated must be in focus.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Configure calculated field

In the dialog for calculated fields, you configure the content and properties of the calculated fields.

To configure a field:

  1. Enter the desired field name.
  2. Select the data type.
  3. Enter the unit of measurement, if necessary.
  4. Enter the expression for the calculated field.
    You can select fields and parameters from both lists, Fields and Parameters.

Note: If the name of one of the report parameters used in a calculated field changes, the name change is automatically applied in the calculated field.

Configure calculated field dialog

Option

Description

Field name

Name of the calculated field.

  • Must only contain letters, numbers and underscores.
  • Must not contain any leading or closing spaces.
  • Must not be empty.
  • Maximum length: 199 characters

If the name of a calculated field is changed, the name change is also automatically applied in the fields the refer to it.

If a new calculated field is created using the dialog, the field name is automatically applied as a text for the column name.

Data Type

Selection of the project from the drop-down list:

  • String
  • FloatingPoint
  • Integer
  • Bool
  • DateTime
  • TimeSpan

Default: FloatingPoint

Measuring unit

Unit of measurement.
Only available if both conditions have been met:

  • Data type: FloatingPoint or Integer
  • Type: Value field

Type

Type of field.

Calculated field expression

Entry of the expression for the calculated field.
The syntax corresponds to VB.Net expressions with some specific enhancements for reports.

The following is applicable for the expression:

  • Must not be empty.
  • Must not consist of a = (equals sign).
  • Must only refer to existing fields (including calculated fields) within the same main data set.
  • Must only refer to existing parameters within the report.
  • Must not contain references to other data sets.
  • Must not refer to other calculated fields that indirectly or directly refer to this field.

Fields and parameters can be selected from both lists, Fields and Parameters. Entries in the lists can be added by means of a double-click.

You can find examples in the "Examples of expressions in calculated fields".

Fields

List of existing fields.

Contains all fields of the main data set and other calculated fields. This excludes all calculated fields that directly or indirectly refer to the field being edited.

An entry can be added at the location of the cursor by double-clicking on the location in the option.

Parameter

List of available parameters.

An entry can be added at the location of the cursor by double-clicking on the location in the option.

Close dialog

Option | Description
Validate | Checks configuration and enters the result in the footer. Shortcut: Ctrl-Enter. In doing so, the field to be validated must be in focus.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Validation

The current content of the calculated field is used for validation. The validity of calculated fields can thus already be checked during editing.

If, due to changes in the configuration of the report template, expressions of calculated fields become invalid, this is considered a validation error for the respective calculated fields. The validation error is shown for the main data set that contains the calculated fields, up to the calculated field.

References in calculated fields can primarily become invalid if report parameters or fields are removed. This can be a consequence of, for example:

  • Changes to the pivoting settings
  • Changes to the time period amalgamation
  • Deletion of report templates
  • Switching-off of optional properties
  • Changes to filters that provide report parameters

If validation errors occur whilst the dialog is open, it can only be closed again once the errors have been rectified.

Examples of expressions in calculated fields

In calculated fields, you can use complete expressions that are also supported in the Report Builder and the Reporting Services. You can find the complete description in the Microsoft documentation on the Reporting Services.

Examples:

  • Constants: 1
  • Constant expressions: =1
  • References to fields: =Fields!CONSUMPTION.Value
  • References to parameters: ="ProjectIds: " & Join(Parameters!Projects.Value, ",")
  • Aggregation functions for fields: =Fields!CONSUMPTION.Value / Sum(Fields!CONSUMPTION.Value)


Use of calculated fields

zenon Analyzer > Report templates > Report settings > Main data set > Calculated fields > Use of calculated fields

Calculated fields are written to the report as they are entered by the user.
Access to the direct values of report settings is supported. These references are replaced with the correct values during deployment.

References (for example for the Project report setting):

  • Parameters!Project.Value
  • Parameters!Project.Label
  • Parameters!Project.IsMultiValue
  • Parameters!Project.Count

The values used during deployment are selected in such a way that the same use is possible as with report parameters without a direct value. The same expression can thus be used for report parameters with and without a direct value.
Example: Count=2, if two projects are selected as a direct value.

Use in tables and diagrams

Calculated fields can be used in tables and diagrams as:

  • Table columns
  • Value columns in diagrams

Example

This screenshot shows two diagrams and a table:

  • Diagram 1: Uses the roots from the values.
  • Diagram 2: Uses the normal values.
  • Table: Contains normal values and roots of the values. The variable name is displayed with and without project and archive.


Pivoted main data set

zenon Analyzer > Report templates > Report settings > Pivoted main data set

The data sets of a main data set are converted into columns during conversion. This is only possible for certain main data sets.

Pivotable data sets have at least one setting that, as a pivot-related parameter for the data set, determines which data sets are available for pivot columns, for example Variables (from equipment groups). These are labeled as pivot-related settings in this documentation. Pivotable data sets have precisely one field or one column that creates the pivot columns, such as the variable name, for example.

Requirements for pivoting:

  • The dataset is suitable for pivoting.
  • The required direct values have been configured.

Pivot data set

To pivot a main data set:

  1. Click on the name of the data set in the header.
  2. Click on Pivot dataset in the properties.

    The Configure pivot columns property is activated.
    Before you can configure it, the required direct values must be configured.

  3. Configure the direct values.
  4. Click on the button ... of the Configure pivot columns property.

    The configure pivot columns dialog is opened.

  5. Configure the columns.
  6. Close the dialog by clicking on OK.

Pivoted main data sets create an additional Stored Procedure during deployment and a user-defined table data type that contains the output columns of the original SP. The wrapper SPs have the same transfer parameters as the main SP, however their output columns are determined according to the following criteria:

  • Time stamp columns: are transferred 1:1.
  • A column is created for each different value in the pivot definition column.
    Any possible data type distinction column that may exist is taken into account.
    For this, the following applies:
    • A numeric value column is created for each numeric value.
      If there is a unit column in the data set, a separate unit column is created for each numeric value.
    • A text value column is created for every text value column.

Other topics in this chapter

Configure pivot columns


Configure pivot columns

zenon Analyzer > Report templates > Report settings > Pivoted main data set > Configure pivot columns

To determine the pivot columns for the main data set, the dialog for configuring pivot columns is executed. In doing so, the Stored Procedure behind the main data set is executed. The available values and their units are thus determined and the data types are determined for columns with type distinction.

Dialog to configure pivot columns

The settings available in this dialog depend on the settings in the main data set. The description of the dialog and notices in relation to required settings are to be understood as an example and can vary with other configurations. Required settings are always shown with a red border for as long as they have not been configured correctly.

Production data is possibly also required for configuration and validation.
This means, among other things:

  • A connection to Runtime is required.
  • This must be started and must provide the required data sets for the pivoting.
  • The connector must be started.

Option

Description

Time range for the value search

Time range for which the values are determined. This time filter is independent of the time filters in the data set. Default: Last hour

From

Configuration of the start of the time filter. Clicking on the button opens the calendar element for selection.

To

Configuration of the end of the time filter. Clicking on the button opens the calendar element for selection.

Aggregation interval

Selection of the aggregation interval from a drop-down list.

Is needed when executing the main data set to determine the values and must be configured.

Aggregation function

Selection of the aggregation function from a drop-down list.

Is needed when executing the main data set to determine the values and must be configured.

Connector

Selection of the connector from the drop-down list.

Is needed when executing the main data set to determine the values and must be configured.

Variables (from equipment groups)

List of the direct values configured for the pivot-related settings. Display only, cannot be changed.

Fetch pivot columns

Gets values from the main data set and determines the pivot columns.

Only available if all required options have been configured.

Pivot columns

Display of the pivot columns determined.

The dialog can only be confirmed and closed by clicking on OK if at least one pivot column has been determined.

Note: Opening can take somewhat more time the first time, because the Stored Procedure is created in the database for the first time.

A progress bar is displayed whilst the pivot columns are obtained.

If no values can be found, a corresponding message is shown. This is because no pivot columns can be determined without values.

If problems occur when obtaining data, the error messages included are shown. These are also written to the output window and to the log file.

The values used in the configuration dialog remain saved and are shown again the next time it is opened.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Report name - Report path - Comments

zenon Analyzer > Report templates > Report settings > Report name - Report path - Comments

Name and save location of the reports can be configured or pre-defined individually. You make the pre-selection in the settings of the Deployment tab.

To configure the name and the path individually:

  1. Click on the report name in the report.
    Default: New report
  2. Click on Report name in the properties.
  3. Enter the desired name in the field.
  4. Click Report path.
  5. Click on the ... button.

    The dialog to enter a report path is opened.

  6. Configure the path.

Note: The report name cannot consist of more than 126 characters. Report name and report path have a maximum of 252 characters.

Report name and report path properties

General

Property

Description

Report name

Text field for the input of a name for the RDL file.

Name:

  • must not be empty
  • Must not consist of periods or spaces
  • Must not contain non-permitted characters;
    The following are not permitted: ;?:@&=+$,\*<>|"/

The name must not consist of more than 126 characters.

Report path

Show the current RDL file path.

Clicking on the ... button opens the dialog for configuring the path.

Path and name can be a maximum of 252 characters.

Localized report paths

Shows the report name and report path in relation to the root folder.

Report Launcher comment

Allows the addition and amendment of a comment that is displayed in Report Launcher.

Maximum: 512 characters

A carriage return cannot be entered.

If an existing entry is deleted here and the field is left empty, it is retained in Report Launcher.

Report comment

Allows the addition and amendment of a comment that is displayed in ZAMS.

A carriage return cannot be entered.

Other topics in this chapter

Select report path

Comments for report template and report


Select report path

zenon Analyzer > Report templates > Report settings > Report name - Report path - Comments > Select report path

Configuration of the path to the folder in which the RDL file of the report for deployment is saved.
The path must not consist of more than 126 characters.

Hint: Folder and deployed reports can be deleted again in Report Launcher.

Option

Description

Enter report file path
  • Active: The file path is entered into the field manually.

The Name

  • Must end with a / and a /
  • Must not contain two consecutive / characters
  • The length of the complete path including Report name must not exceed 260 characters
  • must not be empty nor consist solely of dots or spaces
  • must not be the same as one of the language designators (EN, DE, ...)
  • must not contain any non-permitted characters
    The following are not permitted: ;?:@&=+$,\*<>|"/

Choose report file path
  • Active: The file path is selected from the list.

The list contains the current folder structure, whereby language folders are not shown. For example:
Folder EN/folder 1 or folder1/EN are always displayed as folder1.

List field

Displays the folder structure of the Analyzer server. The currently-selected folder is highlighted.

A folder can be selected in the list.

New folder

Opens dialog to add a new folder.
Only active if Select report file path has been activated.

For details, see the Creating a new folder section.

OK

Checks the inputs to ensure that they are valid, accepts the entered or selected folder including language variants as the path to store the RDL file and closes the dialog.

Cancel

Closes the dialog without changing the path.

Create new folder

Clicking on the New folder button in the dialog to select the folder for the RDL file opens the dialog to create a folder:

Option

Description

Current path

Display of the current superordinate folder, under which the new folder is to be created. The folder highlighted in the Select report file path dialog is given.

Name for new folder

Entry of the name for the folder.

The Name

  • Must end with a / and a /
  • Must not contain two consecutive / characters
  • The length of the complete path including Report name must not exceed 260 characters
  • must not be empty nor consist solely of dots or spaces
  • must not be the same as one of the language designators (EN, DE, ...)
  • must not contain any non-permitted characters
    The following are not permitted: ;?:@&=+$,\*<>|"/

OK

Accepts settings and creates new folder. This is displayed in the list.

Cancel

Rejects all inputs and closes the dialog without creating a folder.


Comments for report template and report

zenon Analyzer > Report templates > Report settings > Report name - Report path - Comments > Comments for report template and report

Report templates and reports can be given comments.

  • in ZAMS
  • in Report Launcher

Project configuration is carried out using the properties of the report name in ZAMS.

Comments in ZAMS

Report templates can contain comments in ZAMS.

To create a comment:

  1. Click on the name of the report in the report template.
  2. Select the property Report comment.

  3. Click on the ... button.

    The dialog to enter a comment is opened.

  4. Enter the comment.
    Note: Carriage returns cannot be entered.
  5. Click on OK.

    The comment is saved.

  6. To show the full length of the saved comment: Click on the button ...

Comments in Report Launcher

Reports can contain comments that are displayed in Report Launcher.

Create comment in ZAMS

To create a comment:

  1. Click on the name of the report in the report template.
  2. Select the property Report Launcher comment.

  3. Enter the comment into the field.
    Note: A maximum of 512 characters are permitted.
    Carriage returns cannot be entered.

    The comment is saved when the field is left.

Display and amend comments in Report Launcher

To display a comment for a report in Report Launcher:

  1. Open Report Launcher.
  2. Go to the report.
  3. Select Manage in the drop-down list.

    The comment is displayed in the Description property in the Properties area.

To amend a comment for a report in Report Launcher:

  1. Go to the properties of the report.
  2. Amend the text in the Description field.
  3. Click on Apply.

Note:

  • If the report is prepared again, the comment defined in ZAMS is entered again.
  • If the comment is deleted in ZAMS, the existing comment is displayed again in Report Launcher after being prepared again.


Time filter

zenon Analyzer > Report templates > Report settings > Time filter

Up to five time filters per report can be created. This time filter can be attendant variants of a time filter and/or time filters that are independent of one another. Each time filter can be configured individually. Dependent variables take on the main settings of the time filter to which they are assigned.

Each time filter is configured over several property groups. The groups that are offered depend on the selection of the time filter type and whether it is an independent or dependent grouped time filter.

Add a time filter

Each report must have at least one time filter. This is automatically created when a new report is created. This is initially always called Timefilter. You can give it a new name using the Time filter name property. In doing so, ensure that it is a meaningful name. This is how you can correctly assign the time filter when using several time filters.
Further time filters can be added manually.

To add a time filter:

  • Independent time filter: Click on the symbol (green arrow) below the pre-existing time filter.

    The entry is inserted at the end of the list.

  • Dependent grouped filter: Click on the symbol (green plus sign) next to the time filter to which the new time filter is to be assigned.

The time filter is inserted below the selected time filter and shown as indented.

Note: Symbols for insertion are only available if fewer than five time filters have been configured.

info Information

If a time filter is added to a report template, all report elements that use a main data set with amalgamation of time periods are deleted. Deletion is only carried out after a request for confirmation.

Grouped time filters

Grouped time filters take in the type, the granularity and the default configuration of higher-level time filters. They have a default range that is the same length as the higher-level filter, look further into the past than the higher-level time filter or use the same pre-filter range.

For example:

  • Initial situation:
    • 1 independent filter contains 2 grouped filters.
    • Look-back time of the independent time filter: 2 days.
  • Result:
    • Independent time filter default: 2 days before today
    • 1st grouped time filter default (top): 4 days ago to 2 days ago
    • 2nd grouped time filter default (bottom): 6 days ago to 4 days ago

Configure time filter

To configure the time filter:

  1. Select the desired time filter type.
  2. Select the desired granularity.
    This determines what selection options are available in Report Launcher.
  3. Set the default values.
    The configuration possibilities depend on the type and granularity of the time filter.
  4. If necessary, create further time filters or variants of a time filter.
    Note: You can create a total of up to 5 time filters and/or variants per report.
  5. With several variables for a time filter, stipulate whether the same pre-filter range is to be used.
  6. Configure, if necessary, the further properties.

Remove time filter

To remove a time filter, click on the symbol with the red X next to the time filter. The time filter is removed with all subordinate grouped time filters. If the time filter from a report element or a cell in the parameter output range is used, there is a request for confirmation. If deletion is confirmed, all affected report elements are deleted and all affected cells are reset to the default values.

Note: Symbols for removal are only available if there are at least two time filters present.

Other topics in this chapter

Time filter types

Default settings

Merge time ranges


Time filter types

zenon Analyzer > Report templates > Report settings > Time filter > Time filter types

The following are available as time filters for the configuration of reports:

  • Absolute and relative time filter
  • Lots
  • Shifts

Other topics in this chapter

Absolute and relative time filter

Lots

Shifts


Absolute and relative time filter

zenon Analyzer > Report templates > Report settings > Time filter > Time filter types > Absolute and relative time filter

Configuration of the absolute time filter and relative time filter.

  • Absolute time filter: Date and time per time range.
  • Relative time filter: Time span per time range.

Note: it is possible to switch between all time filter types in the configuration dialog. The respective options for the selected type are shown.

Properties

The properties that can be configured in the properties area depend on the appearance of the time filter.

Absolute time filter

General

General properties.

Property

Description

Time filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Note: Name adds the name of the data set on deployment. This name must be unique in terms of the names of parameters, settings and report items.

Time filter

Setting the parameters for the time filters.

Property

Description

Time filter type

Shows the selected time filter type.
Clicking on the ... button opens the dialog for configuration.
The parameters that are available depend on the selected time filter type. If the type is amended, all cells in the parameter output range that no longer get values from the new time filter type and its subordinate grouped filters are reset.
Only available for independent time filters.

Granularity

Setting for the granularity for the time filter. Select from drop-down list:

  • Minute
  • Hour
  • Day
  • Month
  • Year

Only available for independent time filters.

Default settings

Display of the default values of the report time range:

  • Absolute and relative time filter. Configuration of the report time period
  • Lots and shifts Configuration of the prefilter time period

Clicking on the ... button opens the dialog for configuration.

Only available for independent time filters.

From

Settings for display and configuration of the start time for the report:

  • Absolute time filter: Start of the filter time period.
  • Lots and shifts with absolute time filter: Start of the pre-filter time period.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note: For grouped time filters, this is only available if the time filter allows it and the Use same prefilter ranges option is not active.

To

Settings for the display and configuration of the end time for the report:

  • Absolute time filter: End of the filter time period.
  • Lots and shifts with absolute time filter: End of the prefilter time period.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note: For grouped time filters, this is only available if the time filter allows it and the Use same prefilter ranges option is not active.

Relative time filter

General

General properties.

Property

Description

Time filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Setting the parameters for the time filters.

Property

Description

Time filter type

Shows the selected time filter type.
Clicking on the ... button opens the dialog for configuration.
The parameters that are available depend on the selected time filter type. If the type is amended, all cells in the parameter output range that no longer get values from the new time filter type and its subordinate grouped filters are reset.
Only available for independent time filters.

Granularity

Setting for the granularity for the time filter. Select from drop-down list:

  • Minute
  • Hour
  • Day
  • Month
  • Year

Only available for independent time filters.

Default settings

Display of the default values of the report time range:

  • Absolute and relative time filter. Configuration of the report time period
  • Lots and shifts Configuration of the prefilter time period

Clicking on the ... button opens the dialog for configuration.

Only available for independent time filters.

Time range

Settings for the display and configuration of the time duration for the report.

  • Relative time filter: Report time period.
  • Lots and shifts with relative time filter: Prefilter time period.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note: For grouped time filters, this is only available if the time filter allows it and the Use same prefilter ranges option is not active.

Dialog time filter

Option

Description

Time filter type

Selection of the time filter type from a drop-down list.

  • Absolute time filter: Date and time per time range.
  • Relative time filter: Time span per time range.

OK

Saves the configuration in the Time filter type property and closes the dialog.
Only available if all entries have been validated.

Cancel

Discards all changes and closes the dialog.


Lots

zenon Analyzer > Report templates > Report settings > Time filter > Time filter types > Lots

Configuration of the lot filter:

  • Lot selection with absolute time prefilter: Selection of the lot with date and time per time range
  • Lot selection with relative time prefilter: Selection of the lot with time span per time range.

Properties

The properties that can be configured in the properties area depend on the appearance of the time filter.

With absolute time filter

General

General properties.

Property

Description

Time filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Note: Name serves as the name of the data set for the lot list and adds the name of the data set during deployment. This name must be unique in terms of the names of parameters, settings and report items.

Time filter

Setting the parameters for the time filters.

Property

Description

Time filter type

Shows the selected time filter type.
Clicking on the ... button opens the dialog for configuration.
The parameters that are available depend on the selected time filter type. If the type is amended, all cells in the parameter output range that no longer get values from the new time filter type and its subordinate grouped filters are reset.
Only available for independent time filters.

Granularity

Setting for the granularity for the time filter. Select from drop-down list:

  • Minute
  • Hour
  • Day
  • Month
  • Year
  • Only available for independent time filters.

Default settings

Display of the default values of the report time range:

  • Absolute and relative time filter. Configuration of the report time period
  • Lots and shifts Configuration of the prefilter time period

Clicking on the ... button opens the dialog for configuration.

Only available for independent time filters.

Use same prefilter time range

Use of the prefilter range:

  • Active: The same time filter range is applied for all variants. Only one filter range is offered in the report.
  • Inactive: A separate time filter range is used for each variant. A filter range is offered in the report for each variant

Only available if a grouped variant of the time filter has been configured.

From

Settings for display and configuration of the start time for the report:

  • Absolute time filter: Start of the filter time period.
  • Lots and shifts with absolute time filter: Start of the pre-filter time period.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note: For grouped time filters, this is only available if the time filter allows it and the Use same prefilter ranges option is not active.

To

Settings for the display and configuration of the end time for the report:

  • Absolute time filter: End of the filter time period.
  • Lots and shifts with absolute time filter: End of the prefilter time period.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note: For grouped time filters, this is only available if the time filter allows it and the Use same prefilter ranges option is not active.

Lot

Settings for the display and configuration of lots in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note for report developers: This time filter type uses the ListLots SQL element.

Parameter Area Labels

Settings for the display in the parameter area of the report.

Property | Description
From | Identifier for start time. Click the ... button and the dialog opens to select a key word. Default: From Individual selection from the language table.
To | Identifier for end time point. Click the ... button and the dialog opens to select a key word. Default: To Individual selection from the language table.
Time range | Identifier for a time range. Click the ... button and the dialog opens to select a key word. Default: Time range Individual selection from the language table.
Label | Identifier for description. Click the ... button and the dialog opens to select a key word. Default: Label As a placeholder. Individual selection from the language table.
Labeled time period | Identifier for labeled time range. Click the ... button and the dialog opens to select a key word. Default: Labeled time period As a placeholder. Individual selection from the language table.

With relative time filter

General

General properties.

Property

Description

Time filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Setting the parameters for the time filters.

Property

Description

Time filter type

Shows the selected time filter type.
Clicking on the ... button opens the dialog for configuration.
The parameters that are available depend on the selected time filter type. If the type is amended, all cells in the parameter output range that no longer get values from the new time filter type and its subordinate grouped filters are reset.
Only available for independent time filters.

Granularity

Setting for the granularity for the time filter. Select from drop-down list:

  • Minute
  • Hour
  • Day
  • Month
  • Year
  • Only available for independent time filters.

Default settings

Display of the default values of the report time range:

  • Absolute and relative time filter. Configuration of the report time period
  • Lots and shifts Configuration of the prefilter time period

Clicking on the ... button opens the dialog for configuration.

Only available for independent time filters.

Use same prefilter time range

Use of the prefilter range:

  • Active: The same time filter range is applied for all variants. Only one filter range is offered in the report.
  • Inactive: A separate time filter range is used for each variant. A filter range is offered in the report for each variant

Only available if a grouped variant of the time filter has been configured.

Time range

Settings for the display and configuration of the time duration for the report.

  • Relative time filter: Report time period.
  • Lots and shifts with relative time filter: Prefilter time period.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note: For grouped time filters, this is only available if the time filter allows it and the Use same prefilter ranges option is not active.

Lot

Settings for the display and configuration of lots in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note for report developers: This time filter type uses the ListLots SQL element.

Parameter Area Labels

Settings for the display in the parameter area of the report.

Property | Description
From | Identifier for start time. Click the ... button and the dialog opens to select a key word. Default: From Individual selection from the language table.
To | Identifier for end time point. Click the ... button and the dialog opens to select a key word. Default: To Individual selection from the language table.
Time range | Identifier for a time range. Click the ... button and the dialog opens to select a key word. Default: Time range Individual selection from the language table.
Label | Identifier for description. Click the ... button and the dialog opens to select a key word. Default: Label As a placeholder. Individual selection from the language table.
Labeled time period | Identifier for labeled time range. Click the ... button and the dialog opens to select a key word. Default: Labeled time period As a placeholder. Individual selection from the language table.

Time filter dialog

Option

Description

Time filter type

Selection of the type of time filtering from the drop-down list. The following are available for lots:

  • Lot selection with absolute time prefilter: Selection of t
    he lot with date and time per time range
  • Lot selection with relative time prefilter:
    Selection of the lot with time span per time range

Project

Selection of a project from the drop-down list from which the lot data should come.

A project must be selected.

Lot archive

List of the lot archives of the selected project.
An archive must be selected.

Connector for time filter data

A connector must be selected. Selection of the connector for reading the data.

OK

Saves the configuration in the Time filter type property and closes the dialog.
Only available if all entries have been validated.

Cancel

Discards all changes and closes the dialog.


Shifts

zenon Analyzer > Report templates > Report settings > Time filter > Time filter types > Shifts

Configuration of the shift filter:

  • Shift selection with absolute time prefilter: Selection of the shift data with date and time per time range.
  • Shift selection with relative time prefilter: Selection of the shift data with time span per time range.

Properties

The properties that can be configured in the properties area depend on the appearance of the time filter.

With absolute time filter

General

General properties.

Property

Description

Time filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Note: Name serves as the name of the data set for the shift list and adds the name of the data set during deployment. This name must be unique in terms of the names of parameters, settings and report items.

Time filter

Setting the parameters for the time filters.

Property

Description

Time filter type

Shows the selected time filter type.
Clicking on the ... button opens the dialog for configuration.
The parameters that are available depend on the selected time filter type. If the type is amended, all cells in the parameter output range that no longer get values from the new time filter type and its subordinate grouped filters are reset.
Only available for independent time filters.

Granularity

Setting for the granularity for the time filter. Select from drop-down list:

  • Minute
  • Hour
  • Day
  • Month
  • Year
  • Only available for independent time filters.

Default settings

Display of the default values of the report time range:

  • Absolute and relative time filter. Configuration of the report time period
  • Lots and shifts Configuration of the prefilter time period

Clicking on the ... button opens the dialog for configuration.

Only available for independent time filters.

Use same prefilter time range

Use of the prefilter range:

  • Active: The same time filter range is applied for all variants. Only one filter range is offered in the report.
  • Inactive: A separate time filter range is used for each variant. A filter range is offered in the report for each variant

Only available if a grouped variant of the time filter has been configured.

From

Settings for display and configuration of the start time for the report:

  • Absolute time filter: Start of the filter time period.
  • Lots and shifts with absolute time filter: Start of the pre-filter time period.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note: For grouped time filters, this is only available if the time filter allows it and the Use same prefilter ranges option is not active.

To

Settings for the display and configuration of the end time for the report:

  • Absolute time filter: End of the filter time period.
  • Lots and shifts with absolute time filter: End of the prefilter time period.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note: For grouped time filters, this is only available if the time filter allows it and the Use same prefilter ranges option is not active.

Shift

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note for report developers: This time filter type uses the ListShifts SQL element.

Parameter Area Labels

Settings for the display in the parameter area of the report.

Property | Description
From | Identifier for start time. Click the ... button and the dialog opens to select a key word. Default: From Individual selection from the language table.
To | Identifier for end time point. Click the ... button and the dialog opens to select a key word. Default: To Individual selection from the language table.
Time range | Identifier for a time range. Click the ... button and the dialog opens to select a key word. Default: Time range Individual selection from the language table.
Label | Identifier for description. Click the ... button and the dialog opens to select a key word. Default: Label As a placeholder. Individual selection from the language table.
Labeled time period | Identifier for labeled time range. Click the ... button and the dialog opens to select a key word. Default: Labeled time period As a placeholder. Individual selection from the language table.

With relative time filter

General

General properties.

Property

Description

Time filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Time filter

Setting the parameters for the time filters.

Property

Description

Time filter type

Shows the selected time filter type.
Clicking on the ... button opens the dialog for configuration.
The parameters that are available depend on the selected time filter type. If the type is amended, all cells in the parameter output range that no longer get values from the new time filter type and its subordinate grouped filters are reset.
Only available for independent time filters.

Granularity

Setting for the granularity for the time filter. Select from drop-down list:

  • Minute
  • Hour
  • Day
  • Month
  • Year
  • Only available for independent time filters.

Default settings

Display of the default values of the report time range:

  • Absolute and relative time filter. Configuration of the report time period
  • Lots and shifts Configuration of the prefilter time period

Clicking on the ... button opens the dialog for configuration.

Only available for independent time filters.

Use same prefilter time range

Use of the prefilter range:

  • Active: The same time filter range is applied for all variants. Only one filter range is offered in the report.
  • Inactive: A separate time filter range is used for each variant. A filter range is offered in the report for each variant

Only available if a grouped variant of the time filter has been configured.

Time range

Settings for the display and configuration of the time duration for the report.

  • Relative time filter: Report time period.
  • Lots and shifts with relative time filter: Prefilter time period.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note: For grouped time filters, this is only available if the time filter allows it and the Use same prefilter ranges option is not active.

Shift

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Note for report developers: This time filter type uses the ListShifts SQL element.

Parameter Area Labels

Settings for the display in the parameter area of the report.

Property | Description
From | Identifier for start time. Click the ... button and the dialog opens to select a key word. Default: From Individual selection from the language table.
To | Identifier for end time point. Click the ... button and the dialog opens to select a key word. Default: To Individual selection from the language table.
Time range | Identifier for a time range. Click the ... button and the dialog opens to select a key word. Default: Time range Individual selection from the language table.
Label | Identifier for description. Click the ... button and the dialog opens to select a key word. Default: Label As a placeholder. Individual selection from the language table.
Labeled time period | Identifier for labeled time range. Click the ... button and the dialog opens to select a key word. Default: Labeled time period As a placeholder. Individual selection from the language table.

Time filter dialog

Option

Description

Time filter type

Selection of the type of time filtering from the drop-down list; the following are available for shift data:

  • Shift selection with absolute time prefilter:
    Selection of the shift data with date and time per time range.
  • Shift selection with relative time prefilter:
    Selection of the shift data with time span per time range.

Project

Selection of a project from the drop-down list from which the shift data should come.

A project must be selected.

Equipment group

Lists all the entries in the equipment model for which shift data is to be displayed in the selected project. For this, the following applies:

  • If an equipment group and all its subordinate equipment groups do not contain a shift model, the equipment group is not displayed.
  • For all models with shift data, the entries are shown up to the root node, even if the superordinate nodes drawn do not contain any shift data.
    Nodes with a red X do not contain any shift data. Nodes with a green hash contain shift data and can be selected.
  • If an element is displayed as unusable in the tree is clicked, the first subordinate and usable element assigned to this element is used instead of this.
  • There must be an equipment model with shift data selected.

Connector for time filter data

A connector must be selected. Selection of the connector for reading the data.

Attention: The SCADA runtime connector cannot get any shift data.

OK

Saves the configuration in the Time filter type property and closes the dialog.
Only available if all entries have been validated.

Cancel

Discards all changes and closes the dialog.

attention Attention

Each equipment group in zenon may only be assigned to one individual time model.

If several time model groups are assigned, the Analyzer Wizard Export uses the first that it finds and exports this to the metadata of the Analyzer. Other time model groups are ignored.


Default settings

zenon Analyzer > Report templates > Report settings > Time filter > Default settings

The standard time range is stipulated using a separate dialog.
Options:

  • Fixed time span in local time
  • Fixed time span in UTC
  • Relative time span derived from current time

End of time range

Stipulates how the end of the time range is determined. Configuration by means of checkboxes.
The selection determines which options can be configured in the lower area of the dialog.

Option

Description

Fixed time stamp

Stipulation of whether, in Report Launcher, a fixed time point is used or a relative one at the current time point.

  • Active: A fixed time stamp is used in Report Launcher.
  • Inactive: In Report Launcher, a time range, relative to the current respective time point is used.

End time stamp is UTC

Stipulation of whether local time or UTC is used:

  • Active: The end time is given in UTC.
  • Inactive: The end time is given in local time.

Only available if Fixed time stamp has been activated.

Time range settings

Elements to set the detail parameters of the time range. The elements that are available depend on the setting for End of time range and the configured granularity.

Option

Description

Set minute to

Only available if the time filter granularity and the setting for End of time range allow the use of minutes.

Checkbox:

  • Active: Minute is fixed.
  • Inactive: Minute is derived from the current time stamp in the report.
  • numerical element : Input of the fixed minute.
    Possible values: 0 to 59

Set hour to

Only available if the time filter granularity and the setting for End of time range allow the use of hours.

Checkbox:

  • Active: Hour is fixed.
  • Inactive: Hour is derived from the current time stamp in the report.
  • numerical element : Input of the fixed hour.
    Possible values: 0 to 23

Set day to

Only available if the time filter granularity and the setting for End of time range allows the use of days.

Checkbox:

  • Active: Day is fixed.
  • Inactive: Day is derived from the current time stamp in the report.
  • numerical element : Input of the fixed day.
    Possible values: 1 to 28.
    Limited to 28, because the value for all months of a year must be valid.

Set month to

Only available if the time filter granularity and the setting for End of the time range allow the use of months.

Checkbox:

  • Active: Month is fixed.
  • Inactive: Month is derived from the current time stamp in the report.
  • numerical element : Input of the fixed month.
    Possible values: 1 to 12

Set year to

Only available if the time filter granularity and the setting for End of the time range allow the use of years.

Checkbox:

  • Active: Year is fixed.
  • Inactive: Year is derived from the current time stamp in the report.
  • numerical element : Input of the fixed year.
    Possible values: 1900 to 4000

Customization

Adjustment of the end time. The elements available depend on the configured granularity.

Possible values for quantity: -1000 to 1000

Granularity with selection from drop-down list:

  • Minutes
  • Hours
  • Days
  • Months
  • Years

Only available if the property Fixed time stamp is inactive.

Lookback time

Stipulation of the length of the time range for the lookback time. The elements available depend on the configured granularity.

Possible values for quantity: 1 to 1000

Granularity with selection from drop-down list:

  • Minutes
  • Hours
  • Days
  • Months
  • Years

Description and sample time range

Text description of the settings and display of the current settings with the currently-calculated default value for the time range.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Merge time ranges

zenon Analyzer > Report templates > Report settings > Time filter > Merge time ranges

If several time filters are present, the different data sets for the individual time filters can be combined into one single data set for all time filters.
Requirements:

  • The main data set supports amalgamation of time periods.
    If time period amalgamation is not supported, the property is hidden.
  • At least 2 time filters are included.

Configuration

To configure time period amalgamation:

  1. Click on the main data set.
  2. Activate Merge time ranges in the properties of the main data set.

Result:

  • The report only contains this main data set once and not once per time period. This one main data set contains all time periods.
  • Each report element is only added once instead of once per time period.
  • Split columns and offset columns can be used in tables and diagrams.

Effects on tables and diagrams

The combination of time periods has an effect on the configuration of tables and diagrams.

Column selection in the table configuration

In tables, split columns and offset columns can be used instead of the columns from which they come. This includes aggregation.

Column selection in the diagram configuration

The following is applicable for time period amalgamation when selecting columns in the diagram configuration:

Without time range amalgamation

With time range amalgamation

X-Axis: Selection of a time stamp column.

Selection from these columns:

  • Offset seconds
    Note: Only with this setting can the Use time filter limits property be activated.
  • Offset labeling
  • Time stamp for each time period

These columns are created for each time stamp column.

X-Axis: Selection of 1 value column.

Precisely 1 column can be selected from the split columns derived from the value columns.

Y-axis: Selection of 1 value column.

1-N columns can be selected from the split columns derived from the value columns.

Y-axis: Selection of 1-N value columns.

1-N columns can be selected from the split columns derived from the value columns.

Special feature: scatter plot with reference curve The reference curve is - in contrast to scatter plots - always only drawn once because it does not depend on the time filter. This is because reference curves do not change over time and the selected equipment groups must have the same reference curve.

info Information

If a time filter is added to a report template, all report elements that use a main data set with amalgamation of time periods are deleted. Deletion is only carried out after a request for confirmation.


Alarm and event groups

zenon Analyzer > Report templates > Report settings > Alarm and event groups

It is possible to filter for alarm and event groups in Report Launcher.
You configure the alarm/event groups that are available in the Alarm and event group prefilter report setting.

To activate the filter:

  1. Click on the Alarm/Event groups report setting.
  2. Click on the Activate filter in report property in the properties.

    The filter properties are shown.

  3. Configure the filter properties.

Alarm/event group filter properties

General

General properties.

Property

Description

Activate filter in report

Activates or deactivates the filter settings.
Activate by clicking on the checkbox:

  • Active: Alarm/event groups are available as filters.
  • Inactive: It is not possible to filter for alarm/event groups.

Default: Inactive

Report Parameter

Configuration of the initial display of the alarm/event groups in Report Launcher using the Sort order property and selection of whether more than one alarm/event class can be selected.

Property

Description

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Alarm and event group prefilter

zenon Analyzer > Report templates > Report settings > Alarm and event group prefilter

Alarm groups and event groups cannot be prefiltered.
To prefilter alarm/event classes:

  1. Select the Alarm/event group prefilter report setting.
  2. In the Alarm/event group prefilter property, click on the ... button.

    The dialog to select alarm and event groups is opened.

  3. Select the desired elements.
  4. Close the dialog by clicking on OK.

To apply the prefilter in Report Launcher:

  1. Click on the Alarm/Event groups report setting.
  2. Activate the checkbox for the Activate filter in report property.

Alarm/event class properties

General

General properties.

Property | Description
Alarm/event group prefilter | Click the button ... and a dialog opens to configure the prefilters.

Other topics in this chapter

Dialog to prefilter alarm and event groups


Dialog to prefilter alarm and event groups

zenon Analyzer > Report templates > Report settings > Alarm and event group prefilter > Dialog to prefilter alarm and event groups

In this dialog, you select which alarm and event groups are taken into account in the filter.

Dialog

Option

Description

Activate prefilter

Activates or deactivates the options to select the elements.

All items

Selects or deselects all elements:

  • Active: The checkboxes are activated for all elements.
  • Deactivated: All elements are deactivated.

Items

List of elements to be imported from zenon. Each element can be activated or deactivated with a checkbox.

If the Activate prefilter option is active, at least one element must be selected.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Alarm grouping

zenon Analyzer > Report templates > Report settings > Alarm grouping

Properties for the configuration of the Alarm grouping report setting for the Report Launcher.

Properties

General

General properties for the selection of the grouping for Top N.

Property

Description

Alarm grouping

Selection of the grouped alarms to be displayed from a drop-down list:

  • Alarm/event class
  • Alarm/event group
  • Equipment group (all groups)
  • Equipment group (filtered groups only)
  • Alarm cause level 1
  • Alarm cause level 2
  • Alarm cause level 3
  • Alarm cause level 4
  • Alarm cause level 5
  • Full alarm cause


Alarm and event classes

zenon Analyzer > Report templates > Report settings > Alarm and event classes

It is possible to filter for alarm and event classes in Report Launcher.
You configure the alarm/event classes that are available in the Alarm and event class prefilter report setting.

To activate the filter:

  1. Click on the Alarm/Event class report setting.
  2. Click on the Activate filter in report property in the properties.

    The filter properties are shown.

  3. Configure the filter properties.

Alarm/event class filter properties

General

General properties.

Property

Description

Activate filter in report

Activates or deactivates the filter settings.
Activate by clicking on the checkbox:

  • Active: Alarm/event classes are available as filters.
  • Inactive: It is not possible to filter for alarm/event classes.

Default: Inactive

Report Parameter

Configuration of the initial display of the alarm/event classes in Report Launcher by means of the Sort order property and the selection of whether more than one alarm/event class can be selected.

Property

Description

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Alarm and event class prefilter

zenon Analyzer > Report templates > Report settings > Alarm and event class prefilter

Alarm classes and event classes can be prefiltered.
To prefilter alarm/event classes:

  1. Select the Alarm/event class prefilter report setting.
  2. In the Alarm/event class prefilter property, click on the ... button.

    The dialog to select alarm and event classes is opened.

  3. Select the desired elements.
  4. Close the dialog by clicking on OK.

To apply the prefilter in Report Launcher:

  1. Click on the Alarm/Event class report setting.
  2. Activate the checkbox for the Activate filter in report property.

Alarm/event class properties

General

General properties.

Property | Description
Alarm/event class prefilter | Click the button ... and a dialog opens to configure the prefilters.

Other topics in this chapter

Dialog to prefilter alarm and event classes


Dialog to prefilter alarm and event classes

zenon Analyzer > Report templates > Report settings > Alarm and event class prefilter > Dialog to prefilter alarm and event classes

In this dialog, you select which alarm and event classes are taken into account in the filter.

Dialog

Option

Description

Activate prefilter

Activates or deactivates the options to select the elements.

All items

Selects or deselects all elements:

  • Active: The checkboxes are activated for all elements.
  • Deactivated: All elements are deactivated.

Items

List of elements to be imported from zenon. Each element can be activated or deactivated with a checkbox.

If the Activate prefilter option is active, at least one element must be selected.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Alarm and event comments

zenon Analyzer > Report templates > Report settings > Alarm and event comments

It is possible to filter for comments in relation to alarm and event classes in Report Launcher.
To activate the filter:

  1. Click on the Alarm/event comment report setting.
  2. Click on the Activate filter in report property in the properties.

    The filter properties are shown.

  3. Configure the filter properties.

Alarm/event comment properties

General

General properties.

Property

Description

Activate filter in report

Activates or deactivates the filter settings.
Activate by clicking on the checkbox:

  • Active: Alarm/event comments are available as a filter.
    An input field for a wildcard filter is offered in Report Launcher.
  • Inactive: It is not possible to filter for alarm/event comments in Report Launcher.

Default: Inactive

Report parameter

Settings for the display and configuration of comments for alarms and events in Report Launcher.

Property | Description
Parameter Name | Display of the name of the property. Can be amended in the field. Maximum length: 199 characters
Visual name in report | Name as displayed in Report Launcher. Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.
Use direct value | Stipulation of values in ZAMS, which are fixed in Report Launcher. Note: With pivot-related settings, the property is not available, because the Direct value must be configured.
Direct value | Configuration of the direct value. Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Alarm cause

zenon Analyzer > Report templates > Report settings > Alarm cause

This report setting allows the activation of the Alarm cause filter for the Report Launcher. The property can be activated or deactivated.

In order for alarm causes to be able to be read, the following must be present on the Runtime server:

  • at least zenon Supervisor 7.60
  • Connector Container or SQL Connector

the inclusion of the alarm causes is therefore optional.

Activate filter

To activate the filter:

  1. Click on the Alarm cause report setting.
  2. Click on the Activate filter in report property in the properties.

    The filter properties are shown.

  3. Configure the filter properties.

Alarm cause filter properties

General

General properties.

Property

Description

Activate filter in report

Activates or deactivates the filter settings.
Activate by clicking on the checkbox:

  • Active: The following alarm causes are available as a filter:
  • Inactive: It is not possible to filter for alarm causes.

Default: Inactive

Report Parameter

Configuration of the initial display of alarm causes in Report Launcher by means of the Nesting mode and Nesting level properties and the selection of whether more than one alarm/event class can be selected.

Property

Description

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Nesting mode

Selection of the nesting mode from a drop-down list:

  • Expand all nodes:
    All nodes are displayed in expanded form.
  • Collapse all nodes:
    All nodes are displayed as closed. Only the uppermost level is visible.
  • Expand nodes up to nesting level:
    The nodes are shown up to the depth that has been configured in the nesting level property.

Default: Expand all nodes

Nesting level

Configuration of the nesting levels. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 25

If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.
Only available if, in the nesting mode property, the Expand nodes up to nesting level option has been selected.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Alarm look back time

zenon Analyzer > Report templates > Report settings > Alarm look back time

Selection of a lookback time for alarms.

This allows alarms that have occurred before the start of the time filter but that still have an effect in the range of the time filter to be taken into account.

Alarm look back time

Configuration of the properties for the alarm look-back time.

General

General properties.

Property

Description

Alarm look back time

Time range, which should be taken into account from the start of the time filter retrospectively.

For details, see the Alarm Lookback time chapter.

Quantity

Numerical entry for the number of the intervals. Entry by means of the arrows of the spin controls is possible.

Value must not be negative.

Default: 0

Granularity

Selection of the granularity of the interval:

  • Minute
  • Hour
  • Day
  • Month
  • Year

Default: Day


Equipment models and Equipment groups

zenon Analyzer > Report templates > Report settings > Equipment models and Equipment groups

Several report settings allow the selection of equipment models or equipment groups in Report Launcher.

Initial display of equipment groups

The initial display of the equipment groups in Report Launcher when the drop-down list is opened is either prefiltered or can be configured.
The following are available for filtering:

  • Only the upper-most level
  • All levels
  • A defined depth of levels (up to 25)

Options

The general settings for equipment groups are available in two versions:

  • Obligatory: Report setting is part of the data set
  • Optional: Report setting can be used as an option with filtering

The following is also available:

  • Equipment group hydroelectric power plant without multiple selection
  • Equipment group hydroelectric power plant with multiple selection
  • Gantt equipment group
  • OEE equipment group

Other topics in this chapter

Equipment Models

Output equipment models

Obligatory equipment group

Optional equipment group

Equipment group hydroelectric power plant without multiple selection

Equipment group hydroelectric power plant with multiple selection

Gantt equipment group

OEE equipment group

Equipment group names


Equipment Models

zenon Analyzer > Report templates > Report settings > Equipment models and Equipment groups > Equipment Models

Properties for the configuration of the equipment models that are available in Report Launcher.

Equipment Models

Selection of the equipment models that are available in Report Launcher.

General

The selected equipment model is applied in Report Launcher.

Property | Description
Equipment Models | Selection of a root element of the equipment model from drop-down list. The equipment models are read from the metadata and offered for selection in the drop-down list. The All models entry uses all models present in the list.


Output equipment models

zenon Analyzer > Report templates > Report settings > Equipment models and Equipment groups > Output equipment models

Properties for the configuration of the equipment models that are to be used for the grouping in Report Launcher. The setting is only relevant if the grouping is carried out on the basis of equipment.

Equipment Models

Selection of the equipment models that are available for grouping in Report Launcher.

General

The selected equipment models are applied in the Report Launcher.
At least one equipment model must be selected.

Property

Description

All equipment models
  • Active: All equipment models are available.
  • Inactive: Selection is carried out by means of Only this equipment model.

Only those equipment models

Selection of equipment models that are to be used.
Each existing equipment model can only be selected or deselected using a checkbox.

Only available if All equipment models is inactive.


Obligatory equipment group

zenon Analyzer > Report templates > Report settings > Equipment models and Equipment groups > Obligatory equipment group

In this report setting, you configure how equipment groups are shown in Report Launcher.

Equipment group filter

Configuration of the the equipment groups are initially displayed in Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report Parameter

Configuration of the initial display of the equipment group filters in Report Launcher by means of the Nesting mode and Nesting level properties and selection of whether more than one equipment group can be selected

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Nesting mode

Selection of the nesting mode from a drop-down list:

  • Expand all nodes:
    All nodes are displayed in expanded form.
  • Collapse all nodes:
    All nodes are displayed as closed. Only the uppermost level is visible.
  • Expand nodes up to nesting level:
    The nodes are shown up to the depth that has been configured in the nesting level property.

Default: Expand all nodes

Nesting level

Configuration of the nesting levels. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 25

If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.
Only available if, in the nesting mode property, the Expand nodes up to nesting level option has been selected.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Optional equipment group

zenon Analyzer > Report templates > Report settings > Equipment models and Equipment groups > Optional equipment group

This report setting allows the activation of the equipment group filter for configuration in Report Launcher. The property can be activated or deactivated.

Activate filter

To activate the filter:

  1. Click on the Equipment group report setting.
  2. Click on the Activate filter in report property in the properties.

    The filter properties are shown.

  3. Configure the filter properties.

Filter properties of the equipment group

Equipment group

Configuration of the the equipment groups are initially displayed in Report Launcher.

General

General properties.

Property

Description

Activate filter in report

Activates or deactivates the filter settings.
Activate by clicking on the checkbox:

  • Active: Equipment model groups are available as a filter:
  • Inactive: It is not possible to filter for equipment model groups.

Report Parameter

Configuration of the initial display of the equipment group filters in Report Launcher by means of the Nesting mode and Nesting level properties and selection of whether more than one equipment group can be selected.

Property

Description

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Nesting mode

Selection of the nesting mode from a drop-down list:

  • Expand all nodes:
    All nodes are displayed in expanded form.
  • Collapse all nodes:
    All nodes are displayed as closed. Only the uppermost level is visible.
  • Expand nodes up to nesting level:
    The nodes are shown up to the depth that has been configured in the nesting level property.

Default: Expand all nodes

Nesting level

Configuration of the nesting levels. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 25

If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.
Only available if, in the nesting mode property, the Expand nodes up to nesting level option has been selected.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Equipment group hydroelectric power plant without multiple selection

zenon Analyzer > Report templates > Report settings > Equipment models and Equipment groups > Equipment group hydroelectric power plant without multiple selection

Selection of the display of equipment groups in the Report Launcher.
This setting manages the equipment groups for several reports. These are prefiltered using the respective report settings:

Report template | Report setting for prefiltering
Operating Time per Operation Mode and Machine Component: | Operating time counters
Operating Time per Power Range: | Operating Time per Power Range
Circuit Breaker Switching Cycles (Switchyard single selection) | Switching cycles switchyard
Active and Reactive Energy Meters (Single selection) | Active and Reactive Power Counters
Power Line Frequency | Frequency meanings
Machine Event Counters | All events

Properties

Configuration of how equipment groups are offered for selection in Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report parameter

Settings for the display and configuration of equipment groups in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Nesting mode

Selection of the nesting mode from a drop-down list:

  • Expand all nodes:
    All nodes are displayed in expanded form.
  • Collapse all nodes:
    All nodes are displayed as closed. Only the uppermost level is visible.
  • Expand nodes up to nesting level:
    The nodes are shown up to the depth that has been configured in the nesting level property.

Default: Expand all nodes

Nesting level

Configuration of the nesting levels. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 25

If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.
Only available if, in the nesting mode property, the Expand nodes up to nesting level option has been selected.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Equipment group hydroelectric power plant with multiple selection

zenon Analyzer > Report templates > Report settings > Equipment models and Equipment groups > Equipment group hydroelectric power plant with multiple selection

Selection of the display of the equipment group in the Report Launcher.
This setting manages the equipment groups for several reports. These are prefiltered using the respective report settings:

Report template | Report setting for prefiltering
Operating Time per Operation Mode or Frequency Control Mode: | Operating time per operation mode
Operating Time per Machine Component: | Operating time per component
Circuit Breaker Switching Cycles (Circuit Breaker multiple selection) | Switching cycles circuit breakers
Active and Reactive Power Counters | Active and Reactive Power Counters
Set Point Change Event Counters | Set point change events
Nozzle Mode Change Event Counters | Nozzle mode change events
Load Shedding Active Power Ranges Event Counters | Active power on load shedding events
Load Shedding Turbine Speed Ranges Event Counters | Turbine speed on load shedding events
Machine Start Counters | Machine start counters

Properties

Configuration of how equipment groups are offered for selection in Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report parameter

Settings for the display and configuration of equipment groups in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Nesting mode

Selection of the nesting mode from a drop-down list:

  • Expand all nodes:
    All nodes are displayed in expanded form.
  • Collapse all nodes:
    All nodes are displayed as closed. Only the uppermost level is visible.
  • Expand nodes up to nesting level:
    The nodes are shown up to the depth that has been configured in the nesting level property.

Default: Expand all nodes

Nesting level

Configuration of the nesting levels. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 25

If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.
Only available if, in the nesting mode property, the Expand nodes up to nesting level option has been selected.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Gantt equipment group

zenon Analyzer > Report templates > Report settings > Equipment models and Equipment groups > Gantt equipment group

Properties of the prefiltered OEE equipment group. In the Report Launcher, a simple selection from a drop-down list is offered, which contains all equipment groups that can be evaluated. This setting cannot be grouped with other equipment filters.

Gantt equipment group

Configuration of how Gantt equipment groups are offered for selection in Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report parameter

Settings for the display and configuration of the Gantt equipment group in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Nesting mode

Selection of the nesting mode from a drop-down list:

  • Expand all nodes:
    All nodes are displayed in expanded form.
  • Collapse all nodes:
    All nodes are displayed as closed. Only the uppermost level is visible.
  • Expand nodes up to nesting level:
    The nodes are shown up to the depth that has been configured in the nesting level property.

Default: Expand all nodes

Nesting level

Configuration of the nesting levels. Selection by means of arrow keys or direct input in the field.

  • Minimum: 0
  • Maximum: 25

If the maximum is exceeded using the arrow keys, it jumps back to the minimum; if the minimum is gone below, it jumps to the maximum.
Only available if, in the nesting mode property, the Expand nodes up to nesting level option has been selected.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


OEE equipment group

zenon Analyzer > Report templates > Report settings > Equipment models and Equipment groups > OEE equipment group

Properties of the prefiltered OEE Equipment group. In Report Launcher, a simple selection from a drop-down list is offered, which contains all equipment groups that can be evaluated with the configured meanings. This setting cannot be grouped with other equipment filters.

OEE equipment group

Configuration of how OEE equipment groups are offered for selection in Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report parameter

Settings for the display and configuration of equipment groups in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Equipment group names

zenon Analyzer > Report templates > Report settings > Equipment models and Equipment groups > Equipment group names

Selection of how equipment groups are to be displayed.

General

General properties for the display of Equipment group names in Report Launcher.

Property

Description

Include parents

Selection of how Equipment group names are displayed using a checkbox:

  • Active: Higher-level elements are displayed.
  • Inactive: Equipment group names are displayed without higher-level elements.

Default: Inactive


Archives (from projects)

zenon Analyzer > Report templates > Report settings > Archives (from projects)

Properties for the configuration of the Archives (from projects) report setting for the Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report Parameter

Settings of the report parameters.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Archive compression

zenon Analyzer > Report templates > Report settings > Archive compression

Properties for the configuration of the Archive compression report setting for the Report Launcher.

Archive compression

Configuration of the Archive compression.

General

Settings for archive compression in Report Launcher.
The selected compression is applied in Report Launcher and cannot be further configured there.

Property

Description

Archive compression

Compression of the variables in the archive.
Selection of compression of measurement from a drop-down list.

  • Raw data (basic archive)
  • Added up data (aggregated archive)
  • Average data (aggregated archive)
  • Minimum data (aggregated archive)
  • maximum data (aggregated archive)

Default: Raw data (basic archive)


Meanings for XY diagram

zenon Analyzer > Report templates > Report settings > Meanings for XY diagram

Configuration and display of the Meanings for XY diagram report settings.
This property must be configured.

Properties

Scatter plot meanings

Option | Description
Meanings | Clicking on the ... button opens the dialog to configure meanings.

Other topics in this chapter

Dialog for the configuration of XY chart


Dialog for the configuration of XY chart

zenon Analyzer > Report templates > Report settings > Meanings for XY diagram > Dialog for the configuration of XY chart

Configuration of meanings for the variables for X-axis and Y-axis.

Configuration of XY chart

Parameter | Description
Meaning for x-axis indicator variables | Meaning for x-axis variables. Default: XValue
Meaning for y-axis indicator variables | Meaning for y-axis variables Default: YValue
Validate configuration | Click on button checks the configured meanings. The result is shown in a window.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Custom formulas

zenon Analyzer > Report templates > Report settings > Custom formulas

Display and configuration of custom formulas. Custom formulas can be configured for:

  • Reports without aggregation over the time range
  • Reports with aggregation over the time range

Custom formula property

General

Configuration of a custom formula.

Property | Description
Configure formula | Clicking on the ... button opens the dialog to configure user-defined formulas. Note: At least one formula must be marked as output when the dialog is closed.
Arrange and color formulas | Clicking on the ... button opens the dialog to arrange and color user-defined formulas. Only available if there are no validation errors for Configure formula.

Other topics in this chapter

Configure custom formulas

Replacing variables and fields in calculated fields

Cleanup fields

Formula editor

Export and import formulas

Arrange and colorize formula results


Configure custom formulas

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas

This dialog is used for:

  • Custom formulas in reports
  • Calculated variables in calculated archives (Configuration of custom formulas without aggregation) only

The user interface of the dialog is slightly different for the two applications. Screenshots relate to use in reports with custom formulas. The differences are described in the description.

Custom formulas are used in the following types of reports:

  • Custom Formula Analysis.
    A distinction is made between:
    • Reports without aggregation over the time range
    • Reports with aggregation over the time range
  • Efficiency Class Analysis:
    In doing so, precisely one field must be marked as visible in the Aggregation fields tab or in the Calculated fields after aggregation tab, so that the report is validated as valid.

Configuration of custom formulas without aggregation

Option | Description
Variable selection | Selection of which fields are to be read with which variable values from which archives. With calculated variables: Optional selection of variable use.
Calculation of costs | Selection of which variable raw data fields should have cost fields.
Constant Fields | Definition of constant values.
Standard fields | Definition of standard fields. These can be applied during aggregation. Use in the report depends on the configuration.
Temperature normalization fields | Definition of the temperature normalization fields. These can be applied during aggregation. Use in the report depends on the configuration.
Calculated fields | Configuration of formulas with fields from the other tabs.

Navigation and maintenance

Option

Description

Previous

Switches to previous tab.
(Deactivated in the first tab)

Next

Switches to the next tab.
(Deactivated in the last tab)

Substitute fields

Opens the dialog to replace fields in calculated fields. Only available if there is at least one calculatable field.

If invalid variable assignments are detected when the Configure custom formulas dialog is opened, the dialog to replace these is opened automatically.

Cleanup fields

Opens the dialog to clean up fields.

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Configuration of custom formulas with aggregation

Option

Description

Variable selection

Selection of which fields are to be read with which variable values from which archives.

Costs calculation

Selection of which variable raw data fields should have cost fields.

Constant Fields

Definition of constant values.

Standard fields

Definition of standard fields.

These can be applied with calculated fields:

  • Before the aggregation
  • If the report does not contain any aggregation

Use in the report depends on the configuration.

Temperature normalization fields

Definition of the temperature normalization fields.

These can be applied during aggregation. Use in the report depends on the configuration.

Calculated fields before aggregation

Configuration of formulas with fields from the other tabs.

Aggregation fields

Configuration of aggregation from all fields of the previous tabs.

Calculated fields after aggregation

Configuration of formulas with fields from the Configuration fields tab.

Navigation and maintenance

Option

Description

Previous

Switches to previous tab.
(Deactivated in the first tab)

Next

Switches to the next tab.
(Deactivated in the last tab)

Substitute fields

Opens the dialog to replace fields in calculated fields. Only available if there is at least one calculatable field.

If invalid variable assignments are detected when the Configure custom formulas dialog is opened, the dialog to replace these is opened automatically.

Cleanup fields

Opens the dialog to clean up fields.

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Other topics in this chapter

Variable selection

Configuration of data filter

Costs calculation

Constant Fields

Standard fields

Temperature normalization fields

Calculated fields

Calculated fields before aggregation

Aggregation fields

Calculated fields after aggregation


Variable selection

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas > Variable selection

In this tab, which fields are to be read, and with which variable values, and from which archives is configured.

In the upper area of the tab, metadata is displayed; fields are displayed in the lower area.

Option

Description

Metadata area

Filtering and selecting the metadata.

Filter

Selection of the filters to be applied on the Metadata table. The following is available:

  • Project name
  • Archive name
  • Variable name
  • Measuring unit
  • Meanings
  • Equipment Groups

The filtering is carried out by entering a sequence of characters in the desired input fields. Clicking on the Apply button updates the list.

You can use wild cards here:

  • ?: precisely 1 desired character.
  • *: any desired number of any desired characters
  • If no wildcard is used, a * is automatically attached to the filter text.

The filters are linked with a logical AND. This means that a row must meet all filter criteria in order for it to be displayed.

Apply

Applies filter criteria to the Metadata table.

Delete

Deletes the content of all filter fields, resets the filter and displays all rows in the Metadata table.

Metadata table

Lists all existing metadata. These can be shown with filtering and added to the Field area.

Rows of the table can be highlighted for selection. Multiple-selection is possible using the key combination Ctrl+mouse click or shift+mouse click.

Add

Clicking adds a field in the field area for each row highlighted in the table. Variables can also be added by double clicking.

in doing so, a combination of variables, archive and aggregation of variables in the archive can always only occur once as a field. Attempts to add an existing combination again are ignored.

Add all

Clicking adds a field in the field area for each row visible in the table.

in doing so, a combination of variables, archive and aggregation of variables in the archive can always only occur once as a field. Attempts to add an existing combination again are ignored.

Invisible rows, which are suppressed by the filter, are ignored.

Field area

Contains a row for each field.

The following parameters are displayed:

  • Variable usage
    Stipulates if this field is visible in the report. Is not available for Formulas with aggregation.
    Variable use with calculated variables:
    Selection Field for calculated variable.
  • Data origin:
    Project name, archive name, variable name and aggregation of the variables in the archive are displayed.
  • Field name:
    Is used for the display of the field in other areas of this dialog and in the report. Standard: Variable name from the metadata.
  • Measuring unit:
    Measuring unit of the field.

Visible in report

Active: This field is visible in the report.

Default: Inactive

Is not available for Formulas with aggregation, because variable raw data fields cannot be visible with aggregation in the report.

Field name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.
  • Must not contain a comma

Maximum: 256 characters

Default: Variable name from the metadata.
However if this would lead to a clash, a counter is added to the name.

Measuring unit

Measuring unit of the field.

Maximum: 256 characters

Default: Variable unit from the metadata.

X

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Navigation and maintenance

Option

Description

Previous

Switches to previous tab.
(Deactivated in the first tab)

Next

Switches to the next tab.
(Deactivated in the last tab)

Substitute fields

Opens the dialog to replace fields in calculated fields. Only available if there is at least one calculatable field.

If invalid variable assignments are detected when the Configure custom formulas dialog is opened, the dialog to replace these is opened automatically.

Cleanup fields

Opens the dialog to clean up fields.

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.


Configuration of data filter

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas > Configuration of data filter

With this dialog:

  • Data filters, if present, are activated or deactivated
  • Enter meaning, which is used for addressing the variables for this data filtering

Option

Description

Data filter type

Activation and deactivation of the data filter types.

Meaning for data filter variable

Enter the meaning for data filter variables.

The input field is only active if the checkbox in front of it is active. If the input field is empty when the checkbox is activated, it is populated with the standard value for the meaning.

Pallet type

  • Active: It is filtered according to the pallet type.

The input field next to the checkbox is for entering the meaning (Meaning) for the addressing of the variables for this filter.

Crate type

  • Active: It is filtered according to the crate type.

The input field next to the checkbox is for entering the meaning (Meaning) for the addressing of the variables for this filter.

Bottle type

  • Active: It is filtered according to the bottle type.

The input field next to the checkbox is for entering the meaning (Meaning) for the addressing of the variables for this filter.

Bottling tank number
  • Active: It is filtered according to the bottling tank number.

The input field next to the checkbox is for entering the meaning (Meaning) for the addressing of the variables for this filter.

Validate configuration

Clicking on the button validates the inputs and provides the results in the list field. For further details see chapter Validation.

OK

Applies settings and closes the dialog. If one of the input fields is activated but empty, the button is not shown.

Cancel

Discards all changes and closes the dialog.

Validation

The checks carried out during validation depend on the type of production analysis:

Production Analysis Line Based

The following is checked during validation:

  • Equipment groups with subgroups: Are there variables for each active filter for all subgroups?

There is no check of the individual equipment groups to see that they are usable.

Production Analysis Machine Based

The following is checked during validation:

  • Is the report linked to a project or an equipment model?
  • For which equipment groups can precisely one variable each per active filter be addressed with the meanings entered?


Costs calculation

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas > Costs calculation

In this tab, the variable raw data fields for which there are to be cost fields are defined.

Note: only variables that contain prices are displayed.

Option

Description

Table of fields

Table with fields to calculate costs.

Field name

Display of the field name from the variable selection.

Costs calculation

Active: There is a cost field for this variable raw data field.

If another field relates to this cost field and an attempt is made to set the checkbox to inactive, you are asked to confirm this. If the user confirms this, this cost field and all (including indirect) dependent fields are deleted.

Default: Inactive

The availability of the other fields depends on the status of the checkbox.

Cost field usage

Active: Cost field is visible in the report.

Default. Inactive

Is not available for Formulas with aggregation, because cost fields cannot be visible in the report.

Visibility for calculated variables:
Selection Field for calculated variable.

Costs field name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.
  • Must not contain a comma

Maximum: 256 characters

Default: Variable name from the metadata to which this cost field is assigned.
However if this would lead to a clash, a counter is added to the name.

Currency

Stipulation of the unit (currency) of the cost field.

Maximum: 256 characters

Default: The first currency in the alphabet that is assigned to the variables in the metadata, from which the variable raw data field is fed in.

Navigation and maintenance

Option

Description

Previous

Switches to previous tab.
(Deactivated in the first tab)

Next

Switches to the next tab.
(Deactivated in the last tab)

Substitute fields

Opens the dialog to replace fields in calculated fields. Only available if there is at least one calculatable field.

If invalid variable assignments are detected when the Configure custom formulas dialog is opened, the dialog to replace these is opened automatically.

Cleanup fields

Opens the dialog to clean up fields.

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.


Constant Fields

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas > Constant Fields

Constant values are defined in this tab.

Option

Description

List of fields

Lists all configured fields with constant values.

New

Clicking on the button adds a new line with a new constant.

Constant usage

Active: This field is visible in the report.

Default: Inactive

Is not available for Formulas with aggregation, because constant fields cannot be visible in the report.

Use of the constants with calculated variables:
Optional selection of field for calculated variable.

Constant name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.
  • Must not contain a comma

Maximum: 256 characters

Default: Variable name from the metadata.
However if this would lead to a clash, a counter is added to the name.

Constant value

Input of the constant value.

  • Must not be empty.
  • Must contain a valid floating point number (whole numbers are valid floating point numbers).

Default: 1

Measuring unit

Determining the unit of the field.

Maximum: 256 characters

Default: empty

X

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.


Standard fields

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas > Standard fields

You configure the standard fields in this tab. A row is created for each of the standard definitions available in the database.

Parameter

Description

Standard name

Name of the standard field. Display only.

Related fields

Shows variables that are assigned to the standard field. The content that is displayed depends on the variables selected in the Variable Selection tab.

Standard field creation
  • Active: The standard field is created and is available for formulas.
  • Inactive: The standard field is not available for formulas. All other properties of the field remain inactive.

Standard field usage
  • Active: The field is visible in the report.

Standard field name

Entry of a name for the standard field.

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.
  • Must not contain a comma

Maximum: 256 characters

Measuring unit

Entry of a measuring unit for the standard field.

Navigation and maintenance

Option

Description

Previous

Switches to previous tab.
(Deactivated in the first tab)

Next

Switches to the next tab.
(Deactivated in the last tab)

Substitute fields

Opens the dialog to replace fields in calculated fields. Only available if there is at least one calculatable field.

If invalid variable assignments are detected when the Configure custom formulas dialog is opened, the dialog to replace these is opened automatically.

Cleanup fields

Opens the dialog to clean up fields.

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.


Temperature normalization fields

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas > Temperature normalization fields

In this tab, the variable raw data fields for which there are to be temperature normalization fields are defined. it is possible to configure as many temperature normalization fields as you want.

Prerequisite: There must be at least one field for a variable with assigned degree day. There must also be at least one degree day definition.
For configuration, only the normalized fields of variables that were assigned a degree day are available

Parameter

Description

Use of normalization field name
  • Active: The field is visible in the report.
  • Use of the normalization field for calculated variables:
    Optional selection of field for calculated variable.

Visibility for calculated variables:
Selection Field for calculated variable.

Normalization field name

Entry of a name for the normalization field.

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.
  • Must not contain a comma

Maximum: 256 characters

Measuring unit

Entry of a measuring unit for the standard field.

Normalized field

Selection of the variables

Normalization type

There are three normalization types available: Select from drop-down list:

  • Local long term average:
    Long-term average of the assigned degree day. Degree day name cannot be configured.
  • External degree day:
    Current value of the selected degree day.
  • External long term average:
    Long-term average of the selected degree day.

Formula for all types: [normalized]= [original]*[comparison degree day]/[current degree day]
The following is applicable in the process: The current degree day is always the appropriate value of the assigned degree day at the value time stamp.

Degree day name

Selection of the degree day name from a drop-down list.

Is only available if, in the normalization type property, external degree day or external long-term means has been selected.

X

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Navigation and maintenance

Option

Description

Previous

Switches to previous tab.
(Deactivated in the first tab)

Next

Switches to the next tab.
(Deactivated in the last tab)

Substitute fields

Opens the dialog to replace fields in calculated fields. Only available if there is at least one calculatable field.

If invalid variable assignments are detected when the Configure custom formulas dialog is opened, the dialog to replace these is opened automatically.

Cleanup fields

Opens the dialog to clean up fields.

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.


Calculated fields

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas > Calculated fields

Only available for reports without aggregation.

Formulas for reports without aggregation over the time range are configured in this tab. These can use all the fields defined in the previous tabs. Each formula corresponds to a line in the list of formulas. In doing so, each formula can address all fields defined before it (lines above the line in question).

Option

Description

List of formulas

Lists all configured formulas.

Formula usage

Displays visibility in the report.

Use this field

Active: Formula is visible in the report.

Default. Inactive

Not available for Formulas with aggregation, because base data formula fields cannot be visible with aggregation in the report.

Use of the formula with calculated variables:
Optional selection of field for calculated variable.

Formula name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.
  • Must not contain a comma

Maximum: 256 characters

Only once a valid name has been issued are all other elements unlocked for editing. There is always an empty line displayed, for entering a new formula.

In addition, a valid formula must be entered.

Measuring unit

Determining the unit of the field.

Maximum: 256 characters

Calculation formula

Preview screen of the formula. Displays the calculation formula set in the formula editor for this field. If the name of one of the fields referenced in the formula is changed, the preview screen is removed.

A formula must be configured for each formula name.

Symbol: Export Formulas

Opens the dialog to export formulas into an XML file.

Symbol: Import Formulas

Opens the dialog to import formulas from an XML file.

Symbol: Edit

Clicking on the button opens the formula editor to edit the formula.

Symbol: Delete

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Navigation and maintenance

Option

Description

Previous

Switches to previous tab.
(Deactivated in the first tab)

Next

Switches to the next tab.
(Deactivated in the last tab)

Substitute fields

Opens the dialog to replace fields in calculated fields. Only available if there is at least one calculatable field.

If invalid variable assignments are detected when the Configure custom formulas dialog is opened, the dialog to replace these is opened automatically.

Cleanup fields

Opens the dialog to clean up fields.

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

Sorting

When closing this dialog by clicking on OK, the element sorting is adjusted to the original element sorting. In doing so, the sorting numbers are recreated in accordance with the following criteria:

  • All elements that were already visible before the dialog was started and have not been deleted are retained in the sorting.
  • New visible elements are inserted behind these elements, with a consecutive number after their ID.

Example:

  • Basis:
    • Indicator1: ID = 3
    • Indicator2: ID = 2
    • Indicator3: ID = 1
  • Changes in the dialog:
    • Indicator2: is deleted.
    • Indicator0: is added and gets ID 1
    • Indicator4: is added and gets ID 4
  • Result:
    • Indicator1: ID = 3, but previous sorting = 1
    • Indicator3: ID = 2, but previous sorting = 3
    • Indicator0: ID = 1, no previous sorting

Indicator4: ID = 4, no previous sorting


Calculated fields before aggregation

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas > Calculated fields before aggregation

Only available for reports with aggregation.

Formulas for reports with aggregation over the time range are configured in this tab. These can use all the fields defined in the previous tabs. Each formula corresponds to a line in the list of formulas. In doing so, each formula can address all fields defined before it (lines above the line in question).

Option

Description

List of formulas

Lists all configured formulas.

Formula name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.
  • Must not contain a comma

Maximum: 256 characters

Only once a valid name has been issued are all other elements unlocked for editing. There is always an empty line displayed, for entering a new formula.

In addition, a valid formula must be entered.

Measuring unit

Determining the unit of the field.

Maximum: 256 characters

Calculation formula

Preview screen of the formula. Displays the calculation formula set in the formula editor for this field. If the name of one of the fields referenced in the formula is changed, the preview screen is removed.

A formula must be configured for each formula name.

Symbol: Export Formulas

Opens the dialog to export formulas into an XML file.

Symbol: Import Formulas

Opens the dialog to import formulas from an XML file.

Symbol: Edit

Clicking on the button opens the formula editor to edit the formula.

Symbol: Delete

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Navigation and maintenance

Option

Description

Previous

Switches to previous tab.
(Deactivated in the first tab)

Next

Switches to the next tab.
(Deactivated in the last tab)

Substitute fields

Opens the dialog to replace fields in calculated fields. Only available if there is at least one calculatable field.

If invalid variable assignments are detected when the Configure custom formulas dialog is opened, the dialog to replace these is opened automatically.

Cleanup fields

Opens the dialog to clean up fields.

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

Sorting

When closing this dialog by clicking on OK, the element sorting is adjusted to the original element sorting. In doing so, the sorting numbers are recreated in accordance with the following criteria:

  • All elements that were already visible before the dialog was started and have not been deleted are retained in the sorting.
  • New visible elements are inserted behind these elements, with a consecutive number after their ID.

Example:

  • Basis:
    • Indicator1: ID = 3
    • Indicator2: ID = 2
    • Indicator3: ID = 1
  • Changes in the dialog:
    • Indicator2: is deleted.
    • Indicator0: is added and gets ID 1
    • Indicator4: is added and gets ID 4
  • Result:
    • Indicator1: ID = 3, but previous sorting = 1
    • Indicator3: ID = 2, but previous sorting = 3
    • Indicator0: ID = 1, no previous sorting
    • Indicator4: ID = 4, no previous sorting


Aggregation fields

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas > Aggregation fields

Only available for reports with aggregation.

Aggregations for fields from the previous tabs are configured in this tab. Each one is entered in its own row.

There are two types of row:

  • Constant Fields: Only have one subline for the constant aggregation.
  • All other fields: Have a subline each for the aggregation functions that are independent from one another:
    • Sum
    • Average
    • Minimum
    • Maximum

Option

Description

List of aggregations

Lists all configured aggregations.

Field name

Display of the field name of the aggregated field.

Active aggregation types

Display of the status of the aggregation types.

Checkbox in front of the active aggregation type: There is an aggregation field with this type of compression for this base data field

If another field relates to this aggregation field and an attempt is made to deactivate the checkbox, you are asked to confirm this. If the user confirms this, this aggregation field and all (including indirect) dependent fields are deleted.

Default: Checkbox inactive

The status of the checkbox determines whether the other input fields are active or not.

Aggregation field visibility

Shows if this aggregation field is visible in the report.

Active: Aggregation field is visible in the report.

Default: Inactive

Aggregation field name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.
  • Must not contain a comma

Maximum: 256 characters

Default: Name of the base data field that is assigned to the archive If this would lead to a clash, a counter is added.

Aggregation field unit

Stipulation of the unit of the aggregation field.

Maximum: 256 characters

Default: Unit of the base data field.

Navigation and maintenance

Option

Description

Previous

Switches to previous tab.
(Deactivated in the first tab)

Next

Switches to the next tab.
(Deactivated in the last tab)

Substitute fields

Opens the dialog to replace fields in calculated fields. Only available if there is at least one calculatable field.

If invalid variable assignments are detected when the Configure custom formulas dialog is opened, the dialog to replace these is opened automatically.

Cleanup fields

Opens the dialog to clean up fields.

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.


Calculated fields after aggregation

zenon Analyzer > Report templates > Report settings > Custom formulas > Configure custom formulas > Calculated fields after aggregation

Only available for reports with aggregation.

In this tab, formulas with fields from the Aggregation fields tab are configured. In doing so, each formula can address all fields defined before it (lines above the line in question).

Option

Description

List of formulas

Lists all configured formulas.

Formula visibility

Displays visibility in the report.

Visible in report

Active: Formula is visible in the report.

Default. Inactive

Not available for Formulas with aggregation, because base data formula fields cannot be visible with aggregation in the report.

Formula name

Is used for the display of the field in other areas of this dialog and in the report.

  • Must be unique.
  • Must not be empty.
  • Must not contain a comma

Maximum: 256 characters

Only once a valid name has been issued are all other elements unlocked for editing. There is always an empty line displayed, for entering a new formula.

In addition, a valid formula must be entered.

Measuring unit

Determining the unit of the field.

Maximum: 256 characters

Calculation formula

Preview screen of the formula. Displays the calculation formula set in the formula editor for this field. If the name of one of the fields referenced in the formula is changed, the preview screen is removed.

A formula must be configured for each formula name.

Symbol: Export Formulas

Opens the dialog to export formulas into an XML file.

Symbol: Import Formulas

Opens the dialog to import formulas from an XML file.

Symbol: Edit

Clicking on the button opens the formula editor to edit the formula.

Symbol: Delete

Clicking on the button deletes the field.

If a different field relates to the field to be deleted, you are asked to confirm deletion beforehand. If this is confirmed, this field and all (including indirect) fields thereof are deleted.

Navigation and maintenance

Option

Description

Previous

Switches to previous tab.
(Deactivated in the first tab)

Next

Switches to the next tab.
(Deactivated in the last tab)

Substitute fields

Opens the dialog to replace fields in calculated fields. Only available if there is at least one calculatable field.

If invalid variable assignments are detected when the Configure custom formulas dialog is opened, the dialog to replace these is opened automatically.

Cleanup fields

Opens the dialog to clean up fields.

OK

Applies all changes in all tabs and closes the dialog.

Only available if all necessary configuration has been carried out.

Cancel

Discards all changes in all tabs and closes the dialog.If data has already been entered, a request for confirmation is made before the changes are discarded.

Sorting

When closing this dialog by clicking on OK, the element sorting is adjusted to the original element sorting. In doing so, the sorting numbers are recreated in accordance with the following criteria:

  • All elements that were already visible before the dialog was started and have not been deleted are retained in the sorting.
  • New visible elements are inserted behind these elements, with a consecutive number after their ID.

Example:

  • Basis:
    • Indicator1: ID = 3
    • Indicator2: ID = 2
    • Indicator3: ID = 1
  • Changes in the dialog:
    • Indicator2: is deleted.
    • Indicator0: is added and gets ID 1
    • Indicator4: is added and gets ID 4
  • Result:
    • Indicator1: ID = 3, but previous sorting = 1
    • Indicator3: ID = 2, but previous sorting = 3
    • Indicator0: ID = 1, no previous sorting

Indicator4: ID = 4, no previous sorting


Replacing variables and fields in calculated fields

zenon Analyzer > Report templates > Report settings > Custom formulas > Replacing variables and fields in calculated fields

The dialog makes it possible to replace variables, standards or degree days that have been assigned to fields with other variables, standards or degree days.

The dialog is opened

  • Manually, by clicking on the Replace variables button in the Variable Selection tab.
    This button is only available if there is at least one field with assigned variables, standards or degree days.
  • Automatically if, when opening the Configure custom formulas dialog, invalid assignments are detected.
    A reference is invalid if the combination of archive, variable and aggregation used does not exist in the connected metadata database.
    The possible causes could be, among other things: Variables have been deleted from the database or the report is opened for another metadata database. If the automatically-opened dialog is closed, configuration is also ended. Invalid assignments must be removed from further configuration.
    Attention: Variables are identified by means of their ID, not their name.

Dialog to replace variables in calculated fields

The variables that are offered in the dialog depend on the variable fields that are required:

Variable | Condition
All: | No cost field. No temperature normalization field.
With degree day figures: | At least one temperature normalization field. No cost field.
With costs: | A cost field. No temperature normalization field.
With degree day figures and costs: | A cost field. At least one temperature normalization field.

Option

Description

Field name

Displays the field name for each element of the list.

Very long field names are shown in shortened form (suffix: ...). The complete text is shown in the tool tip.

Measuring unit

Displays the measuring unit of the field.

Very long measuring units are shown in shortened form (suffix: ...). The complete text is shown in the tool tip.

Field usage information

Shows which fields depend on this field.

Project and archive name

Selection of the archive from a drop-down list, from which the variable for this field is to be read. All available archives including project relationship are offered for selection.

Archive name syntax: [Projectname]#[Archivename]

Initial value when calling up, if the variable reference of the field:

  • invalid: empty
  • valid: The archive stated in the variable reference.

Note: Standard fields do not have a project reference.

Variables, standard or degree day name

Selection of the element from a drop-down list, from which the value for this field is to be read.

Notes for variables:
Only available for variables if an archive has been selected in the Project and archive name column. All variables recorded in the selected archive, including aggregation, are offered.

Variable name syntax: [Variablename] – [Aggregation type in the archive]

Each time a change is made to the Project and archive name column, the drop-down list is filled again and reset to no selection.
Initial value when called up:

  • Field reference invalid: empty
  • Field reference valid: The variable stated in the reference and aggregation type.

OK

Validates and closes the dialog.

In the event of a validation error, the dialog remains open and a message is shown accordingly.

Cancel

Cancels the replacement of variables.

If the dialog was opened automatically, the configuration of the user-defined errors is canceled after confirmation is requested.


Cleanup fields

zenon Analyzer > Report templates > Report settings > Custom formulas > Cleanup fields

The cleanup removes fields that are not required. As a result, the necessary data is obtained and calculated. It is most of all applied for performance optimization of the report on the server after preparation.

The following advantages can be obtained through the cleanup of the fields:

  • Less data needs to be obtained via the connector.
  • Fewer fields need to be calculated.
  • Less output data is to be displayed
  • An increased clarity of reports, because identical values for several columns or diagram lines can be avoided.

Cleanup fields

To clean up fields:

  1. Click, in the dialog for custom formulas, on the Cleanup fields button.

    A notification of the fields that are removed is displayed:

  2. Click on Yes.

    The cleanup is carried out and information with the result of the cleanup is displayed.

  3. Click on Close.


Formula editor

zenon Analyzer > Report templates > Report settings > Custom formulas > Formula editor

The formula editor allows the creation of a formula.

Option

Description

Operations

Available operations. These can be moved by dragging & dropping into the Formula area.

Five groups of operations are available.

  • Basic operations
  • Mathematical operations
  • Rounding operations
  • Trigonometric operations
  • Aggregating operations

Details on the operations are shown hereafter.

Formula name

Name of the formula that is currently being created.

  • Must not be empty.
  • Must not be used by another formula.

Name is displayed in the Formula area.

Available operands

Fields that are available as operands. These can be moved to the respective input fields for operands by dragging & dropping them into the Formula area.

The list of operations can be filtered. Filtering is carried out by entering a sequence of characters in the input field. Each change of the filter text triggers a direct update.

You can use wild cards here:

  • ?: precisely 1 desired character.
  • *: any desired number of any desired characters
  • If no wildcard is used, a * is automatically attached to the filter text.

Formula area

Contains the Formula name and input fields for operations and operands. These input fields are populated by dragging & dropping.

Creation of a formula:

  • If an operation is placed by a drag & drop on the input field in the Formula area, this is replaced by the operation identifier and the input fields of the operation.
  • If an operand is placed on an input field in the Formula area, the field name replaces the input field.

A formula is valid if at least one operation is present and each operation has a sufficient number of assigned fields.

OK

Applies settings and closes the dialog.

To do this, the following criteria must be met:

  • valid name
  • valid formula

Cancel

Discards all changes and closes the dialog.

The size and position of the dialog can be changed. These settings are saved as user-dependent.

Creating formulas

To create formulas:

  1. Drag & drop an operation to the input field in the Formula area.

  2. The field shows the corresponding operation. New input fields are created.
  3. Move them by dragging & dropping them into the input fields:
    • New operations (this is how you create more complex formulas)

    • Desired operands
  4. Add further operations or operands until your formula is completed.

Example:

Rules for the formula editor

  • Brackets are automatically placed in the formula editor to clarify the method of calculation.
  • All brackets and slashes automatically scale their size, based on the fields and operations that are subordinate to them.
  • Fields that are still empty are automatically put in focus.

Resetting inputs

An input field can be reset to remove operations or operands.

Two working methods are available for this:

  1. Replacement of operations or operands by drag&drop:
    1. Drag a new operation or an operand to the existing field. If fields are already populated with data, the field that is to be replaced is shown with a border.
    2. By carrying out the drag&drop process, the fields with a border are emptied and replaced by the new operations or operands.
  2. Deletion of operands by means of keyboard commands
    1. Highlight a field with a left mouse click. The field is highlighted with a frame.
      Individual sections of a formula or the complete formula can be highlighted.
    2. Press the Del or Backspace key.
    3. The field is emptied or deleted.
      If the field is part of an aggregation operation, it is completely removed from an aggregation operation. Aggregation operations always offer an empty field at the right edge.

Examples for the highlighting of formula elements

  • Highlighting of an operand:

  • Highlighting of an operation:

  • Highlighting of the complete formula:

Operations

The following operations are possible in the formula editor:

  • Basic operations
  • Mathematical operations
  • Rounding operations
  • Trigonometric operations
  • Aggregating operations

Basic operations

  • Addition: Input field is replaced by two new input fields, separated by a plus sign (+).
  • Subtraction: Input field is replaced by two new input fields, separated by a minus sign (+).
  • Multiplication: Input field is replaced by two new input fields, separated by a multiplication sign (x).
  • Division/Fraction: Input field is replaced by two new input fields, separated by a fraction bar (-).

Mathematical operations

  • Absolute value: Input field is replaced by a function identifier, brackets and a new input field.
  • Power (of relation): Input field is replaced by a function identifier, a numerical field for the constant exponents, brackets and a new input field.
  • Root: Input field is replaced by a function identifier, a numerical field for the constant root order, brackets and a new input field.
  • Exponential function with Euler's number as a basis: Input field is replaced by a function identifier, brackets and a new input field.
  • exponential function: Input field is replaced by a function identifier, a numerical field for the constant base, brackets and a new input field.
  • Logarithm for the base of Euler's number: Input field is replaced by a function identifier, brackets and a new input field.
  • Base 10 logarithms: Input field is replaced by a function identifier, brackets and a new input field.
  • Logarithm: Input field is replaced by a function identifier, a numerical field for the constant base, brackets and a new input field.

Rounding operations

  • Rounding up to the next whole figure: Input field is replaced by a function identifier, brackets and a new input field.
  • Rounding down to the next whole figure: Input field is replaced by a function identifier, brackets and a new input field.
  • Round: Input field is replaced by a function identifier, a drop-down selection field for the precision, brackets and a new input field.

Trigonometric operations

  • Sine: Input field is replaced by a function identifier, brackets and a new input field.
  • Cosine: Input field is replaced by a function identifier, brackets and a new input field.
  • Tangent: Input field is replaced by a function identifier, brackets and a new input field.
  • Cotangent: Input field is replaced by a function identifier, brackets and a new input field.
  • Arcsine: Input field is replaced by a function identifier, brackets and a new input field.
  • Arcosine: Input field is replaced by a function identifier, brackets and a new input field.
  • Arctangent: Input field is replaced by a function identifier, brackets and a new input field.
  • Radians to Degrees: Input field is replaced by a function identifier, brackets and a new input field.
  • Degrees to Radians: Input field is replaced by a function identifier, brackets and a new input field.

Aggregating operations

  • Sum: Input field is replaced by a function identifier, brackets and a new input field. This is an operation with any desired number of operands. If something is moved to the new input field, an additional new input is provided.
  • Average: Input field is replaced by a function identifier, brackets and a new input field. This is an operation with any desired number of operands. If something is moved to the new input field, an additional new input is provided.
  • Minimum: Input field is replaced by a function identifier, brackets and a new input field. This is an operation with any desired number of operands. If something is moved to the new input field, an additional new input is provided.
  • Maximum: Input field is replaced by a function identifier, brackets and a new input field. This is an operation with any desired number of operands. If something is moved to the new input field, an additional new input is provided.


Export and import formulas

zenon Analyzer > Report templates > Report settings > Custom formulas > Export and import formulas

Import and export of formulas with XML makes it possible to transfer formulas from one report to another.
The following is applicable when importing formulas: The aggregation type must correspond.
That means:

  • An export file with formulas before aggregation or without aggregation can only be imported into a collection of formulas before aggregation.
  • An export file with formulas after aggregation can only be imported into a collection of formulas before aggregation.

The field definitions can be amended during import.

In the dialog for custom formulas, you can find the corresponding symbols in each tab, from which the formulas can be exported:

Clicking on the symbol opens the dialog to configure the XML export of formulas.

Clicking on the symbol opens the dialog to configure the XML import of formulas.

Other topics in this chapter

Export formulas into a file

Import formulas from file


Export formulas into a file

zenon Analyzer > Report templates > Report settings > Custom formulas > Export and import formulas > Export formulas into a file

To export formulas:

  1. click on the symbol for the XML export.

    The dialog for the configuration of the export is opened.

  2. Select the desired formulas.

    Note: Dependent formulas are automatically selected and are grayed out.

  3. Click on the OK button.

    The file browser is opened

  4. Select the desired saving location
  5. Select the desired name for the XML export file.
  6. Close the export by clicking on OK.

Export formulas dialog

Parameter

Description

List of formulas

List of configured formulas. Select by clicking in the checkbox in front of a formula.

The following is displayed for each formula:

  • Export formula checkbox: Selection of a formula for export.
  • Formula name: Name of the formula.
  • Measuring unit: Linked measuring unit.
  • Calculation formula: Display of the formula.

If a formula that contains another formula is selected, the linked formula is also selected. The checkbox for the linked formula is deactivated.

Select all

Clicking on the button selects all formulas

Deselect all

Clicking on the button deselects all formulas.

OK

Accepts selection and opens the dialog to save the XML file.

Cancel

Discards configuration and closes the dialog. No formulas were exported.


Import formulas from file

zenon Analyzer > Report templates > Report settings > Custom formulas > Export and import formulas > Import formulas from file

To import formulas:

  1. click on the symbol for the XML import.

    The dialog for selecting the file to be imported is opened:

  2. Select the desired XML file.
  3. The Import dialog is opened.
  4. Select the desired formulas.

    Note: Dependent formulas are automatically selected and are grayed out.

  5. Click on the OK button.

    The Interpret import data dialog is opened.

  6. In the Interpret fields tab, configure dependencies for the import.
    In the event of conflicts, decide which elements of a formula will be transferred or newly created.
  7. Check the configuration in the Check configuration tab.
  8. Close the export by clicking on the OK button

Import formulas dialog

Parameter

Description

List of formulas

List of formulas that are available for import. Select by clicking in the checkbox in front of a formula.

The following is displayed for each formula:

  • Import formula checkbox: Selection of a formula for import.
  • Formula name: Name of the formula.
  • Measuring unit: Linked measuring unit.
  • Calculation formula: Display of the formula.

If a formula that contains another formula is selected, the linked formula is also selected. The checkbox for the linked formula is deactivated.

Select all

Clicking on the button selects all formulas

Deselect all

Clicking on the button deselects all formulas.

OK

Accepts selection and opens the Interpret import data dialog for configuration of the variables and constants for import.

Cancel

Discards configuration and closes the dialog. No formulas are imported.

Interpret import data dialog

In this dialog, variables and constant fields are amended to the import. For each formula, you can decide whether existing fields are used or new ones are created. The dialog consists of two tabs:

  • Resolve fields: Selection of fields for the import.
  • Validate configuration: Summary of the configuration for the import.

The variables that are offered in the dialog depend on the variable fields that are required:

Variable | Condition
All: | No cost field. No temperature normalization field.
With degree day figures: | At least one temperature normalization field. No cost field.
With costs: | A cost field. No temperature normalization field.
With degree day figures and costs: | A cost field. At least one temperature normalization field.

Resolve fields

List of fields

Parameter

Description

Import field type

Display of the field type:

  • Variable
  • Standard field
  • Constant

Import field visual name

Visual name of the field to be imported.

Definition in imported file

Definition of the field in the import file.

Definition for import procedure

Definition of the field during import:

  • Use existing field:
    A pre-existing field is used for the import.
    The selection is made from the drop-down list.
  • Create new field:
    A new field is created in the report for the import.
    If a variable is imported, there are further fields available for the configuration:
    - Project
    - Equipment model group
    - Variable

Note: Variables for which there are already fields in the report are not available for the definition of new fields.

Navigation

Option | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Accepts all changes, closes the dialog and imports the configured formulas. Only available if all necessary configuration has been carried out.
Cancel | Discards all changes and closes the dialog.

Validate configuration

Parameter | Description
Validate configuration | Text field lists all configured definitions for variables and constants. Changes can be made in the Interpret fields tab.

Navigation

Option | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Accepts all changes, closes the dialog and imports the configured formulas. Only available if all necessary configuration has been carried out.
Cancel | Discards all changes and closes the dialog.


Arrange and colorize formula results

zenon Analyzer > Report templates > Report settings > Custom formulas > Arrange and colorize formula results

In this dialog, you can color custom formulas and sort their sequence.

To open the dialog:

  1. In the Custom formulas group, click on the Arrange and colorize formula results group
  2. The dialog is opened

Each visible formula is represented by a line in the list. The sequence of the formulas in this dialog also defines their sequence for display in ZAMS and in actual charts and tables in the report.

Option

Description

Formula names

Name of the formula.

Standard coloring

The status of the checkbox defines whether the formula is assigned its color from the respective graphics object from the colors of the ZAMS report style or if it receives individual coloring.

  • Active: Standard colors from the ZAMS report styles are used.
  • Inactive: Individual colors are used.
    The Color and Color preview buttons are shown for configuration purposes.

Color preview

Display of the color defined individually for this formula.

Initial value: White

Color

Click on the color to open the standard color palette for selecting a color.

In the dialog, the 10 standard colors from the active ZAMS report style are offered as Userdefined color schemes.

Arrow keys

Clicking on a button changes the sequence of the highlighted formula. A formula is highlighted if the complete line is highlighted or an element in the line is selected.

Action:

  • Clicking on the first arrow key moves the formula up one position. If the formula is already in the top line, the arrow key remains inactive.
  • Clicking on the second arrow key moves the formula down one position. If the formula is already in the bottom line, the arrow key remains inactive.

Attention: If the configuration of a formula is changed, the individual sorting is lost.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Operating time counters

zenon Analyzer > Report templates > Report settings > Operating time counters

Properties for the configuration of the Operating time counters report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Operating time counters | Configuration of meters, events and meta information for operating hours per mode and component. Clicking on the ... button opens the dialog for assignments of the meanings.

Other topics in this chapter

Configure assignments


Configure assignments

zenon Analyzer > Report templates > Report settings > Operating time counters > Configure assignments

Dialog to configure the Operating time assignments. The dialog consists of two tabs:

Tab | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Other topics in this chapter

Meanings

Validation


Meanings

zenon Analyzer > Report templates > Report settings > Operating time counters > Configure assignments > Meanings

You configure the assignments of the meanings in this tab.

Option | Description
Absolute operating hours | Entry of the meaning for the absolute operating hours counter of a machine.
Relative operating hours | Entry of the meaning for the relative operating hours counter of a machine.
Relative hours in an operation mode | Entry of the meaning for all relative operating hours counters for the operation modes of a machine.
Component exchanged | Entry of the meaning for all variables for component exchange events.
Component inspected | Entry of the meaning for all variables for component inspection events.
Parent component | Entry of the identification for the field in the metadata table that determines the extent of superordinance the parent company has in relation to a component. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Note: The following is applicable for all input fields:

  • If an input field is empty, this input field is marked with a color. The OK button is deactivated.
  • If an input field was left empty when a dialog was called up, because the configuration of the report does not have any content for it, then this is filled with the default value.


Validation

zenon Analyzer > Report templates > Report settings > Operating time counters > Configure assignments > Validation

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Option | Description
List of results of the verification | Lists all results of the validation of the assignments.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Operating time per operation mode

zenon Analyzer > Report templates > Report settings > Operating time per operation mode

Properties for the configuration of the Operating time per operation mode report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Operating time per operation mode | Configuration of meters, events and meta information for operation time per mode. Clicking on the ... button opens the dialog for assignments of the meanings.

Other topics in this chapter

Configure assignments


Configure assignments

zenon Analyzer > Report templates > Report settings > Operating time per operation mode > Configure assignments

Dialog to configure the Operating hours assignments for operating modes . The dialog consists of two tabs: No input field can remain empty during configuration.

Tabs | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Other topics in this chapter

Meanings

Validation


Meanings

zenon Analyzer > Report templates > Report settings > Operating time per operation mode > Configure assignments > Meanings

You configure the assignments of the meanings in this tab.

Option | Description
Absolute operating hours | Meaning for the general absolute time counter. There must be precisely one per item of equipment.
Relative operating hours | Meaning for the general relative time counter. There must be precisely one per item of equipment.
Mode type | Selection of operating mode or frequency regulation from drop-down list.
Absolute operating hours for operation modes | Meaning for absolute time counter for operating mode. Permitted number: 0 to N per item of equipment.
Relative operating hours for operation modes | Meaning for relative time counter for operating mode. Permitted number: 0 to N per item of equipment.
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Note: The following is applicable for all input fields:

  • If an input field is empty, this input field is marked with a color. The OK button is deactivated.
  • If an input field was left empty when a dialog was called up, because the configuration of the report does not have any content for it, then this is filled with the default value.


Validation

zenon Analyzer > Report templates > Report settings > Operating time per operation mode > Configure assignments > Validation

The assignments are validated in this tab.

Validation starts as soon as the tab is opened.

Parameter | Description
List of results of the verification | Lists all results of the validation of the assignments.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Operating time per component

zenon Analyzer > Report templates > Report settings > Operating time per component

Properties for the configuration of the Operating time per component report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Operating time per component | Configuration of meters, events and meta information for operation time per component. Clicking on the ... button opens the dialog for assignments of the meanings.

Other topics in this chapter

Configure assignments


Configure assignments

zenon Analyzer > Report templates > Report settings > Operating time per component > Configure assignments

Dialog to configure the Component operating time assignments. The dialog consists of two tabs:

Tab | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Other topics in this chapter

Meanings

Validation


Meanings

zenon Analyzer > Report templates > Report settings > Operating time per component > Configure assignments > Meanings

You configure the assignments of the meanings in this tab.

Option | Description
Relative operating hours | Meaning for the general relative time counter. There must be precisely one per item of equipment.
Component exchanged | Entry of the meaning for all variables for component exchange events. Permitted number: 0 to N per item of equipment.
Component inspected | Entry of the meaning for all variables for component testing events. Permitted number: 0 to N per item of equipment.
Parent component | Entry of the identification for the field in the metadata table that determines the extent of superordinance the parent company has in relation to a component. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Note: The following is applicable for all input fields:

  • If an input field is empty, this input field is marked with a color. The OK button is deactivated.
  • If an input field was left empty when a dialog was called up, because the configuration of the report does not have any content for it, then this is filled with the default value.


Validation

zenon Analyzer > Report templates > Report settings > Operating time per component > Configure assignments > Validation

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Option | Description
List of results of the verification | Lists all results of the validation of the assignments.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Operating Time per Power Range

zenon Analyzer > Report templates > Report settings > Operating Time per Power Range

Properties for the configuration of the Operating Time per Power Range report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Operating Time per Power Range | Configuration of meters, events and meta information for operation time per power range. Clicking on the ... button opens the dialog for assignments of the meanings.

Other topics in this chapter

Configure assignments


Configure assignments

zenon Analyzer > Report templates > Report settings > Operating Time per Power Range > Configure assignments

Dialog to configure the Operating time per power range assignments. The dialog consists of two tabs:

Tabs | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Other topics in this chapter

Meanings

Validation


Meanings

zenon Analyzer > Report templates > Report settings > Operating Time per Power Range > Configure assignments > Meanings

You configure the assignments of the meanings in this tab.

Option | Description
Active power generator range | Input of the meaning for all time counters for operating time in an active power range in generator operation.
Active power generator maximum | Input of the meaning for the time counters for operating time at maximum active power in generator operation.
Active power generator minimum | Input of the meaning for the time counters for operating time at minimum active power in generator operation.
Active power pump range | Input of the meaning for all time counters for operating time in an active power range in pump operation.
Active power pump maximum | Input of the meaning for operating time at maximum active power in pump operation
Active power pump minimum | Input of the meaning for operating time at maximum active power in pump operation.
Reactive power generator range | Input of the meaning for all time counters for operating time in a reactive power range in generator operation.
Reactive power generator maximum | Input of the meaning for the time counters for operating time at maximum reactive power in generator operation.
Reactive power generator minimum | Input of the meaning for the time counters for operating time at minimum reactive power in generator operation.
Reactive power pump range | Input of the meaning for all time counters for operating time in reactive power range in pump operation.
Reactive power pump maximum | Input of the meaning for the time counters for operating time at maximum reactive power in pump operation.
Reactive power pump minimum | Input of the meaning for the time counters for operating time at minimum reactive power in pump operation.
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Note: The following is applicable for all input fields:

  • If an input field is empty, this input field is marked with a color. The OK button is deactivated.
  • If an input field was left empty when a dialog was called up, because the configuration of the report does not have any content for it, then this is filled with the default value.


Validation

zenon Analyzer > Report templates > Report settings > Operating Time per Power Range > Configure assignments > Validation

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Option | Description
List of results of the verification | Lists all results of the validation of the assignments.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Lot archive

zenon Analyzer > Report templates > Report settings > Lot archive

Selection of a lot archive for Report Launcher.
Each time the selected project is changed, the archives are reset and the setting must be configured again.

Lot archive properties

General

Property | Description
Lot archive | Selection of an archive from the drop-down list.


Connector

zenon Analyzer > Report templates > Report settings > Connector

Properties for the configuration of the Connector report setting for Report Launcher.

Connector

Selection of the connector for the data collection in the report.

General

The selected connector is used in Report Launcher to obtain data.

Property

Description

Connector

Selection of the connector from the drop-down list.

The drop-down list contains the name of the available connectors:

  • SCADA Runtime Connector
  • SCADA SQL connector

Default: SCADA Runtime Connector


Alarm cause data

zenon Analyzer > Report templates > Report settings > Alarm cause data

It is possible to filter for alarm causes in Report Launcher.
To activate the filter:

  1. Click on the Alarm cause data report setting.
  2. Activate the checkbox for the Include alarm cause data property.

    The alarm causes can be selected in Report Launcher.

Filter property data for alarm causes

General

General properties.

Property

Description

Activate filter in report

Activates or deactivates the alarm causes in Report Launcher.
Activation by clicking in the following checkbox:

  • Active: Alarm causes are available:
  • Inactive: Alarm causes are not used.

Default: Inactive


Default value for N

zenon Analyzer > Report templates > Report settings > Default value for N

This report setting sets the default value for the report parameter Top N.

Default value for N

Report Parameter

Configuration of the default value for Top N.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Default Value

Entry of the default value for Top N. With this value, the display of the Top N alarms in Report Launcher is preconfigured.

  • Minimum: 1
  • Maximum: 100

Default: 5

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.


Detail labels

zenon Analyzer > Report templates > Report settings > Detail labels

Properties for the configuration of the Detail labels report setting for the Report Launcher.

Properties

General

General properties.

Property

Description

Origin of detail labels

Selection of the source for the labels per mode from a drop-down list.

  • Variable visual name
  • Variable description text

Default: Variable visual name


Direct values

zenon Analyzer > Report templates > Report settings > Direct values

Report parameters can already be set to fixed defined values when configuring in ZAMS. A direct value can be include one or several values for a setting - depending on the configuration.

Direct values can be neither selected nor amended in Report Launcher. The values set in ZAMS are written to the dataset parameter directly and output directly in the parameter output area or the report.

Direct values can be issued for:

  • All filter settings
  • All data settings that provide a report parameter (archive aggregation for example)

info Information

Direct values are also required for the pivoting of main data sets.

Enter direct values

To enter direct values:

  1. Activate the Use direct value checkbox.
    Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

    The Direct value property is shown. This property must be configured.

  2. Configure the value.
    • For direct values that are configured using dialogs:
      Click on the ... button.

      The dialog to select direct values is opened.
      Variable selection for example:

      Note: It can take some time the first time the dialog is opened, because the necessary Stored Procedure is created in the process.

    • For direct values that are configured using drop-down lists:
      Click on the arrow next to the drop-down list.

      The drop-down list is opened. Select the desired value.

  3. Select the desired value or the desired values.
  4. Close the dialog by clicking on OK.

    The number of selected values is shown in the property.

Direct entry of values and names in the display area

Note the action in the event of changes to display names in the metadata editor. In doing so, the name change is not automatically applied in ZAMS. Therefore, in Report Launcher, the names amended in the metadata editor are shown in the result, but the original names form ZAMS are shown in the header.

To also display the correct names in the header, they must be updated in ZAMS.

Example of updating for variables:

  1. The filtered variables are output in the parameter area.
    Syntax: PROJEKT#ARCHIV - VARIABLE.
    This description is written and fixed in the RDL file on deployment.
  2. If the variable name is amended in the metadata editor, the variable name remains unchanged. It continues to correspond to the defined syntax and is shown incorrectly from the perspective of the user.
  3. The following steps are necessary in order for the name to also be updated in the parameter area of the report:
    1. Open the dialog for direct entry of values in the properties of the Variables (from equipment groups) report setting using the Direct value property.
    2. The updated variable name is shown immediately in the dialog.
      No further configuration is necessary.
    3. Confirm the dialog with OK.
    4. Prepare the report again.

      Data and headers are now shown correctly in Report Launcher.

This example is also applicable for all other properties.

Other topics in this chapter

Value selection for filter settings

Dependencies

Direct values and grouping

Direct values and substitution

Resetting in the event of a change to values of dependent settings

Example configuration


Value selection for filter settings

zenon Analyzer > Report templates > Report settings > Direct values > Value selection for filter settings

Values for filter settings are shown using a dialog. Depending on whether the report can only contain one value or several values for the filter, values can be selected in the configuration dialog. At least one value must be selected. The display of values for selection depends on their structure.

Example: Selection of equipment groups with multiple selection activated.

The following have an effect on the possible selection of values:

  • Previous parameters (for example, projects and equipment groups for variables) work as a prefilter
  • Multiple selection:
    If a direct value has been configured with more than one value and the property is switched to single selection, the direct value is reset and must be reselected.
  • Sort order
  • Nesting mode and nesting level

Note: If values are no longer available, the corresponding entries are marked in red and cannot be selected. A tool tip informs you of the cause.


Dependencies

zenon Analyzer > Report templates > Report settings > Direct values > Dependencies

For settings that depend on other report settings, the correct setting of the values is mandatory. For example, variables depend on projects and equipment groups.
That means:

  • Direct values for a property can only be configured if all other necessary direct values have been configured.
  • The Use direct value property can only be deactivated again if no other property needs this value.
    Note: The property is hidden if it cannot be configured.
  • The configured direct value is rejected when the Use direct value property is deselected. Report settings that depend on this setting remain unchanged.
    For example: The property is deactivated again for the variables. The variables configured in the direct value are rejected. The direct values for projects and equipment models remain unchanged however. This also applies if the direct values are still missing.

Note: If a configuration leads to dependent direct values being rejected, a warning notice is displayed.
However, if direct values are deactivated using the Use direct value property, these are discarded without warning.

Resetting in the event of a value change

Because report settings can mutually influence each other, the change of a direct value can also lead to the resetting of other direct values. This is necessary if, as a result of the change, the available values for a different setting could change.
For example: Projects provide the basis for variables. If the direct setting is changed for the Project setting, the direct values for the Variables (from equipment groups) setting are reset at the same time.

Filter settings with direct values can also depend on data settings without direct values. For example, the Equipment group setting depends on Equipment Models. If the value of the equipment model property changes, the direct value of the equipment group is reset.

Report settings that depend on direct values are reset if:

  • Other direct values, or values that influence the direct value, are amended.
  • Grouping or substitution replaces the setting.
  • The releasing of a substitution replaces the setting.
  • Substitutions are triggered when report templates are deleted.
  • A report property has been reset from multiple selection to single selection.


Direct values and grouping

zenon Analyzer > Report templates > Report settings > Direct values > Direct values and grouping

The use of direct values has no influence on the grouping:

  • With automatic grouping, the report settings that have Use direct value set are preferred
  • If several report settings have Use direct value set, those that have been configured for a Direct value are preferred.
  • With report settings with the same value, the uppermost is used for automatic grouping.

If a report setting whose dependencies force the issue of a direct value is replaced with another one, the new report settings are automatically forced to direct entry of values.

When releasing a grouping whose report settings contain direct values, these are copied to all resulting report settings.


Direct values and substitution

zenon Analyzer > Report templates > Report settings > Direct values > Direct values and substitution

Substitutions and their release always cause direct values to be reset for dependent report settings. The user must confirm resetting by means of a confirmation request.


Resetting in the event of a change to values of dependent settings

zenon Analyzer > Report templates > Report settings > Direct values > Resetting in the event of a change to values of dependent settings

Because settings can influence each other mutually, a change to the direct value can also lead to resetting of other direct values. This is necessary if, as a result of the change, the available values for a different setting could change.
For example: Projects provide the basis for variables. If the direct setting is changed for the Project setting, the direct values for the Variables (from equipment groups) setting are reset at the same time.

Filter settings with direct values can also depend on data settings without direct values. For example, the Equipment group setting depends on Equipment Models. If the value of the equipment model property changes, the direct value of the equipment group is reset.

Settings that depend on direct values are reset if:

  • Other direct values, or values that influence the direct value, are amended.
  • Grouping or substitution replaces the setting.
  • The releasing of a substitution replaces the setting.
  • Substitutions are triggered when report templates are deleted.
  • A report property has been reset from multiple selection to single selection.


Example configuration

zenon Analyzer > Report templates > Report settings > Direct values > Example configuration

Example configuration for direct values for Variables (from equipment groups):

  1. Activate the Use direct value property for the Variables (from equipment groups) report setting.

    The Direct value property is shown.
    However, this cannot be configured yet. Its possible values depend on the Equipment group and Project report settings.
    These report settings are highlighted with a red border. The Direct value property is also shown with a red border, because it has not yet been configured.

  2. Select a direct value for the Equipment group report setting.
    The property has already been activated.
  3. Select a direct value for the Project report setting.
    The property has already been activated.

    Now, the report settings for Equipment group and Project are no longer highlighted as invalid.

  4. Configure the direct value for Variables (from equipment groups).
  5. To do this, click on the ... button.

    The dialog to select variables is opened.
    If the Multi selection property has been deactivated, only one variable can be selected. If the property has been activated, as many variables as desired can be selected.

Configuration of the direct values is thus completed.

If the entry of direct values is deactivated for the variables, the direct values for project and equipment groups are retained.


Average and standard deviation

zenon Analyzer > Report templates > Report settings > Average and standard deviation

Properties for the configuration of the filter type for the Average and standard deviation based on archive or equipment group report setting.

Variables for average and standard deviation are configured with this filter. In doing so, there is a pre-selection of whether the variable filter is based on archives or equipment groups. Depending on the selection, the corresponding dependent report settings are activated and deactivated.

Properties

General

Defines whether variables from equipment groups or variables from archives are used.

Property

Description

Variable filter type

Selection of the filter type for the variables from drop-down list:

  • Variables (from archives):
    The report settings Equipment Models and Equipment group are used.
    The Archives (from projects) report setting is deactivated.
  • Variables (of equipment groups):
    The Archives (from projects) report settings is used.
    The Equipment Models and Equipment group report settings are deactivated.

Average variable filter

Settings for the display and configuration of the variables for the average in Report Launcher.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.

Standard deviation variable filter

Settings for the display and configuration of the variables for the standard deviation in Report Launcher.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Input elements

zenon Analyzer > Report templates > Report settings > Input elements

Properties are configured using different input elements.
Primarily:

  • Selection from drop-down lists
  • Selection from color palettes
  • Selection from list
  • Input in fields
  • Control using Spincontrol

Other topics in this chapter

Color selection


Color selection

zenon Analyzer > Report templates > Report settings > Input elements > Color selection

Some properties allow the selection of a color. To do this, a dialog to select and configure colors from the operating system is opened.
Clicking on the arrow of the drop-down list for the color selection opens the dialog.
The dialog is closed by:

  • Clicking on Apply
  • Clicking on a color
  • Clicking outside the dialog

Color selection dialog

Option

Description

Automatic

Clicking on the button sets the color selection to automatic. The color is selected by the system.

Color design

Selection of a design color by clicking on the color field.

The selected color is applied immediately and the dialog closed.

Standard color

Selection of a standard color by clicking on the color field.

The selected color is applied immediately and the dialog closed.

Most-recent colors

List of the colors selected most recently.

Only available once an individual color has been selected and as long as the dialog is opened.

Individual color configuration

Area to configure your own color design using sliders or by entering a color code. Several color models are available for manual input:

  • CMYK
  • HLS
  • HSV
  • RGB

Default: RGB

The configured color is only applied after clicking on Apply.

Apply

Applies individually-configured color and closes the dialog.


Efficiency class formula

zenon Analyzer > Report templates > Report settings > Efficiency class formula

Configuration of the efficiency class formula and its filtering. The Configure custom formulas dialog is used to create formulas.

Efficiency class formula properties

General

Configuration of the efficiency class formula and its filtering.

Property

Description

Configure formula

Clicking on the ... button opens the dialog to configure custom formulas.

Note: When closing the dialog, precisely one field must be marked as visible in the Aggregation fields tab or in the Calculated fields according to aggregation carried out tab.

Filter efficiency class models based on formula measuring unit
  • Active: Only efficiency class models with the same unit as the formula are shown.


Efficiency class model

zenon Analyzer > Report templates > Report settings > Efficiency class model

Properties for the configuration of the Efficiency class model report setting for the Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report Parameter

Settings of the report parameters.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Efficiency class name

zenon Analyzer > Report templates > Report settings > Efficiency class name

Properties to configure the wild card filter for the Efficiency class name report setting for Report Launcher.

General

The configured wild card filter is used in Report Launcher for the filtering of names of efficiency class models.

Property

Description

Efficiency class model name

Entry of the filter for names of efficiency class models.
Rules:

  • Only figures, characters and the wild cards ? and * are permitted.
  • *: 0 - n desired characters.
  • ?: Precisely 1 desired character.
  • Consecutive * are combined into one *.
    Example: te********st Becomes te*st.
  • If the entry does not contain a wild card, * is set at the end of the term. * is set if no term is contained.
    Example: test Becomes test*.
  • Default: *


Event grouping

zenon Analyzer > Report templates > Report settings > Event grouping

Properties for the configuration of the Event grouping report setting for the Report Launcher.

Properties

General

General properties for the selection of the grouping for Top N.

Property

Description

Event grouping

Select from drop-down list:

  • Alarm/event class
  • Alarm/event group
  • Equipment group


Event type

zenon Analyzer > Report templates > Report settings > Event type

Selection of the active sources for events.

General

General properties for the selection of events that are to be shown in Report Launcher as Event type. Activation by means of checkbox. At least one property must be selected.

Property

Description

Events from known variables
  • Active: Events from exported variables are shown in the report.

Default: active

Events from unknown variables
  • Active: Events from variables that are not exported are shown in the report.

Default: active

System events

  • Active: System events are shown in the report.

Default: active


Event counters

zenon Analyzer > Report templates > Report settings > Event counters

Property for the configuration of the report settings for events. These are offered in the different report templates for configuration:

Report template | Report setting
Machine Event Counters | All events
Set Point Change Event Counters | Set point change events
Nozzle Mode Change Event Counters | Nozzle mode change events
Load Shedding Active Power Ranges Event Counters | Active power on load shedding events
Load Shedding Turbine Speed Ranges Event Counters | Turbine speed Events on load shedding

Not every property and not every tab in the donfiguration dialog is available for each report template. For details, see the Configuring assignments section.

Other topics in this chapter

All events

Set point change events

Turbine speed on load shedding events

Nozzle mode change events

Active power on load shedding events

Configure assignments


All events

zenon Analyzer > Report templates > Report settings > Event counters > All events

Properties for the configuration of the All events report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Event counters | Configuration of meanings, data sources and equipment information for all events. Clicking on the ... button opens the dialog for assignments of the meanings. The properties that can be displayed and configured depend on the type of report template.


Set point change events

zenon Analyzer > Report templates > Report settings > Event counters > Set point change events

Properties for the configuration of the Set point change events report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Event counters | Configuration of meanings, data sources and equipment information for all set point change events. Clicking on the ... button opens the dialog for assignments of the meanings. The properties that can be displayed and configured depend on the type of report template.


Turbine speed on load shedding events

zenon Analyzer > Report templates > Report settings > Event counters > Turbine speed on load shedding events

Properties for the configuration of the Turbine speed on load shedding events report setting for the Report Launcher.

Properties

General

General properties.

Property

Description

Event counters

Configuration of meanings, data sources and equipment information for turbine speed on active power on load shedding events.

Clicking on the ... button opens the dialog for assignments of the meanings.
The properties that can be displayed and configured depend on the type of report template.


Nozzle mode change events

zenon Analyzer > Report templates > Report settings > Event counters > Nozzle mode change events

Properties for the configuration of the Nozzle mode change events report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Event counters | Configuration of meanings, data sources and equipment information for change nozzle mode events. Clicking on the ... button opens the dialog for assignments of the meanings. The properties that can be displayed and configured depend on the type of report template.


Active power on load shedding events

zenon Analyzer > Report templates > Report settings > Event counters > Active power on load shedding events

Properties for the configuration of the Active power on load shedding events report setting for the Report Launcher.

Properties

General

General properties.

Property

Description

Event counters

Configuration of meanings, data sources and equipment information for active power on load shedding events.

Clicking on the ... button opens the dialog for assignments of the meanings.
The properties that can be displayed and configured depend on the type of report template.


Configure assignments

zenon Analyzer > Report templates > Report settings > Event counters > Configure assignments

Dialog to configure the Event counter assignments. The dialog consists of several tabs, depending on the report template to be configured.

Tab | Description
Meanings | Configuration of the meanings.
Active power ranges | Configuration of the active power ranges. Only for Load Shedding Active Power Ranges Event Counters report templates.
Turbine speed ranges | Configuration of the turbine speed ranges. Only for Load Shedding Turbine Speed Ranges Event Counters report templates.
Validation | Validation of the configuration.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Overview of availability of properties for report templates

Property | Machines | Set value | Switch | Active power | Turbines
On-off switch | X | X | X | X | X
Set value | X | X | -- | -- | --
Nozzle mode | X | -- | X | -- | --
Operation mode | X | X | -- | -- | --
Circuit breaker | X | -- | -- | X | X
Active power | X | -- | -- | X | --
Turbine speed | X | -- | -- | -- | X
Power plant | X | X | X | X | X
Power plant group | X | X | X | X | X
Nominal output | X | -- | -- | X | --
Nominal turbine speed | X | -- | -- | -- | X
Active power ranges | X | -- | -- | X | --
Turbine speed ranges | X | -- | -- | -- | X

Key:

  • Machines: Machine Event Counters
  • Set value: Set Point Change Event Counters
  • Switch: Nozzle Mode Change Event Counters
  • Active power: Load Shedding Active Power Ranges Event Counters
  • Turbines: Load Shedding Turbine Speed Ranges Event Counters
  • X: available
  • --: not available

Other topics in this chapter

Meanings

Active power ranges

Turbine speed ranges

Validation


Meanings

zenon Analyzer > Report templates > Report settings > Event counters > Configure assignments > Meanings

You configure the assignments of the meanings in this tab.

The properties that are available for configuration depend on the type of report template to be configured.

Option

Description

On-off switch

Entry of the meaning for the machine's on/off switch.

The data source for the variables that are referenced via this meaning are selected from the drop-down list next to the input field. The following are available:

  • Alarm Message List
  • Archive
  • Chronological event list and selection.

Default: Archive

Set value

Input of the meaning for the set value for the machine power.

The data source for the variables that are referenced via this meaning are selected from the drop-down list next to the input field. The following are available:

  • Alarm Message List
  • Archive
  • Chronological event list and selection.

Default: Archive

Nozzle mode

Enter the meaning for the nozzle mode.

The data source for the variables that are referenced via this meaning are selected from the drop-down list next to the input field. The following are available:

  • Alarm Message List
  • Archive
  • Chronological event list and selection.

Default: Archive

Operation mode

Enter the meaning for the operation mode.

The data source for the variables that are referenced via this meaning are selected from the drop-down list next to the input field. The following are available:

  • Alarm Message List
  • Archive
  • Chronological event list and selection.

Default: Archive

Circuit breaker

Enter the meaning for the circuit breaker.

The data source for the variables that are referenced via this meaning are selected from the drop-down list next to the input field. The following are available:

  • Alarm Message List
  • Archive
  • Chronological event list and selection.

Default: Archive

Active power

Enter the meaning for the active power.

Turbine speed

Enter the meaning for the turbine speed.

Power plant

Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine.

Note for developer: ID for field in EQUIPMENTINFO table.

Power plant group

Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine.

Note for developer: ID for field in EQUIPMENTINFO table.

Nominal active power

Input of the identification for the field in the metadata table that defined the nominal active power.

Note for developer: ID for field in EQUIPMENTINFO table.

Nominal turbine speed

Input of the identification for the field in the metadata table that defines the nominal turbine speed.

Note for developer: ID for field in EQUIPMENTINFO table.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Active power ranges

zenon Analyzer > Report templates > Report settings > Event counters > Configure assignments > Active power ranges

The assignments of the active power ranges are configured in this tab.
Only available for Load Shedding Active Power Ranges Event Counters report templates.

Option

Description

Area list

The area list shows previously-configured performance areas. The pre-existing areas are displayed:

  • Comparison type
  • Comparison value

Comparison type

Selection of the comparison type from the drop-down list. The following are available:

  • Less (<)
  • Less or equal (<=)
  • Greater (>)
  • Greater or equal (>=)
  • Range: Compares two values to one another and shows further input fields for Comparison type and Comparison value.

Comparison value

Entry of the comparison value.

  • Numeric value
  • Maximum: 2147483647

Symbol: New

Click on button

  • Creates a new area
  • Initializes this with 0 <= X <= 100
  • Inserts it as a new row at the bottom end of the list

X

Clicking on the button removes the attendant area from the list.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Comparison types and areas

The following comparison types are available:

  • Lower: X < [number]
  • Lower or equal: X <= [number]
  • Greater than: X > [number]
  • Greater than or equal to: X >= [number]
  • Areas

Areas

The 'areas' comparison type defines a range between two values. The following rules are available:

  • [number] < X < [number]
  • [number] < X <= [number]
  • [number] <= X < [number]
  • [number] <= X <= [number]


Turbine speed ranges

zenon Analyzer > Report templates > Report settings > Event counters > Configure assignments > Turbine speed ranges

The assignments of the turbine speeds are configured in this tab.
Only available for Load Shedding Turbine Speed Ranges Event Counters report templates.

Option

Description

Area list

The area list shows previously-configured performance areas. The pre-existing areas are displayed:

  • Comparison type
  • Comparison value

Comparison type

Selection of the comparison type from the drop-down list. The following are available:

  • Less (<)
  • Less or equal (<=)
  • Greater (>)
  • Greater or equal (>=)
  • Range: Compares two values to one another and shows further input fields for Comparison type and Comparison value.

Comparison value

Entry of the comparison value.

  • Numeric value
  • Maximum: 2147483647

Symbol: New

Click on button

  • Creates a new area
  • Initializes this with 0 <= X <= 100
  • Inserts it as a new row at the bottom end of the list

X

Clicking on the button removes the attendant area from the list.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Comparison types and areas

The following comparison types are available:

  • Lower: X < [number]
  • Lower or equal: X <= [number]
  • Greater than: X > [number]
  • Greater than or equal to: X >= [number]
  • Areas

Areas

The 'areas' comparison type defines a range between two values. The following rules are available:

  • [number] < X < [number]
  • [number] < X <= [number]
  • [number] <= X < [number]
  • [number] <= X <= [number]


Validation

zenon Analyzer > Report templates > Report settings > Event counters > Configure assignments > Validation

The assignments are validated in this tab.

In order for the validation to start, all other tabs - depending on the type of report template - must be configured correctly.

Option | Description
List of results of the verification | Lists all results of the validation of the assignments.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Number of colors

zenon Analyzer > Report templates > Report settings > Number of colors

This report setting defines the number of levels for the color scale in the carpet plot.

Number of colors is entered using the Default Value property. Valid values:

  • Value minimum and Value maximum identical: Value must be 2.
    The carpet plot in this case is a binary display with minimum=maximum as a limit value.
  • Value maximum > Value minimum: Value must be >=3.

Properties for the number of colors

Configuration of the levels for the color gradient.

Report Parameter

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Default Value

Number of levels for the color gradient. Direct entry or configuration using the arrow keys.

  • Minimum: 2

Default: 3

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Filter line data and machine data

zenon Analyzer > Report templates > Report settings > Filter line data and machine data

Configuration of the optional data filter for the Line data filter report setting of the line-based production analysis or Machine data filter of the machine-based production analysis. Both filters are configured using the same user interface. Validation is also carried out according to different rules. Up to ten data filters are available.

The following report settings are used for this:

  • Equipment Models
  • Equipment group
  • Project selection (for machine data only)

Settings and SQL elements used

The project setting has, depending on assignment, the following linkings:

Report setting

Needs

used

Waterfall (line)
  • Equipment Models
  • Equipment group

SQL element:

  • ListFilterValuesForLine

Waterfall (machine)
  • Equipment Models
  • Equipment group
  • Project selection

SQL element:

  • ListFilterValuesForEquipment

Properties

General

General properties.

Property | Description
Data filter configuration | Display of how many data filters have been configured. Clicking on the ... button opens the dialog to configure the data filters.

Data filter for meaning X

Configuration of the data filters. Properties for configuration are offered for each of the filters created in the Data filter configuration. X stands for the name of the data filter.

Report Parameter

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.

Other topics in this chapter

Configuration of the filter

Validation


Configuration of the filter

zenon Analyzer > Report templates > Report settings > Filter line data and machine data > Configuration of the filter

In this dialog, you configure and validate the meanings for Line data filter and Machine data filter. It evaluates the selected equipment model and the properties selected in the project.

Configuration

To configure the filter:

  1. In the dialog, click on the filter symbol with the green plus sign.

    A new row is entered.

  2. Issue the Filter name.
  3. Enter a valid Label.
  4. Add further filter rows and configure them.
  5. Sort the filter with cursors as required.
  6. Click on Check meanings.

    The meanings are validated and set in relation to the equipment groups.
    The result is displayed in a tree view.
    A text box informs you of the causes of the result of each equipment group.

  7. Close the dialog by clicking on OK.

Dialog for filter configuration

Note: This dialog is used for both Line data filter and Machine data filter. The respective assignment is shown in the title line of the dialog.

Option

Description

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Meaning

Entry of the meaning
The following is applicable for the meaning:

  • Must not remain empty.
  • Must not be identical to the meaning of another data filter.

Arrows

Allow the sorting of the filters.

  • Arrow upwards: The data filter changes place with the data filter in the line above.
  • Arrow downwards: The data filter changes place with the data filter in the line below.

Filter symbol

There are two filter symbols available:

  • Green plus: Allows the insertion of a new data filter.
  • Red X: The row is deleted.

Validate meanings

Clicking on the button starts validation. The following are used for this:

  • Data filter meanings
  • Selected equipment model
  • Selected project.

There must be precisely one variable per meaning.

Validation is not carried out if:

  • There are no data filters
  • There are validation errors

The respective reason is shown in the detail window.

Validation window

Display of the validation results. All included equipment groups are shown as a tree.

A symbol shows whether the respective equipment group can be used with the current configuration.

  • Green check mark: can be used
  • Red X: cannot be used

Precisely one element can be selected. Details on this are shown in the detail window.

Detail window

List of the validation details.

Shows the validation output messages for the element selected in the validation window.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Validation

zenon Analyzer > Report templates > Report settings > Filter line data and machine data > Validation

Validation is different for:

  • Line data
  • Machine data

Line data

Procedure for validation

  1. All equipment groups to be included are found, depending on the configuration in Equipment Models.
  2. For each meaning and equipment group, the archived variables from the selected project are looked for. If no project selection is necessary in ZAMS, a search is carried out in all projects.
    For this, the following applies:
    • Archive and variable must come from the same project.
    • Both must be assigned to the equipment group.
    • The variable must have the desired meaning.

    The following is considered an error:

    1. No variables are found.
    2. At least one variable is recorded in several archives.
    3. Several variables are found, but there must be exactly one.
  3. An equipment group is considered usable if at least each necessary meaning has been validated successfully for a directly-subordinate equipment group.

Machine data

Procedure for validation

  1. All equipment groups to be included are found, depending on the configuration in Equipment Models.
  2. For each meaning and equipment group, the archived variables from the selected project are looked for. If no project selection is necessary in ZAMS, a search is carried out in all projects.
    For this, the following applies:
    • Archive and variable must come from the same project.
    • Both must be assigned to the equipment group.
    • The variable must have the desired meaning.

    The following is considered an error:

    1. No variables are found.
    2. At least one variable is recorded in several archives.
    3. Several variables are found, but there must be exactly one.
  3. An equipment group can be used if each necessary meaning has been validated successfully.


Frequency meanings

zenon Analyzer > Report templates > Report settings > Frequency meanings

Properties for the configuration of the Frequency meanings report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Frequency meanings | Configuration of meanings for frequencies. Clicking on the ... button opens the dialog for assignments of the meanings.

Other topics in this chapter

Configure assignments


Configure assignments

zenon Analyzer > Report templates > Report settings > Frequency meanings > Configure assignments

Dialog to configure the Power line frequency assignments. The dialog consists of two tabs:

Tab | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Other topics in this chapter

Meanings

Validation


Meanings

zenon Analyzer > Report templates > Report settings > Frequency meanings > Configure assignments > Meanings

You configure the assignments of the meanings in this tab.

Option

Description

Power Line Frequency

Entry of the meaning for the power line frequency of a machine.

Frequency band time counter

Entry of the meaning for the relative time counter for a frequency band of a machine.

All variables that are assigned to the equipment group and whose meaning starts precisely with the text entered here (and possible a suffix), are included in the report.

Meaning of the variables either correspond precisely with the meaning entered or must start with the meaning entered.

Attention: The suffix of the meaning of the variables must be numerical, because it might lead to a conversion error otherwise.

Power plant

Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine.

Note for developer: ID for field in EQUIPMENTINFO table.

Power plant group

Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine.

Note for developer: ID for field in EQUIPMENTINFO table.

Nominal frequency

Input of the identification for the field in the metadata table that defines the nominal frequency for the machine.

Note for developer: ID for field in EQUIPMENTINFO table.

Button

Description

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

The button is deactivated if one of the required input fields is empty or not configured correctly.

Cancel

Discards all changes in all tabs and closes the dialog.


Validation

zenon Analyzer > Report templates > Report settings > Frequency meanings > Configure assignments > Validation

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Option | Description
List of results of the verification | Lists all results of the validation of the assignments.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Gantt configuration

zenon Analyzer > Report templates > Report settings > Gantt configuration

Configuration of the Gantt chart for display in Report Launcher.

Gantt configuration properties

General

Property | Description
Gantt chart configuration | Configuration of the Gantt chart. Clicking on the ... button opens the dialog for configuration.

Other topics in this chapter

Dialog to configure the Gantt chart analysis


Dialog to configure the Gantt chart analysis

zenon Analyzer > Report templates > Report settings > Gantt configuration > Dialog to configure the Gantt chart analysis

The Gantt chart analysis is configured with the following dialog:

To configure the analysis:

  1. Click, in the control element in the report template, on the Configure gantt chart analysis button.
  2. Configure the tabs:
    • Shifts and lots
    • Analysis groups
    • Chart settings
    • Validation
  3. Close the dialog by clicking on OK.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.

Other topics in this chapter

Shifts and lots

Analysis groups

Chart settings

Validation


Shifts and lots

zenon Analyzer > Report templates > Report settings > Gantt configuration > Dialog to configure the Gantt chart analysis > Shifts and lots

The inclusion of shifts and lots into the Gantt analysis is configured in this tab.

Option

Description

Include shifts in analysis

Selection from a drop-down list of how shifts are included in the Gantt analysis:

  • Not included: A search for shifts is carried out.
  • Included for the selected equipment group: A search is only carried out for shifts in the equipment group selected in the report.
  • Included for all equipment groups: A search is carried out for shifts for all active equipment groups in the analysis.

Label for shift analysis group

Defines visual name for the analysis group for shifts of a plant. Free entry in the text field.

Only available if not included has not been selected for Include shifts in analysis

Connector for shift data

Selection of the connector to get shift data from a drop-down list.

Include lots in analysis

Selection from a drop-down list of how lots are included in the Gantt analysis:

  • Not included: Lots can also be searched for.
  • Included for the selected equipment group: A search is only carried out for lots in the equipment group selected in the report.
  • Included for all equipment groups: A search is carried out for lots for all active equipment groups in the analysis.

Label for lot analysis group

Defines visual name for the analysis group for lots of a plant. Free entry in the text field.

Only available if not included has not been selected for Include lots in analysis

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.


Analysis groups

zenon Analyzer > Report templates > Report settings > Gantt configuration > Dialog to configure the Gantt chart analysis > Analysis groups

The analysis groups are configured in this tab. Each analysis group means a line in the Gantt diagram or a grouping at the lower grouping level of a table. The complete name of an analysis group always follows the syntax [equipment group name]: [analysis group name].

Option

Description

Data source for analysis group

Selection of the data source for the analysis groups from a drop-down list:

  • Alarm Message List
  • Chronological Event List
  • Archives

Analysis group label

Entry of the visual name of an analysis group.

Meaning

Entry of the meaning for the variable in zenon whose events are to be analyzed in the analysis group.

Corresponds to:

  • Resources label property in Value attributes group up to zenon version 7.11
  • Meaning property in Analyzer group from zenon version 7.20.

Add

Clicking this adds the analysis group defined with the fields Analysis group label and meaning to the List of analysis groups if the following conditions are met:

  • Both fields have content
  • There are still not any analysis groups with the visual names entered
  • There are still not any analysis groups with the meaning entered

List of analysis groups

All defined analysis groups are listed here. The display sequence in this table corresponds to the sequence in the Gantt diagram or in the tables in the report.

Multiple selection is possible.

Arrow keys

Sequence of analysis groups in the list. Click on:

  • Arrow upwards: all highlighted analysis groups are moved up one place
  • Arrow downwards: all highlighted analysis groups are moved down one place

Delete

Clicking on the button deletes all analysis groups highlighted in the list without requesting confirmation.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.


Chart settings

zenon Analyzer > Report templates > Report settings > Gantt configuration > Dialog to configure the Gantt chart analysis > Chart settings

The diagram settings are configured in this tab.

Option

Description

Show state name in the gantt chart

Stipulation of the display; whether for variables with numeric values that are to be converted to states via a reaction matrix, the limit value text from the REMA is to be displayed in the Gantt chart.

First alternating color for text based analysis groups

Display of the selected first alternating color for events of analysis groups for shifts, lots and variables with string values.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Second alternating color for text based analysis groups

Display of the selected second alternating color for events of analysis groups for shifts, lots and variables with string values.

Choose color

Selection of the color. Clicking on the button opens the standard selection dialog in the language of the operating system.

Equipment group sorting

Selection from a drop-down list of how the equipment groups of a level (same superordinate equipment group) are to be sorted:

  • Same order as in database: Each [ID] column in the [EQUIPMENT] table is sorted in ascending order.
  • Inverse database order: Each [ID] column in the [EQUIPMENT] table is sorted in descending order.
  • Ascending sort per equipment group name: Sorting is carried out in according to the visual names in ascending order.
  • Descending sort per equipment group name: Sorting is carried out in according to the visual names in descending order.
  • Ascending sort per equipment information Sorting is carried out in ascending order according to the numerical value of one of the fields assigned to the equipment group in the EQUIPMENTINFO table. Equipment groups that are not assigned to such a field are filtered out.
  • Descending sort per equipment information: Sorting is carried out in descending order according to the numerical value of one of the fields assigned to the equipment group in the EQUIPMENTINFO table. Equipment groups that are not assigned to such a field are filtered out.

Equipment identification field for sorting

Entry of the character sequence for equipment identification, which the element for the sorting value is to be searched for in the EQUIPMENTINFO table.

Only available if, in equipment group sorting, either Ascending sort per equipment information or Descending sort per equipment information has been selected.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.


Validation

zenon Analyzer > Report templates > Report settings > Gantt configuration > Dialog to configure the Gantt chart analysis > Validation

The entries are validated in this tab.

The following applies for validation:

  1. A value must be selected or entered in all active input elements in the other tabs.
    Exception: Analysis group label and Meaning in the Analysis groups tab.
  2. There must be at least one analysis group defined.
  3. If one of the previous conditions is not met, it is canceled.
    If conditions 1 and 2 are met, then the following points are checked for each of the equipment groups:
    1. If the equipment model filter in the report is active, the equipment group must be assigned to the selected model.
    2. The equipment group must be assigned at least one variable with one of the meanings of the analysis groups. In doing so, the data source and any possible projects that are tied to the report are taken into account.
    3. If sorting with use of a fields in the EQUPMENTINFO table has been selected, the equipment group must be assigned such a field with a numerical value and the given identification.

Option | Description
List | All messages for validation and a completion message with the number of analyzable equipment groups are written to the list. The listbox does not allow the selection of entries.

Navigation

Button | Description
Previous | Switches to the previous tab. Inactive in the first tab.
Next | Switches to the next tab. Inactive in the last tab.
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.


Control chart limits

zenon Analyzer > Report templates > Report settings > Control chart limits

Display and configuration of the limits for the control chart. These are defined and calculated using a dialog.
All settings can be amended manually in the properties. Each change is checked for validity. Validation errors are shown with red marking.

Properties

General

General properties for the limit value of the control chart.

Property | Description
All values | Configuration of all values using a dialog. Double-clicking on a value or clicking on the ... button opens the dialog to calculate the limit values for the control chart.
Target average | Target value for the average.
Target standard deviation | Target value for the standard deviation

Limits for Average

Limit values for the average.

Property | Description
Upper intervention limit for average | Upper intervention limit for the average.
Upper warning limit for average | Upper warning limit for the average.
Lower warning limit for average | Lower warning limit for the average.
Lower intervention limit for average | Lower intervention limit for the average.

Limits for Standard Deviation

Limit values for the standard deviation.

Property | Description
Upper intervention limit for standard deviation | Upper intervention limit for the standard deviation.
Upper warning limit for standard deviation | Upper warning limit for the standard deviation.
Lower warning limit for standard deviation | Lower warning limit for the standard deviation.
Lower intervention limit for standard deviation | Lower intervention limit for the standard deviation.

Validations

The following is applicable when validating the properties:

  • All values for standard deviation must be greater than 0.
  • The following is applicable respectively for standard deviation and average value:
    Lower intervention limit < Upper warning limit < Target value < Upper warning limit < Upper intervention limit

Other topics in this chapter

Dialog for calculating control chart limits


Dialog for calculating control chart limits

zenon Analyzer > Report templates > Report settings > Control chart limits > Dialog for calculating control chart limits

You define the limit values for the control chart in this dialog.

The limit values are calculated from the values for average, standard deviation and spot-check sample size and shown in a preview table. There are two methods available for the calculation:

  • Europe
  • USA

Dialog

Option

Description

Average

Average value of the measured value.

Standard deviation

Standard deviation of the measured value.

Minimum: > 0

Sample Size

Size of the sample.

Minimum: > 1

Calculation method

Selection of the calculation method for the limit value from drop-down list.

  • Europe:
    Warning at 1.96 * standard deviation
    Intervention at 2.58 * standard deviation
  • USA:
    Warning at 2 * standard deviation
    Intervention at 3 * standard deviation

Table

Preview table for:

  • Upper intervention limit
  • Upper warning limit
  • Target value
  • Lower warning limit
  • Lower intervention limit

Each for average and standard deviation.

These are calculated from the inputs and can be manually amended in the properties of the report setting.

Close dialog

Option | Description
OK | Applies settings and closes the dialog. Only available if the validation is valid.
Cancel | Discards all changes and closes the dialog.


Grouping and overlapping cleanup

zenon Analyzer > Report templates > Report settings > Grouping and overlapping cleanup

Properties for grouping and overlapping cleanup.

Grouping and overlapping cleanup

Configuration of the properties that are used for grouping and overlapping cleanup.
Subordinate levels are taken into account when grouping. If, for example, Level 3 is activated, the Levels 1 and 2 are also activated automatically. Accordingly, it is always only the lowest element of a level that can be deactivated.

General

General properties.

Property

Description

Grouping and overlapping cleanup

Selection of elements that are used for grouping and overlapping cleanup.

The selection is made by activating the checkboxes.

  • Active: Grouping is carried out according to this element. Overlaps are cleaned up.

At least 1 element of the grouping must be active.


Sorting configuration

zenon Analyzer > Report templates > Report settings > Sorting configuration

Properties for the configuration of the Sorting configuration report setting for the Report Launcher.

General

General properties.

Property

Description

Sorting configuration

Selection of the type of sorting from a drop-down list.

  • By item ID (ascending)
  • By item ID (descending)
  • By label (ascending)
  • By label (descending)

Default: By item ID (ascending)

Note: Sorting by labels can cause some conflicts. These can cause two different objects to merge into one object in the report.

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.


Wind rose configuration

zenon Analyzer > Report templates > Report settings > Wind rose configuration

Display and configuration of the wind rose in reports with a wind power theme.

Configuration of wind rose properties.

General

General properties for the configuration of the X/Y axes. Select from drop-down list,

Property | Description
Wind rose configuration | Clicking on the button opens the dialog to configure the wind rose report.

Other topics in this chapter

Dialog for configuration of wind rose reports


Dialog for configuration of wind rose reports

zenon Analyzer > Report templates > Report settings > Wind rose configuration > Dialog for configuration of wind rose reports

The parameters of the wind rose are configured in this dialog. The dialog is opened by clicking on the Configure wind rose button on the Wind rose configuration control element.

Parameter

Description

Wind Rose configuration

Configuration of the wind rose.

Meaning for wind direction

Entry of the meaning for wind direction.

The field must not be empty during validation.

Meaning for indicator variable

Entry of the meaning for the indicator.

The field must not be empty during validation.

Wind Rose granularity

Configuration of the number of wind directions displayed. Possible selection:

  • 4: North, East, South, West
  • 8: as 4 plus four intermediate values
  • 16: as 4 plus twelve intermediate values

Angular measurement

Measurement system for the wind direction Meaning for indicator variable:

  • Degree: 0° - 360°
  • Radian: 0 rad - 2p rad
  • Gradiant: 0 gon – 400 gon

Default: degrees

Validation results

Start of the validity of the configuration and display of the results.

Validate configuration

Click on the button to start validation of the configuration. :

  • Check to see whether all mandatory fields have been configured.
  • Check to see how many equipment groups can uniquely address the two meanings Meaning for wind direction and Meaning for indicator variable. This corresponds to one of the precisely-assigned combinations of archive, variable and project per meaning, whereby both variable and archive are assigned to the equipment group.
    The individual equipment groups and the number of the equipment groups that can be used are issued in the List of results.

If the validation is successful, the OK button to save the configuration and close the dialog is activated.

List of results

Shows the results of validation and the number of equipment groups used.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Meanings and equipment groups

Meanings relate to variables that are assigned to certain projects and equipment groups. For each equipment group transferred, precisely one variable for wind direction and precisely one variable for the indicator from one archive each must be present, taking the transferred projects into account. The variables can be in the same archive. However there must not be 2 archives per variable present.

Granularity of the wind direction

For the wind direction, the value for a full angle is set on the basis of the measurement system for a complete angle. The wind directions are then calculated from this, depending on the number:

  • 4 wind directions:
    • N if direction <= 1/8 of the full angle OR direction > 7/8 of the full angle
    • E if direction >= 1/8 of the full angle AND direction < 3/8 of the full angle
    • S if direction >= 3/8 of the full angle AND direction < 5/8 of the full angle
    • W if direction >= 5/8 of the full angle AND direction < 7/8 of the full angle
  • 8 wind directions:
    • N if direction <= 1/16 of the full angle OR direction > 15/16 of the full angle
    • NE if direction >= 1/16 of the full angle AND direction < 3/16 of the full angle
    • E if direction >= 3/16 of the full angle AND direction < 5/16 of the full angle
    • SE if direction >= 5/16 of the full angle AND direction < 7/16 of the full angle
    • S if direction >= 7/16 of the full angle AND direction < 9/16 of the full angle
    • SW if direction >= 91/16 of the full angle AND direction < 11/16 of the full angle
    • W if direction >= 11/16 of the full angle AND direction < 13/16 of the full angle
    • NW if direction >= 13/16 of the full angle AND direction < 15/16 of the full angle
  • 16 wind directions:
    • N if direction <= 1/32 of the full angle OR direction > 31/32 of the full angle
    • NNE if direction >= 1/32 of the full angle AND direction < 3/32 of the full angle
    • NE if direction >= 3/32 of the full angle AND direction < 5/32 of the full angle
    • ENE if direction >= 5/32 of the full angle AND direction < 7/32 of the full angle
    • E if direction >= 7/32 of the full angle AND direction < 9/32 of the full angle
    • ESE if direction >= 9/32 of the full angle AND direction < 11/32 of the full angle
    • SE if direction >= 11/32 of the full angle AND direction < 13/32 of the full angle
    • SSE if direction >= 13/32 of the full angle AND direction < 15/32 of the full angle
    • S if direction >= 15/32 of the full angle AND direction < 17/32 of the full angle
    • SSW if direction >= 17/32 of the full angle AND direction < 19/32 of the full angle
    • SW if direction >= 19/32 of the full angle AND direction < 21/32 of the full angle
    • WSW if direction >= 21/32 of the full angle AND direction < 23/32 of the full angle
    • W if direction >= 23/32 of the full angle AND direction < 25/32 of the full angle
    • WNW if direction >= 25/32 of the full angle AND direction < 27/32 of the full angle
    • NW if direction >= 27/32 of the full angle AND direction < 29/32 of the full angle
    • NNW if direction >= 29/32 of the full angle AND direction < 31/32 of the full angle


X/Y-Axis configuration

zenon Analyzer > Report templates > Report settings > X/Y-Axis configuration

Configuration of the time intervals that are compared. This setting is made in ZAMS and cannot be changed in Report Launcher.

Configuration of X/Y axis properties

General

General properties for the configuration of the X/Y axes. Select from drop-down list,

Property

Description

Configuration of X/Y axis

Selection of the time intervals that are compared.

  • Hours/Minutes
  • Days/Hours
  • Months/Days

Default: Hours/Minutes


Circuit breaker labels

zenon Analyzer > Report templates > Report settings > Circuit breaker labels

Properties for the configuration of the Circuit breaker labels report setting for the Report Launcher.

Properties

General

General properties.

Property

Description

Origin of detail labels

Selection of the source for the circuit breaker labels from a drop-down list.

  • Equipment group name without parent elements
  • Equipment group name including parent elements
  • Display name for counter variable
  • Relative counter variable description text

Must be configured.


Line indicator meanings

zenon Analyzer > Report templates > Report settings > Line indicator meanings

Configuration and display of the indicators for machines and the output variables for their calculation. Other settings and main data sets can use the values for the meaning parameter.

This report setting needs the following for configuration in the dialog:

  • Project selection
  • Equipment Models

Properties

Machine labels

Option | Description
Line indicators | Clicking on the ... button opens the dialog to configure meanings for line indicators. Meanings for the main indicators must be configured.

Other topics in this chapter

Indicator configuration


Indicator configuration

zenon Analyzer > Report templates > Report settings > Line indicator meanings > Indicator configuration

The indicators are configured in four tabs:

  • Mandatory indicator meanings
  • Optional indicators
  • Optional indicator meanings
  • Validation

Mandatory indicator meanings

Parameter | Description
Field in formula | Time counters for the formula. Meanings must be set for these, because the attendant variables are needed for the main indicators.
Meaning | Input of the meaning for the addressing of the variables for the following time counters. If one of the input fields is empty when the dialog is called up, it is filled with the standard value.
Loading time | Meaning for planned running time of the main machine. Default: LoadingTime
Operating time | Meaning for actual running time of the main machine. Sum of effective running time and downtimes. Default: OperatingTime
Net operating time | Meaning for productivity running time without speed losses from the main machine. Default: NetOperatingTime
Valuable operating time | Meaning for productivity running time without quality losses from the main machine. Result of the net operating time minus losses due to a lack of quality or damage. Default: ValuableOperatingTime
Scrap time (side equipment groups) | Meaning for loss times of the auxiliary machines. Default: ScrapTime
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Optional indicators

Optional indicators are activated and deactivated using this tab.

Parameter

Description

Activation of the optional indicators

The following indicators can be activated or deactivated as required by activating the checkboxes:

  • Total units
  • Good units
  • Average output
  • Degree of utilisation
  • Effective output
  • Line efficiency
  • Line delivery efficiency

Button

Description

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

The button is deactivated if one of the required input fields is empty or not configured correctly.

Cancel

Discards all changes in all tabs and closes the dialog.

Optional indicator meanings

Parameter

Description

Field in formula

Fields for the formula. Meanings must be set for these if the indicators are to be used.

  • Total units
  • Good units
  • Scrap quantity (side equipment groups)
  • Filled and sealed units
  • Work time
  • General running time
  • Machine nominal output
  • Machine set output

Meaning

Input of the meaning for the addressing of the variables for the following indicators. The input field is only active if at least one of the indicators that uses the field that is assigned to the input field is active.

If one of the input fields is empty when the dialog is called up, it is filled with the standard value.

Field

Used by

Total units

Meaning for total production of the main machine.
Only available if the Total amount indicator has been activated.

Default: Total Units

Good units

Meaning for good units from the main machine.
Only available if the Good units indicator has been activated.

Default: Good Units

Scrap quantity (side equipment groups)

Meaning for amount of loss due to quality of the auxiliary machines.
Only available if at least one of the indicators Good units, Average output or Effective output have been activated.

Default: ScrapQuantity

Filled and sealed units

Meaning for good units of the main machine.
Only available if at least one of the indicators Average output or Effective output have been activated.

Default: FilledAndSealedUnits

Working time

Meaning for working time of the main machine.
Only available if the Average output indicator has been activated.

Default: WorkingTime

General run time

Meaning for running time of the main machine.
Only available if the Effective output indicator has been activated.

Default: GeneralRunTime

Machine nominal output

Meaning for nominal speed of the main machine.
Only available if at least one of the indicators degree of usage or Line delivery efficiency have been activated

Default: MachineNominalOutput

Machine set output

Meaning for set speed of the main machine.
Only available if the Line efficiency indicator has been activated.

Default: MachineSetOutput

Button

Description

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

The button is deactivated if one of the required input fields is empty or not configured correctly.

Cancel

Discards all changes in all tabs and closes the dialog.

Validation

Parameter | Description
Validate configuration | Clicking on the button validates the inputs and provides the results in the list field. For further details see chapter Validation.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Validation

Validation is carried out in 2 stages:

  1. Depending on the equipment group, it is determined whether it is a main machine or an auxiliary machine and the meanings are validated accordingly.
  2. Depending on the equipment group, all direct subgroups are run through in order to determine whether the equipment group can be used for the report.

Validation criteria:

  • A meaning is considered applicable and successfully validated for an equipment group if there is precisely one variable from precisely one archive that can be read for this meaning and for this equipment group.
  • Based on the meanings Loading time, Operating time, „Net operating time and Valuable operating time, a decision is made on whether an equipment group is a main machine. If none of the meanings has been successfully validated for the equipment group, the equipment group is considered an auxiliary machine, otherwise it is considered a main machine.
  • Main machine validation criteria:
    • Successful validation of all meanings of tab 1, except Bad units time.
    • Successful validation of all active meanings of tab 3, except Bad units.
  • Auxiliary machine validation criteria:
    • Successful validation of the meaning Bad units time of tab 1.
    • Successful validation of the meaning Bad units of tab 3, if active.
  • Line validation criteria:
    • Precisely one main machine.
    • 0 or more auxiliary machines.


Line loss times meanings

zenon Analyzer > Report templates > Report settings > Line loss times meanings

Configuration and display of the meanings for production loss times throughout a project.

Properties

General

Option | Description
Line loss times meanings | Clicking on the ... button opens the dialog to configure meanings for line loss times.

Other topics in this chapter

Production loss time dialog


Production loss time dialog

zenon Analyzer > Report templates > Report settings > Line loss times meanings > Production loss time dialog

Input of meanings for variables which are needed for the calculation of the production loss times.

Parameter | Description
Meaning for variables in absolute loss time chart | Meaning for counter that is to be included in the absolute diagram.
Meaning for variables in relative loss time chart from main equipment group | Meaning for counters that are to be included in the relative diagram and which do not require line-dependent amendment.
Meaning for variables in relative loss time chart from side equipment group | Meaning for counters that are to be included in the relative diagram and which are used as auxiliary machine counters during line-dependent amendment.
Meaning for variables in relative loss time chart for adding side losses | Meaning for counters that are to be included in the relative diagram and which are to be increased by the auxiliary machine losses during line-dependent amendment.
Meaning for variables in relative loss time chart for subtracting side losses | Meaning for counters that are to be included in the relative diagram and to be reduced by the auxiliary machine losses during line-dependent amendment.
Validate configuration | Clicking on the button validates the inputs and provides the results in the list field. For further details see chapter Validation.
OK | Applies settings and closes the dialog. The button is not shown if one of the input fields is empty.
Cancel | Discards all changes and closes the dialog.

Validation

Validation criteria:

  • An equipment group is considered usable if it has precisely one main machine and at least 0 auxiliary machines.
  • An equipment group is then considered a usable main machine if it:
    • Has at least 0 usable variables for the absolute diagram.
    • Has at least 1 usable variable for the relative diagram without line amendment.
    • Has precisely 1 usable variable for the relative diagram for the subtraction of the additional losses.
    • Has 0 or 1 usable variables for the relative diagram for the addition of the additional losses.
  • An equipment group is considered a usable auxiliary machine if it:
    • Has at least 0 usable variables for the absolute diagram.
    • Has 0 usable variables for the relative diagram without line amendment.
    • Has at least 1 usable variable for the relative diagram as non-productive time.
  • A variable can be used if:
    • It has the appropriate meaning
      and
    • is assigned to the equipment group
      and
    • can be read from precisely one of the archives assigned to the equipment group


Machine indicator meanings

zenon Analyzer > Report templates > Report settings > Machine indicator meanings

Configuration and display of the indicators for machines and the output variables for their calculation. Other settings and main data sets can use the values for the meaning parameter.

This report setting needs the following for configuration in the dialog:

  • Project selection
  • Equipment Models

Properties

Machine labels

Option | Description
Machine indicators | Clicking on the ... button opens the dialog to configure meanings for machine indicators. Meanings for the main indicators must be configured.

Other topics in this chapter

Indicator configuration


Indicator configuration

zenon Analyzer > Report templates > Report settings > Machine indicator meanings > Indicator configuration

The indicators are configured in four tabs:

  • Mandatory indicator meanings
  • Optional indicators
  • Optional indicator meanings
  • Validation

A project must be selected in order to be able to configure the indicators.

Mandatory indicator meaning

Option | Description
Field in formula | Time counters for the formula. Meanings must be set for these, because the attendant variables are needed for the main indicators.
Meaning | Input of the meaning for the addressing of the variables for the following time counters. If one of the input fields is empty when the dialog is called up, it is filled with the default value.
Loading time | Planned running time. Default: Loading Time
Operating time | Actual running time. Sum of effective running time and downtimes. Default: Operating Time
Net operating time | Net running time. Default: NetOperating Time
Valuable operating time | Valuable running time. Result of the net operating time minus losses due to a lack of quality or damage. Default: ValuableOperating Time
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Calculation of the main indicators

The four main indicators are calculated according to these formulas:

Optional indicators

Optional indicators are activated and deactivated using this tab.

Option

Description

Activation of the optional indicators

The following indicators can be activated or deactivated as required by activating the checkboxes:

  • Mean time between stoppages (MTBS)
  • Mean time between failures (MTBF)
  • Mean time to repair (MTTR)
  • Mean time between touch (MTBT)
  • Total units
  • Good units
  • Machine efficiency
  • Effective output
  • Delivery efficiency
  • Utilization factor

Button

Description

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

The button is deactivated if one of the required input fields is empty or not configured correctly.

Cancel

Discards all changes in all tabs and closes the dialog.

Optional indicator meaning

Option

Description

Field in formula

Fields for the formula. Meanings must be set for these if the indicators are to be used.

  • MTBS time counter
  • MTBS event counter
  • MTBF time counter
  • MTBF event counter
  • MTTR time counter
  • MTTR event counter
  • MTBT time counter
  • MTBT event counter
  • Total units
  • Good units
  • Effective running time
  • General run time
  • Filled and sealed units
  • Machine nominal output
  • Machine set output

Meaning

Input of the meaning for the addressing of the variables for the following indicators. The input field is only active if at least one of the indicators that uses the field that is assigned to the input field is active.

If one of the input fields is empty when the dialog is called up, it is filled with the default value.

Field

Used by

MTBS time counter

Mean Time Between Stoppage

MTBS event counter

Mean Time Between Stoppage

MTBF time counter

Mean Time Between Failures

MTBF event counter

Mean Time Between Failures

MTTR time counter

Mean Time To Repair

MTTR event counter

Mean Time To Repair

MTBT time counter

Mean Time Between Touches

MTBT event counter

Mean Time Between Touches

Total units

Total Units

Good units

Good Units

Effective running time

Machine Efficiency

General run time

Machine Efficiency, Effective Output and Delivery Efficiency

Filled and sealed units

Effective Output and Delivery Efficiency

Machine nominal output

Delivery Efficiency and Utilization Factor

Machine set output

Utilization Factor

Button

Description

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

The button is deactivated if one of the required input fields is empty or not configured correctly.

Cancel

Discards all changes in all tabs and closes the dialog.

Calculation of the optional indicators

The optional indicators are calculated according to these formulas:

Validation

Option

Description

Validate configuration

Clicking on the button validates the inputs and provides the results in the list field.

The following is checked during validation:

  • Whether the report is linked to a project or an equipment model
  • For which equipment groups precisely one variable each per active filter can be addressed with the meanings entered

Button

Description

Previous

Switches to previous tab. (Deactivated in the first tab)

Next

Switches to the next tab. (Deactivated in the last tab)

OK

Applies all changes in all tabs and closes the dialog.

The button is deactivated if one of the required input fields is empty or not configured correctly.

Cancel

Discards all changes in all tabs and closes the dialog.


Machine start counters

zenon Analyzer > Report templates > Report settings > Machine start counters

Properties for the configuration of the Machine start counters report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Machine start counters | Configuration of the meaning for the counter. Clicking on the ... button opens the dialog for assignments of the meanings. The properties that can be displayed and configured depend on the type of report template.

Other topics in this chapter

Configure assignments


Configure assignments

zenon Analyzer > Report templates > Report settings > Machine start counters > Configure assignments

Dialog to configure the Machine start counter assignments. The dialog consists of two tabs:

Tab | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Other topics in this chapter

Meanings

Validation


Meanings

zenon Analyzer > Report templates > Report settings > Machine start counters > Configure assignments > Meanings

You configure the assignments of the meanings in this tab.

Option | Description
Absolute starts as turbine | Entry of the meaning for the absolute counter for starts as a turbine. Default: TurbineStartAbsolute
Relative starts as turbine | Entry of the meaning for the relative counter for starts as a turbine. Default: TurbineStartRelative
Absolute starts as pump | Entry of the meaning for the absolute counter for starts as a pump. Default: PumpStartAbsolute
Relative starts as pump | Entry of the meaning for the relative counter for starts as a pump. Default: PumpStartRelative
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Note: The following is applicable for all input fields:

  • If an input field is empty, this input field is marked with a color. The OK button is deactivated.
  • If an input field was left empty when a dialog was called up, because the configuration of the report does not have any content for it, then this is filled with the default value.


Validation

zenon Analyzer > Report templates > Report settings > Machine start counters > Configure assignments > Validation

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Option | Description
List of results of the verification | Lists all results of the validation of the assignments.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Measuring unit efficiency class model

zenon Analyzer > Report templates > Report settings > Measuring unit efficiency class model

Properties to configure the wild card filter for the Efficiency class model measuring unit report setting for Report Launcher.

General

The configured wild card filter is used in Report Launcher for the filtering of names of efficiency class models.

Property

Description

Efficiency class model measuring unit

Entry of the filter for the unit of efficiency class models.
Rules:

  • Only figures, characters and the wild cards ? and * are permitted.
  • *: 0 - n desired characters.
  • ?: Precisely 1 desired character.
  • Consecutive * are combined into one *.
    Example: te********st Becomes te*st.
  • If the entry does not contain a wild card, * is set at the end of the term. * is set if no term is contained.
    Example: test Becomes test*.
  • Default: *


Value maximum

zenon Analyzer > Report templates > Report settings > Value maximum

This report settings allows, together with Value minimum, the configuration of the lower and upper value of the data in the carpet plot. These are the data values between which the color gradient is spanned. The Value maximum is entered using the Default Value property.

Minimum value properties

Configuration of the minimum value for the color gradient.

Report Parameter

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Default Value

Entry of a floating point value for the minimum value of the color gradient.

Default: 100,00

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Value minimum

zenon Analyzer > Report templates > Report settings > Value minimum

This report settings allows, together with Value maximum, the configuration of the lower and upper value of the data in the carpet plot. These are the data values between which the color gradient is spanned. The Value minimum is entered using the Default Value property.

Minimum value properties

Configuration of the minimum value for the color gradient.

Report Parameter

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Default Value

Entry of a floating point value for the minimum value of the color gradient.

Default: 0,00

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Higher limit

zenon Analyzer > Report templates > Report settings > Higher limit

This report setting defines the upper limit for the calculation of limit value breaches.

Properties

Entry of the upper limit.

Report Parameter

Settings for the display and configuration of the upper limit in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Default Value

Entry of a floating-point number for the upper limit when calculating limit value breaches.

Default: 100,000000

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


OEE Meanings

zenon Analyzer > Report templates > Report settings > OEE Meanings

Configuration of the OEE Meanings for display in Report Launcher.
Each time the selected project is changed, the archives are reset and the setting must be configured again.

Properties of OEE meanings

General

Configuration of the meanings that are offered in Report Launcher

Property | Description
OEE Meanings | Configuration of the meanings. Clicking on the ... button opens the dialog for configuration.

Other topics in this chapter

Meaning for OEE calculation


Meaning for OEE calculation

zenon Analyzer > Report templates > Report settings > OEE Meanings > Meaning for OEE calculation

Dialog to assign projects, archives and variables :

Option

Description

Project

Selection of a project from the drop-down list.

The corresponding archives are available, depending on the project.

Basic variables for calculation

Configuration of the variables for the OEE calculation.

Archive for basic calculation variables

Selection of a non-cyclical archive.

Meaning for planned production time

Assignment of the variables for the planned production time.

Default: EffectiveWorkingTime

Meaning for real production time

Assignment of the variables for the actual production time.

Default: OperatingTime

Meaning for designed speed

Assignment of the variables for the planned equipment speed.

Default: DesignedSpeed

Counter variables

Configuration of the counter variables.

Archive for counter variables

Selection of a cyclical archive.

Meaning for total units counter

Assignment of the variables for the total production quantity.

Default: TotalUnits

Meaning for good units counter

Assignment of the variables for the total quantity of good units produced.

Default: GoodUnits

Set default assignments and archives

Clicking on the button enters the standard configuration for assignments and archives.

Validation

Validation of the configuration entered

Validate configuration

Clicking on the button checks:

  • Are all input fields populated?
  • For how many and which equipment models is it possible to calculate the OEE key figures with the given configuration?

The result of checking is shown in the input field.

OK

Accepts all inputs and closes dialog.

Cancel

Discards all changes and closes dialog.

Note: OEE calculations require the corresponding configuration in zenon.


Predictive Analytics

zenon Analyzer > Report templates > Report settings > Predictive Analytics

Properties for Predictive Analytics reports:

  • Prediction number of values: Stipulates how often data points on the X axis are calculated for the curve of the prediction model.
  • Compression label: Sets the labeling for compression in Report Launcher.
  • Cycletime labels Sets the labeling for cycle times in Report Launcher.
  • Default model name: Stipulates visual names for the model names in Report Launcher.
  • Prediction end value: Stipulates the value on the Y axis up to when the curve is drawn for the prediction model.
  • Prediction curve name: Sets the visual name for the curve of the prediction model.
  • Prediction model: Setting for the selection of the appropriate time-based prediction model in Report Launcher.
  • Prediction start value: Stipulates the value on the X axis from which the curve is drawn for the prediction model.
  • Variables: Stipulates properties for the display and selection of all variables per selected project in Report Launcher.
  • Cycle time: Allows the selection of the desired cycle time in Report Launcher or in ZAMS directly.

Other topics in this chapter

Prediction number of values

Compression label

Cycletime labels

Default model name

Prediction end value

Prediction curve name:

Prediction model

Prediction start value

Variables

Cycle time


Prediction number of values

zenon Analyzer > Report templates > Report settings > Predictive Analytics > Prediction number of values

This report setting stipulates how often data points on the X axis are calculated for the curve of the prediction model. The curve is drawn using these data points. The more values are present, the more precisely the curve is drawn. Entry in Report Launcher or in ZAMS as a direct value.

Properties

Report parameter

Settings for the display and configuration of the number of predicted values.

Property | Description
Parameter Name | Display of the name of the property. Can be amended in the field. Maximum length: 199 characters
Visual name in report | Name as displayed in Report Launcher. Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.
Use direct value | Stipulation of values in ZAMS, which are fixed in Report Launcher. Note: With pivot-related settings, the property is not available, because the Direct value must be configured.
Direct value | Configuration of the direct value. Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Compression label

zenon Analyzer > Report templates > Report settings > Predictive Analytics > Compression label

This report setting sets the labeling for compression in Report Launcher.

Properties

General

Setting of the default name for compression using the language table.

Property | Description
Sum | Default name for sum.
Average | Default name for average.
Minimum | Default name for minimum.
Maximum | Default name for maximum.
Raw data | Default name for raw data.


Cycletime labels

zenon Analyzer > Report templates > Report settings > Predictive Analytics > Cycletime labels

This report setting sets the labeling for the cycle times in Report Launcher.

Properties

General

Setting of the default name for the cycle time using the language table.

Property | Description
Spontaneous | Default name for spontaneous.
Year | Default name for year.
Month | Default name for month.
Seconds | Default name for seconds.


Default model name

zenon Analyzer > Report templates > Report settings > Predictive Analytics > Default model name

This report setting sets the visual names for the default models in Report Launcher.

Properties

General

Set the default name using the language table.

Property | Description
Default name | Name as displayed in Report Launcher. Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.


Prediction end value

zenon Analyzer > Report templates > Report settings > Predictive Analytics > Prediction end value

This report setting stipulates the value on the X axis up to when the curve is drawn for the prediction model. Entry in Report Launcher or in ZAMS as a direct value.

Properties

Report parameter

Settings for the display and configuration of the value on the Y axis.

Property | Description
Parameter Name | Display of the name of the property. Can be amended in the field. Maximum length: 199 characters
Visual name in report | Name as displayed in Report Launcher. Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.
Use direct value | Stipulation of values in ZAMS, which are fixed in Report Launcher. Note: With pivot-related settings, the property is not available, because the Direct value must be configured.
Direct value | Configuration of the direct value. Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Prediction curve name:

zenon Analyzer > Report templates > Report settings > Predictive Analytics > Prediction curve name:

This report setting sets the visual names for the curve of the prediction model in Report Launcher. When displayed, the name of the equipment model is placed in front as a prefix and separated with a hyphen.

Properties

General

Set the default name using the language table.

Property | Description
Curve name | Name as displayed in Report Launcher. Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.


Prediction model

zenon Analyzer > Report templates > Report settings > Predictive Analytics > Prediction model

This report setting allows the selection of the appropriate time-based prediction model in Report Launcher.

Properties

General

Set the default name using the language table.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Report Parameter

Settings for the display and configuration of the upper limit in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Prediction start value

zenon Analyzer > Report templates > Report settings > Predictive Analytics > Prediction start value

This report setting stipulates the value on the X axis from which the curve is drawn for the prediction model. Entry in Report Launcher or in ZAMS as a direct value.

Properties

Report parameter

Settings for the display and configuration of the values on the X axis.

Property | Description
Parameter Name | Display of the name of the property. Can be amended in the field. Maximum length: 199 characters
Visual name in report | Name as displayed in Report Launcher. Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.
Use direct value | Stipulation of values in ZAMS, which are fixed in Report Launcher. Note: With pivot-related settings, the property is not available, because the Direct value must be configured.
Direct value | Configuration of the direct value. Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Variables

zenon Analyzer > Report templates > Report settings > Predictive Analytics > Variables

Stipulates properties for the display and selection of all variables per selected project in Report Launcher.

Properties

Configuration of how variables are offered for selection in Report Launcher.

General

General properties.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report parameter

Settings of the report parameters.

Property | Description
Parameter Name | Display of the name of the property. Can be amended in the field. Maximum length: 199 characters
Visual name in report | Name as displayed in Report Launcher. Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.
Use direct value | Stipulation of values in ZAMS, which are fixed in Report Launcher. Note: With pivot-related settings, the property is not available, because the Direct value must be configured.
Direct value | Configuration of the direct value. Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Cycle time

zenon Analyzer > Report templates > Report settings > Predictive Analytics > Cycle time

This report setting allows the selection of the desired cycle time in Report Launcher or in ZAMS directly.

Properties

General

Set the default name using the language table.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Report parameter

Settings for the display and configuration of the cycle time in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Production counter configuration

zenon Analyzer > Report templates > Report settings > Production counter configuration

Properties for Production counter configuration.

Production counter configuration properties

General

Allows the configuration of the production counter.

Property | Description
Production counter configuration | Clicking on the button opens the dialog to configure the archives.

Other topics in this chapter

Production counter configuration dialog


Production counter configuration dialog

zenon Analyzer > Report templates > Report settings > Production counter configuration > Production counter configuration dialog

Options for the configuration of the production counter.

General

Selection of project and equipment model for the overall production counter.

Option | Description
Project | Selection of the project from the drop-down list. Deactivated if the report is tied to a project.

Equipment group

Option | Description
Equipment group | Selection of the equipment model.

Production counter variable

Option

Description

Production counter variable

Settings for meaning, archives and aggregation function.

Meaning for total units counter

Input of the meaning for the counter variable for the total figure.

Default: TotalUnits

Set default configuration

Sets the values automatically:

  • Meaning: TotalUnits
  • Archive: Short description C1, if present in project
  • Aggregation function: Raw value

Validation

Option | Description
Validate configuration | Starts validation of the configuration. Results are displayed in the list field.
List field | Displays results of the validation.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Project

zenon Analyzer > Report templates > Report settings > Project

Properties for the Project project setting for the Report Launcher.

Project filter

Configuration of how projects are offered for selection in Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report Parameter

Settings of the report parameters.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Project selection

zenon Analyzer > Report templates > Report settings > Project selection

Properties for the direct project selection of the Project selection project setting.

Project selection

Configuration of the project selection in Report Launcher.

General

General properties.

Property | Description
Project selection | Selection of a project from the drop-down list. The projects offered are read from the metadata. Must not be empty.
Visual name in report | Name as displayed in Report Launcher. Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.


Process Capability

zenon Analyzer > Report templates > Report settings > Process Capability

Properties for the configuration of the Process Capability. The parameters and specification for the calculation of the CP values (CP, CPO, CPU and CPK) are stipulated.

Properties

General

General properties.

Property | Description
Values for Upper Tolerance Limit | Entry of the value for the upper specification limit.
Values for Lower Tolerance Limit | Entry of the value for the lower specification limit. This value must be less than the value for value for upper tolerance limit.
Values for CP | Entry of the target value for the CP index. Default: 1.33
Values for CPK | Entry of the target value for the CPK index. Default: 1.33
Color for Ok | Selection of the color for the display of a positive result for the target value. Clicking on the arrow opens the dialog to select a color. Condition: Actual value > target value Default: Green
Color for Not Ok | Selection of the color for the display of a negative result for the target value. Clicking on the arrow opens the dialog to select a color. Condition: Actual value <= target value Default: Red


Process Capability Interval

zenon Analyzer > Report templates > Report settings > Process Capability Interval

Properties for the configuration of the Process Capability Interval parameter setting. This can be pre-set in Report Launcher or in ZAMS using Use direct value.

There are two filter types available.

  • Sample size: The interval is defined by the sample size.
  • Time interval: The interval is defined over a period of time.

Sample Size

General

Selection of the interval type and the samples.

Property

Description

Ignore incomplete samples

Selection of how to handle incomplete spot-check samples.

  • Active: Incomplete spot-check samples are ignored. Only complete spot-check samples are evaluated.
  • Inactive: Each spot-check sample is evaluated.

Default: active

Interval Type

Selection of the interval type from a drop-down list:

  • Sample Size
  • Time Interval

Process Capability Interval

Properties for sample size.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.

Time Interval

General

Selection of the interval type and the samples.

Property

Description

Ignore incomplete samples

Selection of how to handle incomplete spot-check samples.

  • Active: Incomplete spot-check samples are ignored. Only complete spot-check samples are evaluated.
  • Inactive: Each spot-check sample is evaluated.

Default: active

Interval Type

Selection of the interval type from a drop-down list:

  • Sample Size
  • Time Interval

Process Capability Interval

Properties for time interval.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list: Corresponds to the order in the data set.
  • Reversed available value list: Reverse order of the data set.

Default: Same as available value list

Parameter Name

Display of the name of the property. Can be amended in the field.

Maximum length: 199 characters

Available values

Shows the number of values that are available in Report Launcher.
Clicking on the ... button opens the dialog for configuration.
Available:

  • No aggregation
    (availability dependent on data set)
  • 1 minute
  • 15 minutes
  • 30 minutes
  • 1 hour
  • 2 hours
  • 6 hours
  • 12 hours
  • 1 day
  • 1 week
  • 1 month
  • 1 quarter
  • 1 year

Default: All values preselected.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Lookback time

zenon Analyzer > Report templates > Report settings > Lookback time

Selection of a look-back time for iterative fetching of data.

Properties

General

General properties.

Property

Description

Lookback time

Configuration of the properties for the look-back time.

Quantity

Numerical entry for the number of the intervals. Entry by means of the arrows of the spin controls is possible.

Value must not be negative.

Default: 0

Granularity

Selection of the granularity of the interval:

  • Minute
  • Hour
  • Day

Default: Day

Look back until

Time point up to which look-back data is obtained.


Sankey diagram selection

zenon Analyzer > Report templates > Report settings > Sankey diagram selection

Properties for the selection of a diagram form the available Sankey diagrams in Report Launcher.

Sankey diagram selection properties

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Report parameter

Properties for the configuration of the setting for Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Switching cycles switchyard and Switching cycles circuit breakers

zenon Analyzer > Report templates > Report settings > Switching cycles switchyard and Switching cycles circuit breakers

Properties for the configuration of the Switching cycles switchyard or Switching cycles circuit breakers report setting for the Report Launcher.

Both report settings are configured in the same dialog. The evaluation is different.

Properties for Switching cycles switchyard

General

General properties.

Property | Description
Switching cycles switchyard | Configuration of meanings and modes of the data to be used. Clicking on the ... button opens the dialog for assignments of the meanings.

Properties for Switching cycles circuit breakers

General

General properties.

Property | Description
Switching cycles circuit breakers | Configuration of meanings and modes of the data to be used. Clicking on the ... button opens the dialog for assignments of the meanings.

Other topics in this chapter

Configure assignments


Configure assignments

zenon Analyzer > Report templates > Report settings > Switching cycles switchyard and Switching cycles circuit breakers > Configure assignments

Dialog to configure the Switching Cycles assignments . The dialog consists of two tabs:

Tab | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Other topics in this chapter

Meanings

Validation


Meanings

zenon Analyzer > Report templates > Report settings > Switching cycles switchyard and Switching cycles circuit breakers > Configure assignments > Meanings

You configure the assignments of the meanings in this tab.

Option | Description
Relative switching counter | Enter the meaning for the relative switching counter.
Circuit breaker inspection event | Enter the meaning for the circuit breaker inspection event variable.
Circuit breaker exchange event | Enter the meaning for the circuit breaker exchange variable.
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Validation

zenon Analyzer > Report templates > Report settings > Switching cycles switchyard and Switching cycles circuit breakers > Configure assignments > Validation

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Option | Description
List of results of the verification | Lists all results of the validation of the assignments.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Shift break correction

zenon Analyzer > Report templates > Report settings > Shift break correction

Properties for the configuration of the correction of shift breaks. They allow assignment of an equipment group to shifts.

Properties for shift break correction

Configuration of the properties that are used for the correction of shift breaks.

General

General properties.

Property

Description

Enable correction

Activation of the correction for shift breaks by means of a checkbox.

  • Active: Shift breaks are corrected. Configuration by means of linked equipment group and connector.

Default: Inactive

Linked equipment group

Selection of the equipment group for which shift data is to be obtained for each project.

Clicking on the ... button opens the dialog to select an equipment group.

Connector

Selection of the connector from where the shift data is to be obtained from a drop-down list.

Equipment group selection dialog

Selection of an equipment group.

Option | Description
List of available equipment groups | Selection of an equipment group from the list.
OK | Accepts selection and closes dialog.
Cancel | Discards all changes and closes dialog.


Keywords

zenon Analyzer > Report templates > Report settings > Keywords

Keywords for display of the settings and messages in the Report Launcher are configured via different report settings.

Other topics in this chapter

No data keywords

Operation mode events keywords

Operating hours keywords

Operating hours per mode keywords

Nozzle mode events keywords

On and off events keywords

Component change and inspection keywords

Load shedding turbine speed keywords

Load shedding active power keywords

Machine starts keywords

Relative counter keywords

Loss keywords

Wind direction keywords

Active and reactive power keywords


No data keywords

zenon Analyzer > Report templates > Report settings > Keywords > No data keywords

Properties for the configuration of the No data keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
No data available | Selection of the keyword for the note that no data are available. A click on the ... button opens the selection dialog.


Operation mode events keywords

zenon Analyzer > Report templates > Report settings > Keywords > Operation mode events keywords

Properties for the configuration of the Operation mode events keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
All operation modes | Selection of the keyword for all operation modes. A click on the ... button opens the selection dialog. Default: All operation modes
Set value changes | Selection of the keyword for all set value changes. A click on the ... button opens the selection dialog. Default: Set value change


Operating hours keywords

zenon Analyzer > Report templates > Report settings > Keywords > Operating hours keywords

Properties for the configuration of the Operating hours keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Absolute operating time | Selection of the keyword for the absolute operating time. A click on the ... button opens the selection dialog.
Relative operating time | Selection of the relative operating time keyword for the note that no data are available. A click on the ... button opens the selection dialog.
Operation mode | Selection of the keyword for the operation mode. A click on the ... button opens the selection dialog.


Operating hours per mode keywords

zenon Analyzer > Report templates > Report settings > Keywords > Operating hours per mode keywords

Properties for the configuration of the Operating hours per mode keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Operating time | Selection of the rendering mode for the operating time. A click on the ... button opens the selection dialog.
Operation mode | Selection of the keyword for the operation mode. A click on the ... button opens the selection dialog.
Frequency control mode | Selection of the keyword for the Frequency control mode. A click on the ... button opens the selection dialog.


Nozzle mode events keywords

zenon Analyzer > Report templates > Report settings > Keywords > Nozzle mode events keywords

Properties for the configuration of the Nozzle mode events keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Nozzle mode | Selection of the keyword for the nozzle mode. A click on the ... button opens the selection dialog. Default: Nozzle mode


On and off events keywords

zenon Analyzer > Report templates > Report settings > Keywords > On and off events keywords

Properties for the configuration of the On and off events keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Machine switched on | Selection of the keyword for Machine switched on. A click on the ... button opens the selection dialog. Default: On
Machine switched off | Selection of the keyword for Machine switched off. A click on the ... button opens the selection dialog. Default: Off


Component change and inspection keywords

zenon Analyzer > Report templates > Report settings > Keywords > Component change and inspection keywords

Properties for the configuration of the Component change and inspection keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Since component exchange | Reactive power turbine mode Time period since last Component replacement. A click on the ... button opens the selection dialog. Default: Since exchange
Since inspection | Selection of the keyword for Time period since last maintenance. A click on the ... button opens the selection dialog. Default: Since inspection


Load shedding turbine speed keywords

zenon Analyzer > Report templates > Report settings > Keywords > Load shedding turbine speed keywords

Properties for the configuration of the Load shedding turbine speed keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Turbine speed on load shedding | Selection of the keyword for Turbine speed on load shedding. A click on the ... button opens the selection dialog. Default: Turbine speed


Load shedding active power keywords

zenon Analyzer > Report templates > Report settings > Keywords > Load shedding active power keywords

Properties for the configuration of the Load shedding active power keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Active power on load shedding | Selection of the keyword for active power on load shedding. A click on the ... button opens the selection dialog. Default: Load shedding - Active power


Machine starts keywords

zenon Analyzer > Report templates > Report settings > Keywords > Machine starts keywords

Properties for the configuration of the Machine starts keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Absolute starts as turbine | Selection of the keyword for Absolute starts as turbine. A click on the ... button opens the selection dialog. Default: Absolute starts as turbine
Relative starts as turbine | Selection of the keyword for Relative starts as turbine. A click on the ... button opens the selection dialog. Default: Relative starts as turbine
Absolute starts as pump | Selection of the keyword for Absolute starts as pump. A click on the ... button opens the selection dialog. Default: Absolute starts as pump
Relative starts as pump | Selection of the keyword for Relative starts as pump. A click on the ... button opens the selection dialog. Default: Relative starts as pump


Relative counter keywords

zenon Analyzer > Report templates > Report settings > Keywords > Relative counter keywords

Properties for the configuration of the Relative counter keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Relative counter | Selection of the keyword for Relative counter. A click on the ... button opens the selection dialog.


Loss keywords

zenon Analyzer > Report templates > Report settings > Keywords > Loss keywords

Properties for the configuration of the Loss keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Unknown loss | Selection of the keyword for the node for unknown losses from the language table. Clicking on the ... button open the dialog for selection
Undefined input | Selection of the keyword for the node for undefined inputs from the language table. Clicking on the ... button open the dialog for selection


Wind direction keywords

zenon Analyzer > Report templates > Report settings > Keywords > Wind direction keywords

Properties for the configuration of the Wind direction keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Keyword for north | Selection of the keywords from the language table. Click on the ... button to open the language table for administration and selection of keywords.
Keyword for east | Selection of the keywords from the language table. Click on the ... button to open the language table for administration and selection of keywords.
Keyword for south | Selection of the keywords from the language table. Click on the ... button to open the language table for administration and selection of keywords.
Keyword for west | Selection of the keywords from the language table. Click on the ... button to open the language table for administration and selection of keywords.


Active and reactive power keywords

zenon Analyzer > Report templates > Report settings > Keywords > Active and reactive power keywords

Properties for the configuration of the Active and reactive power keywords report setting for the Report Launcher.

Properties

General

General properties.

Property | Description
Active power turbine mode | Selection of the keyword for Active power turbine mode. A click on the ... button opens the selection dialog. Default: Active power production
Active power pump mode | Selection of the keyword for Active power pump mode A click on the ... button opens the selection dialog. Default: Active power consumption
Reactive power turbine mode | Selection of the keyword for Reactive power turbine mode. A click on the ... button opens the selection dialog. Default: Reactive power production
Reactive power pump mode | Selection of the keyword for Reactive power pump mode. A click on the ... button opens the selection dialog. Default: Reactive power consumption


Efficiency classes sorting

zenon Analyzer > Report templates > Report settings > Efficiency classes sorting

Properties for the configuration of the Efficiency class sorting report setting for the Report Launcher.

Report Parameter

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Available values

Available values. Only configuration of the language table possible. Click on the ... button to open the dialog to select the keywords.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Target actual meanings

zenon Analyzer > Report templates > Report settings > Target actual meanings

Configuration and display of the Target actual meanings report settings.
This property must be configured.

Properties

Target actual meanings

Option | Description
Meanings | Clicking on the ... button opens the dialog to configure meanings.

Other topics in this chapter

Dialog Target-Actual-Comparison configuration


Dialog Target-Actual-Comparison configuration

zenon Analyzer > Report templates > Report settings > Target actual meanings > Dialog Target-Actual-Comparison configuration

Configuration of meanings for actual value variables and set value variables.

Target-Actual-Comparison configuration

Parameter | Description
Target value variable meaning | Meaning for set value variables. Default: TargetValues
Meaning for actual value variable | Meaning for actual value variables. Default: ActualValues
Validate configuration | Click on button checks the configured meanings. The result is shown in a window.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Standard

zenon Analyzer > Report templates > Report settings > Standard

Properties for the configuration of the standard selection from the standards of the transferred variables. It is always only one Standard that can be selected.

Standard properties

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report parameter

Settings for the display and configuration of the standard in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Scatter plot meanings

zenon Analyzer > Report templates > Report settings > Scatter plot meanings

Configuration and display of the Scatter plot meanings report settings.
This property must be configured.

Properties

Scatter plot meanings

Option | Description
Meanings | Clicking on the ... button opens the dialog to configure meanings.

Other topics in this chapter

Dialog for configuration a scatter plot


Dialog for configuration a scatter plot

zenon Analyzer > Report templates > Report settings > Scatter plot meanings > Dialog for configuration a scatter plot

Configuration of meanings for actual value variables and set value variables.

Scatter plot configuration

Parameter | Description
Meaning for x-axis indicator variables | Meaning for x-axis variables. Default: HorizontalIndicator
Meaning for y-axis indicator variables | Meaning for y-axis variables Default: VerticalIndicator
Validate configuration | Click on button checks the configured meanings. The result is shown in a window.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Tolerance

zenon Analyzer > Report templates > Report settings > Tolerance

Configuration of the deviation tolerance for loss detection with Sankey diagrams.

Tolerance properties

General

General properties.

Property

Description

Variance tolerance for loss detection

Entry of a numerical value for the tolerance or configuration by means of arrow keys.

  • Minimum: 0
  • Maximum 1000

Default: 100


Turbine speed seconds

zenon Analyzer > Report templates > Report settings > Turbine speed seconds

Configuration of the preview time for turbine speed on load shedding.

Properties

General

General properties.

Property

Description

Turbine speed forward looking seconds

Entry of a numerical value for the forward looking seconds or configuration by means of arrow keys.

  • Minimum: 1
  • Maximum 100

Default: 10


Top N calculation

zenon Analyzer > Report templates > Report settings > Top N calculation

this report setting establishes how the Top N is calculated.

Properties for Top N calculation

General

Configuration of how Top N is calculated.

Property

Description

Top N calculation

Selection of the sorting for the determination of the Top N alarms from a drop-down list:

  • Alarm time net
  • Alarm time gross
  • Number of alarms


Lower limit

zenon Analyzer > Report templates > Report settings > Lower limit

This report setting defines the lower limit for the calculation of limit value breaches.

Properties

Entry of the lower limit.

Report Parameter

Settings for the display and configuration of the lower limit in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Default Value

Entry of a floating-point number for the lower limit when calculating limit value breaches.

Default: 1,000000

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Variable based on archive or equipment group

zenon Analyzer > Report templates > Report settings > Variable based on archive or equipment group

Properties for the configuration of the filter type for the Variable based on archive or equipment group report setting.

This filter is used to select whether the variable filter is based on archives or equipment groups. Depending on the selection, the corresponding dependent report settings are activated and deactivated.

This filter is available, depending on the report template, in two versions:

  • Single selection
  • Multi selection

Single selection

General

Defines whether variables from equipment groups or variables from archives are used.

Property

Description

Variable filter type

Selection of the filter type for the variables from drop-down list:

  • Variables (from archives):
    The report settings Equipment Models and Equipment group are used.
    The Archives (from projects) report setting is deactivated.
  • Variables (of equipment groups):
    The Archives (from projects) report settings is used.
    The Equipment Models and Equipment group report settings are deactivated.

Variable filter

Settings for the display and configuration of variables in Report Launcher.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.

Multi selection

General

Defines whether variables from equipment groups or variables from archives are used.

Property

Description

Variable filter type

Selection of the filter type for the variables from drop-down list:

  • Variables (from archives):
    The report settings Equipment Models and Equipment group are used.
    The Archives (from projects) report setting is deactivated.
  • Variables (of equipment groups):
    The Archives (from projects) report settings is used.
    The Equipment Models and Equipment group report settings are deactivated.

Variable filter

Settings for the display and configuration of variables in Report Launcher.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Filter name

Entry of the filter name.
The following is applicable for names:

  • Must not remain empty.
  • Must not be identical to the name of another data filter.

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Variables (from equipment groups)

zenon Analyzer > Report templates > Report settings > Variables (from equipment groups)

Properties for the configuration of the Variables (from equipment groups) project setting setting for Report Launcher.

Variables (from equipment groups)

Configuration of how variables are offered for selection in Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report Parameter

Settings of the report parameters.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Variables (from archives)

zenon Analyzer > Report templates > Report settings > Variables (from archives)

Properties for the configuration of the Variables (from archives) project setting setting for Report Launcher.

Variable properties (from archives)

Configuration of how variables are offered for selection in Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report Parameter

Settings of the report parameters.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Variable for X (from archive)

zenon Analyzer > Report templates > Report settings > Variable for X (from archive)

Properties for the configuration of the Variable for X (from archive) project setting setting for Report Launcher.

Properties

Configuration of how variables are offered for selection in Report Launcher.

General

General properties.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report Parameter

Settings of the report parameters.

Property | Description
Parameter Name | Display of the name of the property. Can be amended in the field. Maximum length: 199 characters
Visual name in report | Name as displayed in Report Launcher. Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.
Use direct value | Stipulation of values in ZAMS, which are fixed in Report Launcher. Note: With pivot-related settings, the property is not available, because the Direct value must be configured.
Direct value | Configuration of the direct value. Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Variable for Y (from archive)

zenon Analyzer > Report templates > Report settings > Variable for Y (from archive)

Properties for the configuration of the Variable for Y (from archive) project setting setting for Report Launcher.

Properties

Configuration of how variables are offered for selection in Report Launcher.

General

General properties.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report Parameter

Settings of the report parameters.

Property | Description
Parameter Name | Display of the name of the property. Can be amended in the field. Maximum length: 199 characters
Visual name in report | Name as displayed in Report Launcher. Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.
Use direct value | Stipulation of values in ZAMS, which are fixed in Report Launcher. Note: With pivot-related settings, the property is not available, because the Direct value must be configured.
Direct value | Configuration of the direct value. Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Variable filter

zenon Analyzer > Report templates > Report settings > Variable filter

Properties to configure the wild card filter for the Variable filter report setting for Report Launcher.

Variable filter properties

General

Stipulates whether the unit of the efficiency class model is to be used as a unit filter for finding variables.

Property

Description

Filter by efficiency class model measuring unit

Setting for whether filtering is to take place according to efficiency class model units of measurement.

  • Active: The variable list is filtered on the basis of the unit of the efficiency class model.

Default: Inactive


Variables with measuring unit filter (from archives)

zenon Analyzer > Report templates > Report settings > Variables with measuring unit filter (from archives)

Properties for the configuration of the Variables with measuring unit filter (from archives) project setting setting for Report Launcher.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report Parameter

Settings of the report parameters.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Multi selection

Selection of whether the report parameters allows the selection of several values in Report Launcher.

  • Active: Several values are accepted.
  • Inactive: Only one value is accepted.
    Note: If there is a switch from active to inactive, the configuration of the default values that contain more than one value is reset.

Only available if several values are possible.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Consumption interval

zenon Analyzer > Report templates > Report settings > Consumption interval

Properties for the configuration of the display of the consumption interval in Report Launcher.

Properties

General

Configuration of the sorting order.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list: Corresponds to the order in the data set.
  • Reversed available value list: Reverse order of the data set.

Default: Same as available value list

Report parameter

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Aggregation function

zenon Analyzer > Report templates > Report settings > Aggregation function

Properties for the configuration of the Aggregation function project setting setting for Report Launcher.

Aggregation function

Configuration of the aggregation function.

Report Parameter

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Available values

Shows the number of values that are available in Report Launcher.
Clicking on the ... button opens the dialog for configuration.
Available:

  • Sum
  • Average
  • Minimum
  • Maximum

Default: All values preselected.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list: Corresponds to the order in the data set.
  • Reversed available value list: Reverse order of the data set.
  • Default: Same as available value list

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.

Other topics in this chapter

Aggregation function dialog


Aggregation function dialog

zenon Analyzer > Report templates > Report settings > Aggregation function > Aggregation function dialog

In this dialog, you configure the values of the aggregation function that are available in Report Launcher.

Option

Description

Checkbox

Defines whether the aggregation function labeled in the Available value column is offered in Report Launcher.

  • Active: The aggregation function is available in Report Launcher.
  • Inactive: The aggregation function is not available.

Note: At least one value must be active.

Available value

List of the configurable aggregation functions.

Keyword

Keyword from the language table.
Must be unique.

Current labeling

Labeling that is displayed with the current setting in Report Launcher.

Button

Click the ... button and the dialog opens to select a keyword from the language table.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Note: The OK button is only available if all inputs have been validated as positive.


Aggregation interval

zenon Analyzer > Report templates > Report settings > Aggregation interval

Properties for the configuration of the Aggregation interval report setting for the Report Launcher.

Aggregation interval

Configuration of the aggregation intervals.

Report Parameter

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Available values

Shows the number of values that are available in Report Launcher.
Clicking on the ... button opens the dialog for configuration.
Available:

  • No aggregation
    (availability dependent on data set)
  • 1 minute
  • 15 minutes
  • 30 minutes
  • 1 hour
  • 2 hours
  • 6 hours
  • 12 hours
  • 1 day
  • 1 week
  • 1 month
  • 1 quarter
  • 1 year

Default: All values preselected.

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list: Corresponds to the order in the data set.
  • Reversed available value list: Reverse order of the data set.
  • Default: Same as available value list

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.

Other topics in this chapter

Aggregation interval dialog


Aggregation interval dialog

zenon Analyzer > Report templates > Report settings > Aggregation interval > Aggregation interval dialog

In this dialog, you configure the aggregation intervals that can be selected in Report Launcher.

Option

Description

Checkbox

Defines whether the aggregation interval labeled in the Available value column is offered in Report Launcher.

  • Active: The interval is available in Report Launcher.
  • Inactive: The interval is not available.

Note: At least one value must be active.

Available value

List of configurable intervals.

Keyword

Keyword from the language table.
Must be unique.

Current label

Labeling that is displayed with the current setting in Report Launcher.

Button

Click the ... button and the dialog opens to select a keyword from the language table.

Close dialog

Option | Description
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

Note: The OK button is only available if all inputs have been validated as positive.


Loss times meaning

zenon Analyzer > Report templates > Report settings > Loss times meaning

Configuration of the Loss times meaning.

Loss time meaning properties

General

General properties.

Property | Description
Meanings | Meanings for loss times. Click on the ... button to open the dialog for configuration.

Other topics in this chapter

Production Loss Time Visualization configuration


Production Loss Time Visualization configuration

zenon Analyzer > Report templates > Report settings > Loss times meaning > Production Loss Time Visualization configuration

The dialog allows the input of the meanings for variables that are to be displayed in relative or absolute loss time diagrams.

Option | Description
Meaning for variables in relative loss time chart | Input of the meaning, which leads to the variable being included in the relative loss time diagram.
Meaning for variables in absolute loss time chart | Input of the meaning, which leads to the variable being included in the absolute loss time diagram.
Validate configuration | Clicking on the button validates the inputs and provides the results in the list field.
OK | Applies settings and closes the dialog. The button is not shown if one of the input fields is empty.
Cancel | Discards all changes and closes the dialog.


Waterfall

zenon Analyzer > Report templates > Report settings > Waterfall

Waterfall configuration properties.
This setting is used for:

  • Production Analysis Line Based
  • Production Analysis Machine Based

Settings and SQL elements used

The project setting for waterfall has, depending on assignment, the following linkings:

Report setting

Required

used

Waterfall (line)
  • Equipment group

SQL element:

  • ListFilterValuesForLine

Waterfall (machine)
  • Equipment group
  • Project selection

SQL element:

  • ListFilterValuesForEquipment

Waterfall properties

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report parameter

Settings for the display and configuration of the standard in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Sankey diagram display of values

zenon Analyzer > Report templates > Report settings > Sankey diagram display of values

Properties for the display of values

Properties

General

General properties.

Property

Description

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list: Corresponds to the order in the data set.
  • Reversed available value list: Reverse order of the data set.
  • Default: Same as available value list

Report parameter

Settings for the display and configuration of the standard in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Available values

Available values. Only configuration of the language table possible. Click on the ... button to open the dialog to select the keywords.

Valid values:

  • TakeFromModel
    Default: As defined in the Sankey diagram
  • AbsoluteValues
    Default: Absolute values
  • RelativeValues
    Default: Relative values

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.

Valid values:

  • TakeFromModel
    Default: As defined in the Sankey diagram
    Setting is read from the model in the database.
  • AbsoluteValues
    Default: Absolute values
    Absolute values are always used, regardless of the settings in the model.
  • RelativeValues
    Default: Relative values
    Relative values are always used, regardless of the settings in the model.

Attribution is carried out by means of the Available values property


Lot discovery iterations

zenon Analyzer > Report templates > Report settings > Lot discovery iterations

Properties for the configuration of the Lot discovery iterations report setting for the Report Launcher.

Lot discovery iterations

Property

Description

Maximum iterations for lots

Stipulates how many iterations can be carried out as a maximum when finding the lots on auxiliary machines:

  • Minimum: 1
  • Maximum: 10

Default: 3


Active and Reactive Power Counters

zenon Analyzer > Report templates > Report settings > Active and Reactive Power Counters

Properties for the configuration of the Active and Reactive Power Counters report setting for Report Launcher.
This configuration is used by the report templates Active and Reactive Energy Meters (Parent Machine single selection) and Active and Reactive Energy Meters (Machine multiple selection)

Properties

General

General properties.

Property | Description
Active and Reactive Power Counters | Configuration of the meaning for the counter. Clicking on the ... button opens the dialog for assignments of the meanings.

Other topics in this chapter

Configure assignments


Configure assignments

zenon Analyzer > Report templates > Report settings > Active and Reactive Power Counters > Configure assignments

Dialog to configure the Active and reactive power counter assignments. The dialog consists of two tabs:

Tab | Description
Meanings | Configuration of the meanings.
Validation | Validation of the configuration.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Other topics in this chapter

Meanings

Validation


Meanings

zenon Analyzer > Report templates > Report settings > Active and Reactive Power Counters > Configure assignments > Meanings

You configure the assignments of the meanings in this tab.

Option | Description
Active power production | Input of the meaning for the active power production.
Active power consumption | Input of the meaning for the active power consumption.
Reactive power production | Input of the meaning for the reactive power production.
Reactive power consumption | Input of the meaning for the reactive power consumption.
Power plant | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.
Power plant group | Input of the identification for the field in the metadata table that determines the extent of superordinance the power station group has in relation to a machine. Note for developer: ID for field in EQUIPMENTINFO table.

Navigation

Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.


Validation

zenon Analyzer > Report templates > Report settings > Active and Reactive Power Counters > Configure assignments > Validation

The assignments are validated in this tab.

In order for the validation to start, each entry field in the Meanings tab must be populated with a value.

Option | Description
List of results of the verification | Lists all results of the validation of the assignments.
Button | Description
Previous | Switches to previous tab. (Deactivated in the first tab)
Next | Switches to the next tab. (Deactivated in the last tab)
OK | Applies all changes in all tabs and closes the dialog. The button is deactivated if one of the required input fields is empty or not configured correctly.
Cancel | Discards all changes in all tabs and closes the dialog.

Validation process

The following is checked during validation:

  1. Whether it is possible to read from an archive for the equipment group:
    • Precisely 1 active power counter for production
    • Precisely 1 reactive power counter for production
    • At most 1 active power counter for consumption
    • At most 1 reactive power counter for consumption

    If this is not the case, the equipment group cannot be used and the procedure is ended for this equipment group.

  2. The equipment group is arranged in a list.
  3. The equipment tree is built up in such a way that each equipment group that is present in the list in item 2 is present.
  4. The equipment groups are given.


Active power seconds

zenon Analyzer > Report templates > Report settings > Active power seconds

Configuration of the look back time for active power on load shedding.

Properties

General

General properties.

Property

Description

Active power lookback seconds

Entry of a numerical value for the lookback seconds or configuration by means of arrow keys.

  • Minimum: 1
  • Maximum 100

Default: 10


Time frame from

zenon Analyzer > Report templates > Report settings > Time frame from

This report setting allows, together with Time frame to, limitation of the values on the Y axis. It defines the start of the limitation using Direct value.
Example: If the Day unit has been set for the Y axis, the number of days can be limited.

The possible setting for the Direct value property depend on the setting for Configuration of X/Y axis:

  • Minutes: 0-59
  • Hours: 0-23
  • Days 1-31

Time window start properties

Configuration of the start of a time window.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report parameter

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Time frame to

zenon Analyzer > Report templates > Report settings > Time frame to

This report setting allows, together with Time frame from, limitation of the values on the Y axis. It defines the end of the limitation using Direct value. The value must be the same or higher than Time frame from.
Example: If the Day unit has been set for the Y axis, the number of days can be limited.

The possible setting for the Direct value property depend on the setting for Configuration of X/Y axis:

  • Minutes: 0-59
  • Hours: 0-23
  • Days 1-31

Time window end property

Configuration of the start of a time window.

General

General properties.

Property

Description

Filter name

Display of the name of the property. Can be amended in the field.

  • Maximum length: 199 characters

Report parameter

Settings for the display and configuration of shifts in Report Launcher.

Property

Description

Parameter Name

Display of the name of the property. Can be amended in the field.

Maximum length: 199 characters

Sort order

Sorting order in Report Launcher. Select from the drop-down list:

  • By label (ascending)
  • By label (descending)
  • By value (ascending)
  • By value (descending)
  • Same as available value list
  • Reversed available value list

Default: By label (ascending)

Visual name in report

Name as displayed in Report Launcher.

Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

Use direct value

Stipulation of values in ZAMS, which are fixed in Report Launcher.
Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

Direct value

Configuration of the direct value.

Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.


Validation

zenon Analyzer > Report templates > Validation

The validity of reports is now checked for required content and dependencies each time a configuration is changed. A report can only be provided when it is valid and has no validation errors, otherwise the buttons for provision are deactivated.

Validation errors are shown in the design area, in the report configuration area and dialogs by means of red borders, text information and entries in the output window.

Notes on validation:

  • Red frame with red edge at the top right:
    Error in the element. This can be rectified immediately.
  • Red border:
    Error in the element. This can only be rectified if other configurations have been corrected beforehand.
    The linked incorrect objects are marked with a red frame.

The validation of texts is always carried out if text input is applied, i.e. if the focus is lost or by pressing the Enter key.

RDL names

The following is applicable for RDL names (names for data set, time filter, report parameter, filter etc.):

  • Must not be empty.
  • Must start with a letter.
    • Permitted characters: Letters (A-Z, a-z), numbers and underscore.
    • Non-permitted characters: Umlauts, accents, special characters, spaces.
  • Names must be unique:
    RDL names must be unique within a report. New elements are given a serial number by default, in order to ensure their initial validity. If an RDL name is used more than once within a report as a result of user inputs, a validation error is shown at all places where it is used.

Uniqueness of keywords of the language table

The keywords of the language table for report parameters are validated for uniqueness. This ensures that all input elements for report parameters and all labels in the parameter output area have unique labels. ZAMS automatically issues serial numbers on creation, in order to ensure initial validity.

Validation is carried out in two circles:

  • Texts in the parameter area.
    The parameters for the execution of the report are selected here.
  • Texts in the parameter output area.
    The selected values of the parameters in the report are displayed here.

Keywords of time filters and report parameters in filter settings must be unique in order for the labels of the report parameters in Report Launcher to be unique.

Keywords of labelers of time filters in the parameter area and report parameters in filter settings must be unique so that the labels in the parameter output area are unique.

These conditions result in keywords within the report parameters in filter settings having to be unique. This is because these are used in both circles. Only time filters have separate keywords, because the display of the time values in the parameter output area offers several possibilities.

Minimum configuration of design for deployment

In order for a report to be deployed, at least one report element or a cell in the parameter output area must be configured in the design area. If this is not the case, a notice is shown in the design area.

Cells in the parameter output area

Cells in the parameter output area must be fully configured.
The type (filter) and content (time filter or report parameter) must be selected.

Overlapping of report elements

Report elements such as tables or diagrams must not overlap. Overlaps are shown with a red-colored overlay. The affected elements also get a red border. Validation is carried out after positioning an element.

Limit on report height and vertical distances

Limits for heights and distances:

  • Report height: maximum 10000 mm
  • Report width: maximum 10000 mm
  • Vertical distances of parameter output area and report title: each 1000 mm

Invalid entries are not shown as validation error but set to the next valid value.


Examples for report configuration

zenon Analyzer > Report templates > Examples for report configuration

Reports offer several possibilities for configuration. We provide you with the most important examples here. Many basic reports are already supplied with zenon Analyzer. These only need to be configured. You can also combine several report templates. In this example, you learn how to use and combine supplied report templates and to create comparison reports. We recommend zenon Analyzer training to gain comprehensive expertise of report configuration. You can find out what individual training is offered from your COPA-DATA contact or from sales@copadata.com.

Examples of report configuration:

  • Historian Aggregated Trend with Equipment Group and Variable Selection (1 report template)
  • Combination of 2 report templates: "Archive aggregation" and "archive-based efficiency class report"
  • Comparison report: Archive-based efficiency class report for two time periods
  • Example zenon demo project

Other topics in this chapter

Historian aggregated trend with equipment group and variable selection report

Combination of 2 report templates

Comparison report: Archive-based efficiency class report for two time periods

Example zenon demo project


Historian aggregated trend with equipment group and variable selection report

zenon Analyzer > Report templates > Examples for report configuration > Historian aggregated trend with equipment group and variable selection report

In this example, you configure a Historian aggregated trend with equipment group and variable selection report.
To be able to use this report:

  1. Create a new Historian aggregated trend with equipment group and variable selection report.
  2. Configure the report settings.
  3. Configure the design for output in Report Launcher.
  4. Save the report and deploy it.

Other topics in this chapter

Create report

Configuring the report

Report design

Deploy report


Create report

zenon Analyzer > Report templates > Examples for report configuration > Historian aggregated trend with equipment group and variable selection report > Create report

To create a new Historian aggregated trend with equipment group and variable selection report:

  1. Click on New report on the start page or in the File menu.

    The dialog for selecting a report template is opened.

  2. In the Theme drop-down list, select Extended Historian Analysis.
  3. From the drop-down list, select Historian aggregated trend with equipment group and variable selection as a report template.
  4. Click on OK.

    The report template is displayed in ZAMS for configuration.


Configuring the report

zenon Analyzer > Report templates > Examples for report configuration > Historian aggregated trend with equipment group and variable selection report > Configuring the report

The report settings are in the left area of the report template. You configure them with the properties in the right area. The design area is in the middle. In this, you define how the report is shown in Report Launcher.

You generally configure the report settings simply from top to bottom.
Note: Some report settings depend on others or define filters for other report settings.
If a configuration element is selected, its dependencies are shown with colored arrows:

  • Orange arrow: This element is used by the selected element.
  • Blue arrow: This element needs the selected element.

Now configure the report:

Name the report

Give the report a meaningful name for display in Report Launcher. Note, when configuring multi-language projects, that the name must work in all languages.

Note: This is the name that is displayed in the report in Report Launcher. This can be different from the name under which the report definition is saved.

To name the report:

  1. Click on the header with the report name. This is shown as New report by default.

    The attendant properties are shown in the properties.

  2. Click in the field next to Report name.
  3. Enter the desired name.
    We choose Archiv Aggregation. for this example.

Time filter

The time filter stipulates the time period for which a report is created. Up to five time filters per report can be created. You define a time filter for this report.

To create the time filter:

  1. Click on the Timefilter configuration element.
  2. Switch to the properties and configure:

    1. Time filter name: Name of the time filter.
      This is always called Timefilter at first. Ensure that it has a meaningful name. This is how you can assign the time filter correctly when using several time filters.
      Select Main for this example.
    2. Time filter type: Selection of the type of time filter.
      Click on the ... button to open the dialog for configuration. Select an absolute time filter for this example.
    3. Granularity: Selection of the granularity from the drop-down list.
      Select Minute for this example.
    4. Default settings: Configuration of the standard settings.
      You open the dialog for configuration by clicking on the ... button. Click on Fixed time stamp for this example.
    5. Issue a display name in the report for From and To.
    6. Issue the Parameter Area Labels.

Equipment Models

This element stipulates which equipment models are available for the report.

To select an equipment model:

  1. Click on the Equipment Models configuration element.
  2. Switch to the properties and configure the Equipment Models property.

    Select the desired model from the drop-down list.
    The models that are available depend on the settings in the zenon global project.
    Select All models for this example.

Dependencies:

The configuration defines which settings are available for Equipment group.

Equipment group

This element stipulates which equipment groups are available for the report.

To select equipment groups:

  1. Click on the Equipment group configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as EquipmentsDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Equipments.
    3. Multi selection: Configuration of whether the user in Report Launcher can select several values or only one.
      Activate the checkbox.
    4. Nesting mode: Selection of the mode in which the nesting levels are initially displayed in Report Launcher.
      Select Expand nodes until nesting level from the drop-down list.
      All levels up to the level 3configured in this example are shown.
    5. Nesting level: Selection of levels for nesting.
      Select 3.
    6. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Equipment group (EquipmentGroup).
    7. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Dependencies:

  • The possibilities for selection depend on the settings for Equipment Models.
  • The configuration defines which settings are available for Variables (from equipment groups).

Project

This element stipulates which projects are available for the report.

To select projects:

  1. Click on the Project configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as ProjectDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Projects.
    3. Multi selection: Configuration of whether the user in Report Launcher can select several values or only one.
      Activate the checkbox.
    4. Sort order: Configuration of the order in which the projects are displayed in Report Launcher.
      Leave the setting at the given value By label (ascending).
    5. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Projects (Projects).
    6. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Activate the checkbox. The Direct value property is shown.
    7. Direct value: Click on the ... button:
      The dialog to select projects is opened. The projects that are contained depend on the projects running in zenon Runtime. It can take somewhat longer the first time the dialog is called up, because data must be queried and configured.
      Select the project that is to be fixed and prescribed in Report Launcher.

Dependencies:

  • The configuration defines which settings are available for Variables (from equipment groups).

Archive compression

This element stipulates which archive data is available for the report.

To configure the Archive compression:

  1. Click on the Archive compression configuration element.
  2. Switch to the properties and configure:

    1. Archive compression: Selection of compression.
      Leave the setting at the prescribed value Raw data (basic archive).

Dependencies:

  • The configuration defines which settings are available for Variables (from equipment groups).

Variables (from equipment groups)

This element stipulates which variables are available for the report.

To select variables:

  1. Click on the Variables (from equipment groups) configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as EquipmentBasedVariablesDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Variables.
    3. Multi selection: Configuration of whether the user in Report Launcher can select several values or only one.
      Activate the checkbox.
    4. Sort order: Configuration of the order in which the variables are displayed in Report Launcher.
      Leave the setting at the given value By label (ascending).
    5. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Variables (Variables).
    6. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Dependencies:

  • The possibilities for selection depend on the settings for
    • Equipment group
    • Project
    • Archive compression

Aggregation function

This element stipulates which aggregation functions are available for the report.

To select aggregation functions:

  1. Click on the Aggregation function configuration element.
  2. Switch to the properties and configure:

    1. Parameter Name: Display and configuration of the parameter name.
      Leave the name as AggregationFunction.
    2. Available values: Configuration of the available compression functions. Clicking on the ... button opens the dialog for selection.
      Select all available compression functions.
    3. Sort order: Configuration of the order in which the compression functions are displayed in Report Launcher.
      Leave the setting at the given value Same as available value list.
    4. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as compression function (CompressionFunction).
    5. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Aggregation interval

This element stipulates which aggregation intervals are available for the report.

To select aggregation intervals:

  1. Click on the Aggregation interval configuration element.
  2. Switch to the properties and configure:

    1. Parameter Name: Display and configuration of the parameter name.
      Leave the name as AggregationInterval.
    2. Available values: Configuration of the available compression intervals. Clicking on the ... button opens the dialog for selection.
      Select all available values.
    3. Sort order: Configuration of the order in which the compression functions are displayed in Report Launcher.
      Leave the setting at the given value Same as available value list.
    4. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Aggregation (Compression).
    5. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Connector

This element stipulates which connector is used.

To select the Connector:

  1. Click on the Connector configuration element.
  2. Switch to the properties and configure:

Connector: Selection of the connector from the drop-down list.
Select SCADA Runtime Connector.


Report design

zenon Analyzer > Report templates > Examples for report configuration > Historian aggregated trend with equipment group and variable selection report > Report design

After you have configured the report settings, stipulate which input elements, as well as tables and/or graphics, are to be available in Report Launcher.

You configure the design area for this.
Note: The configuration in the design area shows roughly how the report is in Report Launcher, but does not match the final display exactly.

To configure the design area:

  • Stipulate which areas are available in Report Launcher.
    To do this, click on the Show report name and Show parameter area buttons in the header area.
    Leave the setting as the default in this example.
  • Define the number and type of control elements.
  • Add tables and/or graphics.

You can prepare this configuration with wizards or do the whole thing manually.

Configuration with the wizard

To prepare the configuration with wizards:

  1. Open the Design tab.
  2. Click on Generate layout.

    The following are created automatically:

    • Report name and parameters according to the configured report.
    • Standard elements for graphics and tables in accordance with the configured report.

    Note: pre-existing configurations are removed and replaced with the standard configuration.
    Alternatively, click on the arrow next to Generate Layout. a drop-down list is opened. Here, you can create individual design areas to be created.

  3. Edit the created elements and/or supplement them with further parameters and elements.

Manual configuration

To design a report manually:

  1. Click in the design area in the parameter area:

  2. Configure the properties:

    1. Select the number of columns and rows. You use this to define the number of the control elements in the parameter area.
    2. Configure each parameter.

    Select the type of the filter and the element that is to be offered.

  3. Select the report elements to be displayed.
    To do this:
    1. Click on the desired element in the Design tab.
    2. Click on the design area.

    The element is inserted at the mouse position. A configuration dialog is shown.

  4. Configure the element.


Deploy report

zenon Analyzer > Report templates > Examples for report configuration > Historian aggregated trend with equipment group and variable selection report > Deploy report

You can now deploy the report for users. Afterwards, it can be called up in the browser and can be configured and displayed according to your requirements.

To deploy the report:

  1. Switch to the Report tab.
  2. Click on Deploy.

    If the report still contains unsaved configurations, you are requested to save.
    The report is deployed.
    The processes are documented in the status line and in the output window.

  3. Click on Open report in the Report Launcher section.

    The report is opened in the browser.


Combination of 2 report templates

zenon Analyzer > Report templates > Examples for report configuration > Combination of 2 report templates

You can combine several report templates into one report. Up to five report templates are possible in a report.
In this example, we are combining the two report templates Historian aggregation with equipment group and variable selection and archive-based efficiency class report.

Configuration is primarily carried out along the lines of a report template as in the example Historian aggregated trend with equipment group and variable selection report.
With two differences:

  • A second report template is added. There are thus more report settings available.
  • The report settings of both report templates can be combined in part. In this case, you can decide whether the setting can be configured separately for each data set or whether a setting for both data sets is used. The settings that can be combined depend on the data sets used

Selection of report templates

To select the two report templates:

  1. When creating the report, select the Extended Historian analysis theme.
  2. Select Historian Aggregated Trend with Equipment Group and Variable Selection as a report template.

    The report template is opened in ZAMS.

  3. Click in the header area on the green cross next to the last report template.

    The dialog for selecting a report template is opened.

  4. Select the Efficiency class analysis theme.
  5. Select Archive-based efficiency class report as a report template.

    The report template is displayed in the report.

Existing report settings

The report settings are determined by the existing data sets. The settings that can be combined also depend on this. The table lists all report settings available in our example and informs you of their usability together.

Report setting | Note
Timefilter | Always applicable for all data sets.
Equipment Models | Only Historian Aggregated Trend:
Equipment group | Only Historian Aggregated Trend:
Project | Both data sets.
Archives (from projects) | Only archive-based efficiency class report.
Efficiency class name | Only archive-based efficiency class report.
Efficiency class model measuring unit | Only archive-based efficiency class report.
Efficiency class model | Only archive-based efficiency class report.
Archive compression | Both data sets.
Variables (from equipment groups) | Both data sets.
Variables with measuring unit filter (from archives) | Both data sets.
Variable filter | Only archive-based efficiency class report.
Efficiency class sorting | Only archive-based efficiency class report.
Aggregation function | Only Historian Aggregated Trend:
Aggregation interval | Only Historian Aggregated Trend:
Connector | Both data sets.

Link settings

In the first step, some properties that are used for both data sets are combined. To do this, click on the respective symbol between the setting and the display bar.

The following are linked:

  • Project
  • Archive compression
  • Connector

The individual properties are now configured.

Other topics in this chapter

Configuring the report

Design and deployment


Configuring the report

zenon Analyzer > Report templates > Examples for report configuration > Combination of 2 report templates > Configuring the report

Configure the report settings for both data sets.

Time filter

Configure the time filter first:

  1. Click on the Timefilter configuration element.
  2. Switch to the properties and configure:

    1. Time filter name: Name of the time filter.
      This is always called Timefilter at first. Ensure that it has a meaningful name. This is how you can assign the time filter correctly when using several time filters.
      Select ZF_Hauptfilter for this example.
    2. Time filter type: Selection of the type of time filter.
      Click on the ... button to open the dialog for configuration. Select a relative time filter for this example.
    3. Granularity: Selection of the granularity from the drop-down list.
      Select Minute for this example.
    4. Default settings: Configuration of the standard settings.
      You open the dialog for configuration by clicking on the ... button. For this example, change the look-back time to 1 hour.
    5. Time range: In the Visual name in report property, give time range (TimeRange) as a name.
    6. Parameter Area Labels: Configure the labels.

Equipment Models

This element stipulates which equipment models are available for the report.

To select an equipment model:

  1. Click on the Equipment Models configuration element.
  2. Switch to the properties and configure the Equipment Models property.

    Select the desired model from the drop-down list.
    The models that are available depend on the settings in the zenon global project.
    Select All models for this example.

Dependencies:

  • The configuration defines which settings are available for Equipment group.

Equipment group

This element stipulates which equipment groups are available for the report.

To select equipment groups:

  1. Click on the Equipment group configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as EquipmentsDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Equipments.
    3. Multi selection: Configuration of whether the user in Report Launcher can select several values or only one.
      Activate the checkbox.
    4. Nesting mode: Selection of the mode in which the nesting levels are initially displayed in Report Launcher.
      Select Expand nodes until nesting level from the drop-down list.
      All levels up to the level 3configured in this example are shown.
    5. Nesting level: Selection of levels for nesting.
      Select 3.
    6. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Equipment group (EquipmentGroup).
    7. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Dependencies:

  • The possibilities for selection depend on the settings for Equipment Models.
  • The configuration defines which settings are available for Variables (from equipment groups).

Project

This element stipulates which projects are available for the report.

To select projects:

  1. Click on the Project configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as ProjectDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Projects.
    3. Multi selection: Configuration of whether the user in Report Launcher can select several values or only one.
      Activate the checkbox.
    4. Sort order: Configuration of the order in which the projects are displayed in Report Launcher.
      Leave the setting at the given value By label (ascending).
    5. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Projects (Projects).
    6. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Activate the checkbox. The Direct value property is shown.
    7. Direct value: Click on the ... button:
      The dialog to select projects is opened. The projects that are contained depend on the projects running in zenon Runtime. It can take somewhat longer the first time the dialog is called up, because data must be queried and configured.
      Select the project that is to be fixed and prescribed in Report Launcher.

Dependencies:

  • The configuration defines which settings are available for:
    • Archives (from projects)
    • Variables (from equipment groups)

Archives (from projects)

This element configures the selection and display options for the archives in the report.

To configure Archives (from projects):

  1. Click on the Archives (from projects) configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as ProjectBasedArchivesDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Archives.
    3. Multi selection: Setting of whether several archives can be selected in the report or only one.
      Leave the checkbox empty.
    4. Sort order: Setting for the order in which the archives are offered for selection in the report.
      Leave the setting as Nach Bezeichnung (aufsteigend).
    5. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the property as Archive (Archive).
    6. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Dependencies:

  • The properties available depend on the settings for Project.
  • The configuration defines which settings are available for Variables with measuring unit filter (from archives).

Efficiency class name

This element stipulates which efficiency class models are available for the report.

To configure Efficiency class name:

  1. Click on the Efficiency class name configuration element.
  2. Switch to the properties and configure:

    1. Efficiency class model name: Is for name filtering for efficiency class models in the report.
      Leave the setting as *. All available efficiency class models are thus available in the report.

Dependencies:

  • The configuration defines which efficiency classes are available in the Efficiency class model.

Efficiency class model measuring unit

This element defines whether only efficiency class models with a defined unit of measurement are available for the report.

To configure Efficiency class model measuring unit:

  1. Click on the Efficiency class model measuring unit configuration element.
  2. Switch to the properties and configure:

    1. Efficiency class model measuring unit: Is for filtering by units of measurement of the efficiency class models in the report.
      Leave the setting as * in order for all available efficiency class models in the report to be available.

Dependencies:

  • The configuration defines which efficiency classes are available in the Efficiency class model.

Efficiency class model

This element stipulates how the efficiency class models are offered for selection in the report.

To configure the Efficiency class model:

  1. Click on the Efficiency class model configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as EfficiencyClassModelDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as EfficiencyClassModel.
    3. Sort order: Setting for the order in which the archives are offered for selection in the report.
      Leave the setting as Nach Bezeichnung (aufsteigend).
    4. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Efficiency class model (EfficiencyClassModel).
    5. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Dependencies:

  • The configuration defines which settings are available for Variables with measuring unit filter (from archives).

Archive compression

This element stipulates which archive data is available for the report.

To configure the Archive compression:

  1. Click on the Archive compression configuration element.
  2. Switch to the properties and configure:

    1. Archive compression: Selection of compression.
      Leave the setting at the prescribed value Raw data (basic archive).

Dependencies:

  1. The configuration defines which settings are available for Variables (from equipment groups).

Variables (from equipment groups)

This element stipulates which variables are available for the report.

To select variables:

  1. Click on the Variables (from equipment groups) configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as EquipmentBasedVariablesDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Variables.
    3. Multi selection: Configuration of whether the user in Report Launcher can select several values or only one.
      Activate the checkbox.
    4. Sort order: Configuration of the order in which the variables are displayed in Report Launcher.
      Leave the setting at the given value By label (ascending).
    5. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      In the language table, create the new key word VariablesEquipmentgroups and corresponding translations for the required languages, for German in this example: Variables (equipment group). Select the keyword.
    6. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Dependencies:

  • The possibilities for selection depend on the settings for
    • Equipment group
    • Project
    • Archive compression

Variables with measuring unit filter (from archives)

This element stipulates how variables are offered for selection in the report.

To select Variables with measuring unit filter (from archives):

  1. Click on the Variables with measuring unit filter (from archives) configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as EfficiencyClassAndArchiveBasedVariablesDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Variables.
    3. Multi selection: Configuration of whether the user in Report Launcher can select several values or only one.
      Activate the checkbox.
    4. Sort order: Configuration of the order in which the variables are displayed in Report Launcher.
      Leave the setting at the given value By label (ascending).
    5. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      In the language table, create the new key word VariablesArchives and corresponding translations for the required languages, for German in this example: Variables (archives). Select the keyword.
    6. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Variable filter

This element stipulates whether only variables that have the same unit of measurement as the efficiency class model are offered for selection in the report.

To configure the Variable filter:

  1. Click on the Variable filter configuration element.
  2. Switch to the properties and configure:

    Filter by efficiency class model measuring unit: Selection of the variable filtering.
    Activate the checkbox. Therefore only variables that correspond to the filter are offered in Report Launcher.

Dependencies:

  • The configuration defines which settings are available for Variables with measuring unit filter (from archives).

Efficiency class sorting

This element defines whether the efficiency classes in the report are sorted in ascending (lowest value = best value) or descending order (lowest value = worst value).

To configure the Efficiency class sorting:

  1. Click on the Efficiency class sorting configuration element.
  2. Switch to the properties and configure:

    1. Parameter Name: Display and configuration of the parameter name.
      Leave the name as EfficiencyClassOrdering.
    2. Available values: Configuration of the available sorting options. Clicking on the ... button opens the dialog for selection.
      You can only change the displayed text for the sorting. The display is always either ascending or descending, a change is not possible here.
    3. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Efficiency class order (EfficiencyClassOrder).
    4. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Aggregation function

This element stipulates which aggregation functions are available for the report.

To select aggregation functions:

  1. Click on the Aggregation function configuration element.
  2. Switch to the properties and configure:

    1. Parameter Name: Display and configuration of the parameter name.
      Leave the name as AggregationFunction.
    2. Available values: Configuration of the available compression functions. Clicking on the ... button opens the dialog for selection.
      Select all available compression functions.
    3. Sort order: Configuration of the order in which the compression functions are displayed in Report Launcher.
      Leave the setting at the given value Same as available value list.
    4. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as compression function (CompressionFunction).
    5. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Aggregation interval

This element stipulates which aggregation intervals are available for the report.

To select aggregation intervals:

  1. Click on the Aggregation interval configuration element.
  2. Switch to the properties and configure:

    1. Parameter Name: Display and configuration of the parameter name.
      Leave the name as AggregationInterval.
    2. Available values: Configuration of the available compression intervals. Clicking on the ... button opens the dialog for selection.
      Select all available values.
    3. Sort order: Configuration of the order in which the compression functions are displayed in Report Launcher.
      Leave the setting at the given value Same as available value list.
    4. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Aggregation (Compression).
    5. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Connector

This element stipulates which connector is used.

To select the Connector:

  1. Click on the Connector configuration element.
  2. Switch to the properties and configure:

    1. Connector: Selection of the connector from the drop-down list.
      Select SCADA Runtime Connector.


Design and deployment

zenon Analyzer > Report templates > Examples for report configuration > Combination of 2 report templates > Design and deployment

Along the lines of the configuration of a report with a data set, you can now configure the report design and then deploy the report.

Report design

We use the configuration wizards for the design in this example.
Clicking on Generate layout in the Design ribbon creates the required report elements.
The following are created as report elements:

  • Trend chart
  • Efficiency class diagram
  • Efficiency class model table
  • Current value classification table

Deploy report

You can now deploy the report for users. Afterwards, it can be called up in the browser and can be configured and displayed according to your requirements.


Comparison report: Archive-based efficiency class report for two time periods

zenon Analyzer > Report templates > Examples for report configuration > Comparison report: Archive-based efficiency class report for two time periods

In this example, you configure an archive-based efficiency report as a comparative report for 2 time periods. Both time periods should be consecutive and include the same time period.
To be able to use this report:

  1. Create a new archive-based efficiency report.
  2. Configure the time filter settings.
  3. Configure the report settings.
  4. Configure the design for output in Report Launcher.
  5. Save the report and deploy it.

Other topics in this chapter

Create report

Configuring the report

Report design

Deploy report


Create report

zenon Analyzer > Report templates > Examples for report configuration > Comparison report: Archive-based efficiency class report for two time periods > Create report

To create a new archive based efficiency report:

  1. Click on New report on the start page or in the File menu.

    The dialog for selecting a report template is opened.

  2. In Theme in the drop-down list, select Efficiency class analysis.
  3. Select, as a report template, Archive-based efficiency report in the drop-down list.
  4. Click on OK.

    The report template is displayed in ZAMS for configuration.


Configuring the report

zenon Analyzer > Report templates > Examples for report configuration > Comparison report: Archive-based efficiency class report for two time periods > Configuring the report

The report settings are in the left area of the report template. You configure them with the properties in the right area. The design area is in between. In this, you define how the report is shown in Report Launcher.

You generally configure the report settings simply from top to bottom.
Note: Some report settings depend on others or define filters for other report settings.
If a configuration element is selected, its dependencies are shown with colored arrows:

  • Orange arrow: This element is used by the selected element.
  • Blue arrow: This element needs the selected element.

Now configure the report.

Name the report and configure the save path

Give the report a meaningful name for display in Report Launcher.

Note: This is the name that is displayed in the report in Report Launcher. This can be different from the name under which the report definition is saved. Note, when configuring multi-language projects, that the name must work in all languages.

To name the report:

  1. Click on the header with the report name. This is shown as New report by default.

    The attendant properties are shown in the properties.

  2. Click in the field next to Report name.
  3. Enter the desired name.
    We choose Effizienz-Vergleichsreport. for this example.

The report is saved in the Report Launcher root folder by default. Define a save folder that is meaningful to you in Report Launcher.

To configure the save path:

  1. Click Report path.
  2. Click on the ... button.

    The dialog to enter a report path is opened.

  3. Configure the path.
    We select Effizienzanalyse for this example.

Other topics in this chapter

Configure time filter

Configure report settings


Configure time filter

zenon Analyzer > Report templates > Examples for report configuration > Comparison report: Archive-based efficiency class report for two time periods > Configuring the report > Configure time filter

The time filter stipulates the time period for which a report is created. Up to five time filters per report can be created. This time filter can be attendant variants of a time filter and/or time filters that are independent of one another. Each time filter can be configured individually. Dependent variants take on the main setting of the time filter to which they are assigned and are arranged in chronological order.

Two time filters are defined for this report, whereby the second time filter is subordinate to the first one.

Primary time filter

Configure the primary time filter first:

  1. Click on the Timefilter configuration element.
  2. Switch to the properties and configure:

    1. Time filter name: Name of the time filter.
      This is always called Timefilter at first. Ensure that it has a meaningful name. This is how you can assign the time filter correctly when using several time filters.
      Select ZF_Hauptfilter for this example.
    2. Time filter type: Selection of the type of time filter.
      Click on the ... button to open the dialog for configuration. Select a relative time filter for this example.
    3. Granularity: Selection of the granularity from the drop-down list.
      Select Minute for this example.
    4. Default settings: Configuration of the standard settings.
      You open the dialog for configuration by clicking on the ... button. For this example, change the look-back time to 1 hour.
    5. Time range: In the Visual name in report property, give time range (TimeRange) as a name.
    6. Parameter Area Labels: Configure the labels.

Dependent time filter

Define the secondary time filter and configure it:

  1. Click on the time filter symbol on the right next to the time filter.
    A subordinate filter is created and shown in indented form.
  2. Click on the new time filter.
  3. Switch to the properties and configure:

    1. Time filter name: Name of the time filter.
      Select ZF_Untergeordnet for this example.
    2. Time range: Issue a new entry as Visual name in report.
      to do this, click on the ... button and create the new keyword TimeRangeComparison in the language table with the corresponding language entry Time range (comparison) and select this.
    3. Parameter Area Labels: For this example, create new entries in the language table again and allocate these to:

      From: From (comparison)(FromComparison)
      To: To (comparison)(ToComparison)


Configure report settings

zenon Analyzer > Report templates > Examples for report configuration > Comparison report: Archive-based efficiency class report for two time periods > Configuring the report > Configure report settings

Now configure the settings for the report.

Project

This element stipulates which projects are available for the report.

To select projects:

  1. Click on the Project configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as ProjectDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Projects.
    3. Multi selection: Configuration of whether the user in Report Launcher can select several values or only one.
      Activate the checkbox.
    4. Sort order: Configuration of the order in which the projects are displayed in Report Launcher.
      Leave the setting at the given value By label (ascending).
    5. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Projects (Projects).
    6. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Dependencies:

  • The configuration defines which settings are available for archives (of projects).

Archives (from projects)

This element configures the selection and display options for the archives in the report.

To configure Archives (from projects):

  1. Click on the Archives (from projects) configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as ProjectBasedArchivesDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Archives.
    3. Multi selection: Setting of whether several archives can be selected in the report or only one.
      Leave the checkbox empty.
    4. Sort order: Setting for the order in which the archives are offered for selection in the report.
      Leave the setting as Nach Bezeichnung (aufsteigend).
    5. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the property as Archive (Archive).
    6. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Dependencies:

  • The properties available depend on the settings for Project.
  • The configuration defines which settings are available for Variables with measuring unit filter (from archives).
  • Efficiency class model name

Efficiency class name

This element stipulates which efficiency class models are available for the report.

To configure Efficiency class name:

  1. Click on the Efficiency class name configuration element.
  2. Switch to the properties and configure:

    1. Efficiency class model name: Is for name filtering for efficiency class models in the report.
      Leave the setting as *. All available efficiency class models are thus available in the report.

Dependencies:

  • The configuration defines which efficiency classes are available in the Efficiency class model.

Efficiency class model measuring unit

This element defines whether only efficiency class models with a defined unit of measurement are available for the report.

To configure Efficiency class model measuring unit:

  1. Click on the Efficiency class model measuring unit configuration element.
  2. Switch to the properties and configure:

    1. Efficiency class model measuring unit: Is for filtering by units of measurement of the efficiency class models in the report.
      Leave the setting as * in order for all available efficiency class models in the report to be available.

Dependencies:

  • The configuration defines which efficiency classes are available in the Efficiency class model.

Efficiency class model

This element stipulates how the efficiency class models are offered for selection in the report.

To configure the Efficiency class model:

  1. Click on the Efficiency class model configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as EfficiencyClassModelDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as EfficiencyClassModel.
    3. Sort order: Setting for the order in which the archives are offered for selection in the report.
      Leave the setting as Nach Bezeichnung (aufsteigend).
    4. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Efficiency class model (EfficiencyClassModel).
    5. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Dependencies:

  • The configuration defines which settings are available for Variables with measuring unit filter (from archives).

Archive compression

This element stipulates which archive data is available for the report.

To configure the Archive compression:

  1. Click on the Archive compression configuration element.
  2. Switch to the properties and configure:

    1. Archive compression: Selection of compression.
      Leave the setting at the prescribed value Raw data (basic archive).

Dependencies:

  • The configuration defines which settings are available for Variables (from equipment groups).

Variable filter

This element stipulates whether only variables that have the same unit of measurement as the efficiency class model are offered for selection in the report.

To configure the Variable filter:

Click on the Variable filter configuration element.

  1. Switch to the properties and configure:

    Filter by efficiency class model measuring unit: Selection of the variable filtering.
    Leave the checkbox empty.

Dependencies:

  • The configuration defines which settings are available for variables (of archives with unit of measurement).

Efficiency class sorting

This element defines whether the efficiency classes in the report are sorted in ascending (lowest value = best value) or descending order (lowest value = worst value).

To configure the Efficiency class sorting:

  1. Click on the Efficiency class sorting configuration element.
  2. Switch to the properties and configure:

    1. Parameter Name: Display and configuration of the parameter name.
      Leave the name as EfficiencyClassOrdering.
    2. Available values: Configuration of the available sorting options. Clicking on the ... button opens the dialog for selection.
      You can only change the displayed text for the sorting. The display is always either ascending or descending, a change is not possible here.
    3. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Efficiency class order (EfficiencyClassOrder).
    4. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Variables (of archives with unit of measurement)

This element stipulates how variables are offered for selection in the report.

To select Variables with measuring unit filter (from archives):

  1. Click on the Variables with measuring unit filter (from archives) configuration element.
  2. Switch to the properties and configure:

    1. Filter name: Entry of the filter name.
      Leave the name as EfficiencyClassAndArchiveBasedVariablesDataset.
    2. Parameter Name: Display and configuration of the parameter name.
      Leave the name as Variables.
    3. Multi selection: Configuration of whether the user in Report Launcher can select several values or only one.
      Activate the checkbox.
    4. Sort order: Configuration of the order in which the variables are displayed in Report Launcher.
      Leave the setting at the given value By label (ascending).
    5. Visual name in report: Selection of the display name of the setting in Report Launcher.
      Clicking on the ... button opens the language table.
      Leave the setting as Variables (Variables).
    6. Use direct value: Makes it possible to prescribe a value in ZAMS that is then used in the report. The value can no longer be configured in Report Launcher.
      Leave the checkbox empty.

Connector

This element stipulates which connector is used.

To select the Connector:

  1. Click on the Connector configuration element.
  2. Switch to the properties and configure:

    1. Connector: Selection of the connector from the drop-down list.
      Select SCADA Runtime Connector.


Report design

zenon Analyzer > Report templates > Examples for report configuration > Comparison report: Archive-based efficiency class report for two time periods > Report design

After you have configured the report settings, stipulate which input elements, as well as tables and/or graphics, are to be available in Report Launcher.

To do this, configure the design area.
Note: The configuration in the design area shows roughly how the report is in Report Launcher, but does not match the final display exactly.

To configure the design area:

  1. Stipulate which areas are available in Report Launcher.
    To do this, click on the Show report name and Show parameter area buttons in the header area.
    Leave the setting as the default in this example.
  2. Define the number and type of control elements.
  3. Add tables and/or graphics.

You can prepare this configuration with wizards or do the whole thing manually.

In the example, the configuration is carried out with the assistant and modified punctually.

Configuration with the wizard

To prepare the configuration with wizards:

  1. Open the Design tab.
  2. Click on Generate Layout.
    The following are created automatically:
    • Parameters according to the configured report.
    • Standard elements for graphics and tables in accordance with the configured report.
    • The elements are arranged - among each other - once.

    Note: pre-existing configurations are removed and replaced with the standard configuration.

  3. The two time ranges ZF_Hauptfilter and ZF_Untergeordnet are shown as a time range. The display is to be amended to a from-to display.
    1. Click in the parameter area on the ZF_Hauptfilter time filter.
    2. Click on the Split button in the ribbon. The time range is divided into two columns
    3. Configure the left column.
      Cell element: Select From.
  4. Configure the right column.
    1. Filter: Select time filter.
    2. Cell element (top selection): Select ZF_Hauptfilter.
    3. Cell element (bottom selection): Select To.
  5. Repeat the time filter configuration with the ZF_Untergeordnet time filter.
  6. If necessary, you can carry out detailed changes by clicking on the charts or the tables. We are leaving the settings unchanged in this example.


Deploy report

zenon Analyzer > Report templates > Examples for report configuration > Comparison report: Archive-based efficiency class report for two time periods > Deploy report

You can now deploy the report for users. Afterwards, it can be called up in the browser and can be configured and displayed according to your requirements.

To deploy the report:

  1. Switch to the Report tab.
  2. Click on Deploy.

    If the report still contains unsaved configurations, you are requested to save.
    The report is deployed.
    The processes are documented in the status line and in the output window.

  3. Click on Open report in the Report Launcher section.

    The report is opened in the browser.

Example of the created report in Report Launcher:


Example zenon demo project

zenon Analyzer > Report templates > Examples for report configuration > Example zenon demo project

On the installation medium you can find a zenon example project and reports which are used by this project as data source.

To get to know zenon Analyzer we recommend that you open the workspace of the example project in zenon and you try out the interaction with the reports.

  1. Start the Runtime.
  2. You can see an F&B bottle filling line in the start screen

  3. Switch to the Line Overview via:
    • Online status
    • Graphic analysis
    • Counter

The data from screen Counter are directly processed in the reports.


Supplied report templates

zenon Analyzer > Report templates > Supplied report templates

With zenon Analyzer - depending on the licensing - pre-configured report templates are supplied for the creation of reports with ZAMS. Report templates are configured in ZAMS. You can find details on the input elements at the respective report template and in the Elements in the report area chapter.

Note for developers of reports: These reports use stored procedures and user-defined function blocks, that are described in the documentation for developers.

info Information

Handling with time interval for archive aggregation and display in the report:

  • Interval less or equal to 60 minutes:
    The correct time interval in UTC is noted for aggregation.
  • Interval greater than 60 minutes:
    The correct time interval in the server's local time is noted for aggregation.
  • Local time is always used for the display. If the user and server are in different time zones, there may be differences.

License report templates

Report templates must be licensed in order to be able to use them. Different license packages are available. You can find details on licenses for report themes and report templates form the price list or contact your COPA-DATA contact partner.

Supplied report templates

The following report templates are available:

Alarm and Event Analysis

Report templates for the evaluation of alarms and events.

  • Alarm List: Creates a list of alarms in table form for a time range.
  • Top N Alarms: Gets a defined number (N) of alarms that occur most frequently in a time range or have been active for the longest.
  • Top N Alarms grouped: Gets all alarms in the time period, groups them according to the set criteria (alarm class, for example) and displays the N groupings with the most alarms or the longest sum of duration pending.
  • Alarm Aggregation: Creates graphical and tabular representations of aggregated alarm data.
  • Event list: Creates a list of events in table form for a time range.
  • Top N Events: Gets a defined number (N) of events that occur most frequently in a time range.
  • Top N Events grouped: Gets all events in the time period, groups them according to the set criteria (event class, for example) and displays the N groupings with the most events.

Custom Formula Analysis

Report templates for custom formulas.

  • Custom Formula Trend: Trend display of user-defined formulas for a time range.
  • Custom Formula Aggregated Trend: Trend display of aggregated user-defined formulas for a time range.
  • Custom Formula Aggregation: Trend display of aggregated, user-defined formulas for a time range.

Historian Analysis

Report templates for the evaluation and direct or aggregated display of archive data.

  • Historian Trend: Gets archive data for a time range and displays this without aggregation in a trend
  • Historian Aggregated Trend: Gets archive data for a time range, aggregates this in intervals in the time range and displays it as a trend.
  • Historian Aggregation: Gets archive data for a time range, aggregates this and displays each of the aggregation results separately
  • Historian Distribution: Gets archive data for a variable, rounds this up to a configurable rounding factor and displays the distribution of the values.

Efficiency Class Analysis

Report templates for efficiency analyses based on efficiency class models in conjunction with archives, equipment or user-defined formulas.

  • Archive based efficiency report: Carries out an efficincy analysis based on archive data for a certain time period.
  • Equipment group based efficiency report: Carries out an efficiency analysis based on equipment groups for a time period.
  • Formula based efficiency report: Carries out a formula-based efficiency analysis for a certain time period.

Energy Data Management

Report templates from the themes Historian analysis, efficiency class analysis, Extended Historian analysis and ISO 50001 for the analysis of energy data management systems.

Historian Analysis:

  • Historian Trend
  • Historian Aggregation

Efficiency Class Analysis

  • Archive based efficiency report: Carries out an efficincy analysis based on archive data for a certain time period.
  • Equipment group based efficiency report: Carries out an efficiency analysis based on equipment groups for a time period.

Extended Historian Analysis:

  • Historian Aggregation with Equipment Group and Variable Selection
  • Historian Aggregated Trend per Equipment Group
  • Historian Aggregated Trend with Equipment Group and Variable Selection
  • Distribution per Variable
  • Cost Distribution per Equipment Model

ISO 50001:

  • Load Duration Curve with Variable Selection
  • Load Duration Curves for Equipment Groups

Extended Historian Analysis

Report templates for archive aggregation or archive distribution, taking into account prices, norm values and production counters.

  • Historian Trend with Equipment Group and Variable Selection: Creates a trend analysis without aggregation for a time period with a trend for each variable.
  • Historian Trend per Equipment Group: Creates a trend analysis without aggregation for a time period with a trend for each equipment group.
  • Historian Aggregated Trend with Equipment Group and Variable Selection: Creates an aggregated trend analysis for a time period with a trend for each variable.
  • Historian Aggregated Trend per Equipment Group: Creates an aggregated trend analysis for a time period with a trend for each equipment model.
  • Historian Trend with Equipment Group and Variable Selection: Calculates, for each variable, aggregated archive data for a time period with the aggregation functions sum, average, minimum and maximum.
  • Historian Aggregation per Equipment Group: Calculates, for each equipment group, aggregated archive data for a time period with the aggregation functions sum, average, minimum and maximum.
  • Historian Trend with Limits with Variable Selection: Evaluates trends with limit values and limit value violations for trends.
  • Historian Aggregated Trend with Limits with Variable Selection: Evaluates aggregated trends with limit values and limit value violations for aggregated trends.
  • Relative Historian Aggregated Trend with Equipment Group and Variable Selection: Creates a relative aggregated trend analysis for a time period with a trend for each variable.
  • Relative Historian Aggregated Trend with Equipment Group and Variable Selection to Standard: Creates a relative aggregated trend analysis for a time period for a variable with a comparison with standard values.
  • Relative Historian Aggregation with Equipment Group and Variable Selection: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Relative Historian Aggregation per Equipment Group: Calculates aggregated distribution data for equipment groups for a time period.
  • Cost Aggregation with Equipment Group and Variable Selection: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Cost Aggregation per Equipment Group Calculates the aggregated cost distributions for a time period that is based on equipment models.

ISO 50001

Report templates for ISO 50001:

  • Load Duration Curve with variable selection: Creates a load duration curve that is based on variable selection.
  • Load Duration Curve for Equipment Groups: Creates a load duration curve that is based on variable selection per equipment group.
  • Carpet Plot: Gets and aggregates data for a carpet plot.
  • Sankey Diagram: Reads the Sankey definitions, gets data and aggregates it, integrates dynamic loss detection if required and displays the result as a diagram or table.

Plus all report templates from the efficiency class analysis, Extended Historian analysis and custom formula analysis themes.

Production Analysis Line Based

Report templates for Production Analysis Line Based.

  • Gantt Chart: Analyzes lots, shifts and variables - specified through meanings, from AML, CEL or archive - and displays the results as a Gantt chart and as a table.
  • Gantt chart with area assignment: Analyzes lots, shifts and variables and displays the result as a Gantt chart and in table form. Variables are specified through meanings from AML, CEL or archive. Numerical values are assigned from classes derived from REMA-STATENAMES.
  • Line Losses Analysis (with lot tracking) Evaluates loss times on lines with lot tracking and provides the lot trends to the line machines.
  • Line Productivity Indicators Analysis (with lot tracking): Evaluates productivity indicators on lines with lot tracking and provides the lot trends to the line machines.
  • Comprehensive Line Productivity Analysis (with lot tracking) Combines the Line Losses Analysis (with lot tracking) and Line Productivity Indicators Analysis (with lot tracking) templates. Analyzes archive data and calculates aggregated loss times and productivity indicators for a time period, based on an equipment group.
  • Line Losses Analysis (without lot tracking): Analyzes archive data and calculates aggregated loss times for a time period, based on an equipment group and a waterfall model.
  • Line Productivity Indicators Analysis (without lot tracking) Analyzes archive data and calculates aggregated productivity indicators for a time period, based on an equipment group.
  • Comprehensive Line Productivity Analysis (without lot tracking) Combines the Line Losses Analysis (without lot tracking) and Line Productivity Indicators Analysis (without lot tracking) templates. Analyzes archive data and calculates aggregated loss times and productivity indicators for a time period, based on an equipment group.
  • Line Losses Lot History (with lot tracking): Analyzes archive data and calculates aggregated loss times for each lot, based on an equipment group.
  • Line Productivity Indicators Lot History (with lot tracking) Analyzes archive data and calculates aggregated production indicators for each lot in a time period, based on an equipment group.
  • Comprehensive Line Productivity Lot History (with lot tracking) Combines the Line Losses Lot History (with lot tracking) and Line Productivity Indicators Lot History (with lot tracking) templates. Analyzes archive data and calculates the aggregated loss times and aggregated productivity indicators for a time period, based on an equipment group.

Production Analysis Machine Based

Report templates for the analysis of loss times and productivity, based on standards.

  • Losses Analysis: Analyzes archive data and calculate aggregated loss times for a time period, based on an equipment group and a waterfall model.
  • Productivity Indicators Analysis: Analyzes archive data and calculates aggregated productivity indicators for a time period, based on an equipment group.
  • Comprehensive Productivity Analysis: Combines the Losses Analysis and Produktivity indicators Analysis report templates.
  • Losses Lot History: Analyzes archive data and calculates aggregated loss times for each lot, based on an equipment group.
  • Productivity Indicators Lot History: Analyzes archive data and calculates aggregated production indicators for each lot in a time period, based on an equipment group.
  • Comprehensive Productivity Lot History: Combines the Losses Lot History and Productivity Indicators Lot History templates.

OEE Analysis

Report templates for the calculation and display of OEE key figures:

  • OEE Indicator: Calculates the OEE performance figures for a selected equipment model in a time period and displays the performance figures in graphic form
  • OEE Indicator Lot History: Calculates the OEE indicators for a selected equipment model for each lot in a period of time and displays the performance figures in graphic form and table form

Predictive Analytics

Report templates for predictions:

  • Prediction Trend per Variable: Shows historical data and predictive data as a trend per variable.
  • Prediction Trend per Equipment Group: Shows historical data and predictive data as a trend per equipment group.
  • Aggregated Prediction Trend per Variable: Shows aggregated historical data and aggregated predictive data as a trend per variable.
  • Aggregated Prediction Trend per Equipment Group: Shows aggregated historical data and aggregated predictive data as a trend per equipment group.
  • Prediction Aggregation per Variable: Shows aggregated historical data and aggregated predictive data per variable.
  • Prediction Aggregation per Equipment Group: Shows aggregated prediction data per equipment group.
  • Relative Prediction Aggregation per Variable: Shows aggregated historical relative data and aggregated predictive relative data per variable.
  • Relative Prediction Aggregation per Equipment Group: Shows aggregated historical relative data and aggregated predictive relative data per equipment group.
  • Cost Prediction Aggregation per Variable: Shows aggregated historical cost data and aggregated predictive data per variable.
  • Cost Prediction Aggregation per Equipment Group: Shows aggregated historical cost data and aggregated predictive cost data per equipment group.
  • Prediction Scatter Plot: Creates a scatter plot of 2 indicators and show their predicted values.
  • Prediction Scatter Plot with Reference Curve: Creates a scatter plot with reference curves of 2 indicators and shows their predicted values.
  • Prediction Model Trainings History: Creates a report training history and diagnosis.

Target Actual Analysis

Report templates for the comparison of any desired machine-related measured sizes.

  • Target Actual Aggregated Trend (absolute): Compares two variables or one variable (actual) with a standard (target). Calculates absolute counter and displays it.
  • Target Actual Aggregated Trend (relative): Compares two variables or one variable (Ist) with a standard (Soll). Calculates relative counter and displays it.
  • Scatter Plot: Creates a scatter plot of a value pair for a time period.
  • Scatter Plot with Reference Curve: Creates a scatter plot for the comparison of any desired machine-related measured sizes with set values.

Statistical Analysis

Report templates for the statistical analysis of data:

  • Process Capability: Calculates the process capability index (Cp) and the critical process capability index (Cpk) from the archived average values and standard deviations.
  • Process Capability based on raw data: Calculates the process capability index (Cp) and the critical process capability index (Cpk) from the archived measured values.
  • Process Capability Trend: Calculates the process capability (Cp) and the critical process capability index (Cpk) from the archived average values and standard deviations, and displays the results as a trend. The calculation of the trend display for Cp and Cpk can be either over a time interval or a random spot-check sample.
  • Process Capability Trend based on raw data: Calculates the process capability (Cp) and the critical process capability index (Cpk) from the archived measured and displays Cp- and Cpk results as a trend. The calculation of the trend display for Cp and Cpk can be either over a time interval of a random spot-check sample.
  • Control Chart: Displays a control chart, based on the archived average values and standard deviations of a measured size.
  • Control Chart based on raw data: Displays a control chart based on an archived measured size.
  • Boxplot: Evaluates archived values statistically. The variables can be addressed by means of either archives or equipment groups.
  • XY Trend Variable Based: Displays an XY trend with selection of the variables for X and Y.
  • XY Trend based on meanings: Displays an XY trend for several equipment groups. The variables for X and Y are searched for on the basis of meanings.
  • Histogram: Create histograms for archived variables.

Hydroelectric Power Plant Analysis

Report templates that determine and display various counters for hydroelectric power plants.

  • Operating Time per Operation Mode and Machine Component: Calculates operating times for the individual operating modes of a machine and machine components.
  • Operating Time per Operation Mode or Frequency Control Mode: Calculates operating times for a machine including times in which the machine is running in either operating or frequency regulation mode.
  • Operating Time per Machine Component: Analyzes absolute operating times of components of an item of equipment or several items of equipment since they were last replaced and since they were last inspected.
  • Operating Time per Power Range: Calculates operating times for a machine per power range.
  • Circuit Breaker Switching Cycles (Switchyard single selection): Calculates switching cycles for circuit breakers with individual selection of equipment models.
  • Circuit Breaker Switching Cycles (Circuit Breaker multiple selection): Calculates switching cycles for circuit breakers with multiple selection of equipment models.
  • Active and Reactive Energy Meters (Parent Machine single selection): Calculates counter values for active and reactive power on the basis of an equipment group with subgroups.
  • Active and Reactive Energy Meters (Machine multiple selection): Calculates counter values for active and reactive power on the basis of selected equipment groups.
  • Power Line Frequency: Calculates time counters for different frequency bands of the network frequency of a machine.
  • Machine Event Counters (Machine single selection): Calculates counters for different events that may occur for a machine.
  • Set Point Change Event Counters (Machine multiple selection): Determines counters for different machine events: Switching on and off as well as changes to the set value.
  • Nozzle Mode Change Event Counters (Machine multiple selection): Determines counters for different machine events: Switching on and off as well as changes to the nozzle mode.
  • Load Shedding Active Power Ranges Event Counters (Machine multiple selection): Determines counters for different machine events: Switching on and off as well as load shedding in configurable active power ranges.
  • Load Shedding Turbine Speed Ranges Event Counters (Machine multiple selection): Determines counters for different machine events: Switching on and off as well as load shedding in configurable turbine speed ranges.
  • Machine Start Counters: Show starts of the machine sets for turbine and pump operation.

From Target Actual Analysis theme:

  • Scatter Plot: Creates a scatter plot for the comparison of any desired machine-related measured sizes with set values.

Scatter Plot with Reference Curve: Creates a scatter plot of a value pair for a time period.

Wind Power Plant Analysis

Reports with this theme provide report templates that determine and display various counters for wind power plants.

  • Wind Rose: Displays aggregated indicator values of equipment groups, grouped according to wind direction.

From Target Actual Analysis theme:

  • Scatter Plot: Creates a scatter plot for the comparison of any desired machine-related measured sizes with set values.
  • Scatter Plot with Reference Curve: Creates a scatter plot of a value pair for a time period.

Note on reports and actions with SP/UDF

When an SP or UDF of ZAMS is overwritten in the database, it is not present for the duration of this process. This can lead to errors when executing existing reports, if these access the SP or UDF at precisely the moment between deletion and recreation.

Recommendation: Do not execute any reports whilst actions are being carried out with ZAMS that relate to these reports. Most of all if ZAMS:

  • is deploying reports
  • is updating the connector functions in the database
  • is creating the SQL connector

Other topics in this chapter

Alarm and Event Analysis

Custom Formula Analysis

Historian Analysis

Efficiency Class Analysis

Energy Data Management

Extended Historian Analysis

ISO 50001

Production Analysis Line Based

Production Analysis Machine Based

OEE Analysis

Predictive Analytics

Target Actual Analysis

Statistical Analysis

Hydroelectric Power Plant Analysis

Wind Power Plant Analysis

Error treatment

Metadata, stored procedures and user-defined function blocks


Alarm and Event Analysis

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis

Reports with this theme provide a range of report templates that assist in the evaluation of alarms and events:

  • Alarm List: Creates a list of alarms in table form for a time range.
  • Top N Alarms: Gets a defined number (N) of alarms that occur most frequently in a time range or have been active for the longest.
  • Top N Alarms grouped: Gets all alarms in the time period, groups them according to the set criteria (alarm class, for example) and displays the N groupings with the most alarms or the longest sum of duration pending.
  • Alarm Aggregation: Creates graphical and tabular representations of aggregated alarm data.
  • Event list: Creates a list of events in table form for a time range.
  • Top N Events: Gets a defined number (N) of events that occur most frequently in a time range.
  • Top N Events grouped: Gets all events in the time period, groups them according to the set criteria (event class, for example) and displays the N groupings with the most events.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Alarm analysis.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Other topics in this chapter

Alarm List

Top N Alarms

Top N Alarms grouped

Alarm Aggregation

Event List

Top N Events

Top N Events grouped

Prerequisites and engineering in zenon


Alarm List

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Alarm List

Reports that are base on this template create an alarm list in table form for a time range. In doing so, alarm filtering is possible according to the following criteria

A zenon project with alarms is required.
Depending on the appearance, with:

  • Alarm/Event groups
  • Alarm/Event class
  • Equipment Groups
  • Comments
  • Alarm causes

Application examples

For example, alarm list reports are suitable for:

Alarm analysis

Filter
  • A machine in a certain time period

Equipment group
  • The most urgent alarms

Alarm/Event class
  • Specific alarm groups, such as emergency stops, machine problems, external faults, etc.

Alarm/Event groups
  • For a production lot

Lots
  • A shift

Shift
  • The alarms with specific alarm comments

Alarm/event comment
  • The alarm causes

Alarm cause

Main data set

The report template uses the following as main data setAmlCel_AlarmList.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Alarm/event class prefilter
  • Alarm/Event class
  • Alarm/event group prefilter
  • Alarm/Event groups
  • Alarm/event comment
  • Equipment group names
  • Connector
  • Alarm cause data
  • Alarm cause

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Alarm/Event groups
  • Alarm/event classes
  • Alarm/event comment
  • Alarm cause
  • Equipment groups
  • Projects

Report elements

This report provides the following report elements:

  • Flat table

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Alarm310_List
    • Alarm_ParseClassGroupFilter
      - SplitStringToInt
    • Alarm_ParseCommentFilter
    • GetAlarmCausesFromTextList
    • GetGuidConnectorInput
    • GetMetaDataConnectorInput
    • ParseEquipmentGroupFilter
      - SplitStringToInt
      - GetFullEquipmentGroupName
    • SplitStringToGuid
    • SplitStringToInt

Settings:

  • ListAlarmClasses
  • ListAlarmGroups
  • ListProjects
  • ListAlarmCauses
  • ListEquipmentTree


Top N Alarms

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Top N Alarms

Reports that are based on this template get a defined number (N) of alarms that occur most frequently in a time range or have been active for the longest. In doing so, different types of alarm filtering are made possible. As an option, the calculation of the active time can also take planned downtime due to shift breaks and shift gaps (time between 2 shifts) into account. Alarm filtering is possible according to the following criteria:

  • Most frequent alarms per project
  • Most frequent alarms per project and alarm class
  • Most frequent alarms per project and alarm group
  • Most frequent alarms per project and equipment group
  • Longest alarm duration per project
  • Longest alarm duration per project and alarm class
  • Longest alarm duration per project and alarm group
  • Longest alarm duration per project and equipment group

Application examples

Top N alarm reports are also suitable for:

Alarm analysis

Filter
  • The most frequent alarms of a machine in a certain time period

Equipment Groups
  • The most frequent urgent alarms

Alarm Classes
  • The most frequent alarms that have led to emergency stops, machine errors, etc.

Alarm groups
  • The most frequent alarms during a production lot

Lots
  • The most frequent alarms during a shift

Shift
  • The alarms for a machine that were active the longest in a certain time period

Equipment Groups
  • The urgent alarms that were active the longest

Alarm Classes
  • The most alarms that were active the longest that have led to emergency stops, machine errors, etc.

Alarm groups
  • The alarms that were active the longest during a production lot

Lots
  • The alarms that were active the longest during a shift

Shift

Requirements

A zenon project with alarms is required.
This should contain: Alarm groups, alarm classes, equipment groups, alarm comments and alarm causes.

Main data set

The report template uses the following as main data set AmlCel_TopNAlarm.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Shift break adjustment
  • Project
  • Alarm/event class prefilter
  • Alarm/Event class
  • Alarm/event group prefilter
  • Alarm/Event groups
  • Alarm/event comment
  • Equipment group names
  • Default value for N
  • Top N calculation
  • Alarm look back time
  • Connector
  • Alarm cause data
  • Alarm cause

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Projects
  • Alarm/Event groups
  • Alarm/event classes
  • Equipment groups
  • Alarm/event comment
  • Alarm cause
  • Number of alarms/events

Report elements

This report provides the following report elements:

  • Grouped table
  • Aggregation diagram (columns, circle):
    • Series definition: Alarm identification
    • Value column: Net alarm time, gross alarm time, alarm amount

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Alarm310_TopN:
    • Alarm_ParseClassGroupFilter:

      - SplitStringToInt

    • Alarm_ParseCommentFilter
    • Alarm310_GetSecondsWithoutShift:

      GetTotalSeconds

    • GetAlarmCausesFromTextList
    • GetGuidConnectorInput
    • GetMetaDataConnectorInput
    • GetTotalSeconds
    • ParseEquipmentGroupFilter:

      - SplitStringToInt

      - GetFullEquipmentGroupName

    • SplitStringToGuid
    • SplitStringToInt

Settings:

  • ListProjectsWithShift
  • ListAlarmClasses
  • ListAlarmGroups
  • ListAlarmCauses
  • ListEquipmentTree


Top N Alarms grouped

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Top N Alarms grouped

Reports that are based on this template get a defined number (N) of alarms that occur most frequently in a time range or have been active for the longest and show this in grouped form.

Requirements

A zenon project with alarms is required.
This should contain: Alarm groups, alarm classes, equipment groups, alarm comments and alarm causes.

Main data set

The report template uses the following as main data setAmlCel_TopNAlarm_Grouped.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Shift break adjustment
  • Project
  • Alarm/event class prefilter
  • Alarm/Event class
  • Alarm/event group prefilter
  • Alarm/Event groups
  • Alarm/event comment
  • Equipment group names
  • Output equipment models
  • Default value for N
  • Top N calculation
  • Alarm grouping
  • Alarm look back time
  • Connector
  • Alarm cause data
  • Alarm cause

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Projects
  • Alarm/Event groups
  • Alarm/event classes
  • Equipment groups
  • Alarm/event comment
  • Alarm cause
  • Number of alarms/events

Report elements

This report provides the following report elements:

  • Flat table
    With the following columns:
    • Grouping
    • Absolute quantity
    • Relative quantity
    • Sum of the gross active time of the absolute alarms
    • Sum of the gross active time of the relative alarms
    • Sum of the net active time of the absolute alarms
    • Sum of the net active time of the relative alarms
  • Pareto chart (columns)
    Enhanced output for one of the following aspects:
    • Number of alarms
    • Sum of the gross active time of the alarms
    • Sum of the net active time of the alarms

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Alarm_TopNGrouped
    • Alarm_ParseClassGroupFilter:

      - SplitStringToInt

    • Alarm_ParseCommentFilter
    • Alarm310_GetSecondsWithoutShift:

      GetTotalSeconds

    • GetAlarmCausesFromTextList
    • GetGuidConnectorInput
    • GetMetaDataConnectorInput
    • GetTotalSeconds
    • ParseEquipmentGroupFilter:

      - SplitStringToInt

      - GetFullEquipmentGroupName

    • SplitStringToGuid
    • SplitStringToInt

Settings:

  • ListProjectsWithShift
  • ListAlarmClasses
  • ListAlarmGroups
  • ListAlarmCauses
  • ListEquipmentTree


Alarm Aggregation

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Alarm Aggregation

Reports that are based on this template display aggregated alarm data in diagrams and tables.

Requirements

A zenon project with alarms is required.
This should contain: Alarm groups, alarm classes, equipment groups, alarm comments and alarm causes.

Main data set

The report template uses the following as main data setAmlCel_AlarmAggregation.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Shift break adjustment
  • Project
  • Alarm/event class prefilter
  • Alarm/Event class
  • Alarm/event group prefilter
  • Alarm/Event groups
  • Alarm/event comment
  • Equipment group names
  • Grouping and overlapping cleanup
  • Alarm look back time
  • Connector
  • Alarm cause data
  • Alarm cause

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Projects
  • Alarm/Event groups
  • Alarm/event classes
  • Equipment groups
  • Alarm/event comment
  • Alarm cause

Report elements

This report provides the following report elements:

  • Grouped table
  • Aggregation chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset

  • Alarm310_Aggregate:
    • Alarm_GetGroupingInfo
    • Alarm_GetOutputGroupingInfo
    • Alarm_ParseClassGroupFilter:

      - SplitStringToInt

    • Alarm_ParseCommentFilter
    • Alarm310_GetSecondsWithoutShift:

      GetTotalSeconds

    • GetAlarmCausesFromTextList
    • GetGuidConnectorInput
    • GetMetaDataConnectorInput
    • GetTotalSeconds
    • ParseEquipmentGroupFilter:

      - SplitStringToInt

      - GetFullEquipmentGroupName

    • SplitStringToGuid
    • SplitStringToInt

Settings:

  • ListProjectsWithShift
  • ListAlarmClasses
  • ListAlarmGroups
  • ListAlarmCauses
  • ListEquipmentTree


Event List

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Event List

Reports that are base on this template create an alarm list in table form for a time range. In doing so, alarm filtering is possible according to the following criteria

Application examples

For example, event list reports are suitable for:

Event evaluation

Filter
  • A machine in a certain time period

Equipment group
  • The most urgent events

Alarm/Event class
  • Specific event groups, such as emergency stops, machine problems, external faults, etc.

Alarm/Event groups
  • For a production lot

Lots
  • A shift

Shift
  • The alarms with specific alarm comments

Alarm/event comment

Requirements

A zenon project with events is required.
Depending on the appearance, with:

  • Alarm/Event groups
  • Alarm/Event class
  • Equipment Groups
  • Comments

Main data set

The report template uses the following as main data setAmlCel_EventList.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Alarm/event class prefilter
  • Alarm/Event class
  • Alarm/event group prefilter
  • Alarm/Event groups
  • Alarm/event comment
  • Equipment group names
  • Event type
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Alarm/Event groups
  • Alarm/event classes
  • Alarm/event comment
  • Equipment groups
  • Projects

Report elements

This report provides the following report elements:

  • Flat table

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • Event310_List
    • Alarm_ParseClassGroupFilter
      - SplitStringToInt
    • Alarm_ParseCommentFilter
    • GetMetaDataConnectorInput
    • ParseEquipmentGroupFilter
      - SplitStringToInt
      - GetFullEquipmentGroupName
    • SplitStringToInt

Settings:

  • ListProjects
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree


Top N Events

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Top N Events

Reports that relate to this template get a defined number (N) of events that occur most frequently in a time period. In doing so, different types of event filtering are made possible. Event filtering is possible according to the following criteria:

  • Most frequent events per project
  • Most frequent events per project and event group
  • Most frequent events per project and event group
  • Most frequent events per project and equipment group

Application examples

For example, event list reports are suitable for:

Event evaluation

Filter
  • The most frequent events of a machine in a certain time period

Equipment group
  • The most frequent urgent events

Alarm/Event class
  • The most frequent events that have led to specific events, such as emergency stops, machine errors, external errors, etc.

Alarm/Event groups

Requirements

A zenon project with events is required.
Depending on the appearance, with:

  • Alarm/Event groups
  • Alarm/Event class
  • Equipment Groups
  • Comments

Main data set

The report template uses the following as main data setAmlCel_TopNEvent.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Alarm/event class prefilter
  • Alarm/Event class
  • Alarm/event group prefilter
  • Alarm/Event groups
  • Alarm/event comment
  • Equipment group names
  • Default value for N
  • Event type
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Alarm/Event groups
  • Alarm/event classes
  • Alarm/event comment
  • Equipment groups
  • Number of alarms/events
  • Projects

Report elements

This report provides the following report elements:

  • Grouped table
  • Aggregation diagram (columns, circle):
    • Series definition: Alarm identification
    • Value column: Net alarm time, gross alarm time, alarm amount

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Event310_TopN
    • Alarm_ParseClassGroupFilter
      - SplitStringToInt
    • Alarm_ParseCommentFilter
    • GetMetaDataConnectorInput
    • ParseEquipmentGroupFilter
      - SplitStringToInt
      - GetFullEquipmentGroupName
    • SplitStringToInt

Settings:

  • ListProjects
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree


Top N Events grouped

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Top N Events grouped

Reports that relate to this template get a defined number (N) of events that occur most frequently in a time period and show this in grouped form.

Requirements

A zenon project with events is required.
Depending on the appearance, with:

  • Alarm/Event groups
  • Alarm/Event class
  • Equipment Groups
  • Comments

Main data set

The report template uses the following as main data setAmlCel_TopNEvent_Grouped.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Alarm/event class prefilter
  • Alarm/Event class
  • Alarm/event group prefilter
  • Alarm/Event groups
  • Alarm/event comment
  • Equipment group names
  • Output equipment models
  • Default value for N
  • Event grouping
  • Event type
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Alarm/Event groups
  • Alarm/event classes
  • Alarm/event comment
  • Equipment groups
  • Number of alarms/events
  • Projects

Report elements

This report provides the following report elements:

  • Flat table
    With the following columns:
    • Grouping
    • Absolute quantity
    • Relative quantity
  • Pareto chart (columns)
    Enhanced output for the number of events

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Event_TopNGrouped
    • Alarm_ParseClassGroupFilter
      - SplitStringToInt
    • Alarm_ParseCommentFilter
    • GetMetaDataConnectorInput
    • ParseEquipmentGroupFilter
      - SplitStringToInt
      - GetFullEquipmentGroupName
    • SplitStringToInt

Settings:

  • ListProjects
  • ListAlarmClasses
  • ListAlarmGroups
  • ListEquipmentTree


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Prerequisites and engineering in zenon

The reports of this theme use zenon standards. A particular configuration of the used modules is not is not necessary.

Other topics in this chapter

Modules needed in zenon

Linking zenon Analyzer reports with zenon

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Alarm Message List
  • Chronological Event List

Alarm Message List

Generation

Alarms are created via

  • Limit values of variables
  • reaction matrices linked with variables

Usage

The following is applicable for use in zenon Analyzer:

  • Alarms can be linked with:
    • Alarm classes from the global project
    • Alarm groups from the global project
    • Alarm causes from the local project
  • Variables from which the alarms come can be linked to equipment groups.
  • Comments for alarms can be entered.
  • When acknowledging alarms, the following can be used as users:
    • zenon users from the global project
    • zenon users from the local project
    • Active Directory users

Chronological Event List

Generation

Events are created:

  • Via limit values of variables
  • Via reaction matrices linked with variables
  • from the system

Usage

The following is applicable for use in zenon Analyzer:

  • Events for limit values or reaction matrices can be linked with:
    • Alarm classes from the global project
    • Alarm groups from the global project
  • Variables from which the events come can be linked to equipment groups.
  • Comments for alarms can be entered.
  • Comments for events can be entered.
  • For events this users can be used:
    • zenon users from the global project
    • zenon users from the local project
    • Active Directory users


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and/or ZAMS settings:

Report | zenon module
Alarm List | Alarm Message List
Top N Alarms | Alarm Message List
Alarm Aggregation | Alarm Message List
Event List | Chronological Event List
Top N Events | Chronological Event List


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Alarm and Event Analysis > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

Initial situation

Initial situation:

  • Different driver variables are available in a zenon project.
  • A global project is available in the same workspace.
  • An Active Directory is linked for the user administration.
  • For each variable, it is known which statuses alarms have and how these should be categorized in groups or classes.

Target

Engineering objectives:

  • Based on the known information alarms should be created.
  • Alarms must be acknowledged with a signed in user.
  • An alarm cause must be entered when acknowledging.
  • The acknowledgment of alarms must be recorded in the chronological event list.

Engineering

Engineering in the zenon Editor:

  • Global project:
    • Configure alarm classes
    • Configure alarm groups.
  • Local project:
    • Create screen for alarm message list and link to a screen switch.
    • Create context list for alarm causes and link to a screen switch.
    • Configure limit values and reaction matrices for the variables with corresponding settings:
      Alarm class
      Alarm group
      requires acknowledgment
      needs alarm cause
      Acknowledgment level for user
      Enter acknowledgment into chronological event list

Operation in Runtime:

  1. Call up screen for Context list.
  2. Define entries for alarm causes
  3. Save data.

Alarms can now be given alarm causes and acknowledged.

Final result

The workspace in the zenon Editor can now be exported using the Analyzer Export Wizard All reports of this theme can be created in ZAMS and can be displayed in the Report Launcher.


Custom Formula Analysis

zenon Analyzer > Report templates > Supplied report templates > Custom Formula Analysis

Reports for this theme provide report templates for user-defined formulas:

  • Custom Formula Trend: Trend display of user-defined formulas for a time range.
  • Custom Formula Aggregated Trend: Trend display of aggregated user-defined formulas for a time range.
  • Custom Formula Aggregation: Trend display of aggregated, user-defined formulas for a time range.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Custom Formula Analysis.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Configuring user-defined formulas in the ZAMS

To configure user-defined formulas in a report of this topic in the ZAMS:

  1. Open a report template.
  2. Configure the report as usual.
  3. Open the Configure custom formulas dialog.
  4. Filter the desired variables.
  5. Add the fields and set the parameters for these.
  6. Set the parameters for the cost fields.
  7. Add the constants as required.
  8. Create the basic data formulas.
    • For reports with archive aggregation:

      Configure the aggregations.

    • For reports with archive aggregation, trend archive aggregation and variants thereof with a comparison:

      Set the parameters for the aggregation formulas.

  9. Confirm the configuration by clicking on OK.
  10. Open the Arrange and colorize formula results dialog
  11. Sort the formulas
  12. Define, if desired, individual colors.
  13. Confirm the configuration by clicking on the OK button.

info Information

Formulas are validated in the Report Launcher before output.

Other topics in this chapter

Custom Formula Trend

Custom Formula Aggregated Trend

Custom Formula Aggregation

Prerequisites and engineering in zenon and zenon Analyzer


Custom Formula Trend

zenon Analyzer > Report templates > Supplied report templates > Custom Formula Analysis > Custom Formula Trend

Reports that are based on this template allow evaluations with user-defined formulas as a trend.

Main data set

The report template uses the following as main data setFormula_Trend.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Custom formulas without aggregation
  • Connector

Report elements

This report provides the following report elements:

  • Flat table
  • Grouped table
  • Pivoted table
  • Trend diagram (column, line)
  • Aggregation diagram (columns, circle)
  • Pareto chart:The value column is selected in the diagram configuration.
    The sum of all values of the selected column is used in the diagram.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • CustomIndicators_Trend:
    • CustomIndicators_GetBaseData
    • CustomIndicators_PerformCalculations


Custom Formula Aggregated Trend

zenon Analyzer > Report templates > Supplied report templates > Custom Formula Analysis > Custom Formula Aggregated Trend

Reports that are based on this template allow evaluations with user-defined formulas as an aggregated trend.

Main data set

The report template uses the following as main data setFormula_AggregatedTrend.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Custom formulas with aggregation
  • Aggregation interval
  • Connector

Report elements

This report provides the following report elements:

  • Flat table
  • Grouped table
  • Pivoted table
  • Trend diagram (column, line)
  • Aggregation diagram (columns, circle)
  • Pareto chart:The value column is selected in the diagram configuration.
    The sum of all values of the selected column is used in the diagram.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • CustomIndicators_AggregatedTrend:
    • CustomIndicators_GetBaseData
    • CustomIndicators_PerformCalculations
    • CustomIndicators_PerformAggregations


Custom Formula Aggregation

zenon Analyzer > Report templates > Supplied report templates > Custom Formula Analysis > Custom Formula Aggregation

Reports that are based on this template allow aggregated evaluations with user-defined formulas as a trend.

Main data set

The report template uses the following as main data setFormula_Aggregation.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Custom formulas with aggregation
  • Connector

Report elements

This report provides the following report elements:

  • Flat table
  • Aggregation diagram (columns, circle)
  • Pareto chart:The value column is selected in the diagram configuration.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • CustomIndicators_Aggregation:
    • CustomIndicators_GetBaseData
    • CustomIndicators_PerformCalculations
    • CustomIndicators_PerformAggregations


Prerequisites and engineering in zenon and zenon Analyzer

zenon Analyzer > Report templates > Supplied report templates > Custom Formula Analysis > Prerequisites and engineering in zenon and zenon Analyzer

The reports of this theme use zenon standards. A particular configuration of the used modules is not is not necessary.

Other topics in this chapter

Modules required in SCADA

Data modeling in zenon Analyzer

Linking zenon Analyzer reports with zenon

Configuration example


Modules required in SCADA

zenon Analyzer > Report templates > Supplied report templates > Custom Formula Analysis > Prerequisites and engineering in zenon and zenon Analyzer > Modules required in SCADA

Reports of this theme use information from zenon:

  • Historian

Historian

Variable values can be read from basic archives and aggregated archives.


Data modeling in zenon Analyzer

zenon Analyzer > Report templates > Supplied report templates > Custom Formula Analysis > Prerequisites and engineering in zenon and zenon Analyzer > Data modeling in zenon Analyzer

For reports of this theme data can be modeled and linked to the zenon variables.

  • Price recordings
  • Standard recording
  • Degree day figures recording

Modeling and assignment is configured in the Manual Data Editor.

Price recordings

In the Analyzer database price trends can be modeled and variables can be assigned.
Assignments to the variable:

  • Minimum: 0
  • Maximum 1

Standard recording

In the Analyzer database standard trends can be modeled and variables can be assigned.
Assignments to the variable:

  • Minimum: 0
  • Maximum N

A maximum of one assigned standard trend can be set as a default.

Degree day figures recording

In the Analyzer database degree day figure trends can be modeled and variables can be assigned.
Assignments to the variable:

  • Minimum: 0
  • Maximum 1


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > Custom Formula Analysis > Prerequisites and engineering in zenon and zenon Analyzer > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and/or ZAMS settings:

Report

zenon module

Modeling zenon Analyzer

Custom Formula Trend
  • Historian
  • Price recordings
  • Standard recording
  • Degree day figures recording

Custom Formula Aggregated Trend
  • Historian
  • Price recordings
  • Standard recording
  • Degree day figures recording

Custom Formula Aggregation
  • Historian
  • Price recordings
  • Standard recording
  • Degree day figures recording


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Custom Formula Analysis > Prerequisites and engineering in zenon and zenon Analyzer > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

Initial situation

There is a variable for energy consumption in kWh available.
This is archived cyclically:

  • Hourly recording: Consumption of the last 60 minutes is written to the variable at 59 minutes and 59 seconds
  • Recording on the hour

There is the following additional information for this energy consumption:

  • Price history: Costs per kWh over the time period
  • Maximum value: Maximum permitted consumption in kWh over the time period
  • Degree day figures: Degree day definition trend at the location where measurement takes place

Target

Reports are to be created that provide the following information:

  • Energy costs
  • Energy consumption in comparison to maximum value
  • Weather-adjusted energy consumption by converting the degree day definition trends

Engineering

The variable is:

  • Created in a SCADA local project
  • Given the unit kWh
  • Recorded in a cyclic archive with 1 hour cycle time

Interim result

Now, the workspace in the SCADA Editor can be exported using the Analyzer Export Wizard. All reports of this theme can thus be created. However, not all required information can be modeled.

Inserting history and trends

The following trends are entered into the manual data editor and linked to the variables exported in the database:

  • Price trend
  • Maximum value as standard trend
  • Degree day figures trend

Final result

All reports of this theme can be created in ZAMS, completed with the necessary information and can be displayed in the Report Launcher.


Historian Analysis

zenon Analyzer > Report templates > Supplied report templates > Historian Analysis

Reports of this theme provide report templates that aid the evaluation and direct or aggregated display of archive data:

  • Historian Trend: Gets archive data for a time range and displays this without aggregation in a trend
  • Historian Aggregated Trend: Gets archive data for a time range, aggregates this in intervals in the time range and displays it as a trend.
  • Historian Aggregation: Gets archive data for a time range, aggregates this and displays each of the aggregation results separately
  • Historian Distribution: Gets archive data for a variable, rounds this up to a configurable rounding factor and displays the distribution of the values.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Historian Analysis.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Metadata

General

Metadata | used | If not used
Projects | + | mandatory.
Alarm/Event class | -- |
Alarm/Event groups | -- |
Users | -- |
Equipment Modeling | -- |
Archives | + | mandatory.
Variables | + | mandatory.
Prices | -- |
Norm values | -- |

Time filter

Metadata | used | If not used
Lots | + | No reports possible with lot filter.
Shifts | + | No reports possible with shift filter.

Other topics in this chapter

Historian Trend

Historian Aggregated Trend

Historian Aggregation

Historian Distribution

Prerequisites and engineering in zenon


Historian Trend

zenon Analyzer > Report templates > Supplied report templates > Historian Analysis > Historian Trend

Reports that are based on this template get archive data for a time range and display this without aggregation in a trend.

Application examples

Historian Trend reports are suitable for the display of the course of all types of measurement values (such as pressures, temperatures etc.) within a freely-selectable time period, lot or shift.

Main data set

The report template uses the following as main data setHistorian_TrendPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Project
  • Archives (from projects)
  • Archive compression
  • Variables (from archives)
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Variables

Report elements

This report provides the following report elements:

  • Flat table
  • Grouped table
  • Pivoted table
  • Trend chart
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.
    The sum of all values of the selected column is used in the diagram.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Archiv_GetPlainTrendData

Settings:

  • ListVariablesForArchives
  • ListArchivesForProjects
  • ListProjects


Historian Aggregated Trend

zenon Analyzer > Report templates > Supplied report templates > Historian Analysis > Historian Aggregated Trend

Reports that are based on this template get archive data for a time range, aggregate this into intervals in the time range and display it as a trend.

Main data set

The report template uses the following as main data setHistorian_AggregatedTrendPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Project
  • Archives (from projects)
  • Archive compression
  • Variables (from archives)
  • Aggregation function
  • Aggregation interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Projects
  • Variables
  • Aggregation function
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Flat table
  • Grouped table
  • Pivoted table
  • Trend chart
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.
    The sum of all values of the selected column is used in the diagram.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Archive_GetDynamicAggregatedTrend

Settings:

  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListProjects


Historian Aggregation

zenon Analyzer > Report templates > Supplied report templates > Historian Analysis > Historian Aggregation

Reports that are based on this template get archive data for a time range, aggregate this and display each of the following aggregation types separately:

  • Sum
  • Average
  • Minimum
  • Maximum

Main data set

The report template uses the following as main data setHistorian_AggregationPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Project
  • Archives (from projects)
  • Archive compression
  • Variables (from archives)
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Projects
  • Variables

Report elements

This report provides the following report elements:

  • Flat table
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Archive_GetAggregatedData

Settings:

  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives


Historian Distribution

zenon Analyzer > Report templates > Supplied report templates > Historian Analysis > Historian Distribution

Reports that are based on this template get archive data for a variable, round this up to a configurable rounding factor and display the distribution of the values. In addition, the following types of aggregation are calculated and displayed with markers:

  • Minimum
  • Average
  • Maximum

Application examples

Historian Trend reports are suitable for the graphic display of distributions of measured values. This can establish how many production items are within the permitted tolerances. In addition, it is possible to assess whether the measured values tend to deviate upwards or downwards.

Main data set

The report template uses the following as main data setHistorian_Distribution.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Project
  • Archives (from projects)
  • Archive compression
  • Variables (from archives)
  • Consumption interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Projects
  • Variables
  • Consumption interval

Report elements

This report provides the following report elements:

  • Aggregation Table
  • Distribution Table
  • Distribution chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Archive310_GetDistributionData

Settings:

  • ListVariablesForArchives
  • ListArchivesForProjects
  • ListProjects


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > Historian Analysis > Prerequisites and engineering in zenon

The reports of this theme use zenon standards. A particular configuration of the used modules is not is not necessary.

Other topics in this chapter

Modules needed in zenon

Linking zenon Analyzer reports with SCADA system

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Historian Analysis > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Historian

Historian

Variable values can be read from basic archives and aggregated archives.


Linking zenon Analyzer reports with SCADA system

zenon Analyzer > Report templates > Supplied report templates > Historian Analysis > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with SCADA system

Overview of which report needs SCADA modules and/or ZAMS settings:

Report | SCADA module
Historian Trend | Historian
Historian Aggregated Trend | Historian
Historian Aggregation | Historian
Historian Distribution | Historian


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Historian Analysis > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

Target

All reports of this theme should be enabled for creation with values from archived variables.

Engineering

Engineering in the zenon Editor:

  • Create the required variables
  • Create basic archive and configure variables to be archived.
  • Create aggregated archives if needed.

Final result

The workspace in the zenon Editor can now be exported using the Analyzer Export Wizard All reports of this theme can be created in ZAMS and can be displayed in the Report Launcher.


Efficiency Class Analysis

zenon Analyzer > Report templates > Supplied report templates > Efficiency Class Analysis

The report templates in this topic carry out an efficiency analysis based on the efficiency class models. The data can be processed on the basis of archives, equipment groups or formulas.

  • Archive based efficiency report: Carries out an efficincy analysis based on archive data for a certain time period.
  • Equipment group based efficiency report: Carries out an efficiency analysis based on equipment groups for a time period.
  • Formula based efficiency report: Carries out a formula-based efficiency analysis for a certain time period.

info Information

Period under review and normalization interval:

  • Amendment of value sum:
    The main SPs for this report template take the time normalization of the selected efficiency class model into account. Therefore the value sum in the period under review must be amended to the time normalization of the model in the SPs. This happens by means of linear amendment.
    If the period under review is shorter than the normalization interval, the result becomes imprecise, because time-related variations of the values are not also calculated with it.
  • Example:
    For a period under review of 1 day and 1 week normalization interval, the value sum of the day is calculated up on a linear basis and multiplied by 7. Value differences between weekday and weekend are not also included in the calculation.
  • Recommendation:
    Select the period under review of a report that is always greater than the normalization interval of the efficiency class model.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Efficiency Class Analysis.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Other topics in this chapter

Archive based Efficiency Report

Equipment Group based Efficiency Report

Formula based Efficiency Report

Prerequisites and engineering in zenon


Archive based Efficiency Report

zenon Analyzer > Report templates > Supplied report templates > Efficiency Class Analysis > Archive based Efficiency Report

Reports that are based on this template carry out an efficiency analysis with selection of projects, archives and variables. The data is normalized on the basis of the requirements of the efficiency class model.

Main data set

The report template uses the following as main data setEfficiency_VariableBased.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Project
  • Archives (from projects)
  • Efficiency class name
  • Efficiency class model measuring unit
  • Efficiency class model
  • Archive compression
  • Variable filter
  • Efficiency class sorting
  • Variables with measuring unit filter (from archives)
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Efficiency class model
  • Efficiency class order
  • Projects
  • Variables

Report elements

This report provides the following report elements:

  • Efficiency class model table:
    Columns:
    • Efficiency class color
    • Efficiency class name
    • Lower limit

    The rows are always sorted in the same way as the efficiency class diagram.

  • Classification table for current value
    Column:
    • Efficiency class color
    • Efficiency class name
    • Current value

    This table only has one row with the currently-assigned efficiency class and the current value.

  • Efficiency Class Diagram

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ECM_GetArchiveBasedData
    • ECM_CalculateTimeNormalisationFactor

Settings:

  • ListEfficiencyClassModels
  • ListArchivesForProjects
    • SplitStringToInt
  • ListProjects
  • ListVariablesForArchivesWithEcmUnitFilter
    • SplitStringToInt


Equipment Group based Efficiency Report

zenon Analyzer > Report templates > Supplied report templates > Efficiency Class Analysis > Equipment Group based Efficiency Report

Reports that are based on this template carry out an efficiency analysis on the basis of equipment groups for a certain time period. The data is normalized on the basis of the requirements of the efficiency class model. The efficiency data can be displayed in an efficiency class diagram and efficiency class tables.

Main data set

The report template uses the following as main data setEfficiency_EquipmentBased: Analyzes efficiency classes with equipment group selection.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Efficiency class name
  • Efficiency class model measuring unit
  • Efficiency class model
  • Archive compression
  • Variable filter
  • Efficiency class sorting
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Efficiency class model
  • Projects
  • Equipment groups
  • Efficiency class order

Report elements

This report provides the following report elements:

  • Efficiency class model table
    • With the columns:

      Efficiency class color

      Efficiency class name

      Lower limit

      Higher limit

    • Row sorting along the lines of efficiency class diagram
  • Current value classification table
    • With the columns:

      Color of the efficiency class

      Efficiency class name

      Current value

    • Only has a row for the assigned efficiency class with the current value
  • Efficiency Class Diagram

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ECM_GetEquipmentBasedData
    • ECM_CalculateTimeNormalisationFactor

Settings:

  • ListEfficiencyClassModels
  • ListProjects
  • ListEquipmentTree


Formula based Efficiency Report

zenon Analyzer > Report templates > Supplied report templates > Efficiency Class Analysis > Formula based Efficiency Report

Reports that are based on this template carry out a formula-based efficiency analysis for a certain time period. The data is normalized on the basis of the requirements of the efficiency class model. The efficiency data can be displayed in an efficiency class diagram and efficiency class tables.

Main data set

The report template uses the following as main data setEfficiency_FormulaBased.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Efficiency class name
  • Efficiency class formula
  • Efficiency class model
  • Efficiency class sorting
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Efficiency class model
  • Efficiency class order

Report elements

This report provides the following report elements:

  • Efficiency class model table:
    Columns:
    • Efficiency class color
    • Efficiency class name
    • Lower limit

    The rows are always sorted in the same way as the efficiency class diagram.

  • Classification table for current value
    Column:
    • Efficiency class color
    • Efficiency class name
    • Current value

    This table only has one row with the currently-assigned efficiency class and the current value.

  • Efficiency Class Diagram

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ECM_GetFormulaBasedData:
    • CustomIndicators_GetBaseData
    • CustomIndicators_PerformCalculations
    • CustomIndicators_PerformAggregations
    • ECM_CalculateTimeNormalisationFactor

Settings:

  • ListEfficiencyClassModels


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > Efficiency Class Analysis > Prerequisites and engineering in zenon

Reports of this theme require specific configurations in zenon.

Other topics in this chapter

Modules needed in zenon

Data modeling in zenon Analyzer

Linking zenon Analyzer reports with zenon

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Efficiency Class Analysis > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Historian

Historian

Variable values can be read from basic archives and aggregated archives.

Find variables per equipment group

In order for a variable to be able to be found for each equipment group, the following conditions must be met in the zenon Editor:

  • The variable has to be stored in an archive.
  • The variable has to be assigned to the desired equipment group.
  • The archive in which the variables are stored has to be assigned to the desired equipment group.

Attention: If the variable is recorded in several archives, only one of them can be assigned to the desired equipment group. If, when listing the archived variables, more than one archive is detected for a variable, this is considered an error. Validation is carried out when configuring the SQL elements of the report.

All assignments for archives and variables are exported by the Analyzer Export Wizard from zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1, P2
  • Equipment group: G1
  • Archives: A1, A2
  • Variables: V1

Findable variable

Example:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned

Project: P2:

  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Project overlapping variable reference. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: No equipment group is assigned to the variable. Variable cannot be found.

Example 3:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Equipment group G1 is assigned

Result: Variable is not stored in the archive. Variable cannot be found.

Example 4:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted

Result: No equipment group is assigned to the archive. Variable cannot be found.

Variables that can be found more than once:

Example:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned
  • Archive A2:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: More than one possible source archive is found for the variable. Variable cannot be found.

Creation of efficiency class models.

Efficiency class models:

  • Can be configured in reaction matrices in the zenon Editor and can be exported with the Analyzer Export Wizard
    You can read further detail in the Efficiency classes chapter in the Analyzer Export Wizards manual.
  • Can be created, changed and deleted in zenon Analyzer with the Meta Data Editor.
    For details, read the Efficiency class models chapter et sequens.


Data modeling in zenon Analyzer

zenon Analyzer > Report templates > Supplied report templates > Efficiency Class Analysis > Prerequisites and engineering in zenon > Data modeling in zenon Analyzer

For reports of this theme data can be modeled and linked to the zenon variables.

  • Price recordings
  • Standard recording
  • Degree day figures recording

Modeling and assignment is configured in the Manual Data Editor.

Price recordings

In the Analyzer database price trends can be modeled and variables can be assigned.
Assignments to the variable:

  • Minimum: 0
  • Maximum 1

Standard recording

In the Analyzer database standard trends can be modeled and variables can be assigned.
Assignments to the variable:

  • Minimum: 0
  • Maximum N

A maximum of one assigned standard trend can be set as a default.

Degree day figures recording

In the Analyzer database degree day figure trends can be modeled and variables can be assigned.
Assignments to the variable:

  • Minimum: 0
  • Maximum 1


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > Efficiency Class Analysis > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and/or ZAMS settings:

Report

zenon modules and configuration

Archive based Efficiency Report
  • Efficiency classes
  • archived variables

Equipment Group based Efficiency Report
  • Efficiency classes
  • Variables archived for equipment groups

Formula based Efficiency Report
  • Efficiency classes
  • Formula calculations


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Efficiency Class Analysis > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

You can find examples for the configuration of these reports in:

Report | Chapter
Archive based Efficiency Report | Engineering example Historian Analysis.
Equipment Group based Efficiency Report | Engineering example Extended Historian Analysis.
Formula based Efficiency Report | Engineering example Custom Formula Analysis.


Energy Data Management

zenon Analyzer > Report templates > Supplied report templates > Energy Data Management

Reports of this theme provide reports from the themes Historian analysis, Extended Historian analysis and ISO 50001 for the analysis of energy data management systems:

Historian Analysis:

  • Historian Trend
  • Historian Aggregation

Efficiency Class Analysis

  • Archive based efficiency report: Carries out an efficincy analysis based on archive data for a certain time period.
  • Equipment group based efficiency report: Carries out an efficiency analysis based on equipment groups for a time period.

Extended Historian Analysis:

  • Historian Aggregation with Equipment Group and Variable Selection
  • Historian Aggregated Trend per Equipment Group
  • Historian Aggregated Trend with Equipment Group and Variable Selection
  • Distribution per Variable
  • Cost Distribution per Equipment Model

ISO 50001:

  • Load Duration Curve with Variable Selection
  • Load Duration Curves for Equipment Groups

You can find further templates for energy analysis in the ISO 50001 theme.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Energy Data Management:
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.


Extended Historian Analysis

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis

Reports with this theme provide report templates for archive aggregation or archive distribution, taking prices, norm values and production counters into account. The use of equipment modeling is obligatory for these reports.

The following are available for the evaluation of archive aggregation or archive distribution:

  • Historian Trend with Equipment Group and Variable Selection: Creates a trend analysis without aggregation for a time period with a trend for each variable.
  • Historian Trend per Equipment Group: Creates a trend analysis without aggregation for a time period with a trend for each equipment group.
  • Historian Aggregated Trend with Equipment Group and Variable Selection: Creates an aggregated trend analysis for a time period with a trend for each variable.
  • Historian Aggregated Trend per Equipment Group: Creates an aggregated trend analysis for a time period with a trend for each equipment model.
  • Historian Trend with Equipment Group and Variable Selection: Calculates, for each variable, aggregated archive data for a time period with the aggregation functions sum, average, minimum and maximum.
  • Historian Aggregation per Equipment Group: Calculates, for each equipment group, aggregated archive data for a time period with the aggregation functions sum, average, minimum and maximum.
  • Historian Trend with Limits with Variable Selection: Evaluates trends with limit values and limit value violations for trends.
  • Historian Aggregated Trend with Limits with Variable Selection: Evaluates aggregated trends with limit values and limit value violations for aggregated trends.
  • Relative Historian Aggregated Trend with Equipment Group and Variable Selection: Creates a relative aggregated trend analysis for a time period with a trend for each variable.
  • Relative Historian Aggregated Trend with Equipment Group and Variable Selection to Standard: Creates a relative aggregated trend analysis for a time period for a variable with a comparison with standard values.
  • Relative Historian Aggregation with Equipment Group and Variable Selection: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Relative Historian Aggregation per Equipment Group: Calculates aggregated distribution data for equipment groups for a time period.
  • Cost Aggregation with Equipment Group and Variable Selection: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Cost Aggregation per Equipment Group Calculates the aggregated cost distributions for a time period that is based on equipment models.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Extended Historian Analysis.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Metadata

General

Metadata | used | If not used
Projects | + | mandatory.
Alarm/Event class | -- |
Alarm/Event groups | -- |
Users | -- |
Equipment Modeling | + | mandatory.
Archives | + | mandatory.
Variables | + | mandatory.
Prices | + |
Norm values | + |

Time filter

Metadata | used | If not used
Lots | + | No reports possible with lot filter.
Shifts | + | No reports possible with shift filter.

Other topics in this chapter

Historian Trend with Equipment Group and Variable Selection

Historian Trend per Equipment Group

Historian Aggregated Trend with Equipment Group and Variable Selection

Historian Aggregated Trend per Equipment Group

Historian Aggregation with Equipment Group and Variable Selection

Historian Aggregation per Equipment Group

Historian Trend with Limits with Variable Selection

Historian Aggregated Trend with Limits with Variable Selection

Relative Historian Aggregated Trend with Equipment Group and Variable Selection

Relative Historian Aggregated Trend with Equipment Group and Variable Selection to Standard

Relative Historian Aggregation with Equipment Group and Variable Selection

Relative Historian Aggregation per Equipment Group

Cost Aggregation with Equipment Group and Variable Selection

Cost Aggregation per Equipment Group

Prerequisites and engineering in zenon


Historian Trend with Equipment Group and Variable Selection

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Historian Trend with Equipment Group and Variable Selection

Reports that are based on this template create a trend analysis for a time period without aggregation. Variables and archives are filtered by selecting from projects and equipment groups. Each trend represents a variable. The data is shown as a diagram or table.

Main data set

The report template uses the following as main data setExtendedHistorian_TrendDataPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Variables (from equipment groups)
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Variables

Report elements

This report provides the following report elements:

  • Flat table
  • Grouped table
  • Pivoted table
  • Trend chart
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.
    The sum of all values of the selected column is used in the diagram.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetTrendDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Historian Trend per Equipment Group

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Historian Trend per Equipment Group

Reports that are based on this template create a trend analysis for a time period without aggregation. Variables and archives are filtered by selecting from projects and equipment groups. Each trend represents an equipment group. The data is shown as a diagram or table.

Main data set

The report template uses the following as main data setExtendedHistorian_TrendDataPerEquipmentGroup.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects

Report elements

This report provides the following report elements:

  • Flat table
  • Grouped table
  • Pivoted table
  • Trend chart
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.
    The sum of all values of the selected column is used in the diagram.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetTrendDataPerEquipmentGroup

Settings:

  • ListProjects
  • ListEquipmentTree


Historian Aggregated Trend with Equipment Group and Variable Selection

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Historian Aggregated Trend with Equipment Group and Variable Selection

Reports that are based on this template get consumption data for variables over a time range, and display the data with a defined aggregation function as a trend and in a table.

Main data set

The report template uses the following as main data setExtendedHistorian_AggregatedTrendDataPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Variables (from equipment groups)
  • Aggregation function
  • Aggregation interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Variables
  • Aggregation function
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Flat table
  • Grouped table
  • Pivoted table
  • Trend chart
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.
    The sum of all values of the selected column is used in the diagram.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetAggregatedTrendDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Historian Aggregated Trend per Equipment Group

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Historian Aggregated Trend per Equipment Group

Reports that are based on this template get consumption data for all variables from the selected equipment groups over a time range, add this up into intervals within the time range and display the data as a trend and in a table.

Main data set

The report template uses the following as main data setExtendedHistorian_AggregatedTrendDataPerEquipmentGroup.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Aggregation function
  • Aggregation interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Aggregation interval
  • Aggregation function

Report elements

This report provides the following report elements:

  • Flat table
  • Grouped table
  • Pivoted table
  • Trend chart
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.
    The sum of all values of the selected column is used in the diagram.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetAggregatedTrendDataPerEquipment

Settings:

  • ListProjects
  • ListEquipmentTree


Historian Aggregation with Equipment Group and Variable Selection

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Historian Aggregation with Equipment Group and Variable Selection

Reports with this template calculate, for each variable, aggregated archive data for a time period with the aggregation functions sum, average, minimum and maximum. The variables are filtered on the basis of the equipment groups. The data is shown as diagrams or tables.

Main data set

The report template uses the following as main data setExtendedHistorian_AggregationPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Variables (from equipment groups)
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Variables

Report elements

This report provides the following report elements:

  • Flat table
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetAggregatedDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Historian Aggregation per Equipment Group

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Historian Aggregation per Equipment Group

Reports with this template calculate, for each equipment group, aggregated archive data for a time period with the aggregation functions sum, average, minimum and maximum. The variables are recognized on the basis of the equipment groups and aggregated for each equipment group. The data is shown as diagrams or tables.

Main data set

The report template uses the following as main data setExtendedHistorian_AggregationPerEquipmentGroup.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects

Report elements

This report provides the following report elements:

  • Flat table
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetAggregatedDataPerEquipment

Setting:

  • ListProjects
  • ListEquipmentTree


Historian Trend with Limits with Variable Selection

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Historian Trend with Limits with Variable Selection

Reports that are based on this template evaluate trends with limit values and limit value violations for trends.

Main Data Sets

The report template uses the following as main data sets:

  • ExtendedHistorian_TrendWithLimitsPerVariable: Evaluates trends with limit values.
  • ExtendedHistorian_TrendLimitViolationsPerVariable: Evaluates limit value violations for trends.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
    Only activated if, for Variable based on archive or equipment group, Variables (of equipment group) has been selected.
  • Equipment group
    Only activated if, for Variable based on archive or equipment group, Variables (of equipment group) has been selected.
  • Project
  • Archives (from projects)
    Only activated if, for Variable based on archive or equipment group, Variables (of archives) has been selected.
  • Archive compression
  • Variable based on archive or equipment group
  • Higher limit
  • Lower limit
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Archives
  • Projects
  • Variables
  • Lower limit
  • Higher limit

Report elements

This report provides the following report elements:

  • Trend with Limits
  • Flat table
  • Flat table with violations of the lower limit
  • Flat table with violations of the upper limit
  • Grouped table
  • Pivoted table

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetTrendDataPerVariable
  • ArchiveEx_GetLimitViolationTrendDataPerVariable
    • GetArchivedVariableMeta
    • ArchiveEx_GroupLimitViolations

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Historian Aggregated Trend with Limits with Variable Selection

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Historian Aggregated Trend with Limits with Variable Selection

Reports that are based on this template evaluate aggregated trends with limit values and limit value violations for aggregated trends.

Main Data Sets

The report template uses the following as main data sets:

  • ExtendedHistorian_AggregatedTrendWithLimitsPerVariable: Evaluates aggregated trends with limit values.
  • ExtendedHistorian_AggregatedTrendLimitViolationsPerVariable: Evaluates limit value violations for aggregated trends.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
    Only activated if, for Variable based on archive or equipment group, Variables (of equipment group) has been selected.
  • Equipment group
    Only activated if, for Variable based on archive or equipment group, Variables (of equipment group) has been selected.
  • Project
  • Archives (from projects)
    Only activated if, for Variable based on archive or equipment group, Variables (of archives) has been selected.
  • Archive compression
  • Variable based on archive or equipment group
  • Aggregation function
  • Aggregation interval
  • Higher limit
  • Lower limit
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Archives
  • Projects
  • Variables
  • Lower limit
  • Higher limit
  • Aggregation function
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Trend with Limits
  • Flat table
  • Flat table with violations of the lower limit
  • Flat table with violations of the upper limit
  • Grouped table
  • Pivoted table

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetAggregatedTrendDataPerVariable
  • ArchiveEx_GetLimitViolationTrendDataPerVariable
    • GetArchivedVariableMeta
    • ArchiveEx_GroupLimitViolations

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Relative Historian Aggregated Trend with Equipment Group and Variable Selection

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Relative Historian Aggregated Trend with Equipment Group and Variable Selection

Reports that are based on this template analyze relative consumption. They:

  • Get consumption data for variables over a time range
  • Add these up in intervals within the time range
  • Divide the interval amounts by the production in the interval (if this is not 0)

Main data set

The report template uses the following as main data setExtendedHistorian_RelativeTrendPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Variables (from equipment groups)
  • Aggregation interval
  • Production counter configuration
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Variables
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Flat table
  • Grouped table
  • Trend chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetAggregatedTrendProductionDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Relative Historian Aggregated Trend with Equipment Group and Variable Selection to Standard

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Relative Historian Aggregated Trend with Equipment Group and Variable Selection to Standard

Reports that are based on this template analyze the relative consumption of a variable in comparison to a requirement from a standard report. These reports:

  • Get consumption data for a variable over a time range
  • add these up in intervals within the time range
  • Divide the interval amounts by the production in the interval (if this is not 0)
  • get a norm value for comparison purposes for the value from the NORM table and include this in the display of data

Main data set

The report template uses the following as main data setExtendedHistorian_RelativeTrendPerVariableToStandard.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Variables (from equipment groups)
  • Aggregation interval
  • Production counter configuration
  • Standard
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Standard
  • Variables
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Flat table
  • Compare to Standard Chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx310_GetAggregatedTrendProductionNormDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListNormsForVariables


Relative Historian Aggregation with Equipment Group and Variable Selection

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Relative Historian Aggregation with Equipment Group and Variable Selection

Reports that are based on this template get consumption data for variables over a time range, add this up and display the consumption amounts graphically and in a table for comparison.

Application examples

Distribution per Variable reports are suited, for example, to the comparison of the deviation of the measured value distribution between two lots.

Main data set

The report template uses the following as main data setExtendedHistorian_RelativeAggregationPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Variables (from equipment groups)
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Variables

Report elements

This report provides the following report elements:

  • Flat table
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetAggregatedDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Relative Historian Aggregation per Equipment Group

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Relative Historian Aggregation per Equipment Group

Reports that are based on this template calculate distribution data for a time period. The data is detected on the basis of the equipment groups and aggregated for each equipment group. The display is shown as a diagram or table.

Main data set

The report template uses the following as main data setExtendedHistorian_RelativeAggregationPerEquipment.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects

Report elements

This report provides the following report elements:

  • Flat table
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetAggregatedDataPerEquipment

Setting:

  • ListProjects
  • ListEquipmentTree


Cost Aggregation with Equipment Group and Variable Selection

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Cost Aggregation with Equipment Group and Variable Selection

Reports that are based on this template:

  • Get consumption data for variables over a time range
  • link the consumption values with the respective applicable prices from the Price table, in order to get the costs
  • add up the costs

Requirements

A zenon project with archives and costs is required. The costs are configured with the Manual Data Editor.

Main data set

The report template uses the following as main data setExtendedHistorian_CostAggregationPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Variables (from equipment groups)
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Variables

Report elements

This report provides the following report elements:

  • Flat table
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetAggregatedCostDataPerVariable

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments


Cost Aggregation per Equipment Group

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Cost Aggregation per Equipment Group

Reports that are based on this template:

  • Get consumption data for all variables of the selected equipment models over a time range
  • link the consumption values with the respective applicable prices from the Price table, in order to get the costs
  • Add up the costs per equipment model

Requirements

A zenon project with archives and costs is required. The costs are configured with the Manual Data Editor.

Main data set

The report template uses the following as main data setExtendedHistorian_CostAggregationPerEquipment.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects

Report elements

This report provides the following report elements:

  • Flat table
  • Aggregation chart
  • Pareto chart:The value column is selected in the diagram configuration.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ArchiveEx300_GetAggregatedCostDataPerEquipment

Settings:

  • ListProjects
  • ListEquipmentTree


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Prerequisites and engineering in zenon

Reports of this theme require specific configurations in zenon.

Other topics in this chapter

Modules needed in zenon

Data modeling in zenon Analyzer

Linking zenon Analyzer reports with zenon

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Variables per equipment groups
  • Variables per meanings
  • Price recordings
  • Standard recording

Find variables per equipment group

In order for a variable to be able to be found for each equipment group, the following conditions must be met in the zenon Editor:

  • The variable has to be stored in an archive.
  • The variable has to be assigned to the desired equipment group.
  • The archive in which the variables are stored has to be assigned to the desired equipment group.

Attention: If the variable is recorded in several archives, only one of them can be assigned to the desired equipment group. If, when listing the archived variables, more than one archive is detected for a variable, this is considered an error. Validation is carried out when configuring the SQL elements of the report.

All assignments for archives and variables are exported by the Analyzer Export Wizard from zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1, P2
  • Equipment group: G1
  • Archives: A1, A2
  • Variables: V1

Findable variable

Example:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned

Project: P2:

  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Project overlapping variable reference. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: No equipment group is assigned to the variable. Variable cannot be found.

Example 3:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Equipment group G1 is assigned

Result: Variable is not stored in the archive. Variable cannot be found.

Example 4:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted

Result: No equipment group is assigned to the archive. Variable cannot be found.

Variables that can be found more than once:

Example:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned
  • Archive A2:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: More than one possible source archive is found for the variable. Variable cannot be found.

Find variables by means of meaning with archive connection

In order for a variable to be able to be addressed by Meaning with an archive connection, the following conditions must be met in the zenon Editor:

  • The variable must have the desired meaning set.
    These are configured in the properties of the variable in the Analyzer node, Meaning property.
  • The variable has to be stored in an archive.
  • The variable has to be assigned to the desired equipment group.
  • The archive in which the variables are stored has to be assigned to the desired equipment group.

Attention: If the variable is recorded in several archives, only one of them can be assigned to the desired equipment group. If, when listing the archived variables per meaning, more than one archive is detected for a variable, this is considered an error. Validation is carried out during configuration in ZAMS and in the SQL elements of the reports.

All assignments for archives and variables are exported by the Analyzer Export Wizard from the zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1, P2
  • Meaning: meaning
  • Equipment group: G1
  • Variables: V1, V2
  • Archives: A1, A2

Findable variable

Example:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned

Project: P2:

  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Project overlapping variable reference. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Meaning was not assigned. Variable cannot be found.

Example 3:

Project: P1:

  • Variable V1:
    • The meaning is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable was not assigned to an equipment group Variable cannot be found.

Example 4:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Equipment group G1 is assigned

Result: Variable is not stored in the archive. Variable cannot be found.

Example 5:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted

Result: Archive was not assigned to an equipment group Variable cannot be found.

Variables that can be found more than once:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned
  • Archive A2":
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: More than one possible source archive was found for the variable. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Variable V2:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Variable V2 is inserted
    • Equipment group G1 is assigned

Result: Found more than one variable for meaning. Whether the variable can be found depends on the report type.


Data modeling in zenon Analyzer

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Prerequisites and engineering in zenon > Data modeling in zenon Analyzer

For reports of this theme data can be modeled and linked to the zenon variables.

  • Price recordings
  • Standard recording

Modeling and assignment is configured in the Manual Data Editor.

Price recordings

In the Analyzer database price trends can be modeled and variables can be assigned.
Assignments to the variable:

  • Minimum: 0
  • Maximum 1

Standard recording

In the Analyzer database standard trends can be modeled and variables can be assigned.
Assignments to the variable:

  • Minimum: 0
  • Maximum N

A maximum of one assigned standard trend can be set as a default.


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and/or ZAMS settings:

Report

zenon module

Historian Trend with Equipment Group and Variable Selection
  • Variables on the basis of equipment groups

Historian Trend per Equipment Group
  • Variables on the basis of equipment groups

Historian Aggregated Trend with Equipment Group and Variable Selection

  • Variables on the basis of equipment groups

Historian Aggregated Trend per Equipment Group
  • Variables on the basis of equipment groups

Historian Aggregation with Equipment Group and Variable Selection
  • Variables on the basis of equipment groups

Historian Aggregation per Equipment Group
  • Variables on the basis of equipment groups

Historian Trend with Limits with Variable Selection
  • archived variables
    or
  • variables archived per equipment group

Historian Aggregated Trend with Limits with Variable Selection
  • archived variables
    or
  • variables archived per equipment group

Relative Historian Aggregated Trend with Equipment Group and Variable Selection
  • Variables on the basis of equipment groups.
  • Production counter per meanings

Relative Historian Aggregated Trend with Equipment Group and Variable Selection to Standard
  • Variables on the basis of equipment groups.
  • Production counter per meanings
  • Standard recording

Relative Historian Aggregation with Equipment Group and Variable Selection
  • Variables on the basis of equipment groups

Relative Historian Aggregation per Equipment Group
  • Variables on the basis of equipment groups

Cost Aggregation with Equipment Group and Variable Selection
  • Variables on the basis of equipment groups.
  • Price recordings

Cost Aggregation per Equipment Group
  • Variables on the basis of equipment groups
  • Price recordings


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Extended Historian Analysis > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

Initial situation

For this example it is assumed that:

The following projects exist:

  • 1 global project
  • 1 local project

The following configuration exists:

  • Consumption variables for the following media:
    • Water (3 variables)
    • Current (2 variables)
  • Cyclic archiving for all variables
  • 1 production counter
  • Price trend for each media
  • Standard trend for each media

Objective:

All reports of this theme should be able to be created.

Engineering

For engineering the following steps are necessary:

  • Equipment Modeling
  • Variable configuration
  • Archive configuration
  • Configuration of prices and standards

Equipment Modeling

In the zenon global project the following equipment models are configured:

Equipment model Plant:

  • Equipment group Production:
    • Equipment Group Machine

Equipment model Media:

  • Equipment Group Water
  • Equipment group Energy

Variables

In the zenon global project the following variables are configured:

Variable | Unit | Data Type | Meaning | Equipment allocation
ProductionCounter | Part | FLOAT | ProductionCounter | Plant.Production.Machine
WaterConsumption1 | m3 | FLOAT |  | Media.Water
WaterConsumption2 | m3 | FLOAT |  | Media.Water
WaterConsumption3 | m3 | FLOAT |  | Media.Water
EnergyConsumption1 | kWh | FLOAT |  | Media.Energy
EnergyConsumption2 | kWh | FLOAT |  | Media.Energy

Archives

In the zenon global project the following archives are configured:

Archive | Variables | Equipment allocation
PR – Production | ProductionCounter | Plant.Production.Machine
CO – Consumption | WaterConsumption1 WaterConsumption2 WaterConsumption3 EnergyConsumption1 EnergyConsumption2 | Media.Water Media.Energy

All archives use:

  • Cyclic with 1 minute cycle time
  • Start/stop with Runtime

Interim result

The workspace in the zenon Editor can now be exported using the Analyzer Export Wizard Reports of this theme - except Relative Trend to Standard and cost reports - can be created.

Inserting prices and standards

The following trends are entered into the Manual Data Editor and linked to the variables exported in the database:

  • Price trends
  • Standard trends

Final result

All reports of this theme can be created in ZAMS, completed with the necessary information and can be displayed in the Report Launcher.

Reports with limits: Only use one limit

Report templates with limits can always be configured for 2 limits in ZAMS. The SPs validate these limits. These report templates can be configured so that only one limit is used.

Configuration

The following steps are necessary in order to use just one limit in the report:

  1. Create report in ZAMS and add report template.
  2. Select report setting for unwanted limit.
  3. Set property to direct value.
  4. Enter a value that will certainly not be breached and that also does not cause problems when checking against the other limit.
    Recommendation: Use values that are wide apart from the expected range of values. For example, 1000000000 as an upper limit and -1000000000 as a lower limit if the expected range of values is between 0 and 1000.
  5. Click on Default layout.
  6. In the parameter display, remove the cell with the unwanted limit.
  7. Diagram with limits: Amend the properties so that the unwanted limit is not drawn.
  8. Remove the table with violations for unwanted limits.


ISO 50001

zenon Analyzer > Report templates > Supplied report templates > ISO 50001

Reports with this theme provide report templates from the ISO50001, Extended Historian Analysis and Custom Formula Analysis themes:

ISO 50001

  • Load Duration Curve with variable selection: Creates a load duration curve that is based on variable selection.
  • Load Duration Curve for Equipment Groups: Creates a load duration curve that is based on variable selection per equipment group.
  • Carpet Plot: Gets and aggregates data for a carpet plot.
  • Sankey Diagram: Reads the Sankey definitions, gets data and aggregates it, integrates dynamic loss detection if required and displays the result as a diagram or table.

Extended Historian Analysis

  • Historian Trend with Equipment Group and Variable Selection: Creates a trend analysis without aggregation for a time period with a trend for each variable.
  • Historian Trend per Equipment Group: Creates a trend analysis without aggregation for a time period with a trend for each equipment group.
  • Historian Aggregated Trend with Equipment Group and Variable Selection: Creates an aggregated trend analysis for a time period with a trend for each variable.
  • Historian Aggregated Trend per Equipment Group: Creates an aggregated trend analysis for a time period with a trend for each equipment model.
  • Historian Trend with Equipment Group and Variable Selection: Calculates, for each variable, aggregated archive data for a time period with the aggregation functions sum, average, minimum and maximum.
  • Historian Aggregation per Equipment Group: Calculates, for each equipment group, aggregated archive data for a time period with the aggregation functions sum, average, minimum and maximum.
  • Historian Trend with Limits with Variable Selection: Evaluates trends with limit values and limit value violations for trends.
  • Historian Aggregated Trend with Limits with Variable Selection: Evaluates aggregated trends with limit values and limit value violations for aggregated trends.
  • Relative Historian Aggregated Trend with Equipment Group and Variable Selection: Creates a relative aggregated trend analysis for a time period with a trend for each variable.
  • Relative Historian Aggregated Trend with Equipment Group and Variable Selection to Standard: Creates a relative aggregated trend analysis for a time period for a variable with a comparison with standard values.
  • Relative Historian Aggregation with Equipment Group and Variable Selection: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Relative Historian Aggregation per Equipment Group: Calculates aggregated distribution data for equipment groups for a time period.
  • Cost Aggregation with Equipment Group and Variable Selection: Calculates the aggregated cost distributions for a time period that is based on variables.
  • Cost Aggregation per Equipment Group Calculates the aggregated cost distributions for a time period that is based on equipment models.

Custom Formula Analysis

  • Custom Formula Trend: Trend display of user-defined formulas for a time range.
  • Custom Formula Aggregated Trend: Trend display of aggregated user-defined formulas for a time range.
  • Custom Formula Aggregation: Trend display of aggregated, user-defined formulas for a time range.

Efficiency Class Analysis

  • Archive based efficiency report: Carries out an efficincy analysis based on archive data for a certain time period.
  • Equipment group based efficiency report: Carries out an efficiency analysis based on equipment groups for a time period.
  • Formula based efficiency report: Carries out a formula-based efficiency analysis for a certain time period.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:ISO 50001.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Other topics in this chapter

Load Duration Curve with Variable Selection

Load Duration Curves for Equipment Groups

Carpet Plot

Sankey Diagram

Prerequisites and engineering in zenon


Load Duration Curve with Variable Selection

zenon Analyzer > Report templates > Supplied report templates > ISO 50001 > Load Duration Curve with Variable Selection

Reports that are based on this template:

  • Get data for a load duration curve
  • Display these as a line chart, area chart or table

Main data set

The report template uses the following as main data setISO50001_LoadDurationCurvePerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Project
  • Archives (from projects)
  • Archive compression
  • Variables (from archives)
  • Aggregation function
  • Aggregation interval
  • Consumption interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Projects
  • Variables
  • Consumption interval
  • Aggregation function
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Flat table
  • Load Duration Curve

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ISO50001_GetLoadDurationCurveData

Settings:

  • ListArchivesForProjects
    • SplitStringToInt
  • ListProjects


Load Duration Curves for Equipment Groups

zenon Analyzer > Report templates > Supplied report templates > ISO 50001 > Load Duration Curves for Equipment Groups

Reports that are based on this template:

  • Get data by equipment group for the load duration curve
  • Display these as a line chart, area chart or table

Main data set

The report template uses the following as main data setISO50001_LoadDurationCurvePerEquipmentGroup.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Aggregation function
  • Aggregation interval
  • Consumption interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Consumption interval
  • Aggregation function
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Flat table
  • Load Duration Curve

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ISO50001_GetEquipmentLoadDurationCurveData

Settings:

  • ListProjects
  • ListEquipmentTree


Carpet Plot

zenon Analyzer > Report templates > Supplied report templates > ISO 50001 > Carpet Plot

Reports that are based on this template:

  • Get and aggregate data for a carpet plot.
  • Assign colors to this
  • Display this as a carpet plot or table

Main data set

The report template uses the following as main data setISO50001_CarpetPlot.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Configuration of X/Y axis
  • Time frame from
  • Time frame to
  • Project
  • Archives (from projects)
  • Archive compression
  • Variables (from archives)
  • Aggregation function
  • Value minimum
  • Value maximum
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Number of colors
  • Value minimum
  • Maximum value
  • Projects
  • Variables
  • Aggregation function
  • Time frame from
  • Time frame to

Report elements

This report provides the following report elements:

  • Grouped table:
    Grouped according to X axis. Sorting is carried out according to the X axis value and Y axis value. The sorting cannot be changed.
    The column names for the table are preset to XAxisPart and YAxisPart by default. They are not derived from the Configuration of X/Y axis report setting and must be amended when creating a report.
  • Carpet Plot

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ISO50001_310_GetCarpetPlotData
  • zrsGetCompressionIntervallsCarpetPlotFiltered


Sankey Diagram

zenon Analyzer > Report templates > Supplied report templates > ISO 50001 > Sankey Diagram

Reports that are based on this template:

  • Reads off the Sankey definitions
  • Get data and aggregate this over the defined time period
  • Integrate dynamic loss detection if required
  • Display the result as a diagram or table

Reports that are based on this template:

  • Get and aggregate data for a carpet plot.
  • Assign colors to this
  • Display this as a carpet plot or table

Main data set

The report template uses the following as main data setISO50001_Sankey.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Sankey diagram selection

  • Properties for the display of values

    Properties

    General

    General properties.

    Property

    Description

    Sort order

    Sorting order in Report Launcher. Select from the drop-down list:

    • By label (ascending)
    • By label (descending)
    • By value (ascending)
    • By value (descending)
    • Same as available value list: Corresponds to the order in the data set.
    • Reversed available value list: Reverse order of the data set.
    • Default: Same as available value list

    Report parameter

    Settings for the display and configuration of the standard in Report Launcher.

    Property

    Description

    Parameter Name

    Display of the name of the property. Can be amended in the field.

    • Maximum length: 199 characters

    Available values

    Available values. Only configuration of the language table possible. Click on the ... button to open the dialog to select the keywords.

    Valid values:

    • TakeFromModel
      Default: As defined in the Sankey diagram
    • AbsoluteValues
      Default: Absolute values
    • RelativeValues
      Default: Relative values

    Visual name in report

    Name as displayed in Report Launcher.

    Clicking on the ... button opens the dialog to select a key word. Each report parameter must have a unique key word.

    Use direct value

    Stipulation of values in ZAMS, which are fixed in Report Launcher.
    Note: With pivot-related settings, the property is not available, because the Direct value must be configured.

    Direct value

    Configuration of the direct value.

    Only available if the Use direct value property has been activated or the setting is pivot-related. Configuration can depend on other elements.

    Valid values:

    • TakeFromModel
      Default: As defined in the Sankey diagram
      Setting is read from the model in the database.
    • AbsoluteValues
      Default: Absolute values
      Absolute values are always used, regardless of the settings in the model.
    • RelativeValues
      Default: Relative values
      Relative values are always used, regardless of the settings in the model.

    Attribution is carried out by means of the Available values property

  • Tolerance
  • Loss keywords
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Sankey Diagram
  • Value representation

Report elements

This report provides the following report elements:

  • Grouped table:
    • Grouped according to source.
    • Grouped according to target.
  • Sankey Diagram

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ISO50001_GetSankeyDiagramData

Settings:

  • ListAvailableSankeyDiagrams


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > ISO 50001 > Prerequisites and engineering in zenon

Reports of this theme require specific configurations in zenon.

The theme also includes reports from other themes. Their configuration is described in the respective theme:

Report from theme | Description in
Extended Historian Analysis | Prerequisites and engineering for Extended Historian Analysis
Efficiency Classes Analysis | Prerequisites and engineering for Efficiency Classes Analysis
Custom Formula Analysis | Prerequisites and engineering for Custom Formula Analysis

Other topics in this chapter

Modules needed in zenon

Linking zenon Analyzer reports with zenon

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > ISO 50001 > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • archived variables
  • Variables for equipment groups
  • Engineering of Sankey diagrams

Historian

Variable values can be read from basic archives and aggregated archives.

Find variables per equipment group

In order for a variable to be able to be found for each equipment group, the following conditions must be met in the zenon Editor:

  • The variable has to be stored in an archive.
  • The variable has to be assigned to the desired equipment group.
  • The archive in which the variables are stored has to be assigned to the desired equipment group.

Attention: If the variable is recorded in several archives, only one of them can be assigned to the desired equipment group. If, when listing the archived variables, more than one archive is detected for a variable, this is considered an error. Validation is carried out when configuring the SQL elements of the report.

All assignments for archives and variables are exported by the Analyzer Export Wizard from zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1, P2
  • Equipment group: G1
  • Archives: A1, A2
  • Variables: V1

Findable variable

Example:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned

Project: P2:

  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Project overlapping variable reference. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: No equipment group is assigned to the variable. Variable cannot be found.

Example 3:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Equipment group G1 is assigned

Result: Variable is not stored in the archive. Variable cannot be found.

Example 4:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted

Result: No equipment group is assigned to the archive. Variable cannot be found.

Variables that can be found more than once:

Example:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned
  • Archive A2:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: More than one possible source archive is found for the variable. Variable cannot be found.

Engineering of Sankey diagrams

Sankey diagrams are configured with the Sankey Wizard in zenon. The created diagrams are exported to the Analyzer database with the Analyzer Export Wizard.


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > ISO 50001 > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and/or ZAMS settings:

Report | zenon module
Load Duration Curve with Variable Selection | Archived variables.
Load Duration Curves for Equipment Groups | Archived Variables for equipment groups
Carpet Plot | Archived variables.
Sankey Diagram | Sankey Diagrams


Configuration example

zenon Analyzer > Report templates > Supplied report templates > ISO 50001 > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

In this example, only the configuration of a Sankey diagram report is described.
You can also find examples for the configuration of further reports in:

Report | Chapter
Load Duration Curve with Variable Selection | Historian Analysis :
Carpet Plot | Historian Analysis

Initial situation

For this example it is assumed that:

  • All required variables are stored in archives in a local project.
  • A global project exists in the workspace.
  • It is known which Sankey diagrams have to be created and with which nodes, connections and variables.

Target

A report for Sankey diagrams is to be able to be created.

Engineering

The necessary Sankey diagrams are created in zenon with the Sankey Wizard.

Final result

The workspace in the zenon Editor can now be exported using the Analyzer Export Wizard The report with Sankey diagrams can be prepared in ZAMS and shown in the Report Launcher.


Production Analysis Line Based

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based

Reports with this theme provide a range of report templates that assist in the evaluation and display of line-based production analyzes:

  • Gantt Chart: Analyzes lots, shifts and variables - specified through meanings, from AML, CEL or archive - and displays the results as a Gantt chart and as a table.
  • Gantt chart with area assignment: Analyzes lots, shifts and variables and displays the result as a Gantt chart and in table form. Variables are specified through meanings from AML, CEL or archive. Numerical values are assigned from classes derived from REMA-STATENAMES.
  • Line Losses Analysis (with lot tracking) Evaluates loss times on lines with lot tracking and provides the lot trends to the line machines.
  • Line Productivity Indicators Analysis (with lot tracking): Evaluates productivity indicators on lines with lot tracking and provides the lot trends to the line machines.
  • Comprehensive Line Productivity Analysis (with lot tracking) Combines the Line Losses Analysis (with lot tracking) and Line Productivity Indicators Analysis (with lot tracking) templates. Analyzes archive data and calculates aggregated loss times and productivity indicators for a time period, based on an equipment group.
  • Line Losses Analysis (without lot tracking): Analyzes archive data and calculates aggregated loss times for a time period, based on an equipment group and a waterfall model.
  • Line Productivity Indicators Analysis (without lot tracking) Analyzes archive data and calculates aggregated productivity indicators for a time period, based on an equipment group.
  • Comprehensive Line Productivity Analysis (without lot tracking) Combines the Line Losses Analysis (without lot tracking) and Line Productivity Indicators Analysis (without lot tracking) templates. Analyzes archive data and calculates aggregated loss times and productivity indicators for a time period, based on an equipment group.
  • Line Losses Lot History (with lot tracking): Analyzes archive data and calculates aggregated loss times for each lot, based on an equipment group.
  • Line Productivity Indicators Lot History (with lot tracking) Analyzes archive data and calculates aggregated production indicators for each lot in a time period, based on an equipment group.
  • Comprehensive Line Productivity Lot History (with lot tracking) Combines the Line Losses Lot History (with lot tracking) and Line Productivity Indicators Lot History (with lot tracking) templates. Analyzes archive data and calculates the aggregated loss times and aggregated productivity indicators for a time period, based on an equipment group.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Production Analysis Line Based.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Other topics in this chapter

Gantt Chart

Gantt Chart with Range Classification

Line Losses Analysis (with lot tracking)

Line Productivity Indicators Analysis (with lot tracking)

Comprehensive Line Productivity Analysis (with lot tracking)

Line Losses Analysis (without lot tracking)

Line Productivity Indicators Analysis (without lot tracking)

Comprehensive Line Productivity Analysis (without lot tracking)

Line Losses Lot History (with lot tracking)

Line Productivity Indicators Lot History (with lot tracking)

Comprehensive Line Productivity Lot History (with lot tracking)

Prerequisites and engineering in SCADA


Gantt Chart

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Gantt Chart

Reports that are based on this template analyze lots, shifts and variables - specified through meanings, from AML, CEL or archive - and display the results as a Gantt chart and as a table.

Recommendations

Equipment Groups

For all equipment groups of an equipment model, use the same identification in the EQUIPMENTINFO table for the sorting field, provided this is used for the sorting.

Archives

Use the following for the recording of data for analysis groups:

  • AML
  • CEL
  • Archives with record on change

The Stored Procdure can also work with cyclical archives and event-controlled archives, but this is expressly not recommended.

Background:

  • Minimization of the amount of data for saving, evacuating and querying.
  • Only the recommended recording types provide a correct millisecond time stamp for the incoming time of an event.

Report in the Report Launcher

Main data set

The report template uses the following as main data set Line_Gantt.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Project
  • Gantt configuration
  • Gantt equipment group
  • Lookback time
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects

Report elements

This report provides the following report elements:

  • Detailed table
  • Aggregated table
  • Gantt Chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • LineAnalysis_GetGanttData
    • LineAnalysis_GetGanttBaseData
  • ListEquipmentTree_Gantt
    • GetEquipmentTreeForGroup

Settings:

  • ListProjects


Gantt Chart with Range Classification

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Gantt Chart with Range Classification

Reports that are based on this template analyze lots, shifts and variables and display the results as a Gantt chart and as a table. Variables are specified through meanings from AML, CEL or archive. Numerical values are assigned from classes derived from REMA-STATENAMES.

Recommendations

Equipment Groups

For all equipment groups of an equipment model, use the same identification in the EQUIPMENTINFO table for the sorting field, provided this is used for the sorting.

Archives

Use the following for the recording of data for analysis groups:

  • AML
  • CEL
  • Archives with record on change

The Stored Procedure can also work with cyclical archives and event-controlled archives, but this is expressly not recommended.

Background:

  • Minimization of the amount of data for saving, evacuating and querying.
  • Only the recommended recording types provide a correct millisecond time stamp for the incoming time of an event.

Main data set

The report template uses the following as main data setLine_GanttRangeClassification.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Project
  • Gantt configuration
  • Gantt equipment group
  • Lookback time
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects

Report elements

This report provides the following report elements:

  • Detailed table
  • Aggregated table
  • Gantt Chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • LineAnalysis_GetGanttRangeData
    • LineAnalysis_GetGanttBaseData
  • ListEquipmentTree_Gantt
    • GetEquipmentTreeForGroup

Settings:

  • ListProjects


Line Losses Analysis (with lot tracking)

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Line Losses Analysis (with lot tracking)

Reports that are based on this template evaluate loss times on lines with lot tracking and provide the lot trends to the line machines. The data can be output as a waterfall diagram and Pareto chart, as well as in flat tables and as a pivoted table.

Main Data Sets

The report template uses the following as main data setsLine_LossesWithLotTracking and Line_lotsFromWaterfall.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Line data filter
  • Equipment group names
  • Waterfall
  • Lot discovery iterations
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Waterfall model
  • Line data filters

Report elements

This report provides the following report elements:

  • Table with all times
  • Table with losses
  • Pivoted table
  • Pareto diagram (absolute)
  • Waterfall chart (horizontal, detailed, absolute)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • LineAnalysis310_GetWaterfallDataWithLotTracking
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList

Settings:

  • ListEquipmentTree
  • ListWaterfallModelsForLine
  • ListFilterValuesForLine


Line Productivity Indicators Analysis (with lot tracking)

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Line Productivity Indicators Analysis (with lot tracking)

Reports that are based on this template evaluate productivity indicators on lines with lot tracking and provide the lot trends to the line machines. In doing so, the start and end of each machine on the line is shown for each lot. The data can be shown as a measurement instrument and aggregation diagram as well as in an indicator table and a pivoted table.

Main Data Sets

The report template uses the following as main data setsLine_IndicatorsWithLotTracking and Line_LotsFromIndicatorMeaning.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Line data filter
  • Line indicator meanings
  • Equipment group names
  • Lot discovery iterations
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Line data filters

Report elements

This report provides the following report elements:

  • Indicator table (additional indicators)
  • Pivoted table (one cell per lot and a column group consisting of the start and end for each machine)
  • Gauge (for availability, performance, quality or OEE)
  • Aggregation diagram (columns)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • LineAnalysis310_GetOeeDataWithLotTracking
    • LineAnalysis_GetPrimaryMachineForMeaning
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList

Settings:

  • ListEquipmentTree
  • ListFilterValuesForLine


Comprehensive Line Productivity Analysis (with lot tracking)

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Comprehensive Line Productivity Analysis (with lot tracking)

Reports that are based on this template combine the templates Line Losses Analysis (with lot tracking) and Line Productivity Indicators Analysis (with lot tracking). They analyze archive data and calculate aggregated loss times and productivity indicators for a time period, based on an equipment group. The data is collected from direct children of the equipment group by tracking the lots of the main equipment group on the other equipment groups. The four main OEE indicators can be displayed as a bar chart or with four measurement instruments. The additional indicators can be displayed in a table.

Main Data Sets

The report template uses the following as main data setsLine_IndicatorsWithLotTracking, Line_LossesWithLotTracking and Line_LotsFromIndicatorMeaningAndWaterfall.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Line data filter
  • Line indicator meanings
  • Equipment group names
  • Waterfall (Line)
  • Lot discovery iterations
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Waterfall model
  • Line data filters

Report elements

This report provides the following report elements:

  • Pivoted table (one cell per lot and a column group consisting of the start and end for each machine)
  • Table with losses
  • Table with all times
  • Indicator table
  • Pareto diagram (absolute)
  • Waterfall chart (horizontal, detailed, absolute)
  • Aggregated archive (columns)
  • Gauge (for availability, performance, quality or OEE)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset

  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList
  • LineAnalysis310_GetOeeDataWithLotTracking
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis310_GetWaterfallDataWithLotTracking

Settings:

  • ListEquipmentTree
  • ListWaterfallModelsForLine
  • ListFilterValuesForLine


Line Losses Analysis (without lot tracking)

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Line Losses Analysis (without lot tracking)

Reports that are based on this template analyze archive data and calculate aggregated loss times for a time period, based on an equipment group and a waterfall model. The data is recorded by the directly-subordinate equipment groups. The results can be displayed as a waterfall diagram, Pareto diagram or as a table.

Main data set

The report template uses the following as main data setLine_LossesWithoutLotTracking.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Line data filter
  • Waterfall
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Waterfall model
  • Line data filters

Report elements

This report provides the following report elements:

  • Table with all times
  • Table with losses
  • Pareto diagram (absolute)
  • Waterfall chart (horizontal, detailed, absolute)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Data sets

  • LineAnalysis310_GetWaterfallDataWithoutLotTracking
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries

Settings:

  • ListEquipmentTree
  • ListWaterfallModelsForLine
  • ListFilterValuesForLine


Line Productivity Indicators Analysis (without lot tracking)

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Line Productivity Indicators Analysis (without lot tracking)

Reports that are based on this template analyze archive data and calculate aggregated productivity indicators for a time period, based on an equipment group. The data is recorded by the directly-subordinate equipment groups. The four main OEE indicators can be displayed as a bar chart or with four measurement instruments. The additional indicators are displayed as a table.

Main Data Sets

The report template uses the following as main data setsLine_IndicatorsWithoutLotTracking .

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Line data filter
  • Line indicator meanings
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Line data filters

Report elements

This report provides the following report elements:

  • Indicator table (additional indicators)
  • Gauge (for availability, performance, quality or OEE)
  • Aggregation diagram (columns)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • LineAnalysis310_GetOeeDataWithoutLotTracking
    • LineAnalysis_GetPrimaryMachineForMeaning
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
    • LineAnalysis_GetPrimaryMachineForMeaning

Settings:

  • ListEquipmentTree
  • ListFilterValuesForLine


Comprehensive Line Productivity Analysis (without lot tracking)

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Comprehensive Line Productivity Analysis (without lot tracking)

Reports that are based on this template combine the templates Line Losses Analysis (without lot tracking) and Line Productivity Indicators Analysis (without lot tracking). They analyze archive data and calculate aggregated loss times and productivity indicators for a time period, based on an equipment group. The data of the directly-subordinate equipment groups is recorded using the selected equipment group. The four main OEE indicators can be displayed as a bar chart or with four measurement instruments. The additional indicators are displayed as a table.

Main Data Sets

The report template uses the following as main data setsLine_IndicatorsWithoutLotTracking and Line_LossesWithoutLotTracking.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Line data filter
  • Line indicator meanings
  • Waterfall (Line)
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Waterfall model
  • Line data filters

Report elements

This report provides the following report elements:

  • Indicator table
  • Table with losses
  • Table with all times
  • Pareto diagram (absolute)
  • Waterfall chart (horizontal, detailed, absolute)
  • Aggregated archive (columns)
  • Gauge (for availability, performance, quality or OEE)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • LineAnalysis310_GetOeeDataWithoutLotTracking
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • LineAnalysis_GetMetaDataEntries
    • Machine_ParseDataFilters
  • LineAnalysis310_GetWaterfallDataWithoutLotTracking

Settings:

  • ListEquipmentTree
  • ListWaterfallModelsForLine
  • ListFilterValuesForLine


Line Losses Lot History (with lot tracking)

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Line Losses Lot History (with lot tracking)

The reports that are based on this template analyze archive data and calculate aggregated loss times and productivity indicators for each lot in a time period, based on an equipment group. The data is collected from direct children of the selected equipment group by tracking the lots of the main equipment group on the other equipment groups. The results can be displayed as a column chart and table. The lot times on the child equipment groups can be displayed in a table.

Main Data Sets

The report template uses the following as main data setsLine_LossesLotHistory and Line_LotsFromLossTimesMeaning.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Line data filter
  • Equipment group names
  • Line loss times meanings
  • Lot discovery iterations
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups

Report elements

This report provides the following report elements:

  • Pivoted table
  • Loss times chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • LineAnalysis310_GetLossTimesDataLotHistory
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList

Settings:

  • ListEquipmentTree
  • ListFilterValuesForLine


Line Productivity Indicators Lot History (with lot tracking)

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Line Productivity Indicators Lot History (with lot tracking)

The reports that are based on this template analyze archive data and calculate aggregated loss times and productivity indicators for each lot in a time period, based on an equipment group. The data is collected from direct children of the equipment group by tracking the lots of the main equipment group on the other equipment groups. The four main OEE indicators can be displayed as a bar chart or as a line diagram. The additional indicators are displayed as a table. The lot times on the child equipment groups can be displayed in a table.

Main Data Sets

The report template uses the following as main data setsLine_IndicatorsLotHistory and Line_LotsFromIndicatorMeaning.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Line data filter
  • Line indicator meanings
  • Equipment group names
  • Lot discovery iterations
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Line data filters

Report elements

This report provides the following report elements:

  • Flat table
  • Pivoted table
  • Trend chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • LineAnalysis310_GetOeeDataLotHistory
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList

Settings:

  • ListEquipmentTree
  • ListFilterValuesForLine


Comprehensive Line Productivity Lot History (with lot tracking)

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Comprehensive Line Productivity Lot History (with lot tracking)

Reports that are based on this template combine the templates Line Losses Lot History (with lot tracking) and Line Productivity Indicators Lot History (with lot tracking). They analyze archive data and calculate the aggregated loss times and aggregated productivity indicators for a time period, based on an equipment group. The data is collected from direct children of the equipment group by tracking the lots of the main equipment group on the other equipment groups. The four main OEE indicators can be displayed as a bar chart or as a line diagram. The additional indicators are displayed as a table.

Main Data Sets

The report template uses the following as main data setsLine_IndicatorsLotHistory, Line_LossesLotHistory and Line_LotsFromLossTimesMeaning.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Line data filter
  • Line indicator meanings
  • Equipment group names
  • Line loss times meanings
  • Lot discovery iterations
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Line data filters

Report elements

This report provides the following report elements:

  • Flat table
  • Pivoted table
  • Trend chart
  • Loss times chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • LineAnalysis310_GetLossTimesDataLotHistory
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis310_GetOeeDataLotHistory
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetLotList
    • Machine_ParseDataFilters
    • LineAnalysis_GetMetaDataEntries
  • LineAnalysis_GetLotOverview
    • LineAnalysis_GetPrimaryMachineForWaterfall
    • LineAnalysis_GetPrimaryMachineForMeaning
    • GetFullEquipmentGroupName
    • LineAnalysis_GetLotList

Settings:

  • ListEquipmentTree
  • ListFilterValuesForLine


Prerequisites and engineering in SCADA

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Prerequisites and engineering in SCADA

Reports of this theme require specific configurations in zenon.

The reports in this theme only supports raw data from basic archives and summarized values from aggregated archives. Other aggregation types of aggregated archives cannot be used in reports of this theme.

Definitions

Line

A line always consists of a primary machine and 0 to N auxiliary machines.

Machines

The primary machine stipulates the maximum speed of the whole line.

Auxiliary machines that are before the primary machine in the process must not be recorded in the report. This is because problems with these auxiliary machines only have an effect if the primary machine is impaired as a result. For example, the primary machine is stopped because it is no longer receiving materials.

Auxiliary machines that are after the primary machine in the process must be recorded in the report in part.

  • Problems that delay the process must not be recorded, because the primary machine stipulates the maximum performance of the whole line. Other problems only have an effect if the primary machine is impaired as a result. For example, it stops because the output buffer is full.
    • If a problem on an upstream auxiliary machine does not lead to a problem for the main machine, the line performance is unchanged regardless of whether this problem occurs or not.
    • If a problem on an upstream machine leads to a problem for the main machine, the auxiliary machine problem is already taken into account in the report through the main machine problem.
  • Quality losses must be recorded, because these have no effect on the primary machine, but the line as a whole is affected by these.
    Quality losses means units correctly issued by the primary machine that are damaged by a downstream machine.

    The number of good units from the line is thus the number of good units from the primary machine less the number of damaged units from the downstream auxiliary machines.

Other topics in this chapter

Modules needed in zenon

Linking zenon Analyzer reports with zenon

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Prerequisites and engineering in SCADA > Modules needed in zenon

Reports of this theme use information from zenon:

  • Engineering of a waterfall model
  • Configuration of one variable to be included for each meaning
  • Meanings for line productivity indicators
  • Engineering of an optional data filter.
  • Primary machine detection
  • Varibles for primary machines and auxiliary machines detection
  • Lot list for primary machine and auxiliary machines
  • Usage of time filters
  • Identification of data to be included for reports
    • Data discovery for reports without lot history
    • Data discovery for reports with lot history

Configure waterfall model

Waterfall models are configured with the Meaning and Waterfall Chart Wizard in zenon. Waterfall diagrams for lines can be edited with these. In doing so, only archived variables are available for the configuration of a waterfall chart. In principle, all archives and all archived variables of the workspace can be used.
Possible filtering:

  • Precisely one primary equipment group must be selected:
    Only archives and their variables that are assigned to this equipment group are available for fields of the primary machine.
  • Precisely one project must be selected for the equipment group:
    Only archives and their variables that come from the selected project are available for fields of the primary machine.
  • Selection of the archives for the primary equipment group, based on the filter groups for the primary equipment group:
    At least one archive must be selected.
  • At least one auxiliary equipment group must be selected:
    Only archives and their variables that are assigned to this equipment group are available for fields of the auxiliary machine.
  • Precisely one project must be selected for the auxiliary equipment group:
    Only archives and their variables that come from the selected project are available for fields of the auxiliary machine.
  • Selection of the archives for the auxiliary equipment groups, based on the filter groups for the auxiliary equipment group:
    At least one archive must be selected.

The following is applicable for the waterfall module:

  • Auxiliary machine losses are only permitted on the lowest level.
  • A main machine field on the lowest level must be marked as subtract auxiliary machine losses here:
    Default: Valuable Operating Time
  • A main machine field on the lowest level must be marked as add auxiliary machine losses here:
    Default: Quality Loss Time
    this has the following consequences:
    • If this field exists, the auxiliary machine losses are included in the calculation here and are not shown separately in the report.
    • If this field does not exist, the auxiliary machine losses are shown separately in the report.

The waterfall models are transfered from the Analyzer Export Wizard when the data is exported.

Find variables by means of meaning with archive connection

In order for a variable to be able to be addressed by Meaning with an archive connection, the following conditions must be met in the zenon Editor:

  • The variable must have the desired meaning set.
    These are configured in the properties of the variable in the Analyzer node, Meaning property.
  • The variable has to be stored in an archive.
  • The variable has to be assigned to the desired equipment group.
  • The archive in which the variables are stored has to be assigned to the desired equipment group.

Attention: If the variable is recorded in several archives, only one of them can be assigned to the desired equipment group. If, when listing the archived variables per meaning, more than one archive is detected for a variable, this is considered an error. Validation is carried out during configuration in ZAMS and in the SQL elements of the reports.

All assignments for archives and variables are exported by the Analyzer Export Wizard from the zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1, P2
  • Meaning: meaning
  • Equipment group: G1
  • Variables: V1, V2
  • Archives: A1, A2

Findable variable

Example:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned

Project: P2:

  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Project overlapping variable reference. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Meaning was not assigned. Variable cannot be found.

Example 3:

Project: P1:

  • Variable V1:
    • The meaning is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable was not assigned to an equipment group Variable cannot be found.

Example 4:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Equipment group G1 is assigned

Result: Variable is not stored in the archive. Variable cannot be found.

Example 5:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted

Result: Archive was not assigned to an equipment group Variable cannot be found.

Variables that can be found more than once:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned
  • Archive A2":
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: More than one possible source archive was found for the variable. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Variable V2:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Variable V2 is inserted
    • Equipment group G1 is assigned

Result: Found more than one variable for meaning. Whether the variable can be found depends on the report type.

Meanings for line productivity indicators

Line productivity indicators use variables addressed via meaning for the the following fields.
Precisely one variable per meaning.

Report component

Default meaning

Enter

Loading Time

LoadingTime
  • Always.
  • Variable must be linked with the primary machine.

Operating Time

OperatingTime
  • Always.
  • Variable must be linked with the primary machine.

Net Operating Time

NetOperatingTime
  • Always.
  • Variable must be linked with the primary machine.

Valuable Operating Time

ValuableOperatingTime
  • Always.
  • Variable must be linked with the primary machine.

Scrap Time
(side equipment groups)

ScrapTime
  • Always.
  • Variable must be linked with the primary machine.

Total Units

Total Units
  • Only, if an optional indicator needs this field.
  • Variable must be linked with the primary machine.

Good Units

Good Units
  • Only, if an optional indicator needs this field.
  • Variable must be linked with the primary machine.

Scrap Quantity
(side equipment groups)

ScrapQuantity
  • Only, if an optional indicator needs this field.
  • Variable must be linked with the auxiliary machine.

Filled and Sealed Units

Filled and Sealed Units
  • Only, if an optional indicator needs this field.
  • Variable must be linked with the primary machine.

Working Time

Working Time
  • Only, if an optional indicator needs this field.
  • Variable must be linked with the primary machine.

General Run Time

General Run Time
  • Only, if an optional indicator needs this field.
  • Variable must be linked with the primary machine.

Machine Nominal Output

Machine Nominal Output
  • Only, if an optional indicator needs this field.
  • Variable must be linked with the primary machine.

Machine Set Output

Machine Set Output
  • Only, if an optional indicator needs this field.
  • Variable must be linked with the primary machine.

Configure an optional data filter

Optional data filters work with addressed variables for each meaning. In doing so, a separate meaning and thus a separate variable is required for each data filter. The possible values of the data filter variables are read from assigned reaction matrices.
The following applies for reaction matrices:

  • The reaction matrix type must be numeric.
  • There must be at least 1 status received
  • All statuses must be checked to see that they match.

Primary machine detection

For reports of this themes precisely one primary machine must be used.
Identification:

  • The line is selected from the equipment tree in this report.
  • Primary machine and auxiliary machine are part of the equipment groups that are precisely one level below the line.
  • Depending on the report the primary machine is identified via:
    • a linked variable with a certain meaning
      or
    • the waterfall model
  • All other equipment groups on this level are auxiliary machines.

Find variables for primary machines and auxiliary machines

When finding the variables, a distinction is made between:

  • Reports with waterfall models:
    The variables are linked directly with the waterfall model.
  • Reports with variables based on meanings:
    Variables with the meanings for the primary machine are searched for with linking to the primary machine. Variables with the meanings for the auxiliary machine are searched for with linking to the one of the auxiliary machines.
    Validation:
    • The primary machine must have precisely one variable linked for all meanings.
    • Each auxiliary machine must have either precisely one variable linked for a variable or must not have a variable linked for any individual meaning.

List lots for primary machine and auxiliary machines

For reports with lot tracking, the lots must be listed per machine. This happens as soon as the primary machine has been found. Searching is carried out using the lot name.
Process:

  1. All lots in the time range are obtained from the primary machine.
  2. In accordance with the report configuration, progress is iterative until:
    • either all lots of the primary machine have been found on each auxiliary machine
    • or until all iterations have been run through without a complete result (abort with error message)

Usage of time filters

There are 2 report categories in this theme:

  • with lot tracking
  • without lot tracking

They differ in the way the time filter is applied.

Time filtering without lot tracking

The same time filter is applied on all machines. Lot information is not taken into account.

Example: Time filtering without lot tracking

All dates in the example relate to 00:00 midnight/start of the day.

Attachments:

  • Primary machine P
  • Auxiliary machine N1
  • Auxiliary machine N2

Time filter in Report Launcher: 01.01.2017 – 01.02.2017

Result:

Machine | Time filter
P | 01.01.2017 – 01.02.2017
N1 | 01.01.2017 – 01.02.2017
N2 | 01.01.2017 – 01.02.2017

Time filtering with lot tracking

In the first step all lots for all machines are listed. Then the time filters for each machine are adjusted. The amended time filter for each machine is used to get the data. The data included in the report thus comes from a different time range than that given in the time filter. For this reason, such reports also need a report setting for which lot was on which machine.

Example: Time filtering with lot tracking

All dates in the example relate to 00:00 midnight/start of the day.

Attachments:

  • Primary machine P
  • Auxiliary machine N1
  • Auxiliary machine N2

Time filter in Report Launcher: 10.01.2017 – 20.01.2017

Lots per machine:

Lot | P | N1 | N2
Lot1 | 09.01.2017 – 13.01.2017 | 10.01.2017 – 14.01.2017 | 12.01.2017 – 16.01.2017
Lot2 | 13.01.2017 – 17.01.2017 | 14.01.2017 – 18.01.2017 | 16.01.2017 – 20.01.2017
Lot3 | 17.01.2017 – 21.01.2017 | 18.01.2017 – 22.01.2017 | 20.01.2017 – 24.01.2017

Result:

Machine | Time filter
P | 09.01.2017 – 21.01.2017
N1 | 10.01.2017 – 22.01.2017
N2 | 12.01.2017 – 24.01.2017

Detection of data to be included for reports

These reports work on the basis of data packets. The packeting is carried out for each machine.
A data packet consists of:

  • Usage data: for each meaning or waterfall
    and
  • Filter data: optional data filters that have been archived at the same time
    Determination of time point: down to the exact second; fractions of seconds are ignored

Which data packets are included in the report and which are discarded depends on what the report will be used for.

Recommendations:

  • Work with basic archives for all variables when using optional data filters.
    This is because, with aggregated archives, only aggregations with the same value of all optional data filters can be formed.
  • If optional data filters are not used, work with sum values in aggregated archives.
    You thus reduce the amount of data that needs to be processed in the report.

Example for line-based data packet formation:

Raw data:

Machine | Timestamp | Variable
P | 01.01.2017 | Filter
P | 01.01.2017 | Data
N1 | 02.01.2017 | Filter
N1 | 02.01.2017 | Data
P | 02.01.2017 | Filter
P | 02.01.2017 | Data
N2 | 03.01.2017 | Filter
N2 | 03.01.2017 | Data
N1 | 03.01.2017 | Filter
N1 | 03.01.2017 | Data
N2 | 04.01.2017 | Filter
N2 | 04.01.2017 | Data

Data packages:

Machine | Timestamp | Variables
P | 01.01.2017 | Filter and data
P | 02.01.2017 | Filter and data
N1 | 02.01.2017 | Filter and data
N1 | 03.01.2017 | Filter and data
N2 | 03.01.2017 | Filter and data
N2 | 04.01.2017 | Filter and data

Data discovery for reports without lot history

For reports without lot discovery, each data packet is considered individually. If a data packet meets all optional data filters, it will be included on the report. If only 1 optional data filter is not met, the complete data packet is rejected.

Examples

Filter definition:

  • Filter 1 requires value 0 or 1
  • Filter 2 requires value 1 or 3

Included data packages:

Example 1:

Object | Value
Filter 1 | 0
Filter 2 | 1
Data | …

Example 2:

Object | Value
Filter 1 | 0
Filter 2 | 3
Data | …

Example 3:

Object | Value
Filter 1 | 1
Filter 2 | 1
Data | …

Example 4:

Object | Value
Filter 1 | 1
Filter 2 | 3
Data | …

Dropped data packages:

Example 1:

Object | Value included | Value discarded
Filter 1 | 0 |
Filter 2 |  | 2
Data | ... | ...

Example 2:

Object | Value included | Value discarded
Filter 1 |  | 1
Filter 2 | 1 |
Data | ... | ...

Example 3:

Object | Value included | Value discarded
Filter 1 |  | 2
Filter 2 |  | 2
Data | ... | ...

Data discovery for reports with lot history

Filtering is on a lot basis here. In doing so, each optional data filter is considered separately. All data packets of the lot on all machines are included in the report, even if the filter is only met with the auxiliary machine data packets.

Examples

Filter definition:

  • Filter 1 requires value 0 or 1
  • Filter 2 requires value 1 or 3

Included lot:

Object | Value package 1 | Value package 2 | Value package 3 | Value package 4
Filter 1 (Y) | 2 (N) | 1 (Y) | 2 (N) | 3 (N)
Filter 2 (Y) | 3 (Y) | 2 (N) | 0 (N) | 2 (N)
Data | … | … | … | …

Key:

  • (Y): included
  • (N): discarded

Discarded lot

Object | Value package 1 | Value package 2 | Value package 3 | Value package 4
Filter 1 (N) | 2 (N) | 2 (N) | 2 (N) | 3 (N)
Filter 2 (Y) | 3 (Y) | 1 (Y) | 3 (Y) | 1 (Y)
Data | … | … | … | …

Key:

  • (Y): included
  • (N): discarded


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Prerequisites and engineering in SCADA > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and/or ZAMS settings:

Report

SCADA-ModuleSetting

Gantt Chart
  • All Gantt information, with the exception of variables with value range allocation

Gantt Chart with Range Classification
  • All Gantt information, with the exception of variables with value range allocation

Line Losses Analysis
(with lot tracking)
  • Time filtering with lot tracking
  • Waterfall models
  • Optional data filtering
  • Data discovery without lot history

Line Productivity Indicators Analysis
(with lot tracking)
  • Time filtering with lot tracking
  • Variables with meanings for line productivity indicators
  • Optional data filtering
  • Data discovery without lot history

Comprehensive Line Productivity Analysis
(with lot tracking)

This report is a combination of:

  • Line Losses Analysis
    (with lot tracking)
  • Line Productivity Indicators Analysis
    (with lot tracking)

The configuration is equal to the basic reports.

Line Losses Analysis
(without lot tracking)
  • Time filtering without lot tracking
  • Waterfall models
  • Optional data filtering
  • Data discovery without lot history

Line Productivity Indicators Analysis
(without lot tracking)
  • Time filtering without lot tracking
  • Variables with meanings for line productivity indicators
  • Optional data filtering
  • Data discovery without lot history

Comprehensive Line Productivity Analysis
(without lot tracking)

This report is a combination of:

  • Line Losses Analysis
    (without lot tracking)
  • Line Productivity Indicators Analysis
    (without lot tracking)

The configuration is equal to the basic reports.

Line Losses Lot History

This report uses

  • Time filtering with lot tracking
  • The Optional data filtering
  • Data discovery with lot history
  • Variables addressed via meaning as usage data for several fields

Details can be found in the section: Details for Line Losses Lot History

Line Productivity Indicators Lot History
(with lot tracking)
  • Time filtering with lot tracking
  • Variables with meanings for line productivity indicators
  • Optional data filtering
  • Data discovery with lot history

Comprehensive Line Productivity Lot History
(with lot tracking)

This report is a combination of:

  • Line Losses Lot History
  • Line Productivity Indicators Lot History
    (with lot tracking)

The configuration is equal to the basic reports.

Details for Line Losses Lot History

This report uses:

  • Time filtering with lot tracking
  • The Optional data filtering
  • Data discovery with lot history
  • For variables addressed for each meaning for the following fields as usage data

There must always be at least 1 variable per meaning present (deviations in the details):

Report component | Default meaning | Details
Variables in the absolute loss time chart. | AbsoluteTimeLosses | Must always be defined. Variables must be linked with the primary machine.
Variables in the relative loss time chart of the main equipment group | RelativeTimeLosses_Main | Must always be defined. Variables must be linked with the primary machine.
Variables in the relative loss time chart of the auxiliary equipment group | RelativeTimeLosses_Side | Must always be defined. The variables must be linked to auxiliary machines.
Variables in relative loss time chart for adding side losses | RelativeTimeLosses_MainForAdd | Must always be defined. Variable must be linked with the primary machine. Different quantity: There must be precisely one variable. Different validation: If the primary machine does not have a variable with this meaning, then no error is triggered, but the auxiliary machine losses are shown separately in the report. (if there is a variable here, the auxiliary machine losses are included in the calculation)
Variables in relative loss time chart for removing side losses | RelativeTimeLosses_MainForSubtract | Must always be defined. Variable must be linked with the primary machine. Different quantity: There must be precisely one variable.


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Line Based > Prerequisites and engineering in SCADA > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

Initial situation

The following is assumed:

  • For each machine, all necessary counters (base data for indicators and loss data) and data filters via driver of zenon Logic is provided so that event-triggered archiving can be used.
    Process per data packet:
    • Counter values are set via Driver/zenon Logic
    • Optional data filters are set.
    • Archive variable with value 1: Archives are written and recorded.
    • Archive variable with value 0:
    • Everything is reset and new data packet starts.
  • For each machine, lot information is available in 2 variables (display that lot is running, as BOOL and lot name as STRING).
    Procedure:
    • Before the lot starts the lot name is written to a variable.
    • The flag for “lot running” is set to 1 when lot is started.
    • Waiting for end of lot.
    • The flag for “lot running” is set to 0 when lot is stopped.
    • The lot name is reset an a new lot starts.
  • Only default meanings are used in this solution for this example.
  • A zenon Editor workspace with the following components is used:
    • 1 global project
    • 1 integration project

      1 local project for the main machine

      1 local project for the auxiliary machine

  • Only basic archives are used.

Target

The line Line1 in the factory in Salzburg consists of the primary machine Filler and the auxiliary machines Pasteurizer and Labeller.
The following analyses are to be made possible:

  • Overview of loss times as a waterfall (with and without lot tracking):
    The losses of the auxiliary machines should also not be shown separately, but included in the calculation of the main machine loss.
  • Overview of indicators (with and without lot tracking)
  • Loss times lot trend (with lot tracking):
    The losses of the auxiliary machines should also not be shown separately, but included in the calculation of the main machine loss.
  • Indicators lot trend (with lot tracking)

The following indicators should be included:

  • Availability (Main indicator)
  • Performance (Main indicator)
  • Quality (Main indicator)
  • OEE (Main indicator)
  • Total Units (optional indicator)
  • Good Units (optional indicator)

The following optional data filters are required:

  • Bottle type:
    • 0.5 liters
    • 1 liters
    • 1.5 liters

Engineering

The configuration is broken down into:

  • Equipment Modeling
  • Variables
  • Optional data filtering
  • Archives
  • Lot recording
  • Waterfall model

Equipment Modeling

An equipment model is created in the global project.

Equipment model Packaging:

  • Equipment group Salzburg:
    • Equipment group Line1

      Equipment group Filler

      Equipment group Pasteurizer

      Equipment group Labeller

Variables

Variables are created for Filler in the local project for the main machine as well as in the local project for the auxiliary machines for Pasteurizer and Labeller.

Variables in the local project for the main machine

In the local project for the main machine, the following variables are created and linked to the appropriate divers/zenon Logic.

Variable | Data Type | Meanings | Equipment assignment
Filler_DataArchiveTrigger | BOOL |  | Filler
Filler_BottleType | DINT | BottleType | Filler
Filler_LoadingTime | FLOAT | LoadingTime | Filler
Filler_OperatingTime | FLOAT | OperatingTime | Filler
Filler_UnplannedStopTime | FLOAT | UnplannedStopTime AbsoluteTimeLosses RelativeTimeLosses_Main | Filler
Filler_NetOperatingTime | FLOAT | NetOperatingTime | Filler
Filler_SpeedLossTime | FLOAT | SpeedLossTime AbsoluteTimeLosses RelativeTimeLosses_Main | Filler
Filler_ValuableOperatingTime | FLOAT | ValuableOperatingTime RelativeTimeLosses_MainForSubtract | Filler
Filler_QualityLossTime | FLOAT | QualityLossTime AbsoluteTimeLosses RelativeTimeLosses_MainForAdd | Filler
Filler_TotalUnits | FLOAT | TotalUnits | Filler
Filler_GoodUnits | FLOAT | GoodUnits | Filler
Filler_LotName | STRING |  | Filler
Filler_LotIsActive | BOOL |  | Filler

Variables in the local project for auxiliary machines

In the local project for the auxiliary machine, the following variables are created and linked to the appropriate drivers/zenon Logic.

Variable | Data Type | Meanings | Equipment assignment
Pasteurizer_DataArchiveTrigger | BOOL | DataArchiveTrigger | Pasteurizer
Pasteurizer_BottleType | DINT | BottleType | Pasteurizer
Pasteurizer_ScrapTime | FLOAT | ScrapTime AbsoluteTimeLosses RelativeTimeLosses_Side | Pasteurizer
Pasteurizer_ScrapQuantity | FLOAT | ScrapQuantity | Pasteurizer
Pasteurizer_LotName | STRING |  | Pasteurizer
Pasteurizer_LotIsActive | BOOL |  | Pasteurizer
Labeller_DataArchiveTrigger | BOOL | DataArchiveTrigger | Labeller
Labeller_BottleType | DINT | BottleType | Labeller
Labeller_ScrapTime | FLOAT | ScrapTime AbsoluteTimeLosses RelativeTimeLosses_Side | Labeller
Labeller_ScrapQuantity | FLOAT | ScrapQuantity | Labeller
Labeller_LotName | STRING |  | Labeller
Labeller_LotIsActive | BOOL |  | Labeller

Optional data filtering

The data filter for Filler is created in the local project for the main machine and the data filter for Pasteurizer and Labeller are created in the local project for the auxiliary machines.

Data filter in the local project for the main machine

The reaction matrix BottleTypes is created in the local project for the main machine as a numeric reaction matrix with the following entries:

Value | Limit text | AML/CEL
=0 | 0.5 liters | --
=1 | 1 liters | --
=2 | 1.5 liters | --

The BottleTypes reaction matrix is linked for the Filler_BottleType variables in the local project for the main machine.

Data filter in the local project for auxiliary machines

The reaction matrix BottleTypes is created in the local project for the auxiliary machines as a numeric reaction matrix. It includes the following entries:

Value | Limit text | AML/CEL
=0 | 0.5 liters | --
=1 | 1 liters | --
=2 | 1.5 liters | --

The BottleTypes reaction matrix is linked for the Pasteurizer_BottleType and Labeller_BottleType variables in the local project for the auxiliary machines.

Archives

Archives for Filler are created in the local project. The archives for Pasteurizer and Labeller are created in the specific local project for the auxiliary machines.

Archives in the local project for the primary machine

The following archives are created in the local project:for the primary machine:

Archive name

Variables

Recording

Start/Stop

Equipment assignment

F1 – FillerData

Filler_BottleType

Filler_LoadingTime

Filler_OperatingTime

Filler_UnplannedStopTime

Filler_NetOperatingTime

Filler_SpeedLossTime

Filler_ValuableOperatingTime

Filler_QualityLossTime

Filler_TotalUnits

Filler_GoodUnits
  • event-triggered Trigger variable Filler_DataArchiveTrigger
  • With Runtime

Filler

FL – FillerLot

Filler_LotName
  • On change
  • Read image on archive start
  • function-triggered

Filler

Archive in the local project for auxiliary machines

The following archives are created in the local project which includes the auxiliary machines:

Archive name

Variables

Recording

Start/Stop

Equipment allocation

P1 – PasteurizerData

Pasteurizer_BottleType

Pasteurizer_ScrapTime

Pasteurizer_ScrapQuantity
  • event-triggered Trigger variable Pasteurizer_DataArchiveTrigger
  • With Runtime

Pasteurizer

PL – PasteurizerLot

Pasteurizer_LotName
  • On change
  • Read image on archive start
  • function-triggered

Pasteurizer

L1 – LabellerData

Labeller_BottleType

Labeller_ScrapTime

Labeller_ScrapQuantity
  • event-triggered Trigger variable Labeller_DataArchiveTrigger
  • With Runtime

Labeller

LL – LabellerLot

Labeller_LotName
  • On change
  • Read image on archive start
  • function-triggered

Labeller

Lot recording

The lot recording for Filler is configured in the local project for the main machine. The lot recording for Pasteurizer and Labeller is configured in the local project for the auxiliary machines.

Lot recording in the local project for main machine

The variable Filler_LotName is set as a lot variable for the archive FL in the local project for the primary machine.

The following functions are created in the local project which includes the main machine:

  • StartFillerLot: starts the archive FL
  • StopFillerLot: stops the archive FL

For the main machine 2 limit values are created in the local project for the variable Filler_LotIsActive:

  • 0:
    • no AML entry
    • No CEL entry
    • Execute StopFillerLot function
  • 1:
    • no AML entry
    • No CEL entry
    • Execute StartFillerLot function

Lot recording in the localproject for auxiliary machines

The variable Pasteurizer_LotName is set as a lot variable for the archive PL in the local project for the auxiliary machines. The variable Labeller_LotName is set as a lot variable for the archive LL in the local project for the auxiliary machines.

The following functions are created in the local project for the auxiliary machines.

  • StartPasteurizerLot: starts the archive PL
  • StopPasteurizerLot: stops the archive PL
  • StartLabellerLot: starts the archive LL
  • StopLabellerLot: stops the archive LL

For the auxiliary machine 2 limit values are created in the local project for the variable Pasteurizer_LotIsActive:

  • 0:
    • no AML entry
    • No CEL entry
    • Execute StopPasteurizerLot function
  • 1:
    • no AML entry
    • No CEL entry
    • Execute the StartPasteurizerLot function

For the auxiliary machine 2 limit values are created in the local project for the variable Labeller_LotIsActive:

  • 0:
    • no AML entry
    • No CEL entry
    • Execute StopLabellerLot function
  • 1:
    • no AML entry
    • No CEL entry
    • Execute the StartLabellerLot function

Waterfall model

The Meaning and Waterfall Chart Wizard is started in the zenon Editor.

Settings:

  • Settings:
    • Define Meanings: not selected
    • Define Waterfall Chart: selected
      type: Line
    • Click on Load data
  • Waterfall Chart Filter:
    • Main Machine:
      Equipment group Filler selected.
      Local project for the main machine selected
      Archive F1 selected
  • Waterfall Chart Filter:
    • Side Machines:
      Equipment groups Pasteurizer and Labeller selected
      Local project for auxiliary machines selected
      Archives P1 and L1 selected

Abbreviations for variables of the waterfall chart:

Variable name | Short form in the waterfall model
Filler_LoadingTime | LO
Filler_OperatingTime | OP
Filler_UnplannedStopTime | US
Filler_NetOperatingTime | NO
Filler_SpeedLossTime | SL
Filler_ValuableOperatingTime | VO
Filler_QualityLossTime | QL
Pasteurizer_ScrapTime | PST
Labeller_ScrapTime | LST

Abbreviations for the purposes of the waterfall chart:

Abbreviation | Meaning in waterfall model
(-) | Losses of auxiliary machines are subtracted here.
(+) | Losses of auxiliary machines are added here.

Modelling Waterfall chart

Final result

The project is ready for use in the zenon Analyzer.

Now, the workspace in the SCADA Editor can be exported using the Analyzer Export Wizard. All desired reports of the theme can be engineered in ZAMS and used in the Report Launcher.


Production Analysis Machine Based

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based

Reports with this theme provide report templates for the analysis of loss times and productivity, based on standards such as DIN 8782, DIN 8743, Weihenstephan Standards and the best practices of some manufacturing companies:

  • Losses Analysis: Analyzes archive data and calculate aggregated loss times for a time period, based on an equipment group and a waterfall model.
  • Productivity Indicators Analysis: Analyzes archive data and calculates aggregated productivity indicators for a time period, based on an equipment group.
  • Comprehensive Productivity Analysis: Combines the Losses Analysis and Produktivity indicators Analysis report templates.
  • Losses Lot History: Analyzes archive data and calculates aggregated loss times for each lot, based on an equipment group.
  • Productivity Indicators Lot History: Analyzes archive data and calculates aggregated production indicators for each lot in a time period, based on an equipment group.
  • Comprehensive Productivity Lot History: Combines the Losses Lot History and Productivity Indicators Lot History templates.

All report templates in this theme allow filtering of the archive production data. In order for a data packet to be included in the calculation, there must be a value from the value list present for each data filter.

A data set is always a collection of values for all variables found that have the same time stamp. For the calculation of the summated times in the period under review, only data sets that correspond to all activated data filters are used. Data filters are configured by the user in the machine data filter configuration dialog for the machine data filter report setting.

Recommendation: Each waterfall model should have an unique name.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Production Analysis Machine Based.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Other topics in this chapter

Losses Analysis

Productivity Indicators Analysis

Comprehensive Productivity Analysis

Losses Lot History

Productivity Indicators Lot History

Comprehensive Productivity Lot History

Prerequisites and engineering in zenon


Losses Analysis

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based > Losses Analysis

Reports that are based on this template analyze archive data and calculate aggregated loss times for a time period, based on an equipment group and a waterfall model. The results can be displayed as a Waterfall diagram, Pareto diagram or as a table.

Main data set

The report template uses the following as main data setMachine_Losses.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project selection
  • Machine data filter
  • Waterfall
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Waterfall model

Report elements

This report provides the following report elements:

  • Table with all times
  • Table with losses
  • Pareto chart
  • Waterfall chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Machine_WaterfallData
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters

Settings:

  • ListEquipmentTree
  • ListWaterfallModelsForEquipment
  • ListFilterValuesForEquipmentt


Productivity Indicators Analysis

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based > Productivity Indicators Analysis

Reports that are based on this template analyze archive data and calculate aggregated productivity indicators for a time period, based on an equipment group. The four central OEE indicators can be displayed as an aggregation diagram or in four measurement devices. The additional optional indicators are displayed in an indicator table.

Main data set

The report template uses the following as main data set Machine_OeeData.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project selection
  • Machine data filter
  • Machine indicator meanings
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • All configured Machine data filter

Report elements

This report provides the following report elements:

  • Indicator table
  • Aggregation chart indicators
  • Measurement instrument (for OEE indicators)

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • ListFilterValuesForEquipment
  • Machine_OeeData
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters

Settings:

  • ListEquipmentTree


Comprehensive Productivity Analysis

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based > Comprehensive Productivity Analysis

This template combines the Losses Analysis and Productivity Indicators Analysis report templates.

Reports that are based on this template analyze archive data and calculate aggregated loss times and aggregated productivity indicators for a time period, based on an equipment group and a waterfall model. The four central OEE indicators can be displayed as a bar chart or in four measurement devices. The additional optional indicators are displayed in a table. The loss times can be displayed as a Waterfall diagram, Pareto diagram or as a table.

Main Data Sets

The report template uses the following as main data setsMachine_OeeData and Machine_Losses.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project selection
  • Machine data filter
  • Machine indicator meanings
  • Waterfall
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Waterfall model
  • All configured Machine data filter

Report elements

This report provides the following report elements:

  • Table with all times
  • Indicator table
  • Table with losses
  • Measurement instruments (for OEE indicators)
    Order:
    • Availability
    • Output
    • Quality
    • OEE
  • Pareto chart: Absolute time
  • Aggregation chart indicators
  • Waterfall chart: horizontal, detailed, absolute time

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • Machine_OeeData
  • Machine_WaterfallData
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters

Settings:

  • ListEquipmentTree
  • ListFilterValuesForEquipment
  • ListWaterfallModelsForEquipment


Losses Lot History

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based > Losses Lot History

The reports that are based on this template analyze archive data and calculate aggregated loss times and productivity indicators for each lot in a time period, based on an equipment group. The results can be displayed as a column chart and table.

Main data set

The report template uses the following as main data setMachine_LossesLotHistory.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project selection
  • Lot archive
  • Machine data filter
  • Loss times meaning
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups

Report elements

This report provides the following report elements:

  • Pivoted table
  • Loss times chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Machine_LosstimesLotHistory:
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters

Settings:

  • ListEquipmentTree
    • ListFilterValuesForEquipment


Productivity Indicators Lot History

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based > Productivity Indicators Lot History

The reports that are based on this template analyze archive data and calculate aggregated loss times and productivity indicators for each lot in a time period, based on an equipment group. The results can be displayed as a bar chart or as a line chart. The additional optional indicators are displayed in a table.

Main data set

The report template uses the following as main data setMachine_OeeLotHistory.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project selection
  • Lot archive
  • Machine data filter
  • Machine indicator meanings
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • All configured Machine data filter

Report elements

This report provides the following report elements:

  • Flat table
  • Trend chart
    • Type: Column chart, line diagram
    • Up to four main indicators

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Machine_OeeLotHistory:
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters


Comprehensive Productivity Lot History

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based > Comprehensive Productivity Lot History

The report template combines the templates Losses Lot history and Productivity Indicators Lot History.

The reports that are based on this template analyze archive data and calculate compressed loss times and productivity indicators for each lot in a time period, based on an equipment group. The four central OEE indicators can be displayed as a bar chart or as a line chart. The additional optional indicators are displayed in a table. The losses can be displayed as a bar chart or as a table.

Main Data Sets

The report template uses the following as main data setsMachine_OeeLotHistory and Machine_LossesLotHistory.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project selection
  • Lot archive
  • Machine data filter
  • Machine indicator meanings
  • Loss times meaning
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • All configured Machine data filter

Report elements

This report provides the following report elements:

  • Flat table
  • Pivoted table
  • Trend chart
    • Type: Column chart, line diagram
    • Up to four main indicators
  • Loss times chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

  • Dataset:
  • Machine_OeeLotHistory:
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters
  • Machine_LosstimesLotHistory:
    • Machine_GetMetaDataEntries
    • Machine_ParseDataFilters

Settings:

  • ListEquipmentTree
    • ListFilterValuesForEquipment


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based > Prerequisites and engineering in zenon

The reports in this theme only supports raw data from basic archives and summarized values from aggregated archives. Other aggregation types of aggregated archives cannot be used in reports of this theme.

Other topics in this chapter

Modules needed in zenon

Linking zenon Analyzer reports with <CD_SCADA

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Engineering of a waterfall model
  • Configuration of one variable to be included for each meaning
  • Meanings for machine productivity indicators
  • Engineering of an optional data filter.
  • Detection of data to be included for reports
    • Data discovery for reports without lot history
    • Data discovery for reports with lot history

Engineering of a waterfall model

Waterfall models are configured with the Meaning and Waterfall Chart Wizard in zenon. Waterfall diagrams for machines can be edited with these.
In doing so, only archived variables are available for the configuration of a waterfall chart. In principle, all archives and all archived variables of the workspace can be used.
Possible optional filtering:

  • Precisely one equipment group can be selected:
    Only archives and their variables that are assigned to this equipment group are available.
  • Precisely one project must be selected:
    Only archives and their variables that come from the selected project are available for fields of the auxiliary machine.

With Analyzer reports, only waterfall models that originate from precisely one project and are assigned to precisely one equipment group can be edited. It is recommended to carry out filtering.

The waterfall models are transfered from the Analyzer Export Wizard when the data is exported.

Find variables by means of meaning with archive connection

In order for a variable to be able to be addressed by Meaning with an archive connection, the following conditions must be met in the zenon Editor:

  • The variable must have the desired meaning set.
    These are configured in the properties of the variable in the Analyzer node, Meaning property.
  • The variable has to be stored in an archive.
  • The variable has to be assigned to the desired equipment group.
  • The archive in which the variables are stored has to be assigned to the desired equipment group.

Attention: If the variable is recorded in several archives, only one of them can be assigned to the desired equipment group. If, when listing the archived variables per meaning, more than one archive is detected for a variable, this is considered an error. Validation is carried out during configuration in ZAMS and in the SQL elements of the reports.

All assignments for archives and variables are exported by the Analyzer Export Wizard from the zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1, P2
  • Meaning: meaning
  • Equipment group: G1
  • Variables: V1, V2
  • Archives: A1, A2

Findable variable

Example:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned

Project: P2:

  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Project overlapping variable reference. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Meaning was not assigned. Variable cannot be found.

Example 3:

Project: P1:

  • Variable V1:
    • The meaning is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable was not assigned to an equipment group Variable cannot be found.

Example 4:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Equipment group G1 is assigned

Result: Variable is not stored in the archive. Variable cannot be found.

Example 5:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted

Result: Archive was not assigned to an equipment group Variable cannot be found.

Variables that can be found more than once:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned
  • Archive A2":
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: More than one possible source archive was found for the variable. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Variable V2:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Variable V2 is inserted
    • Equipment group G1 is assigned

Result: Found more than one variable for meaning. Whether the variable can be found depends on the report type.

Meanings for machine productivity indicators

Machine productivity indicators use variables addressed via meaning for the the following fields.
Precisely one variable per meaning.

Report component | Default meaning | Enter
Loading Time | LoadingTime | Always.
Operating Time | OperatingTime | Always.
Net Operating Time | NetOperatingTime | Always.
Valuable Operating Time | ValuableOperatingTime | Always.
MTBS Time Counter | MTBS_TimeCounter | Only, if an optional indicator needs this field.
MTBS Event Counter | MTBS_EventCounter | Only, if an optional indicator needs this field.
MTBF Time Counter | MTBF_TimeCounter | Only, if an optional indicator needs this field.
MTBF Event Counter | MTBF_EventCounter | Only, if an optional indicator needs this field.
MTTR Time Counter | MTTR_TimeCounter | Only, if an optional indicator needs this field.
MTTR Event Counter | MTTR_EventCounter | Only, if an optional indicator needs this field.
MTBT Time Counter | MTBT_TimeCounter | Only, if an optional indicator needs this field.
MTBT Event Counter | MTBT_EventCounter | Only, if an optional indicator needs this field.
Total Units | TotalUnits | Only, if an optional indicator needs this field.
Good Units | GoodUnits | Only, if an optional indicator needs this field.
Effective Running Time | EffectiveRunTime | Only, if an optional indicator needs this field.
General Runnint Time | GeneralRunTime | Only, if an optional indicator needs this field.
Filled And Sealed Units | FilledAndSealedUnits | Only, if an optional indicator needs this field.
Machine Nominal Output | MachineNominalOutput | Only, if an optional indicator needs this field.
Machine Set Output | MachineSetOutput | Only, if an optional indicator needs this field.

Configure an optional data filter

Optional data filters work with addressed variables for each meaning. In doing so, a separate meaning and thus a separate variable is required for each data filter. The possible values of the data filter variables are read from assigned reaction matrices.
The following applies for reaction matrices:

  • The reaction matrix type must be numeric.
  • There must be at least 1 status received
  • All statuses must be checked to see that they match.

Detection of data to be included for reports

These reports work on the basis of data packets. The packeting is carried out for each machine.
A data packet consists of:

  • Usage data: for each meaning or waterfall
    and
  • Filter data: optional data filters that have been archived at the same time
    Determination of time point: down to the exact second; fractions of seconds are ignored

Which data packets are included in the report and which are discarded depends on what the report will be used for.

Recommendations:

  • Work with basic archives for all variables when using optional data filters.
    This is because, with aggregated archives, only aggregations with the same value of all optional data filters can be formed.
  • If optional data filters are not used, work with sum values in aggregated archives.
    You thus reduce the amount of data that needs to be processed in the report.

Data discovery for reports without lot history

For reports without lot discovery, each data packet is considered individually. If a data packet meets all optional data filters, it will be included on the report. If only 1 optional data filter is not met, the complete data packet is rejected.

Examples

Filter definition:

  • Filter 1 requires value 0 or 1
  • Filter 2 requires value 1 or 3

Included data packages:

Example 1:

Object | Value
Filter 1 | 0
Filter 2 | 1
Data | …

Example 2:

Object | Value
Filter 1 | 0
Filter 2 | 3
Data | …

Example 3:

Object | Value
Filter 1 | 1
Filter 2 | 1
Data | …

Example 4:

Object | Value
Filter 1 | 1
Filter 2 | 3
Data | …

Dropped data packages:

Example 1:

Object | Value included | Value discarded
Filter 1 | 0 |
Filter 2 |  | 2
Data | ... | ...

Example 2:

Object | Value included | Value discarded
Filter 1 |  | 1
Filter 2 | 1 |
Data | ... | ...

Example 3:

Object | Value included | Value discarded
Filter 1 |  | 2
Filter 2 |  | 2
Data | ... | ...

Data discovery for reports with lot history

Filtering is on a lot basis here. In doing so, each optional data filter is considered separately. If a data packet of the lot fulfills an optional data filter, the filter is considered fulfilled. If all optional data filters of a lot are fulfilled, all data packets of the lot are taken into account in the report. If only 1 optional data filter is not fulfilled, the complete lot is rejected.

Examples

Filter definition:

  • Filter 1 requires value 0 or 1
  • Filter 2 requires value 1 or 3

Included lot:

Object | Value package 1 | Value package 2 | Value package 3 | Value package 4
Filter 1 (Y) | 2 (N) | 1 (Y) | 2 (N) | 3 (N)
Filter 2 (Y) | 3 (Y) | 2 (N) | 0 (N) | 2 (N)
Data | … | … | … | …

Key:

  • (Y): included
  • (N): discardet

Discarded lot

Object | Value package 1 | Value package 2 | Value package 3 | Value package 4
Filter 1 (N) | 2(N) | 2(N) | 2(N) | 3(N)
Filter 2 (Y) | 3 (Y) | 1 (Y) | 3 (Y) | 1 (Y)
Data | … | … | … | …

Key:

  • (Y): included
  • (N): discardet


Linking zenon Analyzer reports with <CD_SCADA

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with <CD_SCADA

Overview of which report needs SCADA modules and/or ZAMS settings:

Report

SCADA-ModuleSetting

Losses Analysis
  • Waterfall models
  • Optional data filtering
  • Data discovery without lot history

Productivity Indicators Analysis
  • Variables with meanings for line productivity indicators
  • Optional data filtering
  • Data discovery without lot history

Comprehensive Productivity Analysis

This report is a combination of:

  • Losses Analysis
  • Productivity Indicators Analysis

The configuration is equal to the basic reports.

Losses Lot History

  • Optional data filtering
  • Data discovery with lot history
  • Variables addressed via meaning as usage data for several fields

Details can be found in the section: Details for Losses Lot History

Productivity Indicators Lot History

  • Variables with meanings for line productivity indicators
  • Optional data filtering
  • Data discovery with lot history

Comprehensive Productivity Lot History

This report is a combination of:

  • Losses Lot History
  • Productivity Indicators Lot History

The configuration is equal to the basic reports.

Losses Lot History

This report uses:

  • Optional data filtering
  • Data discovery with lot history
  • For variables addressed for each meaning for the following fields as usage data

There must always be at least 1 variable per meaning present:

Report component | Default meaning | Details
Variable For Relative Loss Time Chart | RelativeTimeLosses | Must always be defined.
Variable For Absolute Loss Time Chart | AbsoluteTimeLosses | Must always be defined.


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Production Analysis Machine Based > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

Initial situation

The following is assumed:

  • For each machine, all necessary counters (base data for indicators and loss data) and data filters via driver of zenon Logic is provided so that event-triggered archiving can be used.
    Process per data packet:
    • Counter values are set via Driver/zenon Logic
    • Optional data filters are set.
    • Archive variable with value 1: Archives are written and recorded.
    • Archive variable with value 0:
    • Everything is reset and new data packet starts.
  • For each machine, lot information is available in 2 variables (display that lot is running, as BOOL and lot name as STRING).
    Procedure:
    • Before the lot starts the lot name is written to a variable.
    • The flag for “lot running” is set to 1 when lot is started.
    • Waiting for end of lot.
    • The flag for “lot running” is set to 0 when lot is stopped.
    • The lot name is reset an a new lot starts.
  • Only default meanings are used in this solution for this example.
  • A zenon Editor workspace with the following components is used:
    • 1 global project
    • 1 local project
  • Only basic archives are used.

Target

For the Filler machine in the line called Line1 in the plant in Salzburg, the following analyses are to be made possible:

  • Overview of loss times as a waterfall
  • Indicators - overview
  • Losses Lot History
  • Indicators Lot History

The following indicators should be included:

  • Availability (Main indicator)
  • Performance (Main indicator)
  • Quality (Main indicator)
  • OEE (Main indicator)
  • MTBS (optional indicator)
  • MTBF (optional indicator)
  • MTTR (optional indicator)
  • MTBT (optional indicator)

The following optional data filters are required:

  • Bottle type:
    • 0.5 liters
    • 1 liters
    • 1.5 liters

Engineering

The configuration is broken down into:

  • Equipment Modeling
  • Variables
  • Optional data filtering
  • Archives
  • Lot recording
  • Waterfall model

Equipment Modeling

An equipment model is created in the global project.

Equipment model Packaging:

  • Equipment group Salzburg:
    • Equipment group Line1

      Equipment group Filler

Variables

In the local project the following variables are created an linked with the appropriate divers/zenon Logic.

Variable | Data Type | Meanings | Equipment assignment
Filler_DataArchiveTrigger | BOOL |  | Filler
Filler_BottleType | DINT | BottleType | Filler
Filler_LoadingTime | FLOAT | LoadingTime | Filler
Filler_UnplannedStopTime | FLOAT | RelativeTimeLosses AbsoluteTimeLosses | Filler
Filler_OperatingTime | FLOAT | OperatingTime | Filler
Filler_SpeedLossTime | FLOAT | RelativeTimeLosses AbsoluteTimeLosses | Filler
Filler_NetOperatingTime | FLOAT | NetOperatingTime | Filler
Filler_QualityLossTime | FLOAT | RelativeTimeLosses AbsoluteTimeLosses | Filler
Filler_ValuableOperatingTime | FLOAT | ValuableOperatingTime RelativeTimeLosses | Filler
Filler_MTBS_TimeCounter | FLOAT | MTBS_TimeCounter | Filler
Filler_MTBS_EventCounter | FLOAT | MTBS_EventCounter | Filler
Filler_MTBF_TimeCounter | FLOAT | MTBF_TimeCounter | Filler
Filler_MTBF_EventCounter | FLOAT | MTBF_EventCounter | Filler
Filler_MTTR_TimeCounter | FLOAT | MTTR_TimeCounter | Filler
Filler_MTTR_EventCounter | FLOAT | MTTR_EventCounter | Filler
Filler_MTBT_TimeCounter | FLOAT | MTBT_TimeCounter | Filler
Filler_MTBT_EventCounter | FLOAT | MTBT_EventCounter | Filler
Filler_LotName | STRING |  | Filler
Filler_LotIsActive | BOOL |  | Filler

Optional data filtering

The reaction matrix BottleTypes is created as a numeric reaction matrix and linked with the following entries:

Value | Limit text | AML/CEL
=0 | 0.5 liters | --
=1 | 1 liters | --
=2 | 1.5 liters | --

The BottleTypes reaction matrix is linked for the Filler_BottleType variables.

Archives

The following archives are created in the local project:

Archive name

Variables

Recording

Start/Stop

Equipment assignment

F1 – FillerData

Filler_BottleType

Filler_LoadingTime

Filler_UnplannedStopTime

Filler_OperatingTime

Filler_SpeedLossTime

Filler_NetOperatingTime

Filler_QualityLossTime

Filler_ValuableOperatingTime

Filler_MTBS_TimeCounter

Filler_MTBS_EventCounter

Filler_MTBF_TimeCounter

Filler_MTBF_EventCounter

Filler_MTTR_TimeCounter

Filler_MTTR_EventCounter

Filler_MTBT_TimeCounter

Filler_MTBT_EventCounter

event-triggered Trigger variable Filler_DataArchiveTrigger

With Runtime

Filler

FL – FillerLot

Filler_LotName
  • On change
  • Read image on archive start
  • function-triggered

Filler

Lot recording

The following functions are created in the zenon Editor for the archive FL:

  • StartFillerLot: starts the archive
  • StopFillerLot: stops the archive

2 limit values are created for the variable Filler_LotIsActive

  • 0:
    • no AML entry
    • No CEL entry
    • Execute StopFillerLot function
  • 1:
    • no AML entry
    • No CEL entry
    • Execute StartFillerLot function

Waterfall model

The Meaning and Waterfall Chart Wizard is started in the zenon Editor.

Settings:

  • Settings:
    • Define Meanings: not selected
    • Define Waterfall Chart: selected
      type: Machine
    • Click on Load data
  • Waterfall Chart Filter:
    • Equipment group Filler selected
    • Local project selected
    • Archive F1 selected

Modelling Waterfall chart

Final result

The project is ready for use in the zenon Analyzer.

Now, the workspace in the SCADA Editor can be exported using the Analyzer Export Wizard. All desired reports of the theme can be engineered in ZAMS and used in the Report Launcher.


OEE Analysis

zenon Analyzer > Report templates > Supplied report templates > OEE Analysis

Reports with this theme provide report templates that calculate and display OEE indicators:

  • OEE Indicator: Calculates the OEE performance figures for a selected equipment model in a time period and displays the performance figures in graphic form
  • OEE Indicator Lot History: Calculates the OEE indicators for a selected equipment model for each lot in a period of time and displays the performance figures in graphic form and table form

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

    Select the following as a theme:OEE analysis.

  2. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Metadata

General

Metadata | used | If not used
Projects | + | mandatory.
Alarm/Event class | -- |
Alarm/Event groups | -- |
Users | -- |
Equipment Modeling | + | mandatory.
Archives | + | mandatory.
Variables | + | mandatory.
Prices | -- |
Norm values | -- |

Time filter

Metadata | used | If not used
Lots | + | No reports possible with lot filter.
Shifts | + | No reports possible with shift filter.

Other topics in this chapter

OEE Indicator

OEE Indicator Lot History

Prerequisites and engineering in zenon


OEE Indicator

zenon Analyzer > Report templates > Supplied report templates > OEE Analysis > OEE Indicator

Reports that are based on this template calculate the OEE indicators of an equipment group and display the performance figures in graphic form. These reports are always linked to a certain project.

Main data set

The report template uses the following as main data setOEE_Indicator.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Project selection
  • OEE Meanings
  • OEE equipment group
  • Lookback time
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups

Report elements

This report provides the following report elements:

  • Indicator table
  • Measurement instrument:
    Four measurement instruments: one for each main indicator
  • Aggregation chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Settings:

  • OEE_Indicators
    • OEE_GetStates
      - GetTotalSeconds
      - GetTotalUnits
      - GetTotalSeconds
    • OEE_GetCounters

Settings:

  • ListEquipments_OEE


OEE Indicator Lot History

zenon Analyzer > Report templates > Supplied report templates > OEE Analysis > OEE Indicator Lot History

Reports with this template calculate the OEE indicators of lots of an equipment group in a time period and display the performance figures graphically and in tables. In doing so, the performance figures are calculated separately for each lot. These reports are always linked to a certain project.

Main data set

The report template uses the following as main data setOEE_IndicatorLotHistory.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Project selection
  • OEE Meanings
  • Lot archive
  • OEE equipment group
  • Lookback time
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups

Report elements

This report provides the following report elements:

  • Flat table
  • Trend chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • OEE_Indicators_LotHistory
    • OEE_GetStates
      - GetTotalSeconds
      - GetTotalUnits
      - GetTotalSeconds
    • OEE_GetCounters

Settings:

  • ListEquipments_OEE


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > OEE Analysis > Prerequisites and engineering in zenon

Reports of this theme require specific configurations in zenon.

Other topics in this chapter

Modules needed in zenon

Linking zenon Analyzer reports with zenon

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > OEE Analysis > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Projects
  • Variables
  • Archives

Variables and OEE meaning detection

This reports uses bound projects and bound archives.

Variable detection

Variable identification - procedure:

  1. Loading the metadata for the bound:
    • Project
    • On change archive
    • Cyclic archive
  2. The following variables are searched for in the archive in the event of a value change:
    1. Switch for planned production time (BOOL)
    2. Switch for real production time (BOOL)
    3. Setting for planned machine speed in units per second

    The variables must be bound to an equipment group, not the archive.

  3. The following variables are searched for in the cyclical archive:
    1. Counter for total units
    2. Counter for good units

If a variable cannot be found this is an error. Validation is carried out when configuring the SQL elements of the report.

All assignments for archives and variables are exported by the Analyzer Export Wizard from zenon and provided to zenon Analyzer.

OEE calculation

Configuration of the meanings in ZAMS

Report item | Default meaning | Description
Planned Production Time | EffectiveWorkingTime | Switch for planned production time
Real Production Time | OperatingTime | Switch for real production time
Designed Speed | DesignedSpeed | Settings for the planned machine speed.
Total Units Counter | TotalUnits | Counter for total units.
Good Units Counter | GoodUnits | Counter for good units.

Procedure OEE calculation:

  1. For variables with a value change the data is reviewed until:
    • Each variable has at least one value before the start of the report period
      or
    • The maximum look-back time has been reached
      In this case, the value 0 is assumed as a value before the period under review.
  2. Only data in the reporting period under review is obtained for the cyclical variables.
  3. The following counters are derived from the data as a whole or per lot in the event of a value change:
    • planned production time
    • Real production time
    • Planned quantity: The quantity that can be achieved with the planned speed in the actual production time.
  4. The OEE indicators are calculated from the derived counters and from the counters from the cyclical archive.


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > OEE Analysis > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and/or ZAMS settings:

Report

zenon Module/ZAMS

OEE Indicator
  • OEE calculation

OEE Indicator Lot History
  • OEE calculation
    The lot archive is selected directly in ZAMS


Configuration example

zenon Analyzer > Report templates > Supplied report templates > OEE Analysis > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

Initial situation

For this example it is assumed that:

There are two machines.
The following variables were configured for each:

  • Planned machine running:
    • 0: no
    • 1: yes
  • Machine running:
    • 0: no
    • 1: yes
  • Planned machine speed:
    Is always set to 0 when the machine starts, then to the correct value; only then does the machine start.
  • Total production quantity:
    minute-based relative counter
  • Production quantity without rejects:
    Relative counter every minute

Additional Assumption:

  • Both machines produce the same lot.
  • The lot recording runs as follows:
    1. Lot name is written to a STRING variable.
    2. The BOOL variable Lot running will be set 1.
    3. Waiting for end of lot.
    4. The BOOL variable Lot running will be set 0.
    5. The lot name is reset.

Target

All reports of this theme should be available for both machines.

For this a zenon Editor workspace with the following content is available:

  • 1 global project
  • 1 local project

Only default meanings are used in this example.

Engineering

Used for the configuration:

  • Equipment Modeling
  • Variables
  • Archives
  • Lots

Equipment Modeling

In the zenon Editor the following equipment model is created in the global project:

  • Equipment model Production:
    • Equipment group Machine1
    • Equipment group Machine2

Variables

In the zenon Editor the following variables are created in the local project:

Variable | Data Type | Meaning | Equipment allocation
M1_Planned | BOOL | EffectiveWorkingTime | Machine1
M1_Running | BOOL | OperatingTime | Machine1
M1_DesignSpeed | FLOAT | DesignedSpeed | Machine1
M1_TotalUnits | FLOAT | TotalUnits | Machine1
M1_GoodUnits | FLOAT | GoodUnits | Machine1
M2_Planned | BOOL | EffectiveWorkingTime | Machine2
M2_Running | BOOL | OperatingTime | Machine2
M2_DesignSpeed | FLOAT | DesignedSpeed | Machine2
M2_TotalUnits | FLOAT | TotalUnits | Machine2
M2_GoodUnits | FLOAT | GoodUnits | Machine2
LotName | STRING |  |
LotIsActive | BOOL |  |

Historian

In the zenon Editor the following archives are created without equipment group assignments in the local project:

Archive

Variables

Start/Stop

Recording

SD – SpontData

M1_Planned

M1_Running

M1_DesignSpeed

M2_Planned

M2_Running

M2_DesignSpeed
  • With Runtime
  • On change

CD - CyclicData

M1_TotalUnits

M1_GoodUnits

M2_TotalUnits

M2_GoodUnits
  • With Runtime
  • cyclic 1 minute

LA – LotArchive

LotName
  • function-triggered
  • On change
  • Read process image on archive start

Lot recording

The variable LotName is set as a lot variable for the archive LA in the local project.

The following functions are created in the local project:

  • StartLot: starts the archive LA
  • StopLot: stops the archive LA

2 limit values are created for the variable LotIsActive in the local project.

  • 0:
    • no AML entry
    • No CEL entry
    • Execute StopLot function
  • 1:
    • no AML entry
    • No CEL entry
    • Execute StartLot function

Final result

The project is ready for use in the zenon Analyzer.

The workspace in the zenon Editor can now be exported using the Analyzer Export Wizard All reports of the theme OEE Analysis can be configured in ZAMS and can be displayed in the Report Launcher.


Predictive Analytics

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics

Reports with this theme provide report templates for:

  • Time-based prediction of values: Prediction of future values to be expected, based on historical data.
  • Value-based prediction: Prediction of interactions of variables.
  • Analysis of prediction models: Evaluation of the development of cyclically-trained prediction models over time.

Prediction models for Predictive Analytics are created, edited and administered in the Prediction Model Manager.

Report templates

The following report templates are available:

  • Prediction Trend per Variable: Shows historical data and predictive data as a trend per variable.
  • Prediction Trend per Equipment Group: Shows historical data and predictive data as a trend per equipment group.
  • Aggregated Prediction Trend per Variable: Shows aggregated historical data and aggregated predictive data as a trend per variable.
  • Aggregated Prediction Trend per Equipment Group: Shows aggregated historical data and aggregated predictive data as a trend per equipment group.
  • Prediction Aggregation per Variable: Shows aggregated historical data and aggregated predictive data per variable.
  • Prediction Aggregation per Equipment Group: Shows aggregated prediction data per equipment group.
  • Relative Prediction Aggregation per Variable: Shows aggregated historical relative data and aggregated predictive relative data per variable.
  • Relative Prediction Aggregation per Equipment Group: Shows aggregated historical relative data and aggregated predictive relative data per equipment group.
  • Cost Prediction Aggregation per Variable: Shows aggregated historical cost data and aggregated predictive data per variable.
  • Cost Prediction Aggregation per Equipment Group: Shows aggregated historical cost data and aggregated predictive cost data per equipment group.
  • Prediction Scatter Plot: Creates a scatter plot of 2 indicators and show their predicted values.
  • Prediction Scatter Plot with Reference Curve: Creates a scatter plot with reference curves of 2 indicators and shows their predicted values.
  • Prediction Model Trainings History: Creates a report training history and diagnosis.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme: Predictive Analytics.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Other topics in this chapter

Prediction Trend per Variable

Prediction Trend per Equipment Group

Aggregated Prediction Trend per Variable

Aggregated Prediction Trend per Equipment Group

Prediction Aggregation per Variable

Prediction Aggregation per Equipment Group

Relative Prediction Aggregation per Variable

Relative Prediction Aggregation per Equipment Group

Cost Prediction Aggregation per Variable

Cost Prediction Aggregation per Equipment Group

Prediction Scatter Plot

Prediction Scatter Plot with Reference Curve

Prediction Model Trainings History

Prerequisites and engineering in zenon


Prediction Trend per Variable

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prediction Trend per Variable

Reports that are based on this template show historical data and prediction data as trend per variable.

Main data set

The report template uses the following as main data setPredictive_TrendData.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archives (from projects)
  • Archive compression
  • Variable based on archive or equipment group
  • Default model name
  • Prediction model
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Prediction model
  • Projects
  • Variables

Report elements

  • This report provides the following report elements:
  • Flat table
    Columns: Name, time stamp, value, prediction value and unit.
  • Grouped table:
    Line grouping according to name and display of name, time stamp, value, prediction value and unit
  • Pivoted table:
    Column grouping according to name and display of name, time stamp, value, prediction value and unit
  • Trend chart:
    Bar and line charts.
  • Aggregation chart:
    Bar and pie charts

Default for layout generation:

  • Flat table
  • Line diagram with display of the archive variables and prediction values.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_GetTrendData
    • GetPredictionTrendData
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListPredictiveModelNames


Prediction Trend per Equipment Group

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prediction Trend per Equipment Group

Reports that are based on this template display historical data and predictive data as a trend per equipment group.

Main data set

The report template uses the following as main data setPredictive_TrendDataPerEquipment.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Default model name
  • Prediction model
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Prediction model
  • Projects

Report elements

  • This report provides the following report elements:
  • Flat table
    Columns: Name, time stamp, value, prediction value and unit.
  • Grouped table:
    Line grouping according to name and display of name, time stamp, value, prediction value and unit
  • Pivoted table:
    Column grouping according to name and display of name, time stamp, value, prediction value and unit
  • Trend chart:
    Bar and line charts.
  • Aggregation chart:
    Bar and pie charts

Default for layout generation:

  • Flat table
  • Line chart with display of the equipment group archive variables and prediction values.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_GetTrendDataPerEquipment
    • GetPredictionsTrendDataPerEquipment
    • SplitStringToInt
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesPerEquipments


Aggregated Prediction Trend per Variable

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Aggregated Prediction Trend per Variable

Reports that are based on this template display aggregated historical data and aggregated predictive data as a trend per variable.

Main data set

The report template uses the following as main data setPredictive_AggregatedTrendData.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archives (from projects)
  • Archive compression
  • Variable based on archive or equipment group
  • Aggregation function
  • Aggregation interval
  • Default model name
  • Prediction model
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Compression function
  • Prediction model
  • Projects
  • Variables
  • Aggregation

Report elements

  • This report provides the following report elements:
  • Flat table
    Columns: Name, time stamp, value, prediction value and unit.
  • Trend chart:
    Bar and line charts.
  • Aggregation chart:
    Bar and pie charts
  • Pareto chart

Default for layout generation:

  • Flat table
  • Line chart with display of the aggregated archive variables and prediction values.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_GetAggregatedTrendData
    • GetPredictionTrendData
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListPredictiveModelNames


Aggregated Prediction Trend per Equipment Group

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Aggregated Prediction Trend per Equipment Group

Reports that are based on this template display aggregated historical data and aggregated predictive data as a trend per equipment group.

Main data set

The report template uses the following as main data setPredictive_AggregatedTrendDataPerEquipment.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Aggregation function
  • Aggregation interval
  • Default model name
  • Prediction model
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Compression function
  • Prediction model
  • Projects
  • Aggregation

Report elements

  • This report provides the following report elements:
  • Flat table
    Columns: Name, time stamp, value, prediction value and unit.
  • Trend chart:
    Bar and line charts.
  • Aggregation chart:
    Bar and pie charts
  • Pareto chart

Default for layout generation:

  • Flat table
  • Line chart with display of the aggregated equipment group archive variables and prediction values.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_GetAggregatedTrendDataPerEquipment
    • GetPredictionsTrendDataPerEquipment
    • SplitStringToInt
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesPerEquipments


Prediction Aggregation per Variable

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prediction Aggregation per Variable

Reports that are based on this template display aggregated historical data and aggregated predictive data per variable.

Main data set

The report template uses the following as main data setPredictive_AgregationPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archives (from projects)
  • Archive compression
  • Variable based on archive or equipment group
  • Default model name
  • Prediction model
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Prediction model
  • Projects
  • Variables

Report elements

  • This report provides the following report elements:
  • Flat table
    Columns: Name, time stamp, value, prediction value and unit.
  • Aggregation chart:
    Column chart for sum, average value, minimum, maximum.
  • Pareto chart:
    Column chart.

Default for layout generation:

  • Flat table
  • Aggregation diagram as a column diagram with display of the sum for absolute values from archives and absolute values calculated using the prediction model.
  • Aggregation diagram as a column diagram with display of the average value for absolute values from archives and absolute values calculated using the prediction model.
  • Aggregation diagram as a column diagram with display of the minimum for absolute values from archives and absolute values calculated using the prediction model.
  • Aggregation diagram as a column diagram with display of the maximum for absolute values from archives and absolute values calculated using the prediction model.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_ GetAggregatedDataPerVariable
    • GetPredictionTrendData
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListPredictiveModelNames


Prediction Aggregation per Equipment Group

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prediction Aggregation per Equipment Group

Reports that are based on this template show aggregated predictive data per equipment group.

Main data set

The report template uses the following as main data setPredictive_AgregationPerEquipment.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Default model name
  • Prediction model
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Prediction model
  • Projects

Report elements

  • This report provides the following report elements:
  • Flat table
    Columns: Name, time stamp, value, prediction value and unit.
  • Aggregation chart:
    Column chart for sum, average value, minimum, maximum.
  • Pareto chart:
    Column chart.

Default for layout generation:

  • Flat table
  • Aggregation diagram as a column diagram with display of the sum for absolute values from archives and absolute values calculated from the prediction model.
  • Aggregation diagram as a column diagram with display of the average value for absolute values from archives and absolute values calculated from the prediction model.
  • Aggregation diagram as a column diagram with display of the minimum for absolute values from archives and absolute values calculated from the prediction model.
  • Aggregation diagram as a column diagram with display of the maximum for absolute values from archives and absolute values calculated from the prediction model.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_ GetAggregatedDataPerEquipment
    • GetPredictionsTrendDataPerEquipment
    • SplitStringToInt
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesPerEquipments
    • SplitStringToInt


Relative Prediction Aggregation per Variable

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Relative Prediction Aggregation per Variable

Reports based on this template display aggregated historical relative data and aggregated predictive relative data per variable.

Main data set

The report template uses the following as main data setPredictive_RelativeAgregationPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archives (from projects)
  • Archive compression
  • Variable based on archive or equipment group
  • Default model name
  • Prediction model
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Prediction model
  • Projects
  • Variables

Report elements

  • This report provides the following report elements:
  • Flat table
    All columns.
  • Aggregation chart:
    Column diagram for sum.
  • Pareto chart:
    Column chart.

Default for layout generation:

  • Flat table
  • Aggregation diagram as a column diagram with display of the sum for absolute values or relative values from archives and absolute values calculated using the prediction model.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_ GetAggregatedDataPerVariable
    • GetPredictionTrendData
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListPredictiveModelNames


Relative Prediction Aggregation per Equipment Group

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Relative Prediction Aggregation per Equipment Group

Reports that are based on this template show aggregated historical relative data and aggregated predictive relative data per equipment group.

Main data set

The report template uses the following as main data setPredictive_RelativeAgregationPerEquipment.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Default model name
  • Prediction model
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Prediction model
  • Projects

Report elements

  • This report provides the following report elements:
  • Flat table
    All columns.
  • Aggregation chart:
    Column diagram for sum.
  • Pareto chart:
    Column chart.

Default for layout generation:

  • Flat table
  • Aggregation diagram as a column diagram with display of the sum for absolute values or relative values from the equipment model and absolute values or relative values, calculated using the prediction model.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_ GetAggregatedDataPerEquipment
    • GetPredictionsTrendDataPerEquipment
    • SplitStringToInt
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesPerEquipments
    • SplitStringToInt


Cost Prediction Aggregation per Variable

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Cost Prediction Aggregation per Variable

Reports that are based on this template show historical cost data and aggregated predictive cost data per variable.

Main data set

The report template uses the following as main data setPredictive_CostAgregationPerVariable.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archives (from projects)
  • Archive compression
  • Variable based on archive or equipment group
  • Default model name
  • Prediction model
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Prediction model
  • Projects
  • Variables

Report elements

  • This report provides the following report elements:
  • Flat table
    All columns.
  • Aggregation chart:
    Column chart
  • Pareto chart:
    Column chart.

Default for layout generation:

  • Flat table
  • Aggregation diagram as a column diagram with display of the sum of all cost variables from archive and cost variables, calculated using the prediction model.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_GetAggregatedCostDataPerVariable
    • GetPredictionTrendData
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListVariablesForArchives
  • ListArchivesForProjects
    • SplitStringToInt
  • ListEquipmentTree
  • ListVariablesForProjectsAndEquipments
  • ListPredictiveModelNames


Cost Prediction Aggregation per Equipment Group

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Cost Prediction Aggregation per Equipment Group

Reports that are based on this template show aggregated historical cost data and aggregated predictive cost data per equipment group.

Main data set

The report template uses the following as main data setPredictive_CostAgregationPerEquipment.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Default model name
  • Prediction model
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Prediction model
  • Projects

Report elements

  • This report provides the following report elements:
  • Flat table
    Columns: Name, time stamp, value, prediction value and unit.
  • Aggregation chart:
    Column chart for sum, average value, minimum, maximum.
  • Pareto chart:
    Column chart.

Default for layout generation:

  • Flat table
  • Aggregation diagram as a column diagram with display of the sum of all cost variables from archive and cost variables calculated over the prediction model.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_ GetAggregatedCostDataPerEquipment
    • GetPredictionsTrendDataPerEquipment
    • SplitStringToInt
    • GetTotalSeconds

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesPerEquipments
    • SplitStringToInt


Prediction Scatter Plot

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prediction Scatter Plot

Reports that are based on this template create a scatter plot of 2 indicators and show their predicted values.

Main data set

The report template uses the following as main data setPredictive_ScatterPlot.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Scatter plot meanings
  • Project
  • Archive compression
  • Aggregation interval
  • Default model name
  • Prediction model
  • Prediction start value
  • Prediction end value
  • Prediction number of values
  • Prediction curve name
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Prediction number of values
  • End value of the prediction
  • Prediction model
  • Projects
  • Start value of prediction
  • Aggregation

Report elements

This report provides the following report elements:

  • Grouped table:
    With columns for equipment groups and names and display of variable archive values for horizontal axis and vertical axis as:
    • Table with only the measured values.
    • Table with measured values and prediction values.
  • Scatter plot:
    With curve from prediction model.

Default for layout generation:

  • Grouped tables with columns for equipment groups and names and display of variable archive values for horizontal axis and vertical axis:
    • Table with only the measured values.
    • Table with measured values and prediction values.
  • Scatter plot with curve from prediction model.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_GetScatterWithoutReferenceCurve
    • GetPredictionScatterData
    • GetTotalSeconds
    • SplitStringToInt

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesForScatterPlot
    • SplitStringToInt


Prediction Scatter Plot with Reference Curve

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prediction Scatter Plot with Reference Curve

Reports that are based on this template create a scatter plot with a reference curve of 2 indicators and show their predicted values.

Main data set

The report template uses the following as main data setPredictive_ScatterPlotWithReferenceCurve.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Scatter plot meanings
  • Project
  • Archive compression
  • Aggregation interval
  • Default model name
  • Prediction model
  • Prediction start value
  • Prediction end value
  • Prediction number of values
  • Prediction curve name
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Prediction number of values
  • End value of the prediction
  • Prediction model
  • Projects
  • Start value of prediction
  • Aggregation

Report elements

This report provides the following report elements:

  • Grouped table:
    With columns for equipment groups and names and display of variable archive values for horizontal axis and vertical axis as:
    • Table with only the measured values.
    • Table with measured values and prediction values.
  • Scatter plot:
    With reference curve and curve from prediction model.

Default for layout generation:

  • Grouped tables with columns for equipment groups and names and display of variable archive values for horizontal axis and vertical axis:
    • Table with only the measured values.
    • Table with measured values, prediction values and reference values.
  • Scatter plot with reference curve and curve from prediction model.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_GetScatterWithReferenceCurve
    • GetPredictionScatterData
    • GetTotalSeconds
    • SplitStringToInt

Settings:

  • ListProjects
  • ListEquipmentTree
  • ListPredictiveModelNamesForScatterPlot
    • SplitStringToInt


Prediction Model Trainings History

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prediction Model Trainings History

Reports that are based on this template create a report for the training history and diagnosis.

Main data set

The report template uses the following as main data setPredictive_TrainingHistory.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Project
  • Variables
  • Cycletime labels
  • Cycle time
  • Compression label
  • Archive compression
  • Prediction model

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Prediction models
  • Projects
  • Aggregation
  • Variables
  • Cycle time

Report elements

This report provides the following report elements:

  • Flat table:
    All values.
  • Grouped table:
    Grouped according to equipment model names and all values as group content.
    With columns for equipment groups and names and display of variable archive values for horizontal axis and vertical axis as:
  • Trend diagram:
    Column chart and line chart.
    • X-Axis: Start and end times for training and training data.
    • Y-axis: Values for data, error and correlations.

Default for layout generation:

  • Grouped table:
    Grouped according to equipment model names and all values as group content.
  • Trend diagram:
    Line chart with values for correlation coefficient, absolute error - average and relative error - average.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Predictive_GetTrainingsHistory
    • SplitStringToInt

Settings:

  • ListProjects
  • ListProjectVariables
  • ListCycletimeFromVariable
  • ListCompressionFromVariable
  • ListPredictiveModelNamesPerSingleVariable


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prerequisites and engineering in zenon

The reports of this theme use zenon standards. A particular configuration of the used modules is not is not necessary.

Other topics in this chapter

Modules needed in zenon

Data modeling in zenon Analyzer

Linking zenon Analyzer reports with zenon


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Variables
  • Archives
  • Equipment Groups
  • Meanings for the variables for X axis and Y axis.


Data modeling in zenon Analyzer

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prerequisites and engineering in zenon > Data modeling in zenon Analyzer

Configurations in zenon Analyzer:

  • At least one prediction model must be configured and trained in the Prediction Model Manager.
  • Reference curves for scatter plots must be created in the Manual Data Editor.


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > Predictive Analytics > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and/or ZAMS settings:

Report

zenon Module/ZAMS

Prediction Trend per Variable
  • Variables
  • Archives
  • Equipment Models
  • Calculated prediction models

Prediction Trend per Equipment Group
  • Variables
  • Archives
  • Equipment Models
  • Calculated prediction models

Aggregated Prediction Trend per Variable
  • Variables
  • Archives
  • Equipment Models
  • Calculated prediction models

Aggregated Prediction Trend per Equipment Group
  • Variables
  • Archives
  • Equipment Models
  • Calculated prediction models

Prediction Aggregation per Variable
  • Variables
  • Archives
  • Equipment Models
  • Calculated prediction models

Prediction Aggregation per Equipment Group
  • Variables
  • Archives
  • Equipment Models
  • Calculated prediction models

Relative Prediction Aggregation per Variable
  • Variables
  • Archives
  • Equipment Models
  • Calculated prediction models

Relative Prediction Aggregation per Equipment Group
  • Variables
  • Archives
  • Equipment Models
  • Calculated prediction models

Cost Prediction Aggregation per Variable
  • Variables
  • Archives
  • Equipment Models
  • Calculated prediction models
  • Cost variables via Manual Data Editor.

Cost Prediction Aggregation per Equipment Group
  • Variables
  • Archives
  • Equipment Models
  • Calculated prediction models
  • Kosten variables via Manual Data Editor.

Prediction Scatter Plot
  • Variables
  • Meanings for the variables of the X axis and Y axis.
  • Archives
  • Equipment Models
  • Reference curve from Manual Data Editor
  • Calculated prediction models

Prediction Scatter Plot with Reference Curve
  • Variables
  • Meanings for the variables of the X axis and Y axis.
  • Archives
  • Equipment Models
  • Reference curve from Manual Data Editor
  • Calculated prediction models

Prediction Model Trainings History
  • Trained models


Target Actual Analysis

zenon Analyzer > Report templates > Supplied report templates > Target Actual Analysis

Reports with this theme provide report templates that allow the comparison of nay desired machine-related measured sizes with prescribed values. In doing so, the actual values always come from an archive. The target values can come from an archive. If these are not archived, the target values are, if possible, extracted from the NORM table. The variables are addressed using equipment groups and meanings.

For this, the following applies:

  • Variables that can be used for the target-actual analysis.
    • Are addressed using Meanings
    • Must be linked to the respective equipment group
  • The archive in which the actual values are saved must be linked to the respective equipment group.
  • If these target values come from an archive instead of from the NORM table, then this archive must be linked to the respective equipment group.

Report templates

The following report templates are available:

  • Target Actual Aggregated Trend (absolute): Compares two variables or one variable (actual) with a standard (target). Calculates absolute counter and displays it.
  • Target Actual Aggregated Trend (relative): Compares two variables or one variable (Ist) with a standard (Soll). Calculates relative counter and displays it.
  • Scatter Plot: Creates a scatter plot of a value pair for a time period.
  • Scatter Plot with Reference Curve: Creates a scatter plot for the comparison of any desired machine-related measured sizes with set values.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Target Actual Analysis.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Other topics in this chapter

Target Actual Aggregated Trend (absolute)

Target Actual Aggregated Trend (relative)

Scatter Plot

Scatter Plot with Reference Curve

Prerequisites and engineering in zenon


Target Actual Aggregated Trend (absolute)

zenon Analyzer > Report templates > Supplied report templates > Target Actual Analysis > Target Actual Aggregated Trend (absolute)

Reports based on this theme compare two variables or one variable (actual) with a norm (target). Reports get the set values and actual values for the set meanings and the selected equipment group. The absolute counters are calculated and displayed from this.

Main data set

The report template uses the following as main data setTargetActual_ComparisonAbsolute.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Target actual meanings
  • Aggregation interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Flat table Variable values for actual value and set value.
  • Trend chart: Variable values for actual value and set value as Y axis fields.
  • Aggregation chart: Variable values for actual value and set value as Y axis fields. Variable values are accumulated. Only the maximum is available for aggregation.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • TargetActualComparison310_Absolute
    • GetTargetActualVariables

Settings:

  • ListEquipmentTree


Target Actual Aggregated Trend (relative)

zenon Analyzer > Report templates > Supplied report templates > Target Actual Analysis > Target Actual Aggregated Trend (relative)

Reports based on this theme compare two variables or one variable (actual) with a norm (target). Reports get the set values and actual values for the set meanings and the selected equipment group. The relative counters are calculated and displayed from this.

Main data set

The report template uses the following as main data setTargetActual_ComparisonRelative.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Target actual meanings
  • Aggregation interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Flat table Variable values for actual value and set value.
  • Trend chart: Variable values for actual value and set value as Y axis fields.
  • Aggregation chart: Variable values for actual value and set value as Y axis fields. Variable values are accumulated. Only the maximum is available for aggregation.

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • TargetActualComparison310_Relative
    • GetTargetActualVariables

Settings:

  • ListEquipmentTree


Scatter Plot

zenon Analyzer > Report templates > Supplied report templates > Target Actual Analysis > Scatter Plot

Reports that are based on this template create a scatter plot for the comparison of any desired machine-related measured values with default values. The value pairs are displayed as an X and Y value in a two-dimensional grid as a point. The values can be compressed with the average aggregation function. No reference curves are displayed in the diagram.

This report template is offered in the following themes:

  • Target Actual Analysis
  • Hydroelectric Power Plant Analysis
  • Wind Power Plant Analysis

Reports based on this theme compare two variables or one variable (actual) with a norm (target). Reports get the set values and actual values for the set meanings and the selected equipment group. The relative counters are calculated and displayed from this.

Main data set

The report template uses the following as main data setTargetActual_ScatterPlot.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Scatter plot meanings
  • Project
  • Archive compression
  • Aggregation interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Grouped table:
    With a harmonization of time periods, a line can only have values in the columns of a time period.
  • Scatter Plot

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • TargetActualScatter_WithoutReferenceCurve

Settings:

  • ListProjects
  • ListEquipmentTree


Scatter Plot with Reference Curve

zenon Analyzer > Report templates > Supplied report templates > Target Actual Analysis > Scatter Plot with Reference Curve

Reports that are based on this template create a scatter plot of a value pair for a time period. The value pairs are displayed as an X and Y value in a two-dimensional grid as a point. The values can be compressed with the average aggregation function. A reference curve is also displayed in the diagram.

This report template is offered in the following themes:

  • Target Actual Analysis
  • Hydroelectric Power Plant Analysis
  • Wind Power Plant Analysis

Reports based on this theme compare two variables or one variable (actual) with a norm (target). Reports get the set values and actual values for the set meanings and the selected equipment group. The relative counters are calculated and displayed from this.

Main data set

The report template uses the following as main data setTargetActual_ScatterPlotWithReferenceCurve.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Scatter plot meanings
  • Project
  • Archive compression
  • Aggregation interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Grouped table:
    With a harmonization of time periods, a line can only have values in the columns of a time period.
  • Scatter Plot

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • TargetActualScatter_WithReferenceCurve

Settings:

  • ListProjects
  • ListEquipmentTree


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > Target Actual Analysis > Prerequisites and engineering in zenon

Reports of this theme require specific configurations in zenon.

Other topics in this chapter

Modules needed in zenon

Data modeling in zenon Analyzer

Linking zenon Analyzer reports with <CD_SCADA

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Target Actual Analysis > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Variables with and without archiving

Find variables by means of meaning with archive connection

In order for a variable to be able to be addressed by Meaning with an archive connection, the following conditions must be met in the zenon Editor:

  • The variable must have the desired meaning set.
    These are configured in the properties of the variable in the Analyzer node, Meaning property.
  • The variable has to be stored in an archive.
  • The variable has to be assigned to the desired equipment group.
  • The archive in which the variables are stored has to be assigned to the desired equipment group.

Attention: If the variable is recorded in several archives, only one of them can be assigned to the desired equipment group. If, when listing the archived variables per meaning, more than one archive is detected for a variable, this is considered an error. Validation is carried out during configuration in ZAMS and in the SQL elements of the reports.

All assignments for archives and variables are exported by the Analyzer Export Wizard from the zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1, P2
  • Meaning: meaning
  • Equipment group: G1
  • Variables: V1, V2
  • Archives: A1, A2

Findable variable

Example:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned

Project: P2:

  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Project overlapping variable reference. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Meaning was not assigned. Variable cannot be found.

Example 3:

Project: P1:

  • Variable V1:
    • The meaning is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable was not assigned to an equipment group Variable cannot be found.

Example 4:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Equipment group G1 is assigned

Result: Variable is not stored in the archive. Variable cannot be found.

Example 5:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted

Result: Archive was not assigned to an equipment group Variable cannot be found.

Variables that can be found more than once:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned
  • Archive A2":
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: More than one possible source archive was found for the variable. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Variable V2:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Variable V2 is inserted
    • Equipment group G1 is assigned

Result: Found more than one variable for meaning. Whether the variable can be found depends on the report type.

Find variables by means of meaning without archive connection

In order for a variable to be able to be addressed by Meaning without an archive connection, the following conditions must be met in the zenon Editor:

  • The variable must have the desired meaning set.
    These are configured in the properties of the variable in the Analyzer node, Meaning property.
  • The variable has to be assigned to the desired equipment group.

Validation is carried out during configuration in ZAMS and in the SQL elements of the reports.

All assignments for archives and variables are exported by the Analyzer Export Wizard from the zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1
  • Meaning: meaning
  • Equipment group: G1
  • Variables: V1, V2
  • Archive: A1

Findable variable

Example:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned

Result: Meaning not assigned. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • The meaning is assigned

Result: Variable was not assigned to an equipment group Variable cannot be found.

Variables that can be found more than once:

Example:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Variable V2:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Variable V2 is inserted
    • Equipment group G1 is assigned

Result: Found more than one variable for meaning. Whether the variable can be found depends on the report type.


Data modeling in zenon Analyzer

zenon Analyzer > Report templates > Supplied report templates > Target Actual Analysis > Prerequisites and engineering in zenon > Data modeling in zenon Analyzer

For reports of this theme data can be modeled and linked to the zenon variables.

  • Standard recording:
    Modeling and assignment is configured in the Manual Data Editor.
  • Reference curves
  • Target actual meanings:
    Configuration in ZAMS.

Standard recording

In the Analyzer database standard trends can be modeled and variables can be assigned.
Assignments to the variable:

  • Minimum: 0
  • Maximum N

A maximum of one assigned standard trend can be set as a default.

Reference curves

In the Analyzer database reference curves can be modeled and equipment groups can be assigned.
Assignment to an equipment group:

  • Minimum: 0 Reference curves
  • Maximum 1 reference curve

All equipment groups included in the report must use the same reference curve.

Target actual meanings

Use actual-target comparisons for the following fields for each variable addressed by meaning without archiving.
Always precisely 1 variable per meaning:

Report component | Default meaning | Details
Target Value Variables | TargetValues | Must always be specified.
Actual Value Variables | ActualValues | Must always be specified.

For this, the following applies:

  • Presence of the variables as raw data in a base archive or as summarized data in an aggregation archive:
    • for actual value: obligatory
    • for set value: optional
  • If no archives from which the data can be read are found for the target value, this is not considered an error.
    In this case, the target values are read from the standard trends linked to the target value variables. Precisely one standard trend has to be set as default,

Examples

Definitions:

  • Project: P1
  • Equipment group: A1
  • Meaning: TargetValue
  • Variables: V1
  • Archive: AR11
  • Standard trend: S1

Set value from archive

Example:

Project: P1:

  • Variable V1
    • Meaning TargetValue
    • Linked with equipment group A1
  • Archive AR1
    • records the variable V1
    • is linked with equipment group A1

Set value from standard trend

Project: P1:

  • Variable V1
    • Meaning TargetValue
    • Linked with equipment group A1
  • Variable V1
  • With standard trend S1 linked as a default standard

Invalid configurations:

The following cases lead to error messages:

  • The variable can be read from more than one archive.
  • The variable cannot be read from any archive
    and:
    • No default standard is linked to the variable.
    • More than one default standard is linked to the variable.

Scatter plot meanings

Scatter plots use addressed variables with archiving for each meaning for the following fields.
Always precisely 1 variable per meaning:

Report component | Default meaning | Details
X-Axis Indicator Variables | HorizontalIndicator | Must always be specified.
Y-Axis Indicator Variables | VerticalIndicator | Must always be specified.

These variables can be present as raw data in a base archive or in each aggregation type in an aggregated archive:


Linking zenon Analyzer reports with <CD_SCADA

zenon Analyzer > Report templates > Supplied report templates > Target Actual Analysis > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with <CD_SCADA

Overview of which report needs SCADA modules and/or ZAMS settings:

Report

zenon Module/ZAMS

Target Actual Aggregated Trend
  • Meaning for target actual comparison

Target Actual Aggregated Trend
  • Meaning for target actual comparison

Scatter Plot
  • Scatter plot meanings

Scatter Plot with Reference Curve
  • Scatter plot meanings
  • Reference curves


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Target Actual Analysis > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

Initial situation

For this example it is assumed that:

  • There are 3 machines in the Salzburg plant.
    • Machine 1 has 1 indicator.
      Set value and actual value of the indicator can be archived cyclically.
    • Machine 2 has 1 indicator.
      The actual value of the indicator can be archived cyclically.
      The set value can be modeled via standard trend.
    • Machine 3 has 2 indicators.
      Both indicators can be archived cyclically.
      A reference curve can be entered for the relationship of the indicators to one another.
    • All archivable variables can be archived per minute and are available via drivers or zenon Logic.
  • One zenon Editor workspace with this components exists:
    • 1 global project
    • 1 local project

Only default meanings are used in this example.

Target

The following reports should be available:

  • Target Actual Aggregated Trend (absolute) for Machine 1 and Machine 2
  • Target Actual Aggregated Trend (relative) for Machine 1 and Machine 2
  • Scatter plot with and without reference curve for Machine 3

Engineering

Used for the configuration:

  • Equipment Modeling
  • Variables
  • Archives
  • Standard trend
  • Reference curve

Equipment Modeling

In the zenon Editor the following equipment model is created in the global project:

  • Equipment model Production:
    • Equipment group Salzburg:

      Equipment group Machine1

      Equipment group Machine2

      Equipment group Machine3

Variables

The following variables are created in the local project:

Variable | Meaning | Equipment allocation
M1_Target | TargetValues | Machine1
M1_Actual | ActualValues | Machine1
M2_Target | TargetValues | Machine2
M2_Actual | ActualValues | Machine2
M3_Horizontal | HorizontalIndicator | Machine3
M3_Vertical | VerticalIndicator | Machine3

Data type for all variables: FLOAT

Archives

The following archives are created in the local project:

Archive | Variables | Equipment allocation
M1 – DataMachine1 | M1_Target M1_Actual | Machine1
M2 – DataMachine2 | M2_Actual | Machine2
M3 – DataMachine3 | M3_Horizontal M3_Vertical | Machine3

Configuration of all archives

  • cyclic
  • 1 minute cycle time
  • Start/stop with Runtime

Interim result

The workspace in the zenon Editor can now be exported using the Analyzer Export Wizard
Standard trend and reference curve still need to be configured in the Manual Data Editor and Metadata Editor.

Insert standard trend

Because the M2_Target variables are not archived, the target value must always be modeled using a standard trend. This happens in the Manual Data Editor.
Ablauf:

  1. Manual Data Editor start and connect
  2. Define standard and history.
  3. Link standard with variable and set the default flag.
  4. Save data in database.

Add reference curve

A reference curve is needed for the equipment group Machine3. This is modeled in the Metadata Editor.
Procedure:

  1. Metadata Editor start and connect
  2. Define reference curve and model a history.
  3. Select an equipment group and link with a reference curve.
  4. Save data in database.

Final result

The reports can be prepared in ZAMS and used in the Report Launcher.


Statistical Analysis

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis

Reports with this theme provide report templates that assist in the statistical analysis of data:

  • Process Capability: Calculates the process capability index (Cp) and the critical process capability index (Cpk) from the archived average values and standard deviations.
  • Process Capability based on raw data: Calculates the process capability index (Cp) and the critical process capability index (Cpk) from the archived measured values.
  • Process Capability Trend: Calculates the process capability (Cp) and the critical process capability index (Cpk) from the archived average values and standard deviations, and displays the results as a trend. The calculation of the trend display for Cp and Cpk can be either over a time interval or a random spot-check sample.
  • Process Capability Trend based on raw data: Calculates the process capability (Cp) and the critical process capability index (Cpk) from the archived measured and displays Cp- and Cpk results as a trend. The calculation of the trend display for Cp and Cpk can be either over a time interval of a random spot-check sample.
  • Control Chart: Displays a control chart, based on the archived average values and standard deviations of a measured size.
  • Control Chart based on raw data: Displays a control chart based on an archived measured size.
  • Boxplot: Evaluates archived values statistically. The variables can be addressed by means of either archives or equipment groups.
  • XY Trend Variable Based: Displays an XY trend with selection of the variables for X and Y.
  • XY Trend based on meanings: Displays an XY trend for several equipment groups. The variables for X and Y are searched for on the basis of meanings.
  • Histogram: Create histograms for archived variables.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Statistical Analysis.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Other topics in this chapter

Process Capability

Process Capability based on raw data

Process Capability Trend

Process Capability Trend based on raw data

Control Chart

Control Chart based on raw data

Boxplot

XY Trend Variable Based

XY Trend based on meanings

Histogram

Prerequisites and engineering in zenon


Process Capability

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Process Capability

Reports that are based on this template calculate the process capability index (Cp) and the critical process capability index (Cpk) from the archived average values and standard deviations. The average value µ and the standard deviation s of the process must be recorded in an archive using zenon variables.

The process capability indices Cp and CpK are indicators for the statistical evaluation of a process in production technology.
The following formulas are used for the calculations:

Key:

  • Cp: Process capability index
  • Cpk: Critical process capability index
  • OSG: Upper specification limit (according to design drawing)
  • USG: Lower specification limit (according to design drawing)
  • s : Scattering of the process
  • µ: Average value of the process

1. Formula

2. Formula

3. Formula

4. Formula

Main data set

The report template uses the following as main data set StatisticalAnalysis_AggregatedProcessCapability.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
    Only activated if Variables (of equipment group) has been selected for Average and standard deviation based on archive or equipment group.
  • Equipment group
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of equipment group) has been selected.
  • Project
  • Archives (from projects)
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of archives) has been selected.
  • Archive compression
  • Average and standard deviation based on archive or equipment group
  • Process Capability
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Archives
  • Average
  • Projects
  • Standard deviation

Report elements

This report provides the following report elements:

  • Flat table Columns for
    • Count
    • Average
    • Standard deviation
    • CP
    • Limit color for CP
    • CPO
    • CPU
    • CPK
    • Limit color for CPK
    • Unit
  • Measurement instruments for CP and CPK:
    The target values for CP/CPK are not taken on by the report setting. They must be set once again individually.
    • Low range: CP/CPK target value
    • High range: Display limit

    The colors for display cannot be set. They are pre-defined.

    • Green: CP/CPK OK
    • Red: CP/CPK not OK

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Statistics_GetAggregatedProcessCapability

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Process Capability based on raw data

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Process Capability based on raw data

Reports that are based on this template calculate The process capability index (Cp) and the critical process capability index (Cpk) from the archived measured values, for example the completed diameter of bolts or fill amount of the bottles etc. The raw data (measured data) is used for the calculation of equipment. The measured data must be saved in an archive.

The scatter and the average value are calculated for the complete time period in the SP and for the Cp and Cpk as a basis for calculation.

The process capability indices Cp and CpK are indicators for the statistical evaluation of a process in production technology.
The following formulas are used for the calculations:

Key:

  • Cp: Process capability index
  • Cpk: Critical process capability index
  • OSG: Upper specification limit (according to design drawing)
  • USG: Lower specification limit (according to design drawing)
  • s : Scattering of the process
  • µ: Average value of the process

1. Formula

2. Formula

3. Formula

4. Formula

Main data set

The report template uses the following as main data set StatisticalAnalysis_AggregatedProcessCapabilityFromRawData.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
    Only activated if Variables (of equipment group) has been selected for Variable based on archive or equipment group.
  • Equipment group
    Only activated if, for Variable based on archive or equipment group, Variables (of equipment group) has been selected.
  • Project
  • Archive compression
    Only activated if, for Variable based on archive or equipment group, Variables (of archives) has been selected.
  • Variable based on archive or equipment group
  • Process Capability
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Archives
  • Measurement
  • Projects

Report elements

This report provides the following report elements:

  • Flat table Columns for
    • Count
    • Median
    • Range
    • Maximum
    • Minimum
    • Average
    • Standard deviation
    • CP
    • Limit color for CP
    • CPO
    • CPU
    • CPK
    • Limit color for CPK
    • Unit
  • Measurement instruments for CP and CPK:
    The target values for CP/CPK are not taken on by the report setting. They must be set once again individually.
    • Low range: CP/CPK target value
    • High range: Display limit

    The colors for display cannot be set. They are pre-defined.

    • Green: CP/CPK OK
    • Red: CP/CPK not OK

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Statistics_GetAggregatedProcessCapabilityFromRawData

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Process Capability Trend

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Process Capability Trend

Reports that are based on this template calculate the process capability index (Cp) and the critical process capability index (Cpk) from the archived average values and standard deviations and displays the results as a trend. The calculation of the trend display for Cp and Cpk can be either via a time interval or a spot-check sample.

The average value µ and the standard deviation s of the process serve as a basis for calculation. These must be recorded in an archive using zenon variables.

The process capability indices Cp and CpK are indicators for the statistical evaluation of a process in production technology.
The following formulas are used for the calculations:

Key:

  • Cp: Process capability index
  • Cpk: Critical process capability index
  • OSG: Upper specification limit (according to design drawing)
  • USG: Lower specification limit (according to design drawing)
  • s : Scattering of the process
  • µ: Average value of the process

1. Formula

2. Formula

3. Formula

4. Formula

info Information

If there is a division by zero during the calculation of values, these values are shown as empty in the report.

Main data set

The report template uses the following as main data setStatisticalAnalysis_TrendProcessCapability.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
    Only activated if Variables (of equipment group) has been selected for Average and standard deviation based on archive or equipment group.
  • Equipment group
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of equipment group) has been selected.
  • Project
  • Archives (from projects)
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of archives) has been selected.
  • Archive compression
  • Average and standard deviation based on archive or equipment group
  • Process Capability
  • Process Capability Interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Archives
  • Average
  • Projects
  • Standard deviation
  • Sample Size
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Flat table Columns for
    • Sample number
    • Sample Size
    • Start time
    • End time
    • Average
    • Standard deviation
    • CP
    • Limit color for CP
    • CPO
    • CPU
    • CPK
    • Limit color for CPK
    • Unit
  • Trend chart:
    Y-axis: Multiple selection for
    • Average
    • Standard deviation
    • CP
    • CPO
    • CPU
    • CPK

    X-Axis: Start time or end time

    Diagram types

    • Line chart
    • Bar chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Statistics_GetTrendProcessCapability

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Process Capability Trend based on raw data

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Process Capability Trend based on raw data

Reports that are based on this template calculate the Process capability index (Cp) and the critical process capability index (Cpk) from the archived measured values and displays Cp- and Cpk results as a trend. The calculation of the trend display for Cp and Cpk can be either via a time interval or a spot-check sample.

The process capability indices Cp and CpK are indicators for the statistical evaluation of a process in production technology.
The following formulas are used for the calculations:

Key:

  • Cp: Process capability index
  • Cpk: Critical process capability index
  • OSG: Upper specification limit (according to design drawing)
  • USG: Lower specification limit (according to design drawing)
  • s : Scattering of the process
  • µ: Average value of the process

1. Formula

2. Formula

3. Formula

4. Formula

Main data set

The report template uses the following as main data set StatisticalAnalysis_TrendProcessCapabilityFromRawData.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
    Only activated if Variables (of equipment group) has been selected for Variable based on archive or equipment group.
  • Equipment group
    Only activated if, for Variable based on archive or equipment group, Variables (of equipment group) has been selected.
  • Project
  • Archives (from projects)
    Only activated if, for Variable based on archive or equipment group, Variables (of archives) has been selected.
  • Archive compression
  • Variable based on archive or equipment group
  • Process Capability
  • Process Capability Interval
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Archives
  • Measurement
  • Projects
  • Sample Size
  • Aggregation interval

Report elements

This report provides the following report elements:

  • Flat table Columns for
    • Sample number
    • Sample Size
    • Start time
    • End time
    • Maximum
    • Minimum
    • Average
    • Standard deviation,
    • Range
    • Median
    • CP
    • Limit color for CP
    • CPO
    • CPU
    • CPK
    • Limit color for CPK
    • Unit
  • Trend chart:
    Y-axis: Multiple selection for
    • Maximum
    • Minimum
    • Average
    • Standard deviation
    • Median
    • Range
    • CP
    • CPO
    • CPU
    • CPK

    X-Axis: Start time or end time

    Diagram types

    • Line chart
    • Bar chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Statistics_GetTrendProcessCapabilityFromRawData

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Control Chart

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Control Chart

Reports that are based on this template display a control chart, based on the archived average value and standard deviation of a measured size.

Main Data Sets

The report template uses the following as main data sets:

  • Statistics_ControlChart: Allows the display of a control chart, based on the archived average value and standard deviation of a measured size.
  • Statistics_ControlChartInfo (IMDS): Contains expected value, upper and lower warning limits, as well as upper and lower intervention limits for average value and standard deviation.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of equipment group) has been selected.
  • Equipment group
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of equipment group) has been selected.
  • Project
  • Archives (from projects)
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of archives) has been selected.
  • Archive compression
  • Average and standard deviation based on archive or equipment group
  • Process Capability Interval
  • Control chart limits
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Archives
  • Average
  • Projects
  • Standard deviation
  • Aggregation interval
  • Columns from information main dataset:
    • Upper intervention limit for average value
    • Upper warning limit for average value
    • Expected value for average value
    • Lower warning limit for average value
    • Lower intervention limit for average value
    • Upper intervention limit for standard deviation
    • Upper warning limits for standard deviation
    • Expected value for standard deviation
    • Lower warning limits for standard deviation
    • Lower intervention limit for standard deviation

Report elements

This report provides the following report elements:

  • Flat table
  • Intervention limit for average breached flat table
  • Intervention limit for standard deviation breached flat table
  • Warning limit for average breached flat table
  • Warning limit for standard deviation breached flat table
  • Trend with limits for:
    • Average
    • Standard deviation

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Statistics_GetControlChartData
  • Statistics_GetControlChartLimits
    • GetArchivedVariableMeta

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Control Chart based on raw data

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Control Chart based on raw data

Reports that are based on this template display a control chart, based on an archived measured size.

Main Data Sets

The report template uses the following as main data sets:

  • Statistics_ControlChartFrom RawDate: Allows the display of a control chart, based on an archived measured size.
  • Statistics_ControlChartInfoFRomRawData (IMDS): Contains expected value, upper and lower warning limits, as well as upper and lower intervention limits for average value and standard deviation.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of equipment group) has been selected.
  • Equipment group
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of equipment group) has been selected.
  • Project
  • Archives (from projects)
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of archives) has been selected.
  • Archive compression
  • Variable based on archive or equipment group
  • Process Capability Interval
  • Control chart limits
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Archives
  • Projects
  • Variables
  • Aggregation interval
  • Columns from information main dataset:
    • Upper intervention limit for average value
    • Upper warning limit for average value
    • Expected value for average value
    • Lower warning limit for average value
    • Lower intervention limit for average value
    • Upper intervention limit for standard deviation
    • Upper warning limits for standard deviation
    • Expected value for standard deviation
    • Lower warning limits for standard deviation
    • Lower intervention limit for standard deviation

Report elements

This report provides the following report elements:

  • Flat table
  • Intervention limit for average breached flat table
  • Intervention limit for standard deviation breached flat table
  • Warning limit for average breached flat table
  • Warning limit for standard deviation breached flat table
  • Trend with Limits for:
    • Average
    • Standard deviation

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Statistics_GetControlChartDataFromRawData
  • Statistics_GetControlChartLimitsFromRawData
    • GetArchivedVariableMeta

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Boxplot

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Boxplot

Reports that are based on this template evaluate archived values statistically. The variables can be addressed by means of either archives or equipment groups.

Main data set

The report template uses the following as main data setStatistics_BoxPlot.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of equipment group) has been selected.
  • Equipment group
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of equipment group) has been selected.
  • Project
  • Archives (from projects)
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of archives) has been selected.
  • Archive compression
  • Variable based on archive or equipment group
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Archives
  • Projects
  • Variables

Report elements

This report provides the following report elements:

  • Flat table with statistical data:
    1 line per variable.
    Columns:
    • Variable name
    • Average
    • Standard deviation
    • Minimum
    • Maximum
    • Range
    • Median
    • Lower quartile
    • Upper quartile
    • Quartile distance
  • Grouped table with outliers:
    1 group per variable, 1 line per variable.
    Columns:
    • Variable name (group column)
    • Timestamp
    • Value
  • Flat table with all values:
    Columns:
    • Variable name
    • Timestamp
    • Value
  • Grouped table with all values:
    1 group per variable, 1 line per variable.
    Columns:
    • Variable name (group column)
    • Timestamp
    • Value
  • Pivoted table with all values:
    1 value column per variable name, 1 line per time stamp.
    Columns:
    • Timestamp
    • 1 value column per variable name
  • Boxplot

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Statistics_GetBoxPlotData
    • GetArchivedVariableMeta

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


XY Trend Variable Based

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > XY Trend Variable Based

Reports that are based on this trend display an XY trend with a selection of the variables for X and Y.

Main data set

The report template uses the following as main data setStatistics_XYTrend_VariableBased.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Project
  • Archive compression
  • Variable for X (from archive)
  • Variable for Y (from archive)
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Archives
  • Projects
  • Variable X
  • Variable Y

Report elements

This report provides the following report elements:

  • XY chart:
    • with precisely 1 series
    • without a key
  • Flat table: with the following columns:
    • Timestamp
    • X value
    • Y value

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Statistics_GetXYTrendData
    • ParseEquipmentGroupFilter

      SplitStringToInt

      GetFullEquipmentGroupName

    • SplitStringToInt

Settings:

  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives


XY Trend based on meanings

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > XY Trend based on meanings

Reports that are based on this template display an XY-Trend for several equipment groups. The variables for X and Y are searched for on the basis of meanings.

Main data set

The report template uses the following as main data setStatistics_XYTrend_MeaningBased.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Archive compression
  • Meanings for XY diagram
  • Equipment group names
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects

Report elements

This report provides the following report elements:

  • XY chart:
    • with 1 series per selected equipment group
    • with key
  • Flat table:
    With the following columns:
    • Grouping
    • Timestamp
    • Value X
    • Value Y
  • Grouped table:
    With the following columns:
    • Group for grouping (can be expanded):

      Timestamp

      Value X

      Value Y

  • Pivoted table:
    With the following columns:
    • Timestamp
    • 1 set of columns per grouping:

      Value X

      Value Y

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Statistics_GetXYTrendData
    • ParseEquipmentGroupFilter

      SplitStringToInt

      GetFullEquipmentGroupName

    • SplitStringToInt

Settings:

  • ListProjects
  • ListEquipmentTree


Histogram

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Histogram

Reports that are based on this template create histograms for archived variables. The data representation includes a histogram chart, a table with statistical data, and a table with distribution values. These distribution values can be shown in the histogram.

Main data set

The report template uses the following as main data setStatistics_Histogram.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of equipment group) has been selected.
  • Equipment group
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of equipment group) has been selected.
  • Project
  • Archives (from projects)
    Only activated if, for Average and standard deviation based on archive or equipment group, Variables (of archives) has been selected.
  • Archive compression
  • Variable based on archive or equipment group
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Archives
  • Projects
  • Variables

Report elements

This report provides the following report elements:

  • Histogram
  • Flat table with statistical data:
    1 line per variable.
    Columns:
    • Variable name
    • Average
    • Standard deviation
    • Minimum
    • Maximum
    • Range
  • Flat table with the class data:
    7 - 20 lines per variable with:
    • Variable name
    • Lower class limit
    • Upper class limit
    • Count
    • Percentage

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • Statistics_GetHistogramData
    • GetArchivedVariableMeta

Settings:

  • ListEquipmentTree
  • ListProjects
  • ListArchivesForProjects
    • SplitStringToInt
  • ListVariablesForArchives
  • ListVariablesForProjectsAndEquipments


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Prerequisites and engineering in zenon

The reports of this theme use zenon standards. A particular configuration of the used modules is not is not necessary.

Other topics in this chapter

Modules needed in zenon

Linking zenon Analyzer reports with zenon

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Numeric variables with archiving


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and/or ZAMS settings:

Report

zenon Module/ZAMS

Process Capability
  • Numeric zenon variable that provides values for the average value.
  • Numeric zenon variable that provides values for the standard deviation.

Calculation is carried out by means of PLC, zenon Logic or VBA/VSTA/add-in.

Process Capability based on raw data
  • Numeric zenon variable that provides raw data (measured values).

Process Capability Trend
  • Numeric zenon variable that provides values for the average value.
  • Numeric zenon variable that provides values for the standard deviation

Calculation is carried out by means of PLC, zenon Logic or VBA/VSTA/add-in.

Process Capability Trend based on raw data
  • Numeric zenon variable that provides raw data (measured values).

Control Chart
  • Archived variables.
    Or:
  • Variables archived per equipment group

Control Chart based on raw data
  • Archived variables.
    Or:
  • Variables archived per equipment group

Boxplot
  • Archived variables.
    Or:
  • Variables archived per equipment group

XY Trend Variable Based
  • Archived variables.

XY Trend based on meanings
  • Variables archived per meaning.

Histogram
  • Archived variables.
    Or:
  • Variables archived per equipment group

Note:

  • The variables must be assigned to an archive with the cyclical or on change method.
    Recommendation: cyclic
  • Requirement for two variables: Both variables must write archive values within the same second.
  • The variable filtering can also be configured in ZAMS using the equipment model. To do this, the variable and archive must be assigned to the same equipment model.


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Statistical Analysis > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

This project contains the following variables for the consideration of statistical reports (it is stated in brackets which archive and which equipment model is used):

Variables

9 normally-distributed variables:

  • 3 with values
  • 6 with average value and standard deviation that have already been calculated using VSTA

6 non-normally-distributed variables:

  • 2 with values
  • 4 with average value and standard deviation that have already been calculated using VSTA

Normally-distributed variables:

Values only

Variable | Archive | Equipment Group
Screw_Diameter | S1, Screw_Factory | Turning machine diameter 1
Screw_Nut_Diameter | S2, Screw_Nut_Factory | Turning machine diameter 1
Screw_Length | S3, Screw_Factory | Cuting machine Length

Average values and standard deviation already calculated:

Variable | Archive | Equipment Group
Average_Screw_Diameter | A1, Screw_Factory | Turning machine diameter 1
Average_Screw_Nut_Diameter | A2, Screw_Nut_Factory | Turning machine diameter 1
Average_Screw_Length | A3, Screw_Factory | Cuting machine Length
Standard_Deviation_Screw_Diameter | A1, Screw_Factory | Turning machine diameter 1
Standard_Deviation_Screw_Nut_Diameter | A2, Screw_Nut_Factory | Turning machine diameter 1
Standard_Deviation_Screw_Length | A3, Screw_Factory | Cuting machine Length

Non-normally-distributed variables:

Values only

Variable | Archive | Equipment Group
Screw_Diameter_bad | S4, Screw_Factory | Turning machine diameter 2
Screw_Nut_Diameter_bad | S5, Screw_Nut_Factory | Turning machine diameter 2

Average values and standard deviation already calculated:

Variable | Archive | Equipment Group
Average_Screw_Diameter_bad | A4, Screw_Factory | Turning machine diameter 2
Average_Screw_Nut_Diameter_bad | A5, Screw_Nut_Factory | Turning machine diameter 2
Standard_Deviation_Screw_Diameter_bad | A4, Screw_Factory | Turning machine diameter 2
Standard_Deviation_Screw_Nut_Diameter_bad | A5, Screw_Nut_Factory | Turning machine diameter 2

Meanings

The following meanings are issued:

  • RawValue: Raw value
  • Average: Average
  • StdDev: Standard deviation

Notes on report templates

Notes on the report templates:

  • Process Capability Trend
  • Process Capability Trend based on raw data

Process Capability Trend

Reports of this type need:

  • Numeric zenon variable that provides the values for the average value.
    Calculation is carried out by means of PLC, zenon Logic or VBA/VSTA/add-in.
  • Numeric zenon variable that provides the values for the standard deviation.
    Calculation is carried out by means of PLC, zenon Logic or VBA/VSTA/add-in.

Both of these variables must be archived cyclically or in the event of a change. A cyclical archive is recommended. Prerequisite: Both variables must write archive values at the same time (within the same second).

The variable filtering can also be configured in ZAMS using the equipment model. (Report setting Average and standard deviation based on archive or equipment group) To do this, the variable and archive must be assigned to the same equipment model.

Process Capability Trend based on raw data

Reports of this type need:

  • Numeric zenon variable that provides raw data (measured values).

This variable must be archived cyclically or in the event of a change. A cyclical archive is recommended. Prerequisite: Both variables must write archive values at the same time (within the same second).

The variable filtering can also be configured in ZAMS using the equipment model. (Report setting Average and standard deviation based on archive or equipment group) To do this, the variable and archive must be assigned to the same equipment model.


Hydroelectric Power Plant Analysis

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis

Reports with this theme provide report templates that determine and display various counters for hydraulic power plants.

The following report templates are available:

  • Operating Time per Operation Mode and Machine Component: Calculates operating times for the individual operating modes of a machine and machine components.
  • Operating Time per Operation Mode or Frequency Control Mode: Calculates operating times for a machine including times in which the machine is running in either operating or frequency regulation mode.
  • Operating Time per Machine Component: Analyzes absolute operating times of components of an item of equipment or several items of equipment since they were last replaced and since they were last inspected.
  • Operating Time per Power Range: Calculates operating times for a machine per power range.
  • Circuit Breaker Switching Cycles (Switchyard single selection): Calculates switching cycles for circuit breakers with individual selection of equipment models.
  • Circuit Breaker Switching Cycles (Circuit Breaker multiple selection): Calculates switching cycles for circuit breakers with multiple selection of equipment models.
  • Active and Reactive Energy Meters (Parent Machine single selection): Calculates counter values for active and reactive power on the basis of an equipment group with subgroups.
  • Active and Reactive Energy Meters (Machine multiple selection): Calculates counter values for active and reactive power on the basis of selected equipment groups.
  • Power Line Frequency: Calculates time counters for different frequency bands of the network frequency of a machine.
  • Machine Event Counters (Machine single selection): Calculates counters for different events that may occur for a machine.
  • Set Point Change Event Counters (Machine multiple selection): Determines counters for different machine events: Switching on and off as well as changes to the set value.
  • Nozzle Mode Change Event Counters (Machine multiple selection): Determines counters for different machine events: Switching on and off as well as changes to the nozzle mode.
  • Load Shedding Active Power Ranges Event Counters (Machine multiple selection): Determines counters for different machine events: Switching on and off as well as load shedding in configurable active power ranges.
  • Load Shedding Turbine Speed Ranges Event Counters (Machine multiple selection): Determines counters for different machine events: Switching on and off as well as load shedding in configurable turbine speed ranges.
  • Machine Start Counters: Show starts of the machine sets for turbine and pump operation.

From Target Actual Analysis theme:

  • Scatter Plot: Creates a scatter plot for the comparison of any desired machine-related measured sizes with set values.
  • Scatter Plot with Reference Curve: Creates a scatter plot of a value pair for a time period.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Hydroelectric Power Plant Analysis.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Tipp Hint

Use the description text for labels and sort on the basis of names. This way you ensure that it is possible to group properly.

Other topics in this chapter

Operating Time per Operation Mode and Machine Component

Operating Time per Operation Mode or Frequency Control Mode

Operating Time per Machine Component

Operating Time per Power Range

Circuit Breaker Switching Cycles (Switchyard single selection)

Circuit Breaker Switching Cycles (Circuit Breaker multiple selection)

Active and Reactive Energy Meters (Parent Machine single selection)

Active and Reactive Energy Meters (Machine multiple selection)

Power Line Frequency

Machine Event Counters (Machine single selection)

Set Point Change Event Counters (Machine multiple selection)

Nozzle Mode Change Event Counters (Machine multiple selection)

Load Shedding Active Power Ranges Event Counters (Machine multiple selection)

Load Shedding Turbine Speed Ranges Event Counters (Machine multiple selection)

Machine Start Counters

Prerequisites and engineering in zenon


Operating Time per Operation Mode and Machine Component

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Operating Time per Operation Mode and Machine Component

Reports that are based on this template calculate operating times for the individual operating modes of a machine. In addition, the operating times per machine component since the last inspection of the components are calculated.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_OperatingHoursPerModeAndComponent: Analyzes absolute and relative counter for machine operating time. In doing so, components are analyzed for each mode since replacement or inspection.
  • HydropowerAnalysisInfo_OperatingHoursPerModeAndComponent(IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Operating time counters
  • Equipment group
    Details: Chapter Equipment group hydroelectric power plant without multiple selection
  • Aggregation interval
  • Lookback time
  • Connector
  • Component change and inspection keywords
  • Operating hours keywords
  • No data keywords
  • Detail labels
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    • Various column groupings
  • Trend chart:
    • Relative counter mode
  • Aggregation chart:
    • Relative counter mode

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppOperatingHours
    • GetChildEquipments
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup


Operating Time per Operation Mode or Frequency Control Mode

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Operating Time per Operation Mode or Frequency Control Mode

Reports that are based on this template calculate operating times for a machine including times in which the machine is running in either operating mode or frequency regulation mode. The data table contains all time counters. In addition, the comparison of absolute and relative time counters between machines and modes can be displayed graphically.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_OperatingHoursPerMode: Analyzes operating hours counter for equipment groups.
  • HydropowerAnalysisInfo_OperatingHoursPerMode (IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Operating time per operation mode
  • Equipment group
    Details: Chapter Equipment group Operation time with multiple selection
  • Aggregation interval
  • Equipment group names
  • Lookback time
  • Connector
  • Operating hours per mode keywords
  • No data keywords
  • Detail labels
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    • Collapsible row groupings based on equipment groups
    • 1 column for each operating hours counter.
  • Grouped comparison chart:
    • Equipment group comparison (equipment groups in the key) grouped by indicators (operating time on the X axis)
    • Indicator compariosn (operating time in the key) grouped by equipment groups (equipment group on the X axis)
    • Absolute counter
    • Relative counter

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppModeOperatingHours
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup


Operating Time per Machine Component

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Operating Time per Machine Component

Reports that are based on this template analyze absolute operating times of components of an item of equipment or several items of equipment since they were last replaced and since they were last inspected.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_OperatingHoursPerComponent: Analyzes operating hours counter for equipment groups.
  • HydropowerAnalysisInfo_OperatingHoursPerComponent (IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Operating time per component
  • Equipment group
    Details: Chapter Equipment group Operation time with multiple selection
  • Aggregation interval
  • Equipment group names
  • Lookback time
  • Connector
  • Component change and inspection keywords
  • No data keywords
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    • Collapsible row groupings based on equipment groups
    • 1 column for each operating hours counter.
  • Grouped comparison chart:
    • Equipment group comparison (equipment groups in the key) grouped by indicators (operating time on the X axis)
    • Indicator compariosn (operating time in the key) grouped by equipment groups (equipment group on the X axis)
    • Absolute counter only

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppComponentOperatingHours
    • GetFullEquipmentGroupName
    • GetChildEquipments
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup


Operating Time per Power Range

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Operating Time per Power Range

Reports that are based on this template calculate operating times for a machine per power range.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_OperatingHoursPerPowerRange: Analyzes relative counter for operating time of a machine in load areas.
  • HydropowerAnalysisInfo_OperatingHoursPerPowerRange (IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Operating Time per Power Range
  • Equipment group
    Details: Chapter Equipment group hydroelectric power plant without multiple selection
  • Aggregation interval
  • Lookback time
  • Connector
  • No data keywords
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    • Column group for operating hours counter
    • 1 column for each operating hours counter.
  • Trend chart
  • Aggregation chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppPowerHours
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup


Circuit Breaker Switching Cycles (Switchyard single selection)

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Circuit Breaker Switching Cycles (Switchyard single selection)

Reports that are based on this template calculate switching cycles for circuit breakers. Based on a relative switching cycle counter, absolute switching cycle counters for a circuit breaker are calculated. These absolute counters are reset if the circuit breaker is inspected or replaced.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_SwitchingCyclesSwitchyardSingleSelect: Analyzes operating hours counter, component replacement counters and inspection counters for equipment.
  • HydropowerAnalysisInfo_SwitchingCyclesSwitchyardSingleSelect (IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Switching cycles switchyard
  • Equipment group
    Details: Chapter Equipment group hydroelectric power plant without multiple selection
  • Aggregation interval
  • Lookback time
  • Connector
  • Component change and inspection keywords
  • Relative counter keywords
  • No data keywords
  • Circuit breaker labels
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    • 1 column for each operating hours counter, grouped by equipment
  • Grouped comparison chart:
    • Equipment group comparison (equipment groups in the key) grouped by indicators (counters on the X axis)
    • Indicator comparison (counters in the key) grouped by equipment groups (equipment group on the X axis)
    • Absolute counter only
  • Aggregation chart:
    • Counter (latest absolute value) for all equipments in one chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppSwitchingCycles
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup
  • ListEquipmentTree_ChildMeanings
    • GetChildEquipments
    • GetFullEquipmentGroupName


Circuit Breaker Switching Cycles (Circuit Breaker multiple selection)

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Circuit Breaker Switching Cycles (Circuit Breaker multiple selection)

Reports that are based on this template calculate switching cycles for circuit breakers. Based on a relative switching cycle counter, absolute switching cycle counters for a circuit breaker are calculated. These absolute counters are reset if the circuit breaker is inspected or replaced.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_SwitchingCyclesCircuitBreakerMultiSelect: Analyzes operating hours counter, component replacement counters and inspection counters for equipment.
  • HydropowerAnalysisInfo_SwitchingCyclesCircuitBreakerMultiSelect (IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Switching cycles circuit breakers
  • Equipment group
    Details: Chapter Equipment group Operation time with multiple selection
  • Aggregation interval
  • Lookback time
  • Connector
  • Component change and inspection keywords
  • Relative counter keywords
  • No data keywords
  • Circuit breaker labels
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    • 1 column for each operating hours counter, grouped by equipment
  • Grouped comparison chart:
    • Equipment group comparison (equipment groups in the key) grouped by indicators (counters on the X axis)
    • Indicator comparison (counters in the key) grouped by equipment groups (equipment group on the X axis)
    • Absolute counter only
  • Aggregation chart:
    • Counter (latest absolute value) for all equipments in one chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppSwitchingCyclesMultipleSwitches
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_Meanings
    • GetEquipmentTreeForGroup
  • ListEquipmentTree_ChildMeanings
    • GetFullEquipmentGroupName


Active and Reactive Energy Meters (Parent Machine single selection)

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Active and Reactive Energy Meters (Parent Machine single selection)

Reports that are based on this template calculate counter values for active and reactive power.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_ActiveReactivePowerCountersSingleSelect: Evaluates active and reactive energy meters with single selection of several machines of a parent machine.
  • HydropowerAnalysisInfo_ActiveReactivePowerCountersSingleSelect (IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Active and Reactive Power Counters
  • Equipment group
    Details: Chapter Equipment group hydroelectric power plant without multiple selection
  • Aggregation interval
  • Equipment group names
  • Lookback time
  • Connector
  • Active and reactive power keywords
  • No data keywords
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    Column grouping:
    • Upper level: Equipment group
    • Lower level: Meter type
  • Grouped comparison chart:
    • Equipment comparison per counter
    • Counter comparison per equipment
    • Relative values
  • Trend chart
  • Aggregation chart:

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppActiveReactiveCounters
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_AtLeastOneOfMeanings
    • GetEquipmentTreeForGroup


Active and Reactive Energy Meters (Machine multiple selection)

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Active and Reactive Energy Meters (Machine multiple selection)

Reports that are based on this template calculate counter values for active and reactive power. All equipment groups to be analyzed are selected by means of multiple selection.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_ActiveReactivePowerCountersMultiSelect: Evaluates active and reactive energy meters with multiple selection of several machines of a parent machine.
  • HydropowerAnalysisInfo_ActiveReactivePowerCountersMultiSelect (IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Active and Reactive Power Counters
  • Equipment group
    Details: Chapter Equipment group Operation time with multiple selection
  • Aggregation interval
  • Equipment group names
  • Lookback time
  • Connector
  • Active and reactive power keywords
  • No data keywords
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    Column grouping:
    • Upper level: Equipment group
    • Lower level: Meter type
  • Grouped comparison chart:
    • Equipment comparison as series, counter types as category (X axis)
    • Counter type as series, equipment as category (X axis)
    • Relative values
  • Trend chart: Column or line
  • Aggregation chart: only sum; column or circle

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppActiveReactiveCountersMultipleMachines
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_AtLeastOneOfMeanings
    • GetEquipmentTreeForGroup


Power Line Frequency

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Power Line Frequency

Reports that are based on this template calculate time counters for different frequency bands of the network frequency of a machine.
Archives with the following recording type are processed:

  • cyclic
  • on change

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_FrequencyCounters: Evaluates frequency band counter. Frequency band counters are time counters of how long the network frequency was in this band.
  • HydropowerAnalysis_FrequencyTrend: Interpret the power line frequency as trend.
  • HydropowerAnalysisInfo_FrequencyPlantGroup (IMDS): Output of the name of the power plant, the name of the power plant group and the nominal frequency for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Frequency meanings
  • Equipment group
    Details: Chapter Equipment group hydroelectric power plant without multiple selection
  • Aggregation interval
  • Lookback time
  • Connector
  • No data keywords
  • Detail labels

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group
    • Nominal frequency

Report elements

This report provides the following report elements:

  • Pivoted table
  • Flat table
  • Pareto chart: Columns
  • Trend chart: Columns, Lines
  • Aggregation chart: Columns, circle

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppFrequencyCounters
  • HppFrequencyTrend
  • Hpp_ListStructureNamesWithFrequency

Settings:

  • ListEquipmentTree_MeaningsWithPrefix
    • GetEquipmentTreeForGroup


Machine Event Counters (Machine single selection)

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Machine Event Counters (Machine single selection)

Reports that are based on this template calculate counters for different events that can occur on a machine. Counters can be calculated for the following events:

  • Switching the machine on and off
  • Changes to the target value for the machine
  • Changes to nozzle mode
  • Load shedding events in configurable active power ranges and turbine speed ranges

All counters are displayed in a table.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_EventCountersAllEvents: Analyzes event counters for set point changes, nozzle mode changes, active power on load shedding and turbine speed on load shedding for machines.
  • HydropowerAnalysisInfo_EventCountersAllEvents (IMDS): Output of the name of the power plant, the name of the power plant group and the nominal output and nominal speed for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • All events
  • Equipment group
    Details: Chapter Equipment group hydroelectric power plant without multiple selection
  • Active power seconds
  • Aggregation interval
  • Lookback time
  • Connector
  • Load shedding active power keywords
  • On and off events keywords
  • Nozzle mode events keywords
  • Load shedding turbine speed keywords
  • Operation mode events keywords
  • No data keywords
  • Detail labels
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group
    • Nominal active power
    • Nominal turbine speed

Report elements

This report provides the following report elements:

  • Pivoted table:
    • Column grouping based on counter types

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppEventCounters
  • Hpp_ListStructureNamesWithNominalPowerAndRpm

Settings:

  • ListEquipmentTree_MeaningsAndChildMeanings
    • GetChildEquipments
    • GetEquipmentTreeForGroup


Set Point Change Event Counters (Machine multiple selection)

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Set Point Change Event Counters (Machine multiple selection)

Reports that are based on this template determine counters for different machine events:

  • Switching on and off
  • Amendments to the set value

Reports based on this template allow the selection of several machines.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_EventCountersSetPoint: Analyzes set point change event counters for several machines.
  • HydropowerAnalysisInfo_EventCountersSetPoint (IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Set point change events
  • Equipment group
    Details: Chapter Equipment group Operation time with multiple selection
  • Aggregation interval
  • Equipment group names
  • Lookback time
  • Connector
  • On and off events keywords
  • Operation mode events keywords
  • No data keywords
  • Detail labels
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    • Column grouping based on counter types
    • Row groupings based on equipment groups
  • Grouped comparison chart:
    • Equipment as series (key), counter types as category (X axis)
    • Counter type as series (key), equipment as category (X axis)
    • Relative values

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppEventCounters_SetPointChangesPerOperationMode
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_MeaningsAndChildMeanings
    • GetChildEquipments
    • GetEquipmentTreeForGroup


Nozzle Mode Change Event Counters (Machine multiple selection)

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Nozzle Mode Change Event Counters (Machine multiple selection)

Reports that are based on this template determine counters for different machine events:

  • Switching on and off
  • Changes to nozzle mode

Reports based on this template allow the selection of several machines.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_EventCountersNozzleMode: Analyzes nozzle mode changes event counters for several machines.
  • HydropowerAnalysisInfo_EventCountersNozzleMode (IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Nozzle mode change events
  • Equipment group
    Details: Chapter Equipment group Operation time with multiple selection
  • Aggregation interval
  • Equipment group names
  • Lookback time
  • Connector
  • On and off events keywords
  • Nozzle mode events keywords
  • No data keywords
  • Detail labels
  • Sorting configuration

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    • Column grouping based on counter types
    • Row groupings based on equipment groups
  • Grouped comparison chart:
    • Equipment as series (key), counter types as category (X axis)
    • Counter type as series (key), equipment as category (X axis)
    • Relative values

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppEventCounters_NozzleModes
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_MeaningsAndChildMeanings
    • GetChildEquipments
    • GetEquipmentTreeForGroup


Load Shedding Active Power Ranges Event Counters (Machine multiple selection)

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Load Shedding Active Power Ranges Event Counters (Machine multiple selection)

Reports that are based on this template determine counters for different machine events:

  • Switching on and off
  • Load shedding in configurable active power ranges

Reports based on this template allow the selection of several machines.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_EventCountersActivePower: Analyzes active power on load shedding event counters for several machines.
  • HydropowerAnalysisInfo_EventCountersActivePower (IMDS): Output of the name of the power plant, the name of the power plant group and the nominal output for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Active power on load shedding events
  • Equipment group
    Details: Chapter Equipment group Operation time with multiple selection
  • Active power seconds
  • Aggregation interval
  • Equipment group names
  • Lookback time
  • Connector
  • Load shedding active power keywords
  • On and off events keywords
  • No data keywords

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group
    • Nominal active power

Report elements

This report provides the following report elements:

  • Pivoted table:
    • Column grouping based on counter types
    • Row groupings based on equipment groups
  • Grouped comparison chart:
    • Equipment as series (key), counter types as category (X axis)
    • Counter type as series (key), equipment as category (X axis)
    • Relative values

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppEventCounters_ActivePowerOnLoadShedding
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNamesWithNominalPowerAndRpm

Settings:

  • ListEquipmentTree_MeaningsAndChildMeanings
    • GetChildEquipments
    • GetEquipmentTreeForGroup


Load Shedding Turbine Speed Ranges Event Counters (Machine multiple selection)

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Load Shedding Turbine Speed Ranges Event Counters (Machine multiple selection)

Reports that are based on this template determine counters for different machine events:

  • Switching on and off
  • Load shedding in configurable turbine speed ranges

Reports based on this template allow the selection of several machines.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_EventCountersTurbineSpeed: Analyzes turbine speed on load shedding event counters for several machines.
  • HydropowerAnalysisInfo_EventCountersTurbineSpeed (IMDS): Output of the name of the power plant, the name of the power plant group and the nominal turbine speed for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Turbine speed on load shedding events
  • Equipment group
    Details: Chapter Equipment group Operation time with multiple selection
  • Turbine speed seconds
  • Aggregation interval
  • Equipment group names
  • Lookback time
  • Connector
  • On and off events keywords
  • Load shedding turbine speed keywords
  • No data keywords

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group
    • Nominal turbine speed

Report elements

This report provides the following report elements:

  • Pivoted table:
    • Column grouping based on counter types
    • Row groupings based on equipment groups
  • Grouped comparison chart:
    • Equipment as series (key), counter types as category (X axis)
    • Counter type as series (key), equipment as category (X axis)
    • Relative values

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppEventCounters_OverRevolutionsOnLoadShedding
    • GetChildEquipments
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNamesWithNominalPowerAndRpm

Settings:

  • ListEquipmentTree_MeaningsAndChildMeanings
    • GetChildEquipments
    • GetEquipmentTreeForGroup


Machine Start Counters

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Machine Start Counters

Reports that are based on this template show starts of machine sets for turbine and pump operation.

Main Data Sets

The report template uses the following as main data sets:

  • HydropowerAnalysis_MachineStartCounters: Evaluates absolute and relative counters for starts of a machine as a turbine or pump for several machines with multiple selection of the machines to be used.
  • HydropowerAnalysisInfo_MachineStartCounters (IMDS): Output of the name of the power plant and the name of the power plant group for the selected machine.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Machine start counters
  • Equipment group
    Details: Chapter Equipment group Operation time with multiple selection
  • Aggregation interval
  • Equipment group names
  • Lookback time
  • Connector
  • Machine starts keywords
  • No data keywords

attention Attention

Note for sorting by label:

If several elements in a table have the same name and sorting By label was selected, then these fields overlap and their values are combined.

Several elements with the same name can be present if, for example, the descriptive text is selected as a marking and descriptive texts are identical.

If sorting order is By item ID this effect does not occur. In this case, there are several columns with the same marking in the table.

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Aggregation interval
  • Columns from information main dataset:
    • Power plant
    • Power plant group

Report elements

This report provides the following report elements:

  • Pivoted table:
    2 Column grouping levels:
    • Upper level: Equipment group
    • Lower level: Meter type
  • Grouped comparison chart:
    • Equipment as series (key), counter types as category (X axis)
    • Counter type as series (key), equipment as category (X axis)
    • Relative values
    • Absolute values

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Datasets:

  • HppMachineStartsMultipleMachines
    • GetFullEquipmentGroupName
  • Hpp_ListStructureNames

Settings:

  • ListEquipmentTree_AtLeastOneOfMeanings
    • GetEquipmentTreeForGroup


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Prerequisites and engineering in zenon

Reports of this theme require specific configurations in zenon.

Reports from this configuration notice can handle raw data from basic archives and summarized data from aggregated archives. If not otherwise specified, all variables come from archives.

Note: Reports with scatter plots are described in the Target Actual Analysis theme.

Other topics in this chapter

Modules needed in zenon

Data modeling in zenon Analyzer

Linking zenon Analyzer reports with zenon

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Variables per meanings

Find variables by means of meaning with archive connection

In order for a variable to be able to be addressed by Meaning with an archive connection, the following conditions must be met in the zenon Editor:

  • The variable must have the desired meaning set.
    These are configured in the properties of the variable in the Analyzer node, Meaning property.
  • The variable has to be stored in an archive.
  • The variable has to be assigned to the desired equipment group.
  • The archive in which the variables are stored has to be assigned to the desired equipment group.

Attention: If the variable is recorded in several archives, only one of them can be assigned to the desired equipment group. If, when listing the archived variables per meaning, more than one archive is detected for a variable, this is considered an error. Validation is carried out during configuration in ZAMS and in the SQL elements of the reports.

All assignments for archives and variables are exported by the Analyzer Export Wizard from the zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1, P2
  • Meaning: meaning
  • Equipment group: G1
  • Variables: V1, V2
  • Archives: A1, A2

Findable variable

Example:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned

Project: P2:

  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Project overlapping variable reference. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Meaning was not assigned. Variable cannot be found.

Example 3:

Project: P1:

  • Variable V1:
    • The meaning is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable was not assigned to an equipment group Variable cannot be found.

Example 4:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Equipment group G1 is assigned

Result: Variable is not stored in the archive. Variable cannot be found.

Example 5:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted

Result: Archive was not assigned to an equipment group Variable cannot be found.

Variables that can be found more than once:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned
  • Archive A2":
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: More than one possible source archive was found for the variable. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Variable V2:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Variable V2 is inserted
    • Equipment group G1 is assigned

Result: Found more than one variable for meaning. Whether the variable can be found depends on the report type.

Find variables by means of meaning without archive connection

In order for a variable to be able to be addressed by Meaning without an archive connection, the following conditions must be met in the zenon Editor:

  • The variable must have the desired meaning set.
    These are configured in the properties of the variable in the Analyzer node, Meaning property.
  • The variable has to be assigned to the desired equipment group.

Validation is carried out during configuration in ZAMS and in the SQL elements of the reports.

All assignments for archives and variables are exported by the Analyzer Export Wizard from the zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1
  • Meaning: meaning
  • Equipment group: G1
  • Variables: V1, V2
  • Archive: A1

Findable variable

Example:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned

Result: Meaning not assigned. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • The meaning is assigned

Result: Variable was not assigned to an equipment group Variable cannot be found.

Variables that can be found more than once:

Example:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Variable V2:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Variable V2 is inserted
    • Equipment group G1 is assigned

Result: Found more than one variable for meaning. Whether the variable can be found depends on the report type.


Data modeling in zenon Analyzer

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Prerequisites and engineering in zenon > Data modeling in zenon Analyzer

The configuration in zenon Analyzer requires:

  • Meta information
  • Information for active power ranges
  • Information for speed ranges

Meta information

The reports in this theme can process metainformaton about equipment groups. To do this, entries in the EQUIPMENTINFO table are used.

Meta information: Power plant and power plant group

The following information is available:

Meta information | Default Identification | Description
Power Plant | PlantRelativeParentLevel | Numeric value of the equipment information. Contains the number of levels up required to look at the power station
Power Plant Group | PlantGroupRelativeParentLevel | Numerical value of the equipment information. Contains number of levels up required to look for the power station group

If an equipment group does not have such information linked, the text saved for "No data" in the information data set is output.

Example for power plant and power plant group

Equipment Model Power

  • Equipment group Power plant group
    • Equipment group Power plant
  • Equipment group Machine

Entry for Machine.

  • PlantRelativeParentLevel: 1
  • PlantGroupRelativeParentLevel: 2

Result: The power plant is power plant and the power plant group is power plant group.

Meta information: Component relationships

The following information is available:

Meta information | Default Identification | Description
Parent Component | ComponentRelativeParentLevel | Numeric value of the equipment information. Contains the number of levels up required to look at the parent components.

If an equipment group has no such information linked, the component has no higher-level component.

Example for components at parent level:

Equipment Model Power

  • Equipment group Machine
    • Equipment group Meta component

      Equipment group Component

Entry for Components:

  • ComponentRelativeParentLevel: 1

Result: The parent components are meta components.

Meta information: Nominal frequency

The following information is available:

Meta information | Default Identification | Description
Nominal Frequency | NominalFrequency | Numeric value of the equipment information. Includes Nominal frequency (with measuring unit).

If an equipment group does not have such information linked, the text saved for "No data" in the information data set is output.

Meta information: Nominal output

The following information is available:

Meta information | Default Identification | Description
Nominal Active Power | NominalActivePower | Numeric value of the equipment information. Includes Nominal output (with measuring unit).

If an equipment group does not have such information linked, the text saved for "No data" in the information data set is output.This missing information lead to an error message.

Meta information: Nominal speed

The following information is available:

Meta information | Default Identification | Description
Nominal Turbine Speed | NominalTurbineSpeed | Numeric value of the equipment information. Includes Nominal speed (with measuring unit).

If an equipment group does not have such information linked, the text saved for "No data" in the information data set is output.This missing information lead to an error message.

Active power ranges

Active power ranges are configured for the report in ZAMS.
They are converted to value ranges (starting from the event) with the help of the nominal output.

With load shedding events, the time defined in the report is reviewed, the highest active power value is found and arranged in one of the configured areas. There is no allocation if the active power value does not fit into any range

Speed ranges

Speed ranges are configured for the report in ZAMS.
They are converted to value ranges with the help of the nominal speed.

With load shedding events, the time defined in the report in the future (starting from the event) is reviewed, the highest speed is found and arranged in one of the configured areas. There is no allocation if the speed value does not fit into any range


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and zenon Analyzer configuration:

Report

zenon Module/ZAMS

Operating Time per Operation Mode and Machine Component
  • Meta information for power plant and power plant group
  • Meta information for component relations.
  • Meanings for variables
    (For details, see the Meanings section)

Operating Time per Operation Mode or Frequency Control Mode
  • Meta information for power plant and power plant group
  • Meanings for variables
    (For details, see the Meanings section)

Operating Time per Machine Component
  • Meta information for power plant and power plant group
  • Meta information for component relations.
  • Meanings for variables
    (For details, see the Meanings section)

Operating Time per Power Range
  • Meta information for power plant and power plant group
  • Meanings for variables
    (For details, see the Meanings section)

Circuit breaker switching
(switchyard single selection)
  • Meta information for power plant and power plant group
  • Meanings for variables
    (For details, see the Meanings section)

Circuit breaker switching
(circuit breaker multiple selection)
  • Meta information for power plant and power plant group
  • Meanings for variables
    (For details, see the Meanings section)

Active and Reactive Energy Meters
(Parent Machine single selection)
  • Meta information for power plant and power plant group
  • Meanings for variables
    (For details, see the Meanings section)

Active and Reactive Energy Meters
(Machine multiple selection)
  • Meta information for power plant and power plant group
  • Meanings for variables
    (For details, see the Meanings section)

Power Line Frequency
  • Meta information for power plant and power plant group
  • Meta information for nominal frequency
  • Meanings for variables
    (For details, see the Meanings section)

Machine Event Counters
(Machine single selection)
  • Meta information for power plant and power plant group
  • Meta information for nominal output
  • Meta information for nominal speed
  • Active power ranges
  • Speed ranges
  • Meanings for variables
    (with or without archiving depends on the data source)
    (for details, see the Meanings section)

Set Point Change Event Counters
(Machine multiple selection)
  • Meta information for power plant and power plant group
  • the following meanings for variables from the report Machine events:
    OnOffSwitch
    SetPoint
    OperationMode

Nozzle Mode Change Event Counters
(Machine multiple selection)
  • Meta information for power plant and power plant group
  • the following meanings for variables from the report Machine events:
    OnOffSwitch
    NozzleMode

Load Shedding Active Power Ranges Event Counters
(Machine multiple selection)
  • Meta information for power plant and power plant group
  • Meta information for active power ranges, nominal output
  • the following meanings for variables from the report Machine events:
    OnOffSwitch
    CircuitBreaker
    ActivePower

Load Shedding Turbine Speed Ranges Event Counters
(Machine multiple selection)
  • Meta information for power plant and power plant group
  • Meta information for nominal speed
  • Speed ranges
  • the following meanings for variables from the report Machine events:
    OnOffSwitch
    CircuitBreaker
    TurbineSpeed

Machine Start Counters:
  • Meta information for power plant and power plant group
  • Meanings for variables
    (For details, see the Meanings section)
  • Scatter Plot
  • Scatter Plot with Reference Curve

These reports are described in the Target-actual analysis/Requirements and configuration in zenon chapter.

Meanings

List of the meanings for the respective report:

Operating Time per Operation Mode and Machine Component

This report uses the following meanings for variables:

Report component

Default meaning

Description

Absolute Operating Time

OperatingHoursAbsolute

Precisely one variable with this meaning must be available for the selected equipment group.

Relative Operating Time

OperatingHoursRelative

Precisely one variable with this meaning must be available for the selected equipment group.

Relative Operating Time in an Operation Mode

ModeHoursRelative

At least one variable with this meaning must be available for the selected equipment group.

Component Exchanged

ComponentExchange

Is searched for with subordinate equipment groups (= components) of the selected equipment group.

Can be present 0 or 1 times:

  • 0: No since exchange counter for this component in the report.
  • 1: Since exchange counter for this component in the report.

Variable with data type:

  • STRING: Each value change of the string variables is considered a replacement. The exchanged components have names. The name comes from the variables.
  • Numeric: Replacement is carried out if the variable goes to a value that is not equal to 0.

Component Inspected

ComponentInspection

Is searched for with subordinate equipment groups (= components) of the selected equipment group.

Can be present 0 or 1 times:

  • 0: No since inspection counter for this component in the report.
  • 1: Since inspection counter for this component in the report.

This report analyzes only the selected equipment group. Components are detected as subordinate equipment groups of the selected equipment group.

Operating Times per Operation Mode or Frequency Control Mode

This report uses the following meanings for variables:

Report component | Default meaning | Description
Absolute Operating Time | OperatingHoursAbsolute | Precisely one variable with this meaning must be available for the selected equipment group.
Relative Operating Time | OperatingHoursRelative | Precisely one variable with this meaning must be available for the selected equipment group.
Absolute Operating Time in a Mode | ModeHoursAbsolute | At least one variable with this meaning must be available for the selected equipment group.
Relative Operating Time in a Mode | ModeHoursRelative | At least one variable with this meaning must be available for the selected equipment group.

Components are detected as subordinate equipment groups of the selected equipment groups. Whether the meanings for modes relate to an operating mode or to a frequency control mode is configured in the meanings in the report.

Operating Times per Machine Component

This report uses the following meanings for variables:

Report component

Default meaning

Description

Relative Operating Time

OperatingHoursRelative

Precisely one variable with this meaning must be available for the selected equipment group.

Component Exchanged

ComponentExchange

Is searched for with subordinate equipment groups (= components) of the selected equipment group.

Can be present 0 or 1 times:

  • 0: No since exchange counter for this component in the report.
  • 1: Since exchange counter for this component in the report.

Variable with data type:

  • STRING: Each value change of the string variables is considered a replacement. The exchanged components have names. The name comes from the variables.
  • Numeric: Replacement is carried out if the variable goes to a value that is not equal to 0.

Component Inspected

ComponentInspection

Is searched for with subordinate equipment groups (= components) of the selected equipment group.

Can be present 0 or 1 times:

  • 0: No since inspection counter for this component in the report.
  • 1: Since inspection counter for this component in the report.

Components are detected as subordinate equipment groups of the selected equipment groups.

Operating times per power range

This report uses the following meanings for variables:

Report component | Default meaning | Description
Active Power Generator Range | ActivePowerTimeCounter_Positive | At least one variable with this meaning must be available for the selected equipment group.
Reactive Power Generator Range | ReactivePowerTimeCounter_Positive | At least one variable with this meaning must be available for the selected equipment group.
Active Power Pump Range | ActivePowerTimeCounter_Negative | Precisely 0 or more variables with this meaning can be available for the selected equipment group.
Reactive Power Pump Range | ReactivePowerTimeCounter_Negative | Precisely 0 or more variables with this meaning can be available for the selected equipment group.
Active Power Generator Maximum | ActivePowerTimeCounter_PositiveMax | Precisely one variable with this meaning must be available for the selected equipment group.
Active Power Generator Minimum | ActivePowerTimeCounter_PositiveMin | Precisely one variable with this meaning must be available for the selected equipment group.
Reactive Power Generator Maximum | ReactivePowerTimeCounter_PositiveMax | Precisely one variable with this meaning must be available for the selected equipment group.
Reactive Power Generator Minimum | ReactivePowerTimeCounter_PositiveMin | Precisely one variable with this meaning must be available for the selected equipment group.
Active Power Pump Maximum | ActivePowerTimeCounter_NegativeMax | Precisely 0 or 1 variables with this meaning can be available for the selected equipment group.
Active Power Pump Minimum | ActivePowerTimeCounter_NegativeMin | Precisely 0 or 1 variables with this meaning can be available for the selected equipment group.
Reactive Power Pump Maximum | ReactivePowerTimeCounter_NegativeMax | Precisely 0 or 1 variables with this meaning can be available for the selected equipment group.
Reactive Power Pump Minimum | ReactivePowerTimeCounter_NegativeMin | Precisely 0 or 1 variables with this meaning can be available for the selected equipment group.

This report analyzes only the selected equipment group.

Circuit Breaker Switching Cycles (Switchyard single selection)

This report uses the following meanings for variables:

Report component | Default meaning | Description
Relative Switching Counter | RelativeSwitchings | Precisely one variable with this meaning must be available for an equipment group to be included.
Circuit Breaker Inspection Event | SwitchInspection | Precisely one variable with this meaning must be available for an equipment group to be included. If the value of the numerical value is changed to one that is not equal to 0, there is an event
Circuit Breaker Exchange Event | SwitchExchange | Precisely one variable with this meaning must be available for an equipment group to be included. If the value of the numerical value is changed to one that is not equal to 0, there is an event

This report only examines the equipment groups that are subordinate to the selected equipment group. All are checked if there is at least 1 meaning.

Circuit breaker switching (circuit breaker multiple selection)

This report uses the same meanings as Circuit Breaker Switching Cycles (switchyard single selection).

This report analyzes only the selected equipment groups.

Active and Reactive Energy Meters (Parent Machine - single selection)

This report uses the following meanings for variables:

Report component | Default meaning | Description
Active Power Production | ActivePowerProduction | Precisely 0 or 1 variables with this meaning can be available for the equipment group to be included.
Active Power Consumption | ActivePowerConsumption | Precisely 0 or 1 variables with this meaning can be available for the equipment group to be included.
Reactive Power Production | ReactivePowerProduction | Precisely 0 or 1 variables with this meaning can be available for the equipment group to be included.
Reactive Power Consumption | ReactivePowerConsumption | Precisely 0 or 1 variables with this meaning can be available for the equipment group to be included.

This report only examines the equipment groups that are subordinate to the selected equipment group. All in all, there must be at least one variable so that the equipment group is included in the report.

Active and Reactive Energy Meters (Machine multiple selection)

This report uses the same meanings as Active and Reactive Energy Meters (parent machine - single selection).

This report analyzes only the selected equipment groups. At least one variable must be available for each selected equipment group.

Power Line Frequency

This report uses the following meanings for variables:

Report component

Default meaning

Description

Power Line Frequency

PowerLineFrequency

Precisely one variable with this meaning must be available for the selected equipment group.

Frequency Band Time Counter

FrequencyBandCounter

There must be at least one variable present for the selected equipment group that has this meaning or starts with it.

If all variables start with the given meaning, a sorting sequence is derived from the part that goes beyond this.

Otherwise the variable has no sorting entry and does not appear in diagrams.

This report analyzes only the selected equipment group.

Machine Event Counters (Machine single selection

This report uses the following meanings for variables:

Report component

Default meaning

Description

On Off Switch

OnOffSwitch

Precisely one variable with this meaning must be linked for the selected equipment groups. The variable can be read from an archive, AML or CEL.

Set Point

SetPoint

Precisely one variable with this meaning must be linked for the selected equipment groups. The variable can be read from an archive, AML or CEL.

Nozzle Mode

NozzleMode

At least one variable with this meaning must be linked for the selected equipment groups. The variable can be read from an archive, AML or CEL.

If 1 variable is linked, its value denotes the mode. The modes come from the REMA.

If several variables are linked, each individual one states whether a mode is currently active.

  • 0: inactive

Operation Mode

OperationMode

At least one variable with this meaning must be linked for the selected equipment groups. The variable can be read from an archive, AML or CEL.

If 1 variable is linked, its value denotes the mode. The modes come from the REMA.

If several variables are linked, each individual one states whether a mode is currently active.

  • 0: inactive

Circuit Breaker

CircuitBreaker

The selected equipment groups must have precisely 1 or 2 variables with this meaning linked. The variable can be read from an archive, AML or CEL.

Active Power

ActivePower

Precisely one variable with this meaning must be linked for the selected equipment groups. The variable must come from an archive.

Turbine Speed

TurbineSpeed

Precisely one variable with this meaning must be linked for the selected equipment groups. The variable must come from an archive.

Whether meanings are used with or without archiving depends on the data source.

This report analyzes only the selected equipment group.

Set Point Change Event Counters

This report uses the following meanings for variables from the Machine Event Counters report.

  • OnOffSwitch
  • SetPoint
  • OperationMode

This report analyzes only the selected equipment groups.

Nozzle Mode Change Event Counters

This report uses the following meanings for variables from the Machine Event Counters report.

  • OnOffSwitch
  • NozzleMode

This report analyzes only the selected equipment groups.

Load Shedding Active Power Ranges Event Counters

This report uses the following meanings for variables from the Machine Event Counters report.

  • OnOffSwitch
  • CircuitBreaker
  • ActivePower

This report analyzes only the selected equipment groups.

Load Shedding Turbine Speed Ranges Event Counters

This report uses the following meanings for variables from the Machine Event Counters report.

  • OnOffSwitch
  • CircuitBreaker
  • TurbineSpeed

This report analyzes only the selected equipment groups.

Machine sets start

This report uses the following meanings for variables:

Report component | Default meaning | Description
Absolute Starts as Turbine | TurbineStartAbsolute | Precisely 0 or 1 variables with this meaning can be available for the equipment group to be included.
Relative Starts as Turbine | TurbineStartRelative | Precisely 0 or 1 variables with this meaning can be available for the equipment group to be included.
Absolute Starts as Pump | PumpStartAbsolute | Precisely 0 or 1 variables with this meaning can be available for the equipment group to be included.
Relative Starts as Pump | PumpStartRelative | Precisely 0 or 1 variables with this meaning can be available for the equipment group to be included.

This report analyzes only the selected equipment groups. At least one variable must be available for each selected equipment group.


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Hydroelectric Power Plant Analysis > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

Initial situation

For this example it is assumed that:

  • A power plant operator has one power plant group: A
  • There are 2 power plants per power plant group: A1 and A2
  • There is 1 machine per power plant: A1_M1 and A2_M1)
  • Each machine includes:
    • 100 kW Nominal output
    • 1000 RPM Nominal speed
  • Each power plant has a switchyard with 1 circuit breaker per machine.
  • There is a nominal frequency of 50 Hz everywhere.
  • Each machine consists of a turbine and a generator.
  • Each turbine has 1 paddle wheel.
    This always has a serial number. The serial number changes each time there is a replacement.
  • Each generator consists of a stator and rotor.
    These each consist of a coil and a lamination stack.
  • Circuit breakers, paddle wheels, coils and lamination stacks are regularly inspected and replaced if necessary.
  • Each machine can run in one of these operating modes:
    • Stop
    • Nozzle
    • Pump
  • Each machine can run in one of these frequency modes:
    • Stop
    • primary control
    • Secondary control
    • Tertiary control
  • Each machine can run in one of this nozzle modes:
    • Stop
    • 1-nozzle-mode
    • 2-nozzle-mode
  • All necessary counters and events can be read via drivers or zenon Logic.

Target

The following reports should be available:

  • Operating time per frequency control mode and component
  • Operating time per operation mode
  • Operating time per frequency control mode
  • Operating time per component
  • Operating time per power range
  • Switching cycles (multiple and single selection)
  • Active and Reactive Energy Meters (multiple and single selection)
  • Power Line Frequency
  • All machine events
  • Set point change events per operation mode
  • Nozzle mode change events
  • Active power on load shedding events
  • Turbine speed on active power on load shedding events
  • Machine sets start

The following is applicable for value recording:

  • Counter variables should be archived cyclically.
  • Event and status variables should be archived in the event of a value change.

In zenon workspace the following projects are available:

  • 1 global project
  • 1 integration project
    • 1 local project for the power plant A1
    • 1 local project for the power plant A2

For the solution of the example - as far as possible - default meaning and default identification are used.

Engineering

This example only shows the configuration of the non-imported reports. For the imported reports, you can find example configurations in the Target-actual analysis/requirements and configuration in zenon chapter.

Used for the configuration:

  • Equipment Modeling
  • Variables
  • Meta information
  • Reaction Matrices
  • Historian

Equipment Modeling

The following equipment model is created in the global project.

Variables

The variables are created for each power plant in the respective local project.

Variables in the local project for power plant A1

The following variables are configured in the local project for power plant A1.
All equipment assignments are under the node Power Plant A1:

Variable | Meaning | Type | Unit | Equipment group
M_OnOff | OnOffSwitch | BOOL | -- | Mach. A1_M1
M_SetPoint | SetPoint | FLOAT | kW | Mach. A1_M1
M_NozzleMode | NozzleMode | DINT | -- | Mach. A1_M1
M_FreqContrMode | FrequencyControlMode | DINT | -- | Mach. A1_M1
M_OperMode | OperationMode | DINT | -- | Mach. A1_M1
M_CircuitBreaker | CircuitBreaker | BOOL | -- | Mach. A1_M1
M_ActivePower | ActivePower | FLOAT | kW | Mach. A1_M1
M_ReactivePower | ReactivePower | FLOAT | kW | Mach. A1_M1
M_TurbineSpeed | TurbineSpeed | FLOAT | RPM | Mach. A1_M1
M_ActPowerProd | ActivePowerProduction | FLOAT | kWh | Mach. A1_M1
M_ActPowerCons | ActivePowerConsumption | FLOAT | kWh | Mach. A1_M1
M_ReaPowerProd | ReactivePowerProduction | FLOAT | kWh | Mach. A1_M1
M_ReaPowerCons | ReactivePowerConsumption | FLOAT | kWh | Mach. A1_M1
M_OperatingHrsAbs | OperatingHoursAbsolute | FLOAT | h | Mach. A1_M1
M_OperatingHrsRel | OperatingHoursRelative | FLOAT | h | Mach. A1_M1
M_FreqStopHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A1_M1
M_FreqPrimHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A1_M1
M_FreqSecHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A1_M1
M_FreqTertHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A1_M1
M_FreqStopHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_FreqPrimHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_FreqSecHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_FreqTertHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_ModeStopHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A1_M1
M_ModeTurbHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A1_M1
M_ModePumpHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A1_M1
M_ModeStopHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_ModeTurbHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_ModePumpHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A1_M1
M_ActProd_0_25 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ActProd_25_50 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ActProd_50_75 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ActProd_75_100 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ActProd_Max | ActivePowerTimeCounter_PositiveMax | FLOAT | h | Mach. A1_M1
M_ActProd_Min | ActivePowerTimeCounter_PositiveMin | FLOAT | h | Mach. A1_M1
M_ReaProd_0_25 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ReaProd_25_50 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ReaProd_50_75 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ReaProd_75_100 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A1_M1
M_ReaProd_Max | ReactivePowerTimeCounter_PositiveMax | FLOAT | h | Mach. A1_M1
M_ReaProd_Min | ReactivePowerTimeCounter_PositiveMin | FLOAT | h | Mach. A1_M1
M_ActCons_0_25 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ActCons_25_50 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ActCons_50_75 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ActCons_75_100 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ActCons_Max | ActivePowerTimeCounter_NegativeMax | FLOAT | h | Mach. A1_M1
M_ActCons_Min | ActivePowerTimeCounter_NegativeMin | FLOAT | h | Mach. A1_M1
M_ReaCons_0_25 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ReaCons_25_50 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ReaCons_50_75 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ReaCons_75_100 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A1_M1
M_ReaCons_Max | ReactivePowerTimeCounter_NegativeMax | FLOAT | h | Mach. A1_M1
M_ReaCons_Min | ReactivePowerTimeCounter_NegativeMin | FLOAT | h | Mach. A1_M1
M_TurbStartAbs | TurbineStartAbsolute | DINT | -- | Mach. A1_M1
M_TurbStartRel | TurbineStartRelative | DINT | -- | Mach. A1_M1
M_PumpStartAbs | PumpStartAbsolute | DINT | -- | Mach. A1_M1
M_PumpStartRel | PumpStartRelative | DINT | -- | Mach. A1_M1
TW_Exchange | ComponentExchange | STRING | -- | Turbine Wheel
TW_Inspection | ComponentInspection | BOOL | -- | Turbine Wheel
St_Wind_Exchange | ComponentExchange | BOOL | -- | Stator – Winding
St_Wind_Inspection | ComponentInspection | BOOL | -- | Stator – Winding
St_LStk_Exchange | ComponentExchange | BOOL | -- | Stator – Lam. Stack
St_LStk_Inspection | ComponentInspection | BOOL | -- | Stator – Lam. Stack
R_Wind_Exchange | ComponentExchange | BOOL | -- | Rotor – Winding
R_Wind_Inspection | ComponentInspection | BOOL | -- | Rotor – Windin
R_LStk_Exchange | ComponentExchange | BOOL | -- | Rotor – Lam. Stack
R_LStk_Inspection | ComponentInspection | BOOL | -- | Rotor – Lam. Stack
Sw_RelSwitch | RelativeSwitchings | BOOL | -- | Switch A1_M1
Sw_Inspection | SwitchInspection | BOOL | -- | Switch A1_M1
Sw_Exchange | SwitchExchange | BOOL | -- | Switch A1_M1
Sw_Frequency | PowerLineFrequency | FLOAT | Hz | Switch A1_M1
Sw_FrBand_VeryLow | FrequencyBandCounter1 | FLOAT | h | Switch A1_M1
Sw_FrBand_Low | FrequencyBandCounter2 | FLOAT | h | Switch A1_M1
Sw_FrBand_Small | FrequencyBandCounter3 | FLOAT | h | Switch A1_M1
Sw_FrBand_High | FrequencyBandCounter4 | FLOAT | h | Switch A1_M1
Sw_FrBand_VeryHigh | FrequencyBandCounter5 | FLOAT | h | Switch A1_M1
Sw_FrBand_Large | FrequencyBandCounter | FLOAT | h | Switch A1_M1

Variables in the local project for power plant A2

The following variables are configured in the local project for power plant A2.
All equipment assignments are under the node Power Plant A2:

Variable | Meaning | Type | Unit | Equipment group
M_OnOff | OnOffSwitch | BOOL | -- | Mach. A2_M1
M_SetPoint | SetPoint | FLOAT | kW | Mach. A2_M1
M_NozzleMode | NozzleMode | DINT | -- | Mach. A2_M1
M_FreqContrMode | FrequencyControlMode | DINT | -- | Mach. A2_M1
M_OperMode | OperationMode | DINT | -- | Mach. A2_M1
M_CircuitBreaker | CircuitBreaker | BOOL | -- | Mach. A2_M1
M_ActivePower | ActivePower | FLOAT | kW | Mach. A2_M1
M_ReactivePower | ReactivePower | FLOAT | kW | Mach. A2_M1
M_TurbineSpeed | TurbineSpeed | FLOAT | RPM | Mach. A2_M1
M_ActPowerProd | ActivePowerProduction | FLOAT | kWh | Mach. A2_M1
M_ActPowerCons | ActivePowerConsumption | FLOAT | kWh | Mach. A2_M1
M_ReaPowerProd | ReactivePowerProduction | FLOAT | kWh | Mach. A2_M1
M_ReaPowerCons | ReactivePowerConsumption | FLOAT | kWh | Mach. A2_M1
M_OperatingHrsAbs | OperatingHoursAbsolute | FLOAT | h | Mach. A2_M1
M_OperatingHrsRel | OperatingHoursRelative | FLOAT | h | Mach. A2_M1
M_FreqStopHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A2_M1
M_FreqPrimHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A2_M1
M_FreqSecHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A2_M1
M_FreqTertHrsRel | FrequencyModeHoursRelative | FLOAT | h | Mach. A2_M1
M_FreqStopHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_FreqPrimHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_FreqSecHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_FreqTertHrsAbs | FrequencyModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_ModeStopHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A2_M1
M_ModeTurbHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A2_M1
M_ModePumpHrsRel | OperationModeHoursRelative | FLOAT | h | Mach. A2_M1
M_ModeStopHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_ModeTurbHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_ModePumpHrsAbs | OperationModeHoursAbsolute | FLOAT | h | Mach. A2_M1
M_ActProd_0_25 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ActProd_25_50 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ActProd_50_75 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ActProd_75_100 | ActivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ActProd_Max | ActivePowerTimeCounter_PositiveMax | FLOAT | h | Mach. A2_M1
M_ActProd_Min | ActivePowerTimeCounter_PositiveMin | FLOAT | h | Mach. A2_M1
M_ReaProd_0_25 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ReaProd_25_50 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ReaProd_50_75 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ReaProd_75_100 | ReactivePowerTimeCounter_Positive | FLOAT | h | Mach. A2_M1
M_ReaProd_Max | ReactivePowerTimeCounter_PositiveMax | FLOAT | h | Mach. A2_M1
M_ReaProd_Min | ReactivePowerTimeCounter_PositiveMin | FLOAT | h | Mach. A2_M1
M_ActCons_0_25 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ActCons_25_50 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ActCons_50_75 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ActCons_75_100 | ActivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ActCons_Max | ActivePowerTimeCounter_NegativeMax | FLOAT | h | Mach. A2_M1
M_ActCons_Min | ActivePowerTimeCounter_NegativeMin | FLOAT | h | Mach. A2_M1
M_ReaCons_0_25 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ReaCons_25_50 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ReaCons_50_75 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ReaCons_75_100 | ReactivePowerTimeCounter_Negative | FLOAT | h | Mach. A2_M1
M_ReaCons_Max | ReactivePowerTimeCounter_NegativeMax | FLOAT | h | Mach. A2_M1
M_ReaCons_Min | ReactivePowerTimeCounter_NegativeMin | FLOAT | h | Mach. A2_M1
M_TurbStartAbs | TurbineStartAbsolute | DINT | -- | Mach. A2_M1
M_TurbStartRel | TurbineStartRelative | DINT | -- | Mach. A2_M1
M_PumpStartAbs | PumpStartAbsolute | DINT | -- | Mach. A2_M1
M_PumpStartRel | PumpStartRelative | DINT | -- | Mach. A2_M1
TW_Exchange | ComponentExchange | STRING | -- | Turbine Wheel
TW_Inspection | ComponentInspection | BOOL | -- | Turbine Wheel
St_Wind_Exchange | ComponentExchange | BOOL | -- | Stator – Winding
St_Wind_Inspection | ComponentInspection | BOOL | -- | Stator – Winding
St_LStk_Exchange | ComponentExchange | BOOL | -- | Stator – Lam. Stack
St_LStk_Inspection | ComponentInspection | BOOL | -- | Stator – Lam. Stack
R_Wind_Exchange | ComponentExchange | BOOL | -- | Rotor – Winding
R_Wind_Inspection | ComponentInspection | BOOL | -- | Rotor – Winding
R_LStk_Exchange | ComponentExchange | BOOL | -- | Rotor – Lam. Stack
R_LStk_Inspection | ComponentInspection | BOOL | -- | Rotor – Lam. Stack
Sw_RelSwitch | RelativeSwitchings | BOOL | -- | Switch A2_M1
Sw_Inspection | SwitchInspection | BOOL | -- | Switch A2_M1
Sw_Exchange | SwitchExchange | BOOL | -- | Switch A2_M1
Sw_Frequency | PowerLineFrequency | FLOAT | Hz | Switch A2_M1
Sw_FrBand_VeryLow | FrequencyBandCounter1 | FLOAT | h | Switch A2_M1
Sw_FrBand_Low | FrequencyBandCounter2 | FLOAT | h | Switch A2_M1
Sw_FrBand_Small | FrequencyBandCounter3 | FLOAT | h | Switch A2_M1
Sw_FrBand_High | FrequencyBandCounter4 | FLOAT | h | Switch A2_M1
Sw_FrBand_VeryHigh | FrequencyBandCounter5 | FLOAT | h | Switch A2_M1
Sw_FrBand_Large | FrequencyBandCounter | FLOAT | h | Switch A2_M1

Additional information: Calculation information for variables

The following table contains details of how variables relate to one another, what is calculated and how.

Variable

Calculation

M_OnOff

Event:

  • 0: Machine off
  • 1: Machine on

M_SetPoint

Event: Set value of the production

M_NozzleMode

Is realted to M_OnOff.

Event:

  • 0: Stop
  • 1: 1-nozzle-mode
  • 2: 2-nozzle-mode

M_FreqContrMode

Is realted to M_OnOff.

Event:

  • 0: Stop
  • 1: primary control
  • 2: Secondary control
  • 3: Tertiary control

M_OperMode

Is realted to M_OnOff.

Event:

  • 0: Stop
  • 1: Nozzle
  • 2: Pump

M_CircuitBreaker

Is realted to M_OnOff.

Event:

  • 0: Circuit Breaker open
  • 1: Circuit Breaker closed

M_ActivePower

Measurement: Active power

M_ReactivePower

Measurement: Reactive power

M_TurbineSpeed

Measurement: Turbine speed

M_ActPowerProd

Depends on M_ActivePower and M_OperMode.

Counters: Active power counter for turbine mode

M_ActPowerCons

Depends on M_ActivePower and M_OperMode.

Counters: Active power counter for pump mode

M_ReaPowerProd

Counter, depends on M_ReactivePower and M_OperMode per reactive power counters for turbine operation

M_ReaPowerCons

Depends on M_ReactivePower and M_OperMode.

Counters: Reactive power counter for pump mode

M_OperatingHrsAbs

Counter, depends on M_OnOff per absolute operating time of the machine

M_OperatingHrsRel

Depends on M_OnOff.

Counters: Relative machine operating time

M_FreqStopHrsRel

Depends on M_FreqContrMode.

Counters: Operating time in frequency control mode “Stop”, relative.

M_FreqPrimHrsRel

Depends on M_FreqContrMode.

Counters: Operating time in primary control, relative.

M_FreqSecHrsRel

Depends on M_FreqContrMode.

Counters: Operating time in secondary control, relative.

M_FreqTertHrsRel

Depends on M_FreqContrMode.

Counters: Operating time in tertiary control, relative.

M_FreqStopHrsAbs

Depends on M_FreqContrMode.

Meter. Operating time in frequency control mode “Stop”, relative.

M_FreqPrimHrsAbs

Depends on M_FreqContrMode.

Counters: Operating time in primary control, absolute.

M_FreqSecHrsAbs

Depends on M_FreqContrMode.

Counters: Operating time in secondary control, absolute.

M_FreqTertHrsAbs

Depends on M_FreqContrMode.

Counters: Operating time in tertiary control, absolute.

M_ModeStopHrsRel

Depends on M_OperMode.

Counters: Operating time in operation mode “Stop”, relative.

M_ModeTurbHrsRel

Depends on M_OperMode.

Counters: Operating time in turbine mode, relative.

M_ModePumpHrsRel

Depends on M_OperMode.

Counters: Operating time in pump mode, relative.

M_ModeStopHrsAbs

Depends on M_OperMode.

Counters: Operating time in operation mode “Stop”, absolute.

M_ModeTurbHrsAbs

Depends on M_OperMode.

Counters: Operating time in turbine mode, absolute.

M_ModePumpHrsAbs

Depends on M_OperMode.

Counters: Operating time in pump mode, absolute.

M_ActProd_0_25

Depends on M_ActivePower and M_OperMode.

Counters: Operation time in turbine mode with 0-25 % of the nominal output as active power, relative

M_ActProd_25_50

Depends on M_ActivePower and M_OperMode.

Counters: Operation time in turbine mode with 25-50% of the nominal output as active power, relative

M_ActProd_50_75

Depends on M_ActivePower and M_OperMode.

Counters: Operation time in turbine mode with 50-75 % of the nominal output as active power, relative

M_ActProd_75_100

Depends on M_ActivePower and M_OperMode.

Counters: Operation time in turbine mode with 75-100 % of the nominal output as active power, relative

M_ActProd_Max

Depends on M_ActivePower and M_OperMode.

Counters: Operating time in turbine mode at maximum active power, relative.

M_ActProd_Min

Depends on M_ActivePower and M_OperMode.

Counters: Operating time in turbine mode at minimum active power, relative.

M_ReaProd_0_25

Depends on M_ReactivePower and M_OperMode.

Counters: Operation time in turbine mode with 0-25 % of the nominal output as reactive power, relative

M_ReaProd_25_50

Depends on M_ReactivePower and M_OperMode.

Counters: Operation time in turbine mode with 25-50 % of the nominal output as reactive power, relative

M_ReaProd_50_75

Depends on M_ReactivePower and M_OperMode.

Counters: Operation time in turbine mode with 50-75 % of the nominal output as reactive power, relative

M_ReaProd_75_100

Depends on M_ReactivePower and M_OperMode.

Counters: Operation time in turbine mode with 75-100 % of the nominal output as reactive power, relative

M_ReaProd_Max

Depends on M_ReactivePower and M_OperMode.

Counters: Operating time in turbine mode at maximum reactive power, relative.

M_ReaProd_Min

Depends on M_ReactivePower and M_OperMode.

Counters: Operating time in turbine mode at minimum reactive power, relative.

M_ActCons_0_25

Depends on M_ActivePower and M_OperMode.

Counters: Operation time in pump mode with 0-25 % of the nominal output as active power, relative

M_ActCons_25_50

Depends on M_ActivePower and M_OperMode.

Counters: Operation time in pump mode with 25-50 % of the nominal output as active power, relative

M_ActCons_50_75

Depends on M_ActivePower and M_OperMode.

Counters: Operation time in pump mode with 50-75 % of the nominal output as active power, relative

M_ActCons_75_100

Counter, depends on M_ActivePower and M_OperMode per operating time in pump mode with 75-100% of the nominal output as active power, relative

M_ActCons_Max

Depends on M_ActivePower and M_OperMode.

Counters: Operating time in pump mode at maximum active power, relative.

M_ActCons_Min

Depends on M_ActivePower and M_OperMode.

Counters: Operating time in pump mode at minimum active power, relative.

M_ReaCons_0_25

Depends on M_ReactivePower and M_OperMode.

Counters: Operation time in pump mode with 0-25 % of the nominal output as reactive power, relative

M_ReaCons_25_50

Depends on M_ReactivePower and M_OperMode.

Counters: Operation time in pump mode with 25-50 % of the nominal output as reactive power, relative

M_ReaCons_50_75

Depends on M_ReactivePower and M_OperMode.

Counters: Operation time in pump mode with 50-75 % of the nominal output as reactive power, relative

M_ReaCons_75_100

Depends on M_ReactivePower and M_OperMode.

Counters: Operation time in pump mode with 75-100 % of the nominal output as reactive power, relative

M_ReaCons_Max

Depends on M_ReactivePower and M_OperMode.

Counters: Operating time in pump mode at maximum reactive power, relative.

M_ReaCons_Min

Depends on M_ReactivePower and M_OperMode.

Counters: Operating time in pump mode at minimum reactive power, relative.

M_TurbStartAbs

Depends on M_OperMode.

Counters: Machine starts in turbine mode, absolute

M_TurbStartRel

Depends on M_OperMode.

Counters: Machine starts in turbine mode, relative

M_PumpStartAbs

Counter, depends on M_OperMode per starts of the machine in pump mode, absolute

M_PumpStartRel

Depends on M_OperMode.

Counters: Machine starts in pump mode, relative

TW_Exchange

Event:

  • Text amended => swap carried out.
    Text remains the same until the next event.

TW_Inspection

Event:

  • 1: Inspection accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

St_Wind_Exchange

Event:

  • 1: Exchange accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

St_Wind_Inspection

Event:

  • 1: Inspection accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

St_LStk_Exchange

Event:

  • 1: Exchange accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

St_LStk_Inspection

Event:

  • 1: Inspection accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

R_Wind_Exchange

Event:

  • 1: Exchange accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

R_Wind_Inspection

Event:

  • 1: Inspection accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

R_LStk_Exchange

Event:

  • 1: Exchange accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

R_LStk_Inspection

Event:

  • 1: Inspection accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

Sw_RelSwitch

Depends on M_CircuitBreaker.

Counters: Circuit breaker switchings, relative

Sw_Inspection

Event:

  • 1: Inspection accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

Sw_Exchange

Event:

  • 1: Exchange accomplished.
    The event must be reset to 0 directly to be able to identify the next Event.

Sw_Frequency

Measurement: Power line frequency on circuit breaker

Sw_FrBand_VeryLow

Depends on Sw_Frequency.

Counters: Time in the frequency band.
e. B.: 49 – 49,9 Hz

Sw_FrBand_Low

Depends on Sw_Frequency.

Counters: Time in Frequency band.
e. g.: 49.9 – 49,99 Hz

Sw_FrBand_Small

Depends on Sw_Frequency.

Counters: Time in Frequency band.
e. g.: 49.99 – 50,01 Hz

Sw_FrBand_High

Depends on Sw_Frequency.

Counters: Time in Frequency band.
e. g.: 50.01 – 50,1 Hz

Sw_FrBand_VeryHigh

Depends on Sw_Frequency.

Counters: Time in Frequency band.
e. g.: 50.1 – 51 Hz

Sw_FrBand_Large

Depends on Sw_Frequency.

Counters: Time in Frequency band.
e. g.: 49.9 – 50,1 Hz

Modes via reaction matrices

The reaction matrices are created for each power plant in the respective local project.

Reaction matrices in the local project for power plant A1

In the local project for the power plant A1 the following numeric reaction matrix is created and linked with the variable M_OperMode.
Alle values are compared with reference value “equal”:

Value | Text
0 | Stop
1 | Nozzle
2 | Pump

In the local project for the power plant A1 the following numeric reaction matrix is created and linked with the variable M_FreqContrMode.
Alle values are compared with reference value “equal”:

Value | Text
0 | Stop
1 | Primary Control
2 | Secondary Control
3 | Tertiary Control

In the local project for the power plant A1 the following numeric reaction matrix is created and linked with the variable M_NozzleMode.
Alle values are compared with reference value “equal”:

Value | Text
0 | Stop
1 | 1 Nozzle Mode
2 | 2 Nozzle Mode

Reaction matrices in the local project for power plant A2

In the local project for the power plant A2 the following numeric reaction matrix is created and linked with the variable M_OperMode .
Alle values are compared with reference value “equal”:

Value | Text
0 | Stop
1 | Nozzle
2 | Pump

In the local project for the power plant A2 the following numeric reaction matrix is created and linked with the variable M_FreqContrMode.
Alle values are compared with reference value “equal”:

Value | Text
0 | Stop
1 | Primary Control
2 | Secondary Control
3 | Tertiary Control

In the local project for the power plant A2 the following numeric reaction matrix is created and linked with the variable M_NozzleMode.
Alle values are compared with reference value “equal”:

Value | Text
0 | Stop
1 | 1 Nozzle Mode
2 | 2 Nozzle Mode

Historian

The archives are created for each power plant in the respective local project.

Archives in the local project for power plant A1

The following archives are created in the local project for the power plant A1.
All start/stops are carried out with Runtime; all equipment instructions are under the node Power Plant A1:

Archive | Variables | Recording type | Equipment links
ME – MachineEvents | M_OnOff M_SetPoint M_NozzleMode M_FreqContrMode M_OperMode M_CircuitBreaker | On change | Machine A1_M1
MC – MachineCounters | M_ActivePower M_ReactivePower M_TurbineSpeed M_ActPowerProd M_ActPowerCons M_ReaPowerProd M_ReaPowerCons M_OperatingHrsAbs M_OperatingHrsRel M_FreqStopHrsRel M_FreqPrimHrsRel M_FreqSecHrsRel M_FreqTertHrsRel M_FreqStopHrsAbs M_FreqPrimHrsAbs M_FreqSecHrsAbs M_FreqTertHrsAbs M_ModeStopHrsRel M_ModeTurbHrsRel M_ModePumpHrsRel M_ModeStopHrsAbs M_ModeTurbHrsAbs M_ModePumpHrsAbs M_ActProd_0_25 M_ActProd_25_50 M_ActProd_50_75 M_ActProd_75_100 M_ActProd_Max M_ActProd_Min M_ReaProd_0_25 M_ReaProd_25_50 M_ReaProd_50_75 M_ReaProd_75_100 M_ReaProd_Max M_ReaProd_Min M_ActCons_0_25 M_ActCons_25_50 M_ActCons_50_75 M_ActCons_75_100 M_ActCons_Max M_ActCons_Min M_ReaCons_0_25 M_ReaCons_25_50 M_ReaCons_50_75 M_ReaCons_75_100 M_ReaCons_Max M_ReaCons_Min M_TurbStartAbs M_TurbStartRel M_PumpStartAbs M_PumpStartRel | Cyclic with 1 minute cycle time | Machine A1_M1
CE – ComponentEvents | TW_Exchange TW_Inspection St_Wind_Exchange St_Wind_Inspection St_LStk_Exchange St_LStk_Inspection R_Wind_Exchange R_Wind_Inspection R_LStk_Exchange R_LStk_Inspection | On change | Turbine Wheel Stator – Winding Stator – Lamination Stack Rotor – Winding Rotor – Lamination Stack
SE – SwitchEvents | Sw_Inspection Sw_Exchange | On change | Switch A1_M1
SC - SwitchCounters | Sw_RelSwitch Sw_Frequency Sw_FrBand_VeryLow Sw_FrBand_Low Sw_FrBand_Small Sw_FrBand_High Sw_FrBand_VeryHigh Sw_FrBand_Large | Cyclic with 1 minute cycle time | Switch A1_M1

Archives in the local project for power plant A2

The following archives are created in the local project for the power plant A2.
All start/stops are carried out with Runtime; all equipment instructions are under the node Power Plant A2:

Archive | Variables | Recording type | Equipment links
ME – MachineEvents | M_OnOff M_SetPoint M_NozzleMode M_FreqContrMode M_OperMode M_CircuitBreaker | On change | Machine A2_M1
MC – MachineCounters | M_ActivePower M_ReactivePower M_TurbineSpeed M_ActPowerProd M_ActPowerCons M_ReaPowerProd M_ReaPowerCons M_OperatingHrsAbs M_OperatingHrsRel M_FreqStopHrsRel M_FreqPrimHrsRel M_FreqSecHrsRel M_FreqTertHrsRel M_FreqStopHrsAbs M_FreqPrimHrsAbs M_FreqSecHrsAbs M_FreqTertHrsAbs M_ModeStopHrsRel M_ModeTurbHrsRel M_ModePumpHrsRel M_ModeStopHrsAbs M_ModeTurbHrsAbs M_ModePumpHrsAbs M_ActProd_0_25 M_ActProd_25_50 M_ActProd_50_75 M_ActProd_75_100 M_ActProd_Max M_ActProd_Min M_ReaProd_0_25 M_ReaProd_25_50 M_ReaProd_50_75 M_ReaProd_75_100 M_ReaProd_Max M_ReaProd_Min M_ActCons_0_25 M_ActCons_25_50 M_ActCons_50_75 M_ActCons_75_100 M_ActCons_Max M_ActCons_Min M_ReaCons_0_25 M_ReaCons_25_50 M_ReaCons_50_75 M_ReaCons_75_100 M_ReaCons_Max M_ReaCons_Min M_TurbStartAbs M_TurbStartRel M_PumpStartAbs M_PumpStartRel | Cyclic with 1 minute cycle time | Machine A2_M1
CE – ComponentEvents | TW_Exchange TW_Inspection St_Wind_Exchange St_Wind_Inspection St_LStk_Exchange St_LStk_Inspection R_Wind_Exchange R_Wind_Inspection R_LStk_Exchange R_LStk_Inspection | On change | Turbine Wheel Stator – Winding Stator – Lamination Stack Rotor – Winding Rotor – Lamination Stack
SE – SwitchEvents | Sw_Inspection Sw_Exchange | On change | Switch A2_M1
SC - SwitchCounters | Sw_RelSwitch Sw_Frequency Sw_FrBand_VeryLow Sw_FrBand_Low Sw_FrBand_Small Sw_FrBand_High Sw_FrBand_VeryHigh Sw_FrBand_Large | Cyclic with 1 minute cycle time | Switch A2_M1

Interim result

The workspace in the zenon Editor can now be exported using the Analyzer Export Wizard The meta-information for “Reason” must still be configured for some reports.

Add meta information

The following meta-information is written to the database with the Metadata Editor:

Equipment Groups | Identification | Value | Unit
Machine A1_M1 Machine A2_M1 | PlantRelativeParentLevel | 1 |
Machine A1_M1 Machine A2_M1 | PlantGroupRelativeParentLevel | 2 |
Machine A1_M1 Machine A2_M1 | NominalActivePower | 100 | kW
Machine A1_M1 Machine A2_M1 | NominalTurbineSpeed | 1000 | RPM
All Turbine Wheel All Winding All Lamination Stack | ComponentRelativeParentLevel | 1 |
All Switchyard | PlantRelativeParentLevel | 1 |
All SWitchyard | PlantGroupRelativeParentLevel | 2 |
Switch A1_M1 Switch A2_M1 | PlantRelativeParentLevel | 2 |
Switch A1_M1 Switch A2_M1 | PlantGroupRelativeParentLevel | 3 |
Switch A1_M1 Switch A2_M1 | NominalFrequency | 50 | Hz

Final result

All required reports can now be created and displayed.

Note: Default meanings were not used everywhere. The following list shows the meanings per report.

Meanings for operating time per frequency control mode and machine component

This report uses the following meanings for variables:

Report component | Used meaning
Absolute Operating Time | OperatingHoursAbsolute
Relative Operating Time | OperatingHoursRelative
Relative Operating Time in an Operation Mode | FrequencyModeHoursRelative
Component Exchanged | ComponentExchange
Component Inspected | ComponentInspection

Meanings for operating time per operation mode

This report uses the following meanings for variables:

Report component | Used meaning
Absolute Operating Time | OperatingHoursAbsolute
Relative Operating Time | OperatingHoursRelative
Absolute Operating Time in a Mode | OperationModeHoursAbsolute
Relative Operating Time in a Mode | OperationModeHoursRelative

Meanings for operating time per frequence control mode

This report uses the following meanings for variables:

Report component | Used meaning
Absolute Operating Time | OperatingHoursAbsolute
Relative Operating Time | OperatingHoursRelative
Absolute Operating Time in a Mode | FrequencyModeHoursAbsolute
Relative Operating Time in a Mode | FrequencyModeHoursRelative

Meanings for operating time per machine component

This report uses the following meanings for variables:

Report component | Used meaning
Relative Operating Time | OperatingHoursRelative
Component Exchanged | ComponentExchange
Component Inspected | ComponentInspection

Meanings for operating time per power range assignments

This report uses the following meanings for variables:

Report component | Used meaning
Active Power Generator Range | ActivePowerTimeCounter_Positive
Reactive Power Generator Range | ReactivePowerTimeCounter_Positive
Active Power Pump Range | ActivePowerTimeCounter_Negative
Reactive Power Pump Range | ReactivePowerTimeCounter_Negative
Active Power Generator Maximum | ActivePowerTimeCounter_PositiveMax
Active Power Generator Minimum | ActivePowerTimeCounter_PositiveMin
Reactive Power Generator Maximum | ReactivePowerTimeCounter_PositiveMax
Reactive Power Generator Minimum | ReactivePowerTimeCounter_PositiveMin
Active Power Pump Maximum | ActivePowerTimeCounter_NegativeMax
Active Power Pump Minimum | ActivePowerTimeCounter_NegativeMin
Reactive Power Pump Maximum | ReactivePowerTimeCounter_NegativeMax
Reactive Power Pump Minimum | ReactivePowerTimeCounter_NegativeMin

Meanings for switching cycles (single and multiple selection)

This report uses the following meanings for variables:

Report component | Used meaning
Relative Switching Counter | RelativeSwitchings
Circuit Breaker Inspection Event | SwitchInspection
Circuit Breaker Exchange Event | SwitchExchange

Meanings for Active and Reactive Energy Meters (multiple and single selection)

This report uses the following meanings for variables:

Report component | Used meaning
Active Power Production | ActivePowerProduction
Active Power Consumption | ActivePowerConsumption
Reactive Power Production | ReactivePowerProduction
Reactive Power Consumption | ReactivePowerConsumption

Meanintgs for power line frequency

This report uses the following meanings for variables:

Report component | Used meaning
Power Line Frequency | PowerLineFrequency
Frequency Band Time Counter | FrequencyBandCounter

Meanings for all machine events

This report uses the following meanings for variables:

Report component | Used meaning
On Off Switch | OnOffSwitch
Set Point | SetPoint
Nozzle Mode | NozzleMode
Operation Mode | FrequencyControlMode
Circuit Breaker | CircuitBreaker
Active Power | ActivePower
Turbine Speed | TurbineSpeed

Meanings for set point change events per operation mode

This report uses the following meanings for variables:

Report component | Used meaning
On Off Switch | OnOffSwitch
Set Point | SetPoint
Operation Mode | FrequencyControlMode

Meanings for nozzle mode change events

This report uses the following meanings for variables:

Report component | Used meaning
On Off Switch | OnOffSwitch
Nozzle Mode | NozzleMode

Meanings for active power on load shedding events

This report uses the following meanings for variables:

Report component | Used meaning
On Off Switch | OnOffSwitch
Circuit Breaker | CircuitBreaker
Active Power | ActivePower

Meanings for turbine speed on load shedding events

This report uses the following meanings for variables:

Report component | Used meaning
On Off Switch | OnOffSwitch
Circuit Breaker | CircuitBreaker
Turbine Speed | TurbineSpeed

Meanings for machine start counters

This report uses the following meanings for variables:

Report component | Used meaning
Absolute Starts as Turbine | TurbineStartAbsolute
Relative Starts as Turbine | TurbineStartRelative
Absolute Starts as Pump | PumpStartAbsolute
Relative Starts as Pump | PumpStartRelative


Wind Power Plant Analysis

zenon Analyzer > Report templates > Supplied report templates > Wind Power Plant Analysis

Reports with this theme provide report templates that determine and display various counters for wind power plants.

The following report templates are available:

  • Wind Rose: Displays aggregated indicator values of equipment groups, grouped according to wind direction.

From Target Actual Analysis theme:

  • Scatter Plot: Creates a scatter plot for the comparison of any desired machine-related measured sizes with set values.
  • Scatter Plot with Reference Curve: Creates a scatter plot of a value pair for a time period.

Report template selection

To create a report based on this template:

  1. Select the New report command in the File menu in ZAMS or click on the corresponding action in the start page.

    The dialog for selecting a template is opened.

  2. Select the following as a theme:Wind Power Plant Analysis.
  3. Select the desired report template in the detail view.

Note: You can find instructions and examples for the configuration of reports in the Configure report and Examples of report configuration sections.

Other topics in this chapter

Wind Rose

Prerequisites and engineering in zenon


Wind Rose

zenon Analyzer > Report templates > Supplied report templates > Wind Power Plant Analysis > Wind Rose

Reports that are based on this template display aggregated indicator values of equipment groups, grouped according to wind direction.

Main data set

The report template uses the following as main data setWindPower_WindRose.

Report settings

This report is based on the following report settings:

  • Timefilter
  • Equipment Models
  • Equipment group
  • Project
  • Wind rose configuration
  • Wind direction keywords
  • Archive compression
  • Connector

Report parameter

The report template also provides further report parameters in Report Launcher, in addition to the configured Time filter, possibly depending on the configuration:

  • Equipment groups
  • Projects

Report elements

This report provides the following report elements:

  • Grouped table
  • Polar chart

Note for report developer: SPs and UDFs

Reports that are based on this template use the following SPs and UDFs:

Dataset:

  • WindPower_GetWindRoseData

Settings:

  • ListProjects
  • ListEquipmentTree


Prerequisites and engineering in zenon

zenon Analyzer > Report templates > Supplied report templates > Wind Power Plant Analysis > Prerequisites and engineering in zenon

Reports of this theme require specific configurations in zenon.

Documentations:

Report

docuemented
  • Wind Rose

In this document.
  • Scatter Plot
  • Scatter Plot with Reference Curve

Chapter Target Actual Analysis/Prerequisites and engineering in zenon

Reports of this theme can analyze archived variables of all aggregation types (also raw data).

Other topics in this chapter

Modules needed in zenon

Linking zenon Analyzer reports with zenon

Configuration example


Modules needed in zenon

zenon Analyzer > Report templates > Supplied report templates > Wind Power Plant Analysis > Prerequisites and engineering in zenon > Modules needed in zenon

Reports of this theme use information from zenon:

  • Variables

Find variables by means of meaning with archive connection

In order for a variable to be able to be addressed by Meaning with an archive connection, the following conditions must be met in the zenon Editor:

  • The variable must have the desired meaning set.
    These are configured in the properties of the variable in the Analyzer node, Meaning property.
  • The variable has to be stored in an archive.
  • The variable has to be assigned to the desired equipment group.
  • The archive in which the variables are stored has to be assigned to the desired equipment group.

Attention: If the variable is recorded in several archives, only one of them can be assigned to the desired equipment group. If, when listing the archived variables per meaning, more than one archive is detected for a variable, this is considered an error. Validation is carried out during configuration in ZAMS and in the SQL elements of the reports.

All assignments for archives and variables are exported by the Analyzer Export Wizard from the zenon and provided to zenon Analyzer.

Examples

Definitions:

  • Project: P1, P2
  • Meaning: meaning
  • Equipment group: G1
  • Variables: V1, V2
  • Archives: A1, A2

Findable variable

Example:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable can be found.

Variables that cannot be found:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned

Project: P2:

  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Project overlapping variable reference. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Meaning was not assigned. Variable cannot be found.

Example 3:

Project: P1:

  • Variable V1:
    • The meaning is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: Variable was not assigned to an equipment group Variable cannot be found.

Example 4:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Equipment group G1 is assigned

Result: Variable is not stored in the archive. Variable cannot be found.

Example 5:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted

Result: Archive was not assigned to an equipment group Variable cannot be found.

Variables that can be found more than once:

Example 1:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Equipment group G1 is assigned
  • Archive A2":
    • Variable V1 is inserted
    • Equipment group G1 is assigned

Result: More than one possible source archive was found for the variable. Variable cannot be found.

Example 2:

Project: P1:

  • Variable V1:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Variable V2:
    • The meaning is assigned
    • Equipment group G1 is assigned
  • Archive A1:
    • Variable V1 is inserted
    • Variable V2 is inserted
    • Equipment group G1 is assigned

Result: Found more than one variable for meaning. Whether the variable can be found depends on the report type.


Linking zenon Analyzer reports with zenon

zenon Analyzer > Report templates > Supplied report templates > Wind Power Plant Analysis > Prerequisites and engineering in zenon > Linking zenon Analyzer reports with zenon

Overview of which report needs SCADA modules and/or ZAMS settings:

Report

zenon Module/ZAMS

Wind Rose
  • Wind direction:
    Must be defined.
    The variable can be archived in Degree (°), Gradian (gon) or radian (rad).;
    No default meaning.
  • Indicator variable:
    Must be defined.
    Wind speed or power output are typically used.
    No fefault meaning.

The windrose can include 4, 8 or 16 gradations for the wind direction.


Configuration example

zenon Analyzer > Report templates > Supplied report templates > Wind Power Plant Analysis > Prerequisites and engineering in zenon > Configuration example

In order to be able to display reports with this topic, they must be present from data required by zenon and available in the correct format. The following example helps you when configuring and using the zenon project.

This example project configuration only shows the configuration of the Windrose report.
You can find examples of other reports with this theme in the target-actual analysis.

Reference curves for wind wheels typically show the power output (vertical) in relation to the wind strength (horizontal).

Initial situation

For this example it is assumed that:

  • A wind power plant provider runs 2 wind farms:
    • Windpark North
    • Windpark South
  • Each wind farm contains 5 wind turbines.
  • Each wind farm includes:
    • 1 sensor for the wind direction (in degrees)
    • 1 sensor for wind strength (in m/s)
  • Each wind turbine includes:
    • 1 sensor for the power output (in kW)
  • All sensor data:
    • Can be recorded cyclically every minute
    • Are read via a driver

Target

The following reports should be available:

  • Wind speed per wind direction for all wind farms
  • Power output per wind direction for all wind turbines

For this a zenon Editor workspace with the following projects is available:

  • 1 global project
  • 1 integration project
    • 1 local project for the Windpark North
    • 1 local project for the Windpark South

Engineering

Used for the configuration:

  • Equipment Modeling
  • Variables
  • Historian

Equipment Model

The following equipment model is used in the global project.

Equipment Model Windpower

  • Equipment group Windpark North:
    • Equipment group Wind Turbine North 1
    • Equipment group Wind Turbine North 2
    • Equipment group Wind Turbine North 3
    • Equipment group Wind Turbine North 4
    • Equipment group Wind Turbine North 5
  • Equipment group Windpark South:
    • Equipment group Wind Turbine South 1
    • Equipment group Wind Turbine South 2
    • Equipment group Wind Turbine South 3
    • Equipment group Wind Turbine South 4
    • Equipment group Wind Turbine South 5

Variables

The variables are created in the local project for the respective wind farm. Each wind farm uses a separate local project.

Windpark North

The following variables are configured in the local project for the Windpark North:

Variable | Unit | Meaning | Equipment allocation(s)
North_WindDirection | ° | WindDirection | Windpark North Wind Turbine North 1 Wind Turbine North 2 Wind Turbine North 3 Wind Turbine North 4 Wind Turbine North 5
North_WindSpeed | m/s | WindSpeed | Windpark North
North_T1_PowerOutput | kW | PowerOutput | Wind Turbine North 1
North_T2_PowerOutput | kW | PowerOutput | Wind Turbine North 2
North_T3_PowerOutput | kW | PowerOutput | Wind Turbine North 3
North_T4_PowerOutput | kW | PowerOutput | Wind Turbine North 4
North_T5_PowerOutput | kW | PowerOutput | Wind Turbine North 5

All variables have the data type FLOAT.

Windpark South

The following variables are configured in the local project for the Windpark South:

Variable | Unit | Meaning | Equipment allocation(s)
South_WindDirection | ° | WindDirection | Windpark South Wind Turbine South 1 Wind Turbine South 2 Wind Turbine South 3 Wind Turbine South 4 Wind Turbine South 5
South_WindSpeed | m/s | WindSpeed | Windpark South
South_T1_PowerOutput | kW | PowerOutput | Wind Turbine South 1
South_T2_PowerOutput | kW | PowerOutput | Wind Turbine South 2
South_T3_PowerOutput | kW | PowerOutput | Wind Turbine South 3
South_T4_PowerOutput | kW | PowerOutput | Wind Turbine South 4
South_T5_PowerOutput | kW | PowerOutput | Wind Turbine South 5

All variables have the data type FLOAT.

Historian

The archives are created in the local project for the respective wind farm. Each wind farm uses a separate local project.

Windpark North

The following archives are configured in the local project for the Windpark North:

Archive | Variables | Equipment allocation(s)
WN – WindparkDataNorth | North_WindDirection North_WindSpeed North_T1_PowerOutput North_T2_PowerOutput North_T3_PowerOutput North_T4_PowerOutput North_T5_PowerOutput | Windpark North Wind Turbine North 1 Wind Turbine North 2 Wind Turbine North 3 Wind Turbine North 4 Wind Turbine North 5

All archives have:

  • Cyclic recording
  • 1 minute cycle time
  • Start/stop with Runtime

Windpark South

The following archives are configured in the local project for the Windpark South:

Archive | Variables | Equipment allocation(s)
WS – WindparkDataSouth | South_WindDirection South_WindSpeed South_T1_PowerOutput South_T2_PowerOutput South_T3_PowerOutput South_T4_PowerOutput South_T5_PowerOutput | Windpark South Wind Turbine South 1 Wind Turbine South 2 Wind Turbine South 3 Wind Turbine South 4 Wind Turbine South 5

All archives have:

  • Cyclic recording
  • 1 minute cycle time
  • Start/stop with Runtime

Final result

The workspace in the zenon Editor can now be exported using the Analyzer Export Wizard All reports of this theme can be created in ZAMS and can be displayed in the Report Launcher.


Error treatment

zenon Analyzer > Report templates > Supplied report templates > Error treatment

Notes on the solution of error messages:

W-023-00003 The Analyzer Server gives a warning when creating the report

You get the following error message when preparing a report: W-023-00003 The Analyzer Server reported a warning on creating the report "/Production Analysis Line Based/Gantt Chart". Warning details: The text box ‘TableItem_1_EQUIPMENT_NAME_Value’ extends beyond the bottom edge of its container." appears in the output window of ZAMS.

This warning only occurs if there are several column groupings in a table and each column grouping, with the exception of the last one, has no aggregation line.

  • Reason: The aggregation line that is needed for the display of the grouping must be made invisible when revealing the grouping if the grouping does not have an aggregation value.
  • Solution: Use aggregation lines for all column groupings.

Note: This warning can also be ignored.


Metadata, stored procedures and user-defined function blocks

zenon Analyzer > Report templates > Supplied report templates > Metadata, stored procedures and user-defined function blocks

For the report templates, metadata, table valued user-defined functions, stored procedures and user-defined function blocks are used.

These are described in the section on data structures.

You can find an assignment of SPs and UDFs to report templates in the zenon Analyzer for Developers manual in the SPs and UDFs chapter.


Event-driven report creation

zenon Analyzer > Report templates > Event-driven report creation

Event-triggered report creation makes it possible to use an event - such as a change of value, for instance - as a trigger for the creation and sending of a report.These reports can be created:

  • By means of a zenon function (from version 7.20)
  • By means of VSTA programming

Other topics in this chapter

Create an Analyzer report using the zenon function

VSTA programming


Create an Analyzer report using the zenon function

zenon Analyzer > Report templates > Event-driven report creation > Create an Analyzer report using the zenon function

Requirements

In order for you to be able to create an event-triggered report for the zenon Analyzer via the zenon Analyzer: Create report function, the following requirements must be met:

  • zenon version 7.20 or higher
  • Connection with corresponding rights to an Analyzer server version 2 or higher
  • Analyzer Server Wrapper must be installed. Installation is carried out by means of a selection item in the zenon setup.
  • Runtime and Editor must both be restarted after installation of the Analyzer Server Wrapper, so that they can find the installed Analyzer Server Wrapper DLLs.
  • Recommendation: In order to be sure that the Windows authentication works, the Analyzer server should be in the same domain as zenon Editor and zenon Runtime.

Problem solution

  • Communication problems with the Analyzer server: Check the communication in the network as well as the authentication (user and access rights).
  • Reports are rendered but do not contain any data: Check the license of the Analyzer server:

Creating a function

To create the function:

  1. Create a new function in the zenon Editor.
  2. Navigate to the Report Generator/Report Viewer/Analyzer group in the selection dialog.

  3. Select the Analyzer: Create Report function.
  4. The dialog for configuration is opened:
  5. Configure, in the General settings tab, the connection parameters and select the desired report.

    Attention: Before a switch is made to the second tab, a connection must be made and a report must be selected!

  6. Configure the report properties in the Parameter list tab.
    When switching to the second tab, an attempt is made to set values that already exist for the parameter input. If this is not successful, the list of set parameter values is displayed as empty.

    Defaults can be replaced by individual values. To do this, deactivate the checkbox in front of the value and click on the value. A dialog to enter the new value is opened

  7. Connect the function with a button or an event in order to be able to access it in Runtime

Procedure in Runtime

Procedure when triggering the function to create a report in Runtime:

  1. The configured connection is established.
  2. The selected report is set.
  3. The selected parameter values are set for this report.
  4. The report is created and output in the desired form.
  5. The file name is generated and the file is saved in the export folder of the project.
  6. The complete file name is written to the selected variable.

Other topics in this chapter

General settings

Parameter List


General settings

zenon Analyzer > Report templates > Event-driven report creation > Create an Analyzer report using the zenon function > General settings

In this tab, the connection to the Analyzer server is configured and selected in the report. Before you switch to the Parameter list tab:

  • The connection to the Analyzer Server must be established
  • This tab must be configured in full

The options that are available in the Parameter list tab depend on your selection for the Report option.

General settings tab

Analyzer Server

Option

Description

Analyzer Server

Configuration of the connection to the Analyzer server.

Version

Select the version of the Analyzer server from the drop-down list. Only available if there is no connection.

Computer name

Entry of the name of the computer on which the Analyzer server runs. Only available if there is no connection.

Use Windows authentication

Selection of the type of authentication:

  • Active: Windows authentication is used.
  • Inactive: The user must enter the user name and password.

User name

Entry of the user name.

Only available if Use Windows authentication is inactive and there is no connection.

Password

Entry of the password for authentication.

The characters entered are not shown and the length of the password is hidden. The password is saved in encrypted form and is only decrypted to establish a connection.

Only available if Use Windows authentication is inactive and there is no connection.

Secure connection

Active: The connection is established as secure.

Only available for zenon Analyzer from version 3.00.

Extended

Advanced settings for the connection waiting time. This can be a maximum of 1 day.

Clicking on the button opens the dialog for configuration.

Only available for zenon Analyzer from version 3.00.

Establish connection

Clicking on the button establishes a connection to the analyzer server.

Once the connection has been successfully established, the drop-down lists for report and format are updated.

Close connection

Clicking on the button disconnects the existing connection.

Report creation

Option

Description

Report creation

Configuration of the basis data for the report.

Report

Selection of the report from a drop-down list.

Format

Selection of the output format from a drop-down list:

  • CSV
  • Excel
  • MHTML (Web Archive)
  • PDF
  • TIFF file
  • Word
  • XML file with report data

Include time stamp in file name
  • Active: The execution time stamp is included in the file name.

Sequence of file name creation:

  • The report name without a path is the starting point.
    Example: Alarms
  • The time stamp is then added if activated. Example on 15/8/2014 at 15:20:00: Alarms_2014_08_15_15_20_00
  • The file name extension is then added according to the selected output format.
    Example: Alarms_2014_08_15_15_20_00.pdf
  • If there is already a file with this name in the export folder of the project, a counter is added until the file name is unique.
    Example:
    Alarms_2014_08_15_15_20_00.pdf
    Alarms_2014_08_15_15_20_00 (2).pdf
    Alarms_2014_08_15_15_20_00 (3).pdf

Variable for path to file created

Shows the currently-selected zenon variable that gets the path to the written report file.

Click on button ... in order to open the dialog for selecting a variable.

Hint: Thus when a lot archive is closed or if a limit value is breached, a script can send an event-triggered report by E‑mail from zenon. In doing so, this variable is used to define the attachment of the Message Control function Send a Message.
Procedure:

  • Firstly, the report function that writes the variable is executed.
  • Then the Send a Message function is executed, which reads the attachment path from the variables.

Close dialog

Option | Description
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.
Help | Opens online help.

Other topics in this chapter

Advanced settings for secure connection


Advanced settings for secure connection

zenon Analyzer > Report templates > Event-driven report creation > Create an Analyzer report using the zenon function > General settings > Advanced settings for secure connection

Configuration of the connection waiting time. The dialog is opened by clicking on the Advanced button in the General Settings tab.

Parameters

Description

Connection timeout

Waiting time for establishing a connection in seconds. The establishment of the connection is canceled if this is exceeded.

  • Minimum: 1
  • Maximum: 86400 (1 day)

Default: 100

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Parameter List

zenon Analyzer > Report templates > Event-driven report creation > Create an Analyzer report using the zenon function > Parameter List

You configure the report parameters in this tab. The controls that are offered depend on the selection of the report in the General settings tab.

Parameter list tab

Option

Description

Parameter List

Display of the report parameters. The sequence corresponds to the sequence in the report.

Recommendation: Configure the parameters from top to bottom.

Parameter Name

Display of the parameter name.
Cannot be configured here.

Standard

Defines whether the parameter is set to its default value.

  • Active: The default value from the report is used.
  • Inactive: The value is selected individually by clicking in the Value column.

Clicking with the mouse or pressing the space key with the parameter highlighted switches the checkbox. If a parameter doesn´t have a default value, the checkbox is grayed out and inactive.

Value

Display of the current value of the parameter.

  • If the Standard checkbox is activated, the text default value is displayed here and the cell does not allow any input.
  • If the Standard checkbox is deactivated, the currently-configured value is shown here.
    Clicking on the cell or pressing the Enter key with the parameter highlighted opens the input dialog for the respective value.

If a parameter cannot be entered, the text not available is displayed and the cell is deactivated. This can mean, for example, that values for a different parameter must be set first in order to fill the list of values.

Close dialog

Option | Description
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.
Help | Opens online help.

Hint: lot/shift reports

In Runtime, the value of a zenon string variable is read. A search for this string as a label is carried out in the list of predefined values for the parameter. The value of the label to be corresponded to is then the parameter value, i.e. the selected shift or lot.

The lot variables of a lot archive can be used here. For the lot report, carry out the Analyzer: Create report function when closing the lot archive. The report then has the last lot of this archive as a time filter.

Other topics in this chapter

Configuration of the values


Configuration of the values

zenon Analyzer > Report templates > Event-driven report creation > Create an Analyzer report using the zenon function > Parameter List > Configuration of the values

For the configuration of the parameter values, there are appropriate dialogs available for each input. The configuration is carried out depending on the input possibility for:

  • A value without a predefined value: Entry of the value.
  • Several values without predefined values: Entry of the values and adding to a list.
  • A value with predefined value: Selection from drop-down list or list.
  • Several values with pre-defined values: Select from list.

Whether a value can be configured can depend on whether the previous value has been selected. For example, projects whose archives and variables can be configured must be selected.
The dialogs that are offered depend on the report selection:

Examples of frequently-used dialogs:

Equipment groups

Selection of desired equipment groups:

  1. Select the desired equipment groups in the top list.
  2. Click on Add.
    The selected groups are added to the lower list.
  3. If you want to remove equipment groups again, highlight these in the lower list and click on Remove.
  4. To transfer all selected equipment groups to the report, click on OK.

Archives

  1. Select the desired archive in the upper list.
  2. Click on Add.
    the selected archives are added to the lower list.
  3. If you want to remove archives again, highlight these in the lower list and click on Remove.
  4. To transfer all selected archives groups to the report, click on OK.

Compression

  1. Select the desired compression from the drop-down list
  2. Click on OK.

Compression function

  1. Select the desired compression function from the drop-down list.
  2. Click on OK.

Projects

  1. Select the desired project in the upper list.
  2. Click on Add.
    the selected projects are added to the lower list.
  3. If you want to remove projects again, highlight these in the lower list and click on Remove.
  4. To transfer all selected projects to the report, click on OK.

Variables

Selection of the desired variables.

  1. Select the desired variables in the upper list.
  2. Click on Add.
    The selected variables are added to the lower list.
  3. If you want to remove variables, highlight these in the lower list and click on Remove.
  4. To transfer all selected variables to the report, click on OK.

Time period

  1. Select the desired date and the time for
    1. From
    2. To
  2. Click on OK.


VSTA programming

zenon Analyzer > Report templates > Event-driven report creation > VSTA programming

For programming with VSTA, you need, in addition to zenon Analyzer, a data source that can be addressed via VSTA, and knowledge of VSTA. In this manual, the HMI/SCADA system zenon from version 7.0 is used as a data source.

  • Event Driven Report Generation (EDRG): Event-driven creation and saving of a report. Consists of VSTA macros.
  • Event Driven Report Subscription (EDRS): Automatic sending of a report generated via EDRG as an email attachment via zenon SMTP Mail

To use event-driven report creation, you need:

  • the zenon Analyzer
  • A data source that can be addressed via VSTA such as zenon from COPA-DATA
  • For sending by email, a solution that can be addressed via VSTA such as Message Control in zenon from Version 7.0

Other topics in this chapter

Basics

Referencing of the web services

Examples


Basics

zenon Analyzer > Report templates > Event-driven report creation > VSTA programming > Basics

To implement EDRG or EDRS, you must:

  1. Start the VSTA development environment for C#
  2. Reference the necessary web services of the Analyzer server
  3. Create the desired VSTA macro functions
    Recommendation: The macro functions should create their own thread for the macro logic. Otherwise the main thread of zenon Runtime is blocked for the duration of the macro that is dependent on the duration of the report creation.
  4. Implementing the macro logic

For the macro logic:

  1. Read in parameters from Runtime or have the user enter these.
  2. If necessary, validate the parameters against predefined values of the report parameter.
  3. Ensure that the rendering extension is present
  4. Have the report with the desired parameters of the selected rendering extension created
  5. Optional: Save the report on the hard drive (in the folder for historical reports, for example)
  6. Optional: If EDRS is desired, save the report in the attachment path for the SMTP message sending function and instigate execution of the SMTP message sending function.

Certain parts of this process can be swapped over, as long as they are not necessary preconditions of one another.

  • Main process: Steps 2 and 3 can change places, but must be between steps 1 and 4.
  • Macro logic: Step 3 can be before step 1 or 2. Steps 5 and 6 can change places, as long as they are not after step 4.

attention Attention

One of the two optional steps 5 or 6 must be implemented in the macro logic. If both steps are left out, the macro is useless, because the report is neither saved nor sent.

This procedure is used in all examples.


Referencing of the web services

zenon Analyzer > Report templates > Event-driven report creation > VSTA programming > Referencing of the web services

There are two web services that can be referenced:

  • ReportExecution2005 is required to create reports
  • ReportService2010 is required for the validation of the selected values for the report parameters as compared to the given values

The following details only relate to the ReportExecution2005 web service. There are two methods available for creating a reference suitable for VSTA on a web service:

  • Creation of the reference with VSTA Editor GUI: pre-defined namespace of the web service reference; creates several code files
  • Creation of the reference via the command line with wsdl.exe: Part of the Windows SDK; grants the user with full control over the name space in which the web service reference is located; creates one code file only

After the reference has been created, a communication object can be created, the parameters of which must be configured via the URL of the web service on the Analyzer server.

info Information

The complete documentation of the web services of the Microsoft SQL Server Reporting Service can be found at: http://msdn.microsoft.com/en-us/library/ms152787.aspx

Other topics in this chapter

Creation of the reference with VSTA Editor GUI

Creation of the reference via the command line with wsdl.exe:


Creation of the reference with VSTA Editor GUI

zenon Analyzer > Report templates > Event-driven report creation > VSTA programming > Referencing of the web services > Creation of the reference with VSTA Editor GUI

The following steps are necessary to create a web service reference with the VSTA Editor GUI:

  1. Open the dialog to add a reference. To do this, right-click in References in the project explorer and select Add Service Reference… in the context menu.

  2. In the dialog that opens, click on Advanced… in the bottom left corner.

  3. In the dialog that opens, click on Add Web Reference… in the bottom left corner.

  4. In the dialog that opens, enter:
    1. The URL for the web service
      The URL follows this pattern: http://[name of the Analyzer server]/reportserver_za2/ReportExecution2005.asmx?wsdl.
      In doing so, the [name of the Analyzer server] must be replaced by the computer name or the IP address of the Analyzer server.
      The URL input field is in the upper part of the dialog. After the URL has been entered, clicking on the Go button of the web service, which can be reached via this URL, an analysis is carried out and its components are displayed in the list field under the URL input field.
    2. The name for the reference.
      In the following screenshot, ReportServer was chosen as a name.
      Clicking on the Add Reference button creates the reference and closes all dialogs opened in this process.

  5. The VSTA Editor now displays the reference to the web service that has just been created:

  6. The communication main class in the reference created is called ReportExecutionService.
    The reference is always in the namespace [project name].[reference name]. For the reference created here, the main class can be addressed via ProjectAddin.ReportServer.ReportExecutionService.


Creation of the reference via the command line with wsdl.exe:

zenon Analyzer > Report templates > Event-driven report creation > VSTA programming > Referencing of the web services > Creation of the reference via the command line with wsdl.exe:

The command line tool wsdl.exe is an alternative to the VSTA Editor GUI. In contrast to the VSTA Editor GUI, this tool grants full control to the user in terms of the namespace that the web service reference is in. It creates a precise code file with all necessary information for the reference whilst the VSTA Editor GUI creates several files (data source, map, WSDL and code).

This tool is primarily suitable if the reference:

  • is to be stored in a certain namespace
    or
  • is to be encapsulated in a file

Both can help make it easier to reuse the reference created in other projects.

To create a reference with wsdl.exe:

  1. Open the Windows command line (cmd.exe).
  2. Execute the following command:
    "C:\Program Files (x86)\Microsoft SDKs\Windows\v7.0A\Bin\wsdl.exe" http://[Name des Analyzer Servers]/reportserver_za2/ReportExecution2005.asmx?wsdl /namespace:[gewünschter Namespace] /out:"[Pfad zur Zieldatei]"
    The individual placeholders must be replaced as follows:
    • [name of the Analyzer server]: Enter computer name or the IP address of the Analyzer server
    • [desired namespace]: Name space where the reference is to be stored
    • [path to target file]: File path where the reference file is to be stored

    The following screenshot shows such a command; here, the namespace "COPA_DATA.zenon.Analyzer" and the save path "C:\WebReference.cs" was chosen:

  3. Add the file created in this manner in the VSTA Editor GUI. To do this:
    1. Open the context menu by right clicking on the project Project Explorer
    2. select Add
    3. Select Existing Item…

  4. In the dialog that is now open, go to the saved file that was previously configured with the command line. The following screenshot displays this for the example file C:\WebReference.cs.

  5. Because the web service reference needs certain components of the .NET framework that are not integrated into the project as standard, you must now add these. To do this:
    1. Open the dialog to add a reference by right clicking on References in the Project Explorer
    2. Select Add Reference…
    3. The following dialog is opened

    4. Select the .NET component System.Web.Services
    5. Close the dialog by clicking on the OK button
  6. The communication main class in the reference created is called ReportExecutionService and is in the selected namespace. For the reference created here, the main class can be addressed via COPA_DATA.zenon.Analyzer.ReportExecutionService.


Examples

zenon Analyzer > Report templates > Event-driven report creation > VSTA programming > Examples

Two examples show the creation of event-controlled reports:

  • Example 1: Saving and sending a report without predefined values: A report, the parameters of which do not contain any predefined values, is saved in a folder for historical reports by EDRG and sent by EDRS via Message Control.
    • EDRG: Event Driven Report Generation. Report is created and saved using a zenon function.
    • EDRS: Event Driven Report Subscription. Report is created using a zenon function and then sent using Message Control.
  • Example 2: Saving a report with predefined values: A report, the parameters of which contain predefined values, is saved in a folder for historical reports by EDRG.

You can find the codes used in the examples on the zenon Analyzer installation medium in the Samples folder.

This contains the following files:

  • ComboBoxSelection.cs, ComboBoxSelection.Designer.cs and ComboBoxSelection.resx:
    Dialog to select a value from predefined values.
  • ManagerReference.cs:
    Reference to ReportService2010 web service.
  • WebReference.cs:
    Reference to ReportExecution2005 web service.
  • ThisProject.cs:
    Example macro with EDRG, EDRS and a report that has only parameters without predefined values, the values of which come from Runtime variables.
  • ThisProject (2).cs:
    Example macro with EDRG and a report that has parameters with predefined values, the values of which can be obtained via Runtime variable with validation and via user selection.

attention Attention

Note the correct identification of the SQL instance:

  • From zenon Analyzer 3.0 : ZA3
  • From zenon Analyzer 2.0 : ZA2
  • for versions before 2.0: zrs

Other topics in this chapter

Example 1: Saving and sending a report without predefined values:

Example 2: Saving a report with predefined values:


Example 1: Saving and sending a report without predefined values:

zenon Analyzer > Report templates > Event-driven report creation > VSTA programming > Examples > Example 1: Saving and sending a report without predefined values:

A report, the parameters of which do not contain any predefined values, is saved in a folder for historical reports by EDRG and sent by EDRS via Message Control.

The following data from the folder on the installation medium is used:

  • WebReference.cs
  • ThisProject.cs

Aim

In this example, a VSTA macro named Macro_CreateReport_Simple is to be created. This:

  • reads the parameters from Runtime
  • Creates the TestReportForAutomation report with the parameters read in PDF format
  • Saves the report as C:\[report name]_[year]_[month]_[day]_[hour]_[minute]_[second].pdf
  • Sends the report with the SendReportSmtp function

Error and success messages are displayed using a message window.

Requirements

  • The Runtime server runs on the same computer as zenon Analyzer.
  • On the Analyzer server, there is a report with the name TestReportForAutomation in the root folder with the following parameters:
    • Parameter From: a date and time parameter without predefined values
    • Parameter To: a date and time parameter without predefined values
    • Parameter VariableName: a text parameter without predefined values
    • Parameter Interval: a whole number parameter without predefined values
  • There are the following variables in the zenon project:
    • Variable VarName: A STRING data type variable that can be assigned to the VariableName report parameter.
    • Variable StartDate: A DATE_AND_TIME data type variable that can be assigned to the From report parameter.
    • Variable EndDate: A DATE_AND_TIME data type variable that can be assigned to the To report parameter.
    • Variable WIZ_VAR_10: A UINT data type variable that can be assigned to the Interval report parameter.
  • In the zenon project, there is an E-mail via SMTP type Send message function for the Message Control module with the name SendReportSmtp. This reads an attachment from C:\MessageControl\SmtpMailAttachment.pdf and sends this to a defined group of recipients via E-mail via SMTP. You can read more about the sending of messages via Message Control in zenon in the zenon "Message Control" documentation.

Implementation

In the VSTA Editor, the reference file WebReference.cs must be included as described.

The ThisProject.cs file contains the solution for the example.

Explanation of the solution:

  • The method Macro_CreateReport_Simple (code lines18 to 23) is the macro function that is visible in the editor and can be started from Runtime.
  • In order for the main thread of Runtime to be able to run again as quickly as possible, this method starts its own thread with the macro logic that is encapsulated in the method CreateReport_Simple (code lines 25 to 164).
  • Here there is a breakdown of what happens in the Create Report_Simple method. Each of the try-catch blocks in the code serves to catch errors. Each error is issued in a message window and leads to the process being aborted. (This includes not just errors that are caught in a try-catch block, it also includes those that are recognized by validation queries.)

Details:

  • Code lines 27 to 30:
    Here, the communication object is created, the URL for the ReportExecution2005-Webservice is set on the server Analyzer server and the use of the log-in data of the user who is currently logged in is set.
  • Code lines 32 to 62:
    Here, the parameter values of the zenon Runtime variables are obtained and it is ensured that no variable has an empty value.
  • Code lines 64 to 78:
    Here, the date and time variables in zenon format are converted to the format expected by the web service.
  • Code lines 80 to 102:
    Here, a check is made to see if the rendering extension for the PDF format is available.
  • Code lines 104 to 163:
    Here, the report is created, saved on the hard drive and sent via Message Control. The individual stages now follow.
    • Code lines 107 to 112:
      Here, the transfer parameters for the creation method are initialized.
    • Code lines 114 to 127:
      Here, the parameters for the report are compiled.
    • Code lines 129 to 138:
      Here, the creation of the report is prepared. A session with the web service is started, the report is loaded into the session and the report parameters are set.
    • Code lines 140 to 141:
      The report is created here. This methods blocks until creation has been completed, which is why a separate thread for the macrologics is necessary.
    • Code lines 143 to 148:
      Here, the report is saved with the required file name and path.
    • Code lines 150 to 154:
      Here, the report is saved in the attachment path of the Message Control message sending function and the function is started.
    • Code lines 156 to 157:
      This point in the code is only reached if everything was successful. A success message is therefore given.

This macro can now be linked with the desired event - for example by clicking on a button, with a limit value violation that occurs or the closure of an archive.


Example 2: Saving a report with predefined values:

zenon Analyzer > Report templates > Event-driven report creation > VSTA programming > Examples > Example 2: Saving a report with predefined values:

A report, the parameters of which contain predefined values, is saved in a folder for historical reports by EDRG. The parameters with predefined values are set in two ways:

  1. A value is read from a Runtime variable and a check is made to see if this value is in the list of predefined values.
  2. A selection dialog is used for the selection of a predefined value by the user.

The following data from the folder on the installation medium is used:

  • WebReference.cs
  • ManagerReference.cs
  • ThisProject (2).cs
  • ComboBoxSelection.cs, ComboBoxSelection.Designer.cs and ComboBoxSelection.resx

Aim

In this example, a VSTA macro named Macro_CreateReport_Complex is to be created. This:

  • reads the parameters from Runtime
  • Creates, with the parameters read and the value selected by the user for the Lot parameter, the report TestReportForAutomation_Complex in PDF format
  • Saves the report as C:\[report name]_[year]_[month]_[day]_[hour]_[minute]_[second].pdf

Requirements

  • The server Runtime runs on the same computer as the Analyzer.
  • On the Analyzer server, there is a report with the name TestReportForAutomation_Complex in the root folder with the following parameters:
    • Parameter From: a date and time parameter without predefined values
    • Parameter To: a date and time parameter without predefined values
    • Parameter VariableName: a text parameter without predefined values
    • Parameter Interval: a whole number parameter without predefined values
    • Lot parameter: A text parameter that is shown as a lot selection and obtains its predefined values from a data set that depends on the parameters From and To gets
    • Lot_Type parameter: A hidden text parameter that contains the value 2 (default) and serves for configuration of the Lot parameter for the use of the lot selection control on the Report Launcher front end
  • There are the following variables in the zenon project:
    • Variable VarName: A STRING data type variable that can be assigned to the VariableName report parameter. Validation must take place here.
    • Variable StartDate: A DATE_AND_TIME data type variable that can be assigned to the From report parameter.
    • Variable EndDate: A DATE_AND_TIME data type variable that can be assigned to the To report parameter.
    • Variable WIZ_VAR_10: A UINT data type variable that can be assigned to the Interval report parameter.

Implementation

In the VSTA Editor, the reference files WebReference.cs and ManagerReference.cs must be included as described. The files ComboBoxSelection.cs, ComboBoxSelection.Designer.cs and ComboBoxSelection.resx must also be added to the project so that the dialog for the user to select a value is available.

The dialog class ComboBoxSelection displays a drop-down list, in which the user can select a precise value from the list. The list is filled using the FillComboBox method and the selection is read by GetSelectedItem.

The file named ThisProject (2).cs contains the solution for the example.

Explanation of the solution

  • The method Macro_CreateReport_Complex (code lines18 to 23) is the macro function that is visible in the editor and can be started from Runtime.
  • In order for the main thread of Runtime to be able to run again as quickly as possible, this method starts its own thread with the macro logic that is encapsulated in the methods CreateReport_Complex (code lines 25 to 326).
  • Here, there is a breakdown of what happens in the Create Report_Complex method. Each of the try-catch blocks in the code serves to catch errors. Each error is issued in a message window and leads to the process being aborted. (This includes not just errors that are caught in a try-catch block, it also includes those that are recognized by validation queries.)

Details:

  • Code lines 27 to 33:
    Here, communication objects for both web services are created. The parameters for the communication objects are set with the attendant URLs and the user rights of the user at the time.
  • Code lines 35 to 65:
    The values of the Runtime variables are read here. A check is made to see if each Runtime variable contains a value.
  • Code lines 67 to 81:
    Here, the date and time values in zenon format are converted to the format expected by the web service.
  • Code lines 83 to 105:
    Here, a check is made to ensure that the rendering extension for PDF is available.
  • Code lines 107 to 267:
    Here, the parameters are set with predefined values. Because this setting consists of several steps, these are explained in the following points.
    • Code lines 107 to 110:
      Here, the C# variables for the report path on the server and the parameters with predefined values are initialized.
    • Code lines 113 to 123:
      The parameters that are already known are packed into a collection here.
    • Code lines 125 to 256:
      In this line, which has a maximum repetition count of 5, the predefined values are obtained and the inputs are evaluated.
    • Code lines 130 to 133:
      Here, the predefined values are read via the web service.
    • Code lines 135 to 255:
      Each report goes through this loop.
    • Code lines 138 to 187:
      The VariableName report parameter is handled here.
    • Code lines 140 to 144:
      If the parameter has already been successfully handled, it is not handled again.
    • Code lines 146 to 151:
      If the list for the predefined parameters is still empty, the loop in code lines 125 to 256 is gone through again.
    • Code lines 153 to 172:
      A check is carried out to see if the set value is in the list of available values. In doing so, first the labels and then the values are used for validation.
    • Code lines 174 to 179:
      If the value of the zenon Runtime variables is not in the list of available values, this is an error.
    • Code lines 181 to 186:
      The value found is inserted for the next run in the collection.
    • Code lines 188 to 254:
      The Lot parameter is handled here.
    • Code lines 190 to 194:
      If the parameter has already been successfully handled, it is not handled again.
    • Code lines 196 to 201:
      If the list for the predefined parameters is still empty, the loop in code lines 125 to 256 is gone through again.
    • Code lines 203 to 208:
      If the list of predefined values is present and report that it is empty, this is an error.
    • Code lines 210 to 239:
      Here, the ComboBoxSelection selection dialog is created and populated, whereby empty labels or empty values in a predefined value lead to this being skipped and duplicates are not displayed.
    • Code lines 241 to 242:
      the selection dialog is displayed.
    • Code lines 244 to 253:
      The selection in the dialog is evaluated. In doing so, the selection is written to the C# variable and in the collection for further runs.
    • Code lines 257 to 261:
      If we land here, the user has either not selected anything or the maximum repetition count for the loop was exceeded. Both events are errors.
  • Code lines 269 to 324:
    The report is created and saved here. Because this consists of several shifts, the individual steps are explained below.
    • Code lines 272 to 276:
      Here, the transfer parameters for the creation method are initialized.
    • Code lines 278 to 294:
      Here, the report parameters for the creation are compiled.
    • Code lines 296 to 305:
      Here, the creation of the report is prepared, in that a session with the web service is started, the report is loaded into the session and the parameters are set.
    • Code lines 307 to 308:
      The report is created here. This method blocks until the creation has been concluded. This is the reason why the macro logic runs in its own thread.
    • Code lines 310 to 315:
      Here, the created report is saved in the desired save location.
    • Code lines 317 to 318:
      If we land here, everything has worked. A success message is therefore given.

This macro can now be linked with the desired event - for example by clicking on a button, with a limit value violation that occurs or the closure of an archive.


Report Launcher

zenon Analyzer > Report Launcher

Reports display data from online sources or archives according to defined rules. zenon Analyzer is shipped with prepared report templates which can be adapted individually. You can also create your own reports. The necessary table structure is described in chapter Basics.

To call up and display reports on the client computer, all you need is a supported browser. All reports are displayed and adapted in the browser. Which settings are possible, depends on the rights of the user. Reports can be exported in other formats. Thus being used in other applications.

As supplied, pre-configured folders with reports on the respective topic areas are displayed for the demo project when zenon Analyzer is started.

info Information

Only reports that are included in the scope of the zenon Analyzer license that has been purchased are displayed.

Configuration of reports

Reports can be configured in the browser.

The settings are made in ZAMS - zenon Analyzer Management Studio.

info Information

Handling with time interval for archive aggregation and display in the report:

  • Interval less or equal to 60 minutes:
    The correct time interval in UTC is noted for aggregation.
  • Interval greater than 60 minutes:
    The correct time interval in the server's local time is noted for aggregation.
  • Local time is always used for the display. If the user and server are in different time zones, there may be differences.

Projects and filters

Reports can generally be created throughout several projects.

attention Attention

Only archive data with variables from its own project can be evaluated.

This means: For example, in an integration project, if a variable from a subproject is archived in an archive, then zenon Analyzer cannot access this variable.

Other topics in this chapter

Rights management

Report Launcher: Configuration and operation

Create report

Call up report

Toolbar Report

Configure and export reports

Manage reports

Validation of formulas

Error logging


Rights management

zenon Analyzer > Report Launcher > Rights management

The zenon Analyzer uses role-based rights management. It controls the access to the data sources, folders, reports and all other elements. At this certain rights are assigned to a user or a group. Users and groups must already exist in the Window user administration. Authentication is not done by the zenon Analyzer but by the operating system.

User rights are set and administered in the ZAMS.


Report Launcher: Configuration and operation

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation

The zenon Analyzer is called up via the web browser or started via the ZAMS:

  • Calling it up via the user interface:
    Entry of connection in address line or click on the link in the start menu of the installation computer (COPA-DATA section)
  • Start via ZAMS:
    The following actions start the web browser with the Report Launcher for the connection set up in ZAMS:
    • Selection of the corresponding command from the Report menu
    • Click on the corresponding symbol in the toolbar
    • Click on the Open report in the Report Launcher button in a report in the ZAMS

info Information

Internet Explorer 10 (with compatibility view deactivated) or higher, Firefox or Google Chrome can be used as a browser.

When starting the Report Launcher or opening reports in the Report Launcher, Internet Explorer is addressed by ZAMS directly as ActiveX.

Report Launcher

The user interface of the Report Launcher gives you the possibility to:

  • configure the Report Launcher
  • To configure and call up reports

The Report Launcher can be called up in two views:

  • Tile view
  • Detail view

Error handling

attention Attention

Error messages for parameters:

For some parameters, the values available must be loaded via a Stored Procedure of Microsoft SQL Server. If this Stored Procedure is not successfully called up or the Stored Procedure returns an error, an error message is activated in the Report Launcher. For example, if Runtime cannot be reached, the SQL connector has not been created, etc.

For some parameters, no proposed value can be issued under some circumstances, because a parameter that is to be handled beforehand does not contain a value.
For example: Time filters are based on shifts, but there is no shift data available. in this case, the issue of proposed values is only possible if at least 1 shift has been written.

Browser

zenon Analyzer is called up using a browser.

info Information

zenon Analyzer was designed and tested for the following browsers:

  • Microsoft Internet Explorer from version 10
  • Chrome
  • Firefox

Note:

  • Compatibility view must be deactivated for Internet Explorer.
  • Zoom is only available for the Chrome browser.

Other topics in this chapter

Tile View

Details View

Settings

Folder, reports and database context menus

Move elements

Download report

Languages and time formats

Parameters - input and selection

Site Settings

Data Source

Folder

Upload file


Tile View

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Tile View

Configuration menu

Option

Description

Home

Switches to the highest level.

Site Settings

Opens the administration of general settings of the site.

Help

Opens the online-help for the Report Launcher.

Search field

Search in the Report Launcher.

Entry of the search term in the search field. Click on the magnifying glass symbol to start the search.

Note: Clicking on the symbol does not trigger any action in Firefox or Chrome. Instead, press the Enter key.

Main menu

Option

Description

Main menu

New folder

Creates a new folder.

New Data Source

Creates a new data source.

Download Report Builder

Opens the Microsoft website to download the Report Builder.

Report Builder

Opens the Microsoft Report-Builder.
Requirement: The Microsoft Report-Builder must already be present on the system.
Note: Is not supported by Chrome or Firefox.

Upload file

Opens the dialog for uploading resources such as reports, models, data sets, etc.

Details view - Tile view

Switches from detail view to symbol view.

Tile view: Shows all folder and reports in a compact view. In this view folders can be hidden.

Detail View: Shows details on reports and folders and allows them to be sorted by clicking on the respective header:

  • Object type (2nd column)
  • Name
  • Description
  • Last run
  • Modified Date
  • Modified By

Both views provide a context menu with frequently-required commands for folders, reports and databases.

List field Reports

Option | Description
List field Reports | Shows all databases, folders and reports. The display can be in a symbol view or detail view. The possible actions depend on the type of the display. Reports for configuration and display are selected here.


Details View

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Details View

Configuration menu

Option

Description

Home

Switches to the highest level.

Site Settings

Opens the administration of general settings of the site.

Help

Opens the online-help for the Report Launcher.

Search field

Search in the Report Launcher.

Entry of the search term in the search field. Click on the magnifying glass symbol to start the search.

Note: Clicking on the symbol does not trigger any action in Firefox or Chrome. Instead, press the Enter key.

Main menu

Option

Description

Main menu

Expand all

Clicking on the button opens all elements in the tree view.

Collapse all

Clicking on the button collapses all elements in the tree view. Only the highest level is displayed.

Delete

Deletes selected reports or folders. The selection takes place by activating the check box in front of the report/folder.

Move

Moves selected reports or folders. The selection takes place by activating the check box in front of the report/folder.

Download Report Builder

Opens the Microsoft website to download the Report Builder.

Report Builder

Opens the Microsoft Report-Builder.
Requirement: The Microsoft Report-Builder must already be present on the system.
Note: Is not supported by Chrome or Firefox.

Tile View

Switches from detail view to symbol view.

Tile view: Shows all folder and reports in a compact view. In this view folders can be hidden.

Detail View: Shows details on reports and folders and allows them to be sorted by clicking on the respective header:

  • Object type (2nd column)
  • Name
  • Description
  • Last run
  • Modified Date
  • Modified By

Both views provide a context menu with frequently-required commands for folders, reports and databases.

List field Reports

Option | Description
List field Reports | Shows all databases, folders and reports. The display can be in a symbol view or detail view. The possible actions depend on the type of the display. Reports for configuration and display are selected here.


Settings

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Settings

Data sources and reports are managed and configured via menu bars and context menus.

See also:

  • Configuration and operation
  • Site
  • Folder
  • Reports


Folder, reports and database context menus

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Folder, reports and database context menus

Databases, folders and reports have a context menu for configuration. Its contents sometimes also depend on which view is displayed in the Report Launcher.
To select a command from the context menu:

  1. Move the mouse over the desired object.

    A red border and red arrow are displayed.

  2. Click on the arrow.

    The context menu is displayed.

  3. select the desired command.

Context menu folder

The context menu of folders contains different commands, regardless of the Report Launcher view.

Tile View

Command | Description
Move | Opens dialog for selecting the new saving location.
Delete | Deletes selected folder.
Manage | Opens the dialog for managing the folder.

Details View

Command | Description
Move | Opens dialog for selecting the new saving location.
Delete | Deletes selected folder.
Manage | Opens the dialog for managing the folder.
New folder | Opens dialog to create a new folder.
New Data Source | Opens the dialog to select a new data source.
Upload file | Opens the dialog for uploading a new file.

Report context menu

The context menu of reports contains commands for their administration. The context menu is identical for both views of the Report Launcher.

Command | Description
Move | Opens menu for selecting the new saving location.
Delete | Deletes selected reports.
Create linked report... | Opens the dialog for creating a linked report which is based on the selected report.
Display report history | Opens the display of the report history.
Manage | Opens the dialog for managing the report.
Download | Makes it possible to locally save reports. Opens Windows dialog for saving a file.
Editing in the Report Builder | Opens the report in the MS Report Builder.

Database context menu

The context menu of databases contains commands for their administration. The context menu is identical for both views of the Report Launcher.

Option | Description
Move | Opens menu for selecting the new saving location.
Delete | Deletes selected reports.
Generate Report Model | Opens the dialog to generate a new model for the data source.
View Dependent Items | Displays all reports based in this data source and makes it possible to delete or move them.
Manage | Opens the dialog to administer the database.


Move elements

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Move elements

To change the save location of an object:

  1. Highlight the object (folder, report, database).
  2. Click on the arrow.
  3. in the context menu, select the Move command.

    The dialog for selecting a new save location is opened.

  4. Enter, in the Save location input field, the desired location or select it from the list of the folders.
  5. Confirm the selection by clicking OK.

Move dialog elements

Parameter | Description
Storage directory | State the desired save location. Entry in the field or selection from the Folder selection tree.
Folder selection | Selection of a folder as a save location. Clicking on the folder accepts the selection in the Save location field.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Download report

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Download report

Reports can be downloaded from the Server to the local computer in order to edit or present them offline.

To download a report:

  1. Move the mouse over the report.
  2. Click on the arrow.
  3. Select the command Download

    The dialog to save documents is displayed.

  4. Select thea saving location on the local computer.


Languages and time formats

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Languages and time formats

User interface language

The zenon Analyzer can be displayed in several languages on the web client. As far as selected in the browser, the user interface is displayed in:

  • Chinese (simplified Chinese)
  • German
  • English
  • French
  • Italian
  • Russian
  • Spanish
  • Czech

For all other languages, English is pre-set as a default language. You configure the language in the browser using the respective dialog for language selection.

Time formats

Time formats correspond to the conventions of the language set in the browser.

Note: If one of the following errors occurs, check the settings for language and time stamp formats:

  • Drop-down list for date and time selection does not work
  • Report Launcher reports an incorrectly-formatted time stamp

Texts

Texts are displayed as they are entered in the report or output by the server.

Other topics in this chapter

Change standard time/day light saving time


Change standard time/day light saving time

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Languages and time formats > Change standard time/day light saving time

The switch from standard time to daylight saving time and vice versa can lead to anomalies with intervals at the time of switching. These arise as a result of the functions provided by the .NET Framework , DateTime.ToLocalTime and DateTime.ToUniversalTime.

Intervals

Compression

DSTstart

DSTend

Minutes
  • Interval in local time: DSTstart – 1 minute, DSTstart + 1 hour)
  • Interval in UTC: 1 minute
  • Interval in local time: DSTend -1 minute, DSTend
  • Interval in UTC: 1 hour and 1 minute

Hour

Interval (DSTstart, DSTstart+1) is not present.
  • Interval in local time: DSTend –2, DSTend –1
  • Interval in UTC: 2 hours

Key:

  • DSTstart: Time of the switch from standard time to daylight-saving time in local time.
    This means: The clocks are moved forward by 1 hour at the time of DSTstart.
  • DSTEnd: Time of the switch from standard time to daylight-saving time in local time.
    This means: The hours are put back by 1 hour at the time of DSTend.


Parameters - input and selection

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection

The user defines via dialogs and input fields (control elements) the values which should be displayed in a report. The dialogs for parameter input are displayed when a report is opened which needs parameters.

By clicking button View report, the parameters are sent to the zenon Analyzer. It checks the values entered by the user to see that they are valid. For valid parameters the respective report is displayed; otherwise an error message is displayed.

Adapt drop-down list

There are drop-down lists available for input, selection and filtering. The size of most of the drop-down lists can be adjusted. The exceptions to this are the parameters for the input of a time range and the selection of date and time.

To adjust the size of a drop-down list:

  1. Move the mouse to the touch area in the lower right corner until the mouse pointer becomes a double-arrow.

  2. With the left mouse button pressed, drag it to the desired size
    Note: the original size is the minimum size

Validation

At the data transmission between browser and Analyzer Server the values of a parameter are always transmitted as text. The following parameters must always have valid values:

  • Bool
  • Date and time

The following conditions are checked at the parameter validation. Errors are displayed in the view window of the zenon Analyzer:

Entry

Limitation

Value available

A value must have be entered or selected. This validation is always carried out before sending the parameter to the zenon Analyzer server.

String validation

For parameters of data type Text no additional validations are carried out.

Boolean validation

For parameters of data type Bool the value must be either true or false. Capitalization/use of small letters is not checked.

Comment: The Boolean selection dialog sends valid values but at the direct control of the zenon Analyzer via URLs the validation may be needed.

Integer validation

For parameters of data type Integer the value must not contain another character as the following:

  • A plus or a minus character as first character.
  • All numbers allowed in the culture of the user.
  • The thousands separator in the culture of the user.
    All included thousands separator are removed at the beginning of the integer validation.

Float validation

For parameters of data type Float the value must not contain another character as the following:

  • A plus or a minus character as first character.
  • All numbers allowed in the culture of the user.
  • The thousands separator in the culture of the user.
    All thousand separators that are included are removed at the beginning of the integer validation.
  • Exactly one decimal separator in the culture of the user.
    If there are no numbers in front of or after the decimal separator, a 0 is assumed.
    Note: No numbers in front of and after the decimal separator is not allowed.

Date and time validation

For parameters of data type date and time the following criteria must be adhered to:

  • The value of the parameter must correspond to a valid date and time format of the culture of the user.
  • The numbers in date and time must be able to be assigned to a valid value.
    For example, the character string 45.18.2011 35:68:99 is invalid as there is no such date or time.
  • If the character string does not contain a time, 00:00:00 is assumed.
  • The time is rounded to minutes. If a time contains seconds, it is rounded to the preceding minute if the value is smaller the 30. For values larger or equal to 30 it is rounded to the next minute. The rounding considers jumps for minutes, hours, days, months and years.
  • The rounded result must lie within the following limits: Minimum = 1.1.1900 00:00:00
    Maximum = 1.1.[current year + 10] 00:00:00
    The maximum corresponds to the end of the year 10 years from the current date.

Conditions for values of the parameter

At the definition of a report (e.g. in the Report Builder) you must adhere to the following restrictions for parameters with predefined values:

  • The value must not be NULL.
  • The label can be NULL, with the exception of those for equipment group and shift. In this case the value is used as label.
  • Each value must be unique.
    Different predefined values with the same value field are not allowed.
  • The label must be unique.
    Different predefined values with the same label field are not allowed.
    Exception: Values from equipment groups with the same labels are permitted if they are not in the same area of the tree. The same labels for root elements and the same labels for elements with the same superordinate nodes thus lead to errors.
    Attention: A value without label can also lead to a duplicate if its label matches another predefined value.

attention Attention

The parameter validation by the zenon Analyzer server is not a precaution against attacks via SQL injection but only a check of valid report values. Counteractions against attacks must be done by the designer of the SQL stored procedures.

Other topics in this chapter

Default input field

Boolean selection dialog

Input or selection of several values

Date and time

Time span

Equipment Group

Lot and shift

Filters

Sorting of filter elements


Default input field

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Default input field

The default input field permits to enter exactly one value for a parameter. This input field is displayed for all parameters which do not call for a specialized dialog.


Boolean selection dialog

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Boolean selection dialog

The selection dialog for BOOL- makes it possible to select one of the values for Boolean parameter which can receive a label:

  • True
  • False


Input or selection of several values

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Input or selection of several values

Input several values

This dialog allows entering several values for a parameter. Here each line corresponds to a value. Empty lines are ignored.

To enter values:

  1. Click on the input field.

    The input field is opened.

  2. Enter the values line by line or select these from the drop-down list.
  3. Click next to the input field.

    The input field is closed. The values are displayed separated by semicolon.

Selection of a value from several predefined values

This dialog allows the selection of one value from several predefined values. The values are always displayed in alphabetical order.

To select a value:

  1. Click on the input field.

    The input field is opened.

  2. Filter the entries or select a value.
  3. Click next to the input field.

    The input field is closed. The value is displayed in the input field.

The dialog can be displayed filtered.

Selection of several values from several predefined values

This dialog allows the selection of several values from several predefined values. The values are always displayed in alphabetical order. The selection takes place by activating the check box in front of the entry. As soon as more than one entry is displayed, the list has a check box for selecting/deselecting all values.

To select several values:

  1. Click on the input field.

    The input field is opened.

  2. Filter the entries or select the desired values.
  3. Click on Select all values to select all values
    In doing so, the following applies:
    • The first click in the Select all values checkbox selects all entries.
    • The second click cancels the selection.
    • This selection always affects the currently-displayed values only; values that have been filtered out are not affected.
  4. Click next to the input field.

    The input field is closed. The values are displayed separated by semicolon.

The dialog can be displayed filtered.


Date and time

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Date and time

The dialog for date and time have different selection possibilities, depending on the configuration of the report:

  • Year: Selection of the year
  • Month: Selection of the month
  • Day: Selection of a day
  • Hours: Selection of the hours
  • Time: Selection of the hours and minutes

Basics

  • The calendar week and the beginning of the week in the selection dialog complies with norm ISO 8601. Therefore:
    • the first weekday is always a Monday
    • and January 4 is always in the first calendar week of a year
  • The display of the time in 24-hour format or 12-hour format depends on the setting of language culture in the browser.

Other topics in this chapter

Year

Month

day

Hours

Time


Year

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Date and time > Year

Selection of the year for display in the report. The time period ranges from 1900 to 10 years in the future from the current date.

Selection of year

Option

Description

Header

In the header you can jump to the decade view of the previous or next decade by clicking on the arrows. The arrows are only displayed if they are available.

Click on:

  • Arrow left: Switches to the previous decade.
  • Arrow right. Switches to the subsequent decade.

In view 1900 - 1910 you cannot navigate to the previous decade.

Selection of year

The selected year is displayed in bold. If there is no value set, the current year is displayed in bold.

Clicking on a year accepts the year as a time point and closes the dialog. The day and time are defined using the two control elements Beginning of the year and End of the year.

Beginning of the year
  • Active: January 1st, 00:00:00 is configured as the day and time.January, 00:00:00 is configured as the day and time.

End of the year
  • Active: January 1st of the subsequent year, 00:00:00 is configured.


Month

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Date and time > Month

Selection of a month for display in the report.

Selection of month

Option

Description

Header

It is possible to change to other years in the header by clicking on the arrows. The arrows are only displayed if they are available.

Click on:

  • Arrow left: Switches to the previous year.
  • Arrow right. Switches to the following year.
  • Year: Opens the dialog to select the year.

Selection of month

The selected month is displayed in bold. If there is no value, the current month is displayed in bold.

Clicking on a month accepts the month as a time point and closes the dialog. The day and time are defined using the two control elements Beginning of the month and End of the month.

Beginning of the month
  • Active: The first day of the month, 00:00:00, is configured as the day and time.

End of the month
  • Active: The first day of the following month, 00:00:00, is configured as the day and time.


day

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Date and time > day

Selection of a day in a month for display in the report.

Selection of day

Option

Description

Header

It is possible to change to other months in the header by clicking on the arrows. The arrows are only displayed if they are available.

Click on:

  • Arrow left: Switches to the previous month.
  • Arrow right. Switches to the following month.
  • Year: Opens the dialog to select a month.

Selection of day

The selected day is displayed in bold. If there is no value, the current day is displayed in bold.

Clicking on a day accepts the day as a time point and closes the dialog. The time is defined using the two control elements Beginning of the month and End of the month.

Beginning of the day
  • Active: 00:00:00 is configured as a time.

End of the day
  • Active: 00:00:00 of the following day is configured as a time.


Hours

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Date and time > Hours

Selection of a day and an hour in a month for display in the report.

Selection of day

Option

Description

Header

It is possible to change to other months in the header by clicking on the arrows. The arrows are only displayed if they are available.

Click on:

  • Arrow left: Switches to the previous month.
  • Arrow right. Switches to the following month.
  • Year: Opens the dialog to select a month. The header can be used for date navigation:

Selection of day

The selected day is displayed in bold. If there is no value, the current day is displayed in bold.

Clicking on a day accepts the day as a time point and opens the dialog to select an hour.

Today

Accepts the current day as a date and opens the dialog to select the hour.

Beginning of this week

Sets Monday of the current calendar week with the start of the day (00:00:00) as the time.

End of this week

Sets Monday of the following calendar week with the start of the day (00:00:00) as the time.

Beginning of this month

Sets the first day of the current month with the start of the day (00:00:00) as the time.

End of this month

Sets the first day of the following month with the start of the day (00:00:00) as the time.

Selection of hour

Parameter | Description
Header | A click on the header opens the month view to navigate dates.
Entry of time | The time is selected by means the drop-down list. The selection is made by clicking on the arrow of the spin control or by clicking on the desired time in the drop-down list that has been opened or by direct input using the keyboard (arrow and number keys). Minutes are displayed as 00 and cannot be changed.
00:00 means the end of the day | Active: 00:00 is interpreted as the end of the day.
Back | Opens month view for navigation of dates.
Accept | Applies settings and closes the dialog. To cancel the input, click on the calendar symbol next to the input field.


Time

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Date and time > Time

The time is selected according to the setting of the language of the browser in 24-hour time or in 12-hour time.

24-hour time format

Option

Description

Header

A click on the header opens the month view to navigate dates.

Entry of time

The time is selected by means of two drop-down lists. Clicking on the list opens these. The selection is made by clicking on the arrow of the spin control or by clicking on the desired time in the drop-down list that has been opened or by direct input using the keyboard (arrow and number keys):

  • The first (left) drop-down list is for selecting the hour.
    The arrow on the right next to the first drop-down list increases and reduces the set hour by the value 1. At the end of the list, it goes to the start if it is increased. At the start of the list, it goes to the end if it is reduced.
  • The second (right) drop-down list is for selecting the minute. The list contains the values 0 to 59. If the drop-down list is opened, a value can also be selected via the keyboard (arrow and number keys).

00:00 means the end of the day
  • Active: 00:00 is interpreted as the end of the day.

Back

Opens month view for navigation of dates.

Accept

Applies settings and closes the dialog.

To cancel the input, click on the calendar symbol next to the input field.

12-hour time format

Parameter

Description

Header

A click on the header opens the month view to navigate dates.

Entry of time

The time is selected by means of two drop-down lists. Clicking on the list opens these. The selection is made by clicking on the arrow of the spin control or by clicking on the desired time in the drop-down list that has been opened or by direct input using the keyboard (arrow and number keys):

  • The first (left) drop-down list is for selecting the hour.
    The arrow on the right next to the first drop-down list increases and reduces the set hour by the value 1. At the end of the list, it goes to the start if it is increased. At the start of the list, it goes to the end if it is reduced.
  • The second (right) drop-down list is for selecting the minute. The list contains the values 0 to 59. If the drop-down list is opened, a value can also be selected via the keyboard (arrow and number keys).
  • AM: Morning (ante meridiem)
  • PM: Afternoon (post meridiem)

12:00 AM means end of the day

Active: 12:00 AM is interpreted as the end of the day.

Back

Opens month view for navigation of dates.

Accept

Applies settings and closes the dialog.

To cancel the input, click on the calendar symbol next to the input field.


Time span

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Time span

This dialog makes it possible to enter a time period, depending on the configuration of the report.

To configure a time period:

  1. Select the end time
    The possibilities for selection available depend on the report:
    • Year
    • Month
    • day
    • Hour
    • Minute
  2. Select the interval duration.
    The interval duration defines the time period until the end time. The possibilities for selection depend on the report.
  3. The selected configuration is displayed in the Preview area. Error messages are displayed here if there is an incorrect configuration.

Other topics in this chapter

Year

Month

day

Hour

Minute


Year

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Time span > Year

Entry of the time range in years.

Option

Description

End of the interval

Definition of the end time.

Minutes and hours are always set to 0, days are always set to 1. January. These elements cannot be configured.

Set current date and time

Set the current time stamp when clicked.

Year

Input of year. Select from drop-down list.

Beginning of the year
  • Active: The end time is 00:00 on January 1 of the selected year.

End of the year
  • Active: The end time is 00:00 on January 1 of the following year.

Interval definition

Duration of the period of time that is to be analyzed.

  • Text input field: Defines quantity.
    Input of a number between 1 and 99999.
    The quantity can be increased or reduced with the arrows.
  • Drop-down list: Defines granularity.
    Fixed setting: Years

Preview

Display of the current configuration settings in local time.

Errors are displayed by the corresponding error messages.

  • From: Start of the interval. Display only.
  • To: End of the interval. Display only.

Accept

Click on this button to accept the inputs, if they are valid, and close the dialog.

Time stamp is converted to UTC.

To leave the dialog without saving, click on the calendar symbol or in the toolbar with the drop-down dialog.


Month

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Time span > Month

Entry of the time range in months.

Option

Description

End of the interval

Definition of the end time.

Minutes and hours are always set to 0, days are always set to 1. These elements cannot be configured.

Set current date and time

Set the current time stamp when clicked.

Year

Input of year. Select from drop-down list.

Month

Input of month. Select from drop-down list.

Beginning of the month
  • Active: The end time is 00:00 on the first day of the selected month.

End of the month
  • Active: The end time is 00:00 on the first day of the following month.

Interval definition

Duration of the period of time that is to be analyzed.

  • Text input field: Defines quantity.
    Input of a number between 1 and 99999.
    The quantity can be increased or reduced with the arrows.
  • Drop-down list: Defines granularity. Selection of years or months.

Preview

Display of the current configuration settings in local time.

Errors are displayed by the corresponding error messages.

  • From: Start of the interval. Display only.
  • To: End of the interval. Display only.

Accept

Click on this button to accept the inputs, if they are valid, and close the dialog.

Time stamp is converted to UTC.

To leave the dialog without saving, click on the calendar symbol or in the toolbar with the drop-down dialog.


day

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Time span > day

Entry of the time range in days.

Option

Description

End of the interval

Definition of the end time.

Minutes and hours are always set to 0 and cannot be configured.

Set current date and time

Set the current time stamp when clicked.

Year

Input of year. Select from drop-down list.

Month

Input of month. Select from drop-down list.

day

Input of day. Select from drop-down list.

Beginning of the day
  • Active: The end time is 00:00 on the selected day.

End of the day
  • Active: The end time is 00:00 on the selected day of the following day.

Interval definition

Duration of the period of time that is to be analyzed.

  • Text input field: Defines quantity.
    Input of a number between 1 and 99999.
    The quantity can be increased or reduced with the arrows.
  • Drop-down list: Defines granularity. Selection between years, months and days.

Preview

Display of the current configuration settings in local time.

Errors are displayed by the corresponding error messages.

  • From: Start of the interval. Display only.
  • To: End of the interval. Display only.

Accept

Click on this button to accept the inputs, if they are valid, and close the dialog.

Time stamp is converted to UTC.

To leave the dialog without saving, click on the calendar symbol or in the toolbar with the drop-down dialog.


Hour

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Time span > Hour

Entry of the time range in hours.

Option

Description

End of the interval

Definition of the end time.

Minutes are always set to 0 and cannot be configured.

Set current date and time

Set the current time stamp when clicked.

Year

Input of year. Select from drop-down list.

Month

Input of month. Select from drop-down list.

day

Input of day. Select from drop-down list.

Hour

Input of hour. Select from drop-down list.

Interval definition

Duration of the period of time that is to be analyzed.

  • Text input field: Defines quantity.
    Input of a number between 1 and 99999.
    The quantity can be increased or reduced with the arrows.
  • Drop-down list: Defines granularity. Selection between years, months, days and hours.

Preview

Display of the current configuration settings in local time.

Errors are displayed by the corresponding error messages.

  • From: Start of the interval. Display only.
  • To: End of the interval. Display only.

Accept

Click on this button to accept the inputs, if they are valid, and close the dialog.

Time stamp is converted to UTC.

To leave the dialog without saving, click on the calendar symbol or in the toolbar with the drop-down dialog.


Minute

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Time span > Minute

Entry of the time range in minutes.

Option

Description

End of the interval

Definition of the end time.

Set current date and time

Set the current time stamp when clicked.

Year

Input of year. Select from drop-down list.

Month

Input of month. Select from drop-down list.

day

Input of day. Select from drop-down list.

Hour

Input of hour. Select from drop-down list.

Minute

Input of minute. Select from drop-down list.

Interval definition

Duration of the period of time that is to be analyzed.

  • Text input field: Defines quantity.
    Input of a number between 1 and 99999.
    The quantity can be increased or reduced with the arrows.
  • Drop-down list: Defines granularity. Selection between years, months, days, hours and minutes.

Preview

Display of the current configuration settings in local time.

Errors are displayed by the corresponding error messages.

  • From: Start of the interval. Display only.
  • To: End of the interval. Display only.

Accept

Click on this button to accept the inputs, if they are valid, and close the dialog.

Time stamp is converted to UTC.

To leave the dialog without saving, click on the calendar symbol or in the toolbar with the drop-down dialog.


Equipment Group

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Equipment Group

Equipment groups can be displayed with a different depth of the level displayed when opening the drop-down list. The following are available:

  • Only the upper-most level
  • All levels
  • A defined depth of levels (up to 25)

This output display is configured using the report designer in ZAMS. This control element is available for all report templates that contain equipment models.

attention Attention

Each equipment group in zenon may only be assigned to one individual time model.

If several time model groups are assigned, the Analyzer Wizard Export uses the first that it finds and exports this to the metadata of the Analyzer. Other time model groups are ignored.

Labels

Labels for an equipment group do not need to be unique. Values from equipment groups with the same labels are permitted if they are not in the same area of the tree. Identical labels for root elements and identical labels for elements with the same superordinate nodes leads to errors.

Selection of an entry from the equipment model

This selection dialog makes it possible to select an entry from the equipment model. The entries are displayed via a tree structure and sorted alphabetically in each level.

Subordinate elements of a level can be hidden. A plus in front of the entry means that: the element contains additional subordinate elements. They are not displayed in the current view. Click on the plus sign to open the display of the sub elements. The plus sign changes to a minus sign. Click on the minus sign to close the level again.

To select an element:

  1. Open the respective group if the element is a sub element and therefore is not displayed
  2. Select the desired element with a mouse click.
  3. Close the dialog by clicking in the area next to the dialog.

The dialog can be displayed filtered. At this the filter criterion is only used on entries which do not have any subordinate elements.

Selection of several entries from the equipment model

This selection dialog makes it possible to select several entries from the equipment model. The entries are displayed via a tree structure and sorted alphabetically in each level.

Subordinate elements of a level can be hidden. A plus in front of the entry means that: the element contains additional subordinate elements. They are not displayed in the current view. Click on the plus sign in order to open the display of the sub elements. The plus sign changes to a minus sign. Click on the minus sign in order to close the level.

At showing/hiding selected entries (tick in the check box) are also shown/hidden. The status (selected or deselected) remains the same. Double clicking a checkbox marks all hierarchically-subordinate checkboxes that are visible at that time or removes the marking.

To select several elements:

  1. Highlight the desired object by clicking on the checkbox in front of the element.
  2. Open the respective group if the element is a sub element and therefore is not displayed
  3. If the selected element has sub-levels, the levels bellow are also selected with the control element.
  4. Close the dialog by clicking in the area next to the dialog.

The dialog can be displayed filtered. At this the filter criterion is only used on entries which do not have any subordinate elements.

Structure for predefined values

Pre-defined values require a certain structure for both dialogs:

  • The name to be displayed is always in the labeling of the value.
  • For root entries (no superordinate node exists) only the ID is in the value.
  • For subordinate entries the value consists of ID of the entry and the ID of the superordinate entry separated by a linking character (pipe character |).
    Syntax: [ID of the entry] | [ID of the superordinate entry]

Double click in the tree structure

Different browsers react differently to a double click on a node in the tree structure:

  • Internet Explorer:
    The opposite of the currently visible stats of the node that has been clicked on is passed on to the lower objects and transferred to the nodes.
    For example: The checkbox of the node is not ticked. Double clicking ticks the checkboxes of the node and all its sub-items.
  • Chrome and Firefox:
    The current status does not change and is passed on to the lower objects.
    For example: The checkbox of the node is not ticked. Double clicking does not tick the checkboxes of the node and all its sub-items.


Lot and shift

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Lot and shift

This selection dialog configures the display of lots and shiftdata. Each predefined value corresponds to one line. The user can select a lot by clicking on the respective cell.

The selection dialog contains the following columns:

  • Name (for lot or shift)
  • Start date
  • Start time
  • End date
  • End time
  • Duration

The dialog can be sorted and filtered. For details, see the Filter lots chapter.

Structure of predefined values

Predefined values call for a certain structure for this dialog:

  • The lot name is always in the label of the value.
  • The value filed of the label consists of:
    • [start time]
    • Linking character "|"
    • [end time]

      The format of a time is YYYY-MM-DD hh:mm:ss in UTC.
      The time is converted to the local time of the server for display.

From this the following values are generated for displaying in columns:

  • Lot name
  • Date on which the lot started: Input in date format of the language culture of the user;
    Date and time are displayed in local time of the server
  • Time when the lot started: Input in time format of the language culture of the user;
    Date and time are displayed in local time of the server
  • Date on which the lot ended: Input in date format of the language culture of the user;
    Date and time are displayed in local time of the server
  • Time when the lot ended: Input in time format of the language culture of the user;
    Date and time are displayed in local time of the server
  • Lot duration:
    Format: [#Days][Day abbreviation in the culture of the user] [#Hours]:[#Minutes]:[#Seconds]

Evaluation of lot groups

A mechanism for evaluating lot groups is available. This is based on the equipment model:

  1. The necessary variables and the lot archive in which they are logged are found via the equipment model.
  2. All lots for the selected point in time are obtained from the lot archives. In doing so, lots from several archives with the same lot names but different point in time are compiled into one entry.
  3. The lots are displayed in a lot selection dialog via report parameters.
  4. When creating a report, the lots for the respective archives are read again and the data for the time period of the lot in the archive is obtained.


Filters

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Filters

Some dialogs can be displayed in a filtered way. For example dialogs for:

  • Input or selection of several values: Filter method see below
  • Equipment group selection: Filter method see below
  • Lot selection: For the filter method, see Lot selection

To filter the predefined values:

  1. Enter the filter criterion in the input field.
  2. Press the Enter key.
  3. The list is rebuild and only contains values which correspond to the filter criterion

To display all values:

  1. Delete the filter criterion from the input field.
  2. Press the Enter key.
  3. The list is rebuild and contains all predefined values.

Filter criteria for dialogs which can be filtered

  • The filtering is not case-sensitive.
  • A question mark (?) is a wildcard for exactly one character.
  • An asterisk (*) is a wildcard for any number of character.
  • If there is neither * nor ? in a filter criterion, a * is appended to the filter criterion internally.
  • If values are selected, they are still displayed when filtering even if they do not match the criterion.
  • Equipment group: The filter criterion is only applied to entries which do not have subordinate elements (e.g. they never existed or they were filtered out previously)

Examples

Filters | finds
e or E or e* or E* finds | all entries starting with "e" or "E".
*3 | finds all entries ending with "3".
?r* or ?R* | finds all entries with "r" or "R" as second character.
*9* | finds all entries containing "9".

Other topics in this chapter

Filter lots


Filter lots

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Filters > Filter lots

The entries in the lot selection dialog can be filtered and sorted.

Filter values

To filter the predefined values:

  1. In each desired column enter the filter criterion in the input field.
  2. Press the Enter key.
  3. The list is rebuild and only contains values which correspond to the filter criterion

To display all values:

  1. Delete the filter criterion from the input field.
  2. Press the Enter key.
  3. The list is rebuild and contains all predefined values.

For the filtering the following is true:

  • Each column has its own filter box.
  • If a filter box is empty, it is not filtered after this column.
  • For an entry to be displayed, it must fulfill the filter criteria of all columns.
  • The filtering is triggered by pressing the Enter key in any filter box.
  • The following filters are used for the individual columns:
    • The lot name uses the text filter in the same way as the dialog for selecting one of several predefined values.
    • Start date uses the date filter.
    • Start time uses the time filter.
    • End date uses the date filter.
    • End time uses the time filter.
    • Duration uses the duration filter.

Lot name

For this filter the following is true:

  • The filtering is not case-sensitive.
  • A question mark (?) is a wildcard for exactly one character.
  • An asterisk (*) is a wildcard for any number of character.
  • If there is neither * nor ? in a filter criterion, a * is appended to the filter criterion internally.
  • If values are selected, they are still displayed when filtering even if they do not match the criterion.

Date filter

For this filter the following is true:

  • The date must be entered in the date format of the language culture of the user.
  • Leading zeros can be left out.
  • For single elements (day, month, year) you may use * as wildcard.

    For example:
    May 2011: *.5.2011
    Year 2011: *.*.2011

  • To filter from/up to a special day you may use the following at the beginning:
    • <
    • >
    • <=
    • >=

    * is not allowed.
    For example:

    from 1 May 2011: > 30.4.2011 or >= 1.5.2011
    up to 31 May 2011: < 1.6.2011 or <= 31.5.2011

  • If a filter criterion does not match these conditions (e.g. < and * are combined, elements are missing or are entered in the wrong date format), the whole filtering process is canceled.

Time filter:

For this filter the following is true:

  • The time must be entered in the time format of the language culture of the user.
  • Leading zeros can be left out.
  • For single elements (hours, minutes, seconds) you may use * as wildcard.
    For example:
    12 o' clock: 12:*:* (24-hours) or 12:*:* PM (12-hours)
    13:45: 13:45:* (24-hours) or 1:45:* PM (12-hours)
  • To filter from/up to a special time you may use the following at the beginning:
    • <
    • >
    • <=
    • >=

    * is not allowed.
    For example:
    Morning including noon: < 12:00:01 or <= 12:00:00 (24-hours) or < 12:00:01 PM or <= 12:00:00 PM (12-hours)
    Everything starting at 8 o' clock: > 7:59:59 or >= 8:0:0 (24-hours) or > 7:59:59 AM or >= 8:0:0 AM (12-hours)

  • If a filter criterion does not match these conditions (e.g. < and * are combined, elements are missing or are entered in the wrong time format), the whole filtering process is canceled.

Duration filter

For this filter the following is true:

  • The duration must be entered in the format defined above.
  • Leading zeros can be left out.
  • For single elements (hours, minutes, seconds) you may use * as wildcard.
    For example:
    Duration: 1 day: 1d *:*:*
  • To filter from/up to a certain duration you may use the following at the beginning:
    • <
    • >
    • <=
    • >=

    * is not allowed.
    For example:

    Longer than 1 day: > 1d 0:0:0 or >= 1d 0:0:1
    Less than 12 hours: < 0d 12:0:0 or <= 0d 11:59:59

  • If a filter criterion does not match these conditions (e.g. < and * combined, elements missing), the whole filtering process is canceled.

Sort values

The report can be sorted ascending or descending on any column. The current sorting order is displayed in the column after which it is sorted.

To sort a column:

  1. click on the desired column title
  2. the sorting is started
  3. the arrow next to the column header displays whether the sorting is ascending or descending
  4. another click on the column header changes the sorting order

Filtering and sorting can be used in parallel and do not influence one another.


Sorting of filter elements

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Parameters - input and selection > Sorting of filter elements

Selection of a value from predefined values or Selection of several values from predefined values type elements have a predefined sorting for the display of filter elements per default.

This applies if the parameter:

  • is one of the following data types:
    • Integer
    • Float
    • Date & Time
    • Text
  • Has a list of predefined values
  • Is not hidden and not write-protected

The default sorting is defined when the report template is created and cannot be changed by report developers in the Report Builder.

The following sorting is available:

Sorting | Description
A-Z: | Sorting is in alphabetical order according to the display text of the predefined values. That is the default action. This also applies if no special sorting has been saved.
Z-A: | Sorting is in reverse alphabetical order according to the display text of the predefined values.
Values upwards: | Sorting direction is upwards according to the predefined values. The data type of the parameter is not taken into account in the process.
Values downwards: | Sorting direction is downwards according to the predefined values. The data type of the parameter is not taken into account in the process.
In sequence: | The values are written to the list in the order in which they were provided by the SQL Server Reporting Services web service.
In reverse sequence: | The values are written to the list in the reverse order to the order in which they were provided by the SQL Server Reporting Services web service.


Site Settings

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Site Settings

Via the site settings you configure

  • General settings of the zenon Analyzer

Note: User rights are set and administered in the ZAMS.

Other topics in this chapter

General


General

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Site Settings > General

General settings for naming the zenon Analyzer and processing the reports.

Property

Description

Name

Name which is displayed in the header of the report generators.

Default settings for the report history

Defined number of reports saved for the history. Possible settings:

  • Keep an unlimited number of snapshots in report history:
    Saves as many snapshots as desired. Number is limited by memory space.
  • Limit the copies of report history::
    Entry of the number in the field.
    Default: 10

Reportimeout

Defines timeout for processing reports. Possible settings:

  • Do not timeout report
  • Limit processing of the report to the following number of seconds:
    Entry of seconds in the field.
    Default: 1800

Apply

Takes over changed settings

Attention: If you leave the site without clicking Apply, all changes will be lost.


Data Source

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Data Source

To edit a data source:

  1. Highlight the data source.
  2. Click on the arrow.
  3. Select the desired command from the context menu.

Database context menu

The context menu of databases contains commands for their administration. The context menu is identical for both views of the Report Launcher.

Option | Description
Move | Opens menu for selecting the new saving location.
Delete | Deletes selected reports.
Generate Report Model | Opens the dialog to generate a new model for the data source.
View Dependent Items | Displays all reports based in this data source and makes it possible to delete or move them.
Manage | Opens the dialog to administer the database.

You can find detailed instructions for the configuration of Microsoft Reporting Services on the Microsoft homepage:

  • German
  • English
  • French
  • Italian

Other topics in this chapter

Properties


Properties

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Data Source > Properties

In window properties you define the basic properties of the data source and the connection parameters.

Option

Description

Delete

Deletes data source.

Move

Moves data source.

Generate Model

Opens dialog for creating a new model.

Name

Name of the data source.

Description

Optional, detailed description

Hide in side-by-side/one-below-the-other view

Active: is hidden in side-by-side/one-below-the-other view.

Enable this data source

Active: Data source is used.

Data source type

Selection of the type via drop-down list.

Connection string

String for establishing the connection.

Establish connection via

Selection of the connection method.

Provided login information of the user who executes the report

User must state information.

It is possible to display an instruction

The information can be marked as Window login information.

Login information which are saved securely on the report server

Login information is saved on the server.

User name and password must be entered.
The following are available as an option:

  • Use of Windows authentication when connecting to the data source.
  • Assumption of the identity of the user entered after establishing a connection.

Integrated Windows security

Windows security.

No login information required

No login information is necessary.

Test Connection

Checks connection and displays a success/failure message below the button.

Apply

Applies all settings.

Change password

It can happen that the password for the data source can no longer be changed.
Procedure to allow access to the Password option again:

  1. In the A user-defined data source section, activate the No login information required property.
  2. Click on test connection.

The User name and Password properties can now be changed.

Other topics in this chapter

Generate Report Model


Generate Report Model

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Data Source > Properties > Generate Report Model

This dialog makes it possible to create new models for the data source.

Option | Description
Name | Name of the new data source.
Description | Optional, detailed description.
Saving location/change saving location | Opens dialog for defining the saving location.
OK | Confirms changes and opens the properties.
Cancel | Discards all changes and closes the dialog.


Folder

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Folder

Reports are collected and grouped in folders.

Folders are configured and managed via:

  • menu item New folder in the toolbar
  • menu item Folder settings in the toolbar
  • the drop-down list of the folder (is displayed at mouse over)

Context menu folder

The context menu of folders contains different commands, regardless of the Report Launcher view.

Tile View

Command | Description
Move | Opens dialog for selecting the new saving location.
Delete | Deletes selected folder.
Manage | Opens the dialog for managing the folder.

Details View

Command | Description
Move | Opens dialog for selecting the new saving location.
Delete | Deletes selected folder.
Manage | Opens the dialog for managing the folder.
New folder | Opens dialog to create a new folder.
New Data Source | Opens the dialog to select a new data source.
Upload file | Opens the dialog for uploading a new file.

Create new folder

To create a new folder:

  1. click on menu item New folder in the toolbar
  2. the dialog for creating a new folder is opened

Option

Description

Name

Name of the folder

Name:

  • must not be empty
  • Must not consist of periods or spaces
  • Must not contain non-permitted characters;
    The following are not permitted: ;?:@&=+$,\*<>|"/

The name must not consist of more than 126 characters.

Description

Optional description of the folder content.

Hide in symbol view
  • Active: Folder is not displayed in the symbol view.
    This setting can later be changed via menu item Management in the drop-down list of the folder.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.

Other topics in this chapter

Properties


Properties

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Folder > Properties

The folder properties display information about the folder and offer the possibility to:

  • move
  • delete
  • rename
  • Show or hide in the symbol view


Upload file

zenon Analyzer > Report Launcher > Report Launcher: Configuration and operation > Upload file

Reports, models and other resources which are edited offline can be uploaded to the Report Server.

To upload resources:

  1. In the toolbar click on icon Upload file.

    The dialog for uploading will be opened.

  2. Select the desired file.
  3. Select the desired options.
  4. Confirm your selection by clicking OK.

Property

Description

File to be uploaded

Selection of the file which is to be uploaded. Click on button Browse to open the file manager. Multi-select is not possible.

Name

Freely definable name.
The file name of the selected file is taken over as default value.

Overwrite existing element
  • Active: If an element with the same name already exists at the Report Server, it is overwritten.

OK

Information is applied, the file is uploaded and the dialog is closed.

Cancel

Discards all changes and closes the dialog.


Create report

zenon Analyzer > Report Launcher > Create report

Reports can be created with:

  • ZAMS - zenon Analyzer Management Studio
  • Microsoft Report Builder 3.0

For zenon an own wizard for exporting the meta data from the global project and the variables from the local projects is available. For more information about this wizard see also chapter Analyzer Export Wizard in section Data abstraction and data inclusion.

Other topics in this chapter

Report Builder

Upload reports


Report Builder

zenon Analyzer > Report Launcher > Create report > Report Builder

Reports can be created manually with the help of the Microsoft Report Builder.
Note: If there is not yet a Report Builder present on your system, you can download this in the Report Launcher using a button.

info Information

The Report Builder is not suitable as an editor for reports with CRI (Gantt Chart) as it cannot process CRIs.

To start the Microsoft Report Builder:

  1. In the menu bar, click on the Report Builder button.
    Note: This button is not available for Chrome or Firefox.

    Depending on the settings, the Getting Started or Report Builder dialog can be opened directly:

You can get support for the creation of reports with the Report Builder using the integrated help for the Report Builder.

You can find detailed instructions for the configuration of Microsoft Reporting Services on the Microsoft homepage:

  • German
  • English
  • French
  • Italian

Recommendation: Create reports in the zenon Analyzer Management Studio on the basis of report templates provided.


Upload reports

zenon Analyzer > Report Launcher > Create report > Upload reports

Reports which were created offline can be uploaded to the Server with the help of the zenon Analyzer.

To upload resources:

  1. In the toolbar click on icon Upload file.

    The dialog for uploading will be opened.

  2. Select the desired file.
  3. Select the desired options.
  4. Confirm your selection by clicking OK.

Property

Description

File to be uploaded

Selection of the file which is to be uploaded. Click on button Browse to open the file manager. Multi-select is not possible.

Name

Freely definable name.
The file name of the selected file is taken over as default value.

Overwrite existing element
  • Active: If an element with the same name already exists at the Report Server, it is overwritten.

OK

Information is applied, the file is uploaded and the dialog is closed.

Cancel

Discards all changes and closes the dialog.


Call up report

zenon Analyzer > Report Launcher > Call up report

Reports can be called up and configured in the browser on the client computer.

info Information

The timeout for the execution of reports in the web browser is 30 minutes. If a report needs longer than 30 minutes to be completed and displayed, the web browser cancels the display with a timeout error message.

To call up a report:

  1. Double click the folder which contains the report
    or select open in the context menu
  2. Double click the desired report.

    The report is opened in the browser.

Navigation

Element | Description
Navigation | Allows navigation from the current element to the main directory.
Home | Switches to the main view.
Site Settings | Opens the administration of general settings of the site.
Help | Opens the online-help for the Report Launcher.

Configuration

Element | Description
Control elements | Control elements for configuration of the report. The type of control element depends on the report template. Control elements can depend on one another. In this case, they can only be configured if the previous one has been configured correctly.
Separator | Separates control elements from the toolbar. Clicking on the separator shows or hides the bar with control elements.
Toolbar | Contains symbols for navigation in the report and for further processing of the report.

Display report

Elements

Description

Report display field

Shows the report with the elements defined in the template:

  • Name of the report
  • Configured elements
  • Graphics
  • Table


Toolbar Report

zenon Analyzer > Report Launcher > Toolbar Report

Option

Description

Navigation arrows and <1 from 1>

Navigation in multi-sided reports:

  • |<: to the start
  • <: back one page
  • Field: Entry of the page to which a jump is to be made; press the Enter key to execute
  • >: forward one page
  • >|: to the last page

Search field

Enter a search term.

Search

Searches defined term and displays first occurrence.

Next

Searches for the next occurrence.

Icon disk

Export of the report. Click to open the drop-down list with export formats. Possible formats:

  • XML
  • CSV
  • PDF
  • Web archive
  • Excel
  • TIFF
  • Word

Icon rotating arrow

Updates data for report display.

Icon printer

Opens dialog for printing the report.

Icon book

Export in RSS feed.


Configure and export reports

zenon Analyzer > Report Launcher > Configure and export reports

Different parameters can be selected depending on the report type. For example:

  • Time period for the report: for comparing reports two time periods are provided for configuration
  • Projects whose data is being edited
  • Archives
  • Aggregation
  • Variables
  • Alarm groups
  • Alarm Classes
  • Equipment groups and media

Configuring the report

To configure to a report:

  1. open the report
  2. select the desired parameters
  3. click on display report

Separator

In value fields of parameters that allow several values, the following are permitted:

  • Comma
  • Carriage return

Export Report

Reports can be exported to different formats.

To export a report:

  1. Click on the symbol for the export (disk).

    The drop-down list with the export formats is opened.

  2. Select the desired format.
  3. Save or open the document in the selected format.

export format

For the export the following options are available:

Option | Description
XML | Report is saved as XML file. Click to open the dialog for saving/displaying the XML file.
CSV | Report is saved as comma-separated text file (CSV). Click to open the dialog for saving/displaying the CSV file.
PDF | Report is saved as PDF file. Click to open the dialog for saving/displaying the web archive.
MHTML | Report is saved as web archive (.mhtml). Click to open the dialog for saving/displaying the web archive.
Excel | Report is saved as Excel file (.xls, for Excel 97 - 2003). Click to open the dialog for saving/displaying the XLS file. Diagram is embedded as graphic; values can be changed manually. Values changes do not effect the embedded graphic.
TIFF | Report is saved as graphic in the TIFF format. Click to open the dialog for saving/displaying the TIFF file.
Word | Report is saved as Word file (.doc, for Word 97 - 2003). Click to open the dialog for saving/displaying the DOC file. Diagram is embedded as graphic; values can be changed manually. Values changes do not effect the embedded graphic.

info Information

Reports are always defined for a certain output medium (see export formats). If they are output to other media, this can lead to the appearance being corrupted.

For example: A report configured for HTML can create page breaks that are unsuitable for PDFs. To create a report on several media, create a separate report for each medium.


Manage reports

zenon Analyzer > Report Launcher > Manage reports

Reports are managed via the drop-down list at the report.

Click on Manage to open the dialog for managing the reports:

Option | Description
Properties | Properties of the report.
Parameter | Configuration of the parameters of the report.
Data Sources | Selection of data sources.
Processing Options | Configuration of the editing of the report.
Cache Refresh Options | Creation and editing of the plans for the cache updating.
Report History | Allows snapshots of reports to be combined into a history.
Snapshot Options | Configuration of snapshots.

Other topics in this chapter

Properties

Parameter

Data Sources

Processing Options

Cache Refresh Options

Report History

Snapshot Options


Properties

zenon Analyzer > Report Launcher > Manage reports > Properties

In window Properties basic properties are displayed and configured.

Toolbar

Symbol | Description
Delete | Delete report.
Move | Opens the dialog for moving a report to another folder.
Create linked report | Opens dialog for creating a linked report. Linked reports make it possible to use different security settings for a report.
Download | Opens dialog for downloading a report.
Replace | Opens the dialog for uploading a report definition in order to replace the existing one.

Properties

Option

Description

Report data

Display of:

  • Date of change
  • Person who changed the report
  • Date of creation
  • Person who created the report
  • Size

Name

Name of the report.

Name:

  • must not be empty
  • Must not consist of periods or spaces
  • Must not contain non-permitted characters;
    The following are not permitted: ;?:@&=+$,\*<>|"/

The name must not consist of more than 126 characters.

Description

Description.
Can already be set in ZAMS as a comment. Entries in ZAMS overwrite entries from the Report Launcher during deployment.

Hide in symbol view
  • Active: Report is not displayed in symbol view.

Apply

Applies changes.


Parameter

zenon Analyzer > Report Launcher > Manage reports > Parameter

Displays the parameter of the report and makes it possible to:

  • assign a default
  • hide parameter for user
  • to configure the text with which the parameter in the report is displayed

The options that are shown depend on the type of report.

Option

Description

Parameter Name

Name of the parameter.

Display only.

Parameter Type

Type of the parameter. Display only.

Displays whether:

  • a parameter allows one or more values
  • it is a specialized filter control element (Boolean, shift, lot, time range, tree display)
  • the parameter serves for the input of values or the selection of a value from a drop-down list of pre-defined values

For non-specialized controls, the data type is also shown.

Has default
  • Active: Default value is preset in the report for the input.
  • Active and grayed out: Default values of a parameter come from a form or a data set. Default values cannot be changed.
  • Inactive: No value is preset.

Each change to the check status of this checkbox made by the user is immediately forwarded to the server.

Default Value

The corresponding filter element for the parameter is shown here. Each parameter with the option activated must be given a default value in this column, in order for the configuration to be valid. Each change of value by the user is immediately forwarded to the server. Possible elements:

  • Text element: Is displayed if the Has default value option is active and grayed out and contains the reason why.
  • Drop-down list: Contains selection of parameters for configurable parameters. Drop-down list can be filtered. It can be operated if the default value of the parameter can be changed and the option Has default value has been selected.
    Value changes are only accepted if the drop-down list has been closed.
  • Input field: Allows the input of parameters for configurable parameters. Entry is possible if the default value of the parameter can be changed and the Has default option has been selected.
    Value changes are only accepted if the input field is no longer in focus.

Hide
  • Inactive: Parameter is shown.
    The Display text option must contain a value in order for the configuration to be valid.
  • Active: Parameter is hidden.
    The Display text option is emptied.

A parameter can only be hidden if it has a valid default value (has default value option has been selected and default value has been selected).

If a parameter cannot be hidden, the checkbox is not selected and deactivated.

Each change to the check status is immediately forwarded to the server.

Display Text

Enter the text with which the parameter will be displayed in the report.

Only active if the Hide option has not been selected.

The input field only recognizes changes it it is not in focus.

Apply

Clicking on the button accepts settings if all options have been correctly configured.

If there are configuration errors, these are displayed next to the corresponding option.

If the configuration has been saved, this is displayed below the button.

Note: Internal parameters control filter control elements that are used for other parameters or limits for diagrams, or markers for archive distribution. Internally, parameters whose name starts with ChartStart, ChartEnd or Hidden or ends with _Type. They have default values and are hidden in Report Launcher. They are shown in Report Builder however.
Recommendation: Do not change these parameters!

attention Attention

Error messages for parameters:

For some parameters, the values available must be loaded via a Stored Procedure of Microsoft SQL Server. If this Stored Procedure is not successfully called up or the Stored Procedure returns an error, an error message is activated in the Report Launcher. For example, if Runtime cannot be reached, the SQL connector has not been created, etc.

For some parameters, no proposed value can be issued under some circumstances, because a parameter that is to be handled beforehand does not contain a value.
For example: Time filters are based on shifts, but there is no shift data available. in this case, the issue of proposed values is only possible if at least 1 shift has been written.


Data Sources

zenon Analyzer > Report Launcher > Manage reports > Data Sources

Assigns a report to the data source.

Option

Description

An approved data source
  • Active: An approved database is used.

The name is displayed under options. Clicking on the Search button opens the dialog to select a data source.

A user-defined data source

Configuration of a user-defined data source.

Data source type

Selection of the type via drop-down list.

Connection string

String for establishing the connection.

Establish connection via

Selection of the connection method.

Provided login information of the user who executes the report

User must state information.

It is possible to display an instruction

The information can be marked as Window login information.

Login information which are saved securely on the report server

Login information is saved on the server.

User name and password must be entered.
The following are available as an option:

  • Use of Windows authentication when connecting to the data source.
  • Assumption of the identity of the user entered after establishing a connection.

Integrated Windows security

Windows security.

No login information required

No login information is necessary.

Test Connection

Checks connection and displays a success/failure message below the button.

Apply

Applies all settings.

Change password

It can happen that the password for the data source can no longer be changed.
Procedure to allow access to the Password option again:

  1. In the A user-defined data source section, activate the No login information required property.
  2. Click on test connection.

The User name and Password properties can now be changed.


Processing Options

zenon Analyzer > Report Launcher > Manage reports > Processing Options

In this window you define how the report should be filled out:

  • Configuration of the buffering and process of temporary copies.
  • Creation of the report based on a snapshot.
  • Definition of the time out at the creation of the report

Option

Description

Always execute this report with the most recent data
  • Active: The report is always executed with the current data.

Selection of an option for temporary copies:

  • Do not cache temporary copies of this report
  • Cache a temporary copy of this report. Expire copy of report after a number of minutes:
    Entry of minutes in the field.
    Default: 30
  • Cache a temporary copy of this report. Expire copy of report on the following schedule:
    Schedule selection and configuration:
    Report-specific schedule: Click on Configuration in order to open the configuration dialog.
    Shared schedule: Clicking on Test checks the configuration.

Render this report as a snapshot
  • Active: The report is rendered as a snapshot.

Can be configured as an option.

Schedule selection and configuration:

  • Report-specific schedule: Click on Configuration in order to open the configuration dialog.
  • Shared schedule: Clicking on Test checks the configuration.

Report Timeout

Configuration of the timeout for the report.

Options:

  • Use the system default setting:
    These are set out in the General site settings.
  • Do not timeout report
  • Limit processing of the report to the following number of seconds:
    Entry of seconds in the field.
    Default: 1800 Do not timeout report:

Apply

Takes over changed settings

Attention: If you leave the site without clicking Apply, all changes will be lost.

Other topics in this chapter

Schedule


Schedule

zenon Analyzer > Report Launcher > Manage reports > Processing Options > Schedule

Configuration of schedules for the preparation of reports.

Parameter

Description

Selection of interval

Selection of the interval:

  • Hour
  • Day
  • Week
  • Month
  • Once

Details are configured in the Schedule option.

Schedule

Configuration of the selected interval. Options available depend on the interval.

Start and end date

Configuration of the start date. The expiry date can also be established as an option.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Cache Refresh Options

zenon Analyzer > Report Launcher > Manage reports > Cache Refresh Options

Makes it possible to create and to edit schedules for cache update.

Click on edit in order to open the dialog for creating and editing a schedule.

Option | Description
Description | Name for plan.
Update cache in accordance with the following schedule | Selection of the schedule. Click on button Configure in order to open the dialog for creating a schedule.
State parameter values for this cache entry | Enter the parameters for the report.
OK | Accepts input and closes dialog.
Cancel | Discards entries and closes the dialog.

info Information

This cache update function only relates to the Report Launcher and is not identical to the update cache action in the ZAMS.


Report History

zenon Analyzer > Report Launcher > Manage reports > Report History

Assembles snapshots of reports to a history.


Snapshot Options

zenon Analyzer > Report Launcher > Manage reports > Snapshot Options

Options for snapshots.

Option

Description

Allow report history to be created manually:

Active: Manual snapshots are possible.

Save all report snapshots in the history

Active: each snapshot is also displayed in the report history.

Schedule

Selection of the schedule or creation of a new schedule.

Maximum number of snapshots

Define how many snapshots should be saved.
Options:

  • Use default settings:
    These are set out in the General site settings.
  • Keep an unlimited number of snapshots in report history:
    Saves as many snapshots as desired. Number is limited by memory space.
  • Limit the copies of report history:
    Eingabe der Zahl in Feld.
    Default: 10

Apply

Clicking on the button accepts settings if all options have been correctly configured.

If there are configuration errors, these are displayed next to the corresponding option.

If the configuration has been saved, this is displayed below the button.


Validation of formulas

zenon Analyzer > Report Launcher > Validation of formulas

Formulas are validated in reports. This affects reports in the Analysis with custom formulas group and all efficiency class analysis reports that use custom formulas.

Validation errors are:

  • No data or invalid data
  • Incorrect setting of parameters.
    (Notice: Incorrect setting of parameters is not possible in ZAMS, but can occur as a result of the RDL being edited directly.)

If validation errors are discovered when calculating a formula value, this formula is not executed. No value is thus written. With time-stamp-related calculations, only the formula for the time stamp in question is not executed.

Validations occur for:

  • Calculated fields before aggregation (separate for each time stamp; prescribed by the formula)
  • Aggregation (over intervals or over the complete time period: at least one value in the time period)
  • Calculated fields after aggregation (for each interval or complete time period; prescribed by the formula)

Validations per formula:

Action | Validation
Addition | Both operands have a value.
Subtraction | Both operands have a value.
Multiplication | Both operands have a value.
Division | Both operands have a value. Divisor is not 0.
Absolute | Operand has a value.
Natural logarithm | Operand has a value > 0.
Base 10 logarithm | Operand has a value > 0.
e^x | Operand has a value.
x^n | Operand has a value. Exponent > 1.
b^x | Operand has a value. Base > 1.
Root | Operand has a value >= 0. Order > 1.
Rounding up to next integer: | Operand has a value.
Rounding down to next integer: | Operand has a value.
Rounding with precision | Operand has a value.
Sine | Operand has a value.
cosine | Operand has a value.
Tangent | Operand has a value. Cosine (value) not 0.
Cotangent | Operand has a value. Sine (value) not 0.
arc sine | Operand has a value. Value in range -1 to 1
arc cosine | Operand has a value. Value in range -1 to 1.
arc tangent | Operand has a value.
Rad -> Deg | Operand has a value.
Deg -> Rad | Operand has a value.
SUM | All operands have a value.
AVG | All operands have a value.
MIN | All operands have a value.
MAX | All operands have a value.
Base N logarithm | Operand has a value > 0. Base > 1.


Error logging

zenon Analyzer > Report Launcher > Error logging

zenon Analyzer uses the zenon Diagnosis Viewer logging service to collect and display error messages.

Note: The connector cannot forward messages to the Diagnosis Viewer under Windows XP. In this case, error messages are saved locally.

Other topics in this chapter

Diagnosis Viewer

Error messages, zenon Analyzer general


Diagnosis Viewer

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer

All zenon modules such as Editor, Runtime, drivers, etc. as well as zenon Analyzer write messages to a joint log file. These can be read and configured with the Diagnosis Viewer program. It allows the reading of existing LOG files, online logging, saving of the current view, parameterizing the Diagnosis Viewer and the Diagnosis Server.

Diagnosis Viewer Start

The Diagnosis Viewer is installed in the folder: %Program Files (x86)%\Common Files\COPA-DATA\STARTUP. Call it up under:

  • Windows 8: Enter "Diagnosis Viewer" on the desktop for Apps
  • Windows 7: Start/All Programs/zenon/Version Independent Tools -> Diagnosis Viewer.

The Diagnosis Viewer is only available in English.

Using IPv6

The Diagnosis Server also works with Diagnosis Clients which addresses via IPv6 addresses. For this the format of the log file has been adapted. The Diagnosis Viewer only reads the new format of the log files. If files from older zenon versions are opened (or vice versa), the IP address of the Diagnosis Client is not displayed correctly.

Driver analysis

zenon driver log all errors in the LOG files.LOG files are text files with a special structure. The default folder for the LOG files is subfolder LOG in the folder ProgramData. For example:

%ProgramData%\COPA-DATA\LOG.

Attention: With the default settings, a driver only logs error information. With the Diagnosis Viewer you can enhance the diagnosis level for most of the drivers to "Debug" and "Deep Debug". With this the driver also logs all other important tasks and events.

In the Diagnosis Viewer you can also:

  • Follow newly-created entries in real time
  • customize the logging settings
  • change the folder in which the LOG files are saved

Note:

  1. The Diagnosis Viewer displays all entries in UTC (coordinated world time) and not in local time.
  2. The Diagnosis Viewer does not display all columns of a LOG file per default. To display more columns activate property Add all columns with entry in the context menu of the column header.
  3. If you only use Error-Logging, the problem description is in the column Error text. For other diagnosis level the description is in the column General text.
  4. For communication problems many drivers also log error numbers which the PLC assigns to them. They are displayed in Error text or Error code or Driver error parameter (1 and 2). Hints on the meaning of error codes can be found in the driver documentation and the protocol/PLC description.
  5. At the end of your test set back the diagnosis level from Debug or Deep Debug. At Debug and Deep Debug there are a great deal of data for logging which are saved to the hard drive and which can influence your system performance. They are still logged even after you close the Diagnosis Viewer.

attention Attention

In Windows CE errors are not logged per default due to performance reasons.

Other topics in this chapter

General

Topology of the diagnosis system

Procedure

Diagnosis Server

Diagnosis Client

Diagnosis Viewer - Analysis Program

Possibilities of Filtering

Reading the log files

Structure of the LOG file

Handling of errors and messages for the Diagnosis Viewer


General

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > General

The zenon Diagnosis System logs error messages from zenon and zenon Analyzer. It consists of three parts:

  • Diagnosis Server: local or defined in zenon6.ini defined zenLogSrv
  • Diagnosis Clients: all modules, drivers, services, etc. which write messages
  • Diagnosis Viewer: Analysis program

Versions

From version zenon 7.00 on the service zenLogSrv is used instead of the zenSysSrv for the diagnosis system. That means:

  • Diagnosis systems up to version 6.51 and from version 7.00 are each compatible among themselves.
  • The diagnosis mechanism of zenon 6.51 SP0 and zenon 7.00 SP0 are not compatible.
Compatibility | Diagnosis Server 6.51 SP0 and earlier | Diagnosis Server 7.00 SP0 and higher
Diagnosis Client 6.51 SP0 and earlier | compatible | incompatible
Diagnosis Viewer 6.51 SP0 and earlier | compatible | incompatible
Diagnosis Client 7.00 SP0 and higher | incompatible | compatible
Diagnosis Viewer 7.00 SP0 and higher | incompatible | compatible

With the Diagnosis Viewerversion 7.00 SP0 and higher you can open log files which were created by Diagnosis Server version 6.51 SP0 (or earlier). It does not work the other way round.

Default ports

  • Version 7 and higher: 50780 (port of service zenLogSrv)
  • up to 6.51: 1101 (port of service zenSysSrv)

If the port cannot be opened, the service closes itself.

attention Attention

If the port to which the Diagnosis Viewer should connect is closes, then it is tried to start the local Diagnosis Server. This makes sure that local logging is carried out if no Diagnosis Server is available in the network.

Memory occupancy

Service zenLogSrv buffers log entries until they can be written in the LOG file. If the memory consumptions increases continuously by zenLogSrv, it is an indicator that the LOG file cannot be written.


Topology of the diagnosis system

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Topology of the diagnosis system

The topology of the diagnosis system differs for versions up to 6.51 SP0 and from 7.00 SP0 on.

Topology before zenon 7.00 SP0

The diagram displays all possible connections for which zenSysSrv is responsible. Each arrow represents a network connection between the applications. All applications connect to the zenSysSrv on port 1101 regardless of whether Client and Server are on the same computer or communicate with each other via a network.

  1. The Editor sends log entries, commands and data of the Remote Transport to zenSysSrv. zenSysSrv sends the configuration of the Diagnosis Client (Editor, Runtime, driver, zenon Web Server, zenon Web Client, etc.) and the Remote Transport data to the Editor.
  2. The Diagnosis Viewer sends diagnosis commands, diagnosis configurations and log entries to zenSysSrv. zenSysSrv sends diagnosis data and the Diagnosis Clientconfiguration to the Diagnosis Viewer.
  3. zenSysSrv sends the Diagnosis Client configuration to the Diagnosis Clients. The Diagnosis Clients send log entries to zenSysSrv.

zenSysSrv reacts correspondingly to each incoming message:

  • Log entries are written in log files.
  • Remote Transport commands (start Runtime, write/read back data, etc.) are executed.
  • Diagnosis commands (set Server/Client configuration, start online logging, etc.) are executed.

Topology as of zenon 7.00 SP0

The diagram displays all possible connections for which zenSysSrv and zenLogSrv (as of version 7.00 SP0) are responsible. Each arrow represents a network connection between the applications. All applications connect to zenLogSrv on port 50780. The editor connects to zenSysSrv on port 1101. It is regardless of whether Client and Server are on the same computer or communicate with each other via a network.

  1. The Editor sends commands and data of the Remote Transport to zenSysSrv. zenSysSrv sends data of the Remote Transport to the Editor.
  2. The Editors send log entries to zenLogSrv. zenLogSrv sends the Diagnosis Client configuration to the Editor.
  3. The Diagnosis Viewer sends diagnosis commands, diagnosis configurations and log entries to zenLogSrv. zenLogSrv sends diagnosis data and the Diagnosis Client configuration to the Diagnosis Viewer.
  4. The zenSysSrv sends LOG entries to zenLogSrv. zenLogSrv sends the configuration of the Diagnosis Clients to zenSysSrv.
  5. zenLogSrv sends the configuration of the Diagnosis Clients to the Diagnosis Clients. Diagnosis Clients send log entries to zenLogSrv.

The zenSysSrv reacts to incoming Remote Transport commands.
The zenLogSrv reacts to incoming diagnosis commands and log entries

Example

IN an environment with a central Diagnosis Server the Runtime is started on a device. Based on the Runtime version the configuration is read from zenon6.ini. Versions before 7.00 SP0 read entry LOG_CONFIG from [SYS_REMOTE], later versions read this entry from [LOGGING_SYSTEM]. This configuration is used to establish a diagnosis connection. (For details see Standard procedure.) Each additional component loaded by the Runtime (driver, zenNetSrv, etc.) also establish a diagnosis connection.


Procedure

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Procedure

As default only error messages (errors) are sent from the Clients to the Diagnosis Server.

The Diagnosis Server saves the received messages in TXT files with a special structure. The default folder for the LOG files is subfolder LOG in the folder %ProgramData%. For example: %ProgramData%\COPA-DATA\LOG.
You can find further information in the installation and updates manual in the File structure chapter.

Note: Under Windows CE error messages are also not created per default due to resource issues.

In order to report not only error messages to the Diagnosis Server but also other information important for the diagnosis, the according settings have to be defined for the Client.

You can also configure the behavior of the Server.

Configuration

The configuration of the connection is done in zenon6.inI divided in:

  • Diagnosis Clients
  • Diagnosis Server
  • Versions to make sure that the configuration of the versions does not affect each other

The configuration of the Diagnosis Viewer also enables you to configure settings for the connection:

  • Settings of the server
  • Connection setting for Diagnosis Server connection
  • Diagnosis Client
  • Diagnosis Viewer - Analysis program

We recommend to do the configuration of the connection for Server and Client via zenon6.ini.

Procedure

The Diagnosis Server is:

  • a service at the PC.
    The service starts automatically when the operating system boots. The local service can only be started once.
  • an application under CE.
    Under CE only one process can use the port. Additionally started processes terminate themselves as the port cannot be opened. If the local configuration of the Diagnosis Servers is set under CE in such a way that only the user interface is displayed (INIT=2), several processes could emerge by the Diagnosis Clients trying to start the local Diagnosis Server

As soon as a Diagnosis Client gets active, the following steps are carried out:

  1. The Diagnosis Client reads and uses the configuration from zenon6.ini. If no configuration is available in zenon6.ini, the default configuration (Diagnosis Server=localhost:50780) is used.
  2. The Diagnosis Client attempts to establish a connection to the Diagnosis Server:

    Establishing successful:

    1. The diagnosis connection has been established and the log entries are sent.

    Establishing failed:

    1. The Diagnosis Client tries to start and use the local Diagnosis Server.
      On a PC it tries to start the service.
      Under CE it tries to create the process.
    2. The Diagnosis Client attempts to establish a connection to the local Diagnosis Server. If it succeeds, the diagnosis connection is established and the log entries are sent.

    If it fails, no log entries are created.

Other topics in this chapter

Entries in zenon6.ini

Windows CE


Entries in zenon6.ini

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Procedure > Entries in zenon6.ini

zenSysSrv and zenLogSrv are configured in zenon6.ini. At this it is differentiated between version 7.00 and up and versions 6.51 and earlier. With this you can configure old and new Diagnosis Clients and Diagnosis Server independent of each other on one device. For example, the LOG entries of old Diagnosis Clients are diverted, without the LOG entries of new clients being affected.

Diagnosis Server before Version 7.00 SP0

INI entry

Description

[SYS_REMOTE]

Section in zenon6.ini.

Contains parameters for zenSysSrv (Remote Transport and Diagnosis Server).

LOGDirectory=

Defines folder for the LOG files.

If there is no entry, the LOG folder in the %ProgramData% folder is used by default.

Example:
LOGDirectory= %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Configuration string for the Diagnosis Server and zenSysSrv . Remote Transport and the diagnosis system use the same server configuration up to and including version 6.51 SP0. The string consists of the following parts: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: Sets the communication type used.
    TCP/IP and serial are available.
  • HOST: is set to the computer name of the Diagnosis Server.
  • PORT: specifies the port to be used.
  • TIMEOUT: specifies the timeout time for the connection is seconds.
  • BAUD: specifies the connection speed of a serial connection.

PC configuration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

CE configuration:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Defines minimum memory (in MB) that must be available on the hard drive. LOG files are deleted before this value is gone below.

Default: 1024

LOGMaxUsedDiskSpace=

Defines the maximum memory on the hard drive in MB used for LOG files. LOG files are deleted if this value is exceeded.

Default: 1024

LOGMinUsedDiskSpace=

Defines memory on the hard drive (in MB) that is used even if there are no LOG files.

Default: 5

LOGLogLifeTime=

Defines the lifecycle of the LOG files in seconds. Older LOG files are deleted.

Default: 1209600 (corresponds to 14 days)

LOGImageCnt=

Defines the number of LOG entries, after which all incremental LOG files are written.

  • 0: inactive (default)

LOGLogUpdateTime=

Number of milliseconds, after which the LOG entries received are written to a LOG file.

Default: 2000

LOGMaxBufferedRecs=

Defines the number of LOG entries that are buffered if they cannot be written to files.

Default: 10240

LOGMaxLogFileSize=

Maximal size of a log file in bytes. If a log file reaches this size, it is closed and a new log file is created.

Default: 5242880 (corresponds to 5 MB)

LOGCheckDiskTime=

Defines the interval in seconds, in which the memory occupied by LOG files is checked.

Default: 60

INIT=

Action when starting the application with Windows CE:

  • 0: end immediately
  • 1 (or other value greater than 2): Open listening port in minimize to system tray
  • 2: only display surface

Default: 1

Note: As part of the separation of zenSysServ and zenLogServ for zenon 7.00, this default value was also changed for other versions. The default value was previously 2.

Diagnosis Server from Version 7.00 SP0

INI entry

Description

[LOGGING_SYSTEM]

Section in zenon6.ini.

Contains parameters for Diagnosis Server. Only affects zenLogSrv and has no effect on zenSysSrv.

LOGDirectory=

Defines the folder for the LOG files.

If there is no entry, the following is used:

  • The path extracted from the Registry,
    e.g. %ProgramData%\COPA-DATA\LOG
  • the LOG folder in the %ProgramData% folder of the zenLogSrv, if no path is defined in the registry,
    e. B. %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Configuration string for the Diagnosis Server. The string consists of the following parts: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: sets the communication type used and must always be set to TCP/IP
  • HOST: is set to the computer name of the Diagnosis Server.
  • PORT: specifies the port to be used.
  • TIMEOUT: specifies the timeout time for the connection is seconds.

Configuration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Defines minimum memory (in MB) that must be available on the hard drive. LOG files are deleted before this value is gone below.

Default: 1024

LOGMaxUsedDiskSpace=

Defines the maximum memory on the hard drive in MB used for LOG files. LOG files are deleted if this value is exceeded.

Default: 1024

LOGMinUsedDiskSpace=

Defines memory on the hard drive (in MB) that is used even if there are no LOG files.

Default: 5

LOGLogLifeTime=

Defines the lifecycle of the LOG files in seconds. Older LOG files are deleted.

Default: 1209600 (corresponds to 14 days)

LOGImageCnt=

Defines the number of LOG entries, after which all incremental LOG files are written.

Default: 0

LOGLogUpdateTime=

Number of milliseconds, after which the LOG entries received are written to a LOG file.

Default: 2000

LOGMaxBufferedRecs=

Defines the number of LOG entries that are buffered if they cannot be written to files.

Default: 10240

LOGMaxLogFileSize=

Maximal size of a log file in bytes. If a log file reaches this size, it is closed and a new log file is created.

Default: 5242880 (corresponds to 5 MB)

LOGCheckDiskTime=

Defines the interval in seconds, in which the memory occupied by LOG files is checked.

Default: 60

INIT=

Action when starting the application with Windows CE:

  • 0: end immediately
  • 1 (or other value greater than 2): Open listening port in minimize to system tray
  • 2: only display surface

Default: 1

Diagnosis Client before Version 7.00 SP0:

INI entry

Description

[SYS_REMOTE]

Section in zenon6.ini.

Contains parameters for Diagnosis Client.

LOG_CONFIG=

A configuration string for the Diagnosis Client is stored here. The string consists of the following parts: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: sets the communication type used and must always be set to TCP/IP
  • HOST: is set to the computer name of the Diagnosis Server.
  • PORT: specifies the port to be used.
  • TIMEOUT: specifies the timeout time for the connection is seconds.

Configuration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client from Version 7.00 SP0

INI entry

Description

[LOGGING_SYSTEM]

Section in zenon6.ini.

Contains parameters for Diagnosis Client.

LOG_CONFIG=

A configuration string for the Diagnosis Client is stored here. The string consists of the following parts:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: sets the communication type used and must always be set to TCP/IP
  • HOST: is set to the computer name of the Diagnosis Server.
  • PORT: specifies the port to be used.
  • TIMEOUT: specifies the timeout time for the connection is seconds.

Configuration:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Note:

INIT under CE

Under Windows CE we urgently recommend to not set entry INIT= (in section [LOGGING_SYSTEM] or [SYS_REMOTE]) to value 2.

Reason: The value 2 means that both SysSrvCE and LogSrvCE only display the user interface and do not open the listening port.
If now a Diagnosis Client wants to establish a connection, it will fail. As in this case the Diagnosis Client start process LogSrvCE and the process does not open the port, each Diagnosis Client starts such a process. This leads to several parallel LogSrvCE processes and to a delay in starting the Diagnosis Clients as it waits for the timeout of the connection while establishing the diagnosis connection.

zenLogSrv on a system with different versions

If zenLogSrv is used on a system with different versions as a central local Diagnosis Server, the entry LOG_CONFIG in the [SYS_REMOTE] must be as follows:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Reason: Older clients then use zenLogSrv as the Diagnosis Server. New clients do this automatically. This service is switched on automatically on the PC when the system is started; it must be started manually with CE.

Attention: If the port cannot be reached, older clients start zenSysSrv and retry connecting to it.


Windows CE

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Procedure > Windows CE

Under Windows CE the Diagnosis Server is started as an application.

At the configuration of the connection consider the recommendation for parameter INIT:

Under Windows CE we urgently recommend to not set entry INIT= (in section [LOGGING_SYSTEM] or [SYS_REMOTE]) to value 2.

Reason: The value 2 means that both SysSrvCE and LogSrvCE only display the user interface and do not open the listening port.
If now a Diagnosis Client wants to establish a connection, it will fail. As in this case the Diagnosis Client start process LogSrvCE and the process does not open the port, each Diagnosis Client starts such a process. This leads to several parallel LogSrvCE processes and to a delay in starting the Diagnosis Clients as it waits for the timeout of the connection while establishing the diagnosis connection.

User interface under CE

Transport Service (zenSysSrv)

Parameter

Description

Start

Opens the Listening port and enables zenSysSrv to receive Remote Transport commands.

Browse

Opens the dialog for browsing the file system.

Stop

Terminates the receiving of Remote Transport commands and closes the Listening port.

Configuration

Selection of an existing server configuration from drop-down list. New connections cannot be configured. See section Entries in zenon6.ini for the configuration of the connection.
Available are:

  • Configuration from zenon6.ini
  • Default configuration for TCP/IP
  • Default configuration for COM1 to COM4

Hide

Minimizes the user interface into the task bar.

Exit

Terminates the application and closes the Listening port if necessary.

X
(button top right)

Minimizes the user interface into the task bar.

Logging Service (zenLogSrv)

Parameter

Description

Start

Opens the Listening port and enables zenLogSrv to receive log entries.

Stop

Terminates the receiving of log entries and closes the Listening port.

Configuration

Selection of an existing configuration from drop-down list. New connections cannot be configured. See section Entries in zenon6.ini for the configuration of the connection.
Available are:

  • Configuration from zenon6.ini
  • Default configuration for TCP/IP

Hide

Minimizes the user interface into the task bar.

Exit

Terminates the application and closes the Listening port if necessary.

X
(button top right)

Minimizes the user interface into the task bar.


Diagnosis Server

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Diagnosis Server

The Diagnosis Server:

  • Creates and manages log files.
  • The Server is:
    • implemented from zenon 7.00 on as zenLogSrv
    • up until zenon 6.51 integrated in the zenSysSrv.
  • The configuration of the server is read from the zenon6.ini.
  • The server writes the received log data into the log file.
  • The saving location for the files has to be configured. Standard: %ProgramData%\COPA-DATA\LOG\
  • Log files are named after the following fashion LOG<YYMMTThhmmss>.txt.
  • The server is multi client able. Several evaluations can connect to the server simultaneously.
  • It is possible to connect to the server online, to see the current logging messages.
  • It is possible to connect to Diagnosis Server different than the local and to execute the same tasks (configuring server, configuring clients, online logging) as on the local server.
  • The parameters of the current server (with which the Diagnosis Viewer is connected) can be modified. If a modification of another Diagnosis Server is needed, the server connection can be changed in the menu under File – Connect to…. .
  • The menu entry Settings – Server configuration is only available, if online logging is not used at the moment.

Other topics in this chapter

System integrity monitoring

Settings of the server


System integrity monitoring

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Diagnosis Server > System integrity monitoring

At the start of the Runtime a monitoring thread with high priority is also started. The monitoring thread checks critical parameters every ten seconds and writes corresponding warnings or errors in module Supervisor of the Diagnosis Server.

The following parameters are monitored.

Parameters | Limit
Warning threshold for used handles | > 5000
Error threshold for used handles | > 9000
Warning threshold for used GDI objects | > 5000
Error threshold for used GDI objects | > 9000
Warning threshold for CPU use for the main thread | > 70 %
Error threshold for CPU use for the main thread | > 90 %
Warning threshold for total CPU use | > 70 %
Warning threshold for total CPU use | > 90 %
Warning threshold for free main memory | < 30 %
Error threshold for free main memory | < 10 %
Warning threshold for OnTimer in the main frame | > 1000 ms
Error threshold for OnTimer in the main frame | > 5000 ms


Settings of the server

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Diagnosis Server > Settings of the server

The Diagnosis Server can be configured via entries in file zenon6.ini or via dialog Server configuration in the Diagnosis Client. We recommend to do the settings in file zenon6.ini.

Configuration via zenon6.ini

See section Entries in zenon6.ini.

Configuration via dialog

To configure the Diagnosis Server via the dialog:

  1. start the Diagnosis Viewer
  2. open entry File Connect to....
  3. configure the desired Server
    (Take care of the correct port selection depending on the version!)
  4. open entry Settings -> Server configuration
  5. configure the events which should be logged
  6. Close the dialog by clicking on OK.

Note: All changes are written to zenon6.ini when the dialog is confirmed.

Configuration of the events which should be logged by the Diagnosis Viewer:

Parameters | Description
Modules | Selection of the modules which you want to configure.
Messagelevel | Selection of the events which should be logged. Default: Errors
LOGImageCnt | Number of records, after which all incremental fields will be written. Default: 0 (not active)
LOGMinFreeDiskSpace | It is continuously checked, if less than the configured minimal free disk space is available. The oldest log files are deleted. Minimal free disk space in MB, before log files are deleted. Default: 1024 MB
LOGMaxUsedDiskSpace | Maximal used disk space for the LOG file in MB. Default: 1024 MB
LOGMinUsedDiskSpace | Minimal used disk space in MB independent whether LOGMinFreeDiskSpace is under-run. Default: 5 MB
LOGLogUpdateTime | Time in ms, after which the received entries are saved. Default: 2000 ms
LOGMaxBufferedRecs | The server buffers the contents of all incremental log fields for diverse applications, in order to be able to write images of them into the LOG file. With the start of a log file and after configurable number of log entries a complete image for all addresses is written into the log file. Received data are written to the log files. The entry is done via temporary buffer. It can be configured whether the data should be written immediately or delayed. Number of buffered entries if they cannot be saved. Default: 10240
LOGMaxLogFileSize | The server writes the received log data into the log file. If this log file reaches the configured size, a new file is started. Maximal size of a single log file in bytes. Default: 5 MB
LOGDirectory | Folder in which the log files are written. Default: %ProgramData%\COPA-DATA\LOG\
LOGLogLifeTime | It is continuously checked, if the lifetime of the log files is exceeded. The oldest log files are deleted. Number of seconds to keep the log files. Default: 14 days
LOGCheckDiskTime | Time in sec, in which the used disk space id checked. Default: 60 s
Message level for all modules | Settings are taken over for all modules.
Default values | Restore default settings.
Accept | Take over settings for this module.
Cancel | Discards changes and closes dialog.
OK | Applies changes and closes dialog.


Diagnosis Client

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Diagnosis Client

Each program that creates log entries is a Diagnosis Client. These log entries are sent to the Diagnosis Server via TCP/IP. Server computer and port are read - dependent on the used version - from the local zenon6.ini and contacted. If the connection fails the following procedure is carried out cyclically:

  • If the Diagnosis Server cannot be reached, a attempt to reconnect is made every 500 ms.
  • If no connection could be established after half the timeout time, the system tries to start the service zenSysSrv or zenLogSrv.

The settings are configured via entry LOG_CONFIG= in section [SYS_REMOTE] (up to 6.51) or [LOGGING_SYSTEM] (from 7.00).

Configuration of Diagnosis Client

To configure the Diagnosis Client via the dialog:

  1. Start the Diagnosis Viewer.
  2. Open the entry Settings -> Client configuration
    (only available if logging is inactive)
  3. Highlight a Client.
  4. Click on List of parameters.
  5. The dialog for configuration is opened.
  6. Configure the Client.
  7. Close the dialog by clicking on OK.
  8. Repeat the procedure for other Clients if necessary

Client list

Parameter | Description
Clients | Lists all available Clients.
Refresh | Updates the list of the Clients.
List of parameters | Opens the dialog for configuring the selected Client.
Close | Closes the dialog.

Configure Client

Modules that can be selected:

Module

Description

Modules

Selection of the modules which you want to configure.

The list is made up of default modules and modules dependent on the respective client.

  • General: General messages
  • Net: Network messages
  • Proxy: Messages of the zenon Proxy
  • Db: Message from ZenDbSrv
  • SysSrv: Message from ZenSysSrv
  • Driver: Messages from a driver
  • LOG: Messages from logging
  • SAT: SICAM 230 specific messages

Messagelevel

Type of information which should be logged.

All

Selects all.

None

Deselects all.

Message Level for all Modules

Assigns highlighted message levels to all modules.

Max Buffered records

Number of records to be buffered if no connection to the Diagnosis Server is established.
Default: 256

OK

Applies all changes and closes dialog.

Cancel

Discards all changes and closes the dialog.

Accept

Applies all changes. The dialog remains open.

Default values

Enters the defaults.


Diagnosis Viewer - Analysis Program

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Diagnosis Viewer - Analysis Program

The Diagnosis Viewer is used to display the LOG data. It connects to the Diagnosis Server in order to display data online or read back historic log files. Log files contain not only the log data, additional information which is important for the analysis such as column headings are also saved in them.

To display a log file:

  1. Select File -> Open.
  2. the dialog for selecting a LOG file is opened with focus on the configured default folder
  3. Select the desired file.
  4. The LOG file is displayed

  5. Double click an entry to open the detail view.

Recognizing queue overflow at driver

If messages of a driver are deleted because of queue overflow, the Diagnosis Client and the Diagnosis Server set a marker in the new entry when writing a new entry for all activated modules that older entries were deleted from the queue. The overflow recognitions contained in the opened log files are counted:

Parameter | Description
Column Record version | This column must be part of the column selection. It shows the version of the data record. Version 8x tags overflows.
Counter 82 | 8 refers to overflow, 2 refers to the concerned version of the data record.
Status line queue overflows | If status bar is active, the number of overflows is displayed there.

Note: Not all entries written in the log file are displayed. If a not displayed log data record is tagged with an overflow, it will be displayed at the next visualized data record of this client. If several not displayed entries in a row are tagged with an overflow, the counter in the status bar can deviate from the number of data records with overflow tags.

Other topics in this chapter

Global settings


Global settings

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Diagnosis Viewer - Analysis Program > Global settings

The entries are in the English language.

Parameters

Description

File

Commands in menu File.

Open

Opens dialog for selecting a log file saved in TXT format. Each newly opened log file is displayed in its own window.

Open to active document

Each new log file is added to the active window.

Close

Closes the active window.

Save

Saves the log files of the active window.

Save as

Saves the current view of the active window (e.g. filter settings) to a file to be selected.

Remote Download

Only available, if a connection to a Remote Diagnosis Server exists. Enables the download of logging files of the Remote Server to the local log folder. A subdirectory with the name of the PC is created. Only file, which have changed or which are new, are available.

Connect to

Opens the dialog for the Connection selection.

Online

Activates the online error view.
If online logging is started, all incoming entries are displayed. The same filter dialog as for reading files can also be set here.

Difference: If no log connection is selected, all incoming log entries will be displayed, otherwise only the ones from the selected clients.

If the filter of the log connection is modified, all entries not fulfilling the filter criteria will be lost. (Logging file nevertheless is created and all entries are saved.) Displayed entries can be saved.

Offline

Deactivates the online error view. (Default)

Exit

Closes the Diagnosis Viewer.

Other topics in this chapter

Connection settings Diagnosis Server connection

Column settings


Connection settings Diagnosis Server connection

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Diagnosis Viewer - Analysis Program > Global settings > Connection settings Diagnosis Server connection

The Diagnosis Viewer automatically connects to a selected default Server at the start. If no default server is defined, localhost is used as default server.
Recommendation: Set up the server configuration using the entries in zenon6.ini.

Select Diagnosis Server

Click on File -> Connect to... to open the dialog to select a server:

Parameter

Description

List Server

Lists all configured Servers and displays them:

  • Status:
    Con: connected server
    Def: Default Server. This is shown on opening.
  • Name
  • Port
  • Timeout

OK

Applies settings and closes the dialog.

Cancel

Discards settings and closes the dialog.

New Server

Opens the dialog for configuring a new Server.

Delete Server

Selected Server entry is deleted from the list.

Edit Server

Opens the dialog for configuring the selected Server.

Connect to

Establishes a connection to the selected Server.

As default

Selected server becomes default server.

Create and edit Diagnosis Server

Click on New Server or Edit Server in dialog Diagnosis Server connection to open the dialog for configuring the Server:

Parameter

Description

Server name

Name of the PC to which to connect.
Each computer can only be entered as a server once.

The following must run on the PC:

  • up to version 6.51: zenSysSrv
  • from version 7.00: zenLogSrv

Port

Port of the service on the target computer:

  • up to version 6.51: 1101
  • from version 7.00 on: 50780

Timeout

Time in seconds to wait for a response from the Sysservice.

Default: 10 s

OK

Applies settings and closes the dialog.

Cancel

Discards settings and closes the dialog.


Column settings

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Diagnosis Viewer - Analysis Program > Global settings > Column settings

You can select the columns that are to be displayed in the menu under Settings -> Column settings. The selection is only applicable for the time period in which the file is opened. Column settings can however be saved as profiles.

Parameters | Description
available | available columns
selected | Columns which are displayed
> | adds columns selected at "available" to "selected"
>> | adds all available columns at "available" to "selected"
< | removes selected columns from "selected"
<< | removes all available columns from "selected"
^ | sorts selected entries one level higher (multi-select is possible)
v | sorts selected entries one level lower (multi-select is possible)
OK | Applies settings and closes the dialog.
Cancel | Discards settings and closes the dialog.

Columns can also be configured via the context menu:

Parameters | Description
Add all columns with entry | Adds all columns which contain entries.
Remove Column | Hides the selected column.
Remove all empty columns | Hides all columns which do not contain entries.
Column width automatic | The width of the selected column is automatically adjusted to the longest entry
All columns widths automatic | The width of all columns is automatically adjusted to the longest entry


Possibilities of Filtering

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Possibilities of Filtering

To define filters open the corresponding filter dialog via the corresponding symbol or the tab of the filter.

Symbol bar filter

To use the symbol bar, you must activate it in menu View via menu item Icon bar.

Symbol | Tool tip | Description
1 | Change pre-filter settings | Opens dialog with five tabs for defining filters.
2 | Change pre-filter for IP-ProcessID-LogID | Opens tab IP address - Process No - Log ID.
3 | Change pre-filter for modules | Opens tab Modules.
4 | Change pre-filter for additional columns | Opens tab Additional columns.
5 | Change pre-filter for time interval | Opens tab Time interval.
6 | Change pre-filter for coloring | Opens tab Colors.

Filter dialog

Tabs | Description
IP-ProcessID-LogID | Opens tab IP address - Process No - Log ID for configuring the connection which should be logged.
Modules | Opens tab Modules for the modules which should be logged.
Additional columns | Opens tab Additional columns for selecting additional columns which should be displayed.
Time interval | Opens tab Time interval for defining time filter.
Colors | Opens tab Colors for selecting the color-coding of information.

Other topics in this chapter

IP address - Process No - Log ID

Modules

Additional columns

Time interval

Colors


IP address - Process No - Log ID

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Possibilities of Filtering > IP address - Process No - Log ID

Configuration of the connections and processes which should be displayed.

Parameters | Description
available | List of available connections.
selected | List of selected connections.
Pfeiltasten | Add selected (>) or all (>>) connections to list selected or removes them from the list (< or <<).
OK | Applies all changes on all tabs and closes the dialog.
Abbrechen | Discards all changes on all tabs and closes the dialog.


Modules

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Possibilities of Filtering > Modules

Selection of the modules which should be displayed.

Parameters | Description
Module filter active | Active: It is filtered on modules. With this only LOG data records are displayed which are assigned to a selected module.
available | Available modules.
selected | Selected modules.
Cursor keys | Add selected (>) or all (>>) connections to list selected or removes them from the list (< or <<).
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.


Additional columns

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Possibilities of Filtering > Additional columns

Selection of the columns which should be displayed additionally.

Parameters | Description
available | List of the available columns. All field definitions existing in the file are displayed.
selected | List of the selected columns.
Cursor keys | Add selected (>) or all (>>) connections to list selected or removes them from the list (< or <<).
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.


Time interval

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Possibilities of Filtering > Time interval

Configuration of the time filter for displaying the entries.

Parameter | Description
Start time: | Selection of the date and point in time from which entries should be displayed. Default: actual date
End time: | Selection of the date and point in time up to which entries should be displayed. Default: actual date
Reset time interval | Sets filter back to default.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.


Colors

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Possibilities of Filtering > Colors

Selection of the color display of the information.

Parameters | Description
Colors for: | Selection of the color
IP address | Active: Different IP addresses are colored differently.
Modules | Active: Different modules are colored differently.
Log connection | Active: Different names of the log connection are colored differently.
no colors | Active: Entries are not colored.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.


Reading the log files

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Reading the log files

One or more log files can be opened in an analysis at the same time. A pre-filter has to be set to limit the display. This is possible with five property pages. This filter can be modifies later on. If the filter is set, only the entries fulfilling these filter criteria are displayed. The entries are listed chronologically.

Filter columns

Another filter possibility is available with the filter columns. Filter criteria can be entered for each column in the input field below the column header. The fields support Regular Expressions, so that also complex filter criteria can be defined. The list can be sorted ascending or descending by clicking the column headers. Displayed entries can be saved. Fields to be displayed can be selected using the Settings -> Column settings menu entry.

Default fields in the LOG file:

ID | Parameter | Description
i | IP address | IP address. These fields identify the clients and allow the message to be assigned.
i | Log ID | entry ID These fields identify the clients and allow the message to be assigned.
i | Message Level | Name of the message level for which the message was entered.
i | Module | Name of the module, which entered the message.
i | Process ID | ID of the project. These fields identify the clients and allow the message to be assigned.
i | Record type | Type of entry.
i | Record version | Version number of the entry.
i | Thread ID | ID of the thread, from which the message was entered.
i | Timestamp | Time of the message in UTC.

Optional fields with fix ID.

ID | Constant | Description
1 | Name of log connection | Name of logging connection
2 | Thread name | Name of the threads.
3 | Name of source files | Name of the source file.
4 | Source line | Source line
5 | Assert condition | Assert condition
6 | Computer name | Computer name
7 | Function name | Function name
8 | Project name | Project name
9 | Project GUID | GUID of the project.
10 | Project path | Project path
11 | Sent Data | Sent data
12 | Received data | Received data
13 | no. serial interface | Number of the serial interface.
14 | Baudrate | Baud rate
15 | dtr setting | DTR setting.
16 | rts setting | RTS setting.
17 | Serial char. length | Serial character length
18 | Parity | Parity
19 | No. stopbits | Number of stop bits
20 | CTS | CTS.
21 | dsr | DSR.
22 | dsr sensitivity | DSR sensitivity.
23 | Network port no. | Port number in the network.
24 | Server name | Server name.
25 | Standby name | Name of standby server
26 | Client name | Client name.
27 | Server IP | IP address server.
28 | Standby IP | IP address standby.
29 | Client IP | IP address client.
30 | Binary buffer | Binary buffer.
31 | Pointer | Pointer
32 | Class name | Class name
33 | Error code | Error code:
34 | DLL instance handle | DLL instance handle
35 | DLL name | DLL name
36 | Driver error parameter 1 | Driver error parameter 1
37 | Driver error parameter 2 | Driver error parameter 2
38 | Trace Message | Trace message
39 | Errortext | Error text
40 | Error file name | Name of error file.
41 | Success condition | Condition for success
42 | Value if successful | Value when successful
43 | Net adress | Net address:
44 | Datablock | Data block.
45 | Offset | Offset:
46 | Bit number | Bit number
47 | Area in PLC | Area in the PLC.
48 | Communication direction | Shows the direction of the communication in a string.
49 | General text | General text
50 | Main version no. | Number of main version.
51 | Sub version no. | Number of sub-version.
52 | Build no. | Build number.
53 | Servicepack | Service Pack.
54 | Hotfix no. | Hotfix number
55 | Sending client | Client, which sent the command
56 | Target client for command | Client that is the target of the command.
57 | Database no. | Number of database.
58 | Datapoint no. | Datapoint number (channel number)
59 | Datapoint value | Value of datapoint
60 | Datapoint status | Status of datapoint
61 | Datapoint timestamp | Time stamp of datapoint in seconds
62 | Duration in ms | Error wait time in milliseconds.
63 | Number, counter | number, counter.


Structure of the LOG file

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Structure of the LOG file

Log files are ANSI text files. The individual fields are separated using tab characters. CR+LF is used as an end character. This data can be opened in Notepad as a result.

Log file get the information sequentially, not sorted chronologically.

Other topics in this chapter

Message levels

Search function

Profiles


Message levels

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Structure of the LOG file > Message levels

Eight groups can be selected to divide the log messages. These are bit coded and can thus also be combined.

1 | Error message
2 | Warnings
4 | Success messages
8 | TRACE
16 | ASSERT
32 | LOG messages
64 | Debug
128 | Extended Debug


Search function

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Structure of the LOG file > Search function

With View/Find the current window can be searched. All hits are marked.


Profiles

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Structure of the LOG file > Profiles

Column settings can be saved as profiles.

To save profiles:

  1. Enter a name into the filed in the toolbar.
  2. Click on the symbol with the disk.

To load profiles:

  1. Select a saved profile from the drop-down list.
  2. Click on the symbol with the disk.

The profiles are saved as a *.lvs file.


Handling of errors and messages for the Diagnosis Viewer

zenon Analyzer > Report Launcher > Error logging > Diagnosis Viewer > Handling of errors and messages for the Diagnosis Viewer

Error

Error

Possible causes

The port cannot be opened.
  • Another application uses the port.
    Check via "netstat".
  • The ports for entries
    [SYS_REMOTE] CONFIG and
    [LOGGING_SYSTEM] CONFIG
    are identical. zenLogSrv and zenSysSrv then try to open the same port.

Diagnosis Clients do not start the zenLogSrv
  • zenAdminSrv was ended. Without it the service cannot be started.
  • zenLogSrv is not registered as a service at the PC. In this case enter the following in the command line: zenLogSrv.exe –Service
  • Diagnosis Clients are not of version 7.00 SP0 or higher. The zenLogSrv is only supported from this version on.
  • Under Windows CE: The individual components (Runtime, SysSrvCE, LogSrvCE) are located in different folders. They must be located in the same folder. Otherwise the components do not find one another.

Under CE many processes are created by SysSrvCE.exe or LogSrvCE.exe.
  • One of the two entries in zenon6.ini
    [SYS_REMOTE] INIT or
    [LOGGING_SYSTEM] INIT
    has the value 2.
    As a result the application only displays the user interface and does not open the Listening port. Each Diagnosis Client then tries to start the process as it cannot connect to the Diagnosis Server.

Several processes crash.

(Unhandled Exceptions of the Diagnosis Server at receiving log messages or configuration commands or of the Diagnosis Client and Diagnosis Viewer during booting or during receiving the configuration)
  • The versions do not match. Diagnosis Clients, Diagnosis Server and Diagnosis Viewer must either all have version 7.00 SP0 or higher or all version 6.51 SP0 or earlier (see Compatibility).

LOG entries

Entry

Description

SysSrv received not supported network message!

zenSysSrv received a network telegram which is not supported. Example: Log entries.

LogSrv received not supported network message!

zenLogSrv received a network telegram which is not supported. Example: Remote Transport commands

Could not open listening port. Server will be stopped.

The zenLogSrv or the zenSysSrv could not open its Listening port. The error message is logged as follows:

  • zenLogSrv and zenSysSrv on the PC:
    Entry in the Windows event display.
  • zenSysSrv under CE:
    Message box for the user and log entry to the Diagnosis Server.
  • zenLogSrv under CE:
    Message box for the user.

The following log entries are assigned to different systems. The first part of the messages states whether service or Client are effected:

  • SysSrv: zenSysSrv
  • SysCli: Client for zenSysSrv
  • LogSrv: zenLogSrv
  • LogCli: Diagnosis Client
Entry | Description
[SysSrv/LogSrv/SysCli/LogCli] Info InitString [String] | A network connection has been initialized with the displayed configuration string. Server opens ports and Clients connect to the Server.
[SysSrv/LogSrv/SysCli/LogCli] WINSOCK ERROR | An exception occurred during a network operation. The details are also displayed.
[SysSrv/LogSrv] Accept Failed! | An incoming connection from a Client could not be accepted.
[SysSrv/LogSrv/SysCli/ LogCli] Write Faild | Not all data which should be sent could be sent. The number of the sent bytes and the number of the bytes which should be sent is displayed.
[SysSrv/LogSrv] Client [String] in List Delete! | The Client log off from the Server.
[SysSrv/LogSrv] Client [String] in List Insert | The Client log on to the Server.


Error messages, zenon Analyzer general

zenon Analyzer > Report Launcher > Error logging > Error messages, zenon Analyzer general

Report Launcher

General

Message | Description
Javascript error message: Error 500 | Possible cause: Variable name contains two or more consecutive spaces.

Report Launcher LOG

Entry

Level

Description

Application_Error: [Fehlerinformationen]

ERRORS

An error has triggered the ASP.Net application error event.

Report Launcher Application Start

DEBUG

The ASP.Net web application is being started up.

Application_AuthenticateRequest: User=[Benutzername], HTTP Method=[HTTP-Methode], URL=[URL]

DEEPDEBUG

An authentication query was received.

Application_BeginRequest: User=[Benutzername], HTTP Method=[HTTP-Methode], URL=[URL]

DEEPDEBUG

An HTTP query was received.

Application_EndRequest: User=[Benutzername], HTTP Method=[HTTP-Methode], URL=[URL]

DEEPDEBUG

An HTTP query was handled.

TRACE for [Komponente]: [Meldung]

Depending on the trace level:

  • ALL
  • ERRORS
  • WARNINGS
  • DEBUG
  • DEEPDebug

A trace message was received.

WebService method „[Methode]" called with [Parameterliste]

DEEPDEBUG

A WebService method of the Reporting Services Web Service end points is being called up.

WebService method „[Methode]" returned [Rückgabewert]

DEEPDEBUG

A WebService method of the Reporting Services Web Service end points has provided a return value.

WebService method „[Methode]" returned [Rückgabewert] and set [Output-Parameterliste]

DEEPDEBUG

A WebService method of the Reporting Services Web Service end points has provided a return value and set an output parameter.

Eventlog entry for [Eventlog-ID]: [Meldung]

Depending on the event log type:

  • ERRORS
  • WARNINGS
  • DEBUG
  • DEEPDebug

An event log message was received.

Exception caught in method „[Methodenname]" of type „[Klasenname inklusive Namespace]": [Exception-Dump]

ERRORS

An exception was caught.

ZAMS

All messages of the output window are sent to the zenLogSrv.

Connector container

All message box messages that lead to the zrsConnector.exe process being ended are logged as ERRORS. In addition, the following messages are saved:

Entry | Level | Description
The logging connection could not be established! | ERRORS | Log connection could not be established.
The logging functions could not be loaded! | ERRORS | The necessary functions could not be loaded from the DLLs.
The logging helper DLL could not be loaded! | ERRORS | The necessary DLLs could not be loaded.
Client [IP-Adresse & Port] [accepted/processed] | DEBUG | Client connection was accepted or handled.
Using connector version [Version] | DEBUG | Version number was set for a query.
The required connector „[Connector]" could not be loaded. Errorcode=[HEX-Fehlercode], Errortext=[Fehlertext] | ERRORS | The requested connector could not be loaded.
The required connector „[Connector]" has been loaded. | DEBUG | The requested connector was loaded.
zenonV6: Query for [Anfragetyp] received | DEBUG | Receive query.
zenonV6: Query for [Anfragetyp] resulted in error. Errorcode=[HEX-Fehlercode], Errortext=[Fehlertext] | ERRORS | Query has triggered an error.
zenonV6: Query for [Anfragetyp] processed | DEBUG | Query has been handled successfully.
zenonV6: Query shift is not supported | ERRORS | Query not supported.
zenonV6: Query type is not supported | ERRORS | Query not supported.

zrsLicSrv

All entries that were previously sent to EventLog are logged. ERRORS are only sent to EventLog, unless EXTENDEDLOG is set in zenAnalyzer.ini. This flag has no effect on the sending of messages to the zenLogSrv.

Entry | Level | Description
Client [IP-Adresse & Port] [accepted/processed] | DEBUG | Client connection was accepted or handled.
The logging connection could not be established! | ERRORS | Log connection could not be established
The logging functions could not be loaded! | ERRORS | The necessary functions could not be loaded from the DLLs.
The logging helper DLL could not be loaded! | ERRORS | The necessary DLLs could not be loaded.
Command [Kommando mit Parametern] has been processed. | DEBUG | A query was processed. (this message is written by every query type)
Deprecated command [Kommando mit Parametern] has been processed. | DEBUG | An obsolete inquiry was received and responded to with "negative" (always negative, because it is an obsolete inquiry).

zrsProvider

The following new log messages have been added:

Entry | Level | Description
The cryptographic service provider could not be initialized! | ERRORS | Provider for hash could not be initialized
Reading the hash data failed! | ERRORS | Reading of hash data failed.
The data could not be hashed! | ERRORS | Data hashing failed.
The hash object could not be created! | ERRORS | Hash object could not be created.
The cryptographic service provider is not usable! | ERRORS | Provider for hash cannot be used.
Domain [Name] released. | DEBUG | Domain approved
Reading data for [domain/project] [Name]. | DEBUG | Start of loading of data for the domain or project
Datasource could not be opened. Errorcode=[HEX-Fehlercode] | ERRORS | Data source could not be opened.
Session not be opened. Errorcode=[HEX-Fehlercode] | ERRORS | Session could not be opened.
[Anzahl] [Objekttyp] read. | DEBUG | Read object data from database.
[Objekttype] data could not be read. Errorcode=[HEX-Fehlercode] | ERRORS | Object data could not be read from the database.
Reading data for [domain/project] [Name] completed. | DEBUG | Loading of data for domain or project completed.
The logging connection could not be established! | ERRORS | Log connection could not be established
The logging functions could not be loaded! | ERRORS | The necessary functions could not be loaded from the DLLs.
The logging helper DLL could not be loaded! | ERRORS | The necessary DLLs could not be loaded.
Socket could not be created. Errorcode=[Fehlercode] | ERRORS | The network connection could not be opened.
Both server and standby server for the project could not be reached. | ERRORS | A connection could not be established to either the Server or the Standby (if defined).
Connecting to [IP-Adresse & Port] | DEBUG | Connection establishment
Connecting to [IP-Adresse & Port] failed | ERRORS | Connection Failed
There was no response to the initialization request. | ERRORS | Initialization query remained unanswered.
Using connector version [Version] | DEBUG | Connection version handled.
There was no response to the query. | ERRORS | Query remained unanswered.
Query [Anfragetyp]: [Parameterliste] | DEBUG | Receive query.
Invalid call: [Fehlerinformation] | ERRORS | Invalid query.
Connector error: [Fehlerinformation] | ERRORS | Error during communication with the connector container or the connector container has reported an error when editing the query.
Unexpected connector error: [Fehlerinformation] | ERRORS | An exception has occurred.
Query [Anfragetyp] processed: [Anzahl] result rows returned. | DEBUG | Query completed successfully and data restored.


Analyzer Wizards

zenon Analyzer > Analyzer Wizards

The zenon Analyzer has wizards that support correct setting of parameters for the SCADA system and the export of data from the SCADA system. The zenon SCADA system is currently supported.

Wizards:

  • Export Wizard for Analyzer 2.10: Supports the export of metadata from zenon for the zenon Analyzer, version 2.10.
  • Export Wizard for Analyzer 2.20: Supports the export of metadata from zenon for the zenon Analyzer, version 2.20.
  • Export Wizard for Analyzer 3.00: Supports the export of metadata from zenon for the zenon Analyzer, version 3.00.
  • Export Wizard for Analyzer 3.10: Supports the export of metadata from zenon for the zenon Analyzer, version 3.10.
  • Meaning and Waterfall Chart Wizard: Helps you prepare a zenon project for the processing of variable information in zenon Analyzer.
  • Sankey Wizard: supports you when creating Sankey diagrams that you can see in the Runtime or which are used in zenon Analyzer.

The wizards for zenon Analyzer are automatically installed when installing zenon 7.20. The Analyzer Export Wizard has its own DLL. Meaning and Waterfall Chart Wizard and Sankey Wizard share a DLL. Installation and maintenance thus differ from other zenon wizards. Analyzer wizards are automatically kept up to date with the updates from zenon from version 7.20. The update can, if required, also be carried out manually via the build file contained in the zenon Analyzer installation medium for zenon from version 7.10. These wizards are not updated by means of the update mechanism of the zenon wizard. For details, see the Installation and Update chapter in the zenon Analyzer manual.

Syntax for inputs in zenon

Input in in zenon depends on the version of zenon that is used.

Up to zenon 7.11

Up to and including zenon version 7.11, the meaning and waterfall model is entered in the zenon Resources label property. These can contain meanings for several categories.

The following is applicable to entries in the resource label property:

  • Categories are separated by a semicolon (;).
  • Areas within a category are separated by a comma (,).
  • Categories are marked by an index:
    • ME=: Identifies a (Meaning).
      Syntax: ME=[main meaning as text],[additional meaning as text],[additional meaning as text],…;
      Example: ME=Station_1,Station_2;
    • WF=: Identifies a variable for the waterfall display.
      Syntax: WF=[model name text],[line index INT],[index in column INT],[color code as text #XXXXXX];
    • Every other entry is also understood as a Meaning

Complete syntax for the Resources label property: ME=[meaning1],[meaning2],…,[meaningN];WF=[model name],[row index],[index in row],[color code];

Attention: The Resources label property is limited to 256 characters in the zenon Editor.

From zenon 7.20

From zenon 7.20, there are separate properties in zenon for the definition of Meaning and waterfall, as well as the input of a display name. These entries do not need an identification in front of them.

The following properties in the zenon Analyzer variable properties group provide information for reports in the zenon Analyzer:

  • Display name: Entry of a display name of the variable in zenon Analyzer. This must be unique in the project. The check is not carried out when issued in zenon, but when imported into zenon Analyzer. If this property is changed after the first export to a zenon Analyzer, these changes are not applied in the zenon Analyzer.
  • Meaning: Entry of the (Meaning) of a variable in the zenon Analyzer. Entry is manual or by means of the Meaning and Waterfall Chart Wizard. Several meanings are separated by a comma.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameters for waterfall diagram: Parameters of a variable for a waterfall diagram in zenon Analyzer. Entry is manual or by means of the Meaning and Waterfall Chart Wizard. The individual parameters are separated by a comma. Several waterfalls are divided by a semicolon.
    Syntax: [model name],[row index],[index in row],[color code];

Attention: All these input fields are limited to 256 characters in the zenon Editor.

When exporting to zenon Analyzer, both the previous property and the new one are checked. If both are assigned, the entries of the new properties are taken on. Entries that are created using the Meaning and Waterfall Chart Wizard are always entered into the new properties.

Other topics in this chapter

Analyzer Wizards - Compatibility

Export Wizard for Analyzer 2.10

Export Wizard for Analyzer 2.20

Export Wizard for Analyzer 3.00

Export Wizard for Analyzer 3.10 and 3.20

Meaning and Waterfall Chart Wizard

Sankey Wizard


Analyzer Wizards - Compatibility

zenon Analyzer > Analyzer Wizards > Analyzer Wizards - Compatibility

The different wizards are available for the following versions of zenon.

Wizard \ zenon version | 8.00 | 7.60 | 7.50 | 7.20 | 7.11 | 7.10 | 7.00
Meaning and Waterfall Chart Wizard | X | X | X | X | X | X | --
Sankey Wizard | X | X | X | X | X | X | --
Export Wizard for Analyzer 3.10 and 3.20 | X | X | X | X | -- | -- | --
Export Wizard for Analyzer 3.00 | X | X | X | X | X | -- | --
Export Wizard for Analyzer 2.20 | X | X | X | X | X | X | --
Export Wizard for Analyzer 2.10 | X | X | X | X | X | X | X
Export Wizard for Analyzer 2.00 | -- | -- | -- | -- | -- | X | X

Key:

X: supported

--: not supported


Export Wizard for Analyzer 2.10

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10

The zenon Export Wizard for Analyzer 2.10 supports the export of metadata from zenon from version 7.10 SP0 for the zenon Analyzer 2.10.

The following can be exported:

  • Data from the global project
    • Equipment models
    • Alarm/event classes
    • Alarm/event groups
    • User
  • Data from selected projects:
    • Archives
    • Variables

Note: The wizard is only available in English.

Compatibility:

The Analyzer Export Wizard works, depending on the version, with different zenon Analyzer versions and different zenon versions. For details, read the Analyzer wizard compatibility chapter.

Other topics in this chapter

Install and call up wizard

Start window

Configuration

Close wizard


Install and call up wizard

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Install and call up wizard

The wizard is automatically installed with zenon for each supported version of zenon Analyzer.

Starting the wizard

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to the node Analyzer.
  3. Select the Export Wizard for Analyzer 2.10.

  4. Click on OK.

    The wizard starts with the welcome page.


Start window

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Start window

When the wizard is opened, you receive an overview page that lists all exportable objects.

The individual objects are configured for the export on individual tabs.

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration

When exporting with the Analyzer Export Wizard, all modules selected in the Settings tab are offered in sequence for detailed configuration. You get to the next level by clicking on the button with the right arrow. You can select individual tabs directly by clicking on the title of the tab.

The following tabs are available for configuration of the export:

  • Settings:
    Options for collection metadata
  • Equipment model :
    Export of the model groups from the global project
  • Event classes:
    Alarm/Event classes from global project
  • Event Event groups:
    Alarm/event groups from global project
  • Users:
    User from global project
  • Projects:
    Projects from workspace
  • Historian:
    Archives of the selected projects
  • Variables:
    Variables of the selected projects
  • Finish:
    Start of the export and output of the result

Attention: Only one global project can be exported to the database! Workspaces with projects that are to be exported to the database must include this global project.

Other topics in this chapter

Navigation

Settings

Equipment model

Alarm/event classes

Event groups

Users

Projects

Historian

Variables

Finish


Navigation

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration > Navigation

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Button

Description

Arrow left

Goes back one tab in the wizard process.

Arrow right

Goes forward one tab in the wizard process.

Export

Exports the data to the Analyzer database.

Is only active if the Finish tab is opened.

Cancel

Closes the wizard without exporting.

When closing, a dialog asks if the configuration is to be saved

  • Yes: writes the settings configured in the Settings tab to the registry and closes the wizard; the wizard is opened with these settings the next time it is restarted
  • No: closes the wizard without saving the configuration

The configuration is saved for each specific user.

Individual tabs can also be selected by clicking directly on the title of the tab.


Settings

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration > Settings

In this tab:

  1. You define the database to which the wizard connects
  2. You define general options for exporting
  3. You start the data readout

Option

Description

Settings

Information and hints about current export processes.

Database settings

Connection settings to the Analyzer server.

DB host

Computer on which the database is located.

DB instance

Instance of the database.

DB name

Name of the database.

Authentication

Type of authentication:

  • Windows Authentication: Windows login information is used.
  • SQL Server Authentication: Login with data from an SQL server user.

User name

Entry of the user name.

Only for login with SQL Server Authentication. Display only with Windows Authentication.

Password

Entry of the password.

Only for login with SQL Server Authentication. No input possible with Windows Authentication.

Remember password

Password is saved for next connection.

Only for login with SQL Server Authentication. Inactive for Windows Authentication.

Options

General options for the export.

Load every project of this workspace into the memory

Active: Loads all projects present in the workspace, even if they are not active and not set to Keep project in memory.

Keep the exisiting data in the Analyzer database

Active: Only entries from the workspace are written to the database.

Inactive: Entries in the database are also updated or deleted.
Exception: Projects are not deleted

Preselect existing Analyzer database content

Active: Entries already present in the database are preselected in the individual areas.

Load Data

Load Data

Clicking on the button loads, depending on the Load every project of this workspace into the memory parameter - the data from the currently loaded project into the wizard.

In doing so, a check is made to see if data is present in the Analyzer database. Pre-existing data is combined with the data from the workspace and loaded into the wizard. In the event of naming conflicts, a dialog to rectify the error is called up.

If the loading of data has been successfully concluded, the export can be configured in the following tabs.

Rename object

Objects must always be named the same in the Analyzer database and in zenon. If objects that are already present in the database are renamed in zenon, these changes can be accepted or rejected when the data is combined. Rejection of the changes leads to the wizard being closed, because only objects with identical names can be handled correctly.

Dialog for renaming

In the event of conflicts in the naming of objects, a dialog for dealing with the error is opened:

Option

Description

List of amended objects

Contains all objects that were changed. Previous name and new name are displayed. The following renamed objects are displayed in the list:

  • Name of the equipment models
  • Names of the alarm/event classes
  • Names of the alarm/event groups
  • Project name
  • Variable name

Exceptions:

  • Users are always recreated
  • Archive names are only created once in the database as a visual name and can be overwritten in the zenon Analyzer

Rename

Renames all objects listed in the database, closes the dialog and stops reading in data.

Cancel

Leaves the previous name in the database, finishes reading in data and closes the wizard.


Equipment model

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration > Equipment model

Configuration of the model group which should be exported from the global project.

attention Attention

Each equipment group in zenon may only be assigned to one individual time model.

If several time model groups are assigned, the Analyzer Wizard Export uses the first that it finds and exports this to the metadata of the Analyzer. Other time model groups are ignored.

Option

Description

Equipment modeling

Information and notes on exporting.

Selection of equipment/medium

Drop-down list to select what is offered in List of equipment models/media for configuration:

  • Plant: displays equipment models
  • Media: displays media

List of equipment models/media

List field with the possibility to select equipment models and model groups or media. To select an entry, activate the check box in front of the entry.

In the list field the name, as it is stored in the database, is always displayed in the individual nodes. If the name was changed, the original name from the zenon project is displayed in brackets.

Equipment groups that were deleted in the global project are no longer displayed.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Clicking on the button selects all equipment groups

Deselect all

Clicking on the button deselects all equipment groups.


Alarm/event classes

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration > Alarm/event classes

Configuration of the alarm/event classes which should be exported from the global project.

Option

Description

Alarm/event classes

Information and notes on exporting.

List of the alarm/event classes

List field with the possibility to select the alarm/event classes. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Event groups

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration > Event groups

Configuration of the alarm/event groups which should be exported from the global project.

Option

Description

Alarm/event groups

Information and notes on exporting.

List of the alarm/event groups

List field in which you can select alarm/event groups. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Users

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration > Users

Configuration of the user which should be exported from the global project.

Option

Description

Users

Information and notes on exporting.

User List

List field with selection possibility for users. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

If a user was renamed in zenon they are considered new and recreated in the project. The previous user is deleted.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Projects

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration > Projects

Configuration of the local projects which should be exported. The names for the server and standby-server can be changed here. To do this:

  1. Highlight the project in the list of projects
  2. Enter the desired name for the server and standby-server

If the name of the Server or the Standby Server is changed in the zenon project, this is only updated in the Analyzer database if the Network active setting was activated in the project properties.

Option

Description

Projects

Information and notes on exporting.

Project list

List field with selection possibility for projects. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Server

Address of the server for the project selected in the list window.

Standby

Address of the server for the project selected in the list window.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Historian

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration > Historian

Selection of the archive from the selected projects. Only base archives are displayed. Aggregated archives are not displayed in the list, but are also selected with the base archives and written to the database.

Option

Description

Historian

Information and notes on exporting.

Archive list

List field with possibility to select for archives. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Variables

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration > Variables

Configuration of the variables from the local project which should be exported. When selecting variables, the entries offered can be prefiltered.

Option

Description

Variables

Information and notes on exporting.

Variable Filter

Selection of the variable filter using the following option fields:

  • Show all: All variables are displayed.
  • Historians only: Only archive variables are displayed.
  • Equipment groups only: Only variables are displayed which are part of the selected Equipment model.
  • Show not selected only: Only variables that were not selected are displayed.

Filter row

Input of alphanumerical characters according to which the List of variables is to be filtered.

List of variables

List field with possibility to select variables. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Rules for the export of variables with reaction matrices

If linked variables are exported with reaction matrices, the limit value text and the status value of the reaction matrix statuses are also exported to the STATUSNAME table in the metadata database of the Analyzer. Because only certain states can be evaluated in the reports, they must be pre-sorted using the wizard.

The following statuses of the reaction matrices can be exported or excluded:

Rema

Rules

Numeric
  • The default status is ignored.
  • If several statuses with the same status and limit value condition are set, then only the first status and its status text are exported.
  • Only statuses with a value that is equal to a limit value are exported (limit value condition).
  • The limit value conditions greater than, less than, as desired and range are ignored.

Multi numeric
  • Correspond to the rules for numeric.
  • Substatuses are also ignored.

Binary

  • Only statuses that have value bits set consistently from right to left in the bit mask (0 or 1) are set.
    For example:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    The following are ignored, for example
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binary
  • Correspond to the rules for Binary.
  • In addition, substatuses and statuses are also ignored with edge definitions in the bit mask.

String

  • Are completely ignored and not exported.


Finish

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Configuration > Finish

To export the configured data:

  1. In the Finish tab, click on the Export button

  2. the export is started
  3. The exported elements are shown in the output window with the attendant success and error messages
    In addition, the number of objects that have been added, replaced or deleted, and the number of errors that occurred are shown.

  4. Click on Close to close the wizard

Reconfiguring the wizard

To reconfigure the wizard:

  1. Open the Settings tab
  2. click on button Load data
  3. Configure the tabs


Close wizard

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.10 > Close wizard

To close the wizard:

  • Click on the Cancel button
  • a dialog prompts whether the configuration should be saved
    • Clicking on Yes writes the settings configured in the Settings tab to the registry and closes the wizard; the wizard is opened with this configuration next time it is started
    • Click on No closes the wizard and the configuration is not saved.


Export Wizard for Analyzer 2.20

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20

The zenon Analyzer Export Wizard 2.20 supports the export of metadata from zenon from version 7.0 SP0 for the zenon Analyzer 2.20.

The following can be exported:

  • Data from the global project
    • Equipment models
    • Alarm/event classes
    • Alarm/event groups
    • User
  • Data from selected projects:
    • Archives
    • Variables, with:

      - Display name (see visual names section)

      - Meaning (see meaning section)

      - Parameters for waterfall diagram (see parameter waterfall chart section)

  • Sankey diagrams (see Sankey charts section)

Note: The wizard is only available in English.

Compatibility:

The Analyzer Export Wizard works, depending on the version, with different zenon Analyzer versions and different zenon versions. For details, read the Analyzer wizard compatibility chapter.

Other topics in this chapter

Sankey diagrams

Install and call up wizard

Start window

Configuration

Close wizard


Sankey diagrams

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Sankey diagrams

The wizard automatically reads the definition for Sankey diagrams from all activated projects and the global project. These are in the zenon project folder \Files\Others.
For this, the following applies:

  • Only valid XML files that were created for the zenon Analyzer are taken into account.
    Diagrams that have the Analyzer and Valid attributes set to True in the Sankey XML file are valid. All other Sankey diagrams are ignored and not loaded.
  • All Sankey diagram definitions are written to the zenon Analyzer metadata database in the SANKEY_DIAGRAMM, SANKEY_OBJECT and SANKEY_VARIABLE tables.
  • Diagrams are added depending on the setting for the Keep the existing data in the Analyzer database option:
    • Active: Only new diagrams are added to the Analyzer database.
    • Inactive: New diagrams are added and existing diagrams are updated.
  • Diagrams deleted in zenon (XML files) are not deleted in the Analyzer. Diagrams can only be deleted in the database directly in zenon Analyzer.
  • For the adding or updating of diagrams, the following must apply to all required zenon variables:
    • Be selected via the Variables tab
      or
    • already be in the database

    If variables that are required for the Sankey diagram are not selected for export, the Sankey diagram is not exported.

  • If the Sankey diagram already exists, the metadata database tables are updated according to the changes.
  • Clicking on the Export button in the Finish tab starts the export of the Sankey diagrams from zenon in to zenon Analyzer.
    The diagrams are only exported once all other data such as projects or variables have been exported. The success of the export is shown in the message list of the Finish tab.

attention Attention

The import of Sankey diagrams is carried out automatically in the background. There are no user interface or configuration options available.


Install and call up wizard

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Install and call up wizard

The wizard is automatically installed with zenon for each supported version of zenon Analyzer.

Starting the wizard

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to the node Analyzer.
  3. Select the Export Wizard for Analyzer 2.20.

  4. Click on OK.

    The wizard starts with the welcome page.


Start window

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Start window

When the wizard is opened, you receive an overview page that lists all exportable objects.

The individual objects are configured for the export on individual tabs.

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration

When exporting with the Analyzer Export Wizard, all modules available for export are offered for detailed configuration. Only the selected data is exported. The export of Sankey diagrams is carried out in the background, without the possibility of configuration. You get to the next level by clicking on the button with the right arrow. You can also select individual tabs directly by clicking on the title of the tab.

The following tabs are available for configuration of the export:

  • Settings: Options for the export of metadata
  • Equipment models: Export of the equipment groups from the global project
  • Event classes: Alarm/Event classes from global project
  • Event groups: Alarm/event groups from global project
  • Users: User from global project
  • Projects. Projects from workspace
  • Archives: Archives of the selected projects
  • Variables: Variables of the selected projects
  • Finish: Start of the export and output of the result

Other topics in this chapter

Navigation

Settings

Equipment models

Alarm/event classes

Event groups

Users

Projects

Archives

Variables

Finish


Navigation

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Navigation

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Button

Description

Arrow left

Goes back one tab in the wizard process.

Arrow right

Goes forward one tab in the wizard process.

Export

Exports the data to the Analyzer database.

Is only active if the Finish tab is opened.

Cancel

Closes the wizard without exporting.

When closing, a dialog asks if the configuration is to be saved

  • Yes: Writes the settings set in the Settings tab to the registry and closes the wizard. The wizard is opened with this configuration the next time it is started.
  • No: Closes the wizard without saving the configuration

The configuration is saved for each specific user.

Individual tabs can also be selected by clicking directly on the title of the tab.


Settings

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Settings

In this tab:

  1. You define the database to which the wizard connects
  2. You define general options for exporting
  3. You start the data readout

Settings

Option | Description
Settings | Information and hints about current export processes.

Database settings

Parameter

Description

Database settings

Connection settings to the Analyzer server.

DB host

Computer on which the database is located.

DB instance

Instance of the database.

DB name

Name of the database.

Authentication

Type of authentication:

  • Windows Authentication: Windows login information is used.
  • SQL Server Authentication: Login with data from an SQL server user.

User name

Entry of the user name.

Only for login with SQL Server Authentication.
Display only for Windows Authentication.

Password

Entry of the password.

Only for login with SQL Server Authentication.
No input possible with Windows Authentication.

Remember password

Password is saved for next connection.

Only for login with SQL Server Authentication.
Inactive with Windows Authentication.

Projects

Parameter

Description

Projects

List of the available projects in the current zenon workspace. The checkbox shows whether the data of the project is used:

  • Active: Project is used.

Projects that are active in the memory are pre-selected. Inactive projects can be added by means of selection with a checkbox.

Options

Parameter

Description

Options

General options for the export.

Keep the existing data in the Analyzer database
  • Active: Only completely new entries from the workspace are written to the database.
    Note: If linkings from variables, archives etc. are changed or new ones are created, these are not transferred. If these are also transferred, the checkbox must be set to Inactive
  • Inactive: Entries in the database are also updated or deleted. New entries are created, amended entries are updated and deleted entries are removed.
    Exception: Projects and Sankey diagrams are not deleted.

Preselect existing Analyzer database content
  • Active: Entries already present in the database are preselected in the individual areas.

Load Data

Load Data

Clicking on the button loads, depending on the Load every project of this workspace into the memory parameter - the data from the currently loaded project into the wizard.

In doing so, a check is made to see if data is present in the Analyzer database. Pre-existing data is combined with the data from the workspace and loaded into the wizard. In the event of naming conflicts, a dialog to rectify the error is called up.

If the loading of data has been successfully concluded, the export can be configured in the following tabs.

Rename object

Objects must always be named the same in the Analyzer database and in zenon. If objects that are already present in the database are renamed in zenon, these changes can be accepted or rejected when the data is combined. Rejection of the changes leads to the wizard being closed, because only objects with identical names can be handled correctly.

Dialog for renaming

In the event of conflicts in the naming of objects, a dialog for dealing with the error is opened:

Parameter

Description

List of amended objects

Contains all objects that were changed. Previous name and new name are displayed. The following renamed objects are displayed in the list:

  • Name of the equipment models
  • Names of the alarm/event classes
  • Names of the alarm/event groups
  • Project name
  • Variable name

Exceptions:

  • Users are always recreated
  • Archive names are only created once in the database as a Visualname and can be overwritten in the zenon Analyzer

Rename

Renames all objects listed in the database, closes the dialog and stops reading in data.

Cancel

Leaves the previous name in the database, finishes reading in data and closes the wizard.


Equipment models

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Equipment models

Configuration of the model group which should be exported from the global project.

attention Attention

Each equipment group in zenon may only be assigned to one individual time model.

If several time model groups are assigned, the Analyzer Wizard Export uses the first that it finds and exports this to the metadata of the Analyzer. Other time model groups are ignored.

Option

Description

Equipment models

Information and notes on exporting.

Selection of equipment/medium

Drop-down list to select a model that is offered in the Equipment models/media list for configuration.

List of equipment models/media

List field with the possibility to select equipment models and model groups or media. To select an entry, activate the check box in front of the entry.

In the list field the name, as it is stored in the database, is always displayed in the individual nodes. If the name was changed, the original name from the zenon project is displayed in brackets.

Equipment groups that were deleted in the global project are no longer displayed.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Clicking on the button selects all equipment groups

Deselect all

Clicking on the button deselects all equipment groups.


Alarm/event classes

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Alarm/event classes

Configuration of the alarm/event classes which should be exported from the global project.

Option

Description

Event classes

Information and notes on exporting.

List of the alarm/event classes

List field with the possibility to select the alarm/event classes. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Event groups

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Event groups

Configuration of the alarm/event groups which should be exported from the global project.

Option

Description

Event groups

Information and notes on exporting.

List of the alarm/event groups

List field in which you can select alarm/event groups. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Users

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Users

Configuration of the user which should be exported from the global project.

Option

Description

Users

Information and notes on exporting.

User List

List field with selection possibility for users. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

If a user was renamed in zenon they are considered new and recreated in the project. The previous user is deleted.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Projects

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Projects

Configuration of the local projects which should be exported. The names for Server 1 and Server 2 can be changed here.

To change the name of a Server or Standby Server:

  1. Highlight the project in the list of projects.
  2. Enter the desired name for Server 1 and Server 2.

If the name of Server 1 or Server 2 is changed in the zenon project, then this is only updated in th analyzer database if the Network active setting was activated in the project properties.

Option

Description

Projects

Information and notes on exporting.

Project list

List field with selection possibility for projects. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Server 1

Address of the Server 1 for the project selected in the list window.

Server 2

Address of the Server 2 for the project selected in the list window.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Archives

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Archives

Selection of the archive from the selected projects. Only base archives are displayed. Aggregated archives are not displayed in the list, but are also selected with the base archives and written to the database.

Option

Description

Archives

Information and notes on exporting.

Archive list

List field with possibility to select for archives. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Variables

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Variables

Configuration of the variables to be exported from the selected local projects. When selecting variables, the entries offered can be prefiltered.

Option

Description

Variables

Information and notes on exporting.

Display

Selection of which variables are displayed, via the following option fields:

  • All: All variables are displayed.
  • Selected: Only variables that have already been selected are displayed.
  • Unselected: Only variables that have not yet been selected are displayed.

Variable filter

Selection of the variable filter using the following option fields:

  • All: All variables are displayed.
  • Archives: Only archive variables are displayed.
  • Equipment groups: Only variables are displayed which are part of the selected Equipment model.

Filter row

Input of alphanumerical characters according to which the List of variables is to be filtered.

List of variables

List field with possibility to select variables. To select an entry, activate the check box in front of the entry.

The following are displayed:

  • Name (Analyzer): Name in zenon Analyzer.
  • Name (Workspace): Can be issued from zenon 7.20 in the Editor by means of the Display name property. Must be unique in the project. See also chapter Visual name
  • Meaning: Can be issued from zenon 7.20 in the Editor by means of the Meaning property. See also chapter Meaning
  • Ressource label: corresponds to the Resources label property in zenon. Is used for zenon up to and including version 7.11 for meaning and parameter waterfall diagram. From version 7.20, there are separate properties available for this in zenon.
  • Identification: It corresponds to the Identification property in zenon.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Rules for the export of variables with reaction matrices

If linked variables are exported with reaction matrices, the limit value text, the limit value color and the status value of the reaction matrix statuses are also exported to the STATUSNAME table in the metadata database of the Analyzer. Because only certain states can be evaluated in the reports, they must be pre-sorted using the wizard.

The following statuses of the reaction matrices can be exported or excluded:

Rema

Rules

Numeric
  • The default status is ignored.
  • If several statuses with the same status and limit value condition are set, then only the first status and its status text are exported.
  • Only statuses with a value that is equal to a limit value are exported (limit value condition).
  • The limit value conditions greater than, less than, as desired and range are ignored.

Multi numeric
  • Correspond to the rules for numeric.
  • Substatuses are also ignored.

Binary

  • Only statuses that have value bits set consistently from right to left in the bit mask (0 or 1) are set.
    For example:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    The following are ignored, for example
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binary
  • Correspond to the rules for Binary.
  • In addition, substatuses and statuses are also ignored with edge definitions in the bit mask.

String

  • Are completely ignored and not exported.

Import of variable information from zenon

The following properties in the zenon Analyzer variable properties group provide information for reports in the zenon Analyzer:

  • Display name: Entry of a display name of the variable in zenon Analyzer. This must be unique in the project. The check is not carried out when issued in zenon, but when imported into zenon Analyzer. If this property is changed after the first export to a zenon Analyzer, these changes are not applied in the zenon Analyzer.
  • Meaning: Entry of the (Meaning) of a variable in the zenon Analyzer. Entry is manual or by means of the Meaning and Waterfall Chart Wizard. Several meanings are separated by a comma.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameters for waterfall diagram: Parameters of a variable for a waterfall diagram in zenon Analyzer. Entry is manual or by means of the Meaning and Waterfall Chart Wizard. The individual parameters are separated by a comma. Several waterfalls are divided by a semicolon.
    Syntax: [model name],[row index],[index in row],[color code];

Other topics in this chapter

Visual name

Meaning

Parameter waterfall diagram


Visual name

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Variables > Visual name

The wizard reads the Analyzer/Display name property when loading the zenon workspace from zenon 7.20 and displays this for each variable in the Variables tab. The following applies for visual names:

  • The name must be unique for each project.
  • Names in a project that appear several tines are highlighted in red.
  • The Display name are entered when writing the data to the metadata database.
  • In the event of duplicated name within a project, the Display name is only entered for the first variable found. For the second variable, the Name of the variables is entered in zenon.
  • The Display name is only set when the variable is exported for the first time. If this is subsequently changed in the Editor, this change is no longer applied in the metadata database. Changes are of course applied to a new metadata database when exporting to a new database.
  • With a version of zenon before 7.20, the visual name is always taken from the zenon Identification property.


Meaning

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Variables > Meaning

From zenon 7.20, the wizard reads the Analyzer/Meaning property and displays this for each variable in the Variables tab.
The following applies for meanings:

  • If there are entries for Meaning, the corresponding entries in the Resources label are ignored.
  • If there are no entries, corresponding entries from the Resources label are accepted.
  • The identification ME= is no longer necessary but can continue to be used. If a variable is assigned several meanings, a comma is used as a separator.
  • With a version of zenon before 7.20, the meaning is always taken from the zenon Resources label property.


Parameter waterfall diagram

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Variables > Parameter waterfall diagram

The wizard reads the Analyzer/Parameters for waterfall diagram property when loading the zenon workspace from zenon 7.20 and displays this for each variable in the Variables tab. The following applies for waterfall:

  • If there are entries for Parameters for waterfall diagram, the corresponding entries in the Resources label are ignored.
  • If there are no entries, corresponding entries from the Resources label are accepted.
  • The identification WF= is no longer necessary but can continue to be used. The individual elements of a model are separated by a comma. If several waterfall models are assigned to a variable, a semicolon is used as a separator.
  • With versions of zenon before 7.20, the waterfall parameters are always taken from the zenon Resources label property.


Finish

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Configuration > Finish

To export the configured data:

  1. In the Finish tab, click on the Export button.

  2. the export is started
  3. The exported elements are shown in the output window with the attendant success and error messages
    In addition, the number of objects that have been added, replaced or deleted, and the number of errors that occurred are shown.

  4. Click the Close button to close the wizard

Reconfiguring the wizard

To reconfigure the wizard:

  1. Open the Settings tab.
  2. Click on the Load data button.
  3. Configure the tabs.


Close wizard

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 2.20 > Close wizard

To close the wizard:

  • Click on the Cancel button .
  • A dialog prompts whether the configuration should be saved.
    • Yes: Writes the settings set in the Settings tab to the registry and closes the wizard. The wizard is opened with this configuration the next time it is started. The configuration is saved for each specific user.
    • No: Closes the wizard without saving the configuration


Export Wizard for Analyzer 3.00

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00

The zenon Export Wizard for Analyzer 3.00 supports the export of metadata from zenon from version 7.11 SP0 for the zenon Analyzer 3.00.

The following can be exported:

  • Data from the global project
    • Equipment models
    • Alarm/event classes
    • Alarm/event groups
    • User
  • Data from selected projects:
    • Archives
    • Variables, with:

      - Display name (see visual names section)

      - Meaning (see meaning section)

      - Parameters for waterfall diagram (see parameter waterfall chart section)

  • Sankeydiagrams (see Sankey diagrams section)
  • Efficiency classes

Note: The wizard is only available in English.

Compatibility:

The Analyzer Export Wizard works, depending on the version, with different zenon Analyzer versions and different zenon versions. For details, read the Analyzer wizard compatibility chapter.

Other topics in this chapter

Sankey diagrams

Waterfall chart

Install and call up wizard

Start window

Configuration

Close wizard


Sankey diagrams

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Sankey diagrams

The wizard automatically reads the definition for Sankey diagrams from all activated projects and the global project. These are in the zenon project folder \Files\Others.
For this, the following applies:

  • Only valid XML files that were created for the zenon Analyzer are taken into account.
    Diagrams that have the Analyzer and Valid attributes set to True in the Sankey XML file are valid. All other Sankey diagrams are ignored and not loaded.
  • All Sankey diagram definitions are written to the zenon Analyzer metadata database in the SANKEY_DIAGRAMM, SANKEY_OBJECT and SANKEY_VARIABLE tables.
  • Diagrams deleted in zenon (XML files) are not deleted in the Analyzer. Diagrams can only be deleted in the database directly in zenon Analyzer.
  • For the adding or updating of diagrams, the following must apply to all required zenon variables:
    • Be selected via the Variables tab
      or
    • already be in the database

    If variables that are required for the Sankey diagram are not selected for export, the Sankey diagram is not exported.

  • If the Sankey diagram already exists, the metadata database tables are updated according to the changes.
  • Clicking on the Export button in the Finish tab starts the export of the Sankey diagrams from zenon in to zenon Analyzer.
    The diagrams are only exported once all other data such as projects or variables have been exported. The success of the export is shown in the message list of the Finish tab.

attention Attention

The import of Sankey diagrams is carried out automatically in the background. There are no user interface or configuration options available.


Waterfall chart

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Waterfall chart

A waterfall diagram can be used for either line-based reports or for machine-based reports. The parameters for the diagram are stored in the Analyzer/Parameters for waterfall diagram variable property from zenon 7.20. These can be entered manually or created with the Meaning and Waterfall Chart Wizard.

Export

The wizard reads the Parameters for waterfall diagram property when loading the zenon workspace. If there are correct entries, these these are exported in the background and written to the database of the zenon Analyzer.

Structure of the entries

Depending on the structure of the entries, a decision is made on whether it is entries for machine-based or line-based diagrams.

  • Machine based: Structure with 4 digits, separated by a comma; ended with a semicolon.

    Syntax: [model name],[line index],[column index],[color code code];
    Example: MyWaterfall,4,2,#80FF00;

  • Line-based: Structure with 7 digits, separated by a comma; ended with a semicolon.

    Syntax: [model name],[line index],[column index],[color code],[loss of auxiliary machine],[add loss of auxiliary machine],[subtract loss of auxiliary machine];
    Example: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Rules for reading:

The following is applicable for reading:

  • If there are entries for Parameters for waterfall diagram, corresponding entries in the Resources label field are ignored.
    The structure decides whether the entry can be evaluated as machine-based or line-based.
  • The identification WF= is not necessary but can to be used. The individual elements of a model are separated by a comma. If several waterfall models are assigned to a variable, a semicolon is used as a separator.
  • If there are no entries, corresponding entries from the Resources label are accepted. The identification WF= must be prefixed here.
  • With versions of zenon before 7.20, the waterfall parameters are taken from the zenon Resources label property.


Install and call up wizard

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Install and call up wizard

The wizard is automatically installed with zenon for each supported version of zenon Analyzer.

Starting the wizard

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to the node Analyzer.
  3. Select the Export Wizard for Analyzer 3.00.

  4. Click on OK.

    The wizard starts with the welcome page.


Start window

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Start window

When the wizard is opened, you receive an overview page that lists all exportable objects.

The individual objects are configured for the export on individual tabs.

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration

When exporting with the Analyzer Export Wizard, all modules available for export are offered for detailed configuration. Only the selected data is exported. The export of Sankey diagrams is carried out in the background, without the possibility of configuration. You get to the next level by clicking on the button with the right arrow. You can also select individual tabs directly by clicking on the title of the tab. Entries already present in the database are preselected in the individual areas.

The following tabs are available for configuration of the export:

  • Settings: Options for the export of metadata
  • Equipment models : Export of the equipment groups from the global project
  • Event classes: Alarm/Event classes from global project
  • Event groups: Alarm/event groups from global project
  • Users: User from global project
  • Projects: Projects from workspace
  • Archives: Archives of the selected projects
  • Variables: Variables of the selected projects
  • Efficiency classes: Display of the efficiency classes to be exported.
  • Finish: Start of the export and output of the result

Other topics in this chapter

Navigation

Settings

Equipment models

Event classes

Event groups

Users

Projects

Archives

Variables

Efficiency classes

Finish


Navigation

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Navigation

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Button

Description

Arrow left

Goes back one tab in the wizard process.

Arrow right

Goes forward one tab in the wizard process.

Export

Exports the data to the Analyzer database.

Is only active if the Finish tab is opened.

Cancel

Closes the wizard without exporting.

When closing, a dialog asks if the configuration is to be saved

  • Yes: Writes the settings set in the Settings tab to the registry and closes the wizard. The wizard is opened with this configuration the next time it is started.
  • No: Closes the wizard without saving the configuration

The configuration is saved for each specific user.

Individual tabs can also be selected by clicking directly on the title of the tab.


Settings

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Settings

In this tab:

  1. You define the database to which the wizard connects
  2. You define general options for exporting
  3. You start the data readout

Settings

Parameter | Description
Settings | Information and hints about current export processes.

Database settings

Parameter

Description

Database settings

Connection settings to the Analyzer server.

DB host

Computer on which the database is located.

DB name

Name of the database.

Authentication

Type of authentication:

  • Windows Authentication: Windows login information is used.
  • SQL Server Authentication: Login with data from an SQL server user.

User name

Entry of the user name.

Only for login with SQL Server Authentication.
Display only for Windows Authentication.

Password

Entry of the password.

Only for login with SQL Server Authentication.
No input possible with Windows Authentication.

Remember password

Password is saved for next connection.

Only for login with SQL Server Authentication.
Inactive with Windows Authentication.

Projects

Parameter

Description

Projects

List of the available projects in the current zenon workspace. The checkbox shows whether the data of the project is used:

  • Active: Project is used.

Projects that are active in the memory are pre-selected. Inactive projects can be added by means of selection with a checkbox.

Options

Parameter

Description

Options

General options for the export.

Don't modify existing data in the Analyzer metadata database
  • Active: Only completely new entries from the workspace are written to the database.
    Note: If linkings from variables, archives etc. are changed or new ones are created, these are not transferred. If these are also transferred, the checkbox must be set to Inactive
  • Inactive: Entries in the database are also updated or deleted. New entries are created, amended entries are updated and deleted entries are removed.
    Exception: Projects and Sankey diagrams are not deleted.

Update Visual names

Only available if the Don't modify existing data in the Analyzer metadata database option has been deactivated.

  • Active: In zenon, amended display names are overwritten when exporting to the metadata database of zenon Analyzer.
  • Inactive: Amended display names are not changed in zenon Analyzer.

Default: Inactive
The setting is not saved. The checkbox is set to deactivated each time the wizard is started.

Behavior:

If the checkbox is activated, display names amended in zenon are also amended in zenon Analyzer for:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

The visual names for Users cannot be changed. These are recreated in the event of changes.

Changes to display names are displayed in the individual lists.

Example:

Initial situation:

  • Display name in the zenon project: Z
  • Display name in the zenon Analyzer: A

Action:

  • A = Z:
    nothing happens.
  • A <> Z:
    Z is applied if the name has not yet been issued in the metadata table. If Z is already present in the table, A remains unchanged and an error message is given.

Load Data

Load Data

Clicking on the button loads, depending on the Load every project of this workspace into the memory parameter - the data from the currently loaded project into the wizard.

In doing so, a check is made to see if data is present in the Analyzer database. Pre-existing data is combined with the data from the workspace and loaded into the wizard. In the event of naming conflicts, a dialog to rectify the error is called up.

If the loading of data has been successfully concluded, the export can be configured in the following tabs.

Rename object

Objects must always be named the same in the Analyzer database and in zenon. If objects that are already present in the database are renamed in zenon, these changes can be accepted or rejected when the data is combined. Rejection of the changes leads to the wizard being closed, because only objects with identical names can be handled correctly.

Dialog for renaming

In the event of conflicts in the naming of objects, a dialog for dealing with the error is opened:

Parameter | Description
List of amended objects | Contains all objects that were changed. Previous name and new name are displayed. Exception: Users are always recreated.
Rename | Renames all objects listed in the database, closes the dialog and stops reading in data.
Cancel | Leaves the previous name in the database, finishes reading in data and closes the wizard.


Equipment models

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Equipment models

Configuration of the model group which should be exported from the global project.

attention Attention

Each equipment group in zenon may only be assigned to one individual time model.

If several time model groups are assigned, the Analyzer Wizard Export uses the first that it finds and exports this to the metadata of the Analyzer. Other time model groups are ignored.

Parameter

Description

Equipment models

Information and notes on exporting.

Selection of equipment/medium

Drop-down list to select a model that is offered in the Equipment models/media list for configuration.

List of equipment models/media

List field with the possibility to select equipment models and model groups or media. To select an entry, activate the check box in front of the entry.

In the list field the name, as it is stored in the database, is always displayed in the individual nodes. If the name was changed, the original name from the zenon project is displayed in brackets.

Equipment groups that were deleted in the global project are no longer displayed.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Clicking on the button selects all equipment groups

Deselect all

Clicking on the button deselects all equipment groups.


Event classes

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Event classes

Configuration of the alarm/event classes which should be exported from the global project.

Parameter

Description

Event classes

Information and notes on exporting.

List of the alarm/event classes

List field with the possibility to select the alarm/event classes. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Event groups

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Event groups

Configuration of the alarm/event groups which should be exported from the global project.

Parameter

Description

Event groups

Information and notes on exporting.

List of the alarm/event groups

List field in which you can select alarm/event groups. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Users

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Users

Configuration of the user which should be exported from the global project.

Parameter

Description

Users

Information and notes on exporting.

User List

List field with selection possibility for users. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

If a user was renamed in zenon they are considered new and recreated in the project. The previous user is deleted.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Projects

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Projects

Configuration of the local projects which should be exported. The names for Server 1 and Server 2 can be changed here.

To change the name of a Server or Standby Server:

  1. Highlight the project in the list of projects.
  2. Enter the desired name for Server 1 and Server 2.

Note: Changes here are only possible if, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option has been deactivated. The information that is displayed for the server depends on the settings in the project and the database. For details, see the Display of server settings section.

Parameter

Description

Projects

Information and notes on exporting.

Project list

List field with selection possibility for projects. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Server 1

Address of the Server 1 for the project selected in the list window.
Source (project or database) depending on configuration.

Server 2

Adress of the Server 2 for the project selected in the list window.
Source (project or database) depending on configuration.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Display of server settings

The following is applicable for the display and configuration of the server in this tab:

  • In the zenon project, the Network active property is activated:
    Server 1 and Server 2 from the project are displayed.
  • In the zenon project, the Network active property is deactivated:
    Server 1 and Server 2 from the database are displayed.
  • In the zenon project, the Network active property is deactivated and there are no entries present for the server in the database:
    Empty entries are displayed for Server 1 and Server 2.


Archives

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Archives

Selection of the archive from the selected projects. Only base archives are displayed. Aggregated archives are not displayed in the list, but are also selected with the base archives and written to the database.

Parameter

Description

Archives

Information and notes on exporting.

Archive list

List field with possibility to select for archives. To select an entry, activate the check box in front of the entry.

  • Name (Analyzer): Name of the archive in zenon Analyzer.
  • Name (Project): Name of the archive in the project.
  • Archive ID (Project): ID of the archive in the project.
  • Project: Project from which the archive comes.
  • Description: Individual description of the project.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Variables

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Variables

Configuration of the variables to be exported from the selected local projects. When selecting variables, the entries offered can be prefiltered.

Parameter

Description

Variables

Information and notes on exporting.

Display

Selection of which variables are displayed, via the following option fields:

  • All: All variables are displayed.
  • Selected: Only variables that have already been selected are displayed.
  • Unselected: Only variables that have not yet been selected are displayed.

Variable filter

Selection of the variable filter using the following option fields:

  • All: All variables are displayed.
  • Archives: Only archive variables are displayed.
  • Equipment groups: Only variables are displayed which are part of the selected Equipment model.

Filter row

Input of alphanumerical characters according to which the List of variables is to be filtered.

Attention: The filter makes a distinction between upper-case and lower-case letters (it is case sensitive).

List of variables

List field with possibility to select variables. To select an entry, activate the check box in front of the entry.

The following are displayed:

  • Name (Analyzer): Name in zenon Analyzer.
  • Name (Workspace): Can be issued from zenon 7.20 in the Editor by means of the Display name property. Must be unique in the project. See also chapter Visual name
  • Meanings: Can be issued from zenon 7.20 in the Editor by means of the Meaning property. See also chapter Meaning
  • Project: Project from which the variable comes.
  • Identification: It corresponds to the Identification property in zenon.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Rules for the export of variables with reaction matrices

If linked variables are exported with reaction matrices, the limit value text, the limit value color and the status value of the reaction matrix statuses are also exported to the STATUSNAME table in the metadata database of the Analyzer. Because only certain states can be evaluated in the reports, they must be pre-sorted using the wizard.

The following statuses of the reaction matrices can be exported or excluded:

Rema

Rules

Numeric
  • The default status is ignored.
  • If several statuses with the same status and limit value condition are set, then only the first status and its status text are exported.
  • Only statuses with a value that is equal to a limit value are exported (limit value condition).
  • The limit value conditions greater than, less than, as desired and range are ignored.

Multi numeric
  • Correspond to the rules for numeric.
  • Substatuses are also ignored.

Binary

  • Only statuses that have value bits set consistently from right to left in the bit mask (0 or 1) are set.
    For example:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    The following are ignored, for example
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binary
  • Correspond to the rules for Binary.
  • In addition, substatuses and statuses are also ignored with edge definitions in the bit mask.

String

  • Are completely ignored and not exported.

Import of variable information from zenon

The following properties in the zenon Analyzer variable properties group provide information for reports in the zenon Analyzer:

  • Display name: Entry of a display name of the variable in zenon Analyzer. This must be unique in the project. The check is not carried out when issued in zenon, but when imported into zenon Analyzer. If this property is changed after the first export to a zenon Analyzer, these changes are not applied in the zenon Analyzer.
  • Meaning: Entry of the (Meaning) of a variable in the zenon Analyzer. Entry is manual or by means of the Meaning and Waterfall Chart Wizard. Several meanings are separated by a comma.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameters for waterfall diagram: Parameters of a variable for a waterfall diagram in zenon Analyzer. Entry is manual or by means of the Meaning and Waterfall Chart Wizard. The individual parameters are separated by a comma. Several waterfalls are divided by a semicolon.
    Syntax: [model name],[row index],[index in row],[color code];

Other topics in this chapter

Visual name

Meaning


Visual name

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Variables > Visual name

The wizard reads the Analyzer/Display name property when loading the zenon workspace from zenon 7.20 and displays this for each variable in the Variables tab. The following applies for visual names:

  • The name must be unique for each project.
  • Names in a project that appear several tines are highlighted in red.
  • The Display name are entered when writing the data to the metadata database.
  • In the event of duplicated name within a project, the Display name is only entered for the first variable found. For the second variable, the Name of the variables is entered in zenon.
  • The Display name is only set when the variable is exported for the first time. If this is subsequently changed in the Editor, this change is no longer applied in the metadata database. Changes are of course applied to a new metadata database when exporting to a new database.
  • With a version of zenon before 7.20, the visual name is always taken from the zenon Identification property.


Meaning

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Variables > Meaning

From zenon 7.20, the wizard reads the Analyzer/Meaning property and displays this for each variable in the Variables tab.
The following applies for meanings:

  • If there are entries for Meaning, the corresponding entries in the Resources label are ignored.
  • If there are no entries, corresponding entries from the Resources label are accepted.
  • The identification ME= is no longer necessary but can continue to be used. If a variable is assigned several meanings, a comma is used as a separator.
  • With a version of zenon before 7.20, the meaning is always taken from the zenon Resources label property.


Efficiency classes

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Efficiency classes

Selection and configuration of the efficiency classes to be exported. In doing so, zenon reaction matrices (REMAs) are displayed, the status of which correspond to the rules of the efficiency class structure. Only reaction matrices that meet certain conditions are read.

zenon reaction matrix requirements

In order for a reaction matrix to be read as an efficiency class, it must meet the following conditions:

  • Numeric or multi-numeric type
  • Status configured correctly
  • Limit value text present

Status configuration

The statuses to be configured must meet the following conditions:

  • The first status is less than a defined value. The area is open downwards.

    Status n1: <x

  • The last status is greater than the last value defined beforehand. This area is open upwards.

    Status n4: >z

  • Fixed ranges are defined between the first and last value. These areas must follow one another exactly.

    Status n2: x-y

    Status n3: y-z

Configuration in the wizard

To select efficiency classes for export:

  1. Select the desired efficiency classes.
  2. Configure the normalization.
    Attention: The None value is reserved for a subsequent expansion stage and must not be selected.

    All pre-existing efficiency classes in the metadata database are deleted during export if they have been created by the wizard. However, efficiency classes that come from the Metadata Editor are retained. All selected efficiency classes are then written to the metadata database.

Parameter

Description

Efficiency Class Name

Selection of the efficiency class to be exported by means of
Activation of checkbox in front of the name.

Normalisation

Selection of the normalization from a drop-down list.

  • Minimum: 1 minute
  • Maximum: 1 year

Default: 15 minutes

Attention: None must not be selected. This value is reserved for a subsequent expansion level and leads to invalid configurations.

attention Attention

Reaction matrices are identified in zenon by means of their name. If the name of a reaction matrix is amended in zenon, the attendant efficiency class is recreated during export and the previous efficiency class is deleted.


Finish

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Configuration > Finish

To export the configured data:

  1. In the Finish tab, click on the Export button.

  2. the export is started
  3. The exported elements are shown in the output window with the attendant success and error messages
    In addition, the number of objects that have been added, replaced or deleted, and the number of errors that occurred are shown.

  4. Click the Close button to close the wizard

Reconfiguring the wizard

To reconfigure the wizard:

  1. Open the Settings tab.
  2. Click on the Load data button.
  3. Configure the tabs.


Close wizard

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.00 > Close wizard

To close the wizard:

  • Click on the Cancel button .
  • A dialog prompts whether the configuration should be saved.
    • Yes: Writes the settings set in the Settings tab to the registry and closes the wizard. The wizard is opened with this configuration the next time it is started. The configuration is saved for each specific user.
    • No: Closes the wizard without saving the configuration


Export Wizard for Analyzer 3.10 and 3.20

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20

The zenon Export Wizard for Analyzer 3.10 and 3.20 supports the export of metadata from zenon from version 7.20 SP0 for the zenon Analyzer 3.10 and 3.20.

The following can be exported:

  • Data from the global project
    • Equipment models
    • Alarm/event classes
    • Alarm/event groups
    • Users
  • Data from selected projects:
    • Archives
    • Variables, with:

      - Display name (see visual names section)

      - Meaning (see meaning section)

      - Parameters for waterfall diagram (see Waterfall chart section)

  • Sankeydiagrams (see Sankey diagrams section)
  • Efficiency classes
  • Shift calendar

Note: The wizard is only available in English.

Compatibility:

The Analyzer Export Wizard works, depending on the version, with different zenon Analyzer versions and different zenon versions. For details, read the Analyzer wizard compatibility chapter.

Other topics in this chapter

Sankey diagrams

Waterfall chart

Export shift calendar

Install and call up wizard

Start window

Configuration

Close wizard


Sankey diagrams

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Sankey diagrams

The wizard automatically reads the definition for Sankey diagrams from all activated projects and the global project. These are in the zenon project folder \Files\Others.
For this, the following applies:

  • Only valid XML files that were created for the zenon Analyzer are taken into account.
    Diagrams that have the Analyzer and Valid attributes set to True in the Sankey XML file are valid. All other Sankey diagrams are ignored and not loaded.
  • All Sankey diagram definitions are written to the zenon Analyzer metadata database in the SANKEY_DIAGRAMM, SANKEY_OBJECT and SANKEY_VARIABLE tables.
  • Diagrams deleted in zenon (XML files) are not deleted in the Analyzer. Diagrams can only be deleted in the database directly in zenon Analyzer.
  • For the adding or updating of diagrams, the following must apply to all required zenon variables:
    • Be selected via the Variables tab
      or
    • already be in the database

    If variables that are required for the Sankey diagram are not selected for export, the Sankey diagram is not exported.

  • If the Sankey diagram already exists, the metadata database tables are updated according to the changes.
  • Clicking on the Export button in the Finish tab starts the export of the Sankey diagrams from zenon in to zenon Analyzer.
    The diagrams are only exported once all other data such as projects or variables have been exported. The success of the export is shown in the message list of the Finish tab.

attention Attention

The import of Sankey diagrams is carried out automatically in the background. There are no user interface or configuration options available.


Waterfall chart

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Waterfall chart

A waterfall diagram can be used for either line-based reports or for machine-based reports. The parameters for the diagram are stored in the Analyzer/Parameters for waterfall diagram variable property from zenon 7.20. These can be entered manually or created with the Meaning and Waterfall Chart Wizard.

Export

The wizard reads the Parameters for waterfall diagram property when loading the zenon workspace. If there are correct entries, these these are exported in the background and written to the database of the zenon Analyzer.

Structure of the entries

Depending on the structure of the entries, a decision is made on whether it is entries for machine-based or line-based diagrams.

  • Machine based: Structure with 4 digits, separated by a comma; ended with a semicolon.

    Syntax: [model name],[line index],[column index],[color code code];
    Example: MyWaterfall,4,2,#80FF00;

  • Line-based: Structure with 7 digits, separated by a comma; ended with a semicolon.

    Syntax: [model name],[line index],[column index],[color code],[loss of auxiliary machine],[add loss of auxiliary machine],[subtract loss of auxiliary machine];
    Example: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Rules for reading:

The following is applicable for reading:

  • If there are entries for Parameters for waterfall diagram, corresponding entries in the Resources label field are ignored.
    The structure decides whether the entry can be evaluated as machine-based or line-based.
  • The identification WF= is not necessary but can to be used. The individual elements of a model are separated by a comma. If several waterfall models are assigned to a variable, a semicolon is used as a separator.
  • If there are no entries, corresponding entries from the Resources label are accepted. The identification WF= must be prefixed here.
  • With versions of zenon before 7.20, the waterfall parameters are taken from the zenon Resources label property.


Export shift calendar

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Export shift calendar

The wizard automatically searches in all activated projects for SQL export shift calendar functions and reads out information to linked equipment groups.
In doing so, the following applies:

  • A search is carried out in all available zenon projects.
  • Assigned equipment groups are created in the EquipmentShift table.
  • If the function has not been assigned to an equipment group, all equipment groups are created.
  • Only data from projects and equipment groups that have been selected in the wizard settings are exported.

Reading and exporting is carried out in the background.


Install and call up wizard

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Install and call up wizard

The wizard is automatically installed with zenon for each supported version of zenon Analyzer.

Starting the wizard

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to the node Analyzer.
  3. Select the Export Wizard for Analyzer 3.10 and 3.20.

  4. Click on OK.

    The wizard starts with the welcome page.


Start window

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Start window

When the wizard is opened, you receive an overview page that lists all exportable objects.

The individual objects are configured for the export on individual tabs.

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration

When exporting with the Analyzer Export Wizard, all modules available for export are offered for detailed configuration. Only the selected data is exported. Sankey diagrams and equipment models for the shift calendar are exported without a configuration possibility in the background. You get to the next level by clicking on the button with the right arrow. You can also select individual tabs directly by clicking on the title of the tab. Entries already present in the database are preselected in the individual areas.

The following tabs are available for configuration of the export:

  • Settings: Options for the export of metadata
  • Equipment models : Export of the equipment groups from the global project
  • Event classes: Alarm/Event classes from global project
  • Event groups: Alarm/event groups from global project
  • Users: User from global project
  • Projects: Projects from workspace
  • Archives: Archives of the selected projects
  • Variables: Variables of the selected projects
  • Efficiency classes: Display of the efficiency classes to be exported.
  • Finish: Start of the export and output of the result

Other topics in this chapter

Navigation

Settings

Equipment models

Event classes

Event groups

Users

Projects

Archives

Variables

Efficiency classes

Finish


Navigation

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Navigation

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Button

Description

Arrow left

Goes back one tab in the wizard process.

Arrow right

Goes forward one tab in the wizard process.

Export

Exports the data to the Analyzer database.

Is only active if the Finish tab is opened.

Cancel

Closes the wizard without exporting.

When closing, a dialog asks if the configuration is to be saved

  • Yes: Writes the settings set in the Settings tab to the registry and closes the wizard. The wizard is opened with this configuration the next time it is started.
  • No: Closes the wizard without saving the configuration

The configuration is saved for each specific user.

Individual tabs can also be selected by clicking directly on the title of the tab.


Settings

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Settings

In this tab:

  • You define the database to which the wizard connects
  • You define general options for exporting
  • You start the data readout

Settings

Option | Description
Settings | Information and hints about current export processes.

Database settings

Option

Description

Database settings

Connection settings to the Analyzer server.

DB host

Computer on which the database is located.

DB name

Name of the database.

Authentication

Type of authentication:

  • Windows Authentication: Windows login information is used.
  • SQL Server Authentication: Login with data from an SQL server user.

User name

Entry of the user name.

Only for login with SQL Server Authentication.
Display only for Windows Authentication.

Password

Entry of the password.

Only for login with SQL Server Authentication.
No input possible with Windows Authentication.

Remember password

Password is saved for next connection.

Only for login with SQL Server Authentication.
Inactive with Windows Authentication.

Projects

Option

Description

Projects

List of the available projects in the current zenon workspace. The checkbox shows whether the data of the project is used:

  • Active: Project is used.

Projects that are active in the memory are pre-selected. Inactive projects can be added by means of selection with a checkbox.

Options

Option

Description

Options

General options for the export.

Don't modify existing data in the Analyzer metadata database
  • Active: Only completely new entries from the workspace are written to the database.
    Note: If linkings from variables, archives etc. are changed or new ones are created, these are not transferred. If these are also transferred, the checkbox must be set to Inactive
  • Inactive: Entries in the database are also updated or deleted. New entries are created, amended entries are updated and deleted entries are removed.
    Exception: Projects and Sankey diagrams are not deleted.

Update Visual names

Only available if the Don't modify existing data in the Analyzer metadata database option has been deactivated.

  • Active: In zenon, amended display names are overwritten when exporting to the metadata database of zenon Analyzer.
  • Inactive: Amended display names are not changed in zenon Analyzer.

Default: Inactive
The setting is not saved. The checkbox is set to deactivated each time the wizard is started.

Behavior:

If the checkbox is activated, display names amended in zenon are also amended in zenon Analyzer for:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

The visual names for Users cannot be changed. These are recreated in the event of changes.

Changes to display names are displayed in the individual lists.

Example:

Initial situation:

  • Display name in the zenon project: Z
  • Display name in the zenon Analyzer: A

Action:

  • A = Z:
    nothing happens.
  • A <> Z:
    Z is applied if the name has not yet been issued in the metadata table. If Z is already present in the table, A remains unchanged and an error message is given.

Load Data

Option

Description

Load Data

Clicking on the button loads, depending on the Load every project of this workspace into the memory parameter - the data from the currently loaded project into the wizard.

In doing so, a check is made to see if data is present in the Analyzer database. Pre-existing data is combined with the data from the workspace and loaded into the wizard. In the event of naming conflicts, a dialog to rectify the error is called up.

If the loading of data has been successfully concluded, the export can be configured in the following tabs.

Rename object

Objects must always be named the same in the Analyzer database and in zenon. If objects that are already present in the database are renamed in zenon, these changes can be accepted or rejected when the data is combined. Rejection of the changes leads to the wizard being closed, because only objects with identical names can be handled correctly.

Dialog for renaming

In the event of conflicts in the naming of objects, a dialog for dealing with the error is opened:

Option | Description
List of amended objects | Contains all objects that were changed. Previous name and new name are displayed. Exception: Users are always recreated.
Rename | Renames all objects listed in the database, closes the dialog and stops reading in data.
Cancel | Leaves the previous name in the database, finishes reading in data and closes the wizard.


Equipment models

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Equipment models

Configuration of the model group which should be exported from the global project.

attention Attention

Each equipment group in zenon may only be assigned to one individual time model.

If several time model groups are assigned, the Analyzer Wizard Export uses the first that it finds and exports this to the metadata of the Analyzer. Other time model groups are ignored.

Option

Description

Equipment models

Information and notes on exporting.

Selection of equipment/medium

Drop-down list to select a model that is offered in the Equipment models/media list for configuration.

List of equipment models/media

List field with the possibility to select equipment models and model groups or media. To select an entry, activate the check box in front of the entry.

In the list field the name, as it is stored in the database, is always displayed in the individual nodes. If the name was changed, the original name from the zenon project is displayed in brackets.

Equipment groups that were deleted in the global project are no longer displayed.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Clicking on the button selects all equipment groups

Deselect all

Clicking on the button deselects all equipment groups.


Event classes

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Event classes

Configuration of the alarm/event classes which should be exported from the global project.

Option

Description

Event classes

Information and notes on exporting.

List of the alarm/event classes

List field with the possibility to select the alarm/event classes. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Event groups

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Event groups

Configuration of the alarm/event groups which should be exported from the global project.

Option

Description

Event groups

Information and notes on exporting.

List of the alarm/event groups

List field in which you can select alarm/event groups. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Users

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Users

Configuration of the user which should be exported from the global project.

Option

Description

Users

Information and notes on exporting.

User List

List field with selection possibility for users. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

If a user was renamed in zenon they are considered new and recreated in the project. The previous user is deleted.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Projects

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Projects

Configuration of the local projects which should be exported. The names for Server 1 and Server 2 can be changed here.

To change the name of a Server or Standby Server:

  1. Highlight the project in the list of projects.
  2. Enter the desired name for Server 1 and Server 2.

Note: Changes here are only possible if, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option has been deactivated. The information that is displayed for the server depends on the settings in the project and the database. For details, see the Display of server settings section.

Option

Description

Projects

Information and notes on exporting.

Project list

List field with selection possibility for projects. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Server 1

Address of the Server 1 for the project selected in the list window.
Source (project or database) depending on configuration.

Server 2

Adress of the Server 2 for the project selected in the list window.
Source (project or database) depending on configuration.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Display of server settings

The following is applicable for the display and configuration of the server in this tab:

  • In the zenon project, the Network active property is activated:
    Server 1 and Server 2 from the project are displayed.
  • In the zenon project, the Network active property is deactivated:
    Server 1 and Server 2 from the database are displayed.
  • In the zenon project, the Network active property is deactivated and there are no entries present for the server in the database:
    Empty entries are displayed for Server 1 and Server 2.


Archives

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Archives

Selection of the archive from the selected projects. Only base archives are displayed. Aggregated archives are not displayed in the list, but are also selected with the base archives and written to the database.

Option

Description

Archives

Information and notes on exporting.

Archive list

List field with possibility to select for archives. To select an entry, activate the check box in front of the entry.

  • Name (Analyzer): Name of the archive in zenon Analyzer.
  • Name (Project): Name of the archive in the project.
  • Archive ID (Project): ID of the archive in the project.
  • Project: Project from which the archive comes.
  • Description: Individual description of the project.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Variables

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Variables

Configuration of the variables to be exported from the selected local projects. When selecting variables, the entries offered can be prefiltered.

Option

Description

Variables

Information and notes on exporting.

Display

Selection of which variables are displayed, via the following option fields:

  • All: All variables are displayed.
  • Selected: Only variables that have already been selected are displayed.
  • Unselected: Only variables that have not yet been selected are displayed.

Variable filter

Selection of the variable filter using the following option fields:

  • All: All variables are displayed.
  • Archives: Only archive variables are displayed.
  • Equipment groups: Only variables are displayed which are part of the selected Equipment model.

Filter row

Input of alphanumerical characters according to which the List of variables is to be filtered.

Attention: The filter makes a distinction between upper-case and lower-case letters (it is case sensitive).

List of variables

List field with possibility to select variables. To select an entry, activate the check box in front of the entry.

The following are displayed:

  • Name (Analyzer): Name in zenon Analyzer.
  • Name (Workspace): Can be issued from zenon 7.20 in the Editor by means of the Display name property. Must be unique in the project. See also chapter Visual name
  • Meanings: Can be issued from zenon 7.20 in the Editor by means of the Meaning property. See also chapter Meaning
  • Project: Project from which the variable comes.
  • Identification: It corresponds to the Identification property in zenon.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several lines are highlighted, the selection applies for all selected lines.

If, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option is deselected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Rules for the export of variables with reaction matrices

If linked variables are exported with reaction matrices, the limit value text, the limit value color and the status value of the reaction matrix statuses are also exported to the STATUSNAME table in the metadata database of the Analyzer. Because only certain states can be evaluated in the reports, they must be pre-sorted using the wizard.

The following statuses of the reaction matrices can be exported or excluded:

Rema

Rules

Numeric
  • The default status is ignored.
  • If several statuses with the same status and limit value condition are set, then only the first status and its status text are exported.
  • Only statuses with a value that is equal to a limit value are exported (limit value condition).
  • The limit value conditions greater than, less than, as desired and range are ignored.

Multi numeric
  • Correspond to the rules for numeric.
  • Substatuses are also ignored.

Binary

  • Only statuses that have value bits set consistently from right to left in the bit mask (0 or 1) are set.
    For example:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    The following are ignored, for example
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binary
  • Correspond to the rules for Binary.
  • In addition, substatuses and statuses are also ignored with edge definitions in the bit mask.

String

  • Are completely ignored and not exported.

Import of variable information from zenon

The following properties in the zenon Analyzer variable properties group provide information for reports in the zenon Analyzer:

  • Display name: Entry of a display name of the variable in zenon Analyzer. This must be unique in the project. The check is not carried out when issued in zenon, but when imported into zenon Analyzer. If this property is changed after the first export to a zenon Analyzer, these changes are not applied in the zenon Analyzer.
  • Meaning: Entry of the (Meaning) of a variable in the zenon Analyzer. Entry is manual or by means of the Meaning and Waterfall Chart Wizard. Several meanings are separated by a comma.
    Syntax:[Meaning1],[Meaning2],…,[MeaningN]
  • Parameters for waterfall diagram: Parameters of a variable for a waterfall diagram in zenon Analyzer. Entry is manual or by means of the Meaning and Waterfall Chart Wizard. The individual parameters are separated by a comma. Several waterfalls are divided by a semicolon.
    Syntax: [model name],[row index],[index in row],[color code];

Other topics in this chapter

Visual name

Meaning


Visual name

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Variables > Visual name

The wizard reads the Analyzer/Display name property when loading the zenon workspace from zenon 7.20 and displays this for each variable in the Variables tab. The following applies for visual names:

  • The name must be unique for each project.
  • Names in a project that appear several tines are highlighted in red.
  • The Display name are entered when writing the data to the metadata database.
  • In the event of duplicated name within a project, the Display name is only entered for the first variable found. For the second variable, the Name of the variables is entered in zenon.
  • The Display name is only set when the variable is exported for the first time. If this is subsequently changed in the Editor, this change is no longer applied in the metadata database. Changes are of course applied to a new metadata database when exporting to a new database.
  • With a version of zenon before 7.20, the visual name is always taken from the zenon Identification property.


Meaning

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Variables > Meaning

From zenon 7.20, the wizard reads the Analyzer/Meaning property and displays this for each variable in the Variables tab.
The following applies for meanings:

  • If there are entries for Meaning, the corresponding entries in the Resources label are ignored.
  • If there are no entries, corresponding entries from the Resources label are accepted.
  • The identification ME= is no longer necessary but can continue to be used. If a variable is assigned several meanings, a comma is used as a separator.
  • With a version of zenon before 7.20, the meaning is always taken from the zenon Resources label property.


Efficiency classes

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Efficiency classes

Selection and configuration of the efficiency classes to be exported. In doing so, zenon reaction matrices (REMAs) are displayed, the status of which correspond to the rules of the efficiency class structure. Only reaction matrices that meet certain conditions are read.

zenon reaction matrix requirements

In order for a reaction matrix to be read as an efficiency class, it must meet the following conditions:

  • Numeric or multi-numeric type
  • Status configured correctly
  • Limit value text present

Status configuration

The statuses to be configured must meet the following conditions:

  • The first status is less than a defined value. The area is open downwards.

    Status n1: <x

  • The last status is greater than the last value defined beforehand. This area is open upwards.

    Status n4: >z

  • Fixed ranges are defined between the first and last value. These areas must follow one another exactly.

    Status n2: x-y

    Status n3: y-z

Configuration in the wizard

To select efficiency classes for export:

  1. Select the desired efficiency classes.
  2. Configure the normalization.
    Attention: The None value is reserved for a subsequent expansion stage and must not be selected.

    All pre-existing efficiency classes in the metadata database are deleted during export if they have been created by the wizard. However, efficiency classes that come from the Metadata Editor are retained. All selected efficiency classes are then written to the metadata database.

Option

Description

Efficiency Class Name

Selection of the efficiency class to be exported by means of
Activation of checkbox in front of the name.

Normalisation

Selection of the normalization from a drop-down list.

  • Minimum: 1 minute
  • Maximum: 1 year

Default: 15 minutes

Attention: None must not be selected. This value is reserved for a subsequent expansion level and leads to invalid configurations.

attention Attention

Reaction matrices are identified in zenon by means of their name. If the name of a reaction matrix is amended in zenon, the attendant efficiency class is recreated during export and the previous efficiency class is deleted.


Finish

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Configuration > Finish

To export the configured data:

  1. In the Finish tab, click on the Export button.

  2. the export is started
  3. The exported elements are shown in the output window with the attendant success and error messages
    In addition, the number of objects that have been added, replaced or deleted, and the number of errors that occurred are shown.

  4. Click the Close button to close the wizard

Reconfiguring the wizard

To reconfigure the wizard:

  1. Open the Settings tab.
  2. Click on the Load data button.
  3. Configure the tabs.


Close wizard

zenon Analyzer > Analyzer Wizards > Export Wizard for Analyzer 3.10 and 3.20 > Close wizard

To close the wizard:

  • Click on the Cancel button .
  • A dialog prompts whether the configuration should be saved.
    • Yes: Writes the settings set in the Settings tab to the registry and closes the wizard. The wizard is opened with this configuration the next time it is started. The configuration is saved for each specific user.
    • No: Closes the wizard without saving the configuration


Meaning and Waterfall Chart Wizard

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard

The Meaning and Waterfall Chart Wizard helps you prepare a zenon project for the processing of variable information in the zenon Analyzer.

Note: The wizard is only available in English.

attention Attention

If the Meaning and Waterfall Chart Wizard is used with a project with distributed engineering (Multi-User), then Enable changes must be activated in the zenon Editor for:

  • The project (context menu of the project)
  • The variables (context menu of the variables or the Variables module)

Otherwise the changes made by the Meaning and Waterfall Chart Wizard cannot be applied. These are then discarded.

The Meaning and Waterfall Chart Wizard helps you, when engineering projects in zenon, to configure:

  • Meanings (Meaning)
  • Waterfall Charts charts for machine-based reports and line-based reports.

The wizard writes the configuration in the corresponding properties of the variables selected in the wizard. The target properties depend on the version of zenon that is used.

attention Attention

Only equipment models from the global project are available.

From zenon 7.20

  • Meanings:

    The Meanings are written in the Analyzer/Meaning property. Several entries are separated by a comma (,).

  • Waterfall:

    The parameters for waterfall diagrams are written in the Analyzer/Parameters for waterfall diagram property. The parameters for a diagram are separated by a comma (,). Several diagrams are separated by a semi colon (;)

    • Syntax machine-based: [model name],[line index],[column index],[color code code];
    • Syntax line-based: [model name],[line index],[column index],[color code],[loss of auxiliary machine],[add loss of auxiliary machine],[subtract loss of auxiliary machine];

The following applies for both properties: If there are still entries in the General/Resources label property from previous versions of zenon, these are deleted and entered in the corresponding properties for zenon 7.20.

Up to zenon 7.11:

Meanings and parameters for waterfall diagrams are written to the Resources label variable property. In doing so, the prefix WF= is added for meanings and the prefix WF= is added for waterfall parameters.

For further information, see the Analyzer Wizards chapter.

Other topics in this chapter

Install and call up wizard

Start window

Configuration


Install and call up wizard

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Install and call up wizard

The wizard is automatically installed together with zenon.

Starting the wizard

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to the node Analyzer.
  3. Select the Meaning and Waterfall Chart Wizard.

  4. Click on OK.

    The wizard starts with the welcome page.


Start window

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Start window

When opening the wizard, you receive an overview that lists and explains all objects that can be configured. Configuration starts with the Settings tab.

Meaning

zenon variables often receive technically-orientated names in the project. This naming is often not meaningful enough for display in a zenon Analyzer report. The variables can be given an unique name for display in the zenon Analyzer report. This name is saved to the corresponding variable property depending on the zenon version. Target property and entry are automatically selected by the wizard.

After import into zenon Analyzer, this name is used for reports without the existing variable name needing to be changed. For details, see the Analyzer Wizards chapter in the online help.

Waterfall chart

Some zenon Analyzer reports can display a waterfall diagram using zenon variables. To do this, information on the appearance of the diagram must already be present in the resource label of the selected variable. The structure and appearance of a waterfall diagram for machine-based reports or line-based reports can be defined with a wizard. The waterfall information is saved to the corresponding variable property depending on the zenon version. Target property and entry are automatically selected by the wizard. For details, see the Analyzer Wizards chapter in the online help.

Navigation

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration

The Meaning and Waterfall Chart Wizard is configured with the following tabs:

  • Settings: Loading the data from the projects.
    Only once the data to be loaded is selected are other tabs available for meanings or waterfall diagrams.
  • Meaning filter: Filter settings for meanings.
  • Meaning: Selection and assignment of the meanings.
  • Waterfall filter: Filter settings for machine-based waterfall diagram or line-based waterfall diagram.
  • Waterfall charts: Selection of variables and configuration of machine-based waterfall diagram or line-based waterfall diagram.
  • Finish: Acceptance of configuration and configuration by the wizard.

The tabs that can be shown depend on the configuration of the Settings tab.

Other topics in this chapter

Navigation

Settings

Meanings

Machine

Line

General rules for waterfall diagrams

Finish


Navigation

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Navigation

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Button | Description
Arrow left | Goes back one tab in the wizard process.
Arrow right | Goes forward one tab in the wizard process.
Finish | Writes all changes to the zenon variable in the Editor and closes the wizard.
Cancel | Ends the wizard without making changes.

Individual tabs can also be selected by clicking directly on the title of the tab.


Settings

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Settings

Selection and loading of the tabs to be configured.

Option

Description

Settings

Setting for which tabs are to be loaded.

Load every project of this workspace into the memory
  • Active: When loading, projects from the workspaces that are not in the memory are also taken into account. Once the wizard has been ended or once the Finish action has been executed, these are removed.

Define Meanings

  • Active: The Meaning filter and Meaning tabs are loaded.

Define Waterfall Chart

Selection of waterfall chart:

  • Active: A waterfall chart is created.

Selection of the waterfall type by means of the radio button:

  • Machine: A machine-based waterfall chart is created. The Waterfall filter und Waterfall tabs are loaded.
  • Line: A line-based waterfall chart is created. The Line Analysis filter and Line Analysis tabs are loaded.

Load data

Clicking on the button searches through the variables of all projects loaded in the workspace and loads the required information for the filter and editing the variables. The corresponding tabs are displayed in the wizard.

A progress bar is displayed during the loading process.

After loading, the tabs are available for the selected data, for configuration.


Meanings

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Meanings

Configuration of the meanings using the Meaning filter and Meaning tabs.

Other topics in this chapter

Meaning filter

Meaning


Meaning filter

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Meanings > Meaning filter

The variables to be edited are pre-filtered with this tab. If an object is not selected in any group, all variables are available in the Meaning tab.

attention Attention

Only equipment models from the global project are available.

Option | Description
List of equipment groups | Filtering for individual models by activating the respective checkboxes. No selection: Variables of all equipment models are selected.
List of projects | Filtering for individual checkboxes by activating the respective checkboxes. No selection: Variables of all projects are selected.
List of archives | Filtering for individual archives by activating the respective checkboxes. No selection: Variables of all archives are selected.


Meaning

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Meanings > Meaning

The meanings of the variables are edited in this tab. Variables can be selected and given new meanings, and existing meanings can be removed.

Variable selection

Option

Description

Search meaning

Input of a search term lists all variables with their corresponding meanings.

The list is immediately updated with the entry of a character. Placeholders cannot be used.

List Variablen

List of the variables available after filtering.

Selection of variables for editing: Activation of the checkbox before the variables.

Existing meanings of the variables are shown in the Meanings column. In doing so, only meanings are displayed. Other entries or entries for the waterfall chart are hidden or ignored when editing.

The variables can be sorted by clicking on a column label.

Select all

Clicking this selects all variables for editing.

Deselect all

Clicking this deselects all variables.

Display statistics

Display how many variables:

  • Are present in the list
  • Have been selected
  • Have been changed

Reset

Resets all changes that have been made by clicking on Update meaning.

Note: Changes are only accepted finally after clicking on Finish.

Add meanings

Option | Description
Add new meanings | Allows meanings to be added to variables. New meanings are entered in the input field, added to the list and assigned to the selected variables using the Update meaning button.
Eingabefeld | Entry of a new meaning. Maximum length: 50 characters
Liste Meanings | Lists all meanings that have been created.
Add to list | Adds entry from text field to the list of meanings.
Remove from list | Deletes selected entry from the list of Meanings.
Remove all | Deletes all entries from the list of Meanings.
Update meaning | Clicking this assigns a new meaning to all entries in the list ofMeanings. The meanings to be added are displayed in the Meanings (preview) column; the row with the variables has a green background.

Remove meanings

Option | Description
Remove existing meanings | Allows meanings to be removed from variables. If a variable is selected, all assigned meanings are displayed in the list of Meanings. Meanings that are to be retained are deleted from the list by clicking on the Remove from list button. Clicking on the Update meaning button removes the meanings from the selected variables.
List Meanings | Lists all of the meanings assigned to the selected variables.
Remove from list | Deletes selected entry from the list of Meanings.
Remove all | Deletes all entries from the list of Meanings.
Update meaning | Clicking this removes all entries in the list of Meanings from the selected variables. The row with the variables has a red background.

Attention: Changes and new entries are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Example of color identification

  • Red: All Meanings of the variable have been deleted.
  • Green: Variable has received a new Meaning.


Machine

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Machine

Configuration of a waterfall model for machine-based reports using the Waterfall chart filter and Waterfall chart tabs.

Other topics in this chapter

Waterfall chart filter

Waterfall chart


Waterfall chart filter

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Machine > Waterfall chart filter

You define the machine-based waterfall diagram in this tab. To do this, all variables must be assigned to the same equipment group. If variables from an archive are used, the archive and the variables must be assigned to the same equipment group.

attention Attention

Only equipment models from the global project are available.

Option | Description
List of equipment groups | Selection of an equipment group.
List of projects | Selection of a project.
List of archives | Select an archive.

An equipment group and a project must be selected. As a option, it is also possible to select an archive from the appropriate equipment group.

No variables can be displayed in the Waterfall tab:

  • No project was selected
  • No equipment group was selected
  • Objects were selected that are not assigned to the same equipment group


Waterfall chart

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Machine > Waterfall chart

Waterfall definitions can be created and edited on this tab:

Option

Description

New

Active: A new waterfall definition is created.

Update

Active: An existing waterfall definition is edited. Select from drop-down list.

Chart

Entry of a name for a new waterfall definition.

Save

Clicking on the button saves the entries.

Note: All changes are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Variablenliste

Lists all variables that correspond to the configuration on the Waterfall filter tab. Bool and String variables are not displayed.

The list can also be sorted by clicking on the column heading. Existing waterfall definitions are displayed in the Waterfalls column. New or amended waterfall definitions are displayed in the Waterfalls (preview) column.

Chart

Waterfall definitions can be created or amended here by dragging & dropping.

Note: All changes are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Creating a waterfall definition

To create a new waterfall definition:

  1. Select New.
  2. Move the desired variable by drag&drop in sequence in the Chart area
  3. Arrange the bar according to the rules
  4. Enter a name in the Chart input field
  5. Click on Save.
  6. The configuration is saved in the Waterfalls (preview) column
  7. Switch to tab Finish.
  8. Click on Finish.


Line

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Line

Configuration of a waterfall model for line-based reports using the Waterfall chart filter and Waterfall chart tabs.

Other topics in this chapter

Waterfall chart filter

Waterfall chart


Waterfall chart filter

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Line > Waterfall chart filter

You define the line-based waterfall diagram in this tab. To do this, all variables and archives must be assigned to the same equipment group.

attention Attention

Only equipment models from the global project are available.

Parameter | Description
Main machine | Configuration of the main machine.
Equipment | List of the existing equipment models. Selection of a model by activating the checkbox. The selection defines the archives that can be used. Only one model can be selected.
Project | Existing projects. The list of archives can be filtered using the selection of projects. The selection is optional.
Archive | List of existing archives. Selection of an archive by activating the checkbox. Only one archive can be selected.
Side machines | Configuration of the auxiliary machines
Equipment | List of the existing equipment models. Selection of a model by activating the checkbox. The selection defines the archives that can be used. As many models as desired can be selected.
Project | Existing projects. The list of archives can be filtered using the selection of projects. The selection is optional.
Archive | List of existing archives. Selection of an archive by activating the checkbox. As many archives as you want can be selected.

Rules

The following is applicable for the selection of the main machine:

  • Precisely one equipment group must be selected.
  • The archive selection can be prefiltered using the Project filter.
    Only one project can be selected.
  • Precisely one archive can be selected.

The following is applicable for the selection of the auxiliary machines:

  • Several equipment groups can be selected. However these must be from the same level as the main machine.
  • If an equipment group has been selected for the main machine, only equipment groups at the same level as the main machine can be selected for the auxiliary machines. The equipment group of the main machine is precluded in the process.
  • The archive selection can be prefiltered using the Project filter.
    Several projects can be selected.
  • At least one archive must be selected. If a variable is already used in the archive of the main machine, it is not available for the auxiliary machine.

attention Attention

In order for variables to be available for the diagram, they must always be linked to the same equipment group as the archive in which the variables are located. This applies to main machines and auxiliary machines.


Waterfall chart

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Line > Waterfall chart

Waterfall definitions can be created and edited on this tab:

Note the rules for filtering on the Line Analysis filter tab: Precisely the same variable filter settings must be set for main and auxiliary machines.

Option

Description

New

Active: A new waterfall definition is created.

Update

Active: An existing waterfall definition is edited. Select from drop-down list.

Chart

Entry of a name for a new waterfall definition.

Save

Clicking on the button saves the entries.

Note: All changes are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Legend

Key for the assignment of the variables:

  • Sub: Losses of auxiliary machines are subtracted from the main machine.
  • Add: Losses of auxiliary machines are added to the main machine.
  • SMa: Auxiliary machines .

Variables main machine

Lists all variables available for the main machine.

The list can also be sorted by clicking on the column heading.

Variables side machine

Lists all the variables available for the auxiliary machines.

The list can also be sorted by clicking on the column heading.

Chart

Waterfall definitions can be created or amended here by dragging & dropping.

Note: All changes are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Creating a waterfall definition

To create a new waterfall definition:

  1. Select New.
  2. Move the desired variable by drag&drop in sequence in the Chart area
  3. Arrange the bar according to the rules
  4. Enter a name in the Chart input field
  5. Click on Save.

    The configuration is displayed in the list in the Waterfall def. preview (preview) column.

  6. Switch to tab Finish.
  7. Click on Finish.

Editing a waterfall definition

To edit an existing waterfall definition:

  1. Select Update.
  2. Select the desired definition from the drop-down list.

    The existing definition is displayed in the diagram field.

  3. Edit the definition.
  4. Click on Save.
  5. The configuration is displayed in the list in the Waterfall def. preview (preview) column.
  6. Switch to tab Finish.
  7. Click on Finish.

Rules when drawing the diagram:

When drawing, the following rules are applicable, in contrast to a machine-based diagram:

Position | Rule | Definition | Code
Last line, first column | Entries for main machines only. | SUBTRACT_SIDE_MACHINE_LOSSES | Sub
n-column, last line and not 1st column. | Main machine entries. | Default: ADD_SIDE_MACHINE_LOSSES = 0 | (none)
 |  | Alternative: Clicking on the cell with the right mouse button opens, after the dialog, a further dialog to select colors. Confirmation with Yes changes the definition to: ADD_SIDE_MACHINE_LOSSES = 1 | Add
n-column, last line and not 1st column. | Auxiliary machine entries. | LOSS_FROM_SIDE_MACHINE = 1 | SMa

Dialog: Add auxiliary machine losses

Under the following conditions, after the color selection dialog has been closed, an additional dialog to add losses from auxiliary machines is displayed:

  • Click on the right mouse button in the diagram
  • On a variable of the main machine
  • In the last line
  • From the second column

Option | Description
Add side machine losses | Query of whether losses from auxiliary machines are to be added.
Yes | The value for DD_SIDE_MACHINE_LOSSES is set to 1. The losses of the auxiliary machine are added.
No | The value for DD_SIDE_MACHINE_LOSSES is set to 0. The losses of the auxiliary machine are subtracted.
Cancel | The status remains as it was before the dialog was called up.


General rules for waterfall diagrams

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > General rules for waterfall diagrams

The following rules apply when creating and editing waterfall definitions:

  1. For the first bar, the variable in the upper left corner of the character area must be dragged.
  2. The second bar can only be inserted below the first bar.
  3. All other bars can be inserted either below the existing bar or to the right of an existing bar.
    • The first row can only contain one bar.
    • If a bar is inserted to the right of an existing bar, the bar above this is extended.
  4. The selected variable is displayed in green.
  5. Each variable can only be used once.
  6. The bar contains an index:
    • First number: Row index
    • Second number: Column index
  7. The name of the selected variable is displayed in the tooltip of the bar.
  8. For line-based diagrams only: Variables of auxiliary machines can only be entered in the last line.

Note: Note the rules for filtering and diagram design for line-based diagrams.

Saving a waterfall definition

To save a waterfall definition:

  1. Enter a name in the Chart input field
  2. Click on the Save button.
  3. The definition is saved in the variable list and the new entry is displayed in the Waterfall def. preview (preview) column
  4. The new waterfall definition is only written to the zenon variable after clicking on the Finish button in the Finish tab.

Editing a waterfall definition

To edit a new waterfall definition:

  1. Select Update.
  2. Select the desired waterfall definition from the drop-down list.

    Attention: Only definitions that correspond to the configuration in the Waterfall filter tab are offered

  3. The waterfall definition is displayed in the Chart area
  4. Change the definition in accordance with the rules:
    • Adding a bar: Move the variable to the desired position: The variable is colored green.
    • Deleting a bar: Drag the bar to the deletion area. The variable is displayed again without a highlighting color.
    • Moving a bar: Move the bar to the desired location.
    • Changing the color: Assign the bar the desired color with a right-click.
  5. Click on Save.
  6. All changes are displayed in the list in the Waterfall def. preview (preview) column
  7. Switch to tab Finish.
  8. Click on Finish.

Deleting a bar

Bars can be deleted if:

  • It is a short bar
  • There is no other bar below or to the right

To delete a bar, drag & drop it to a free location outside the Chart field (but not in the variable list).

The bar is deleted. All other bars are moved accordingly. Moving the bar

Bars can be moved if:

  • It is a short bar
  • The movement is within a row

To move a bar, drag & drop it to the new position. All other bars between the old and the new position are moved by one place.

Changing the color of a bar

To change the color of a bar:

  1. Right-click on the bar
  2. The dialog to select the color opened:
  3. select the desired color
  4. Click on OK.


Finish

zenon Analyzer > Analyzer Wizards > Meaning and Waterfall Chart Wizard > Configuration > Finish

In this tab, the changes are written to the variables in zenon and the result is displayed in the output field.

Clicking on the 'Finish' button writes the changes to the zenon variable in the Editor.

The changes made are displayed in the output field:

  • Update MEANINGS definition variable: Changes to the variables that are carried out and that concern the meanings.
  • Update WATERFALL definition variable: Changes to the variables that have been carried out and that concern the waterfall definition
  • Notes on new and deleted entries, warnings and error messages.

    When importing into zenon, the length of the entry is checked for the corresponding properties. This must not consist of more than 250 characters If the entry is longer, the sequence is cut off after the 250th character and an error message is written in the output field of the 'Finish' tab.


Sankey Wizard

zenon Analyzer > Analyzer Wizards > Sankey Wizard

A Sankey diagram is a graphic display of quantity flows. The quantities are displayed by arrows with a thickness proportional to the quantity. Sankey diagrams are important aids for the visualization of energy and material flows, as well as inefficiencies and potential for saving when using resources.

The Sankey Wizard supports you when creating Sankey diagrams that you can see in zenon Runtime and in zenon Analyzer.

The following scenarios are possible:

  • Create a new Sankey diagram.
  • Use a pre-existing Sankey diagram as a template.
  • Edit an existing Sankey diagram.
  • Delete an existing Sankey diagram.

The Sankey diagram is saved in an XML file.

Note: The wizard is only available in English.

Other topics in this chapter

Installing the Sankey wizard

Starting the Sankey Wizard

Start window

Sorting and filtering lists

Navigation

Action - select action

Variables - select variables

Diagram - create diagram

Finish - complete


Installing the Sankey wizard

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Installing the Sankey wizard

The wizard is automatically installed together with zenon.


Starting the Sankey Wizard

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Starting the Sankey Wizard

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to the node Analyzer.
  3. Select the Sankey Wizard.

  4. Click on OK.

    The wizard starts with the welcome page.


Start window

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Start window

When opening the wizard, you receive an overview that lists and explains all objects that can be configured. Configuration starts with the Action tab.

Click on the button with the arrow or on the title of the tab to navigate through the configuration of the export.


Sorting and filtering lists

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Sorting and filtering lists

Sorting of lists

All lists in the Action and Variables tabs can be sorted.

The sorting is alphabetical by default, which can however be inverted.

To sort:

  1. Click on the corresponding header of the column according to which sorting is to take place.

    The list is displayed sorted according to this column.

  2. A further click inverts the sorting.

Filtering of lists

You can filter all lists in the Action and Variables tab according to certain criteria. Several filters can also be combined with one another.

Note: To reset a filter, delete the filter text from the header.

Engineering:

  1. Click in the desired list, with the left mouse button, in the input field for the corresponding filter symbol.
  2. Enter the term according to which filtering is to take place.
  3. Click on the corresponding filter symbol in the desired list with the left mouse button.

    The context menu is opened.

  4. Make your choice by clicking on the desired filter possibility with the left mouse button.

    The choices are:

    • No filter: no filter set
    • Contains: contains
    • Does not contain: does not contain
    • Starts with: starts with
    • Equals: is equal to
    • Not equal to: is not equal to

    The list is filtered according to your selection.

Note: The filter is set to "Contains" by default.


Navigation

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Navigation

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Button | Description
Arrow left | Goes back one tab in the wizard process.
Arrow right | Goes forward one tab in the wizard process.
Finish | Writes all changes to the zenon variable in the Editor and closes the wizard.
Cancel | Ends the wizard without making changes.

Individual tabs can also be selected by clicking directly on the title of the tab.


Action - select action

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Action - select action

Select, in the Action tab, the desired action by activating it.

There are the following three possibilities:

Option | Description
Create diagram | Creates a new diagram.
Use existing diagram as template | Uses an existing diagram as a template. Note: In this case, variables must be linked to node connections again. The variable linkings of existing diagrams are not shown in the template.
Edit or delete diagram | Allows the editing or deletion of an existing diagram. The diagram to be edited or deleted can be selected from the list of the created diagrams.

Sorting and filter possibilities

You can sort the list in the Action tab and filter according to certain criteria. You can find details on this in the Sort and filter lists chapter.

List of the diagrams that have been created

The window in the middle shows a list with the diagrams that have already been created. The entries are grayed out if Create_Diagram has been selected. The following information for this is visible:

Option | Description
Project | Name of the project in which the diagram is saved
Diagram | Shows the name of the diagram.
Description | Shows the description of the diagram.
Analyzer | Active: The diagram can be used in the Analyzer and in Runtime. Inactive: The diagram can only be used in Runtime.
Valid | Active: The diagram is valid. Inactive: The diagram is not valid. You cannot use the diagram in either the Analyzer or in Runtime. Note: In this case, edit the diagram and amend it until it is valid.
Delete | Deletes the selected diagram. A dialog requesting confirmation is called up before the selected diagram is deleted.

Project Settings

You can change the following settings for the project in this area:

Option

Description

Name

Enter a name for the project here.

Note: The name must be unique. Otherwise a warning dialog will make you aware of this. A newly-created program with a name that already exists would replace the existing one if the warning dialog is confirmed. However if you click on No in the warning dialog, _1 is automatically added to the name.

Save into project

Here you select the project in which your diagram is to be saved.

Description

Enter a description here.
Note: This is optional.

Create diagram for Analyzer

Active: Only variables that are in archives are shown.
Note: The variables that you want to use must first be exported with the Analyzer Export Wizard.

Inactive: Selection of the variables is possible without limitations, however the diagram cannot be used in zenon Analyzer, only in zenon Runtime.

Note: Once this tab is left, it is no longer possible to edit the settings that have been made.

Dialog: Delete diagram

A dialog requesting confirmation is called up before the selected diagram is deleted.

Option | Description
Ja | Deletes the selected diagram.
Nein | The deletion process is canceled. The dialog is closed and the selected diagram is not deleted


Variables - select variables

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Variables - select variables

You can select variables for your project in this tab.

Sorting and filter possibilities

You can sort the lists in the Variables tab and filter according to certain criteria. You can find details on this in the Sort and filter lists chapter.

Select project

Option | Description
Select project | List of all active zenon projects. Select the project(s) from which you want to select variables for your diagram here. Note: Multiple selection is possible.

Select data source

Option

Description

Select data source

Select the data source here (archives).
Note: The Online Data option is available for all other variables that do not come from archives. This option can only be selected if you have not activated the create for Analyzer option in the Action tab. Live values, i.e. online values, are used for Runtime. Historical values are used for zenon Analyzer.

  • Short name
    Short identification of the archive
  • Long name
    Full name of the archive
  • Project
    Project name of the archive
  • Parent archive
    Version of the archive used

Variables

Option

Description

Project variables

Select the variables that you want to link to your diagram here. Multiple selection is possible.

Possibilities for this:

  • Double-click on the desired variable.
  • Highlight the desired variable and then click on Add->.
  • Hold down the Ctrl key, highlight several variables, click on Add->.
  • Click on Add all-> to select all variables.

Variable list:

  • Name
    Variable name
  • Project
    Name of the project of the variable
  • Archive:
    Short identification of the archive
  • Aggregation:
    Aggregation type of the archive
    • AVG (Average)
    • Max (Maximum value)
    • Min (Minimum value)
    • Sum (Sum)
    • RAW (Raw data format - without aggregation)

Button Add ->

Adds selected variable(s) to the list of Diagram variables.

Button Add all ->

Adds all variables to the list of Diagram variables.

Button <- Delete

Removes selected variable(s) from the list of the Diagram variables.

Button <- Delete all

Removes all variables form the list of Diagram variables.

Diagram variables

Option

Description

Diagram variables

You can see all selected variables here. These are relevant for the next tab when creating the diagram.

To delete variables again:

  • Highlight the variable that you want to delete and click on <-Delete.
  • Hold down the Ctrl key, highlight several variables that you want to delete at the same time and click on <-Delete.
  • Click on <-Delete all to delete all selected variables again.

Variable list:

  • Name
    Variable name
  • Project
    Name of the project of the variable
  • Archive:
    Short identification of the archive
  • Aggregation:
    Aggregation type of the archive
    • AVG (Average)
    • Max (Maximum value)
    • Min (Minimum value)
    • Sum (Sum)
    • RAW (Raw data format - without aggregation)

Note: Once you have left this tab, changes to the settings that have been made here are possible.


Diagram - create diagram

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Diagram - create diagram

You are able to draw a diagram in this tab.

Note that:

  • You can create a maximum of 26 start or end nodes.
  • The start nodes cannot overlap.
  • The end nodes cannot overlap.

Drawing area

You position your nodes and connections in the drawing area.

Node

Option | Description
Name | Node name
Color | Color of the node. Displays the last selected color. Clicking on the button opens the color selection dialog.
Create | Creates nodes and positions these on the drawing area.
Delete | Deletes selected nodes from the drawing area. Only active if at least one node in th drawing area has been selected.

Diagram

Option

Description

Validate

Checks whether all nodes have been linked and/or whether the links are occupied with a variable.

The result of the validation is displayed in a dialog.

  • Node xx is not connected!
    The node is not connected to another node.
  • A connection of node xx has no variable linked!
    The linking of the node does not have an assigned variable.

Save

Saves the current project configuration. A check is also carried out before saving.

Reset

Deletes all nodes and previously-configured connections.

Diagram settings

Option

Description

Loss detection

Automatic loss detection with an additional connection that visualizes the differential flow.

  • activated: The automatic loss detection is calculated.
  • deactivated: No automatic loss detection is calculated.

Default: deactivated

Unknown Loss

If, for a node, the quantity of inflows exceeds the quantity of outflows, a differential flow in the selected color is displayed.

Only active if Loss detection is active.

Note: This differential flow is only displayed in zenon Runtime or in zenon Analyzer.

Undefined Input

If, for a node, the quantity of outflows exceeds the quantity of inflows, a differential flow is displayed in the selected color.

Only active if Loss detection is active.

Note: This differential flow is only displayed in zenon Runtime or in zenon Analyzer.

Connections (Variables)

Option | Description
Connections (Variables) | List of all the variables available for linking. If a variable is already linked to a connection, this variable is shown in green in the selection list. Note: These variables are provided in the Variables tab.
Link variable | Links the selected variable to the selected connection. Not active if no connection is selected. Note: If a second node and a variable is selected, the connection is also drawn in addition to the linking.
Delete | Deletes selected connection. Multiple selection of connections is possible. Not active if no connection is selected.

Other topics in this chapter

Create diagram

Display of Sankey diagram in zenon Analyzer

Examples of views: Wizard - zenon Analyzer


Create diagram

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Diagram - create diagram > Create diagram

This is how you create a Sankey diagram with the Sankey wizard:

Creating nodes and connections:

Note that:

  • You can create a maximum of 26 start or end nodes.
  • The start nodes cannot overlap.
  • The end nodes cannot overlap.

Engineering:

  1. Enter, in the Node window, under the Name field, a name for the node to be created.
  2. Select a color for the node by clicking on the Color field.
  3. Then click on Create.
  4. Create the required nodes and arrange these as you wish.
  5. Connect the nodes by dragging a node output (to the right of the node) to a node input (to the left of the node).

Note: A node can have connections to several nodes or several nodes can have connections to one node. The size of the output node changes depending on how many connections there are. Nodes that are only connected on one side are displayed as round or oval. Nodes that have connections on both sides are shown as angular.

There are the following possibilities with regard to node connections:

Back-coupling: Establish a connection from the output of a node to its input

To do this:

  • Double-click on the node on which you want to create the back-coupling.

or

  • Drag the connection from the output of the node to its input.

Establish a connection between 2 nodes and link a variable to it at the same time:

To do this:

  1. Highlight both nodes that you want to connect and the variable that you want to link to it.
  2. Click Link Variable.

Linking variables to connections:

There are several possibilities for linking variables to connections:

Drag&Drop

  • Drag the desired variable from the Connections (Variables) window to the desired node connection.

Note: Provided that you have already established the connection between the nodes.

Button Link Variable

  1. Highlight the desired node connection
  2. Highlight the variable that you want to link to the connection.
  3. Click on the Link Variable button.

Note: You can only link one variable to each connection.

Linking a variable to several node connections:

  1. Hold down the Ctrl key and highlight several node connections.
  2. Highlight the desired variable
  3. Click on Link Variable

    or

  4. Drag the variable to the highlighted node connections.

Note: In order to see the name of the variable that is linked to the connection, move the mouse to above the connection.

Diagram settings:

If you activate the Loss Detection option, loss detection is calculated automatically. An additional connection then visualizes the differential flow.

You can select the colors that are to be used for the display of the differential flows in the Unknown Loss and Undefined Input fields. To select a color, click in the field. The color palette for selecting a color is opened

Concluding the drawing of the diagram:

Once you have finished drawing your diagram,

  • Click on the button Validate:

If all your connections are correct, a dialog appears informing you that the diagram is valid. Otherwise a dialog appears informing you that there are still nodes that are not connected or that variables are not linked to the connections.
In order for a diagram to be valid:

  • All nodes must be connected
  • All connections must be occupied with a variable
  • No nodes can overlap if they are moved towards inputs (left) or outputs (right)

To save your diagram,

  • Click on the Save button.

The diagram you have created is validated. The diagram is saved and marked as valid or invalid. You are shown the project in which it is saved.

To redraw the diagram,

  • Click on the Reset button.

All the nodes you have drawn and your connections are thus deleted.

info Information

Clicking on the Validate or Save buttons orientates the nodes to the right and left side of the drawing area.

Note: Nodes must not overlap in the process.

Editing nodes:

Once you have created some nodes, you can

Issue several nodes with the same name:

  1. Hold down the Ctrl key.
  2. Highlight the nodes that you want to name.
  3. Enter a name.

Select the same color for several nodes:

  1. Hold down the Ctrl key.
  2. Highlight the nodes that you want to color.
  3. Then select a color.

Moving several nodes at the same time:

  1. Hold down the Ctrl key.
  2. Select the node that you want to move.
  3. Move the nodes. Your connections are also moved.

Note: You can also edit a node individually by highlighting it and make the desired change.

Deleting nodes:

  1. Highlight the node that you want to delete.
  2. Click, in the Node window, on Delete or use the Delkey.

Deleting several nodes at the same time:

  1. Hold down the Ctrl key and highlight the node that you want to delete.
  2. Click, in the Node window, on Delete or use the Delkey.

Note: When the node is deleted, its connections are also deleted.

Deleting connections:

  1. Highlight the connection that you want to delete.
  2. Click, in the Connections (Variables) window, on Delete or use the Delkey.

Deleting several connections at the same time:

  1. Hold down the Ctrl key and highlight the connections that you want to delete.
  2. Click, in the Connections (Variables) window, on Delete or use the Delkey.


Display of Sankey diagram in zenon Analyzer

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Diagram - create diagram > Display of Sankey diagram in zenon Analyzer

The nodes are always rearranged in zenon Analyzer and do not follow the exact positioning in the wizard in the process. The display of the Sankey diagram is automatically optimized in zenon Analyzer for legibility and clarity.

The width of the connection is taken into account specially for this arrangement. This width is dependent on the respective values shown (the more there are, the thicker it is).

Horizontal arrangement

Nodes are distributed horizontally over the whole width in proportion to their number.

Example: With three nodes, the display of the first connection will end in the middle of the display.

Vertical arrangement

The vertical arrangement of the nodes is always carried out in a vertical line in zenon Analyzer. This means that the first level is always arranged in a vertical line, regardless of the project configuration in the wizard.

The end nodes are automatically arranged from top to bottom at equal distances.

info Information

Note the following examples of views.


Examples of views: Wizard - zenon Analyzer

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Diagram - create diagram > Examples of views: Wizard - zenon Analyzer

Example of horizontal arrangement

Sankey wizard configuration

View zenon Analyzer

Example of vertical arrangement

Sankey wizard configuration

View zenon Analyzer

Example of mixed arrangement

Sankey wizard configuration

View zenon Analyzer


Finish - complete

zenon Analyzer > Analyzer Wizards > Sankey Wizard > Finish - complete

In the Finish tab, you can see whether the diagram you have created is valid and the location where the diagram you have created has been saved.

  • Click on the Finish button.

To close the Sankey wizard:

  • Click on the Close button.

info Information

The configuration of your Sankey diagram is saved in an XML file.

This is in the project manager of the selected project in the Files node in the Other folder.

With the Analyzer Export Wizard, you can accept the modeled Sankey diagram for use in zenon Analyzer.

You can read details of this export in the Analyzer Export Wizard. manual